#include <tree_sitter/parser.h>

#if defined(__GNUC__) || defined(__clang__)
#pragma GCC diagnostic push
#pragma GCC diagnostic ignored "-Wmissing-field-initializers"
#endif

#define LANGUAGE_VERSION 14
#define STATE_COUNT 1378
#define LARGE_STATE_COUNT 28
#define SYMBOL_COUNT 210
#define ALIAS_COUNT 5
#define TOKEN_COUNT 93
#define EXTERNAL_TOKEN_COUNT 0
#define FIELD_COUNT 35
#define MAX_ALIAS_SEQUENCE_LENGTH 9
#define PRODUCTION_ID_COUNT 107

enum {
  sym_identifier = 1,
  anon_sym_LF = 2,
  anon_sym_SEMI = 3,
  anon_sym_package = 4,
  anon_sym_import = 5,
  anon_sym_DOT = 6,
  sym_blank_identifier = 7,
  anon_sym_LPAREN = 8,
  anon_sym_RPAREN = 9,
  anon_sym_const = 10,
  anon_sym_COMMA = 11,
  anon_sym_EQ = 12,
  anon_sym_var = 13,
  anon_sym_func = 14,
  anon_sym_LBRACK = 15,
  anon_sym_RBRACK = 16,
  anon_sym_DOT_DOT_DOT = 17,
  anon_sym_type = 18,
  anon_sym_STAR = 19,
  anon_sym_struct = 20,
  anon_sym_PIPE = 21,
  anon_sym_TILDE = 22,
  anon_sym_LBRACE = 23,
  anon_sym_RBRACE = 24,
  anon_sym_interface = 25,
  anon_sym_map = 26,
  anon_sym_chan = 27,
  anon_sym_LT_DASH = 28,
  anon_sym_COLON_EQ = 29,
  anon_sym_PLUS_PLUS = 30,
  anon_sym_DASH_DASH = 31,
  anon_sym_STAR_EQ = 32,
  anon_sym_SLASH_EQ = 33,
  anon_sym_PERCENT_EQ = 34,
  anon_sym_LT_LT_EQ = 35,
  anon_sym_GT_GT_EQ = 36,
  anon_sym_AMP_EQ = 37,
  anon_sym_AMP_CARET_EQ = 38,
  anon_sym_PLUS_EQ = 39,
  anon_sym_DASH_EQ = 40,
  anon_sym_PIPE_EQ = 41,
  anon_sym_CARET_EQ = 42,
  anon_sym_COLON = 43,
  anon_sym_fallthrough = 44,
  anon_sym_break = 45,
  anon_sym_continue = 46,
  anon_sym_goto = 47,
  anon_sym_return = 48,
  anon_sym_go = 49,
  anon_sym_defer = 50,
  anon_sym_if = 51,
  anon_sym_else = 52,
  anon_sym_for = 53,
  anon_sym_range = 54,
  anon_sym_switch = 55,
  anon_sym_case = 56,
  anon_sym_default = 57,
  anon_sym_select = 58,
  anon_sym_new = 59,
  anon_sym_make = 60,
  anon_sym_PLUS = 61,
  anon_sym_DASH = 62,
  anon_sym_BANG = 63,
  anon_sym_CARET = 64,
  anon_sym_AMP = 65,
  anon_sym_SLASH = 66,
  anon_sym_PERCENT = 67,
  anon_sym_LT_LT = 68,
  anon_sym_GT_GT = 69,
  anon_sym_AMP_CARET = 70,
  anon_sym_EQ_EQ = 71,
  anon_sym_BANG_EQ = 72,
  anon_sym_LT = 73,
  anon_sym_LT_EQ = 74,
  anon_sym_GT = 75,
  anon_sym_GT_EQ = 76,
  anon_sym_AMP_AMP = 77,
  anon_sym_PIPE_PIPE = 78,
  sym_raw_string_literal = 79,
  anon_sym_DQUOTE = 80,
  anon_sym_DQUOTE2 = 81,
  sym__interpreted_string_literal_basic_content = 82,
  sym_escape_sequence = 83,
  sym_int_literal = 84,
  sym_float_literal = 85,
  sym_imaginary_literal = 86,
  sym_rune_literal = 87,
  sym_nil = 88,
  sym_true = 89,
  sym_false = 90,
  sym_iota = 91,
  sym_comment = 92,
  sym_source_file = 93,
  sym_package_clause = 94,
  sym_import_declaration = 95,
  sym_import_spec = 96,
  sym_dot = 97,
  sym_import_spec_list = 98,
  sym__declaration = 99,
  sym_const_declaration = 100,
  sym_const_spec = 101,
  sym_var_declaration = 102,
  sym_var_spec = 103,
  sym_function_declaration = 104,
  sym_method_declaration = 105,
  sym_type_parameter_list = 106,
  sym_parameter_list = 107,
  sym_parameter_declaration = 108,
  sym_variadic_parameter_declaration = 109,
  sym_type_alias = 110,
  sym_type_declaration = 111,
  sym_type_spec = 112,
  sym_expression_list = 113,
  sym_parenthesized_type = 114,
  sym__simple_type = 115,
  sym_generic_type = 116,
  sym_type_arguments = 117,
  sym_pointer_type = 118,
  sym_array_type = 119,
  sym_implicit_length_array_type = 120,
  sym_slice_type = 121,
  sym_struct_type = 122,
  sym_union_type = 123,
  sym_negated_type = 124,
  sym_field_declaration_list = 125,
  sym_field_declaration = 126,
  sym_interface_type = 127,
  sym__interface_body = 128,
  sym_struct_elem = 129,
  sym_struct_term = 130,
  sym_method_spec = 131,
  sym_map_type = 132,
  sym_channel_type = 133,
  sym_function_type = 134,
  sym_block = 135,
  sym__statement_list = 136,
  sym__statement = 137,
  sym_empty_statement = 138,
  sym__simple_statement = 139,
  sym_expression_statement = 140,
  sym_send_statement = 141,
  sym_receive_statement = 142,
  sym_inc_statement = 143,
  sym_dec_statement = 144,
  sym_assignment_statement = 145,
  sym_short_var_declaration = 146,
  sym_labeled_statement = 147,
  sym_empty_labeled_statement = 148,
  sym_fallthrough_statement = 149,
  sym_break_statement = 150,
  sym_continue_statement = 151,
  sym_goto_statement = 152,
  sym_return_statement = 153,
  sym_go_statement = 154,
  sym_defer_statement = 155,
  sym_if_statement = 156,
  sym_for_statement = 157,
  sym_for_clause = 158,
  sym_range_clause = 159,
  sym_expression_switch_statement = 160,
  sym_expression_case = 161,
  sym_default_case = 162,
  sym_type_switch_statement = 163,
  sym__type_switch_header = 164,
  sym_type_case = 165,
  sym_select_statement = 166,
  sym_communication_case = 167,
  sym__expression = 168,
  sym_parenthesized_expression = 169,
  sym_call_expression = 170,
  sym_variadic_argument = 171,
  sym_special_argument_list = 172,
  sym_argument_list = 173,
  sym_selector_expression = 174,
  sym_index_expression = 175,
  sym_slice_expression = 176,
  sym_type_assertion_expression = 177,
  sym_type_conversion_expression = 178,
  sym_composite_literal = 179,
  sym_literal_value = 180,
  sym_literal_element = 181,
  sym_keyed_element = 182,
  sym_func_literal = 183,
  sym_unary_expression = 184,
  sym_binary_expression = 185,
  sym_qualified_type = 186,
  sym_interpreted_string_literal = 187,
  aux_sym_source_file_repeat1 = 188,
  aux_sym_import_spec_list_repeat1 = 189,
  aux_sym_const_declaration_repeat1 = 190,
  aux_sym_const_spec_repeat1 = 191,
  aux_sym_var_declaration_repeat1 = 192,
  aux_sym_type_parameter_list_repeat1 = 193,
  aux_sym_parameter_list_repeat1 = 194,
  aux_sym_parameter_declaration_repeat1 = 195,
  aux_sym_type_declaration_repeat1 = 196,
  aux_sym_expression_list_repeat1 = 197,
  aux_sym_type_arguments_repeat1 = 198,
  aux_sym_field_declaration_list_repeat1 = 199,
  aux_sym_field_declaration_repeat1 = 200,
  aux_sym_interface_type_repeat1 = 201,
  aux_sym_struct_elem_repeat1 = 202,
  aux_sym__statement_list_repeat1 = 203,
  aux_sym_expression_switch_statement_repeat1 = 204,
  aux_sym_type_switch_statement_repeat1 = 205,
  aux_sym_select_statement_repeat1 = 206,
  aux_sym_argument_list_repeat1 = 207,
  aux_sym_literal_value_repeat1 = 208,
  aux_sym_interpreted_string_literal_repeat1 = 209,
  alias_sym_constraint_elem = 210,
  alias_sym_field_identifier = 211,
  alias_sym_label_name = 212,
  alias_sym_package_identifier = 213,
  alias_sym_type_identifier = 214,
};

static const char * const ts_symbol_names[] = {
  [ts_builtin_sym_end] = "end",
  [sym_identifier] = "identifier",
  [anon_sym_LF] = "\n",
  [anon_sym_SEMI] = ";",
  [anon_sym_package] = "package",
  [anon_sym_import] = "import",
  [anon_sym_DOT] = ".",
  [sym_blank_identifier] = "blank_identifier",
  [anon_sym_LPAREN] = "(",
  [anon_sym_RPAREN] = ")",
  [anon_sym_const] = "const",
  [anon_sym_COMMA] = ",",
  [anon_sym_EQ] = "=",
  [anon_sym_var] = "var",
  [anon_sym_func] = "func",
  [anon_sym_LBRACK] = "[",
  [anon_sym_RBRACK] = "]",
  [anon_sym_DOT_DOT_DOT] = "...",
  [anon_sym_type] = "type",
  [anon_sym_STAR] = "*",
  [anon_sym_struct] = "struct",
  [anon_sym_PIPE] = "|",
  [anon_sym_TILDE] = "~",
  [anon_sym_LBRACE] = "{",
  [anon_sym_RBRACE] = "}",
  [anon_sym_interface] = "interface",
  [anon_sym_map] = "map",
  [anon_sym_chan] = "chan",
  [anon_sym_LT_DASH] = "<-",
  [anon_sym_COLON_EQ] = ":=",
  [anon_sym_PLUS_PLUS] = "++",
  [anon_sym_DASH_DASH] = "--",
  [anon_sym_STAR_EQ] = "*=",
  [anon_sym_SLASH_EQ] = "/=",
  [anon_sym_PERCENT_EQ] = "%=",
  [anon_sym_LT_LT_EQ] = "<<=",
  [anon_sym_GT_GT_EQ] = ">>=",
  [anon_sym_AMP_EQ] = "&=",
  [anon_sym_AMP_CARET_EQ] = "&^=",
  [anon_sym_PLUS_EQ] = "+=",
  [anon_sym_DASH_EQ] = "-=",
  [anon_sym_PIPE_EQ] = "|=",
  [anon_sym_CARET_EQ] = "^=",
  [anon_sym_COLON] = ":",
  [anon_sym_fallthrough] = "fallthrough",
  [anon_sym_break] = "break",
  [anon_sym_continue] = "continue",
  [anon_sym_goto] = "goto",
  [anon_sym_return] = "return",
  [anon_sym_go] = "go",
  [anon_sym_defer] = "defer",
  [anon_sym_if] = "if",
  [anon_sym_else] = "else",
  [anon_sym_for] = "for",
  [anon_sym_range] = "range",
  [anon_sym_switch] = "switch",
  [anon_sym_case] = "case",
  [anon_sym_default] = "default",
  [anon_sym_select] = "select",
  [anon_sym_new] = "identifier",
  [anon_sym_make] = "identifier",
  [anon_sym_PLUS] = "+",
  [anon_sym_DASH] = "-",
  [anon_sym_BANG] = "!",
  [anon_sym_CARET] = "^",
  [anon_sym_AMP] = "&",
  [anon_sym_SLASH] = "/",
  [anon_sym_PERCENT] = "%",
  [anon_sym_LT_LT] = "<<",
  [anon_sym_GT_GT] = ">>",
  [anon_sym_AMP_CARET] = "&^",
  [anon_sym_EQ_EQ] = "==",
  [anon_sym_BANG_EQ] = "!=",
  [anon_sym_LT] = "<",
  [anon_sym_LT_EQ] = "<=",
  [anon_sym_GT] = ">",
  [anon_sym_GT_EQ] = ">=",
  [anon_sym_AMP_AMP] = "&&",
  [anon_sym_PIPE_PIPE] = "||",
  [sym_raw_string_literal] = "raw_string_literal",
  [anon_sym_DQUOTE] = "\"",
  [anon_sym_DQUOTE2] = "\"",
  [sym__interpreted_string_literal_basic_content] = "_interpreted_string_literal_basic_content",
  [sym_escape_sequence] = "escape_sequence",
  [sym_int_literal] = "int_literal",
  [sym_float_literal] = "float_literal",
  [sym_imaginary_literal] = "imaginary_literal",
  [sym_rune_literal] = "rune_literal",
  [sym_nil] = "nil",
  [sym_true] = "true",
  [sym_false] = "false",
  [sym_iota] = "iota",
  [sym_comment] = "comment",
  [sym_source_file] = "source_file",
  [sym_package_clause] = "package_clause",
  [sym_import_declaration] = "import_declaration",
  [sym_import_spec] = "import_spec",
  [sym_dot] = "dot",
  [sym_import_spec_list] = "import_spec_list",
  [sym__declaration] = "_declaration",
  [sym_const_declaration] = "const_declaration",
  [sym_const_spec] = "const_spec",
  [sym_var_declaration] = "var_declaration",
  [sym_var_spec] = "var_spec",
  [sym_function_declaration] = "function_declaration",
  [sym_method_declaration] = "method_declaration",
  [sym_type_parameter_list] = "type_parameter_list",
  [sym_parameter_list] = "parameter_list",
  [sym_parameter_declaration] = "parameter_declaration",
  [sym_variadic_parameter_declaration] = "variadic_parameter_declaration",
  [sym_type_alias] = "type_alias",
  [sym_type_declaration] = "type_declaration",
  [sym_type_spec] = "type_spec",
  [sym_expression_list] = "expression_list",
  [sym_parenthesized_type] = "parenthesized_type",
  [sym__simple_type] = "_simple_type",
  [sym_generic_type] = "generic_type",
  [sym_type_arguments] = "type_arguments",
  [sym_pointer_type] = "pointer_type",
  [sym_array_type] = "array_type",
  [sym_implicit_length_array_type] = "implicit_length_array_type",
  [sym_slice_type] = "slice_type",
  [sym_struct_type] = "struct_type",
  [sym_union_type] = "union_type",
  [sym_negated_type] = "negated_type",
  [sym_field_declaration_list] = "field_declaration_list",
  [sym_field_declaration] = "field_declaration",
  [sym_interface_type] = "interface_type",
  [sym__interface_body] = "_interface_body",
  [sym_struct_elem] = "struct_elem",
  [sym_struct_term] = "struct_term",
  [sym_method_spec] = "method_spec",
  [sym_map_type] = "map_type",
  [sym_channel_type] = "channel_type",
  [sym_function_type] = "function_type",
  [sym_block] = "block",
  [sym__statement_list] = "_statement_list",
  [sym__statement] = "_statement",
  [sym_empty_statement] = "empty_statement",
  [sym__simple_statement] = "_simple_statement",
  [sym_expression_statement] = "expression_statement",
  [sym_send_statement] = "send_statement",
  [sym_receive_statement] = "receive_statement",
  [sym_inc_statement] = "inc_statement",
  [sym_dec_statement] = "dec_statement",
  [sym_assignment_statement] = "assignment_statement",
  [sym_short_var_declaration] = "short_var_declaration",
  [sym_labeled_statement] = "labeled_statement",
  [sym_empty_labeled_statement] = "labeled_statement",
  [sym_fallthrough_statement] = "fallthrough_statement",
  [sym_break_statement] = "break_statement",
  [sym_continue_statement] = "continue_statement",
  [sym_goto_statement] = "goto_statement",
  [sym_return_statement] = "return_statement",
  [sym_go_statement] = "go_statement",
  [sym_defer_statement] = "defer_statement",
  [sym_if_statement] = "if_statement",
  [sym_for_statement] = "for_statement",
  [sym_for_clause] = "for_clause",
  [sym_range_clause] = "range_clause",
  [sym_expression_switch_statement] = "expression_switch_statement",
  [sym_expression_case] = "expression_case",
  [sym_default_case] = "default_case",
  [sym_type_switch_statement] = "type_switch_statement",
  [sym__type_switch_header] = "_type_switch_header",
  [sym_type_case] = "type_case",
  [sym_select_statement] = "select_statement",
  [sym_communication_case] = "communication_case",
  [sym__expression] = "_expression",
  [sym_parenthesized_expression] = "parenthesized_expression",
  [sym_call_expression] = "call_expression",
  [sym_variadic_argument] = "variadic_argument",
  [sym_special_argument_list] = "argument_list",
  [sym_argument_list] = "argument_list",
  [sym_selector_expression] = "selector_expression",
  [sym_index_expression] = "index_expression",
  [sym_slice_expression] = "slice_expression",
  [sym_type_assertion_expression] = "type_assertion_expression",
  [sym_type_conversion_expression] = "type_conversion_expression",
  [sym_composite_literal] = "composite_literal",
  [sym_literal_value] = "literal_value",
  [sym_literal_element] = "literal_element",
  [sym_keyed_element] = "keyed_element",
  [sym_func_literal] = "func_literal",
  [sym_unary_expression] = "unary_expression",
  [sym_binary_expression] = "binary_expression",
  [sym_qualified_type] = "qualified_type",
  [sym_interpreted_string_literal] = "interpreted_string_literal",
  [aux_sym_source_file_repeat1] = "source_file_repeat1",
  [aux_sym_import_spec_list_repeat1] = "import_spec_list_repeat1",
  [aux_sym_const_declaration_repeat1] = "const_declaration_repeat1",
  [aux_sym_const_spec_repeat1] = "const_spec_repeat1",
  [aux_sym_var_declaration_repeat1] = "var_declaration_repeat1",
  [aux_sym_type_parameter_list_repeat1] = "type_parameter_list_repeat1",
  [aux_sym_parameter_list_repeat1] = "parameter_list_repeat1",
  [aux_sym_parameter_declaration_repeat1] = "parameter_declaration_repeat1",
  [aux_sym_type_declaration_repeat1] = "type_declaration_repeat1",
  [aux_sym_expression_list_repeat1] = "expression_list_repeat1",
  [aux_sym_type_arguments_repeat1] = "type_arguments_repeat1",
  [aux_sym_field_declaration_list_repeat1] = "field_declaration_list_repeat1",
  [aux_sym_field_declaration_repeat1] = "field_declaration_repeat1",
  [aux_sym_interface_type_repeat1] = "interface_type_repeat1",
  [aux_sym_struct_elem_repeat1] = "struct_elem_repeat1",
  [aux_sym__statement_list_repeat1] = "_statement_list_repeat1",
  [aux_sym_expression_switch_statement_repeat1] = "expression_switch_statement_repeat1",
  [aux_sym_type_switch_statement_repeat1] = "type_switch_statement_repeat1",
  [aux_sym_select_statement_repeat1] = "select_statement_repeat1",
  [aux_sym_argument_list_repeat1] = "argument_list_repeat1",
  [aux_sym_literal_value_repeat1] = "literal_value_repeat1",
  [aux_sym_interpreted_string_literal_repeat1] = "interpreted_string_literal_repeat1",
  [alias_sym_constraint_elem] = "constraint_elem",
  [alias_sym_field_identifier] = "field_identifier",
  [alias_sym_label_name] = "label_name",
  [alias_sym_package_identifier] = "package_identifier",
  [alias_sym_type_identifier] = "type_identifier",
};

static const TSSymbol ts_symbol_map[] = {
  [ts_builtin_sym_end] = ts_builtin_sym_end,
  [sym_identifier] = sym_identifier,
  [anon_sym_LF] = anon_sym_LF,
  [anon_sym_SEMI] = anon_sym_SEMI,
  [anon_sym_package] = anon_sym_package,
  [anon_sym_import] = anon_sym_import,
  [anon_sym_DOT] = anon_sym_DOT,
  [sym_blank_identifier] = sym_blank_identifier,
  [anon_sym_LPAREN] = anon_sym_LPAREN,
  [anon_sym_RPAREN] = anon_sym_RPAREN,
  [anon_sym_const] = anon_sym_const,
  [anon_sym_COMMA] = anon_sym_COMMA,
  [anon_sym_EQ] = anon_sym_EQ,
  [anon_sym_var] = anon_sym_var,
  [anon_sym_func] = anon_sym_func,
  [anon_sym_LBRACK] = anon_sym_LBRACK,
  [anon_sym_RBRACK] = anon_sym_RBRACK,
  [anon_sym_DOT_DOT_DOT] = anon_sym_DOT_DOT_DOT,
  [anon_sym_type] = anon_sym_type,
  [anon_sym_STAR] = anon_sym_STAR,
  [anon_sym_struct] = anon_sym_struct,
  [anon_sym_PIPE] = anon_sym_PIPE,
  [anon_sym_TILDE] = anon_sym_TILDE,
  [anon_sym_LBRACE] = anon_sym_LBRACE,
  [anon_sym_RBRACE] = anon_sym_RBRACE,
  [anon_sym_interface] = anon_sym_interface,
  [anon_sym_map] = anon_sym_map,
  [anon_sym_chan] = anon_sym_chan,
  [anon_sym_LT_DASH] = anon_sym_LT_DASH,
  [anon_sym_COLON_EQ] = anon_sym_COLON_EQ,
  [anon_sym_PLUS_PLUS] = anon_sym_PLUS_PLUS,
  [anon_sym_DASH_DASH] = anon_sym_DASH_DASH,
  [anon_sym_STAR_EQ] = anon_sym_STAR_EQ,
  [anon_sym_SLASH_EQ] = anon_sym_SLASH_EQ,
  [anon_sym_PERCENT_EQ] = anon_sym_PERCENT_EQ,
  [anon_sym_LT_LT_EQ] = anon_sym_LT_LT_EQ,
  [anon_sym_GT_GT_EQ] = anon_sym_GT_GT_EQ,
  [anon_sym_AMP_EQ] = anon_sym_AMP_EQ,
  [anon_sym_AMP_CARET_EQ] = anon_sym_AMP_CARET_EQ,
  [anon_sym_PLUS_EQ] = anon_sym_PLUS_EQ,
  [anon_sym_DASH_EQ] = anon_sym_DASH_EQ,
  [anon_sym_PIPE_EQ] = anon_sym_PIPE_EQ,
  [anon_sym_CARET_EQ] = anon_sym_CARET_EQ,
  [anon_sym_COLON] = anon_sym_COLON,
  [anon_sym_fallthrough] = anon_sym_fallthrough,
  [anon_sym_break] = anon_sym_break,
  [anon_sym_continue] = anon_sym_continue,
  [anon_sym_goto] = anon_sym_goto,
  [anon_sym_return] = anon_sym_return,
  [anon_sym_go] = anon_sym_go,
  [anon_sym_defer] = anon_sym_defer,
  [anon_sym_if] = anon_sym_if,
  [anon_sym_else] = anon_sym_else,
  [anon_sym_for] = anon_sym_for,
  [anon_sym_range] = anon_sym_range,
  [anon_sym_switch] = anon_sym_switch,
  [anon_sym_case] = anon_sym_case,
  [anon_sym_default] = anon_sym_default,
  [anon_sym_select] = anon_sym_select,
  [anon_sym_new] = sym_identifier,
  [anon_sym_make] = sym_identifier,
  [anon_sym_PLUS] = anon_sym_PLUS,
  [anon_sym_DASH] = anon_sym_DASH,
  [anon_sym_BANG] = anon_sym_BANG,
  [anon_sym_CARET] = anon_sym_CARET,
  [anon_sym_AMP] = anon_sym_AMP,
  [anon_sym_SLASH] = anon_sym_SLASH,
  [anon_sym_PERCENT] = anon_sym_PERCENT,
  [anon_sym_LT_LT] = anon_sym_LT_LT,
  [anon_sym_GT_GT] = anon_sym_GT_GT,
  [anon_sym_AMP_CARET] = anon_sym_AMP_CARET,
  [anon_sym_EQ_EQ] = anon_sym_EQ_EQ,
  [anon_sym_BANG_EQ] = anon_sym_BANG_EQ,
  [anon_sym_LT] = anon_sym_LT,
  [anon_sym_LT_EQ] = anon_sym_LT_EQ,
  [anon_sym_GT] = anon_sym_GT,
  [anon_sym_GT_EQ] = anon_sym_GT_EQ,
  [anon_sym_AMP_AMP] = anon_sym_AMP_AMP,
  [anon_sym_PIPE_PIPE] = anon_sym_PIPE_PIPE,
  [sym_raw_string_literal] = sym_raw_string_literal,
  [anon_sym_DQUOTE] = anon_sym_DQUOTE,
  [anon_sym_DQUOTE2] = anon_sym_DQUOTE,
  [sym__interpreted_string_literal_basic_content] = sym__interpreted_string_literal_basic_content,
  [sym_escape_sequence] = sym_escape_sequence,
  [sym_int_literal] = sym_int_literal,
  [sym_float_literal] = sym_float_literal,
  [sym_imaginary_literal] = sym_imaginary_literal,
  [sym_rune_literal] = sym_rune_literal,
  [sym_nil] = sym_nil,
  [sym_true] = sym_true,
  [sym_false] = sym_false,
  [sym_iota] = sym_iota,
  [sym_comment] = sym_comment,
  [sym_source_file] = sym_source_file,
  [sym_package_clause] = sym_package_clause,
  [sym_import_declaration] = sym_import_declaration,
  [sym_import_spec] = sym_import_spec,
  [sym_dot] = sym_dot,
  [sym_import_spec_list] = sym_import_spec_list,
  [sym__declaration] = sym__declaration,
  [sym_const_declaration] = sym_const_declaration,
  [sym_const_spec] = sym_const_spec,
  [sym_var_declaration] = sym_var_declaration,
  [sym_var_spec] = sym_var_spec,
  [sym_function_declaration] = sym_function_declaration,
  [sym_method_declaration] = sym_method_declaration,
  [sym_type_parameter_list] = sym_type_parameter_list,
  [sym_parameter_list] = sym_parameter_list,
  [sym_parameter_declaration] = sym_parameter_declaration,
  [sym_variadic_parameter_declaration] = sym_variadic_parameter_declaration,
  [sym_type_alias] = sym_type_alias,
  [sym_type_declaration] = sym_type_declaration,
  [sym_type_spec] = sym_type_spec,
  [sym_expression_list] = sym_expression_list,
  [sym_parenthesized_type] = sym_parenthesized_type,
  [sym__simple_type] = sym__simple_type,
  [sym_generic_type] = sym_generic_type,
  [sym_type_arguments] = sym_type_arguments,
  [sym_pointer_type] = sym_pointer_type,
  [sym_array_type] = sym_array_type,
  [sym_implicit_length_array_type] = sym_implicit_length_array_type,
  [sym_slice_type] = sym_slice_type,
  [sym_struct_type] = sym_struct_type,
  [sym_union_type] = sym_union_type,
  [sym_negated_type] = sym_negated_type,
  [sym_field_declaration_list] = sym_field_declaration_list,
  [sym_field_declaration] = sym_field_declaration,
  [sym_interface_type] = sym_interface_type,
  [sym__interface_body] = sym__interface_body,
  [sym_struct_elem] = sym_struct_elem,
  [sym_struct_term] = sym_struct_term,
  [sym_method_spec] = sym_method_spec,
  [sym_map_type] = sym_map_type,
  [sym_channel_type] = sym_channel_type,
  [sym_function_type] = sym_function_type,
  [sym_block] = sym_block,
  [sym__statement_list] = sym__statement_list,
  [sym__statement] = sym__statement,
  [sym_empty_statement] = sym_empty_statement,
  [sym__simple_statement] = sym__simple_statement,
  [sym_expression_statement] = sym_expression_statement,
  [sym_send_statement] = sym_send_statement,
  [sym_receive_statement] = sym_receive_statement,
  [sym_inc_statement] = sym_inc_statement,
  [sym_dec_statement] = sym_dec_statement,
  [sym_assignment_statement] = sym_assignment_statement,
  [sym_short_var_declaration] = sym_short_var_declaration,
  [sym_labeled_statement] = sym_labeled_statement,
  [sym_empty_labeled_statement] = sym_labeled_statement,
  [sym_fallthrough_statement] = sym_fallthrough_statement,
  [sym_break_statement] = sym_break_statement,
  [sym_continue_statement] = sym_continue_statement,
  [sym_goto_statement] = sym_goto_statement,
  [sym_return_statement] = sym_return_statement,
  [sym_go_statement] = sym_go_statement,
  [sym_defer_statement] = sym_defer_statement,
  [sym_if_statement] = sym_if_statement,
  [sym_for_statement] = sym_for_statement,
  [sym_for_clause] = sym_for_clause,
  [sym_range_clause] = sym_range_clause,
  [sym_expression_switch_statement] = sym_expression_switch_statement,
  [sym_expression_case] = sym_expression_case,
  [sym_default_case] = sym_default_case,
  [sym_type_switch_statement] = sym_type_switch_statement,
  [sym__type_switch_header] = sym__type_switch_header,
  [sym_type_case] = sym_type_case,
  [sym_select_statement] = sym_select_statement,
  [sym_communication_case] = sym_communication_case,
  [sym__expression] = sym__expression,
  [sym_parenthesized_expression] = sym_parenthesized_expression,
  [sym_call_expression] = sym_call_expression,
  [sym_variadic_argument] = sym_variadic_argument,
  [sym_special_argument_list] = sym_argument_list,
  [sym_argument_list] = sym_argument_list,
  [sym_selector_expression] = sym_selector_expression,
  [sym_index_expression] = sym_index_expression,
  [sym_slice_expression] = sym_slice_expression,
  [sym_type_assertion_expression] = sym_type_assertion_expression,
  [sym_type_conversion_expression] = sym_type_conversion_expression,
  [sym_composite_literal] = sym_composite_literal,
  [sym_literal_value] = sym_literal_value,
  [sym_literal_element] = sym_literal_element,
  [sym_keyed_element] = sym_keyed_element,
  [sym_func_literal] = sym_func_literal,
  [sym_unary_expression] = sym_unary_expression,
  [sym_binary_expression] = sym_binary_expression,
  [sym_qualified_type] = sym_qualified_type,
  [sym_interpreted_string_literal] = sym_interpreted_string_literal,
  [aux_sym_source_file_repeat1] = aux_sym_source_file_repeat1,
  [aux_sym_import_spec_list_repeat1] = aux_sym_import_spec_list_repeat1,
  [aux_sym_const_declaration_repeat1] = aux_sym_const_declaration_repeat1,
  [aux_sym_const_spec_repeat1] = aux_sym_const_spec_repeat1,
  [aux_sym_var_declaration_repeat1] = aux_sym_var_declaration_repeat1,
  [aux_sym_type_parameter_list_repeat1] = aux_sym_type_parameter_list_repeat1,
  [aux_sym_parameter_list_repeat1] = aux_sym_parameter_list_repeat1,
  [aux_sym_parameter_declaration_repeat1] = aux_sym_parameter_declaration_repeat1,
  [aux_sym_type_declaration_repeat1] = aux_sym_type_declaration_repeat1,
  [aux_sym_expression_list_repeat1] = aux_sym_expression_list_repeat1,
  [aux_sym_type_arguments_repeat1] = aux_sym_type_arguments_repeat1,
  [aux_sym_field_declaration_list_repeat1] = aux_sym_field_declaration_list_repeat1,
  [aux_sym_field_declaration_repeat1] = aux_sym_field_declaration_repeat1,
  [aux_sym_interface_type_repeat1] = aux_sym_interface_type_repeat1,
  [aux_sym_struct_elem_repeat1] = aux_sym_struct_elem_repeat1,
  [aux_sym__statement_list_repeat1] = aux_sym__statement_list_repeat1,
  [aux_sym_expression_switch_statement_repeat1] = aux_sym_expression_switch_statement_repeat1,
  [aux_sym_type_switch_statement_repeat1] = aux_sym_type_switch_statement_repeat1,
  [aux_sym_select_statement_repeat1] = aux_sym_select_statement_repeat1,
  [aux_sym_argument_list_repeat1] = aux_sym_argument_list_repeat1,
  [aux_sym_literal_value_repeat1] = aux_sym_literal_value_repeat1,
  [aux_sym_interpreted_string_literal_repeat1] = aux_sym_interpreted_string_literal_repeat1,
  [alias_sym_constraint_elem] = alias_sym_constraint_elem,
  [alias_sym_field_identifier] = alias_sym_field_identifier,
  [alias_sym_label_name] = alias_sym_label_name,
  [alias_sym_package_identifier] = alias_sym_package_identifier,
  [alias_sym_type_identifier] = alias_sym_type_identifier,
};

static const TSSymbolMetadata ts_symbol_metadata[] = {
  [ts_builtin_sym_end] = {
    .visible = false,
    .named = true,
  },
  [sym_identifier] = {
    .visible = true,
    .named = true,
  },
  [anon_sym_LF] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_SEMI] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_package] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_import] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_DOT] = {
    .visible = true,
    .named = false,
  },
  [sym_blank_identifier] = {
    .visible = true,
    .named = true,
  },
  [anon_sym_LPAREN] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_RPAREN] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_const] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_COMMA] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_EQ] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_var] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_func] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_LBRACK] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_RBRACK] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_DOT_DOT_DOT] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_type] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_STAR] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_struct] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_PIPE] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_TILDE] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_LBRACE] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_RBRACE] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_interface] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_map] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_chan] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_LT_DASH] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_COLON_EQ] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_PLUS_PLUS] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_DASH_DASH] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_STAR_EQ] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_SLASH_EQ] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_PERCENT_EQ] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_LT_LT_EQ] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_GT_GT_EQ] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_AMP_EQ] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_AMP_CARET_EQ] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_PLUS_EQ] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_DASH_EQ] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_PIPE_EQ] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_CARET_EQ] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_COLON] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_fallthrough] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_break] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_continue] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_goto] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_return] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_go] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_defer] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_if] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_else] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_for] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_range] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_switch] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_case] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_default] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_select] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_new] = {
    .visible = true,
    .named = true,
  },
  [anon_sym_make] = {
    .visible = true,
    .named = true,
  },
  [anon_sym_PLUS] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_DASH] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_BANG] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_CARET] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_AMP] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_SLASH] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_PERCENT] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_LT_LT] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_GT_GT] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_AMP_CARET] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_EQ_EQ] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_BANG_EQ] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_LT] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_LT_EQ] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_GT] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_GT_EQ] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_AMP_AMP] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_PIPE_PIPE] = {
    .visible = true,
    .named = false,
  },
  [sym_raw_string_literal] = {
    .visible = true,
    .named = true,
  },
  [anon_sym_DQUOTE] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_DQUOTE2] = {
    .visible = true,
    .named = false,
  },
  [sym__interpreted_string_literal_basic_content] = {
    .visible = false,
    .named = true,
  },
  [sym_escape_sequence] = {
    .visible = true,
    .named = true,
  },
  [sym_int_literal] = {
    .visible = true,
    .named = true,
  },
  [sym_float_literal] = {
    .visible = true,
    .named = true,
  },
  [sym_imaginary_literal] = {
    .visible = true,
    .named = true,
  },
  [sym_rune_literal] = {
    .visible = true,
    .named = true,
  },
  [sym_nil] = {
    .visible = true,
    .named = true,
  },
  [sym_true] = {
    .visible = true,
    .named = true,
  },
  [sym_false] = {
    .visible = true,
    .named = true,
  },
  [sym_iota] = {
    .visible = true,
    .named = true,
  },
  [sym_comment] = {
    .visible = true,
    .named = true,
  },
  [sym_source_file] = {
    .visible = true,
    .named = true,
  },
  [sym_package_clause] = {
    .visible = true,
    .named = true,
  },
  [sym_import_declaration] = {
    .visible = true,
    .named = true,
  },
  [sym_import_spec] = {
    .visible = true,
    .named = true,
  },
  [sym_dot] = {
    .visible = true,
    .named = true,
  },
  [sym_import_spec_list] = {
    .visible = true,
    .named = true,
  },
  [sym__declaration] = {
    .visible = false,
    .named = true,
  },
  [sym_const_declaration] = {
    .visible = true,
    .named = true,
  },
  [sym_const_spec] = {
    .visible = true,
    .named = true,
  },
  [sym_var_declaration] = {
    .visible = true,
    .named = true,
  },
  [sym_var_spec] = {
    .visible = true,
    .named = true,
  },
  [sym_function_declaration] = {
    .visible = true,
    .named = true,
  },
  [sym_method_declaration] = {
    .visible = true,
    .named = true,
  },
  [sym_type_parameter_list] = {
    .visible = true,
    .named = true,
  },
  [sym_parameter_list] = {
    .visible = true,
    .named = true,
  },
  [sym_parameter_declaration] = {
    .visible = true,
    .named = true,
  },
  [sym_variadic_parameter_declaration] = {
    .visible = true,
    .named = true,
  },
  [sym_type_alias] = {
    .visible = true,
    .named = true,
  },
  [sym_type_declaration] = {
    .visible = true,
    .named = true,
  },
  [sym_type_spec] = {
    .visible = true,
    .named = true,
  },
  [sym_expression_list] = {
    .visible = true,
    .named = true,
  },
  [sym_parenthesized_type] = {
    .visible = true,
    .named = true,
  },
  [sym__simple_type] = {
    .visible = false,
    .named = true,
    .supertype = true,
  },
  [sym_generic_type] = {
    .visible = true,
    .named = true,
  },
  [sym_type_arguments] = {
    .visible = true,
    .named = true,
  },
  [sym_pointer_type] = {
    .visible = true,
    .named = true,
  },
  [sym_array_type] = {
    .visible = true,
    .named = true,
  },
  [sym_implicit_length_array_type] = {
    .visible = true,
    .named = true,
  },
  [sym_slice_type] = {
    .visible = true,
    .named = true,
  },
  [sym_struct_type] = {
    .visible = true,
    .named = true,
  },
  [sym_union_type] = {
    .visible = true,
    .named = true,
  },
  [sym_negated_type] = {
    .visible = true,
    .named = true,
  },
  [sym_field_declaration_list] = {
    .visible = true,
    .named = true,
  },
  [sym_field_declaration] = {
    .visible = true,
    .named = true,
  },
  [sym_interface_type] = {
    .visible = true,
    .named = true,
  },
  [sym__interface_body] = {
    .visible = false,
    .named = true,
  },
  [sym_struct_elem] = {
    .visible = true,
    .named = true,
  },
  [sym_struct_term] = {
    .visible = true,
    .named = true,
  },
  [sym_method_spec] = {
    .visible = true,
    .named = true,
  },
  [sym_map_type] = {
    .visible = true,
    .named = true,
  },
  [sym_channel_type] = {
    .visible = true,
    .named = true,
  },
  [sym_function_type] = {
    .visible = true,
    .named = true,
  },
  [sym_block] = {
    .visible = true,
    .named = true,
  },
  [sym__statement_list] = {
    .visible = false,
    .named = true,
  },
  [sym__statement] = {
    .visible = false,
    .named = true,
    .supertype = true,
  },
  [sym_empty_statement] = {
    .visible = true,
    .named = true,
  },
  [sym__simple_statement] = {
    .visible = false,
    .named = true,
    .supertype = true,
  },
  [sym_expression_statement] = {
    .visible = true,
    .named = true,
  },
  [sym_send_statement] = {
    .visible = true,
    .named = true,
  },
  [sym_receive_statement] = {
    .visible = true,
    .named = true,
  },
  [sym_inc_statement] = {
    .visible = true,
    .named = true,
  },
  [sym_dec_statement] = {
    .visible = true,
    .named = true,
  },
  [sym_assignment_statement] = {
    .visible = true,
    .named = true,
  },
  [sym_short_var_declaration] = {
    .visible = true,
    .named = true,
  },
  [sym_labeled_statement] = {
    .visible = true,
    .named = true,
  },
  [sym_empty_labeled_statement] = {
    .visible = true,
    .named = true,
  },
  [sym_fallthrough_statement] = {
    .visible = true,
    .named = true,
  },
  [sym_break_statement] = {
    .visible = true,
    .named = true,
  },
  [sym_continue_statement] = {
    .visible = true,
    .named = true,
  },
  [sym_goto_statement] = {
    .visible = true,
    .named = true,
  },
  [sym_return_statement] = {
    .visible = true,
    .named = true,
  },
  [sym_go_statement] = {
    .visible = true,
    .named = true,
  },
  [sym_defer_statement] = {
    .visible = true,
    .named = true,
  },
  [sym_if_statement] = {
    .visible = true,
    .named = true,
  },
  [sym_for_statement] = {
    .visible = true,
    .named = true,
  },
  [sym_for_clause] = {
    .visible = true,
    .named = true,
  },
  [sym_range_clause] = {
    .visible = true,
    .named = true,
  },
  [sym_expression_switch_statement] = {
    .visible = true,
    .named = true,
  },
  [sym_expression_case] = {
    .visible = true,
    .named = true,
  },
  [sym_default_case] = {
    .visible = true,
    .named = true,
  },
  [sym_type_switch_statement] = {
    .visible = true,
    .named = true,
  },
  [sym__type_switch_header] = {
    .visible = false,
    .named = true,
  },
  [sym_type_case] = {
    .visible = true,
    .named = true,
  },
  [sym_select_statement] = {
    .visible = true,
    .named = true,
  },
  [sym_communication_case] = {
    .visible = true,
    .named = true,
  },
  [sym__expression] = {
    .visible = false,
    .named = true,
    .supertype = true,
  },
  [sym_parenthesized_expression] = {
    .visible = true,
    .named = true,
  },
  [sym_call_expression] = {
    .visible = true,
    .named = true,
  },
  [sym_variadic_argument] = {
    .visible = true,
    .named = true,
  },
  [sym_special_argument_list] = {
    .visible = true,
    .named = true,
  },
  [sym_argument_list] = {
    .visible = true,
    .named = true,
  },
  [sym_selector_expression] = {
    .visible = true,
    .named = true,
  },
  [sym_index_expression] = {
    .visible = true,
    .named = true,
  },
  [sym_slice_expression] = {
    .visible = true,
    .named = true,
  },
  [sym_type_assertion_expression] = {
    .visible = true,
    .named = true,
  },
  [sym_type_conversion_expression] = {
    .visible = true,
    .named = true,
  },
  [sym_composite_literal] = {
    .visible = true,
    .named = true,
  },
  [sym_literal_value] = {
    .visible = true,
    .named = true,
  },
  [sym_literal_element] = {
    .visible = true,
    .named = true,
  },
  [sym_keyed_element] = {
    .visible = true,
    .named = true,
  },
  [sym_func_literal] = {
    .visible = true,
    .named = true,
  },
  [sym_unary_expression] = {
    .visible = true,
    .named = true,
  },
  [sym_binary_expression] = {
    .visible = true,
    .named = true,
  },
  [sym_qualified_type] = {
    .visible = true,
    .named = true,
  },
  [sym_interpreted_string_literal] = {
    .visible = true,
    .named = true,
  },
  [aux_sym_source_file_repeat1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym_import_spec_list_repeat1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym_const_declaration_repeat1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym_const_spec_repeat1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym_var_declaration_repeat1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym_type_parameter_list_repeat1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym_parameter_list_repeat1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym_parameter_declaration_repeat1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym_type_declaration_repeat1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym_expression_list_repeat1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym_type_arguments_repeat1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym_field_declaration_list_repeat1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym_field_declaration_repeat1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym_interface_type_repeat1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym_struct_elem_repeat1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym__statement_list_repeat1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym_expression_switch_statement_repeat1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym_type_switch_statement_repeat1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym_select_statement_repeat1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym_argument_list_repeat1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym_literal_value_repeat1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym_interpreted_string_literal_repeat1] = {
    .visible = false,
    .named = false,
  },
  [alias_sym_constraint_elem] = {
    .visible = true,
    .named = true,
  },
  [alias_sym_field_identifier] = {
    .visible = true,
    .named = true,
  },
  [alias_sym_label_name] = {
    .visible = true,
    .named = true,
  },
  [alias_sym_package_identifier] = {
    .visible = true,
    .named = true,
  },
  [alias_sym_type_identifier] = {
    .visible = true,
    .named = true,
  },
};

enum {
  field_alias = 1,
  field_alternative = 2,
  field_arguments = 3,
  field_body = 4,
  field_capacity = 5,
  field_channel = 6,
  field_communication = 7,
  field_condition = 8,
  field_consequence = 9,
  field_element = 10,
  field_end = 11,
  field_field = 12,
  field_function = 13,
  field_index = 14,
  field_initializer = 15,
  field_key = 16,
  field_label = 17,
  field_left = 18,
  field_length = 19,
  field_name = 20,
  field_operand = 21,
  field_operator = 22,
  field_package = 23,
  field_parameters = 24,
  field_path = 25,
  field_receiver = 26,
  field_result = 27,
  field_right = 28,
  field_start = 29,
  field_tag = 30,
  field_type = 31,
  field_type_arguments = 32,
  field_type_parameters = 33,
  field_update = 34,
  field_value = 35,
};

static const char * const ts_field_names[] = {
  [0] = NULL,
  [field_alias] = "alias",
  [field_alternative] = "alternative",
  [field_arguments] = "arguments",
  [field_body] = "body",
  [field_capacity] = "capacity",
  [field_channel] = "channel",
  [field_communication] = "communication",
  [field_condition] = "condition",
  [field_consequence] = "consequence",
  [field_element] = "element",
  [field_end] = "end",
  [field_field] = "field",
  [field_function] = "function",
  [field_index] = "index",
  [field_initializer] = "initializer",
  [field_key] = "key",
  [field_label] = "label",
  [field_left] = "left",
  [field_length] = "length",
  [field_name] = "name",
  [field_operand] = "operand",
  [field_operator] = "operator",
  [field_package] = "package",
  [field_parameters] = "parameters",
  [field_path] = "path",
  [field_receiver] = "receiver",
  [field_result] = "result",
  [field_right] = "right",
  [field_start] = "start",
  [field_tag] = "tag",
  [field_type] = "type",
  [field_type_arguments] = "type_arguments",
  [field_type_parameters] = "type_parameters",
  [field_update] = "update",
  [field_value] = "value",
};

static const TSFieldMapSlice ts_field_map_slices[PRODUCTION_ID_COUNT] = {
  [3] = {.index = 0, .length = 1},
  [4] = {.index = 1, .length = 1},
  [5] = {.index = 2, .length = 1},
  [6] = {.index = 3, .length = 2},
  [7] = {.index = 5, .length = 1},
  [9] = {.index = 6, .length = 1},
  [10] = {.index = 7, .length = 2},
  [11] = {.index = 9, .length = 2},
  [12] = {.index = 11, .length = 2},
  [13] = {.index = 11, .length = 2},
  [14] = {.index = 9, .length = 2},
  [15] = {.index = 13, .length = 2},
  [16] = {.index = 13, .length = 2},
  [17] = {.index = 15, .length = 2},
  [18] = {.index = 17, .length = 2},
  [19] = {.index = 19, .length = 1},
  [20] = {.index = 20, .length = 2},
  [21] = {.index = 22, .length = 2},
  [22] = {.index = 24, .length = 2},
  [23] = {.index = 26, .length = 1},
  [24] = {.index = 17, .length = 2},
  [25] = {.index = 19, .length = 1},
  [26] = {.index = 27, .length = 1},
  [28] = {.index = 28, .length = 1},
  [29] = {.index = 29, .length = 2},
  [30] = {.index = 31, .length = 1},
  [31] = {.index = 32, .length = 1},
  [32] = {.index = 33, .length = 2},
  [33] = {.index = 35, .length = 3},
  [34] = {.index = 38, .length = 2},
  [35] = {.index = 40, .length = 2},
  [36] = {.index = 42, .length = 2},
  [37] = {.index = 44, .length = 3},
  [38] = {.index = 47, .length = 2},
  [39] = {.index = 49, .length = 3},
  [40] = {.index = 52, .length = 1},
  [41] = {.index = 53, .length = 3},
  [42] = {.index = 56, .length = 3},
  [43] = {.index = 59, .length = 3},
  [44] = {.index = 62, .length = 3},
  [45] = {.index = 65, .length = 3},
  [46] = {.index = 68, .length = 1},
  [47] = {.index = 69, .length = 2},
  [48] = {.index = 71, .length = 2},
  [49] = {.index = 73, .length = 3},
  [50] = {.index = 52, .length = 1},
  [51] = {.index = 76, .length = 2},
  [52] = {.index = 17, .length = 2},
  [53] = {.index = 76, .length = 2},
  [54] = {.index = 78, .length = 2},
  [55] = {.index = 80, .length = 1},
  [56] = {.index = 81, .length = 1},
  [57] = {.index = 82, .length = 1},
  [58] = {.index = 83, .length = 3},
  [59] = {.index = 86, .length = 1},
  [60] = {.index = 87, .length = 2},
  [61] = {.index = 89, .length = 1},
  [62] = {.index = 90, .length = 2},
  [63] = {.index = 92, .length = 3},
  [64] = {.index = 95, .length = 3},
  [65] = {.index = 98, .length = 1},
  [66] = {.index = 71, .length = 2},
  [67] = {.index = 99, .length = 3},
  [68] = {.index = 102, .length = 2},
  [69] = {.index = 104, .length = 4},
  [70] = {.index = 108, .length = 4},
  [71] = {.index = 112, .length = 4},
  [72] = {.index = 116, .length = 4},
  [73] = {.index = 120, .length = 4},
  [74] = {.index = 124, .length = 2},
  [75] = {.index = 124, .length = 2},
  [76] = {.index = 98, .length = 1},
  [77] = {.index = 126, .length = 3},
  [78] = {.index = 99, .length = 3},
  [79] = {.index = 129, .length = 3},
  [80] = {.index = 132, .length = 2},
  [81] = {.index = 134, .length = 3},
  [82] = {.index = 137, .length = 3},
  [83] = {.index = 140, .length = 2},
  [84] = {.index = 142, .length = 2},
  [85] = {.index = 144, .length = 2},
  [86] = {.index = 146, .length = 2},
  [87] = {.index = 148, .length = 1},
  [88] = {.index = 149, .length = 1},
  [89] = {.index = 150, .length = 2},
  [90] = {.index = 152, .length = 2},
  [91] = {.index = 154, .length = 2},
  [92] = {.index = 156, .length = 4},
  [93] = {.index = 160, .length = 5},
  [94] = {.index = 165, .length = 5},
  [95] = {.index = 170, .length = 4},
  [96] = {.index = 174, .length = 3},
  [97] = {.index = 177, .length = 2},
  [98] = {.index = 179, .length = 1},
  [99] = {.index = 180, .length = 3},
  [100] = {.index = 183, .length = 4},
  [101] = {.index = 187, .length = 2},
  [102] = {.index = 189, .length = 3},
  [103] = {.index = 192, .length = 2},
  [104] = {.index = 194, .length = 2},
  [105] = {.index = 196, .length = 4},
  [106] = {.index = 200, .length = 3},
};

static const TSFieldMapEntry ts_field_map_entries[] = {
  [0] =
    {field_path, 0},
  [1] =
    {field_name, 0},
  [2] =
    {field_parameters, 1},
  [3] =
    {field_operand, 1},
    {field_operator, 0},
  [5] =
    {field_value, 1},
  [6] =
    {field_body, 1},
  [7] =
    {field_arguments, 1},
    {field_function, 0},
  [9] =
    {field_type, 0},
    {field_type_arguments, 1},
  [11] =
    {field_body, 1},
    {field_type, 0},
  [13] =
    {field_name, 0},
    {field_path, 1},
  [15] =
    {field_name, 0},
    {field_name, 1},
  [17] =
    {field_name, 0},
    {field_type, 1},
  [19] =
    {field_type, 0},
  [20] =
    {field_name, 1},
    {field_parameters, 2},
  [22] =
    {field_parameters, 1},
    {field_result, 2},
  [24] =
    {field_body, 2},
    {field_parameters, 1},
  [26] =
    {field_element, 2},
  [27] =
    {field_label, 0},
  [28] =
    {field_value, 2},
  [29] =
    {field_condition, 1},
    {field_consequence, 2},
  [31] =
    {field_right, 1},
  [32] =
    {field_body, 2},
  [33] =
    {field_name, 2},
    {field_package, 0},
  [35] =
    {field_left, 0},
    {field_operator, 1},
    {field_right, 2},
  [38] =
    {field_left, 0},
    {field_right, 2},
  [40] =
    {field_field, 2},
    {field_operand, 0},
  [42] =
    {field_channel, 0},
    {field_value, 2},
  [44] =
    {field_arguments, 2},
    {field_function, 0},
    {field_type_arguments, 1},
  [47] =
    {field_name, 0},
    {field_value, 2},
  [49] =
    {field_name, 0},
    {field_name, 1},
    {field_type, 2},
  [52] =
    {field_type, 1},
  [53] =
    {field_name, 1},
    {field_parameters, 3},
    {field_type_parameters, 2},
  [56] =
    {field_name, 1},
    {field_parameters, 2},
    {field_result, 3},
  [59] =
    {field_body, 3},
    {field_name, 1},
    {field_parameters, 2},
  [62] =
    {field_name, 2},
    {field_parameters, 3},
    {field_receiver, 1},
  [65] =
    {field_body, 3},
    {field_parameters, 1},
    {field_result, 2},
  [68] =
    {field_element, 3},
  [69] =
    {field_element, 3},
    {field_length, 1},
  [71] =
    {field_name, 0},
    {field_type, 2},
  [73] =
    {field_name, 0},
    {field_type, 2},
    {field_type_parameters, 1},
  [76] =
    {field_tag, 1},
    {field_type, 0},
  [78] =
    {field_name, 0},
    {field_parameters, 1},
  [80] =
    {field_update, 2},
  [81] =
    {field_condition, 1},
  [82] =
    {field_initializer, 0},
  [83] =
    {field_alias, 1, .inherited = true},
    {field_initializer, 1, .inherited = true},
    {field_value, 1, .inherited = true},
  [86] =
    {field_right, 0},
  [87] =
    {field_operand, 2},
    {field_type, 0},
  [89] =
    {field_operand, 0},
  [90] =
    {field_index, 2},
    {field_operand, 0},
  [92] =
    {field_name, 0},
    {field_type, 1},
    {field_value, 3},
  [95] =
    {field_name, 0},
    {field_name, 1},
    {field_value, 3},
  [98] =
    {field_name, 1},
  [99] =
    {field_name, 0},
    {field_name, 1, .inherited = true},
    {field_type, 2},
  [102] =
    {field_name, 0, .inherited = true},
    {field_name, 1, .inherited = true},
  [104] =
    {field_name, 1},
    {field_parameters, 3},
    {field_result, 4},
    {field_type_parameters, 2},
  [108] =
    {field_body, 4},
    {field_name, 1},
    {field_parameters, 3},
    {field_type_parameters, 2},
  [112] =
    {field_body, 4},
    {field_name, 1},
    {field_parameters, 2},
    {field_result, 3},
  [116] =
    {field_name, 2},
    {field_parameters, 3},
    {field_receiver, 1},
    {field_result, 4},
  [120] =
    {field_body, 4},
    {field_name, 2},
    {field_parameters, 3},
    {field_receiver, 1},
  [124] =
    {field_tag, 2},
    {field_type, 1},
  [126] =
    {field_name, 0},
    {field_tag, 2},
    {field_type, 1},
  [129] =
    {field_name, 0},
    {field_parameters, 1},
    {field_result, 2},
  [132] =
    {field_key, 2},
    {field_value, 4},
  [134] =
    {field_condition, 3},
    {field_consequence, 4},
    {field_initializer, 1},
  [137] =
    {field_alternative, 4},
    {field_condition, 1},
    {field_consequence, 2},
  [140] =
    {field_condition, 1},
    {field_update, 3},
  [142] =
    {field_left, 0},
    {field_right, 3},
  [144] =
    {field_initializer, 0},
    {field_update, 3},
  [146] =
    {field_condition, 2},
    {field_initializer, 0},
  [148] =
    {field_initializer, 1},
  [149] =
    {field_communication, 1},
  [150] =
    {field_operand, 0},
    {field_type, 3},
  [152] =
    {field_end, 3},
    {field_operand, 0},
  [154] =
    {field_operand, 0},
    {field_start, 2},
  [156] =
    {field_name, 0},
    {field_name, 1},
    {field_type, 2},
    {field_value, 4},
  [160] =
    {field_body, 5},
    {field_name, 1},
    {field_parameters, 3},
    {field_result, 4},
    {field_type_parameters, 2},
  [165] =
    {field_body, 5},
    {field_name, 2},
    {field_parameters, 3},
    {field_receiver, 1},
    {field_result, 4},
  [170] =
    {field_name, 0},
    {field_name, 1, .inherited = true},
    {field_tag, 3},
    {field_type, 2},
  [174] =
    {field_condition, 2},
    {field_initializer, 0},
    {field_update, 4},
  [177] =
    {field_initializer, 1},
    {field_value, 3},
  [179] =
    {field_value, 0},
  [180] =
    {field_end, 4},
    {field_operand, 0},
    {field_start, 2},
  [183] =
    {field_alternative, 6},
    {field_condition, 3},
    {field_consequence, 4},
    {field_initializer, 1},
  [187] =
    {field_type, 1},
    {field_type, 2},
  [189] =
    {field_capacity, 5},
    {field_end, 3},
    {field_operand, 0},
  [192] =
    {field_alias, 0},
    {field_value, 2},
  [194] =
    {field_initializer, 0},
    {field_value, 2},
  [196] =
    {field_capacity, 6},
    {field_end, 4},
    {field_operand, 0},
    {field_start, 2},
  [200] =
    {field_alias, 2},
    {field_initializer, 0},
    {field_value, 4},
};

static const TSSymbol ts_alias_sequences[PRODUCTION_ID_COUNT][MAX_ALIAS_SEQUENCE_LENGTH] = {
  [0] = {0},
  [1] = {
    [0] = alias_sym_type_identifier,
  },
  [2] = {
    [1] = alias_sym_package_identifier,
  },
  [8] = {
    [1] = alias_sym_label_name,
  },
  [11] = {
    [0] = alias_sym_type_identifier,
  },
  [12] = {
    [0] = alias_sym_type_identifier,
  },
  [16] = {
    [0] = alias_sym_package_identifier,
  },
  [24] = {
    [0] = alias_sym_type_identifier,
  },
  [25] = {
    [0] = alias_sym_type_identifier,
  },
  [26] = {
    [0] = alias_sym_label_name,
  },
  [27] = {
    [0] = alias_sym_constraint_elem,
  },
  [32] = {
    [0] = alias_sym_package_identifier,
    [2] = alias_sym_type_identifier,
  },
  [35] = {
    [2] = alias_sym_field_identifier,
  },
  [44] = {
    [2] = alias_sym_field_identifier,
  },
  [48] = {
    [0] = alias_sym_type_identifier,
  },
  [49] = {
    [0] = alias_sym_type_identifier,
  },
  [50] = {
    [1] = alias_sym_type_identifier,
  },
  [51] = {
    [0] = alias_sym_type_identifier,
  },
  [52] = {
    [0] = alias_sym_field_identifier,
  },
  [54] = {
    [0] = alias_sym_field_identifier,
  },
  [72] = {
    [2] = alias_sym_field_identifier,
  },
  [73] = {
    [2] = alias_sym_field_identifier,
  },
  [74] = {
    [1] = alias_sym_type_identifier,
  },
  [76] = {
    [1] = alias_sym_field_identifier,
  },
  [77] = {
    [0] = alias_sym_field_identifier,
  },
  [78] = {
    [0] = alias_sym_field_identifier,
  },
  [79] = {
    [0] = alias_sym_field_identifier,
  },
  [94] = {
    [2] = alias_sym_field_identifier,
  },
  [95] = {
    [0] = alias_sym_field_identifier,
  },
};

static const uint16_t ts_non_terminal_alias_map[] = {
  sym__simple_type, 2,
    sym__simple_type,
    alias_sym_constraint_elem,
  0,
};

static const TSStateId ts_primary_state_ids[STATE_COUNT] = {
  [0] = 0,
  [1] = 1,
  [2] = 2,
  [3] = 3,
  [4] = 4,
  [5] = 5,
  [6] = 6,
  [7] = 7,
  [8] = 8,
  [9] = 9,
  [10] = 10,
  [11] = 11,
  [12] = 12,
  [13] = 12,
  [14] = 12,
  [15] = 12,
  [16] = 12,
  [17] = 12,
  [18] = 12,
  [19] = 19,
  [20] = 20,
  [21] = 21,
  [22] = 22,
  [23] = 23,
  [24] = 24,
  [25] = 25,
  [26] = 26,
  [27] = 27,
  [28] = 28,
  [29] = 28,
  [30] = 30,
  [31] = 28,
  [32] = 28,
  [33] = 28,
  [34] = 28,
  [35] = 35,
  [36] = 35,
  [37] = 37,
  [38] = 37,
  [39] = 37,
  [40] = 35,
  [41] = 35,
  [42] = 35,
  [43] = 37,
  [44] = 37,
  [45] = 37,
  [46] = 35,
  [47] = 47,
  [48] = 48,
  [49] = 49,
  [50] = 50,
  [51] = 50,
  [52] = 52,
  [53] = 53,
  [54] = 50,
  [55] = 55,
  [56] = 56,
  [57] = 52,
  [58] = 58,
  [59] = 53,
  [60] = 50,
  [61] = 53,
  [62] = 52,
  [63] = 52,
  [64] = 52,
  [65] = 65,
  [66] = 53,
  [67] = 53,
  [68] = 50,
  [69] = 53,
  [70] = 70,
  [71] = 50,
  [72] = 52,
  [73] = 73,
  [74] = 74,
  [75] = 74,
  [76] = 76,
  [77] = 77,
  [78] = 78,
  [79] = 79,
  [80] = 80,
  [81] = 74,
  [82] = 73,
  [83] = 79,
  [84] = 79,
  [85] = 85,
  [86] = 86,
  [87] = 85,
  [88] = 74,
  [89] = 89,
  [90] = 90,
  [91] = 80,
  [92] = 73,
  [93] = 80,
  [94] = 86,
  [95] = 95,
  [96] = 96,
  [97] = 97,
  [98] = 80,
  [99] = 90,
  [100] = 86,
  [101] = 101,
  [102] = 85,
  [103] = 73,
  [104] = 104,
  [105] = 73,
  [106] = 106,
  [107] = 107,
  [108] = 79,
  [109] = 85,
  [110] = 110,
  [111] = 85,
  [112] = 85,
  [113] = 79,
  [114] = 79,
  [115] = 74,
  [116] = 78,
  [117] = 73,
  [118] = 86,
  [119] = 80,
  [120] = 120,
  [121] = 86,
  [122] = 96,
  [123] = 74,
  [124] = 86,
  [125] = 125,
  [126] = 126,
  [127] = 80,
  [128] = 96,
  [129] = 90,
  [130] = 130,
  [131] = 131,
  [132] = 132,
  [133] = 133,
  [134] = 134,
  [135] = 135,
  [136] = 136,
  [137] = 137,
  [138] = 130,
  [139] = 139,
  [140] = 140,
  [141] = 141,
  [142] = 140,
  [143] = 141,
  [144] = 134,
  [145] = 133,
  [146] = 132,
  [147] = 131,
  [148] = 148,
  [149] = 137,
  [150] = 130,
  [151] = 139,
  [152] = 130,
  [153] = 136,
  [154] = 154,
  [155] = 136,
  [156] = 139,
  [157] = 157,
  [158] = 141,
  [159] = 136,
  [160] = 134,
  [161] = 137,
  [162] = 133,
  [163] = 133,
  [164] = 134,
  [165] = 165,
  [166] = 132,
  [167] = 141,
  [168] = 168,
  [169] = 139,
  [170] = 148,
  [171] = 157,
  [172] = 131,
  [173] = 154,
  [174] = 168,
  [175] = 130,
  [176] = 176,
  [177] = 137,
  [178] = 154,
  [179] = 130,
  [180] = 133,
  [181] = 134,
  [182] = 141,
  [183] = 139,
  [184] = 168,
  [185] = 130,
  [186] = 137,
  [187] = 139,
  [188] = 141,
  [189] = 131,
  [190] = 134,
  [191] = 133,
  [192] = 148,
  [193] = 193,
  [194] = 154,
  [195] = 157,
  [196] = 137,
  [197] = 154,
  [198] = 132,
  [199] = 131,
  [200] = 168,
  [201] = 157,
  [202] = 157,
  [203] = 132,
  [204] = 131,
  [205] = 137,
  [206] = 132,
  [207] = 157,
  [208] = 131,
  [209] = 130,
  [210] = 168,
  [211] = 140,
  [212] = 136,
  [213] = 148,
  [214] = 214,
  [215] = 215,
  [216] = 139,
  [217] = 137,
  [218] = 141,
  [219] = 134,
  [220] = 220,
  [221] = 154,
  [222] = 168,
  [223] = 148,
  [224] = 133,
  [225] = 131,
  [226] = 131,
  [227] = 148,
  [228] = 131,
  [229] = 133,
  [230] = 148,
  [231] = 134,
  [232] = 141,
  [233] = 139,
  [234] = 148,
  [235] = 235,
  [236] = 236,
  [237] = 237,
  [238] = 238,
  [239] = 239,
  [240] = 240,
  [241] = 241,
  [242] = 242,
  [243] = 243,
  [244] = 244,
  [245] = 245,
  [246] = 246,
  [247] = 247,
  [248] = 248,
  [249] = 249,
  [250] = 250,
  [251] = 251,
  [252] = 252,
  [253] = 253,
  [254] = 254,
  [255] = 255,
  [256] = 256,
  [257] = 257,
  [258] = 258,
  [259] = 259,
  [260] = 260,
  [261] = 261,
  [262] = 262,
  [263] = 263,
  [264] = 264,
  [265] = 265,
  [266] = 266,
  [267] = 267,
  [268] = 268,
  [269] = 269,
  [270] = 270,
  [271] = 271,
  [272] = 272,
  [273] = 273,
  [274] = 274,
  [275] = 275,
  [276] = 276,
  [277] = 277,
  [278] = 278,
  [279] = 279,
  [280] = 280,
  [281] = 281,
  [282] = 282,
  [283] = 283,
  [284] = 284,
  [285] = 239,
  [286] = 240,
  [287] = 245,
  [288] = 244,
  [289] = 243,
  [290] = 241,
  [291] = 242,
  [292] = 246,
  [293] = 250,
  [294] = 258,
  [295] = 261,
  [296] = 252,
  [297] = 256,
  [298] = 277,
  [299] = 247,
  [300] = 278,
  [301] = 279,
  [302] = 283,
  [303] = 284,
  [304] = 262,
  [305] = 259,
  [306] = 257,
  [307] = 260,
  [308] = 271,
  [309] = 280,
  [310] = 282,
  [311] = 268,
  [312] = 255,
  [313] = 273,
  [314] = 274,
  [315] = 276,
  [316] = 254,
  [317] = 270,
  [318] = 253,
  [319] = 266,
  [320] = 275,
  [321] = 272,
  [322] = 264,
  [323] = 263,
  [324] = 251,
  [325] = 267,
  [326] = 281,
  [327] = 265,
  [328] = 239,
  [329] = 243,
  [330] = 330,
  [331] = 245,
  [332] = 244,
  [333] = 241,
  [334] = 242,
  [335] = 246,
  [336] = 250,
  [337] = 255,
  [338] = 270,
  [339] = 284,
  [340] = 267,
  [341] = 282,
  [342] = 268,
  [343] = 265,
  [344] = 258,
  [345] = 273,
  [346] = 274,
  [347] = 276,
  [348] = 254,
  [349] = 278,
  [350] = 350,
  [351] = 277,
  [352] = 266,
  [353] = 275,
  [354] = 350,
  [355] = 272,
  [356] = 279,
  [357] = 283,
  [358] = 253,
  [359] = 251,
  [360] = 256,
  [361] = 271,
  [362] = 362,
  [363] = 264,
  [364] = 263,
  [365] = 260,
  [366] = 281,
  [367] = 252,
  [368] = 259,
  [369] = 262,
  [370] = 261,
  [371] = 280,
  [372] = 257,
  [373] = 247,
  [374] = 243,
  [375] = 245,
  [376] = 376,
  [377] = 250,
  [378] = 350,
  [379] = 350,
  [380] = 239,
  [381] = 381,
  [382] = 275,
  [383] = 283,
  [384] = 270,
  [385] = 253,
  [386] = 261,
  [387] = 247,
  [388] = 251,
  [389] = 389,
  [390] = 272,
  [391] = 277,
  [392] = 278,
  [393] = 266,
  [394] = 257,
  [395] = 395,
  [396] = 267,
  [397] = 279,
  [398] = 256,
  [399] = 263,
  [400] = 265,
  [401] = 281,
  [402] = 252,
  [403] = 254,
  [404] = 276,
  [405] = 264,
  [406] = 274,
  [407] = 273,
  [408] = 258,
  [409] = 255,
  [410] = 268,
  [411] = 284,
  [412] = 282,
  [413] = 280,
  [414] = 271,
  [415] = 260,
  [416] = 259,
  [417] = 262,
  [418] = 418,
  [419] = 246,
  [420] = 350,
  [421] = 242,
  [422] = 241,
  [423] = 244,
  [424] = 424,
  [425] = 350,
  [426] = 426,
  [427] = 427,
  [428] = 428,
  [429] = 239,
  [430] = 428,
  [431] = 243,
  [432] = 427,
  [433] = 433,
  [434] = 245,
  [435] = 435,
  [436] = 436,
  [437] = 437,
  [438] = 438,
  [439] = 438,
  [440] = 433,
  [441] = 244,
  [442] = 330,
  [443] = 424,
  [444] = 241,
  [445] = 242,
  [446] = 246,
  [447] = 447,
  [448] = 239,
  [449] = 437,
  [450] = 433,
  [451] = 436,
  [452] = 435,
  [453] = 437,
  [454] = 438,
  [455] = 436,
  [456] = 435,
  [457] = 250,
  [458] = 244,
  [459] = 459,
  [460] = 460,
  [461] = 461,
  [462] = 245,
  [463] = 389,
  [464] = 461,
  [465] = 389,
  [466] = 466,
  [467] = 389,
  [468] = 389,
  [469] = 243,
  [470] = 466,
  [471] = 460,
  [472] = 472,
  [473] = 473,
  [474] = 330,
  [475] = 242,
  [476] = 460,
  [477] = 477,
  [478] = 389,
  [479] = 461,
  [480] = 241,
  [481] = 246,
  [482] = 482,
  [483] = 239,
  [484] = 278,
  [485] = 258,
  [486] = 279,
  [487] = 273,
  [488] = 283,
  [489] = 250,
  [490] = 284,
  [491] = 274,
  [492] = 492,
  [493] = 276,
  [494] = 494,
  [495] = 495,
  [496] = 254,
  [497] = 266,
  [498] = 275,
  [499] = 272,
  [500] = 494,
  [501] = 239,
  [502] = 502,
  [503] = 247,
  [504] = 262,
  [505] = 264,
  [506] = 263,
  [507] = 281,
  [508] = 261,
  [509] = 494,
  [510] = 270,
  [511] = 259,
  [512] = 252,
  [513] = 426,
  [514] = 256,
  [515] = 494,
  [516] = 265,
  [517] = 267,
  [518] = 260,
  [519] = 251,
  [520] = 494,
  [521] = 271,
  [522] = 257,
  [523] = 253,
  [524] = 277,
  [525] = 280,
  [526] = 282,
  [527] = 255,
  [528] = 268,
  [529] = 529,
  [530] = 494,
  [531] = 531,
  [532] = 246,
  [533] = 241,
  [534] = 242,
  [535] = 246,
  [536] = 284,
  [537] = 259,
  [538] = 260,
  [539] = 271,
  [540] = 280,
  [541] = 282,
  [542] = 268,
  [543] = 543,
  [544] = 544,
  [545] = 255,
  [546] = 544,
  [547] = 258,
  [548] = 273,
  [549] = 274,
  [550] = 276,
  [551] = 244,
  [552] = 254,
  [553] = 266,
  [554] = 275,
  [555] = 272,
  [556] = 279,
  [557] = 557,
  [558] = 264,
  [559] = 278,
  [560] = 263,
  [561] = 561,
  [562] = 283,
  [563] = 277,
  [564] = 426,
  [565] = 242,
  [566] = 241,
  [567] = 244,
  [568] = 281,
  [569] = 252,
  [570] = 261,
  [571] = 270,
  [572] = 247,
  [573] = 256,
  [574] = 265,
  [575] = 267,
  [576] = 251,
  [577] = 577,
  [578] = 557,
  [579] = 253,
  [580] = 580,
  [581] = 239,
  [582] = 257,
  [583] = 544,
  [584] = 584,
  [585] = 585,
  [586] = 586,
  [587] = 587,
  [588] = 584,
  [589] = 557,
  [590] = 584,
  [591] = 262,
  [592] = 592,
  [593] = 593,
  [594] = 593,
  [595] = 595,
  [596] = 596,
  [597] = 597,
  [598] = 598,
  [599] = 592,
  [600] = 600,
  [601] = 601,
  [602] = 598,
  [603] = 597,
  [604] = 604,
  [605] = 595,
  [606] = 595,
  [607] = 597,
  [608] = 598,
  [609] = 593,
  [610] = 593,
  [611] = 597,
  [612] = 330,
  [613] = 595,
  [614] = 598,
  [615] = 593,
  [616] = 597,
  [617] = 617,
  [618] = 598,
  [619] = 604,
  [620] = 595,
  [621] = 621,
  [622] = 604,
  [623] = 598,
  [624] = 472,
  [625] = 595,
  [626] = 626,
  [627] = 592,
  [628] = 628,
  [629] = 330,
  [630] = 630,
  [631] = 597,
  [632] = 593,
  [633] = 633,
  [634] = 634,
  [635] = 635,
  [636] = 634,
  [637] = 637,
  [638] = 638,
  [639] = 639,
  [640] = 639,
  [641] = 641,
  [642] = 639,
  [643] = 643,
  [644] = 633,
  [645] = 645,
  [646] = 645,
  [647] = 641,
  [648] = 648,
  [649] = 649,
  [650] = 635,
  [651] = 651,
  [652] = 652,
  [653] = 653,
  [654] = 638,
  [655] = 652,
  [656] = 639,
  [657] = 657,
  [658] = 658,
  [659] = 651,
  [660] = 649,
  [661] = 661,
  [662] = 652,
  [663] = 648,
  [664] = 664,
  [665] = 665,
  [666] = 652,
  [667] = 667,
  [668] = 668,
  [669] = 633,
  [670] = 670,
  [671] = 665,
  [672] = 638,
  [673] = 651,
  [674] = 645,
  [675] = 639,
  [676] = 658,
  [677] = 651,
  [678] = 645,
  [679] = 665,
  [680] = 639,
  [681] = 637,
  [682] = 653,
  [683] = 657,
  [684] = 684,
  [685] = 643,
  [686] = 657,
  [687] = 652,
  [688] = 688,
  [689] = 653,
  [690] = 690,
  [691] = 637,
  [692] = 648,
  [693] = 693,
  [694] = 643,
  [695] = 670,
  [696] = 641,
  [697] = 633,
  [698] = 643,
  [699] = 665,
  [700] = 653,
  [701] = 649,
  [702] = 670,
  [703] = 641,
  [704] = 704,
  [705] = 705,
  [706] = 706,
  [707] = 707,
  [708] = 668,
  [709] = 637,
  [710] = 649,
  [711] = 645,
  [712] = 643,
  [713] = 633,
  [714] = 638,
  [715] = 638,
  [716] = 648,
  [717] = 670,
  [718] = 718,
  [719] = 719,
  [720] = 633,
  [721] = 634,
  [722] = 648,
  [723] = 643,
  [724] = 649,
  [725] = 658,
  [726] = 641,
  [727] = 657,
  [728] = 651,
  [729] = 653,
  [730] = 657,
  [731] = 637,
  [732] = 665,
  [733] = 472,
  [734] = 670,
  [735] = 651,
  [736] = 670,
  [737] = 638,
  [738] = 665,
  [739] = 637,
  [740] = 641,
  [741] = 635,
  [742] = 652,
  [743] = 653,
  [744] = 744,
  [745] = 657,
  [746] = 648,
  [747] = 747,
  [748] = 645,
  [749] = 649,
  [750] = 668,
  [751] = 751,
  [752] = 752,
  [753] = 753,
  [754] = 754,
  [755] = 755,
  [756] = 756,
  [757] = 753,
  [758] = 755,
  [759] = 752,
  [760] = 754,
  [761] = 761,
  [762] = 754,
  [763] = 752,
  [764] = 755,
  [765] = 753,
  [766] = 766,
  [767] = 767,
  [768] = 756,
  [769] = 769,
  [770] = 770,
  [771] = 761,
  [772] = 772,
  [773] = 770,
  [774] = 774,
  [775] = 770,
  [776] = 776,
  [777] = 777,
  [778] = 777,
  [779] = 779,
  [780] = 779,
  [781] = 781,
  [782] = 782,
  [783] = 783,
  [784] = 784,
  [785] = 785,
  [786] = 786,
  [787] = 787,
  [788] = 788,
  [789] = 789,
  [790] = 790,
  [791] = 777,
  [792] = 792,
  [793] = 793,
  [794] = 794,
  [795] = 795,
  [796] = 796,
  [797] = 797,
  [798] = 798,
  [799] = 799,
  [800] = 800,
  [801] = 801,
  [802] = 802,
  [803] = 803,
  [804] = 804,
  [805] = 805,
  [806] = 806,
  [807] = 807,
  [808] = 808,
  [809] = 777,
  [810] = 810,
  [811] = 811,
  [812] = 812,
  [813] = 813,
  [814] = 814,
  [815] = 815,
  [816] = 816,
  [817] = 779,
  [818] = 818,
  [819] = 819,
  [820] = 818,
  [821] = 779,
  [822] = 822,
  [823] = 799,
  [824] = 812,
  [825] = 783,
  [826] = 810,
  [827] = 814,
  [828] = 797,
  [829] = 808,
  [830] = 813,
  [831] = 811,
  [832] = 792,
  [833] = 793,
  [834] = 805,
  [835] = 835,
  [836] = 796,
  [837] = 800,
  [838] = 790,
  [839] = 839,
  [840] = 794,
  [841] = 806,
  [842] = 795,
  [843] = 843,
  [844] = 835,
  [845] = 798,
  [846] = 788,
  [847] = 847,
  [848] = 802,
  [849] = 785,
  [850] = 807,
  [851] = 803,
  [852] = 847,
  [853] = 801,
  [854] = 804,
  [855] = 855,
  [856] = 816,
  [857] = 787,
  [858] = 822,
  [859] = 859,
  [860] = 815,
  [861] = 861,
  [862] = 777,
  [863] = 777,
  [864] = 864,
  [865] = 865,
  [866] = 866,
  [867] = 867,
  [868] = 868,
  [869] = 767,
  [870] = 779,
  [871] = 779,
  [872] = 872,
  [873] = 873,
  [874] = 865,
  [875] = 875,
  [876] = 876,
  [877] = 877,
  [878] = 878,
  [879] = 766,
  [880] = 808,
  [881] = 881,
  [882] = 882,
  [883] = 883,
  [884] = 884,
  [885] = 885,
  [886] = 886,
  [887] = 859,
  [888] = 888,
  [889] = 813,
  [890] = 792,
  [891] = 788,
  [892] = 785,
  [893] = 893,
  [894] = 894,
  [895] = 802,
  [896] = 800,
  [897] = 859,
  [898] = 898,
  [899] = 899,
  [900] = 900,
  [901] = 767,
  [902] = 902,
  [903] = 805,
  [904] = 904,
  [905] = 796,
  [906] = 859,
  [907] = 806,
  [908] = 804,
  [909] = 909,
  [910] = 859,
  [911] = 787,
  [912] = 816,
  [913] = 913,
  [914] = 914,
  [915] = 915,
  [916] = 916,
  [917] = 859,
  [918] = 814,
  [919] = 919,
  [920] = 766,
  [921] = 803,
  [922] = 922,
  [923] = 923,
  [924] = 815,
  [925] = 925,
  [926] = 793,
  [927] = 807,
  [928] = 928,
  [929] = 929,
  [930] = 801,
  [931] = 797,
  [932] = 794,
  [933] = 795,
  [934] = 934,
  [935] = 810,
  [936] = 936,
  [937] = 798,
  [938] = 938,
  [939] = 799,
  [940] = 783,
  [941] = 790,
  [942] = 811,
  [943] = 812,
  [944] = 944,
  [945] = 945,
  [946] = 946,
  [947] = 947,
  [948] = 948,
  [949] = 949,
  [950] = 950,
  [951] = 951,
  [952] = 909,
  [953] = 953,
  [954] = 954,
  [955] = 955,
  [956] = 956,
  [957] = 957,
  [958] = 958,
  [959] = 959,
  [960] = 960,
  [961] = 888,
  [962] = 962,
  [963] = 886,
  [964] = 964,
  [965] = 965,
  [966] = 966,
  [967] = 967,
  [968] = 968,
  [969] = 969,
  [970] = 970,
  [971] = 971,
  [972] = 972,
  [973] = 973,
  [974] = 974,
  [975] = 975,
  [976] = 976,
  [977] = 977,
  [978] = 978,
  [979] = 979,
  [980] = 980,
  [981] = 981,
  [982] = 982,
  [983] = 983,
  [984] = 984,
  [985] = 985,
  [986] = 986,
  [987] = 987,
  [988] = 988,
  [989] = 989,
  [990] = 990,
  [991] = 991,
  [992] = 992,
  [993] = 993,
  [994] = 994,
  [995] = 995,
  [996] = 996,
  [997] = 997,
  [998] = 998,
  [999] = 999,
  [1000] = 1000,
  [1001] = 1001,
  [1002] = 1002,
  [1003] = 1003,
  [1004] = 1004,
  [1005] = 1005,
  [1006] = 954,
  [1007] = 1007,
  [1008] = 1008,
  [1009] = 1009,
  [1010] = 1010,
  [1011] = 1011,
  [1012] = 1008,
  [1013] = 1013,
  [1014] = 1014,
  [1015] = 1015,
  [1016] = 1011,
  [1017] = 867,
  [1018] = 866,
  [1019] = 864,
  [1020] = 1020,
  [1021] = 1020,
  [1022] = 1022,
  [1023] = 866,
  [1024] = 864,
  [1025] = 1015,
  [1026] = 1026,
  [1027] = 1027,
  [1028] = 1028,
  [1029] = 1029,
  [1030] = 1030,
  [1031] = 1031,
  [1032] = 1032,
  [1033] = 1033,
  [1034] = 1034,
  [1035] = 1035,
  [1036] = 1036,
  [1037] = 1037,
  [1038] = 1038,
  [1039] = 1039,
  [1040] = 1040,
  [1041] = 1011,
  [1042] = 1020,
  [1043] = 1043,
  [1044] = 1044,
  [1045] = 1020,
  [1046] = 1027,
  [1047] = 1010,
  [1048] = 1020,
  [1049] = 1020,
  [1050] = 866,
  [1051] = 867,
  [1052] = 1052,
  [1053] = 1033,
  [1054] = 1008,
  [1055] = 1029,
  [1056] = 1056,
  [1057] = 1015,
  [1058] = 867,
  [1059] = 1015,
  [1060] = 866,
  [1061] = 1008,
  [1062] = 1062,
  [1063] = 867,
  [1064] = 1011,
  [1065] = 1065,
  [1066] = 864,
  [1067] = 1029,
  [1068] = 1035,
  [1069] = 866,
  [1070] = 1008,
  [1071] = 1013,
  [1072] = 1027,
  [1073] = 1011,
  [1074] = 864,
  [1075] = 1009,
  [1076] = 864,
  [1077] = 962,
  [1078] = 1078,
  [1079] = 973,
  [1080] = 1080,
  [1081] = 1011,
  [1082] = 1082,
  [1083] = 1083,
  [1084] = 1011,
  [1085] = 1015,
  [1086] = 1086,
  [1087] = 1087,
  [1088] = 945,
  [1089] = 1022,
  [1090] = 1015,
  [1091] = 1091,
  [1092] = 1020,
  [1093] = 1013,
  [1094] = 867,
  [1095] = 1095,
  [1096] = 1033,
  [1097] = 1097,
  [1098] = 1010,
  [1099] = 1008,
  [1100] = 1100,
  [1101] = 1101,
  [1102] = 1102,
  [1103] = 253,
  [1104] = 1104,
  [1105] = 1105,
  [1106] = 1106,
  [1107] = 1101,
  [1108] = 247,
  [1109] = 1109,
  [1110] = 1110,
  [1111] = 1111,
  [1112] = 1112,
  [1113] = 1113,
  [1114] = 1114,
  [1115] = 766,
  [1116] = 1116,
  [1117] = 1117,
  [1118] = 1118,
  [1119] = 1119,
  [1120] = 251,
  [1121] = 1105,
  [1122] = 1122,
  [1123] = 1100,
  [1124] = 1124,
  [1125] = 1125,
  [1126] = 1102,
  [1127] = 1127,
  [1128] = 1128,
  [1129] = 1129,
  [1130] = 1130,
  [1131] = 1131,
  [1132] = 1132,
  [1133] = 1133,
  [1134] = 1117,
  [1135] = 1135,
  [1136] = 1131,
  [1137] = 1137,
  [1138] = 1110,
  [1139] = 1139,
  [1140] = 1127,
  [1141] = 1125,
  [1142] = 1100,
  [1143] = 1143,
  [1144] = 1116,
  [1145] = 766,
  [1146] = 1112,
  [1147] = 1109,
  [1148] = 1131,
  [1149] = 1149,
  [1150] = 1127,
  [1151] = 1151,
  [1152] = 1105,
  [1153] = 1100,
  [1154] = 1154,
  [1155] = 1155,
  [1156] = 1112,
  [1157] = 1157,
  [1158] = 1158,
  [1159] = 767,
  [1160] = 1109,
  [1161] = 1161,
  [1162] = 1162,
  [1163] = 1163,
  [1164] = 1164,
  [1165] = 1165,
  [1166] = 1166,
  [1167] = 1167,
  [1168] = 1168,
  [1169] = 1169,
  [1170] = 1112,
  [1171] = 1171,
  [1172] = 1172,
  [1173] = 1137,
  [1174] = 1109,
  [1175] = 1132,
  [1176] = 779,
  [1177] = 1112,
  [1178] = 1178,
  [1179] = 252,
  [1180] = 1180,
  [1181] = 1181,
  [1182] = 1131,
  [1183] = 1183,
  [1184] = 1127,
  [1185] = 1127,
  [1186] = 1100,
  [1187] = 1187,
  [1188] = 1131,
  [1189] = 1189,
  [1190] = 1131,
  [1191] = 1112,
  [1192] = 1192,
  [1193] = 1109,
  [1194] = 1194,
  [1195] = 1109,
  [1196] = 1127,
  [1197] = 1125,
  [1198] = 1198,
  [1199] = 1100,
  [1200] = 1116,
  [1201] = 1201,
  [1202] = 1202,
  [1203] = 1203,
  [1204] = 1204,
  [1205] = 1205,
  [1206] = 1206,
  [1207] = 1207,
  [1208] = 1189,
  [1209] = 1209,
  [1210] = 1210,
  [1211] = 1210,
  [1212] = 1212,
  [1213] = 1213,
  [1214] = 1210,
  [1215] = 990,
  [1216] = 1216,
  [1217] = 1210,
  [1218] = 1209,
  [1219] = 1219,
  [1220] = 1220,
  [1221] = 1221,
  [1222] = 1222,
  [1223] = 1223,
  [1224] = 1210,
  [1225] = 991,
  [1226] = 1226,
  [1227] = 1227,
  [1228] = 1209,
  [1229] = 1220,
  [1230] = 957,
  [1231] = 1231,
  [1232] = 1232,
  [1233] = 956,
  [1234] = 1227,
  [1235] = 1235,
  [1236] = 1216,
  [1237] = 1216,
  [1238] = 1227,
  [1239] = 1239,
  [1240] = 1122,
  [1241] = 1241,
  [1242] = 1242,
  [1243] = 1243,
  [1244] = 1139,
  [1245] = 1235,
  [1246] = 1220,
  [1247] = 1194,
  [1248] = 1242,
  [1249] = 1231,
  [1250] = 1250,
  [1251] = 1202,
  [1252] = 1209,
  [1253] = 1129,
  [1254] = 979,
  [1255] = 1220,
  [1256] = 1256,
  [1257] = 1239,
  [1258] = 1258,
  [1259] = 1242,
  [1260] = 1231,
  [1261] = 1216,
  [1262] = 1203,
  [1263] = 1239,
  [1264] = 1227,
  [1265] = 1265,
  [1266] = 1216,
  [1267] = 1178,
  [1268] = 1268,
  [1269] = 1239,
  [1270] = 1270,
  [1271] = 1271,
  [1272] = 1216,
  [1273] = 1172,
  [1274] = 1274,
  [1275] = 1209,
  [1276] = 1231,
  [1277] = 1242,
  [1278] = 1210,
  [1279] = 1279,
  [1280] = 1280,
  [1281] = 1242,
  [1282] = 1239,
  [1283] = 1283,
  [1284] = 1220,
  [1285] = 1157,
  [1286] = 1227,
  [1287] = 1239,
  [1288] = 1154,
  [1289] = 1221,
  [1290] = 1231,
  [1291] = 1151,
  [1292] = 1292,
  [1293] = 1220,
  [1294] = 1242,
  [1295] = 1295,
  [1296] = 1209,
  [1297] = 1231,
  [1298] = 1298,
  [1299] = 1299,
  [1300] = 1221,
  [1301] = 1235,
  [1302] = 1302,
  [1303] = 1227,
  [1304] = 1283,
  [1305] = 1305,
  [1306] = 1305,
  [1307] = 1307,
  [1308] = 1308,
  [1309] = 1309,
  [1310] = 1310,
  [1311] = 1308,
  [1312] = 1312,
  [1313] = 1313,
  [1314] = 1314,
  [1315] = 1315,
  [1316] = 1312,
  [1317] = 1305,
  [1318] = 1312,
  [1319] = 1310,
  [1320] = 1320,
  [1321] = 1321,
  [1322] = 1322,
  [1323] = 1314,
  [1324] = 1314,
  [1325] = 1309,
  [1326] = 1307,
  [1327] = 1327,
  [1328] = 1305,
  [1329] = 1329,
  [1330] = 1307,
  [1331] = 1331,
  [1332] = 1307,
  [1333] = 1314,
  [1334] = 1334,
  [1335] = 1335,
  [1336] = 1336,
  [1337] = 1337,
  [1338] = 1338,
  [1339] = 1339,
  [1340] = 1340,
  [1341] = 1341,
  [1342] = 1320,
  [1343] = 1343,
  [1344] = 1344,
  [1345] = 1345,
  [1346] = 1340,
  [1347] = 1307,
  [1348] = 1320,
  [1349] = 1305,
  [1350] = 1309,
  [1351] = 1351,
  [1352] = 1352,
  [1353] = 1312,
  [1354] = 1314,
  [1355] = 1355,
  [1356] = 1356,
  [1357] = 1357,
  [1358] = 1358,
  [1359] = 1359,
  [1360] = 1310,
  [1361] = 1307,
  [1362] = 1312,
  [1363] = 1351,
  [1364] = 1340,
  [1365] = 1305,
  [1366] = 1366,
  [1367] = 1367,
  [1368] = 1368,
  [1369] = 1369,
  [1370] = 1308,
  [1371] = 1307,
  [1372] = 1321,
  [1373] = 1314,
  [1374] = 1312,
  [1375] = 1340,
  [1376] = 1340,
  [1377] = 1340,
};

static inline bool sym_identifier_character_set_1(int32_t c) {
  return (c < 43520
    ? (c < 4197
      ? (c < 2730
        ? (c < 2036
          ? (c < 1015
            ? (c < 750
              ? (c < 216
                ? (c < 181
                  ? (c < 170
                    ? (c >= 'A' && c <= 'z')
                    : c <= 170)
                  : (c <= 181 || (c < 192
                    ? c == 186
                    : c <= 214)))
                : (c <= 246 || (c < 736
                  ? (c < 710
                    ? (c >= 248 && c <= 705)
                    : c <= 721)
                  : (c <= 740 || c == 748))))
              : (c <= 750 || (c < 902
                ? (c < 891
                  ? (c < 886
                    ? (c >= 880 && c <= 884)
                    : c <= 887)
                  : (c <= 893 || c == 895))
                : (c <= 902 || (c < 910
                  ? (c < 908
                    ? (c >= 904 && c <= 906)
                    : c <= 908)
                  : (c <= 929 || (c >= 931 && c <= 1013)))))))
            : (c <= 1153 || (c < 1749
              ? (c < 1488
                ? (c < 1369
                  ? (c < 1329
                    ? (c >= 1162 && c <= 1327)
                    : c <= 1366)
                  : (c <= 1369 || (c >= 1376 && c <= 1416)))
                : (c <= 1514 || (c < 1646
                  ? (c < 1568
                    ? (c >= 1519 && c <= 1522)
                    : c <= 1610)
                  : (c <= 1647 || (c >= 1649 && c <= 1747)))))
              : (c <= 1749 || (c < 1808
                ? (c < 1786
                  ? (c < 1774
                    ? (c >= 1765 && c <= 1766)
                    : c <= 1775)
                  : (c <= 1788 || c == 1791))
                : (c <= 1808 || (c < 1969
                  ? (c < 1869
                    ? (c >= 1810 && c <= 1839)
                    : c <= 1957)
                  : (c <= 1969 || (c >= 1994 && c <= 2026)))))))))
          : (c <= 2037 || (c < 2486
            ? (c < 2308
              ? (c < 2112
                ? (c < 2074
                  ? (c < 2048
                    ? c == 2042
                    : c <= 2069)
                  : (c <= 2074 || (c < 2088
                    ? c == 2084
                    : c <= 2088)))
                : (c <= 2136 || (c < 2185
                  ? (c < 2160
                    ? (c >= 2144 && c <= 2154)
                    : c <= 2183)
                  : (c <= 2190 || (c >= 2208 && c <= 2249)))))
              : (c <= 2361 || (c < 2437
                ? (c < 2392
                  ? (c < 2384
                    ? c == 2365
                    : c <= 2384)
                  : (c <= 2401 || (c >= 2417 && c <= 2432)))
                : (c <= 2444 || (c < 2474
                  ? (c < 2451
                    ? (c >= 2447 && c <= 2448)
                    : c <= 2472)
                  : (c <= 2480 || c == 2482))))))
            : (c <= 2489 || (c < 2602
              ? (c < 2544
                ? (c < 2524
                  ? (c < 2510
                    ? c == 2493
                    : c <= 2510)
                  : (c <= 2525 || (c >= 2527 && c <= 2529)))
                : (c <= 2545 || (c < 2575
                  ? (c < 2565
                    ? c == 2556
                    : c <= 2570)
                  : (c <= 2576 || (c >= 2579 && c <= 2600)))))
              : (c <= 2608 || (c < 2654
                ? (c < 2616
                  ? (c < 2613
                    ? (c >= 2610 && c <= 2611)
                    : c <= 2614)
                  : (c <= 2617 || (c >= 2649 && c <= 2652)))
                : (c <= 2654 || (c < 2703
                  ? (c < 2693
                    ? (c >= 2674 && c <= 2676)
                    : c <= 2701)
                  : (c <= 2705 || (c >= 2707 && c <= 2728)))))))))))
        : (c <= 2736 || (c < 3253
          ? (c < 2969
            ? (c < 2866
              ? (c < 2809
                ? (c < 2749
                  ? (c < 2741
                    ? (c >= 2738 && c <= 2739)
                    : c <= 2745)
                  : (c <= 2749 || (c < 2784
                    ? c == 2768
                    : c <= 2785)))
                : (c <= 2809 || (c < 2835
                  ? (c < 2831
                    ? (c >= 2821 && c <= 2828)
                    : c <= 2832)
                  : (c <= 2856 || (c >= 2858 && c <= 2864)))))
              : (c <= 2867 || (c < 2929
                ? (c < 2908
                  ? (c < 2877
                    ? (c >= 2869 && c <= 2873)
                    : c <= 2877)
                  : (c <= 2909 || (c >= 2911 && c <= 2913)))
                : (c <= 2929 || (c < 2958
                  ? (c < 2949
                    ? c == 2947
                    : c <= 2954)
                  : (c <= 2960 || (c >= 2962 && c <= 2965)))))))
            : (c <= 2970 || (c < 3114
              ? (c < 2990
                ? (c < 2979
                  ? (c < 2974
                    ? c == 2972
                    : c <= 2975)
                  : (c <= 2980 || (c >= 2984 && c <= 2986)))
                : (c <= 3001 || (c < 3086
                  ? (c < 3077
                    ? c == 3024
                    : c <= 3084)
                  : (c <= 3088 || (c >= 3090 && c <= 3112)))))
              : (c <= 3129 || (c < 3200
                ? (c < 3165
                  ? (c < 3160
                    ? c == 3133
                    : c <= 3162)
                  : (c <= 3165 || (c >= 3168 && c <= 3169)))
                : (c <= 3200 || (c < 3218
                  ? (c < 3214
                    ? (c >= 3205 && c <= 3212)
                    : c <= 3216)
                  : (c <= 3240 || (c >= 3242 && c <= 3251)))))))))
          : (c <= 3257 || (c < 3713
            ? (c < 3423
              ? (c < 3342
                ? (c < 3296
                  ? (c < 3293
                    ? c == 3261
                    : c <= 3294)
                  : (c <= 3297 || (c < 3332
                    ? (c >= 3313 && c <= 3314)
                    : c <= 3340)))
                : (c <= 3344 || (c < 3406
                  ? (c < 3389
                    ? (c >= 3346 && c <= 3386)
                    : c <= 3389)
                  : (c <= 3406 || (c >= 3412 && c <= 3414)))))
              : (c <= 3425 || (c < 3517
                ? (c < 3482
                  ? (c < 3461
                    ? (c >= 3450 && c <= 3455)
                    : c <= 3478)
                  : (c <= 3505 || (c >= 3507 && c <= 3515)))
                : (c <= 3517 || (c < 3634
                  ? (c < 3585
                    ? (c >= 3520 && c <= 3526)
                    : c <= 3632)
                  : (c <= 3634 || (c >= 3648 && c <= 3654)))))))
            : (c <= 3714 || (c < 3804
              ? (c < 3751
                ? (c < 3724
                  ? (c < 3718
                    ? c == 3716
                    : c <= 3722)
                  : (c <= 3747 || c == 3749))
                : (c <= 3760 || (c < 3776
                  ? (c < 3773
                    ? c == 3762
                    : c <= 3773)
                  : (c <= 3780 || c == 3782))))
              : (c <= 3807 || (c < 4096
                ? (c < 3913
                  ? (c < 3904
                    ? c == 3840
                    : c <= 3911)
                  : (c <= 3948 || (c >= 3976 && c <= 3980)))
                : (c <= 4138 || (c < 4186
                  ? (c < 4176
                    ? c == 4159
                    : c <= 4181)
                  : (c <= 4189 || c == 4193))))))))))))
      : (c <= 4198 || (c < 8144
        ? (c < 6272
          ? (c < 4824
            ? (c < 4696
              ? (c < 4301
                ? (c < 4238
                  ? (c < 4213
                    ? (c >= 4206 && c <= 4208)
                    : c <= 4225)
                  : (c <= 4238 || (c < 4295
                    ? (c >= 4256 && c <= 4293)
                    : c <= 4295)))
                : (c <= 4301 || (c < 4682
                  ? (c < 4348
                    ? (c >= 4304 && c <= 4346)
                    : c <= 4680)
                  : (c <= 4685 || (c >= 4688 && c <= 4694)))))
              : (c <= 4696 || (c < 4786
                ? (c < 4746
                  ? (c < 4704
                    ? (c >= 4698 && c <= 4701)
                    : c <= 4744)
                  : (c <= 4749 || (c >= 4752 && c <= 4784)))
                : (c <= 4789 || (c < 4802
                  ? (c < 4800
                    ? (c >= 4792 && c <= 4798)
                    : c <= 4800)
                  : (c <= 4805 || (c >= 4808 && c <= 4822)))))))
            : (c <= 4880 || (c < 5870
              ? (c < 5112
                ? (c < 4992
                  ? (c < 4888
                    ? (c >= 4882 && c <= 4885)
                    : c <= 4954)
                  : (c <= 5007 || (c >= 5024 && c <= 5109)))
                : (c <= 5117 || (c < 5761
                  ? (c < 5743
                    ? (c >= 5121 && c <= 5740)
                    : c <= 5759)
                  : (c <= 5786 || (c >= 5792 && c <= 5866)))))
              : (c <= 5880 || (c < 5998
                ? (c < 5952
                  ? (c < 5919
                    ? (c >= 5888 && c <= 5905)
                    : c <= 5937)
                  : (c <= 5969 || (c >= 5984 && c <= 5996)))
                : (c <= 6000 || (c < 6108
                  ? (c < 6103
                    ? (c >= 6016 && c <= 6067)
                    : c <= 6103)
                  : (c <= 6108 || (c >= 6176 && c <= 6264)))))))))
          : (c <= 6312 || (c < 7357
            ? (c < 6917
              ? (c < 6528
                ? (c < 6400
                  ? (c < 6320
                    ? c == 6314
                    : c <= 6389)
                  : (c <= 6430 || (c < 6512
                    ? (c >= 6480 && c <= 6509)
                    : c <= 6516)))
                : (c <= 6571 || (c < 6688
                  ? (c < 6656
                    ? (c >= 6576 && c <= 6601)
                    : c <= 6678)
                  : (c <= 6740 || c == 6823))))
              : (c <= 6963 || (c < 7168
                ? (c < 7086
                  ? (c < 7043
                    ? (c >= 6981 && c <= 6988)
                    : c <= 7072)
                  : (c <= 7087 || (c >= 7098 && c <= 7141)))
                : (c <= 7203 || (c < 7296
                  ? (c < 7258
                    ? (c >= 7245 && c <= 7247)
                    : c <= 7293)
                  : (c <= 7304 || (c >= 7312 && c <= 7354)))))))
            : (c <= 7359 || (c < 8016
              ? (c < 7424
                ? (c < 7413
                  ? (c < 7406
                    ? (c >= 7401 && c <= 7404)
                    : c <= 7411)
                  : (c <= 7414 || c == 7418))
                : (c <= 7615 || (c < 7968
                  ? (c < 7960
                    ? (c >= 7680 && c <= 7957)
                    : c <= 7965)
                  : (c <= 8005 || (c >= 8008 && c <= 8013)))))
              : (c <= 8023 || (c < 8064
                ? (c < 8029
                  ? (c < 8027
                    ? c == 8025
                    : c <= 8027)
                  : (c <= 8029 || (c >= 8031 && c <= 8061)))
                : (c <= 8116 || (c < 8130
                  ? (c < 8126
                    ? (c >= 8118 && c <= 8124)
                    : c <= 8126)
                  : (c <= 8132 || (c >= 8134 && c <= 8140)))))))))))
        : (c <= 8147 || (c < 12344
          ? (c < 11264
            ? (c < 8469
              ? (c < 8319
                ? (c < 8178
                  ? (c < 8160
                    ? (c >= 8150 && c <= 8155)
                    : c <= 8172)
                  : (c <= 8180 || (c < 8305
                    ? (c >= 8182 && c <= 8188)
                    : c <= 8305)))
                : (c <= 8319 || (c < 8455
                  ? (c < 8450
                    ? (c >= 8336 && c <= 8348)
                    : c <= 8450)
                  : (c <= 8455 || (c >= 8458 && c <= 8467)))))
              : (c <= 8469 || (c < 8490
                ? (c < 8486
                  ? (c < 8484
                    ? (c >= 8472 && c <= 8477)
                    : c <= 8484)
                  : (c <= 8486 || c == 8488))
                : (c <= 8505 || (c < 8526
                  ? (c < 8517
                    ? (c >= 8508 && c <= 8511)
                    : c <= 8521)
                  : (c <= 8526 || (c >= 8544 && c <= 8584)))))))
            : (c <= 11492 || (c < 11688
              ? (c < 11565
                ? (c < 11520
                  ? (c < 11506
                    ? (c >= 11499 && c <= 11502)
                    : c <= 11507)
                  : (c <= 11557 || c == 11559))
                : (c <= 11565 || (c < 11648
                  ? (c < 11631
                    ? (c >= 11568 && c <= 11623)
                    : c <= 11631)
                  : (c <= 11670 || (c >= 11680 && c <= 11686)))))
              : (c <= 11694 || (c < 11728
                ? (c < 11712
                  ? (c < 11704
                    ? (c >= 11696 && c <= 11702)
                    : c <= 11710)
                  : (c <= 11718 || (c >= 11720 && c <= 11726)))
                : (c <= 11734 || (c < 12321
                  ? (c < 12293
                    ? (c >= 11736 && c <= 11742)
                    : c <= 12295)
                  : (c <= 12329 || (c >= 12337 && c <= 12341)))))))))
          : (c <= 12348 || (c < 42960
            ? (c < 42192
              ? (c < 12593
                ? (c < 12449
                  ? (c < 12445
                    ? (c >= 12353 && c <= 12438)
                    : c <= 12447)
                  : (c <= 12538 || (c < 12549
                    ? (c >= 12540 && c <= 12543)
                    : c <= 12591)))
                : (c <= 12686 || (c < 13312
                  ? (c < 12784
                    ? (c >= 12704 && c <= 12735)
                    : c <= 12799)
                  : (c <= 19903 || (c >= 19968 && c <= 42124)))))
              : (c <= 42237 || (c < 42623
                ? (c < 42538
                  ? (c < 42512
                    ? (c >= 42240 && c <= 42508)
                    : c <= 42527)
                  : (c <= 42539 || (c >= 42560 && c <= 42606)))
                : (c <= 42653 || (c < 42786
                  ? (c < 42775
                    ? (c >= 42656 && c <= 42735)
                    : c <= 42783)
                  : (c <= 42888 || (c >= 42891 && c <= 42954)))))))
            : (c <= 42961 || (c < 43259
              ? (c < 43015
                ? (c < 42994
                  ? (c < 42965
                    ? c == 42963
                    : c <= 42969)
                  : (c <= 43009 || (c >= 43011 && c <= 43013)))
                : (c <= 43018 || (c < 43138
                  ? (c < 43072
                    ? (c >= 43020 && c <= 43042)
                    : c <= 43123)
                  : (c <= 43187 || (c >= 43250 && c <= 43255)))))
              : (c <= 43259 || (c < 43396
                ? (c < 43312
                  ? (c < 43274
                    ? (c >= 43261 && c <= 43262)
                    : c <= 43301)
                  : (c <= 43334 || (c >= 43360 && c <= 43388)))
                : (c <= 43442 || (c < 43494
                  ? (c < 43488
                    ? c == 43471
                    : c <= 43492)
                  : (c <= 43503 || (c >= 43514 && c <= 43518)))))))))))))))
    : (c <= 43560 || (c < 70751
      ? (c < 66964
        ? (c < 65008
          ? (c < 43888
            ? (c < 43739
              ? (c < 43697
                ? (c < 43616
                  ? (c < 43588
                    ? (c >= 43584 && c <= 43586)
                    : c <= 43595)
                  : (c <= 43638 || (c < 43646
                    ? c == 43642
                    : c <= 43695)))
                : (c <= 43697 || (c < 43712
                  ? (c < 43705
                    ? (c >= 43701 && c <= 43702)
                    : c <= 43709)
                  : (c <= 43712 || c == 43714))))
              : (c <= 43741 || (c < 43793
                ? (c < 43777
                  ? (c < 43762
                    ? (c >= 43744 && c <= 43754)
                    : c <= 43764)
                  : (c <= 43782 || (c >= 43785 && c <= 43790)))
                : (c <= 43798 || (c < 43824
                  ? (c < 43816
                    ? (c >= 43808 && c <= 43814)
                    : c <= 43822)
                  : (c <= 43866 || (c >= 43868 && c <= 43881)))))))
            : (c <= 44002 || (c < 64298
              ? (c < 64112
                ? (c < 55243
                  ? (c < 55216
                    ? (c >= 44032 && c <= 55203)
                    : c <= 55238)
                  : (c <= 55291 || (c >= 63744 && c <= 64109)))
                : (c <= 64217 || (c < 64285
                  ? (c < 64275
                    ? (c >= 64256 && c <= 64262)
                    : c <= 64279)
                  : (c <= 64285 || (c >= 64287 && c <= 64296)))))
              : (c <= 64310 || (c < 64326
                ? (c < 64320
                  ? (c < 64318
                    ? (c >= 64312 && c <= 64316)
                    : c <= 64318)
                  : (c <= 64321 || (c >= 64323 && c <= 64324)))
                : (c <= 64433 || (c < 64848
                  ? (c < 64612
                    ? (c >= 64467 && c <= 64605)
                    : c <= 64829)
                  : (c <= 64911 || (c >= 64914 && c <= 64967)))))))))
          : (c <= 65017 || (c < 65616
            ? (c < 65440
              ? (c < 65149
                ? (c < 65143
                  ? (c < 65139
                    ? c == 65137
                    : c <= 65139)
                  : (c <= 65143 || (c < 65147
                    ? c == 65145
                    : c <= 65147)))
                : (c <= 65149 || (c < 65345
                  ? (c < 65313
                    ? (c >= 65151 && c <= 65276)
                    : c <= 65338)
                  : (c <= 65370 || (c >= 65382 && c <= 65437)))))
              : (c <= 65470 || (c < 65536
                ? (c < 65490
                  ? (c < 65482
                    ? (c >= 65474 && c <= 65479)
                    : c <= 65487)
                  : (c <= 65495 || (c >= 65498 && c <= 65500)))
                : (c <= 65547 || (c < 65596
                  ? (c < 65576
                    ? (c >= 65549 && c <= 65574)
                    : c <= 65594)
                  : (c <= 65597 || (c >= 65599 && c <= 65613)))))))
            : (c <= 65629 || (c < 66504
              ? (c < 66304
                ? (c < 66176
                  ? (c < 65856
                    ? (c >= 65664 && c <= 65786)
                    : c <= 65908)
                  : (c <= 66204 || (c >= 66208 && c <= 66256)))
                : (c <= 66335 || (c < 66432
                  ? (c < 66384
                    ? (c >= 66349 && c <= 66378)
                    : c <= 66421)
                  : (c <= 66461 || (c >= 66464 && c <= 66499)))))
              : (c <= 66511 || (c < 66816
                ? (c < 66736
                  ? (c < 66560
                    ? (c >= 66513 && c <= 66517)
                    : c <= 66717)
                  : (c <= 66771 || (c >= 66776 && c <= 66811)))
                : (c <= 66855 || (c < 66940
                  ? (c < 66928
                    ? (c >= 66864 && c <= 66915)
                    : c <= 66938)
                  : (c <= 66954 || (c >= 66956 && c <= 66962)))))))))))
        : (c <= 66965 || (c < 69248
          ? (c < 67840
            ? (c < 67584
              ? (c < 67392
                ? (c < 66995
                  ? (c < 66979
                    ? (c >= 66967 && c <= 66977)
                    : c <= 66993)
                  : (c <= 67001 || (c < 67072
                    ? (c >= 67003 && c <= 67004)
                    : c <= 67382)))
                : (c <= 67413 || (c < 67463
                  ? (c < 67456
                    ? (c >= 67424 && c <= 67431)
                    : c <= 67461)
                  : (c <= 67504 || (c >= 67506 && c <= 67514)))))
              : (c <= 67589 || (c < 67647
                ? (c < 67639
                  ? (c < 67594
                    ? c == 67592
                    : c <= 67637)
                  : (c <= 67640 || c == 67644))
                : (c <= 67669 || (c < 67808
                  ? (c < 67712
                    ? (c >= 67680 && c <= 67702)
                    : c <= 67742)
                  : (c <= 67826 || (c >= 67828 && c <= 67829)))))))
            : (c <= 67861 || (c < 68288
              ? (c < 68112
                ? (c < 68030
                  ? (c < 67968
                    ? (c >= 67872 && c <= 67897)
                    : c <= 68023)
                  : (c <= 68031 || c == 68096))
                : (c <= 68115 || (c < 68192
                  ? (c < 68121
                    ? (c >= 68117 && c <= 68119)
                    : c <= 68149)
                  : (c <= 68220 || (c >= 68224 && c <= 68252)))))
              : (c <= 68295 || (c < 68480
                ? (c < 68416
                  ? (c < 68352
                    ? (c >= 68297 && c <= 68324)
                    : c <= 68405)
                  : (c <= 68437 || (c >= 68448 && c <= 68466)))
                : (c <= 68497 || (c < 68800
                  ? (c < 68736
                    ? (c >= 68608 && c <= 68680)
                    : c <= 68786)
                  : (c <= 68850 || (c >= 68864 && c <= 68899)))))))))
          : (c <= 69289 || (c < 70108
            ? (c < 69763
              ? (c < 69552
                ? (c < 69415
                  ? (c < 69376
                    ? (c >= 69296 && c <= 69297)
                    : c <= 69404)
                  : (c <= 69415 || (c < 69488
                    ? (c >= 69424 && c <= 69445)
                    : c <= 69505)))
                : (c <= 69572 || (c < 69745
                  ? (c < 69635
                    ? (c >= 69600 && c <= 69622)
                    : c <= 69687)
                  : (c <= 69746 || c == 69749))))
              : (c <= 69807 || (c < 69968
                ? (c < 69956
                  ? (c < 69891
                    ? (c >= 69840 && c <= 69864)
                    : c <= 69926)
                  : (c <= 69956 || c == 69959))
                : (c <= 70002 || (c < 70081
                  ? (c < 70019
                    ? c == 70006
                    : c <= 70066)
                  : (c <= 70084 || c == 70106))))))
            : (c <= 70108 || (c < 70415
              ? (c < 70282
                ? (c < 70272
                  ? (c < 70163
                    ? (c >= 70144 && c <= 70161)
                    : c <= 70187)
                  : (c <= 70278 || c == 70280))
                : (c <= 70285 || (c < 70320
                  ? (c < 70303
                    ? (c >= 70287 && c <= 70301)
                    : c <= 70312)
                  : (c <= 70366 || (c >= 70405 && c <= 70412)))))
              : (c <= 70416 || (c < 70461
                ? (c < 70450
                  ? (c < 70442
                    ? (c >= 70419 && c <= 70440)
                    : c <= 70448)
                  : (c <= 70451 || (c >= 70453 && c <= 70457)))
                : (c <= 70461 || (c < 70656
                  ? (c < 70493
                    ? c == 70480
                    : c <= 70497)
                  : (c <= 70708 || (c >= 70727 && c <= 70730)))))))))))))
      : (c <= 70753 || (c < 119966
        ? (c < 73063
          ? (c < 72096
            ? (c < 71488
              ? (c < 71168
                ? (c < 70855
                  ? (c < 70852
                    ? (c >= 70784 && c <= 70831)
                    : c <= 70853)
                  : (c <= 70855 || (c < 71128
                    ? (c >= 71040 && c <= 71086)
                    : c <= 71131)))
                : (c <= 71215 || (c < 71352
                  ? (c < 71296
                    ? c == 71236
                    : c <= 71338)
                  : (c <= 71352 || (c >= 71424 && c <= 71450)))))
              : (c <= 71494 || (c < 71948
                ? (c < 71935
                  ? (c < 71840
                    ? (c >= 71680 && c <= 71723)
                    : c <= 71903)
                  : (c <= 71942 || c == 71945))
                : (c <= 71955 || (c < 71999
                  ? (c < 71960
                    ? (c >= 71957 && c <= 71958)
                    : c <= 71983)
                  : (c <= 71999 || c == 72001))))))
            : (c <= 72103 || (c < 72368
              ? (c < 72203
                ? (c < 72163
                  ? (c < 72161
                    ? (c >= 72106 && c <= 72144)
                    : c <= 72161)
                  : (c <= 72163 || c == 72192))
                : (c <= 72242 || (c < 72284
                  ? (c < 72272
                    ? c == 72250
                    : c <= 72272)
                  : (c <= 72329 || c == 72349))))
              : (c <= 72440 || (c < 72960
                ? (c < 72768
                  ? (c < 72714
                    ? (c >= 72704 && c <= 72712)
                    : c <= 72750)
                  : (c <= 72768 || (c >= 72818 && c <= 72847)))
                : (c <= 72966 || (c < 73030
                  ? (c < 72971
                    ? (c >= 72968 && c <= 72969)
                    : c <= 73008)
                  : (c <= 73030 || (c >= 73056 && c <= 73061)))))))))
          : (c <= 73064 || (c < 94032
            ? (c < 92160
              ? (c < 74752
                ? (c < 73440
                  ? (c < 73112
                    ? (c >= 73066 && c <= 73097)
                    : c <= 73112)
                  : (c <= 73458 || (c < 73728
                    ? c == 73648
                    : c <= 74649)))
                : (c <= 74862 || (c < 77824
                  ? (c < 77712
                    ? (c >= 74880 && c <= 75075)
                    : c <= 77808)
                  : (c <= 78894 || (c >= 82944 && c <= 83526)))))
              : (c <= 92728 || (c < 92992
                ? (c < 92880
                  ? (c < 92784
                    ? (c >= 92736 && c <= 92766)
                    : c <= 92862)
                  : (c <= 92909 || (c >= 92928 && c <= 92975)))
                : (c <= 92995 || (c < 93760
                  ? (c < 93053
                    ? (c >= 93027 && c <= 93047)
                    : c <= 93071)
                  : (c <= 93823 || (c >= 93952 && c <= 94026)))))))
            : (c <= 94032 || (c < 110592
              ? (c < 100352
                ? (c < 94179
                  ? (c < 94176
                    ? (c >= 94099 && c <= 94111)
                    : c <= 94177)
                  : (c <= 94179 || (c >= 94208 && c <= 100343)))
                : (c <= 101589 || (c < 110581
                  ? (c < 110576
                    ? (c >= 101632 && c <= 101640)
                    : c <= 110579)
                  : (c <= 110587 || (c >= 110589 && c <= 110590)))))
              : (c <= 110882 || (c < 113776
                ? (c < 110960
                  ? (c < 110948
                    ? (c >= 110928 && c <= 110930)
                    : c <= 110951)
                  : (c <= 111355 || (c >= 113664 && c <= 113770)))
                : (c <= 113788 || (c < 119808
                  ? (c < 113808
                    ? (c >= 113792 && c <= 113800)
                    : c <= 113817)
                  : (c <= 119892 || (c >= 119894 && c <= 119964)))))))))))
        : (c <= 119967 || (c < 126464
          ? (c < 120598
            ? (c < 120094
              ? (c < 119997
                ? (c < 119977
                  ? (c < 119973
                    ? c == 119970
                    : c <= 119974)
                  : (c <= 119980 || (c < 119995
                    ? (c >= 119982 && c <= 119993)
                    : c <= 119995)))
                : (c <= 120003 || (c < 120077
                  ? (c < 120071
                    ? (c >= 120005 && c <= 120069)
                    : c <= 120074)
                  : (c <= 120084 || (c >= 120086 && c <= 120092)))))
              : (c <= 120121 || (c < 120146
                ? (c < 120134
                  ? (c < 120128
                    ? (c >= 120123 && c <= 120126)
                    : c <= 120132)
                  : (c <= 120134 || (c >= 120138 && c <= 120144)))
                : (c <= 120485 || (c < 120540
                  ? (c < 120514
                    ? (c >= 120488 && c <= 120512)
                    : c <= 120538)
                  : (c <= 120570 || (c >= 120572 && c <= 120596)))))))
            : (c <= 120628 || (c < 123214
              ? (c < 120746
                ? (c < 120688
                  ? (c < 120656
                    ? (c >= 120630 && c <= 120654)
                    : c <= 120686)
                  : (c <= 120712 || (c >= 120714 && c <= 120744)))
                : (c <= 120770 || (c < 123136
                  ? (c < 122624
                    ? (c >= 120772 && c <= 120779)
                    : c <= 122654)
                  : (c <= 123180 || (c >= 123191 && c <= 123197)))))
              : (c <= 123214 || (c < 124909
                ? (c < 124896
                  ? (c < 123584
                    ? (c >= 123536 && c <= 123565)
                    : c <= 123627)
                  : (c <= 124902 || (c >= 124904 && c <= 124907)))
                : (c <= 124910 || (c < 125184
                  ? (c < 124928
                    ? (c >= 124912 && c <= 124926)
                    : c <= 125124)
                  : (c <= 125251 || c == 125259))))))))
          : (c <= 126467 || (c < 126559
            ? (c < 126535
              ? (c < 126505
                ? (c < 126500
                  ? (c < 126497
                    ? (c >= 126469 && c <= 126495)
                    : c <= 126498)
                  : (c <= 126500 || c == 126503))
                : (c <= 126514 || (c < 126523
                  ? (c < 126521
                    ? (c >= 126516 && c <= 126519)
                    : c <= 126521)
                  : (c <= 126523 || c == 126530))))
              : (c <= 126535 || (c < 126548
                ? (c < 126541
                  ? (c < 126539
                    ? c == 126537
                    : c <= 126539)
                  : (c <= 126543 || (c >= 126545 && c <= 126546)))
                : (c <= 126548 || (c < 126555
                  ? (c < 126553
                    ? c == 126551
                    : c <= 126553)
                  : (c <= 126555 || c == 126557))))))
            : (c <= 126559 || (c < 126625
              ? (c < 126580
                ? (c < 126567
                  ? (c < 126564
                    ? (c >= 126561 && c <= 126562)
                    : c <= 126564)
                  : (c <= 126570 || (c >= 126572 && c <= 126578)))
                : (c <= 126583 || (c < 126592
                  ? (c < 126590
                    ? (c >= 126585 && c <= 126588)
                    : c <= 126590)
                  : (c <= 126601 || (c >= 126603 && c <= 126619)))))
              : (c <= 126627 || (c < 177984
                ? (c < 131072
                  ? (c < 126635
                    ? (c >= 126629 && c <= 126633)
                    : c <= 126651)
                  : (c <= 173791 || (c >= 173824 && c <= 177976)))
                : (c <= 178205 || (c < 194560
                  ? (c < 183984
                    ? (c >= 178208 && c <= 183969)
                    : c <= 191456)
                  : (c <= 195101 || (c >= 196608 && c <= 201546)))))))))))))))));
}

static inline bool sym_identifier_character_set_2(int32_t c) {
  return (c < 43514
    ? (c < 4193
      ? (c < 2707
        ? (c < 1994
          ? (c < 910
            ? (c < 736
              ? (c < 186
                ? (c < 'a'
                  ? (c < '_'
                    ? (c >= 'A' && c <= 'Z')
                    : c <= '_')
                  : (c <= 'z' || (c < 181
                    ? c == 170
                    : c <= 181)))
                : (c <= 186 || (c < 248
                  ? (c < 216
                    ? (c >= 192 && c <= 214)
                    : c <= 246)
                  : (c <= 705 || (c >= 710 && c <= 721)))))
              : (c <= 740 || (c < 891
                ? (c < 880
                  ? (c < 750
                    ? c == 748
                    : c <= 750)
                  : (c <= 884 || (c >= 886 && c <= 887)))
                : (c <= 893 || (c < 904
                  ? (c < 902
                    ? c == 895
                    : c <= 902)
                  : (c <= 906 || c == 908))))))
            : (c <= 929 || (c < 1649
              ? (c < 1376
                ? (c < 1162
                  ? (c < 1015
                    ? (c >= 931 && c <= 1013)
                    : c <= 1153)
                  : (c <= 1327 || (c < 1369
                    ? (c >= 1329 && c <= 1366)
                    : c <= 1369)))
                : (c <= 1416 || (c < 1568
                  ? (c < 1519
                    ? (c >= 1488 && c <= 1514)
                    : c <= 1522)
                  : (c <= 1610 || (c >= 1646 && c <= 1647)))))
              : (c <= 1747 || (c < 1791
                ? (c < 1774
                  ? (c < 1765
                    ? c == 1749
                    : c <= 1766)
                  : (c <= 1775 || (c >= 1786 && c <= 1788)))
                : (c <= 1791 || (c < 1869
                  ? (c < 1810
                    ? c == 1808
                    : c <= 1839)
                  : (c <= 1957 || c == 1969))))))))
          : (c <= 2026 || (c < 2482
            ? (c < 2208
              ? (c < 2088
                ? (c < 2048
                  ? (c < 2042
                    ? (c >= 2036 && c <= 2037)
                    : c <= 2042)
                  : (c <= 2069 || (c < 2084
                    ? c == 2074
                    : c <= 2084)))
                : (c <= 2088 || (c < 2160
                  ? (c < 2144
                    ? (c >= 2112 && c <= 2136)
                    : c <= 2154)
                  : (c <= 2183 || (c >= 2185 && c <= 2190)))))
              : (c <= 2249 || (c < 2417
                ? (c < 2384
                  ? (c < 2365
                    ? (c >= 2308 && c <= 2361)
                    : c <= 2365)
                  : (c <= 2384 || (c >= 2392 && c <= 2401)))
                : (c <= 2432 || (c < 2451
                  ? (c < 2447
                    ? (c >= 2437 && c <= 2444)
                    : c <= 2448)
                  : (c <= 2472 || (c >= 2474 && c <= 2480)))))))
            : (c <= 2482 || (c < 2579
              ? (c < 2527
                ? (c < 2510
                  ? (c < 2493
                    ? (c >= 2486 && c <= 2489)
                    : c <= 2493)
                  : (c <= 2510 || (c >= 2524 && c <= 2525)))
                : (c <= 2529 || (c < 2565
                  ? (c < 2556
                    ? (c >= 2544 && c <= 2545)
                    : c <= 2556)
                  : (c <= 2570 || (c >= 2575 && c <= 2576)))))
              : (c <= 2600 || (c < 2649
                ? (c < 2613
                  ? (c < 2610
                    ? (c >= 2602 && c <= 2608)
                    : c <= 2611)
                  : (c <= 2614 || (c >= 2616 && c <= 2617)))
                : (c <= 2652 || (c < 2693
                  ? (c < 2674
                    ? c == 2654
                    : c <= 2676)
                  : (c <= 2701 || (c >= 2703 && c <= 2705)))))))))))
        : (c <= 2728 || (c < 3242
          ? (c < 2962
            ? (c < 2858
              ? (c < 2784
                ? (c < 2741
                  ? (c < 2738
                    ? (c >= 2730 && c <= 2736)
                    : c <= 2739)
                  : (c <= 2745 || (c < 2768
                    ? c == 2749
                    : c <= 2768)))
                : (c <= 2785 || (c < 2831
                  ? (c < 2821
                    ? c == 2809
                    : c <= 2828)
                  : (c <= 2832 || (c >= 2835 && c <= 2856)))))
              : (c <= 2864 || (c < 2911
                ? (c < 2877
                  ? (c < 2869
                    ? (c >= 2866 && c <= 2867)
                    : c <= 2873)
                  : (c <= 2877 || (c >= 2908 && c <= 2909)))
                : (c <= 2913 || (c < 2949
                  ? (c < 2947
                    ? c == 2929
                    : c <= 2947)
                  : (c <= 2954 || (c >= 2958 && c <= 2960)))))))
            : (c <= 2965 || (c < 3090
              ? (c < 2984
                ? (c < 2974
                  ? (c < 2972
                    ? (c >= 2969 && c <= 2970)
                    : c <= 2972)
                  : (c <= 2975 || (c >= 2979 && c <= 2980)))
                : (c <= 2986 || (c < 3077
                  ? (c < 3024
                    ? (c >= 2990 && c <= 3001)
                    : c <= 3024)
                  : (c <= 3084 || (c >= 3086 && c <= 3088)))))
              : (c <= 3112 || (c < 3168
                ? (c < 3160
                  ? (c < 3133
                    ? (c >= 3114 && c <= 3129)
                    : c <= 3133)
                  : (c <= 3162 || c == 3165))
                : (c <= 3169 || (c < 3214
                  ? (c < 3205
                    ? c == 3200
                    : c <= 3212)
                  : (c <= 3216 || (c >= 3218 && c <= 3240)))))))))
          : (c <= 3251 || (c < 3648
            ? (c < 3412
              ? (c < 3332
                ? (c < 3293
                  ? (c < 3261
                    ? (c >= 3253 && c <= 3257)
                    : c <= 3261)
                  : (c <= 3294 || (c < 3313
                    ? (c >= 3296 && c <= 3297)
                    : c <= 3314)))
                : (c <= 3340 || (c < 3389
                  ? (c < 3346
                    ? (c >= 3342 && c <= 3344)
                    : c <= 3386)
                  : (c <= 3389 || c == 3406))))
              : (c <= 3414 || (c < 3507
                ? (c < 3461
                  ? (c < 3450
                    ? (c >= 3423 && c <= 3425)
                    : c <= 3455)
                  : (c <= 3478 || (c >= 3482 && c <= 3505)))
                : (c <= 3515 || (c < 3585
                  ? (c < 3520
                    ? c == 3517
                    : c <= 3526)
                  : (c <= 3632 || c == 3634))))))
            : (c <= 3654 || (c < 3782
              ? (c < 3749
                ? (c < 3718
                  ? (c < 3716
                    ? (c >= 3713 && c <= 3714)
                    : c <= 3716)
                  : (c <= 3722 || (c >= 3724 && c <= 3747)))
                : (c <= 3749 || (c < 3773
                  ? (c < 3762
                    ? (c >= 3751 && c <= 3760)
                    : c <= 3762)
                  : (c <= 3773 || (c >= 3776 && c <= 3780)))))
              : (c <= 3782 || (c < 3976
                ? (c < 3904
                  ? (c < 3840
                    ? (c >= 3804 && c <= 3807)
                    : c <= 3840)
                  : (c <= 3911 || (c >= 3913 && c <= 3948)))
                : (c <= 3980 || (c < 4176
                  ? (c < 4159
                    ? (c >= 4096 && c <= 4138)
                    : c <= 4159)
                  : (c <= 4181 || (c >= 4186 && c <= 4189)))))))))))))
      : (c <= 4193 || (c < 8134
        ? (c < 6176
          ? (c < 4808
            ? (c < 4688
              ? (c < 4295
                ? (c < 4213
                  ? (c < 4206
                    ? (c >= 4197 && c <= 4198)
                    : c <= 4208)
                  : (c <= 4225 || (c < 4256
                    ? c == 4238
                    : c <= 4293)))
                : (c <= 4295 || (c < 4348
                  ? (c < 4304
                    ? c == 4301
                    : c <= 4346)
                  : (c <= 4680 || (c >= 4682 && c <= 4685)))))
              : (c <= 4694 || (c < 4752
                ? (c < 4704
                  ? (c < 4698
                    ? c == 4696
                    : c <= 4701)
                  : (c <= 4744 || (c >= 4746 && c <= 4749)))
                : (c <= 4784 || (c < 4800
                  ? (c < 4792
                    ? (c >= 4786 && c <= 4789)
                    : c <= 4798)
                  : (c <= 4800 || (c >= 4802 && c <= 4805)))))))
            : (c <= 4822 || (c < 5792
              ? (c < 5024
                ? (c < 4888
                  ? (c < 4882
                    ? (c >= 4824 && c <= 4880)
                    : c <= 4885)
                  : (c <= 4954 || (c >= 4992 && c <= 5007)))
                : (c <= 5109 || (c < 5743
                  ? (c < 5121
                    ? (c >= 5112 && c <= 5117)
                    : c <= 5740)
                  : (c <= 5759 || (c >= 5761 && c <= 5786)))))
              : (c <= 5866 || (c < 5984
                ? (c < 5919
                  ? (c < 5888
                    ? (c >= 5870 && c <= 5880)
                    : c <= 5905)
                  : (c <= 5937 || (c >= 5952 && c <= 5969)))
                : (c <= 5996 || (c < 6103
                  ? (c < 6016
                    ? (c >= 5998 && c <= 6000)
                    : c <= 6067)
                  : (c <= 6103 || c == 6108))))))))
          : (c <= 6264 || (c < 7312
            ? (c < 6823
              ? (c < 6512
                ? (c < 6320
                  ? (c < 6314
                    ? (c >= 6272 && c <= 6312)
                    : c <= 6314)
                  : (c <= 6389 || (c < 6480
                    ? (c >= 6400 && c <= 6430)
                    : c <= 6509)))
                : (c <= 6516 || (c < 6656
                  ? (c < 6576
                    ? (c >= 6528 && c <= 6571)
                    : c <= 6601)
                  : (c <= 6678 || (c >= 6688 && c <= 6740)))))
              : (c <= 6823 || (c < 7098
                ? (c < 7043
                  ? (c < 6981
                    ? (c >= 6917 && c <= 6963)
                    : c <= 6988)
                  : (c <= 7072 || (c >= 7086 && c <= 7087)))
                : (c <= 7141 || (c < 7258
                  ? (c < 7245
                    ? (c >= 7168 && c <= 7203)
                    : c <= 7247)
                  : (c <= 7293 || (c >= 7296 && c <= 7304)))))))
            : (c <= 7354 || (c < 8008
              ? (c < 7418
                ? (c < 7406
                  ? (c < 7401
                    ? (c >= 7357 && c <= 7359)
                    : c <= 7404)
                  : (c <= 7411 || (c >= 7413 && c <= 7414)))
                : (c <= 7418 || (c < 7960
                  ? (c < 7680
                    ? (c >= 7424 && c <= 7615)
                    : c <= 7957)
                  : (c <= 7965 || (c >= 7968 && c <= 8005)))))
              : (c <= 8013 || (c < 8031
                ? (c < 8027
                  ? (c < 8025
                    ? (c >= 8016 && c <= 8023)
                    : c <= 8025)
                  : (c <= 8027 || c == 8029))
                : (c <= 8061 || (c < 8126
                  ? (c < 8118
                    ? (c >= 8064 && c <= 8116)
                    : c <= 8124)
                  : (c <= 8126 || (c >= 8130 && c <= 8132)))))))))))
        : (c <= 8140 || (c < 12337
          ? (c < 8544
            ? (c < 8458
              ? (c < 8305
                ? (c < 8160
                  ? (c < 8150
                    ? (c >= 8144 && c <= 8147)
                    : c <= 8155)
                  : (c <= 8172 || (c < 8182
                    ? (c >= 8178 && c <= 8180)
                    : c <= 8188)))
                : (c <= 8305 || (c < 8450
                  ? (c < 8336
                    ? c == 8319
                    : c <= 8348)
                  : (c <= 8450 || c == 8455))))
              : (c <= 8467 || (c < 8488
                ? (c < 8484
                  ? (c < 8472
                    ? c == 8469
                    : c <= 8477)
                  : (c <= 8484 || c == 8486))
                : (c <= 8488 || (c < 8517
                  ? (c < 8508
                    ? (c >= 8490 && c <= 8505)
                    : c <= 8511)
                  : (c <= 8521 || c == 8526))))))
            : (c <= 8584 || (c < 11680
              ? (c < 11559
                ? (c < 11506
                  ? (c < 11499
                    ? (c >= 11264 && c <= 11492)
                    : c <= 11502)
                  : (c <= 11507 || (c >= 11520 && c <= 11557)))
                : (c <= 11559 || (c < 11631
                  ? (c < 11568
                    ? c == 11565
                    : c <= 11623)
                  : (c <= 11631 || (c >= 11648 && c <= 11670)))))
              : (c <= 11686 || (c < 11720
                ? (c < 11704
                  ? (c < 11696
                    ? (c >= 11688 && c <= 11694)
                    : c <= 11702)
                  : (c <= 11710 || (c >= 11712 && c <= 11718)))
                : (c <= 11726 || (c < 12293
                  ? (c < 11736
                    ? (c >= 11728 && c <= 11734)
                    : c <= 11742)
                  : (c <= 12295 || (c >= 12321 && c <= 12329)))))))))
          : (c <= 12341 || (c < 42891
            ? (c < 19968
              ? (c < 12549
                ? (c < 12445
                  ? (c < 12353
                    ? (c >= 12344 && c <= 12348)
                    : c <= 12438)
                  : (c <= 12447 || (c < 12540
                    ? (c >= 12449 && c <= 12538)
                    : c <= 12543)))
                : (c <= 12591 || (c < 12784
                  ? (c < 12704
                    ? (c >= 12593 && c <= 12686)
                    : c <= 12735)
                  : (c <= 12799 || (c >= 13312 && c <= 19903)))))
              : (c <= 42124 || (c < 42560
                ? (c < 42512
                  ? (c < 42240
                    ? (c >= 42192 && c <= 42237)
                    : c <= 42508)
                  : (c <= 42527 || (c >= 42538 && c <= 42539)))
                : (c <= 42606 || (c < 42775
                  ? (c < 42656
                    ? (c >= 42623 && c <= 42653)
                    : c <= 42735)
                  : (c <= 42783 || (c >= 42786 && c <= 42888)))))))
            : (c <= 42954 || (c < 43250
              ? (c < 43011
                ? (c < 42965
                  ? (c < 42963
                    ? (c >= 42960 && c <= 42961)
                    : c <= 42963)
                  : (c <= 42969 || (c >= 42994 && c <= 43009)))
                : (c <= 43013 || (c < 43072
                  ? (c < 43020
                    ? (c >= 43015 && c <= 43018)
                    : c <= 43042)
                  : (c <= 43123 || (c >= 43138 && c <= 43187)))))
              : (c <= 43255 || (c < 43360
                ? (c < 43274
                  ? (c < 43261
                    ? c == 43259
                    : c <= 43262)
                  : (c <= 43301 || (c >= 43312 && c <= 43334)))
                : (c <= 43388 || (c < 43488
                  ? (c < 43471
                    ? (c >= 43396 && c <= 43442)
                    : c <= 43471)
                  : (c <= 43492 || (c >= 43494 && c <= 43503)))))))))))))))
    : (c <= 43518 || (c < 70727
      ? (c < 66956
        ? (c < 64914
          ? (c < 43868
            ? (c < 43714
              ? (c < 43646
                ? (c < 43588
                  ? (c < 43584
                    ? (c >= 43520 && c <= 43560)
                    : c <= 43586)
                  : (c <= 43595 || (c < 43642
                    ? (c >= 43616 && c <= 43638)
                    : c <= 43642)))
                : (c <= 43695 || (c < 43705
                  ? (c < 43701
                    ? c == 43697
                    : c <= 43702)
                  : (c <= 43709 || c == 43712))))
              : (c <= 43714 || (c < 43785
                ? (c < 43762
                  ? (c < 43744
                    ? (c >= 43739 && c <= 43741)
                    : c <= 43754)
                  : (c <= 43764 || (c >= 43777 && c <= 43782)))
                : (c <= 43790 || (c < 43816
                  ? (c < 43808
                    ? (c >= 43793 && c <= 43798)
                    : c <= 43814)
                  : (c <= 43822 || (c >= 43824 && c <= 43866)))))))
            : (c <= 43881 || (c < 64287
              ? (c < 63744
                ? (c < 55216
                  ? (c < 44032
                    ? (c >= 43888 && c <= 44002)
                    : c <= 55203)
                  : (c <= 55238 || (c >= 55243 && c <= 55291)))
                : (c <= 64109 || (c < 64275
                  ? (c < 64256
                    ? (c >= 64112 && c <= 64217)
                    : c <= 64262)
                  : (c <= 64279 || c == 64285))))
              : (c <= 64296 || (c < 64323
                ? (c < 64318
                  ? (c < 64312
                    ? (c >= 64298 && c <= 64310)
                    : c <= 64316)
                  : (c <= 64318 || (c >= 64320 && c <= 64321)))
                : (c <= 64324 || (c < 64612
                  ? (c < 64467
                    ? (c >= 64326 && c <= 64433)
                    : c <= 64605)
                  : (c <= 64829 || (c >= 64848 && c <= 64911)))))))))
          : (c <= 64967 || (c < 65599
            ? (c < 65382
              ? (c < 65147
                ? (c < 65139
                  ? (c < 65137
                    ? (c >= 65008 && c <= 65017)
                    : c <= 65137)
                  : (c <= 65139 || (c < 65145
                    ? c == 65143
                    : c <= 65145)))
                : (c <= 65147 || (c < 65313
                  ? (c < 65151
                    ? c == 65149
                    : c <= 65276)
                  : (c <= 65338 || (c >= 65345 && c <= 65370)))))
              : (c <= 65437 || (c < 65498
                ? (c < 65482
                  ? (c < 65474
                    ? (c >= 65440 && c <= 65470)
                    : c <= 65479)
                  : (c <= 65487 || (c >= 65490 && c <= 65495)))
                : (c <= 65500 || (c < 65576
                  ? (c < 65549
                    ? (c >= 65536 && c <= 65547)
                    : c <= 65574)
                  : (c <= 65594 || (c >= 65596 && c <= 65597)))))))
            : (c <= 65613 || (c < 66464
              ? (c < 66208
                ? (c < 65856
                  ? (c < 65664
                    ? (c >= 65616 && c <= 65629)
                    : c <= 65786)
                  : (c <= 65908 || (c >= 66176 && c <= 66204)))
                : (c <= 66256 || (c < 66384
                  ? (c < 66349
                    ? (c >= 66304 && c <= 66335)
                    : c <= 66378)
                  : (c <= 66421 || (c >= 66432 && c <= 66461)))))
              : (c <= 66499 || (c < 66776
                ? (c < 66560
                  ? (c < 66513
                    ? (c >= 66504 && c <= 66511)
                    : c <= 66517)
                  : (c <= 66717 || (c >= 66736 && c <= 66771)))
                : (c <= 66811 || (c < 66928
                  ? (c < 66864
                    ? (c >= 66816 && c <= 66855)
                    : c <= 66915)
                  : (c <= 66938 || (c >= 66940 && c <= 66954)))))))))))
        : (c <= 66962 || (c < 68864
          ? (c < 67828
            ? (c < 67506
              ? (c < 67072
                ? (c < 66979
                  ? (c < 66967
                    ? (c >= 66964 && c <= 66965)
                    : c <= 66977)
                  : (c <= 66993 || (c < 67003
                    ? (c >= 66995 && c <= 67001)
                    : c <= 67004)))
                : (c <= 67382 || (c < 67456
                  ? (c < 67424
                    ? (c >= 67392 && c <= 67413)
                    : c <= 67431)
                  : (c <= 67461 || (c >= 67463 && c <= 67504)))))
              : (c <= 67514 || (c < 67644
                ? (c < 67594
                  ? (c < 67592
                    ? (c >= 67584 && c <= 67589)
                    : c <= 67592)
                  : (c <= 67637 || (c >= 67639 && c <= 67640)))
                : (c <= 67644 || (c < 67712
                  ? (c < 67680
                    ? (c >= 67647 && c <= 67669)
                    : c <= 67702)
                  : (c <= 67742 || (c >= 67808 && c <= 67826)))))))
            : (c <= 67829 || (c < 68224
              ? (c < 68096
                ? (c < 67968
                  ? (c < 67872
                    ? (c >= 67840 && c <= 67861)
                    : c <= 67897)
                  : (c <= 68023 || (c >= 68030 && c <= 68031)))
                : (c <= 68096 || (c < 68121
                  ? (c < 68117
                    ? (c >= 68112 && c <= 68115)
                    : c <= 68119)
                  : (c <= 68149 || (c >= 68192 && c <= 68220)))))
              : (c <= 68252 || (c < 68448
                ? (c < 68352
                  ? (c < 68297
                    ? (c >= 68288 && c <= 68295)
                    : c <= 68324)
                  : (c <= 68405 || (c >= 68416 && c <= 68437)))
                : (c <= 68466 || (c < 68736
                  ? (c < 68608
                    ? (c >= 68480 && c <= 68497)
                    : c <= 68680)
                  : (c <= 68786 || (c >= 68800 && c <= 68850)))))))))
          : (c <= 68899 || (c < 70106
            ? (c < 69749
              ? (c < 69488
                ? (c < 69376
                  ? (c < 69296
                    ? (c >= 69248 && c <= 69289)
                    : c <= 69297)
                  : (c <= 69404 || (c < 69424
                    ? c == 69415
                    : c <= 69445)))
                : (c <= 69505 || (c < 69635
                  ? (c < 69600
                    ? (c >= 69552 && c <= 69572)
                    : c <= 69622)
                  : (c <= 69687 || (c >= 69745 && c <= 69746)))))
              : (c <= 69749 || (c < 69959
                ? (c < 69891
                  ? (c < 69840
                    ? (c >= 69763 && c <= 69807)
                    : c <= 69864)
                  : (c <= 69926 || c == 69956))
                : (c <= 69959 || (c < 70019
                  ? (c < 70006
                    ? (c >= 69968 && c <= 70002)
                    : c <= 70006)
                  : (c <= 70066 || (c >= 70081 && c <= 70084)))))))
            : (c <= 70106 || (c < 70405
              ? (c < 70280
                ? (c < 70163
                  ? (c < 70144
                    ? c == 70108
                    : c <= 70161)
                  : (c <= 70187 || (c >= 70272 && c <= 70278)))
                : (c <= 70280 || (c < 70303
                  ? (c < 70287
                    ? (c >= 70282 && c <= 70285)
                    : c <= 70301)
                  : (c <= 70312 || (c >= 70320 && c <= 70366)))))
              : (c <= 70412 || (c < 70453
                ? (c < 70442
                  ? (c < 70419
                    ? (c >= 70415 && c <= 70416)
                    : c <= 70440)
                  : (c <= 70448 || (c >= 70450 && c <= 70451)))
                : (c <= 70457 || (c < 70493
                  ? (c < 70480
                    ? c == 70461
                    : c <= 70480)
                  : (c <= 70497 || (c >= 70656 && c <= 70708)))))))))))))
      : (c <= 70730 || (c < 119894
        ? (c < 73056
          ? (c < 72001
            ? (c < 71424
              ? (c < 71128
                ? (c < 70852
                  ? (c < 70784
                    ? (c >= 70751 && c <= 70753)
                    : c <= 70831)
                  : (c <= 70853 || (c < 71040
                    ? c == 70855
                    : c <= 71086)))
                : (c <= 71131 || (c < 71296
                  ? (c < 71236
                    ? (c >= 71168 && c <= 71215)
                    : c <= 71236)
                  : (c <= 71338 || c == 71352))))
              : (c <= 71450 || (c < 71945
                ? (c < 71840
                  ? (c < 71680
                    ? (c >= 71488 && c <= 71494)
                    : c <= 71723)
                  : (c <= 71903 || (c >= 71935 && c <= 71942)))
                : (c <= 71945 || (c < 71960
                  ? (c < 71957
                    ? (c >= 71948 && c <= 71955)
                    : c <= 71958)
                  : (c <= 71983 || c == 71999))))))
            : (c <= 72001 || (c < 72349
              ? (c < 72192
                ? (c < 72161
                  ? (c < 72106
                    ? (c >= 72096 && c <= 72103)
                    : c <= 72144)
                  : (c <= 72161 || c == 72163))
                : (c <= 72192 || (c < 72272
                  ? (c < 72250
                    ? (c >= 72203 && c <= 72242)
                    : c <= 72250)
                  : (c <= 72272 || (c >= 72284 && c <= 72329)))))
              : (c <= 72349 || (c < 72818
                ? (c < 72714
                  ? (c < 72704
                    ? (c >= 72368 && c <= 72440)
                    : c <= 72712)
                  : (c <= 72750 || c == 72768))
                : (c <= 72847 || (c < 72971
                  ? (c < 72968
                    ? (c >= 72960 && c <= 72966)
                    : c <= 72969)
                  : (c <= 73008 || c == 73030))))))))
          : (c <= 73061 || (c < 93952
            ? (c < 82944
              ? (c < 73728
                ? (c < 73112
                  ? (c < 73066
                    ? (c >= 73063 && c <= 73064)
                    : c <= 73097)
                  : (c <= 73112 || (c < 73648
                    ? (c >= 73440 && c <= 73458)
                    : c <= 73648)))
                : (c <= 74649 || (c < 77712
                  ? (c < 74880
                    ? (c >= 74752 && c <= 74862)
                    : c <= 75075)
                  : (c <= 77808 || (c >= 77824 && c <= 78894)))))
              : (c <= 83526 || (c < 92928
                ? (c < 92784
                  ? (c < 92736
                    ? (c >= 92160 && c <= 92728)
                    : c <= 92766)
                  : (c <= 92862 || (c >= 92880 && c <= 92909)))
                : (c <= 92975 || (c < 93053
                  ? (c < 93027
                    ? (c >= 92992 && c <= 92995)
                    : c <= 93047)
                  : (c <= 93071 || (c >= 93760 && c <= 93823)))))))
            : (c <= 94026 || (c < 110589
              ? (c < 94208
                ? (c < 94176
                  ? (c < 94099
                    ? c == 94032
                    : c <= 94111)
                  : (c <= 94177 || c == 94179))
                : (c <= 100343 || (c < 110576
                  ? (c < 101632
                    ? (c >= 100352 && c <= 101589)
                    : c <= 101640)
                  : (c <= 110579 || (c >= 110581 && c <= 110587)))))
              : (c <= 110590 || (c < 113664
                ? (c < 110948
                  ? (c < 110928
                    ? (c >= 110592 && c <= 110882)
                    : c <= 110930)
                  : (c <= 110951 || (c >= 110960 && c <= 111355)))
                : (c <= 113770 || (c < 113808
                  ? (c < 113792
                    ? (c >= 113776 && c <= 113788)
                    : c <= 113800)
                  : (c <= 113817 || (c >= 119808 && c <= 119892)))))))))))
        : (c <= 119964 || (c < 125259
          ? (c < 120572
            ? (c < 120086
              ? (c < 119995
                ? (c < 119973
                  ? (c < 119970
                    ? (c >= 119966 && c <= 119967)
                    : c <= 119970)
                  : (c <= 119974 || (c < 119982
                    ? (c >= 119977 && c <= 119980)
                    : c <= 119993)))
                : (c <= 119995 || (c < 120071
                  ? (c < 120005
                    ? (c >= 119997 && c <= 120003)
                    : c <= 120069)
                  : (c <= 120074 || (c >= 120077 && c <= 120084)))))
              : (c <= 120092 || (c < 120138
                ? (c < 120128
                  ? (c < 120123
                    ? (c >= 120094 && c <= 120121)
                    : c <= 120126)
                  : (c <= 120132 || c == 120134))
                : (c <= 120144 || (c < 120514
                  ? (c < 120488
                    ? (c >= 120146 && c <= 120485)
                    : c <= 120512)
                  : (c <= 120538 || (c >= 120540 && c <= 120570)))))))
            : (c <= 120596 || (c < 123191
              ? (c < 120714
                ? (c < 120656
                  ? (c < 120630
                    ? (c >= 120598 && c <= 120628)
                    : c <= 120654)
                  : (c <= 120686 || (c >= 120688 && c <= 120712)))
                : (c <= 120744 || (c < 122624
                  ? (c < 120772
                    ? (c >= 120746 && c <= 120770)
                    : c <= 120779)
                  : (c <= 122654 || (c >= 123136 && c <= 123180)))))
              : (c <= 123197 || (c < 124904
                ? (c < 123584
                  ? (c < 123536
                    ? c == 123214
                    : c <= 123565)
                  : (c <= 123627 || (c >= 124896 && c <= 124902)))
                : (c <= 124907 || (c < 124928
                  ? (c < 124912
                    ? (c >= 124909 && c <= 124910)
                    : c <= 124926)
                  : (c <= 125124 || (c >= 125184 && c <= 125251)))))))))
          : (c <= 125259 || (c < 126559
            ? (c < 126535
              ? (c < 126505
                ? (c < 126497
                  ? (c < 126469
                    ? (c >= 126464 && c <= 126467)
                    : c <= 126495)
                  : (c <= 126498 || (c < 126503
                    ? c == 126500
                    : c <= 126503)))
                : (c <= 126514 || (c < 126523
                  ? (c < 126521
                    ? (c >= 126516 && c <= 126519)
                    : c <= 126521)
                  : (c <= 126523 || c == 126530))))
              : (c <= 126535 || (c < 126548
                ? (c < 126541
                  ? (c < 126539
                    ? c == 126537
                    : c <= 126539)
                  : (c <= 126543 || (c >= 126545 && c <= 126546)))
                : (c <= 126548 || (c < 126555
                  ? (c < 126553
                    ? c == 126551
                    : c <= 126553)
                  : (c <= 126555 || c == 126557))))))
            : (c <= 126559 || (c < 126625
              ? (c < 126580
                ? (c < 126567
                  ? (c < 126564
                    ? (c >= 126561 && c <= 126562)
                    : c <= 126564)
                  : (c <= 126570 || (c >= 126572 && c <= 126578)))
                : (c <= 126583 || (c < 126592
                  ? (c < 126590
                    ? (c >= 126585 && c <= 126588)
                    : c <= 126590)
                  : (c <= 126601 || (c >= 126603 && c <= 126619)))))
              : (c <= 126627 || (c < 177984
                ? (c < 131072
                  ? (c < 126635
                    ? (c >= 126629 && c <= 126633)
                    : c <= 126651)
                  : (c <= 173791 || (c >= 173824 && c <= 177976)))
                : (c <= 178205 || (c < 194560
                  ? (c < 183984
                    ? (c >= 178208 && c <= 183969)
                    : c <= 191456)
                  : (c <= 195101 || (c >= 196608 && c <= 201546)))))))))))))))));
}

static inline bool sym_identifier_character_set_3(int32_t c) {
  return (c < 43514
    ? (c < 4193
      ? (c < 2707
        ? (c < 1994
          ? (c < 931
            ? (c < 748
              ? (c < 192
                ? (c < 170
                  ? (c < '_'
                    ? (c >= 'A' && c <= 'Z')
                    : c <= 'z')
                  : (c <= 170 || (c < 186
                    ? c == 181
                    : c <= 186)))
                : (c <= 214 || (c < 710
                  ? (c < 248
                    ? (c >= 216 && c <= 246)
                    : c <= 705)
                  : (c <= 721 || (c >= 736 && c <= 740)))))
              : (c <= 748 || (c < 895
                ? (c < 886
                  ? (c < 880
                    ? c == 750
                    : c <= 884)
                  : (c <= 887 || (c >= 891 && c <= 893)))
                : (c <= 895 || (c < 908
                  ? (c < 904
                    ? c == 902
                    : c <= 906)
                  : (c <= 908 || (c >= 910 && c <= 929)))))))
            : (c <= 1013 || (c < 1649
              ? (c < 1376
                ? (c < 1329
                  ? (c < 1162
                    ? (c >= 1015 && c <= 1153)
                    : c <= 1327)
                  : (c <= 1366 || c == 1369))
                : (c <= 1416 || (c < 1568
                  ? (c < 1519
                    ? (c >= 1488 && c <= 1514)
                    : c <= 1522)
                  : (c <= 1610 || (c >= 1646 && c <= 1647)))))
              : (c <= 1747 || (c < 1791
                ? (c < 1774
                  ? (c < 1765
                    ? c == 1749
                    : c <= 1766)
                  : (c <= 1775 || (c >= 1786 && c <= 1788)))
                : (c <= 1791 || (c < 1869
                  ? (c < 1810
                    ? c == 1808
                    : c <= 1839)
                  : (c <= 1957 || c == 1969))))))))
          : (c <= 2026 || (c < 2482
            ? (c < 2208
              ? (c < 2088
                ? (c < 2048
                  ? (c < 2042
                    ? (c >= 2036 && c <= 2037)
                    : c <= 2042)
                  : (c <= 2069 || (c < 2084
                    ? c == 2074
                    : c <= 2084)))
                : (c <= 2088 || (c < 2160
                  ? (c < 2144
                    ? (c >= 2112 && c <= 2136)
                    : c <= 2154)
                  : (c <= 2183 || (c >= 2185 && c <= 2190)))))
              : (c <= 2249 || (c < 2417
                ? (c < 2384
                  ? (c < 2365
                    ? (c >= 2308 && c <= 2361)
                    : c <= 2365)
                  : (c <= 2384 || (c >= 2392 && c <= 2401)))
                : (c <= 2432 || (c < 2451
                  ? (c < 2447
                    ? (c >= 2437 && c <= 2444)
                    : c <= 2448)
                  : (c <= 2472 || (c >= 2474 && c <= 2480)))))))
            : (c <= 2482 || (c < 2579
              ? (c < 2527
                ? (c < 2510
                  ? (c < 2493
                    ? (c >= 2486 && c <= 2489)
                    : c <= 2493)
                  : (c <= 2510 || (c >= 2524 && c <= 2525)))
                : (c <= 2529 || (c < 2565
                  ? (c < 2556
                    ? (c >= 2544 && c <= 2545)
                    : c <= 2556)
                  : (c <= 2570 || (c >= 2575 && c <= 2576)))))
              : (c <= 2600 || (c < 2649
                ? (c < 2613
                  ? (c < 2610
                    ? (c >= 2602 && c <= 2608)
                    : c <= 2611)
                  : (c <= 2614 || (c >= 2616 && c <= 2617)))
                : (c <= 2652 || (c < 2693
                  ? (c < 2674
                    ? c == 2654
                    : c <= 2676)
                  : (c <= 2701 || (c >= 2703 && c <= 2705)))))))))))
        : (c <= 2728 || (c < 3242
          ? (c < 2962
            ? (c < 2858
              ? (c < 2784
                ? (c < 2741
                  ? (c < 2738
                    ? (c >= 2730 && c <= 2736)
                    : c <= 2739)
                  : (c <= 2745 || (c < 2768
                    ? c == 2749
                    : c <= 2768)))
                : (c <= 2785 || (c < 2831
                  ? (c < 2821
                    ? c == 2809
                    : c <= 2828)
                  : (c <= 2832 || (c >= 2835 && c <= 2856)))))
              : (c <= 2864 || (c < 2911
                ? (c < 2877
                  ? (c < 2869
                    ? (c >= 2866 && c <= 2867)
                    : c <= 2873)
                  : (c <= 2877 || (c >= 2908 && c <= 2909)))
                : (c <= 2913 || (c < 2949
                  ? (c < 2947
                    ? c == 2929
                    : c <= 2947)
                  : (c <= 2954 || (c >= 2958 && c <= 2960)))))))
            : (c <= 2965 || (c < 3090
              ? (c < 2984
                ? (c < 2974
                  ? (c < 2972
                    ? (c >= 2969 && c <= 2970)
                    : c <= 2972)
                  : (c <= 2975 || (c >= 2979 && c <= 2980)))
                : (c <= 2986 || (c < 3077
                  ? (c < 3024
                    ? (c >= 2990 && c <= 3001)
                    : c <= 3024)
                  : (c <= 3084 || (c >= 3086 && c <= 3088)))))
              : (c <= 3112 || (c < 3168
                ? (c < 3160
                  ? (c < 3133
                    ? (c >= 3114 && c <= 3129)
                    : c <= 3133)
                  : (c <= 3162 || c == 3165))
                : (c <= 3169 || (c < 3214
                  ? (c < 3205
                    ? c == 3200
                    : c <= 3212)
                  : (c <= 3216 || (c >= 3218 && c <= 3240)))))))))
          : (c <= 3251 || (c < 3648
            ? (c < 3412
              ? (c < 3332
                ? (c < 3293
                  ? (c < 3261
                    ? (c >= 3253 && c <= 3257)
                    : c <= 3261)
                  : (c <= 3294 || (c < 3313
                    ? (c >= 3296 && c <= 3297)
                    : c <= 3314)))
                : (c <= 3340 || (c < 3389
                  ? (c < 3346
                    ? (c >= 3342 && c <= 3344)
                    : c <= 3386)
                  : (c <= 3389 || c == 3406))))
              : (c <= 3414 || (c < 3507
                ? (c < 3461
                  ? (c < 3450
                    ? (c >= 3423 && c <= 3425)
                    : c <= 3455)
                  : (c <= 3478 || (c >= 3482 && c <= 3505)))
                : (c <= 3515 || (c < 3585
                  ? (c < 3520
                    ? c == 3517
                    : c <= 3526)
                  : (c <= 3632 || c == 3634))))))
            : (c <= 3654 || (c < 3782
              ? (c < 3749
                ? (c < 3718
                  ? (c < 3716
                    ? (c >= 3713 && c <= 3714)
                    : c <= 3716)
                  : (c <= 3722 || (c >= 3724 && c <= 3747)))
                : (c <= 3749 || (c < 3773
                  ? (c < 3762
                    ? (c >= 3751 && c <= 3760)
                    : c <= 3762)
                  : (c <= 3773 || (c >= 3776 && c <= 3780)))))
              : (c <= 3782 || (c < 3976
                ? (c < 3904
                  ? (c < 3840
                    ? (c >= 3804 && c <= 3807)
                    : c <= 3840)
                  : (c <= 3911 || (c >= 3913 && c <= 3948)))
                : (c <= 3980 || (c < 4176
                  ? (c < 4159
                    ? (c >= 4096 && c <= 4138)
                    : c <= 4159)
                  : (c <= 4181 || (c >= 4186 && c <= 4189)))))))))))))
      : (c <= 4193 || (c < 8134
        ? (c < 6176
          ? (c < 4808
            ? (c < 4688
              ? (c < 4295
                ? (c < 4213
                  ? (c < 4206
                    ? (c >= 4197 && c <= 4198)
                    : c <= 4208)
                  : (c <= 4225 || (c < 4256
                    ? c == 4238
                    : c <= 4293)))
                : (c <= 4295 || (c < 4348
                  ? (c < 4304
                    ? c == 4301
                    : c <= 4346)
                  : (c <= 4680 || (c >= 4682 && c <= 4685)))))
              : (c <= 4694 || (c < 4752
                ? (c < 4704
                  ? (c < 4698
                    ? c == 4696
                    : c <= 4701)
                  : (c <= 4744 || (c >= 4746 && c <= 4749)))
                : (c <= 4784 || (c < 4800
                  ? (c < 4792
                    ? (c >= 4786 && c <= 4789)
                    : c <= 4798)
                  : (c <= 4800 || (c >= 4802 && c <= 4805)))))))
            : (c <= 4822 || (c < 5792
              ? (c < 5024
                ? (c < 4888
                  ? (c < 4882
                    ? (c >= 4824 && c <= 4880)
                    : c <= 4885)
                  : (c <= 4954 || (c >= 4992 && c <= 5007)))
                : (c <= 5109 || (c < 5743
                  ? (c < 5121
                    ? (c >= 5112 && c <= 5117)
                    : c <= 5740)
                  : (c <= 5759 || (c >= 5761 && c <= 5786)))))
              : (c <= 5866 || (c < 5984
                ? (c < 5919
                  ? (c < 5888
                    ? (c >= 5870 && c <= 5880)
                    : c <= 5905)
                  : (c <= 5937 || (c >= 5952 && c <= 5969)))
                : (c <= 5996 || (c < 6103
                  ? (c < 6016
                    ? (c >= 5998 && c <= 6000)
                    : c <= 6067)
                  : (c <= 6103 || c == 6108))))))))
          : (c <= 6264 || (c < 7312
            ? (c < 6823
              ? (c < 6512
                ? (c < 6320
                  ? (c < 6314
                    ? (c >= 6272 && c <= 6312)
                    : c <= 6314)
                  : (c <= 6389 || (c < 6480
                    ? (c >= 6400 && c <= 6430)
                    : c <= 6509)))
                : (c <= 6516 || (c < 6656
                  ? (c < 6576
                    ? (c >= 6528 && c <= 6571)
                    : c <= 6601)
                  : (c <= 6678 || (c >= 6688 && c <= 6740)))))
              : (c <= 6823 || (c < 7098
                ? (c < 7043
                  ? (c < 6981
                    ? (c >= 6917 && c <= 6963)
                    : c <= 6988)
                  : (c <= 7072 || (c >= 7086 && c <= 7087)))
                : (c <= 7141 || (c < 7258
                  ? (c < 7245
                    ? (c >= 7168 && c <= 7203)
                    : c <= 7247)
                  : (c <= 7293 || (c >= 7296 && c <= 7304)))))))
            : (c <= 7354 || (c < 8008
              ? (c < 7418
                ? (c < 7406
                  ? (c < 7401
                    ? (c >= 7357 && c <= 7359)
                    : c <= 7404)
                  : (c <= 7411 || (c >= 7413 && c <= 7414)))
                : (c <= 7418 || (c < 7960
                  ? (c < 7680
                    ? (c >= 7424 && c <= 7615)
                    : c <= 7957)
                  : (c <= 7965 || (c >= 7968 && c <= 8005)))))
              : (c <= 8013 || (c < 8031
                ? (c < 8027
                  ? (c < 8025
                    ? (c >= 8016 && c <= 8023)
                    : c <= 8025)
                  : (c <= 8027 || c == 8029))
                : (c <= 8061 || (c < 8126
                  ? (c < 8118
                    ? (c >= 8064 && c <= 8116)
                    : c <= 8124)
                  : (c <= 8126 || (c >= 8130 && c <= 8132)))))))))))
        : (c <= 8140 || (c < 12337
          ? (c < 8544
            ? (c < 8458
              ? (c < 8305
                ? (c < 8160
                  ? (c < 8150
                    ? (c >= 8144 && c <= 8147)
                    : c <= 8155)
                  : (c <= 8172 || (c < 8182
                    ? (c >= 8178 && c <= 8180)
                    : c <= 8188)))
                : (c <= 8305 || (c < 8450
                  ? (c < 8336
                    ? c == 8319
                    : c <= 8348)
                  : (c <= 8450 || c == 8455))))
              : (c <= 8467 || (c < 8488
                ? (c < 8484
                  ? (c < 8472
                    ? c == 8469
                    : c <= 8477)
                  : (c <= 8484 || c == 8486))
                : (c <= 8488 || (c < 8517
                  ? (c < 8508
                    ? (c >= 8490 && c <= 8505)
                    : c <= 8511)
                  : (c <= 8521 || c == 8526))))))
            : (c <= 8584 || (c < 11680
              ? (c < 11559
                ? (c < 11506
                  ? (c < 11499
                    ? (c >= 11264 && c <= 11492)
                    : c <= 11502)
                  : (c <= 11507 || (c >= 11520 && c <= 11557)))
                : (c <= 11559 || (c < 11631
                  ? (c < 11568
                    ? c == 11565
                    : c <= 11623)
                  : (c <= 11631 || (c >= 11648 && c <= 11670)))))
              : (c <= 11686 || (c < 11720
                ? (c < 11704
                  ? (c < 11696
                    ? (c >= 11688 && c <= 11694)
                    : c <= 11702)
                  : (c <= 11710 || (c >= 11712 && c <= 11718)))
                : (c <= 11726 || (c < 12293
                  ? (c < 11736
                    ? (c >= 11728 && c <= 11734)
                    : c <= 11742)
                  : (c <= 12295 || (c >= 12321 && c <= 12329)))))))))
          : (c <= 12341 || (c < 42891
            ? (c < 19968
              ? (c < 12549
                ? (c < 12445
                  ? (c < 12353
                    ? (c >= 12344 && c <= 12348)
                    : c <= 12438)
                  : (c <= 12447 || (c < 12540
                    ? (c >= 12449 && c <= 12538)
                    : c <= 12543)))
                : (c <= 12591 || (c < 12784
                  ? (c < 12704
                    ? (c >= 12593 && c <= 12686)
                    : c <= 12735)
                  : (c <= 12799 || (c >= 13312 && c <= 19903)))))
              : (c <= 42124 || (c < 42560
                ? (c < 42512
                  ? (c < 42240
                    ? (c >= 42192 && c <= 42237)
                    : c <= 42508)
                  : (c <= 42527 || (c >= 42538 && c <= 42539)))
                : (c <= 42606 || (c < 42775
                  ? (c < 42656
                    ? (c >= 42623 && c <= 42653)
                    : c <= 42735)
                  : (c <= 42783 || (c >= 42786 && c <= 42888)))))))
            : (c <= 42954 || (c < 43250
              ? (c < 43011
                ? (c < 42965
                  ? (c < 42963
                    ? (c >= 42960 && c <= 42961)
                    : c <= 42963)
                  : (c <= 42969 || (c >= 42994 && c <= 43009)))
                : (c <= 43013 || (c < 43072
                  ? (c < 43020
                    ? (c >= 43015 && c <= 43018)
                    : c <= 43042)
                  : (c <= 43123 || (c >= 43138 && c <= 43187)))))
              : (c <= 43255 || (c < 43360
                ? (c < 43274
                  ? (c < 43261
                    ? c == 43259
                    : c <= 43262)
                  : (c <= 43301 || (c >= 43312 && c <= 43334)))
                : (c <= 43388 || (c < 43488
                  ? (c < 43471
                    ? (c >= 43396 && c <= 43442)
                    : c <= 43471)
                  : (c <= 43492 || (c >= 43494 && c <= 43503)))))))))))))))
    : (c <= 43518 || (c < 70727
      ? (c < 66956
        ? (c < 64914
          ? (c < 43868
            ? (c < 43714
              ? (c < 43646
                ? (c < 43588
                  ? (c < 43584
                    ? (c >= 43520 && c <= 43560)
                    : c <= 43586)
                  : (c <= 43595 || (c < 43642
                    ? (c >= 43616 && c <= 43638)
                    : c <= 43642)))
                : (c <= 43695 || (c < 43705
                  ? (c < 43701
                    ? c == 43697
                    : c <= 43702)
                  : (c <= 43709 || c == 43712))))
              : (c <= 43714 || (c < 43785
                ? (c < 43762
                  ? (c < 43744
                    ? (c >= 43739 && c <= 43741)
                    : c <= 43754)
                  : (c <= 43764 || (c >= 43777 && c <= 43782)))
                : (c <= 43790 || (c < 43816
                  ? (c < 43808
                    ? (c >= 43793 && c <= 43798)
                    : c <= 43814)
                  : (c <= 43822 || (c >= 43824 && c <= 43866)))))))
            : (c <= 43881 || (c < 64287
              ? (c < 63744
                ? (c < 55216
                  ? (c < 44032
                    ? (c >= 43888 && c <= 44002)
                    : c <= 55203)
                  : (c <= 55238 || (c >= 55243 && c <= 55291)))
                : (c <= 64109 || (c < 64275
                  ? (c < 64256
                    ? (c >= 64112 && c <= 64217)
                    : c <= 64262)
                  : (c <= 64279 || c == 64285))))
              : (c <= 64296 || (c < 64323
                ? (c < 64318
                  ? (c < 64312
                    ? (c >= 64298 && c <= 64310)
                    : c <= 64316)
                  : (c <= 64318 || (c >= 64320 && c <= 64321)))
                : (c <= 64324 || (c < 64612
                  ? (c < 64467
                    ? (c >= 64326 && c <= 64433)
                    : c <= 64605)
                  : (c <= 64829 || (c >= 64848 && c <= 64911)))))))))
          : (c <= 64967 || (c < 65599
            ? (c < 65382
              ? (c < 65147
                ? (c < 65139
                  ? (c < 65137
                    ? (c >= 65008 && c <= 65017)
                    : c <= 65137)
                  : (c <= 65139 || (c < 65145
                    ? c == 65143
                    : c <= 65145)))
                : (c <= 65147 || (c < 65313
                  ? (c < 65151
                    ? c == 65149
                    : c <= 65276)
                  : (c <= 65338 || (c >= 65345 && c <= 65370)))))
              : (c <= 65437 || (c < 65498
                ? (c < 65482
                  ? (c < 65474
                    ? (c >= 65440 && c <= 65470)
                    : c <= 65479)
                  : (c <= 65487 || (c >= 65490 && c <= 65495)))
                : (c <= 65500 || (c < 65576
                  ? (c < 65549
                    ? (c >= 65536 && c <= 65547)
                    : c <= 65574)
                  : (c <= 65594 || (c >= 65596 && c <= 65597)))))))
            : (c <= 65613 || (c < 66464
              ? (c < 66208
                ? (c < 65856
                  ? (c < 65664
                    ? (c >= 65616 && c <= 65629)
                    : c <= 65786)
                  : (c <= 65908 || (c >= 66176 && c <= 66204)))
                : (c <= 66256 || (c < 66384
                  ? (c < 66349
                    ? (c >= 66304 && c <= 66335)
                    : c <= 66378)
                  : (c <= 66421 || (c >= 66432 && c <= 66461)))))
              : (c <= 66499 || (c < 66776
                ? (c < 66560
                  ? (c < 66513
                    ? (c >= 66504 && c <= 66511)
                    : c <= 66517)
                  : (c <= 66717 || (c >= 66736 && c <= 66771)))
                : (c <= 66811 || (c < 66928
                  ? (c < 66864
                    ? (c >= 66816 && c <= 66855)
                    : c <= 66915)
                  : (c <= 66938 || (c >= 66940 && c <= 66954)))))))))))
        : (c <= 66962 || (c < 68864
          ? (c < 67828
            ? (c < 67506
              ? (c < 67072
                ? (c < 66979
                  ? (c < 66967
                    ? (c >= 66964 && c <= 66965)
                    : c <= 66977)
                  : (c <= 66993 || (c < 67003
                    ? (c >= 66995 && c <= 67001)
                    : c <= 67004)))
                : (c <= 67382 || (c < 67456
                  ? (c < 67424
                    ? (c >= 67392 && c <= 67413)
                    : c <= 67431)
                  : (c <= 67461 || (c >= 67463 && c <= 67504)))))
              : (c <= 67514 || (c < 67644
                ? (c < 67594
                  ? (c < 67592
                    ? (c >= 67584 && c <= 67589)
                    : c <= 67592)
                  : (c <= 67637 || (c >= 67639 && c <= 67640)))
                : (c <= 67644 || (c < 67712
                  ? (c < 67680
                    ? (c >= 67647 && c <= 67669)
                    : c <= 67702)
                  : (c <= 67742 || (c >= 67808 && c <= 67826)))))))
            : (c <= 67829 || (c < 68224
              ? (c < 68096
                ? (c < 67968
                  ? (c < 67872
                    ? (c >= 67840 && c <= 67861)
                    : c <= 67897)
                  : (c <= 68023 || (c >= 68030 && c <= 68031)))
                : (c <= 68096 || (c < 68121
                  ? (c < 68117
                    ? (c >= 68112 && c <= 68115)
                    : c <= 68119)
                  : (c <= 68149 || (c >= 68192 && c <= 68220)))))
              : (c <= 68252 || (c < 68448
                ? (c < 68352
                  ? (c < 68297
                    ? (c >= 68288 && c <= 68295)
                    : c <= 68324)
                  : (c <= 68405 || (c >= 68416 && c <= 68437)))
                : (c <= 68466 || (c < 68736
                  ? (c < 68608
                    ? (c >= 68480 && c <= 68497)
                    : c <= 68680)
                  : (c <= 68786 || (c >= 68800 && c <= 68850)))))))))
          : (c <= 68899 || (c < 70106
            ? (c < 69749
              ? (c < 69488
                ? (c < 69376
                  ? (c < 69296
                    ? (c >= 69248 && c <= 69289)
                    : c <= 69297)
                  : (c <= 69404 || (c < 69424
                    ? c == 69415
                    : c <= 69445)))
                : (c <= 69505 || (c < 69635
                  ? (c < 69600
                    ? (c >= 69552 && c <= 69572)
                    : c <= 69622)
                  : (c <= 69687 || (c >= 69745 && c <= 69746)))))
              : (c <= 69749 || (c < 69959
                ? (c < 69891
                  ? (c < 69840
                    ? (c >= 69763 && c <= 69807)
                    : c <= 69864)
                  : (c <= 69926 || c == 69956))
                : (c <= 69959 || (c < 70019
                  ? (c < 70006
                    ? (c >= 69968 && c <= 70002)
                    : c <= 70006)
                  : (c <= 70066 || (c >= 70081 && c <= 70084)))))))
            : (c <= 70106 || (c < 70405
              ? (c < 70280
                ? (c < 70163
                  ? (c < 70144
                    ? c == 70108
                    : c <= 70161)
                  : (c <= 70187 || (c >= 70272 && c <= 70278)))
                : (c <= 70280 || (c < 70303
                  ? (c < 70287
                    ? (c >= 70282 && c <= 70285)
                    : c <= 70301)
                  : (c <= 70312 || (c >= 70320 && c <= 70366)))))
              : (c <= 70412 || (c < 70453
                ? (c < 70442
                  ? (c < 70419
                    ? (c >= 70415 && c <= 70416)
                    : c <= 70440)
                  : (c <= 70448 || (c >= 70450 && c <= 70451)))
                : (c <= 70457 || (c < 70493
                  ? (c < 70480
                    ? c == 70461
                    : c <= 70480)
                  : (c <= 70497 || (c >= 70656 && c <= 70708)))))))))))))
      : (c <= 70730 || (c < 119894
        ? (c < 73056
          ? (c < 72001
            ? (c < 71424
              ? (c < 71128
                ? (c < 70852
                  ? (c < 70784
                    ? (c >= 70751 && c <= 70753)
                    : c <= 70831)
                  : (c <= 70853 || (c < 71040
                    ? c == 70855
                    : c <= 71086)))
                : (c <= 71131 || (c < 71296
                  ? (c < 71236
                    ? (c >= 71168 && c <= 71215)
                    : c <= 71236)
                  : (c <= 71338 || c == 71352))))
              : (c <= 71450 || (c < 71945
                ? (c < 71840
                  ? (c < 71680
                    ? (c >= 71488 && c <= 71494)
                    : c <= 71723)
                  : (c <= 71903 || (c >= 71935 && c <= 71942)))
                : (c <= 71945 || (c < 71960
                  ? (c < 71957
                    ? (c >= 71948 && c <= 71955)
                    : c <= 71958)
                  : (c <= 71983 || c == 71999))))))
            : (c <= 72001 || (c < 72349
              ? (c < 72192
                ? (c < 72161
                  ? (c < 72106
                    ? (c >= 72096 && c <= 72103)
                    : c <= 72144)
                  : (c <= 72161 || c == 72163))
                : (c <= 72192 || (c < 72272
                  ? (c < 72250
                    ? (c >= 72203 && c <= 72242)
                    : c <= 72250)
                  : (c <= 72272 || (c >= 72284 && c <= 72329)))))
              : (c <= 72349 || (c < 72818
                ? (c < 72714
                  ? (c < 72704
                    ? (c >= 72368 && c <= 72440)
                    : c <= 72712)
                  : (c <= 72750 || c == 72768))
                : (c <= 72847 || (c < 72971
                  ? (c < 72968
                    ? (c >= 72960 && c <= 72966)
                    : c <= 72969)
                  : (c <= 73008 || c == 73030))))))))
          : (c <= 73061 || (c < 93952
            ? (c < 82944
              ? (c < 73728
                ? (c < 73112
                  ? (c < 73066
                    ? (c >= 73063 && c <= 73064)
                    : c <= 73097)
                  : (c <= 73112 || (c < 73648
                    ? (c >= 73440 && c <= 73458)
                    : c <= 73648)))
                : (c <= 74649 || (c < 77712
                  ? (c < 74880
                    ? (c >= 74752 && c <= 74862)
                    : c <= 75075)
                  : (c <= 77808 || (c >= 77824 && c <= 78894)))))
              : (c <= 83526 || (c < 92928
                ? (c < 92784
                  ? (c < 92736
                    ? (c >= 92160 && c <= 92728)
                    : c <= 92766)
                  : (c <= 92862 || (c >= 92880 && c <= 92909)))
                : (c <= 92975 || (c < 93053
                  ? (c < 93027
                    ? (c >= 92992 && c <= 92995)
                    : c <= 93047)
                  : (c <= 93071 || (c >= 93760 && c <= 93823)))))))
            : (c <= 94026 || (c < 110589
              ? (c < 94208
                ? (c < 94176
                  ? (c < 94099
                    ? c == 94032
                    : c <= 94111)
                  : (c <= 94177 || c == 94179))
                : (c <= 100343 || (c < 110576
                  ? (c < 101632
                    ? (c >= 100352 && c <= 101589)
                    : c <= 101640)
                  : (c <= 110579 || (c >= 110581 && c <= 110587)))))
              : (c <= 110590 || (c < 113664
                ? (c < 110948
                  ? (c < 110928
                    ? (c >= 110592 && c <= 110882)
                    : c <= 110930)
                  : (c <= 110951 || (c >= 110960 && c <= 111355)))
                : (c <= 113770 || (c < 113808
                  ? (c < 113792
                    ? (c >= 113776 && c <= 113788)
                    : c <= 113800)
                  : (c <= 113817 || (c >= 119808 && c <= 119892)))))))))))
        : (c <= 119964 || (c < 125259
          ? (c < 120572
            ? (c < 120086
              ? (c < 119995
                ? (c < 119973
                  ? (c < 119970
                    ? (c >= 119966 && c <= 119967)
                    : c <= 119970)
                  : (c <= 119974 || (c < 119982
                    ? (c >= 119977 && c <= 119980)
                    : c <= 119993)))
                : (c <= 119995 || (c < 120071
                  ? (c < 120005
                    ? (c >= 119997 && c <= 120003)
                    : c <= 120069)
                  : (c <= 120074 || (c >= 120077 && c <= 120084)))))
              : (c <= 120092 || (c < 120138
                ? (c < 120128
                  ? (c < 120123
                    ? (c >= 120094 && c <= 120121)
                    : c <= 120126)
                  : (c <= 120132 || c == 120134))
                : (c <= 120144 || (c < 120514
                  ? (c < 120488
                    ? (c >= 120146 && c <= 120485)
                    : c <= 120512)
                  : (c <= 120538 || (c >= 120540 && c <= 120570)))))))
            : (c <= 120596 || (c < 123191
              ? (c < 120714
                ? (c < 120656
                  ? (c < 120630
                    ? (c >= 120598 && c <= 120628)
                    : c <= 120654)
                  : (c <= 120686 || (c >= 120688 && c <= 120712)))
                : (c <= 120744 || (c < 122624
                  ? (c < 120772
                    ? (c >= 120746 && c <= 120770)
                    : c <= 120779)
                  : (c <= 122654 || (c >= 123136 && c <= 123180)))))
              : (c <= 123197 || (c < 124904
                ? (c < 123584
                  ? (c < 123536
                    ? c == 123214
                    : c <= 123565)
                  : (c <= 123627 || (c >= 124896 && c <= 124902)))
                : (c <= 124907 || (c < 124928
                  ? (c < 124912
                    ? (c >= 124909 && c <= 124910)
                    : c <= 124926)
                  : (c <= 125124 || (c >= 125184 && c <= 125251)))))))))
          : (c <= 125259 || (c < 126559
            ? (c < 126535
              ? (c < 126505
                ? (c < 126497
                  ? (c < 126469
                    ? (c >= 126464 && c <= 126467)
                    : c <= 126495)
                  : (c <= 126498 || (c < 126503
                    ? c == 126500
                    : c <= 126503)))
                : (c <= 126514 || (c < 126523
                  ? (c < 126521
                    ? (c >= 126516 && c <= 126519)
                    : c <= 126521)
                  : (c <= 126523 || c == 126530))))
              : (c <= 126535 || (c < 126548
                ? (c < 126541
                  ? (c < 126539
                    ? c == 126537
                    : c <= 126539)
                  : (c <= 126543 || (c >= 126545 && c <= 126546)))
                : (c <= 126548 || (c < 126555
                  ? (c < 126553
                    ? c == 126551
                    : c <= 126553)
                  : (c <= 126555 || c == 126557))))))
            : (c <= 126559 || (c < 126625
              ? (c < 126580
                ? (c < 126567
                  ? (c < 126564
                    ? (c >= 126561 && c <= 126562)
                    : c <= 126564)
                  : (c <= 126570 || (c >= 126572 && c <= 126578)))
                : (c <= 126583 || (c < 126592
                  ? (c < 126590
                    ? (c >= 126585 && c <= 126588)
                    : c <= 126590)
                  : (c <= 126601 || (c >= 126603 && c <= 126619)))))
              : (c <= 126627 || (c < 177984
                ? (c < 131072
                  ? (c < 126635
                    ? (c >= 126629 && c <= 126633)
                    : c <= 126651)
                  : (c <= 173791 || (c >= 173824 && c <= 177976)))
                : (c <= 178205 || (c < 194560
                  ? (c < 183984
                    ? (c >= 178208 && c <= 183969)
                    : c <= 191456)
                  : (c <= 195101 || (c >= 196608 && c <= 201546)))))))))))))))));
}

static inline bool sym_identifier_character_set_4(int32_t c) {
  return (c < 43616
    ? (c < 3782
      ? (c < 2748
        ? (c < 2045
          ? (c < 1015
            ? (c < 710
              ? (c < 181
                ? (c < '_'
                  ? (c < 'A'
                    ? (c >= '0' && c <= '9')
                    : c <= 'Z')
                  : (c <= '_' || (c < 170
                    ? (c >= 'a' && c <= 'z')
                    : c <= 170)))
                : (c <= 181 || (c < 192
                  ? (c < 186
                    ? c == 183
                    : c <= 186)
                  : (c <= 214 || (c < 248
                    ? (c >= 216 && c <= 246)
                    : c <= 705)))))
              : (c <= 721 || (c < 891
                ? (c < 750
                  ? (c < 748
                    ? (c >= 736 && c <= 740)
                    : c <= 748)
                  : (c <= 750 || (c < 886
                    ? (c >= 768 && c <= 884)
                    : c <= 887)))
                : (c <= 893 || (c < 908
                  ? (c < 902
                    ? c == 895
                    : c <= 906)
                  : (c <= 908 || (c < 931
                    ? (c >= 910 && c <= 929)
                    : c <= 1013)))))))
            : (c <= 1153 || (c < 1519
              ? (c < 1425
                ? (c < 1329
                  ? (c < 1162
                    ? (c >= 1155 && c <= 1159)
                    : c <= 1327)
                  : (c <= 1366 || (c < 1376
                    ? c == 1369
                    : c <= 1416)))
                : (c <= 1469 || (c < 1476
                  ? (c < 1473
                    ? c == 1471
                    : c <= 1474)
                  : (c <= 1477 || (c < 1488
                    ? c == 1479
                    : c <= 1514)))))
              : (c <= 1522 || (c < 1770
                ? (c < 1646
                  ? (c < 1568
                    ? (c >= 1552 && c <= 1562)
                    : c <= 1641)
                  : (c <= 1747 || (c < 1759
                    ? (c >= 1749 && c <= 1756)
                    : c <= 1768)))
                : (c <= 1788 || (c < 1869
                  ? (c < 1808
                    ? c == 1791
                    : c <= 1866)
                  : (c <= 1969 || (c < 2042
                    ? (c >= 1984 && c <= 2037)
                    : c <= 2042)))))))))
          : (c <= 2045 || (c < 2558
            ? (c < 2451
              ? (c < 2200
                ? (c < 2144
                  ? (c < 2112
                    ? (c >= 2048 && c <= 2093)
                    : c <= 2139)
                  : (c <= 2154 || (c < 2185
                    ? (c >= 2160 && c <= 2183)
                    : c <= 2190)))
                : (c <= 2273 || (c < 2417
                  ? (c < 2406
                    ? (c >= 2275 && c <= 2403)
                    : c <= 2415)
                  : (c <= 2435 || (c < 2447
                    ? (c >= 2437 && c <= 2444)
                    : c <= 2448)))))
              : (c <= 2472 || (c < 2507
                ? (c < 2486
                  ? (c < 2482
                    ? (c >= 2474 && c <= 2480)
                    : c <= 2482)
                  : (c <= 2489 || (c < 2503
                    ? (c >= 2492 && c <= 2500)
                    : c <= 2504)))
                : (c <= 2510 || (c < 2527
                  ? (c < 2524
                    ? c == 2519
                    : c <= 2525)
                  : (c <= 2531 || (c < 2556
                    ? (c >= 2534 && c <= 2545)
                    : c <= 2556)))))))
            : (c <= 2558 || (c < 2635
              ? (c < 2610
                ? (c < 2575
                  ? (c < 2565
                    ? (c >= 2561 && c <= 2563)
                    : c <= 2570)
                  : (c <= 2576 || (c < 2602
                    ? (c >= 2579 && c <= 2600)
                    : c <= 2608)))
                : (c <= 2611 || (c < 2620
                  ? (c < 2616
                    ? (c >= 2613 && c <= 2614)
                    : c <= 2617)
                  : (c <= 2620 || (c < 2631
                    ? (c >= 2622 && c <= 2626)
                    : c <= 2632)))))
              : (c <= 2637 || (c < 2693
                ? (c < 2654
                  ? (c < 2649
                    ? c == 2641
                    : c <= 2652)
                  : (c <= 2654 || (c < 2689
                    ? (c >= 2662 && c <= 2677)
                    : c <= 2691)))
                : (c <= 2701 || (c < 2730
                  ? (c < 2707
                    ? (c >= 2703 && c <= 2705)
                    : c <= 2728)
                  : (c <= 2736 || (c < 2741
                    ? (c >= 2738 && c <= 2739)
                    : c <= 2745)))))))))))
        : (c <= 2757 || (c < 3168
          ? (c < 2958
            ? (c < 2866
              ? (c < 2809
                ? (c < 2768
                  ? (c < 2763
                    ? (c >= 2759 && c <= 2761)
                    : c <= 2765)
                  : (c <= 2768 || (c < 2790
                    ? (c >= 2784 && c <= 2787)
                    : c <= 2799)))
                : (c <= 2815 || (c < 2831
                  ? (c < 2821
                    ? (c >= 2817 && c <= 2819)
                    : c <= 2828)
                  : (c <= 2832 || (c < 2858
                    ? (c >= 2835 && c <= 2856)
                    : c <= 2864)))))
              : (c <= 2867 || (c < 2908
                ? (c < 2887
                  ? (c < 2876
                    ? (c >= 2869 && c <= 2873)
                    : c <= 2884)
                  : (c <= 2888 || (c < 2901
                    ? (c >= 2891 && c <= 2893)
                    : c <= 2903)))
                : (c <= 2909 || (c < 2929
                  ? (c < 2918
                    ? (c >= 2911 && c <= 2915)
                    : c <= 2927)
                  : (c <= 2929 || (c < 2949
                    ? (c >= 2946 && c <= 2947)
                    : c <= 2954)))))))
            : (c <= 2960 || (c < 3031
              ? (c < 2984
                ? (c < 2972
                  ? (c < 2969
                    ? (c >= 2962 && c <= 2965)
                    : c <= 2970)
                  : (c <= 2972 || (c < 2979
                    ? (c >= 2974 && c <= 2975)
                    : c <= 2980)))
                : (c <= 2986 || (c < 3014
                  ? (c < 3006
                    ? (c >= 2990 && c <= 3001)
                    : c <= 3010)
                  : (c <= 3016 || (c < 3024
                    ? (c >= 3018 && c <= 3021)
                    : c <= 3024)))))
              : (c <= 3031 || (c < 3132
                ? (c < 3086
                  ? (c < 3072
                    ? (c >= 3046 && c <= 3055)
                    : c <= 3084)
                  : (c <= 3088 || (c < 3114
                    ? (c >= 3090 && c <= 3112)
                    : c <= 3129)))
                : (c <= 3140 || (c < 3157
                  ? (c < 3146
                    ? (c >= 3142 && c <= 3144)
                    : c <= 3149)
                  : (c <= 3158 || (c < 3165
                    ? (c >= 3160 && c <= 3162)
                    : c <= 3165)))))))))
          : (c <= 3171 || (c < 3450
            ? (c < 3293
              ? (c < 3242
                ? (c < 3205
                  ? (c < 3200
                    ? (c >= 3174 && c <= 3183)
                    : c <= 3203)
                  : (c <= 3212 || (c < 3218
                    ? (c >= 3214 && c <= 3216)
                    : c <= 3240)))
                : (c <= 3251 || (c < 3270
                  ? (c < 3260
                    ? (c >= 3253 && c <= 3257)
                    : c <= 3268)
                  : (c <= 3272 || (c < 3285
                    ? (c >= 3274 && c <= 3277)
                    : c <= 3286)))))
              : (c <= 3294 || (c < 3346
                ? (c < 3313
                  ? (c < 3302
                    ? (c >= 3296 && c <= 3299)
                    : c <= 3311)
                  : (c <= 3314 || (c < 3342
                    ? (c >= 3328 && c <= 3340)
                    : c <= 3344)))
                : (c <= 3396 || (c < 3412
                  ? (c < 3402
                    ? (c >= 3398 && c <= 3400)
                    : c <= 3406)
                  : (c <= 3415 || (c < 3430
                    ? (c >= 3423 && c <= 3427)
                    : c <= 3439)))))))
            : (c <= 3455 || (c < 3570
              ? (c < 3520
                ? (c < 3482
                  ? (c < 3461
                    ? (c >= 3457 && c <= 3459)
                    : c <= 3478)
                  : (c <= 3505 || (c < 3517
                    ? (c >= 3507 && c <= 3515)
                    : c <= 3517)))
                : (c <= 3526 || (c < 3542
                  ? (c < 3535
                    ? c == 3530
                    : c <= 3540)
                  : (c <= 3542 || (c < 3558
                    ? (c >= 3544 && c <= 3551)
                    : c <= 3567)))))
              : (c <= 3571 || (c < 3718
                ? (c < 3664
                  ? (c < 3648
                    ? (c >= 3585 && c <= 3642)
                    : c <= 3662)
                  : (c <= 3673 || (c < 3716
                    ? (c >= 3713 && c <= 3714)
                    : c <= 3716)))
                : (c <= 3722 || (c < 3751
                  ? (c < 3749
                    ? (c >= 3724 && c <= 3747)
                    : c <= 3749)
                  : (c <= 3773 || (c >= 3776 && c <= 3780)))))))))))))
      : (c <= 3782 || (c < 8025
        ? (c < 5888
          ? (c < 4688
            ? (c < 3953
              ? (c < 3872
                ? (c < 3804
                  ? (c < 3792
                    ? (c >= 3784 && c <= 3789)
                    : c <= 3801)
                  : (c <= 3807 || (c < 3864
                    ? c == 3840
                    : c <= 3865)))
                : (c <= 3881 || (c < 3897
                  ? (c < 3895
                    ? c == 3893
                    : c <= 3895)
                  : (c <= 3897 || (c < 3913
                    ? (c >= 3902 && c <= 3911)
                    : c <= 3948)))))
              : (c <= 3972 || (c < 4256
                ? (c < 4038
                  ? (c < 3993
                    ? (c >= 3974 && c <= 3991)
                    : c <= 4028)
                  : (c <= 4038 || (c < 4176
                    ? (c >= 4096 && c <= 4169)
                    : c <= 4253)))
                : (c <= 4293 || (c < 4304
                  ? (c < 4301
                    ? c == 4295
                    : c <= 4301)
                  : (c <= 4346 || (c < 4682
                    ? (c >= 4348 && c <= 4680)
                    : c <= 4685)))))))
            : (c <= 4694 || (c < 4882
              ? (c < 4786
                ? (c < 4704
                  ? (c < 4698
                    ? c == 4696
                    : c <= 4701)
                  : (c <= 4744 || (c < 4752
                    ? (c >= 4746 && c <= 4749)
                    : c <= 4784)))
                : (c <= 4789 || (c < 4802
                  ? (c < 4800
                    ? (c >= 4792 && c <= 4798)
                    : c <= 4800)
                  : (c <= 4805 || (c < 4824
                    ? (c >= 4808 && c <= 4822)
                    : c <= 4880)))))
              : (c <= 4885 || (c < 5112
                ? (c < 4969
                  ? (c < 4957
                    ? (c >= 4888 && c <= 4954)
                    : c <= 4959)
                  : (c <= 4977 || (c < 5024
                    ? (c >= 4992 && c <= 5007)
                    : c <= 5109)))
                : (c <= 5117 || (c < 5761
                  ? (c < 5743
                    ? (c >= 5121 && c <= 5740)
                    : c <= 5759)
                  : (c <= 5786 || (c < 5870
                    ? (c >= 5792 && c <= 5866)
                    : c <= 5880)))))))))
          : (c <= 5909 || (c < 6688
            ? (c < 6176
              ? (c < 6016
                ? (c < 5984
                  ? (c < 5952
                    ? (c >= 5919 && c <= 5940)
                    : c <= 5971)
                  : (c <= 5996 || (c < 6002
                    ? (c >= 5998 && c <= 6000)
                    : c <= 6003)))
                : (c <= 6099 || (c < 6112
                  ? (c < 6108
                    ? c == 6103
                    : c <= 6109)
                  : (c <= 6121 || (c < 6159
                    ? (c >= 6155 && c <= 6157)
                    : c <= 6169)))))
              : (c <= 6264 || (c < 6470
                ? (c < 6400
                  ? (c < 6320
                    ? (c >= 6272 && c <= 6314)
                    : c <= 6389)
                  : (c <= 6430 || (c < 6448
                    ? (c >= 6432 && c <= 6443)
                    : c <= 6459)))
                : (c <= 6509 || (c < 6576
                  ? (c < 6528
                    ? (c >= 6512 && c <= 6516)
                    : c <= 6571)
                  : (c <= 6601 || (c < 6656
                    ? (c >= 6608 && c <= 6618)
                    : c <= 6683)))))))
            : (c <= 6750 || (c < 7232
              ? (c < 6847
                ? (c < 6800
                  ? (c < 6783
                    ? (c >= 6752 && c <= 6780)
                    : c <= 6793)
                  : (c <= 6809 || (c < 6832
                    ? c == 6823
                    : c <= 6845)))
                : (c <= 6862 || (c < 7019
                  ? (c < 6992
                    ? (c >= 6912 && c <= 6988)
                    : c <= 7001)
                  : (c <= 7027 || (c < 7168
                    ? (c >= 7040 && c <= 7155)
                    : c <= 7223)))))
              : (c <= 7241 || (c < 7380
                ? (c < 7312
                  ? (c < 7296
                    ? (c >= 7245 && c <= 7293)
                    : c <= 7304)
                  : (c <= 7354 || (c < 7376
                    ? (c >= 7357 && c <= 7359)
                    : c <= 7378)))
                : (c <= 7418 || (c < 7968
                  ? (c < 7960
                    ? (c >= 7424 && c <= 7957)
                    : c <= 7965)
                  : (c <= 8005 || (c < 8016
                    ? (c >= 8008 && c <= 8013)
                    : c <= 8023)))))))))))
        : (c <= 8025 || (c < 11720
          ? (c < 8458
            ? (c < 8178
              ? (c < 8126
                ? (c < 8031
                  ? (c < 8029
                    ? c == 8027
                    : c <= 8029)
                  : (c <= 8061 || (c < 8118
                    ? (c >= 8064 && c <= 8116)
                    : c <= 8124)))
                : (c <= 8126 || (c < 8144
                  ? (c < 8134
                    ? (c >= 8130 && c <= 8132)
                    : c <= 8140)
                  : (c <= 8147 || (c < 8160
                    ? (c >= 8150 && c <= 8155)
                    : c <= 8172)))))
              : (c <= 8180 || (c < 8336
                ? (c < 8276
                  ? (c < 8255
                    ? (c >= 8182 && c <= 8188)
                    : c <= 8256)
                  : (c <= 8276 || (c < 8319
                    ? c == 8305
                    : c <= 8319)))
                : (c <= 8348 || (c < 8421
                  ? (c < 8417
                    ? (c >= 8400 && c <= 8412)
                    : c <= 8417)
                  : (c <= 8432 || (c < 8455
                    ? c == 8450
                    : c <= 8455)))))))
            : (c <= 8467 || (c < 11499
              ? (c < 8490
                ? (c < 8484
                  ? (c < 8472
                    ? c == 8469
                    : c <= 8477)
                  : (c <= 8484 || (c < 8488
                    ? c == 8486
                    : c <= 8488)))
                : (c <= 8505 || (c < 8526
                  ? (c < 8517
                    ? (c >= 8508 && c <= 8511)
                    : c <= 8521)
                  : (c <= 8526 || (c < 11264
                    ? (c >= 8544 && c <= 8584)
                    : c <= 11492)))))
              : (c <= 11507 || (c < 11647
                ? (c < 11565
                  ? (c < 11559
                    ? (c >= 11520 && c <= 11557)
                    : c <= 11559)
                  : (c <= 11565 || (c < 11631
                    ? (c >= 11568 && c <= 11623)
                    : c <= 11631)))
                : (c <= 11670 || (c < 11696
                  ? (c < 11688
                    ? (c >= 11680 && c <= 11686)
                    : c <= 11694)
                  : (c <= 11702 || (c < 11712
                    ? (c >= 11704 && c <= 11710)
                    : c <= 11718)))))))))
          : (c <= 11726 || (c < 42623
            ? (c < 12540
              ? (c < 12337
                ? (c < 11744
                  ? (c < 11736
                    ? (c >= 11728 && c <= 11734)
                    : c <= 11742)
                  : (c <= 11775 || (c < 12321
                    ? (c >= 12293 && c <= 12295)
                    : c <= 12335)))
                : (c <= 12341 || (c < 12441
                  ? (c < 12353
                    ? (c >= 12344 && c <= 12348)
                    : c <= 12438)
                  : (c <= 12442 || (c < 12449
                    ? (c >= 12445 && c <= 12447)
                    : c <= 12538)))))
              : (c <= 12543 || (c < 19968
                ? (c < 12704
                  ? (c < 12593
                    ? (c >= 12549 && c <= 12591)
                    : c <= 12686)
                  : (c <= 12735 || (c < 13312
                    ? (c >= 12784 && c <= 12799)
                    : c <= 19903)))
                : (c <= 42124 || (c < 42512
                  ? (c < 42240
                    ? (c >= 42192 && c <= 42237)
                    : c <= 42508)
                  : (c <= 42539 || (c < 42612
                    ? (c >= 42560 && c <= 42607)
                    : c <= 42621)))))))
            : (c <= 42737 || (c < 43232
              ? (c < 42965
                ? (c < 42891
                  ? (c < 42786
                    ? (c >= 42775 && c <= 42783)
                    : c <= 42888)
                  : (c <= 42954 || (c < 42963
                    ? (c >= 42960 && c <= 42961)
                    : c <= 42963)))
                : (c <= 42969 || (c < 43072
                  ? (c < 43052
                    ? (c >= 42994 && c <= 43047)
                    : c <= 43052)
                  : (c <= 43123 || (c < 43216
                    ? (c >= 43136 && c <= 43205)
                    : c <= 43225)))))
              : (c <= 43255 || (c < 43471
                ? (c < 43312
                  ? (c < 43261
                    ? c == 43259
                    : c <= 43309)
                  : (c <= 43347 || (c < 43392
                    ? (c >= 43360 && c <= 43388)
                    : c <= 43456)))
                : (c <= 43481 || (c < 43584
                  ? (c < 43520
                    ? (c >= 43488 && c <= 43518)
                    : c <= 43574)
                  : (c <= 43597 || (c >= 43600 && c <= 43609)))))))))))))))
    : (c <= 43638 || (c < 71453
      ? (c < 67639
        ? (c < 65345
          ? (c < 64312
            ? (c < 43888
              ? (c < 43785
                ? (c < 43744
                  ? (c < 43739
                    ? (c >= 43642 && c <= 43714)
                    : c <= 43741)
                  : (c <= 43759 || (c < 43777
                    ? (c >= 43762 && c <= 43766)
                    : c <= 43782)))
                : (c <= 43790 || (c < 43816
                  ? (c < 43808
                    ? (c >= 43793 && c <= 43798)
                    : c <= 43814)
                  : (c <= 43822 || (c < 43868
                    ? (c >= 43824 && c <= 43866)
                    : c <= 43881)))))
              : (c <= 44010 || (c < 63744
                ? (c < 44032
                  ? (c < 44016
                    ? (c >= 44012 && c <= 44013)
                    : c <= 44025)
                  : (c <= 55203 || (c < 55243
                    ? (c >= 55216 && c <= 55238)
                    : c <= 55291)))
                : (c <= 64109 || (c < 64275
                  ? (c < 64256
                    ? (c >= 64112 && c <= 64217)
                    : c <= 64262)
                  : (c <= 64279 || (c < 64298
                    ? (c >= 64285 && c <= 64296)
                    : c <= 64310)))))))
            : (c <= 64316 || (c < 65075
              ? (c < 64612
                ? (c < 64323
                  ? (c < 64320
                    ? c == 64318
                    : c <= 64321)
                  : (c <= 64324 || (c < 64467
                    ? (c >= 64326 && c <= 64433)
                    : c <= 64605)))
                : (c <= 64829 || (c < 65008
                  ? (c < 64914
                    ? (c >= 64848 && c <= 64911)
                    : c <= 64967)
                  : (c <= 65017 || (c < 65056
                    ? (c >= 65024 && c <= 65039)
                    : c <= 65071)))))
              : (c <= 65076 || (c < 65147
                ? (c < 65139
                  ? (c < 65137
                    ? (c >= 65101 && c <= 65103)
                    : c <= 65137)
                  : (c <= 65139 || (c < 65145
                    ? c == 65143
                    : c <= 65145)))
                : (c <= 65147 || (c < 65296
                  ? (c < 65151
                    ? c == 65149
                    : c <= 65276)
                  : (c <= 65305 || (c < 65343
                    ? (c >= 65313 && c <= 65338)
                    : c <= 65343)))))))))
          : (c <= 65370 || (c < 66513
            ? (c < 65664
              ? (c < 65536
                ? (c < 65482
                  ? (c < 65474
                    ? (c >= 65382 && c <= 65470)
                    : c <= 65479)
                  : (c <= 65487 || (c < 65498
                    ? (c >= 65490 && c <= 65495)
                    : c <= 65500)))
                : (c <= 65547 || (c < 65596
                  ? (c < 65576
                    ? (c >= 65549 && c <= 65574)
                    : c <= 65594)
                  : (c <= 65597 || (c < 65616
                    ? (c >= 65599 && c <= 65613)
                    : c <= 65629)))))
              : (c <= 65786 || (c < 66304
                ? (c < 66176
                  ? (c < 66045
                    ? (c >= 65856 && c <= 65908)
                    : c <= 66045)
                  : (c <= 66204 || (c < 66272
                    ? (c >= 66208 && c <= 66256)
                    : c <= 66272)))
                : (c <= 66335 || (c < 66432
                  ? (c < 66384
                    ? (c >= 66349 && c <= 66378)
                    : c <= 66426)
                  : (c <= 66461 || (c < 66504
                    ? (c >= 66464 && c <= 66499)
                    : c <= 66511)))))))
            : (c <= 66517 || (c < 66979
              ? (c < 66864
                ? (c < 66736
                  ? (c < 66720
                    ? (c >= 66560 && c <= 66717)
                    : c <= 66729)
                  : (c <= 66771 || (c < 66816
                    ? (c >= 66776 && c <= 66811)
                    : c <= 66855)))
                : (c <= 66915 || (c < 66956
                  ? (c < 66940
                    ? (c >= 66928 && c <= 66938)
                    : c <= 66954)
                  : (c <= 66962 || (c < 66967
                    ? (c >= 66964 && c <= 66965)
                    : c <= 66977)))))
              : (c <= 66993 || (c < 67456
                ? (c < 67072
                  ? (c < 67003
                    ? (c >= 66995 && c <= 67001)
                    : c <= 67004)
                  : (c <= 67382 || (c < 67424
                    ? (c >= 67392 && c <= 67413)
                    : c <= 67431)))
                : (c <= 67461 || (c < 67584
                  ? (c < 67506
                    ? (c >= 67463 && c <= 67504)
                    : c <= 67514)
                  : (c <= 67589 || (c < 67594
                    ? c == 67592
                    : c <= 67637)))))))))))
        : (c <= 67640 || (c < 69956
          ? (c < 68448
            ? (c < 68101
              ? (c < 67828
                ? (c < 67680
                  ? (c < 67647
                    ? c == 67644
                    : c <= 67669)
                  : (c <= 67702 || (c < 67808
                    ? (c >= 67712 && c <= 67742)
                    : c <= 67826)))
                : (c <= 67829 || (c < 67968
                  ? (c < 67872
                    ? (c >= 67840 && c <= 67861)
                    : c <= 67897)
                  : (c <= 68023 || (c < 68096
                    ? (c >= 68030 && c <= 68031)
                    : c <= 68099)))))
              : (c <= 68102 || (c < 68192
                ? (c < 68121
                  ? (c < 68117
                    ? (c >= 68108 && c <= 68115)
                    : c <= 68119)
                  : (c <= 68149 || (c < 68159
                    ? (c >= 68152 && c <= 68154)
                    : c <= 68159)))
                : (c <= 68220 || (c < 68297
                  ? (c < 68288
                    ? (c >= 68224 && c <= 68252)
                    : c <= 68295)
                  : (c <= 68326 || (c < 68416
                    ? (c >= 68352 && c <= 68405)
                    : c <= 68437)))))))
            : (c <= 68466 || (c < 69424
              ? (c < 68912
                ? (c < 68736
                  ? (c < 68608
                    ? (c >= 68480 && c <= 68497)
                    : c <= 68680)
                  : (c <= 68786 || (c < 68864
                    ? (c >= 68800 && c <= 68850)
                    : c <= 68903)))
                : (c <= 68921 || (c < 69296
                  ? (c < 69291
                    ? (c >= 69248 && c <= 69289)
                    : c <= 69292)
                  : (c <= 69297 || (c < 69415
                    ? (c >= 69376 && c <= 69404)
                    : c <= 69415)))))
              : (c <= 69456 || (c < 69759
                ? (c < 69600
                  ? (c < 69552
                    ? (c >= 69488 && c <= 69509)
                    : c <= 69572)
                  : (c <= 69622 || (c < 69734
                    ? (c >= 69632 && c <= 69702)
                    : c <= 69749)))
                : (c <= 69818 || (c < 69872
                  ? (c < 69840
                    ? c == 69826
                    : c <= 69864)
                  : (c <= 69881 || (c < 69942
                    ? (c >= 69888 && c <= 69940)
                    : c <= 69951)))))))))
          : (c <= 69959 || (c < 70459
            ? (c < 70282
              ? (c < 70108
                ? (c < 70016
                  ? (c < 70006
                    ? (c >= 69968 && c <= 70003)
                    : c <= 70006)
                  : (c <= 70084 || (c < 70094
                    ? (c >= 70089 && c <= 70092)
                    : c <= 70106)))
                : (c <= 70108 || (c < 70206
                  ? (c < 70163
                    ? (c >= 70144 && c <= 70161)
                    : c <= 70199)
                  : (c <= 70206 || (c < 70280
                    ? (c >= 70272 && c <= 70278)
                    : c <= 70280)))))
              : (c <= 70285 || (c < 70405
                ? (c < 70320
                  ? (c < 70303
                    ? (c >= 70287 && c <= 70301)
                    : c <= 70312)
                  : (c <= 70378 || (c < 70400
                    ? (c >= 70384 && c <= 70393)
                    : c <= 70403)))
                : (c <= 70412 || (c < 70442
                  ? (c < 70419
                    ? (c >= 70415 && c <= 70416)
                    : c <= 70440)
                  : (c <= 70448 || (c < 70453
                    ? (c >= 70450 && c <= 70451)
                    : c <= 70457)))))))
            : (c <= 70468 || (c < 70855
              ? (c < 70502
                ? (c < 70480
                  ? (c < 70475
                    ? (c >= 70471 && c <= 70472)
                    : c <= 70477)
                  : (c <= 70480 || (c < 70493
                    ? c == 70487
                    : c <= 70499)))
                : (c <= 70508 || (c < 70736
                  ? (c < 70656
                    ? (c >= 70512 && c <= 70516)
                    : c <= 70730)
                  : (c <= 70745 || (c < 70784
                    ? (c >= 70750 && c <= 70753)
                    : c <= 70853)))))
              : (c <= 70855 || (c < 71236
                ? (c < 71096
                  ? (c < 71040
                    ? (c >= 70864 && c <= 70873)
                    : c <= 71093)
                  : (c <= 71104 || (c < 71168
                    ? (c >= 71128 && c <= 71133)
                    : c <= 71232)))
                : (c <= 71236 || (c < 71360
                  ? (c < 71296
                    ? (c >= 71248 && c <= 71257)
                    : c <= 71352)
                  : (c <= 71369 || (c >= 71424 && c <= 71450)))))))))))))
      : (c <= 71467 || (c < 119973
        ? (c < 77824
          ? (c < 72760
            ? (c < 72016
              ? (c < 71945
                ? (c < 71680
                  ? (c < 71488
                    ? (c >= 71472 && c <= 71481)
                    : c <= 71494)
                  : (c <= 71738 || (c < 71935
                    ? (c >= 71840 && c <= 71913)
                    : c <= 71942)))
                : (c <= 71945 || (c < 71960
                  ? (c < 71957
                    ? (c >= 71948 && c <= 71955)
                    : c <= 71958)
                  : (c <= 71989 || (c < 71995
                    ? (c >= 71991 && c <= 71992)
                    : c <= 72003)))))
              : (c <= 72025 || (c < 72263
                ? (c < 72154
                  ? (c < 72106
                    ? (c >= 72096 && c <= 72103)
                    : c <= 72151)
                  : (c <= 72161 || (c < 72192
                    ? (c >= 72163 && c <= 72164)
                    : c <= 72254)))
                : (c <= 72263 || (c < 72368
                  ? (c < 72349
                    ? (c >= 72272 && c <= 72345)
                    : c <= 72349)
                  : (c <= 72440 || (c < 72714
                    ? (c >= 72704 && c <= 72712)
                    : c <= 72758)))))))
            : (c <= 72768 || (c < 73056
              ? (c < 72968
                ? (c < 72850
                  ? (c < 72818
                    ? (c >= 72784 && c <= 72793)
                    : c <= 72847)
                  : (c <= 72871 || (c < 72960
                    ? (c >= 72873 && c <= 72886)
                    : c <= 72966)))
                : (c <= 72969 || (c < 73020
                  ? (c < 73018
                    ? (c >= 72971 && c <= 73014)
                    : c <= 73018)
                  : (c <= 73021 || (c < 73040
                    ? (c >= 73023 && c <= 73031)
                    : c <= 73049)))))
              : (c <= 73061 || (c < 73440
                ? (c < 73104
                  ? (c < 73066
                    ? (c >= 73063 && c <= 73064)
                    : c <= 73102)
                  : (c <= 73105 || (c < 73120
                    ? (c >= 73107 && c <= 73112)
                    : c <= 73129)))
                : (c <= 73462 || (c < 74752
                  ? (c < 73728
                    ? c == 73648
                    : c <= 74649)
                  : (c <= 74862 || (c < 77712
                    ? (c >= 74880 && c <= 75075)
                    : c <= 77808)))))))))
          : (c <= 78894 || (c < 110576
            ? (c < 93027
              ? (c < 92864
                ? (c < 92736
                  ? (c < 92160
                    ? (c >= 82944 && c <= 83526)
                    : c <= 92728)
                  : (c <= 92766 || (c < 92784
                    ? (c >= 92768 && c <= 92777)
                    : c <= 92862)))
                : (c <= 92873 || (c < 92928
                  ? (c < 92912
                    ? (c >= 92880 && c <= 92909)
                    : c <= 92916)
                  : (c <= 92982 || (c < 93008
                    ? (c >= 92992 && c <= 92995)
                    : c <= 93017)))))
              : (c <= 93047 || (c < 94176
                ? (c < 93952
                  ? (c < 93760
                    ? (c >= 93053 && c <= 93071)
                    : c <= 93823)
                  : (c <= 94026 || (c < 94095
                    ? (c >= 94031 && c <= 94087)
                    : c <= 94111)))
                : (c <= 94177 || (c < 94208
                  ? (c < 94192
                    ? (c >= 94179 && c <= 94180)
                    : c <= 94193)
                  : (c <= 100343 || (c < 101632
                    ? (c >= 100352 && c <= 101589)
                    : c <= 101640)))))))
            : (c <= 110579 || (c < 118528
              ? (c < 110960
                ? (c < 110592
                  ? (c < 110589
                    ? (c >= 110581 && c <= 110587)
                    : c <= 110590)
                  : (c <= 110882 || (c < 110948
                    ? (c >= 110928 && c <= 110930)
                    : c <= 110951)))
                : (c <= 111355 || (c < 113792
                  ? (c < 113776
                    ? (c >= 113664 && c <= 113770)
                    : c <= 113788)
                  : (c <= 113800 || (c < 113821
                    ? (c >= 113808 && c <= 113817)
                    : c <= 113822)))))
              : (c <= 118573 || (c < 119210
                ? (c < 119149
                  ? (c < 119141
                    ? (c >= 118576 && c <= 118598)
                    : c <= 119145)
                  : (c <= 119154 || (c < 119173
                    ? (c >= 119163 && c <= 119170)
                    : c <= 119179)))
                : (c <= 119213 || (c < 119894
                  ? (c < 119808
                    ? (c >= 119362 && c <= 119364)
                    : c <= 119892)
                  : (c <= 119964 || (c < 119970
                    ? (c >= 119966 && c <= 119967)
                    : c <= 119970)))))))))))
        : (c <= 119974 || (c < 124912
          ? (c < 120746
            ? (c < 120134
              ? (c < 120071
                ? (c < 119995
                  ? (c < 119982
                    ? (c >= 119977 && c <= 119980)
                    : c <= 119993)
                  : (c <= 119995 || (c < 120005
                    ? (c >= 119997 && c <= 120003)
                    : c <= 120069)))
                : (c <= 120074 || (c < 120094
                  ? (c < 120086
                    ? (c >= 120077 && c <= 120084)
                    : c <= 120092)
                  : (c <= 120121 || (c < 120128
                    ? (c >= 120123 && c <= 120126)
                    : c <= 120132)))))
              : (c <= 120134 || (c < 120572
                ? (c < 120488
                  ? (c < 120146
                    ? (c >= 120138 && c <= 120144)
                    : c <= 120485)
                  : (c <= 120512 || (c < 120540
                    ? (c >= 120514 && c <= 120538)
                    : c <= 120570)))
                : (c <= 120596 || (c < 120656
                  ? (c < 120630
                    ? (c >= 120598 && c <= 120628)
                    : c <= 120654)
                  : (c <= 120686 || (c < 120714
                    ? (c >= 120688 && c <= 120712)
                    : c <= 120744)))))))
            : (c <= 120770 || (c < 122907
              ? (c < 121476
                ? (c < 121344
                  ? (c < 120782
                    ? (c >= 120772 && c <= 120779)
                    : c <= 120831)
                  : (c <= 121398 || (c < 121461
                    ? (c >= 121403 && c <= 121452)
                    : c <= 121461)))
                : (c <= 121476 || (c < 122624
                  ? (c < 121505
                    ? (c >= 121499 && c <= 121503)
                    : c <= 121519)
                  : (c <= 122654 || (c < 122888
                    ? (c >= 122880 && c <= 122886)
                    : c <= 122904)))))
              : (c <= 122913 || (c < 123214
                ? (c < 123136
                  ? (c < 122918
                    ? (c >= 122915 && c <= 122916)
                    : c <= 122922)
                  : (c <= 123180 || (c < 123200
                    ? (c >= 123184 && c <= 123197)
                    : c <= 123209)))
                : (c <= 123214 || (c < 124896
                  ? (c < 123584
                    ? (c >= 123536 && c <= 123566)
                    : c <= 123641)
                  : (c <= 124902 || (c < 124909
                    ? (c >= 124904 && c <= 124907)
                    : c <= 124910)))))))))
          : (c <= 124926 || (c < 126557
            ? (c < 126521
              ? (c < 126469
                ? (c < 125184
                  ? (c < 125136
                    ? (c >= 124928 && c <= 125124)
                    : c <= 125142)
                  : (c <= 125259 || (c < 126464
                    ? (c >= 125264 && c <= 125273)
                    : c <= 126467)))
                : (c <= 126495 || (c < 126503
                  ? (c < 126500
                    ? (c >= 126497 && c <= 126498)
                    : c <= 126500)
                  : (c <= 126503 || (c < 126516
                    ? (c >= 126505 && c <= 126514)
                    : c <= 126519)))))
              : (c <= 126521 || (c < 126541
                ? (c < 126535
                  ? (c < 126530
                    ? c == 126523
                    : c <= 126530)
                  : (c <= 126535 || (c < 126539
                    ? c == 126537
                    : c <= 126539)))
                : (c <= 126543 || (c < 126551
                  ? (c < 126548
                    ? (c >= 126545 && c <= 126546)
                    : c <= 126548)
                  : (c <= 126551 || (c < 126555
                    ? c == 126553
                    : c <= 126555)))))))
            : (c <= 126557 || (c < 126629
              ? (c < 126580
                ? (c < 126564
                  ? (c < 126561
                    ? c == 126559
                    : c <= 126562)
                  : (c <= 126564 || (c < 126572
                    ? (c >= 126567 && c <= 126570)
                    : c <= 126578)))
                : (c <= 126583 || (c < 126592
                  ? (c < 126590
                    ? (c >= 126585 && c <= 126588)
                    : c <= 126590)
                  : (c <= 126601 || (c < 126625
                    ? (c >= 126603 && c <= 126619)
                    : c <= 126627)))))
              : (c <= 126633 || (c < 178208
                ? (c < 131072
                  ? (c < 130032
                    ? (c >= 126635 && c <= 126651)
                    : c <= 130041)
                  : (c <= 173791 || (c < 177984
                    ? (c >= 173824 && c <= 177976)
                    : c <= 178205)))
                : (c <= 183969 || (c < 196608
                  ? (c < 194560
                    ? (c >= 183984 && c <= 191456)
                    : c <= 195101)
                  : (c <= 201546 || (c >= 917760 && c <= 917999)))))))))))))))));
}

static inline bool sym_rune_literal_character_set_1(int32_t c) {
  return (c < 'f'
    ? (c < '\\'
      ? (c < '\''
        ? c == '"'
        : c <= '\'')
      : (c <= '\\' || (c >= 'a' && c <= 'b')))
    : (c <= 'f' || (c < 't'
      ? (c < 'r'
        ? c == 'n'
        : c <= 'r')
      : (c <= 't' || c == 'v'))));
}

static bool ts_lex(TSLexer *lexer, TSStateId state) {
  START_LEXER();
  eof = lexer->eof(lexer);
  switch (state) {
    case 0:
      if (eof) ADVANCE(60);
      if (lookahead == '!') ADVANCE(106);
      if (lookahead == '"') ADVANCE(137);
      if (lookahead == '%') ADVANCE(115);
      if (lookahead == '&') ADVANCE(110);
      if (lookahead == '\'') ADVANCE(21);
      if (lookahead == '(') ADVANCE(66);
      if (lookahead == ')') ADVANCE(67);
      if (lookahead == '*') ADVANCE(75);
      if (lookahead == '+') ADVANCE(100);
      if (lookahead == ',') ADVANCE(68);
      if (lookahead == '-') ADVANCE(103);
      if (lookahead == '.') ADVANCE(65);
      if (lookahead == '/') ADVANCE(113);
      if (lookahead == '0') ADVANCE(146);
      if (lookahead == ':') ADVANCE(98);
      if (lookahead == ';') ADVANCE(62);
      if (lookahead == '<') ADVANCE(124);
      if (lookahead == '=') ADVANCE(70);
      if (lookahead == '>') ADVANCE(129);
      if (lookahead == '[') ADVANCE(71);
      if (lookahead == '\\') ADVANCE(20);
      if (lookahead == ']') ADVANCE(72);
      if (lookahead == '^') ADVANCE(108);
      if (lookahead == '`') ADVANCE(24);
      if (lookahead == '{') ADVANCE(80);
      if (lookahead == '|') ADVANCE(77);
      if (lookahead == '}') ADVANCE(81);
      if (lookahead == '~') ADVANCE(79);
      if (lookahead == '\t' ||
          lookahead == '\n' ||
          lookahead == '\r' ||
          lookahead == ' ') SKIP(58)
      if (('1' <= lookahead && lookahead <= '9')) ADVANCE(148);
      if (sym_identifier_character_set_1(lookahead)) ADVANCE(134);
      END_STATE();
    case 1:
      if (lookahead == '\n') ADVANCE(61);
      if (lookahead == '!') ADVANCE(17);
      if (lookahead == '%') ADVANCE(114);
      if (lookahead == '&') ADVANCE(111);
      if (lookahead == '(') ADVANCE(66);
      if (lookahead == '*') ADVANCE(74);
      if (lookahead == '+') ADVANCE(99);
      if (lookahead == ',') ADVANCE(68);
      if (lookahead == '-') ADVANCE(102);
      if (lookahead == '.') ADVANCE(63);
      if (lookahead == '/') ADVANCE(112);
      if (lookahead == ';') ADVANCE(62);
      if (lookahead == '<') ADVANCE(127);
      if (lookahead == '=') ADVANCE(19);
      if (lookahead == '>') ADVANCE(130);
      if (lookahead == '[') ADVANCE(71);
      if (lookahead == '^') ADVANCE(107);
      if (lookahead == '{') ADVANCE(80);
      if (lookahead == '|') ADVANCE(78);
      if (lookahead == '}') ADVANCE(81);
      if (lookahead == '\t' ||
          lookahead == '\r' ||
          lookahead == ' ') SKIP(1)
      if (sym_identifier_character_set_2(lookahead)) ADVANCE(134);
      END_STATE();
    case 2:
      if (lookahead == '\n') SKIP(16)
      if (lookahead == '"') ADVANCE(137);
      if (lookahead == '/') ADVANCE(138);
      if (lookahead == '\\') ADVANCE(20);
      if (lookahead == '\t' ||
          lookahead == '\r' ||
          lookahead == ' ') ADVANCE(141);
      if (lookahead != 0) ADVANCE(142);
      END_STATE();
    case 3:
      if (lookahead == '!') ADVANCE(17);
      if (lookahead == '"') ADVANCE(136);
      if (lookahead == '%') ADVANCE(114);
      if (lookahead == '&') ADVANCE(111);
      if (lookahead == '(') ADVANCE(66);
      if (lookahead == ')') ADVANCE(67);
      if (lookahead == '*') ADVANCE(74);
      if (lookahead == '+') ADVANCE(99);
      if (lookahead == ',') ADVANCE(68);
      if (lookahead == '-') ADVANCE(102);
      if (lookahead == '.') ADVANCE(64);
      if (lookahead == '/') ADVANCE(112);
      if (lookahead == ':') ADVANCE(98);
      if (lookahead == '<') ADVANCE(125);
      if (lookahead == '=') ADVANCE(70);
      if (lookahead == '>') ADVANCE(130);
      if (lookahead == '[') ADVANCE(71);
      if (lookahead == ']') ADVANCE(72);
      if (lookahead == '^') ADVANCE(107);
      if (lookahead == '`') ADVANCE(24);
      if (lookahead == '{') ADVANCE(80);
      if (lookahead == '|') ADVANCE(78);
      if (lookahead == '~') ADVANCE(79);
      if (lookahead == '\t' ||
          lookahead == '\n' ||
          lookahead == '\r' ||
          lookahead == ' ') SKIP(3)
      if (sym_identifier_character_set_3(lookahead)) ADVANCE(134);
      END_STATE();
    case 4:
      if (lookahead == '!') ADVANCE(17);
      if (lookahead == '%') ADVANCE(115);
      if (lookahead == '&') ADVANCE(110);
      if (lookahead == '(') ADVANCE(66);
      if (lookahead == '*') ADVANCE(75);
      if (lookahead == '+') ADVANCE(100);
      if (lookahead == ',') ADVANCE(68);
      if (lookahead == '-') ADVANCE(103);
      if (lookahead == '.') ADVANCE(63);
      if (lookahead == '/') ADVANCE(113);
      if (lookahead == ':') ADVANCE(18);
      if (lookahead == ';') ADVANCE(62);
      if (lookahead == '<') ADVANCE(124);
      if (lookahead == '=') ADVANCE(70);
      if (lookahead == '>') ADVANCE(129);
      if (lookahead == '[') ADVANCE(71);
      if (lookahead == '^') ADVANCE(108);
      if (lookahead == '{') ADVANCE(80);
      if (lookahead == '|') ADVANCE(77);
      if (lookahead == '\t' ||
          lookahead == '\n' ||
          lookahead == '\r' ||
          lookahead == ' ') SKIP(4)
      END_STATE();
    case 5:
      if (lookahead == '!') ADVANCE(17);
      if (lookahead == '%') ADVANCE(115);
      if (lookahead == '&') ADVANCE(110);
      if (lookahead == '(') ADVANCE(66);
      if (lookahead == '*') ADVANCE(75);
      if (lookahead == '+') ADVANCE(101);
      if (lookahead == ',') ADVANCE(68);
      if (lookahead == '-') ADVANCE(104);
      if (lookahead == '.') ADVANCE(63);
      if (lookahead == '/') ADVANCE(113);
      if (lookahead == ':') ADVANCE(18);
      if (lookahead == '<') ADVANCE(126);
      if (lookahead == '=') ADVANCE(70);
      if (lookahead == '>') ADVANCE(129);
      if (lookahead == '[') ADVANCE(71);
      if (lookahead == '^') ADVANCE(108);
      if (lookahead == '{') ADVANCE(80);
      if (lookahead == '|') ADVANCE(77);
      if (lookahead == '\t' ||
          lookahead == '\n' ||
          lookahead == '\r' ||
          lookahead == ' ') SKIP(5)
      END_STATE();
    case 6:
      if (lookahead == '!') ADVANCE(17);
      if (lookahead == '%') ADVANCE(114);
      if (lookahead == '&') ADVANCE(111);
      if (lookahead == '(') ADVANCE(66);
      if (lookahead == ')') ADVANCE(67);
      if (lookahead == '*') ADVANCE(74);
      if (lookahead == '+') ADVANCE(99);
      if (lookahead == ',') ADVANCE(68);
      if (lookahead == '-') ADVANCE(102);
      if (lookahead == '.') ADVANCE(64);
      if (lookahead == '/') ADVANCE(112);
      if (lookahead == ':') ADVANCE(98);
      if (lookahead == ';') ADVANCE(62);
      if (lookahead == '<') ADVANCE(127);
      if (lookahead == '=') ADVANCE(70);
      if (lookahead == '>') ADVANCE(130);
      if (lookahead == '[') ADVANCE(71);
      if (lookahead == ']') ADVANCE(72);
      if (lookahead == '^') ADVANCE(107);
      if (lookahead == '{') ADVANCE(80);
      if (lookahead == '|') ADVANCE(78);
      if (lookahead == '}') ADVANCE(81);
      if (lookahead == '\t' ||
          lookahead == '\n' ||
          lookahead == '\r' ||
          lookahead == ' ') SKIP(6)
      END_STATE();
    case 7:
      if (lookahead == '\'') ADVANCE(156);
      END_STATE();
    case 8:
      if (lookahead == '*') ADVANCE(10);
      if (lookahead == '/') ADVANCE(158);
      END_STATE();
    case 9:
      if (lookahead == '*') ADVANCE(9);
      if (lookahead == '/') ADVANCE(157);
      if (lookahead != 0) ADVANCE(10);
      END_STATE();
    case 10:
      if (lookahead == '*') ADVANCE(9);
      if (lookahead != 0) ADVANCE(10);
      END_STATE();
    case 11:
      if (lookahead == '-') ADVANCE(82);
      END_STATE();
    case 12:
      if (lookahead == '.') ADVANCE(14);
      if (('0' <= lookahead && lookahead <= '9')) ADVANCE(153);
      END_STATE();
    case 13:
      if (lookahead == '.') ADVANCE(154);
      if (lookahead == 'E' ||
          lookahead == 'e') ADVANCE(25);
      if (lookahead == '_') ADVANCE(36);
      if (lookahead == 'i') ADVANCE(155);
      if (('0' <= lookahead && lookahead <= '9')) ADVANCE(13);
      END_STATE();
    case 14:
      if (lookahead == '.') ADVANCE(73);
      END_STATE();
    case 15:
      if (lookahead == '.') ADVANCE(41);
      if (lookahead == '_') ADVANCE(40);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'F') ||
          ('a' <= lookahead && lookahead <= 'f')) ADVANCE(149);
      END_STATE();
    case 16:
      if (lookahead == '/') ADVANCE(8);
      if (lookahead == '\t' ||
          lookahead == '\n' ||
          lookahead == '\r' ||
          lookahead == ' ') SKIP(16)
      END_STATE();
    case 17:
      if (lookahead == '=') ADVANCE(123);
      END_STATE();
    case 18:
      if (lookahead == '=') ADVANCE(83);
      END_STATE();
    case 19:
      if (lookahead == '=') ADVANCE(122);
      END_STATE();
    case 20:
      if (lookahead == 'U') ADVANCE(54);
      if (lookahead == 'u') ADVANCE(46);
      if (lookahead == 'x') ADVANCE(42);
      if (('0' <= lookahead && lookahead <= '9')) ADVANCE(145);
      if (lookahead != 0) ADVANCE(143);
      END_STATE();
    case 21:
      if (lookahead == '\\') ADVANCE(33);
      if (lookahead != 0 &&
          lookahead != '\'') ADVANCE(7);
      END_STATE();
    case 22:
      if (lookahead == '_') ADVANCE(28);
      if (lookahead == '0' ||
          lookahead == '1') ADVANCE(150);
      END_STATE();
    case 23:
      if (lookahead == '_') ADVANCE(31);
      if (('0' <= lookahead && lookahead <= '7')) ADVANCE(151);
      END_STATE();
    case 24:
      if (lookahead == '`') ADVANCE(135);
      if (lookahead != 0) ADVANCE(24);
      END_STATE();
    case 25:
      if (lookahead == '+' ||
          lookahead == '-') ADVANCE(37);
      if (('0' <= lookahead && lookahead <= '9')) ADVANCE(152);
      END_STATE();
    case 26:
      if (lookahead == 'P' ||
          lookahead == 'p') ADVANCE(25);
      if (lookahead == '_') ADVANCE(41);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'F') ||
          ('a' <= lookahead && lookahead <= 'f')) ADVANCE(26);
      END_STATE();
    case 27:
      if (lookahead == 'P' ||
          lookahead == 'p') ADVANCE(25);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'F') ||
          ('a' <= lookahead && lookahead <= 'f')) ADVANCE(26);
      END_STATE();
    case 28:
      if (lookahead == '0' ||
          lookahead == '1') ADVANCE(150);
      END_STATE();
    case 29:
      if (lookahead == '8' ||
          lookahead == '9') ADVANCE(13);
      if (('0' <= lookahead && lookahead <= '7')) ADVANCE(147);
      END_STATE();
    case 30:
      if (('0' <= lookahead && lookahead <= '7')) ADVANCE(7);
      END_STATE();
    case 31:
      if (('0' <= lookahead && lookahead <= '7')) ADVANCE(151);
      END_STATE();
    case 32:
      if (('0' <= lookahead && lookahead <= '7')) ADVANCE(30);
      END_STATE();
    case 33:
      if (sym_rune_literal_character_set_1(lookahead)) ADVANCE(7);
      if (lookahead == 'U') ADVANCE(55);
      if (lookahead == 'u') ADVANCE(47);
      if (lookahead == 'x') ADVANCE(43);
      if (('0' <= lookahead && lookahead <= '7')) ADVANCE(32);
      END_STATE();
    case 34:
      if (('0' <= lookahead && lookahead <= '9')) ADVANCE(148);
      END_STATE();
    case 35:
      if (('0' <= lookahead && lookahead <= '9')) ADVANCE(153);
      END_STATE();
    case 36:
      if (('0' <= lookahead && lookahead <= '9')) ADVANCE(13);
      END_STATE();
    case 37:
      if (('0' <= lookahead && lookahead <= '9')) ADVANCE(152);
      END_STATE();
    case 38:
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'F') ||
          ('a' <= lookahead && lookahead <= 'f')) ADVANCE(7);
      END_STATE();
    case 39:
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'F') ||
          ('a' <= lookahead && lookahead <= 'f')) ADVANCE(143);
      END_STATE();
    case 40:
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'F') ||
          ('a' <= lookahead && lookahead <= 'f')) ADVANCE(149);
      END_STATE();
    case 41:
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'F') ||
          ('a' <= lookahead && lookahead <= 'f')) ADVANCE(26);
      END_STATE();
    case 42:
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'F') ||
          ('a' <= lookahead && lookahead <= 'f')) ADVANCE(39);
      END_STATE();
    case 43:
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'F') ||
          ('a' <= lookahead && lookahead <= 'f')) ADVANCE(38);
      END_STATE();
    case 44:
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'F') ||
          ('a' <= lookahead && lookahead <= 'f')) ADVANCE(42);
      END_STATE();
    case 45:
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'F') ||
          ('a' <= lookahead && lookahead <= 'f')) ADVANCE(43);
      END_STATE();
    case 46:
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'F') ||
          ('a' <= lookahead && lookahead <= 'f')) ADVANCE(44);
      END_STATE();
    case 47:
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'F') ||
          ('a' <= lookahead && lookahead <= 'f')) ADVANCE(45);
      END_STATE();
    case 48:
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'F') ||
          ('a' <= lookahead && lookahead <= 'f')) ADVANCE(46);
      END_STATE();
    case 49:
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'F') ||
          ('a' <= lookahead && lookahead <= 'f')) ADVANCE(47);
      END_STATE();
    case 50:
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'F') ||
          ('a' <= lookahead && lookahead <= 'f')) ADVANCE(48);
      END_STATE();
    case 51:
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'F') ||
          ('a' <= lookahead && lookahead <= 'f')) ADVANCE(49);
      END_STATE();
    case 52:
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'F') ||
          ('a' <= lookahead && lookahead <= 'f')) ADVANCE(50);
      END_STATE();
    case 53:
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'F') ||
          ('a' <= lookahead && lookahead <= 'f')) ADVANCE(51);
      END_STATE();
    case 54:
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'F') ||
          ('a' <= lookahead && lookahead <= 'f')) ADVANCE(52);
      END_STATE();
    case 55:
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'F') ||
          ('a' <= lookahead && lookahead <= 'f')) ADVANCE(53);
      END_STATE();
    case 56:
      if (eof) ADVANCE(60);
      if (lookahead == '\n') ADVANCE(61);
      if (lookahead == '!') ADVANCE(105);
      if (lookahead == '"') ADVANCE(136);
      if (lookahead == '&') ADVANCE(109);
      if (lookahead == '\'') ADVANCE(21);
      if (lookahead == '(') ADVANCE(66);
      if (lookahead == ')') ADVANCE(67);
      if (lookahead == '*') ADVANCE(74);
      if (lookahead == '+') ADVANCE(99);
      if (lookahead == ',') ADVANCE(68);
      if (lookahead == '-') ADVANCE(102);
      if (lookahead == '.') ADVANCE(35);
      if (lookahead == '/') ADVANCE(8);
      if (lookahead == '0') ADVANCE(146);
      if (lookahead == ';') ADVANCE(62);
      if (lookahead == '<') ADVANCE(11);
      if (lookahead == '=') ADVANCE(69);
      if (lookahead == '[') ADVANCE(71);
      if (lookahead == '^') ADVANCE(107);
      if (lookahead == '`') ADVANCE(24);
      if (lookahead == '{') ADVANCE(80);
      if (lookahead == '|') ADVANCE(76);
      if (lookahead == '}') ADVANCE(81);
      if (lookahead == '~') ADVANCE(79);
      if (lookahead == '\t' ||
          lookahead == '\r' ||
          lookahead == ' ') SKIP(56)
      if (('1' <= lookahead && lookahead <= '9')) ADVANCE(148);
      if (sym_identifier_character_set_3(lookahead)) ADVANCE(134);
      END_STATE();
    case 57:
      if (eof) ADVANCE(60);
      if (lookahead == '\n') ADVANCE(61);
      if (lookahead == '!') ADVANCE(17);
      if (lookahead == '"') ADVANCE(136);
      if (lookahead == '%') ADVANCE(115);
      if (lookahead == '&') ADVANCE(110);
      if (lookahead == '(') ADVANCE(66);
      if (lookahead == ')') ADVANCE(67);
      if (lookahead == '*') ADVANCE(75);
      if (lookahead == '+') ADVANCE(100);
      if (lookahead == ',') ADVANCE(68);
      if (lookahead == '-') ADVANCE(103);
      if (lookahead == '.') ADVANCE(63);
      if (lookahead == '/') ADVANCE(113);
      if (lookahead == ':') ADVANCE(98);
      if (lookahead == ';') ADVANCE(62);
      if (lookahead == '<') ADVANCE(124);
      if (lookahead == '=') ADVANCE(70);
      if (lookahead == '>') ADVANCE(129);
      if (lookahead == '[') ADVANCE(71);
      if (lookahead == '^') ADVANCE(108);
      if (lookahead == '`') ADVANCE(24);
      if (lookahead == '{') ADVANCE(80);
      if (lookahead == '|') ADVANCE(77);
      if (lookahead == '}') ADVANCE(81);
      if (lookahead == '~') ADVANCE(79);
      if (lookahead == '\t' ||
          lookahead == '\r' ||
          lookahead == ' ') SKIP(57)
      if (sym_identifier_character_set_3(lookahead)) ADVANCE(134);
      END_STATE();
    case 58:
      if (eof) ADVANCE(60);
      if (lookahead == '!') ADVANCE(106);
      if (lookahead == '"') ADVANCE(136);
      if (lookahead == '%') ADVANCE(115);
      if (lookahead == '&') ADVANCE(110);
      if (lookahead == '\'') ADVANCE(21);
      if (lookahead == '(') ADVANCE(66);
      if (lookahead == ')') ADVANCE(67);
      if (lookahead == '*') ADVANCE(75);
      if (lookahead == '+') ADVANCE(100);
      if (lookahead == ',') ADVANCE(68);
      if (lookahead == '-') ADVANCE(103);
      if (lookahead == '.') ADVANCE(65);
      if (lookahead == '/') ADVANCE(113);
      if (lookahead == '0') ADVANCE(146);
      if (lookahead == ':') ADVANCE(98);
      if (lookahead == ';') ADVANCE(62);
      if (lookahead == '<') ADVANCE(124);
      if (lookahead == '=') ADVANCE(70);
      if (lookahead == '>') ADVANCE(129);
      if (lookahead == '[') ADVANCE(71);
      if (lookahead == ']') ADVANCE(72);
      if (lookahead == '^') ADVANCE(108);
      if (lookahead == '`') ADVANCE(24);
      if (lookahead == '{') ADVANCE(80);
      if (lookahead == '|') ADVANCE(77);
      if (lookahead == '}') ADVANCE(81);
      if (lookahead == '~') ADVANCE(79);
      if (lookahead == '\t' ||
          lookahead == '\n' ||
          lookahead == '\r' ||
          lookahead == ' ') SKIP(58)
      if (('1' <= lookahead && lookahead <= '9')) ADVANCE(148);
      if (sym_identifier_character_set_3(lookahead)) ADVANCE(134);
      END_STATE();
    case 59:
      if (eof) ADVANCE(60);
      if (lookahead == '!') ADVANCE(105);
      if (lookahead == '"') ADVANCE(136);
      if (lookahead == '&') ADVANCE(109);
      if (lookahead == '\'') ADVANCE(21);
      if (lookahead == '(') ADVANCE(66);
      if (lookahead == ')') ADVANCE(67);
      if (lookahead == '*') ADVANCE(74);
      if (lookahead == '+') ADVANCE(99);
      if (lookahead == ',') ADVANCE(68);
      if (lookahead == '-') ADVANCE(102);
      if (lookahead == '.') ADVANCE(12);
      if (lookahead == '/') ADVANCE(8);
      if (lookahead == '0') ADVANCE(146);
      if (lookahead == ':') ADVANCE(97);
      if (lookahead == ';') ADVANCE(62);
      if (lookahead == '<') ADVANCE(11);
      if (lookahead == '[') ADVANCE(71);
      if (lookahead == ']') ADVANCE(72);
      if (lookahead == '^') ADVANCE(107);
      if (lookahead == '`') ADVANCE(24);
      if (lookahead == '{') ADVANCE(80);
      if (lookahead == '}') ADVANCE(81);
      if (lookahead == '~') ADVANCE(79);
      if (lookahead == '\t' ||
          lookahead == '\n' ||
          lookahead == '\r' ||
          lookahead == ' ') SKIP(59)
      if (('1' <= lookahead && lookahead <= '9')) ADVANCE(148);
      if (sym_identifier_character_set_3(lookahead)) ADVANCE(134);
      END_STATE();
    case 60:
      ACCEPT_TOKEN(ts_builtin_sym_end);
      END_STATE();
    case 61:
      ACCEPT_TOKEN(anon_sym_LF);
      if (lookahead == '\n') ADVANCE(61);
      END_STATE();
    case 62:
      ACCEPT_TOKEN(anon_sym_SEMI);
      END_STATE();
    case 63:
      ACCEPT_TOKEN(anon_sym_DOT);
      END_STATE();
    case 64:
      ACCEPT_TOKEN(anon_sym_DOT);
      if (lookahead == '.') ADVANCE(14);
      END_STATE();
    case 65:
      ACCEPT_TOKEN(anon_sym_DOT);
      if (lookahead == '.') ADVANCE(14);
      if (('0' <= lookahead && lookahead <= '9')) ADVANCE(153);
      END_STATE();
    case 66:
      ACCEPT_TOKEN(anon_sym_LPAREN);
      END_STATE();
    case 67:
      ACCEPT_TOKEN(anon_sym_RPAREN);
      END_STATE();
    case 68:
      ACCEPT_TOKEN(anon_sym_COMMA);
      END_STATE();
    case 69:
      ACCEPT_TOKEN(anon_sym_EQ);
      END_STATE();
    case 70:
      ACCEPT_TOKEN(anon_sym_EQ);
      if (lookahead == '=') ADVANCE(122);
      END_STATE();
    case 71:
      ACCEPT_TOKEN(anon_sym_LBRACK);
      END_STATE();
    case 72:
      ACCEPT_TOKEN(anon_sym_RBRACK);
      END_STATE();
    case 73:
      ACCEPT_TOKEN(anon_sym_DOT_DOT_DOT);
      END_STATE();
    case 74:
      ACCEPT_TOKEN(anon_sym_STAR);
      END_STATE();
    case 75:
      ACCEPT_TOKEN(anon_sym_STAR);
      if (lookahead == '=') ADVANCE(86);
      END_STATE();
    case 76:
      ACCEPT_TOKEN(anon_sym_PIPE);
      END_STATE();
    case 77:
      ACCEPT_TOKEN(anon_sym_PIPE);
      if (lookahead == '=') ADVANCE(95);
      if (lookahead == '|') ADVANCE(133);
      END_STATE();
    case 78:
      ACCEPT_TOKEN(anon_sym_PIPE);
      if (lookahead == '|') ADVANCE(133);
      END_STATE();
    case 79:
      ACCEPT_TOKEN(anon_sym_TILDE);
      END_STATE();
    case 80:
      ACCEPT_TOKEN(anon_sym_LBRACE);
      END_STATE();
    case 81:
      ACCEPT_TOKEN(anon_sym_RBRACE);
      END_STATE();
    case 82:
      ACCEPT_TOKEN(anon_sym_LT_DASH);
      END_STATE();
    case 83:
      ACCEPT_TOKEN(anon_sym_COLON_EQ);
      END_STATE();
    case 84:
      ACCEPT_TOKEN(anon_sym_PLUS_PLUS);
      END_STATE();
    case 85:
      ACCEPT_TOKEN(anon_sym_DASH_DASH);
      END_STATE();
    case 86:
      ACCEPT_TOKEN(anon_sym_STAR_EQ);
      END_STATE();
    case 87:
      ACCEPT_TOKEN(anon_sym_SLASH_EQ);
      END_STATE();
    case 88:
      ACCEPT_TOKEN(anon_sym_PERCENT_EQ);
      END_STATE();
    case 89:
      ACCEPT_TOKEN(anon_sym_LT_LT_EQ);
      END_STATE();
    case 90:
      ACCEPT_TOKEN(anon_sym_GT_GT_EQ);
      END_STATE();
    case 91:
      ACCEPT_TOKEN(anon_sym_AMP_EQ);
      END_STATE();
    case 92:
      ACCEPT_TOKEN(anon_sym_AMP_CARET_EQ);
      END_STATE();
    case 93:
      ACCEPT_TOKEN(anon_sym_PLUS_EQ);
      END_STATE();
    case 94:
      ACCEPT_TOKEN(anon_sym_DASH_EQ);
      END_STATE();
    case 95:
      ACCEPT_TOKEN(anon_sym_PIPE_EQ);
      END_STATE();
    case 96:
      ACCEPT_TOKEN(anon_sym_CARET_EQ);
      END_STATE();
    case 97:
      ACCEPT_TOKEN(anon_sym_COLON);
      END_STATE();
    case 98:
      ACCEPT_TOKEN(anon_sym_COLON);
      if (lookahead == '=') ADVANCE(83);
      END_STATE();
    case 99:
      ACCEPT_TOKEN(anon_sym_PLUS);
      END_STATE();
    case 100:
      ACCEPT_TOKEN(anon_sym_PLUS);
      if (lookahead == '+') ADVANCE(84);
      if (lookahead == '=') ADVANCE(93);
      END_STATE();
    case 101:
      ACCEPT_TOKEN(anon_sym_PLUS);
      if (lookahead == '=') ADVANCE(93);
      END_STATE();
    case 102:
      ACCEPT_TOKEN(anon_sym_DASH);
      END_STATE();
    case 103:
      ACCEPT_TOKEN(anon_sym_DASH);
      if (lookahead == '-') ADVANCE(85);
      if (lookahead == '=') ADVANCE(94);
      END_STATE();
    case 104:
      ACCEPT_TOKEN(anon_sym_DASH);
      if (lookahead == '=') ADVANCE(94);
      END_STATE();
    case 105:
      ACCEPT_TOKEN(anon_sym_BANG);
      END_STATE();
    case 106:
      ACCEPT_TOKEN(anon_sym_BANG);
      if (lookahead == '=') ADVANCE(123);
      END_STATE();
    case 107:
      ACCEPT_TOKEN(anon_sym_CARET);
      END_STATE();
    case 108:
      ACCEPT_TOKEN(anon_sym_CARET);
      if (lookahead == '=') ADVANCE(96);
      END_STATE();
    case 109:
      ACCEPT_TOKEN(anon_sym_AMP);
      END_STATE();
    case 110:
      ACCEPT_TOKEN(anon_sym_AMP);
      if (lookahead == '&') ADVANCE(132);
      if (lookahead == '=') ADVANCE(91);
      if (lookahead == '^') ADVANCE(121);
      END_STATE();
    case 111:
      ACCEPT_TOKEN(anon_sym_AMP);
      if (lookahead == '&') ADVANCE(132);
      if (lookahead == '^') ADVANCE(120);
      END_STATE();
    case 112:
      ACCEPT_TOKEN(anon_sym_SLASH);
      if (lookahead == '*') ADVANCE(10);
      if (lookahead == '/') ADVANCE(158);
      END_STATE();
    case 113:
      ACCEPT_TOKEN(anon_sym_SLASH);
      if (lookahead == '*') ADVANCE(10);
      if (lookahead == '/') ADVANCE(158);
      if (lookahead == '=') ADVANCE(87);
      END_STATE();
    case 114:
      ACCEPT_TOKEN(anon_sym_PERCENT);
      END_STATE();
    case 115:
      ACCEPT_TOKEN(anon_sym_PERCENT);
      if (lookahead == '=') ADVANCE(88);
      END_STATE();
    case 116:
      ACCEPT_TOKEN(anon_sym_LT_LT);
      END_STATE();
    case 117:
      ACCEPT_TOKEN(anon_sym_LT_LT);
      if (lookahead == '=') ADVANCE(89);
      END_STATE();
    case 118:
      ACCEPT_TOKEN(anon_sym_GT_GT);
      END_STATE();
    case 119:
      ACCEPT_TOKEN(anon_sym_GT_GT);
      if (lookahead == '=') ADVANCE(90);
      END_STATE();
    case 120:
      ACCEPT_TOKEN(anon_sym_AMP_CARET);
      END_STATE();
    case 121:
      ACCEPT_TOKEN(anon_sym_AMP_CARET);
      if (lookahead == '=') ADVANCE(92);
      END_STATE();
    case 122:
      ACCEPT_TOKEN(anon_sym_EQ_EQ);
      END_STATE();
    case 123:
      ACCEPT_TOKEN(anon_sym_BANG_EQ);
      END_STATE();
    case 124:
      ACCEPT_TOKEN(anon_sym_LT);
      if (lookahead == '-') ADVANCE(82);
      if (lookahead == '<') ADVANCE(117);
      if (lookahead == '=') ADVANCE(128);
      END_STATE();
    case 125:
      ACCEPT_TOKEN(anon_sym_LT);
      if (lookahead == '-') ADVANCE(82);
      if (lookahead == '<') ADVANCE(116);
      if (lookahead == '=') ADVANCE(128);
      END_STATE();
    case 126:
      ACCEPT_TOKEN(anon_sym_LT);
      if (lookahead == '<') ADVANCE(117);
      if (lookahead == '=') ADVANCE(128);
      END_STATE();
    case 127:
      ACCEPT_TOKEN(anon_sym_LT);
      if (lookahead == '<') ADVANCE(116);
      if (lookahead == '=') ADVANCE(128);
      END_STATE();
    case 128:
      ACCEPT_TOKEN(anon_sym_LT_EQ);
      END_STATE();
    case 129:
      ACCEPT_TOKEN(anon_sym_GT);
      if (lookahead == '=') ADVANCE(131);
      if (lookahead == '>') ADVANCE(119);
      END_STATE();
    case 130:
      ACCEPT_TOKEN(anon_sym_GT);
      if (lookahead == '=') ADVANCE(131);
      if (lookahead == '>') ADVANCE(118);
      END_STATE();
    case 131:
      ACCEPT_TOKEN(anon_sym_GT_EQ);
      END_STATE();
    case 132:
      ACCEPT_TOKEN(anon_sym_AMP_AMP);
      END_STATE();
    case 133:
      ACCEPT_TOKEN(anon_sym_PIPE_PIPE);
      END_STATE();
    case 134:
      ACCEPT_TOKEN(sym_identifier);
      if (sym_identifier_character_set_4(lookahead)) ADVANCE(134);
      END_STATE();
    case 135:
      ACCEPT_TOKEN(sym_raw_string_literal);
      END_STATE();
    case 136:
      ACCEPT_TOKEN(anon_sym_DQUOTE);
      END_STATE();
    case 137:
      ACCEPT_TOKEN(anon_sym_DQUOTE2);
      END_STATE();
    case 138:
      ACCEPT_TOKEN(sym__interpreted_string_literal_basic_content);
      if (lookahead == '*') ADVANCE(140);
      if (lookahead == '/') ADVANCE(142);
      if (lookahead != 0 &&
          lookahead != '\n' &&
          lookahead != '"' &&
          lookahead != '\\') ADVANCE(142);
      END_STATE();
    case 139:
      ACCEPT_TOKEN(sym__interpreted_string_literal_basic_content);
      if (lookahead == '*') ADVANCE(139);
      if (lookahead == '/') ADVANCE(142);
      if (lookahead != 0 &&
          lookahead != '\n' &&
          lookahead != '"' &&
          lookahead != '\\') ADVANCE(140);
      END_STATE();
    case 140:
      ACCEPT_TOKEN(sym__interpreted_string_literal_basic_content);
      if (lookahead == '*') ADVANCE(139);
      if (lookahead != 0 &&
          lookahead != '\n' &&
          lookahead != '"' &&
          lookahead != '\\') ADVANCE(140);
      END_STATE();
    case 141:
      ACCEPT_TOKEN(sym__interpreted_string_literal_basic_content);
      if (lookahead == '/') ADVANCE(138);
      if (lookahead == '\t' ||
          lookahead == '\r' ||
          lookahead == ' ') ADVANCE(141);
      if (lookahead != 0 &&
          lookahead != '\n' &&
          lookahead != '"' &&
          lookahead != '\\') ADVANCE(142);
      END_STATE();
    case 142:
      ACCEPT_TOKEN(sym__interpreted_string_literal_basic_content);
      if (lookahead != 0 &&
          lookahead != '\n' &&
          lookahead != '"' &&
          lookahead != '\\') ADVANCE(142);
      END_STATE();
    case 143:
      ACCEPT_TOKEN(sym_escape_sequence);
      END_STATE();
    case 144:
      ACCEPT_TOKEN(sym_escape_sequence);
      if (('0' <= lookahead && lookahead <= '9')) ADVANCE(143);
      END_STATE();
    case 145:
      ACCEPT_TOKEN(sym_escape_sequence);
      if (('0' <= lookahead && lookahead <= '9')) ADVANCE(144);
      END_STATE();
    case 146:
      ACCEPT_TOKEN(sym_int_literal);
      if (lookahead == '.') ADVANCE(154);
      if (lookahead == 'B' ||
          lookahead == 'b') ADVANCE(22);
      if (lookahead == 'E' ||
          lookahead == 'e') ADVANCE(25);
      if (lookahead == 'O' ||
          lookahead == 'o') ADVANCE(23);
      if (lookahead == 'X' ||
          lookahead == 'x') ADVANCE(15);
      if (lookahead == '_') ADVANCE(29);
      if (lookahead == 'i') ADVANCE(155);
      if (lookahead == '8' ||
          lookahead == '9') ADVANCE(13);
      if (('0' <= lookahead && lookahead <= '7')) ADVANCE(147);
      END_STATE();
    case 147:
      ACCEPT_TOKEN(sym_int_literal);
      if (lookahead == '.') ADVANCE(154);
      if (lookahead == 'E' ||
          lookahead == 'e') ADVANCE(25);
      if (lookahead == '_') ADVANCE(29);
      if (lookahead == 'i') ADVANCE(155);
      if (lookahead == '8' ||
          lookahead == '9') ADVANCE(13);
      if (('0' <= lookahead && lookahead <= '7')) ADVANCE(147);
      END_STATE();
    case 148:
      ACCEPT_TOKEN(sym_int_literal);
      if (lookahead == '.') ADVANCE(154);
      if (lookahead == 'E' ||
          lookahead == 'e') ADVANCE(25);
      if (lookahead == '_') ADVANCE(34);
      if (lookahead == 'i') ADVANCE(155);
      if (('0' <= lookahead && lookahead <= '9')) ADVANCE(148);
      END_STATE();
    case 149:
      ACCEPT_TOKEN(sym_int_literal);
      if (lookahead == '.') ADVANCE(27);
      if (lookahead == 'P' ||
          lookahead == 'p') ADVANCE(25);
      if (lookahead == '_') ADVANCE(40);
      if (lookahead == 'i') ADVANCE(155);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'F') ||
          ('a' <= lookahead && lookahead <= 'f')) ADVANCE(149);
      END_STATE();
    case 150:
      ACCEPT_TOKEN(sym_int_literal);
      if (lookahead == '_') ADVANCE(28);
      if (lookahead == 'i') ADVANCE(155);
      if (lookahead == '0' ||
          lookahead == '1') ADVANCE(150);
      END_STATE();
    case 151:
      ACCEPT_TOKEN(sym_int_literal);
      if (lookahead == '_') ADVANCE(31);
      if (lookahead == 'i') ADVANCE(155);
      if (('0' <= lookahead && lookahead <= '7')) ADVANCE(151);
      END_STATE();
    case 152:
      ACCEPT_TOKEN(sym_float_literal);
      if (lookahead == '_') ADVANCE(37);
      if (lookahead == 'i') ADVANCE(155);
      if (('0' <= lookahead && lookahead <= '9')) ADVANCE(152);
      END_STATE();
    case 153:
      ACCEPT_TOKEN(sym_float_literal);
      if (lookahead == 'E' ||
          lookahead == 'e') ADVANCE(25);
      if (lookahead == '_') ADVANCE(35);
      if (lookahead == 'i') ADVANCE(155);
      if (('0' <= lookahead && lookahead <= '9')) ADVANCE(153);
      END_STATE();
    case 154:
      ACCEPT_TOKEN(sym_float_literal);
      if (lookahead == 'E' ||
          lookahead == 'e') ADVANCE(25);
      if (lookahead == 'i') ADVANCE(155);
      if (('0' <= lookahead && lookahead <= '9')) ADVANCE(153);
      END_STATE();
    case 155:
      ACCEPT_TOKEN(sym_imaginary_literal);
      END_STATE();
    case 156:
      ACCEPT_TOKEN(sym_rune_literal);
      END_STATE();
    case 157:
      ACCEPT_TOKEN(sym_comment);
      END_STATE();
    case 158:
      ACCEPT_TOKEN(sym_comment);
      if (lookahead != 0 &&
          lookahead != '\n') ADVANCE(158);
      END_STATE();
    default:
      return false;
  }
}

static bool ts_lex_keywords(TSLexer *lexer, TSStateId state) {
  START_LEXER();
  eof = lexer->eof(lexer);
  switch (state) {
    case 0:
      if (lookahead == '_') ADVANCE(1);
      if (lookahead == 'b') ADVANCE(2);
      if (lookahead == 'c') ADVANCE(3);
      if (lookahead == 'd') ADVANCE(4);
      if (lookahead == 'e') ADVANCE(5);
      if (lookahead == 'f') ADVANCE(6);
      if (lookahead == 'g') ADVANCE(7);
      if (lookahead == 'i') ADVANCE(8);
      if (lookahead == 'm') ADVANCE(9);
      if (lookahead == 'n') ADVANCE(10);
      if (lookahead == 'p') ADVANCE(11);
      if (lookahead == 'r') ADVANCE(12);
      if (lookahead == 's') ADVANCE(13);
      if (lookahead == 't') ADVANCE(14);
      if (lookahead == 'v') ADVANCE(15);
      if (lookahead == '\t' ||
          lookahead == '\n' ||
          lookahead == '\r' ||
          lookahead == ' ') SKIP(0)
      END_STATE();
    case 1:
      ACCEPT_TOKEN(sym_blank_identifier);
      END_STATE();
    case 2:
      if (lookahead == 'r') ADVANCE(16);
      END_STATE();
    case 3:
      if (lookahead == 'a') ADVANCE(17);
      if (lookahead == 'h') ADVANCE(18);
      if (lookahead == 'o') ADVANCE(19);
      END_STATE();
    case 4:
      if (lookahead == 'e') ADVANCE(20);
      END_STATE();
    case 5:
      if (lookahead == 'l') ADVANCE(21);
      END_STATE();
    case 6:
      if (lookahead == 'a') ADVANCE(22);
      if (lookahead == 'o') ADVANCE(23);
      if (lookahead == 'u') ADVANCE(24);
      END_STATE();
    case 7:
      if (lookahead == 'o') ADVANCE(25);
      END_STATE();
    case 8:
      if (lookahead == 'f') ADVANCE(26);
      if (lookahead == 'm') ADVANCE(27);
      if (lookahead == 'n') ADVANCE(28);
      if (lookahead == 'o') ADVANCE(29);
      END_STATE();
    case 9:
      if (lookahead == 'a') ADVANCE(30);
      END_STATE();
    case 10:
      if (lookahead == 'e') ADVANCE(31);
      if (lookahead == 'i') ADVANCE(32);
      END_STATE();
    case 11:
      if (lookahead == 'a') ADVANCE(33);
      END_STATE();
    case 12:
      if (lookahead == 'a') ADVANCE(34);
      if (lookahead == 'e') ADVANCE(35);
      END_STATE();
    case 13:
      if (lookahead == 'e') ADVANCE(36);
      if (lookahead == 't') ADVANCE(37);
      if (lookahead == 'w') ADVANCE(38);
      END_STATE();
    case 14:
      if (lookahead == 'r') ADVANCE(39);
      if (lookahead == 'y') ADVANCE(40);
      END_STATE();
    case 15:
      if (lookahead == 'a') ADVANCE(41);
      END_STATE();
    case 16:
      if (lookahead == 'e') ADVANCE(42);
      END_STATE();
    case 17:
      if (lookahead == 's') ADVANCE(43);
      END_STATE();
    case 18:
      if (lookahead == 'a') ADVANCE(44);
      END_STATE();
    case 19:
      if (lookahead == 'n') ADVANCE(45);
      END_STATE();
    case 20:
      if (lookahead == 'f') ADVANCE(46);
      END_STATE();
    case 21:
      if (lookahead == 's') ADVANCE(47);
      END_STATE();
    case 22:
      if (lookahead == 'l') ADVANCE(48);
      END_STATE();
    case 23:
      if (lookahead == 'r') ADVANCE(49);
      END_STATE();
    case 24:
      if (lookahead == 'n') ADVANCE(50);
      END_STATE();
    case 25:
      ACCEPT_TOKEN(anon_sym_go);
      if (lookahead == 't') ADVANCE(51);
      END_STATE();
    case 26:
      ACCEPT_TOKEN(anon_sym_if);
      END_STATE();
    case 27:
      if (lookahead == 'p') ADVANCE(52);
      END_STATE();
    case 28:
      if (lookahead == 't') ADVANCE(53);
      END_STATE();
    case 29:
      if (lookahead == 't') ADVANCE(54);
      END_STATE();
    case 30:
      if (lookahead == 'k') ADVANCE(55);
      if (lookahead == 'p') ADVANCE(56);
      END_STATE();
    case 31:
      if (lookahead == 'w') ADVANCE(57);
      END_STATE();
    case 32:
      if (lookahead == 'l') ADVANCE(58);
      END_STATE();
    case 33:
      if (lookahead == 'c') ADVANCE(59);
      END_STATE();
    case 34:
      if (lookahead == 'n') ADVANCE(60);
      END_STATE();
    case 35:
      if (lookahead == 't') ADVANCE(61);
      END_STATE();
    case 36:
      if (lookahead == 'l') ADVANCE(62);
      END_STATE();
    case 37:
      if (lookahead == 'r') ADVANCE(63);
      END_STATE();
    case 38:
      if (lookahead == 'i') ADVANCE(64);
      END_STATE();
    case 39:
      if (lookahead == 'u') ADVANCE(65);
      END_STATE();
    case 40:
      if (lookahead == 'p') ADVANCE(66);
      END_STATE();
    case 41:
      if (lookahead == 'r') ADVANCE(67);
      END_STATE();
    case 42:
      if (lookahead == 'a') ADVANCE(68);
      END_STATE();
    case 43:
      if (lookahead == 'e') ADVANCE(69);
      END_STATE();
    case 44:
      if (lookahead == 'n') ADVANCE(70);
      END_STATE();
    case 45:
      if (lookahead == 's') ADVANCE(71);
      if (lookahead == 't') ADVANCE(72);
      END_STATE();
    case 46:
      if (lookahead == 'a') ADVANCE(73);
      if (lookahead == 'e') ADVANCE(74);
      END_STATE();
    case 47:
      if (lookahead == 'e') ADVANCE(75);
      END_STATE();
    case 48:
      if (lookahead == 'l') ADVANCE(76);
      if (lookahead == 's') ADVANCE(77);
      END_STATE();
    case 49:
      ACCEPT_TOKEN(anon_sym_for);
      END_STATE();
    case 50:
      if (lookahead == 'c') ADVANCE(78);
      END_STATE();
    case 51:
      if (lookahead == 'o') ADVANCE(79);
      END_STATE();
    case 52:
      if (lookahead == 'o') ADVANCE(80);
      END_STATE();
    case 53:
      if (lookahead == 'e') ADVANCE(81);
      END_STATE();
    case 54:
      if (lookahead == 'a') ADVANCE(82);
      END_STATE();
    case 55:
      if (lookahead == 'e') ADVANCE(83);
      END_STATE();
    case 56:
      ACCEPT_TOKEN(anon_sym_map);
      END_STATE();
    case 57:
      ACCEPT_TOKEN(anon_sym_new);
      END_STATE();
    case 58:
      ACCEPT_TOKEN(sym_nil);
      END_STATE();
    case 59:
      if (lookahead == 'k') ADVANCE(84);
      END_STATE();
    case 60:
      if (lookahead == 'g') ADVANCE(85);
      END_STATE();
    case 61:
      if (lookahead == 'u') ADVANCE(86);
      END_STATE();
    case 62:
      if (lookahead == 'e') ADVANCE(87);
      END_STATE();
    case 63:
      if (lookahead == 'u') ADVANCE(88);
      END_STATE();
    case 64:
      if (lookahead == 't') ADVANCE(89);
      END_STATE();
    case 65:
      if (lookahead == 'e') ADVANCE(90);
      END_STATE();
    case 66:
      if (lookahead == 'e') ADVANCE(91);
      END_STATE();
    case 67:
      ACCEPT_TOKEN(anon_sym_var);
      END_STATE();
    case 68:
      if (lookahead == 'k') ADVANCE(92);
      END_STATE();
    case 69:
      ACCEPT_TOKEN(anon_sym_case);
      END_STATE();
    case 70:
      ACCEPT_TOKEN(anon_sym_chan);
      END_STATE();
    case 71:
      if (lookahead == 't') ADVANCE(93);
      END_STATE();
    case 72:
      if (lookahead == 'i') ADVANCE(94);
      END_STATE();
    case 73:
      if (lookahead == 'u') ADVANCE(95);
      END_STATE();
    case 74:
      if (lookahead == 'r') ADVANCE(96);
      END_STATE();
    case 75:
      ACCEPT_TOKEN(anon_sym_else);
      END_STATE();
    case 76:
      if (lookahead == 't') ADVANCE(97);
      END_STATE();
    case 77:
      if (lookahead == 'e') ADVANCE(98);
      END_STATE();
    case 78:
      ACCEPT_TOKEN(anon_sym_func);
      END_STATE();
    case 79:
      ACCEPT_TOKEN(anon_sym_goto);
      END_STATE();
    case 80:
      if (lookahead == 'r') ADVANCE(99);
      END_STATE();
    case 81:
      if (lookahead == 'r') ADVANCE(100);
      END_STATE();
    case 82:
      ACCEPT_TOKEN(sym_iota);
      END_STATE();
    case 83:
      ACCEPT_TOKEN(anon_sym_make);
      END_STATE();
    case 84:
      if (lookahead == 'a') ADVANCE(101);
      END_STATE();
    case 85:
      if (lookahead == 'e') ADVANCE(102);
      END_STATE();
    case 86:
      if (lookahead == 'r') ADVANCE(103);
      END_STATE();
    case 87:
      if (lookahead == 'c') ADVANCE(104);
      END_STATE();
    case 88:
      if (lookahead == 'c') ADVANCE(105);
      END_STATE();
    case 89:
      if (lookahead == 'c') ADVANCE(106);
      END_STATE();
    case 90:
      ACCEPT_TOKEN(sym_true);
      END_STATE();
    case 91:
      ACCEPT_TOKEN(anon_sym_type);
      END_STATE();
    case 92:
      ACCEPT_TOKEN(anon_sym_break);
      END_STATE();
    case 93:
      ACCEPT_TOKEN(anon_sym_const);
      END_STATE();
    case 94:
      if (lookahead == 'n') ADVANCE(107);
      END_STATE();
    case 95:
      if (lookahead == 'l') ADVANCE(108);
      END_STATE();
    case 96:
      ACCEPT_TOKEN(anon_sym_defer);
      END_STATE();
    case 97:
      if (lookahead == 'h') ADVANCE(109);
      END_STATE();
    case 98:
      ACCEPT_TOKEN(sym_false);
      END_STATE();
    case 99:
      if (lookahead == 't') ADVANCE(110);
      END_STATE();
    case 100:
      if (lookahead == 'f') ADVANCE(111);
      END_STATE();
    case 101:
      if (lookahead == 'g') ADVANCE(112);
      END_STATE();
    case 102:
      ACCEPT_TOKEN(anon_sym_range);
      END_STATE();
    case 103:
      if (lookahead == 'n') ADVANCE(113);
      END_STATE();
    case 104:
      if (lookahead == 't') ADVANCE(114);
      END_STATE();
    case 105:
      if (lookahead == 't') ADVANCE(115);
      END_STATE();
    case 106:
      if (lookahead == 'h') ADVANCE(116);
      END_STATE();
    case 107:
      if (lookahead == 'u') ADVANCE(117);
      END_STATE();
    case 108:
      if (lookahead == 't') ADVANCE(118);
      END_STATE();
    case 109:
      if (lookahead == 'r') ADVANCE(119);
      END_STATE();
    case 110:
      ACCEPT_TOKEN(anon_sym_import);
      END_STATE();
    case 111:
      if (lookahead == 'a') ADVANCE(120);
      END_STATE();
    case 112:
      if (lookahead == 'e') ADVANCE(121);
      END_STATE();
    case 113:
      ACCEPT_TOKEN(anon_sym_return);
      END_STATE();
    case 114:
      ACCEPT_TOKEN(anon_sym_select);
      END_STATE();
    case 115:
      ACCEPT_TOKEN(anon_sym_struct);
      END_STATE();
    case 116:
      ACCEPT_TOKEN(anon_sym_switch);
      END_STATE();
    case 117:
      if (lookahead == 'e') ADVANCE(122);
      END_STATE();
    case 118:
      ACCEPT_TOKEN(anon_sym_default);
      END_STATE();
    case 119:
      if (lookahead == 'o') ADVANCE(123);
      END_STATE();
    case 120:
      if (lookahead == 'c') ADVANCE(124);
      END_STATE();
    case 121:
      ACCEPT_TOKEN(anon_sym_package);
      END_STATE();
    case 122:
      ACCEPT_TOKEN(anon_sym_continue);
      END_STATE();
    case 123:
      if (lookahead == 'u') ADVANCE(125);
      END_STATE();
    case 124:
      if (lookahead == 'e') ADVANCE(126);
      END_STATE();
    case 125:
      if (lookahead == 'g') ADVANCE(127);
      END_STATE();
    case 126:
      ACCEPT_TOKEN(anon_sym_interface);
      END_STATE();
    case 127:
      if (lookahead == 'h') ADVANCE(128);
      END_STATE();
    case 128:
      ACCEPT_TOKEN(anon_sym_fallthrough);
      END_STATE();
    default:
      return false;
  }
}

static const TSLexMode ts_lex_modes[STATE_COUNT] = {
  [0] = {.lex_state = 0},
  [1] = {.lex_state = 59},
  [2] = {.lex_state = 59},
  [3] = {.lex_state = 59},
  [4] = {.lex_state = 59},
  [5] = {.lex_state = 59},
  [6] = {.lex_state = 59},
  [7] = {.lex_state = 59},
  [8] = {.lex_state = 59},
  [9] = {.lex_state = 59},
  [10] = {.lex_state = 59},
  [11] = {.lex_state = 59},
  [12] = {.lex_state = 59},
  [13] = {.lex_state = 59},
  [14] = {.lex_state = 59},
  [15] = {.lex_state = 59},
  [16] = {.lex_state = 59},
  [17] = {.lex_state = 59},
  [18] = {.lex_state = 59},
  [19] = {.lex_state = 59},
  [20] = {.lex_state = 59},
  [21] = {.lex_state = 59},
  [22] = {.lex_state = 59},
  [23] = {.lex_state = 59},
  [24] = {.lex_state = 59},
  [25] = {.lex_state = 59},
  [26] = {.lex_state = 59},
  [27] = {.lex_state = 59},
  [28] = {.lex_state = 59},
  [29] = {.lex_state = 59},
  [30] = {.lex_state = 56},
  [31] = {.lex_state = 59},
  [32] = {.lex_state = 59},
  [33] = {.lex_state = 59},
  [34] = {.lex_state = 59},
  [35] = {.lex_state = 59},
  [36] = {.lex_state = 59},
  [37] = {.lex_state = 59},
  [38] = {.lex_state = 59},
  [39] = {.lex_state = 59},
  [40] = {.lex_state = 59},
  [41] = {.lex_state = 59},
  [42] = {.lex_state = 59},
  [43] = {.lex_state = 59},
  [44] = {.lex_state = 59},
  [45] = {.lex_state = 59},
  [46] = {.lex_state = 59},
  [47] = {.lex_state = 59},
  [48] = {.lex_state = 59},
  [49] = {.lex_state = 59},
  [50] = {.lex_state = 59},
  [51] = {.lex_state = 59},
  [52] = {.lex_state = 59},
  [53] = {.lex_state = 59},
  [54] = {.lex_state = 59},
  [55] = {.lex_state = 59},
  [56] = {.lex_state = 59},
  [57] = {.lex_state = 59},
  [58] = {.lex_state = 59},
  [59] = {.lex_state = 59},
  [60] = {.lex_state = 59},
  [61] = {.lex_state = 59},
  [62] = {.lex_state = 59},
  [63] = {.lex_state = 59},
  [64] = {.lex_state = 59},
  [65] = {.lex_state = 59},
  [66] = {.lex_state = 59},
  [67] = {.lex_state = 59},
  [68] = {.lex_state = 59},
  [69] = {.lex_state = 59},
  [70] = {.lex_state = 59},
  [71] = {.lex_state = 59},
  [72] = {.lex_state = 59},
  [73] = {.lex_state = 59},
  [74] = {.lex_state = 59},
  [75] = {.lex_state = 59},
  [76] = {.lex_state = 59},
  [77] = {.lex_state = 59},
  [78] = {.lex_state = 59},
  [79] = {.lex_state = 59},
  [80] = {.lex_state = 59},
  [81] = {.lex_state = 59},
  [82] = {.lex_state = 59},
  [83] = {.lex_state = 59},
  [84] = {.lex_state = 59},
  [85] = {.lex_state = 59},
  [86] = {.lex_state = 59},
  [87] = {.lex_state = 59},
  [88] = {.lex_state = 59},
  [89] = {.lex_state = 59},
  [90] = {.lex_state = 59},
  [91] = {.lex_state = 59},
  [92] = {.lex_state = 59},
  [93] = {.lex_state = 59},
  [94] = {.lex_state = 59},
  [95] = {.lex_state = 59},
  [96] = {.lex_state = 59},
  [97] = {.lex_state = 59},
  [98] = {.lex_state = 59},
  [99] = {.lex_state = 59},
  [100] = {.lex_state = 59},
  [101] = {.lex_state = 59},
  [102] = {.lex_state = 59},
  [103] = {.lex_state = 59},
  [104] = {.lex_state = 59},
  [105] = {.lex_state = 59},
  [106] = {.lex_state = 59},
  [107] = {.lex_state = 59},
  [108] = {.lex_state = 59},
  [109] = {.lex_state = 59},
  [110] = {.lex_state = 59},
  [111] = {.lex_state = 59},
  [112] = {.lex_state = 59},
  [113] = {.lex_state = 59},
  [114] = {.lex_state = 59},
  [115] = {.lex_state = 59},
  [116] = {.lex_state = 59},
  [117] = {.lex_state = 59},
  [118] = {.lex_state = 59},
  [119] = {.lex_state = 59},
  [120] = {.lex_state = 59},
  [121] = {.lex_state = 59},
  [122] = {.lex_state = 59},
  [123] = {.lex_state = 59},
  [124] = {.lex_state = 59},
  [125] = {.lex_state = 59},
  [126] = {.lex_state = 59},
  [127] = {.lex_state = 59},
  [128] = {.lex_state = 59},
  [129] = {.lex_state = 59},
  [130] = {.lex_state = 59},
  [131] = {.lex_state = 59},
  [132] = {.lex_state = 59},
  [133] = {.lex_state = 59},
  [134] = {.lex_state = 59},
  [135] = {.lex_state = 59},
  [136] = {.lex_state = 59},
  [137] = {.lex_state = 59},
  [138] = {.lex_state = 59},
  [139] = {.lex_state = 59},
  [140] = {.lex_state = 59},
  [141] = {.lex_state = 59},
  [142] = {.lex_state = 59},
  [143] = {.lex_state = 59},
  [144] = {.lex_state = 59},
  [145] = {.lex_state = 59},
  [146] = {.lex_state = 59},
  [147] = {.lex_state = 59},
  [148] = {.lex_state = 59},
  [149] = {.lex_state = 59},
  [150] = {.lex_state = 59},
  [151] = {.lex_state = 59},
  [152] = {.lex_state = 59},
  [153] = {.lex_state = 59},
  [154] = {.lex_state = 59},
  [155] = {.lex_state = 59},
  [156] = {.lex_state = 59},
  [157] = {.lex_state = 59},
  [158] = {.lex_state = 59},
  [159] = {.lex_state = 59},
  [160] = {.lex_state = 59},
  [161] = {.lex_state = 59},
  [162] = {.lex_state = 59},
  [163] = {.lex_state = 59},
  [164] = {.lex_state = 59},
  [165] = {.lex_state = 59},
  [166] = {.lex_state = 59},
  [167] = {.lex_state = 59},
  [168] = {.lex_state = 59},
  [169] = {.lex_state = 59},
  [170] = {.lex_state = 59},
  [171] = {.lex_state = 59},
  [172] = {.lex_state = 59},
  [173] = {.lex_state = 59},
  [174] = {.lex_state = 59},
  [175] = {.lex_state = 59},
  [176] = {.lex_state = 59},
  [177] = {.lex_state = 59},
  [178] = {.lex_state = 59},
  [179] = {.lex_state = 59},
  [180] = {.lex_state = 59},
  [181] = {.lex_state = 59},
  [182] = {.lex_state = 59},
  [183] = {.lex_state = 59},
  [184] = {.lex_state = 59},
  [185] = {.lex_state = 59},
  [186] = {.lex_state = 59},
  [187] = {.lex_state = 59},
  [188] = {.lex_state = 59},
  [189] = {.lex_state = 59},
  [190] = {.lex_state = 59},
  [191] = {.lex_state = 59},
  [192] = {.lex_state = 59},
  [193] = {.lex_state = 59},
  [194] = {.lex_state = 59},
  [195] = {.lex_state = 59},
  [196] = {.lex_state = 59},
  [197] = {.lex_state = 59},
  [198] = {.lex_state = 59},
  [199] = {.lex_state = 59},
  [200] = {.lex_state = 59},
  [201] = {.lex_state = 59},
  [202] = {.lex_state = 59},
  [203] = {.lex_state = 59},
  [204] = {.lex_state = 59},
  [205] = {.lex_state = 59},
  [206] = {.lex_state = 59},
  [207] = {.lex_state = 59},
  [208] = {.lex_state = 59},
  [209] = {.lex_state = 59},
  [210] = {.lex_state = 59},
  [211] = {.lex_state = 59},
  [212] = {.lex_state = 59},
  [213] = {.lex_state = 59},
  [214] = {.lex_state = 59},
  [215] = {.lex_state = 59},
  [216] = {.lex_state = 59},
  [217] = {.lex_state = 59},
  [218] = {.lex_state = 59},
  [219] = {.lex_state = 59},
  [220] = {.lex_state = 59},
  [221] = {.lex_state = 59},
  [222] = {.lex_state = 59},
  [223] = {.lex_state = 59},
  [224] = {.lex_state = 59},
  [225] = {.lex_state = 59},
  [226] = {.lex_state = 59},
  [227] = {.lex_state = 59},
  [228] = {.lex_state = 59},
  [229] = {.lex_state = 59},
  [230] = {.lex_state = 59},
  [231] = {.lex_state = 59},
  [232] = {.lex_state = 59},
  [233] = {.lex_state = 59},
  [234] = {.lex_state = 59},
  [235] = {.lex_state = 3},
  [236] = {.lex_state = 57},
  [237] = {.lex_state = 57},
  [238] = {.lex_state = 59},
  [239] = {.lex_state = 57},
  [240] = {.lex_state = 57},
  [241] = {.lex_state = 57},
  [242] = {.lex_state = 57},
  [243] = {.lex_state = 57},
  [244] = {.lex_state = 57},
  [245] = {.lex_state = 57},
  [246] = {.lex_state = 57},
  [247] = {.lex_state = 57},
  [248] = {.lex_state = 4},
  [249] = {.lex_state = 4},
  [250] = {.lex_state = 57},
  [251] = {.lex_state = 57},
  [252] = {.lex_state = 57},
  [253] = {.lex_state = 57},
  [254] = {.lex_state = 57},
  [255] = {.lex_state = 57},
  [256] = {.lex_state = 57},
  [257] = {.lex_state = 57},
  [258] = {.lex_state = 57},
  [259] = {.lex_state = 57},
  [260] = {.lex_state = 57},
  [261] = {.lex_state = 57},
  [262] = {.lex_state = 57},
  [263] = {.lex_state = 57},
  [264] = {.lex_state = 57},
  [265] = {.lex_state = 57},
  [266] = {.lex_state = 57},
  [267] = {.lex_state = 57},
  [268] = {.lex_state = 57},
  [269] = {.lex_state = 4},
  [270] = {.lex_state = 57},
  [271] = {.lex_state = 57},
  [272] = {.lex_state = 57},
  [273] = {.lex_state = 57},
  [274] = {.lex_state = 57},
  [275] = {.lex_state = 57},
  [276] = {.lex_state = 57},
  [277] = {.lex_state = 57},
  [278] = {.lex_state = 57},
  [279] = {.lex_state = 57},
  [280] = {.lex_state = 57},
  [281] = {.lex_state = 57},
  [282] = {.lex_state = 57},
  [283] = {.lex_state = 57},
  [284] = {.lex_state = 57},
  [285] = {.lex_state = 4},
  [286] = {.lex_state = 4},
  [287] = {.lex_state = 4},
  [288] = {.lex_state = 4},
  [289] = {.lex_state = 4},
  [290] = {.lex_state = 4},
  [291] = {.lex_state = 4},
  [292] = {.lex_state = 4},
  [293] = {.lex_state = 4},
  [294] = {.lex_state = 4},
  [295] = {.lex_state = 4},
  [296] = {.lex_state = 4},
  [297] = {.lex_state = 4},
  [298] = {.lex_state = 4},
  [299] = {.lex_state = 4},
  [300] = {.lex_state = 4},
  [301] = {.lex_state = 4},
  [302] = {.lex_state = 4},
  [303] = {.lex_state = 4},
  [304] = {.lex_state = 4},
  [305] = {.lex_state = 4},
  [306] = {.lex_state = 4},
  [307] = {.lex_state = 4},
  [308] = {.lex_state = 4},
  [309] = {.lex_state = 4},
  [310] = {.lex_state = 4},
  [311] = {.lex_state = 4},
  [312] = {.lex_state = 4},
  [313] = {.lex_state = 4},
  [314] = {.lex_state = 4},
  [315] = {.lex_state = 4},
  [316] = {.lex_state = 4},
  [317] = {.lex_state = 4},
  [318] = {.lex_state = 4},
  [319] = {.lex_state = 4},
  [320] = {.lex_state = 4},
  [321] = {.lex_state = 4},
  [322] = {.lex_state = 4},
  [323] = {.lex_state = 4},
  [324] = {.lex_state = 4},
  [325] = {.lex_state = 4},
  [326] = {.lex_state = 4},
  [327] = {.lex_state = 4},
  [328] = {.lex_state = 5},
  [329] = {.lex_state = 5},
  [330] = {.lex_state = 5},
  [331] = {.lex_state = 5},
  [332] = {.lex_state = 5},
  [333] = {.lex_state = 5},
  [334] = {.lex_state = 5},
  [335] = {.lex_state = 5},
  [336] = {.lex_state = 5},
  [337] = {.lex_state = 5},
  [338] = {.lex_state = 5},
  [339] = {.lex_state = 5},
  [340] = {.lex_state = 5},
  [341] = {.lex_state = 5},
  [342] = {.lex_state = 5},
  [343] = {.lex_state = 5},
  [344] = {.lex_state = 5},
  [345] = {.lex_state = 5},
  [346] = {.lex_state = 5},
  [347] = {.lex_state = 5},
  [348] = {.lex_state = 5},
  [349] = {.lex_state = 5},
  [350] = {.lex_state = 56},
  [351] = {.lex_state = 5},
  [352] = {.lex_state = 5},
  [353] = {.lex_state = 5},
  [354] = {.lex_state = 56},
  [355] = {.lex_state = 5},
  [356] = {.lex_state = 5},
  [357] = {.lex_state = 5},
  [358] = {.lex_state = 5},
  [359] = {.lex_state = 5},
  [360] = {.lex_state = 5},
  [361] = {.lex_state = 5},
  [362] = {.lex_state = 57},
  [363] = {.lex_state = 5},
  [364] = {.lex_state = 5},
  [365] = {.lex_state = 5},
  [366] = {.lex_state = 5},
  [367] = {.lex_state = 5},
  [368] = {.lex_state = 5},
  [369] = {.lex_state = 5},
  [370] = {.lex_state = 5},
  [371] = {.lex_state = 5},
  [372] = {.lex_state = 5},
  [373] = {.lex_state = 5},
  [374] = {.lex_state = 6},
  [375] = {.lex_state = 6},
  [376] = {.lex_state = 56},
  [377] = {.lex_state = 6},
  [378] = {.lex_state = 0},
  [379] = {.lex_state = 0},
  [380] = {.lex_state = 6},
  [381] = {.lex_state = 56},
  [382] = {.lex_state = 6},
  [383] = {.lex_state = 6},
  [384] = {.lex_state = 6},
  [385] = {.lex_state = 6},
  [386] = {.lex_state = 6},
  [387] = {.lex_state = 6},
  [388] = {.lex_state = 6},
  [389] = {.lex_state = 0},
  [390] = {.lex_state = 6},
  [391] = {.lex_state = 6},
  [392] = {.lex_state = 6},
  [393] = {.lex_state = 6},
  [394] = {.lex_state = 6},
  [395] = {.lex_state = 3},
  [396] = {.lex_state = 6},
  [397] = {.lex_state = 6},
  [398] = {.lex_state = 6},
  [399] = {.lex_state = 6},
  [400] = {.lex_state = 6},
  [401] = {.lex_state = 6},
  [402] = {.lex_state = 6},
  [403] = {.lex_state = 6},
  [404] = {.lex_state = 6},
  [405] = {.lex_state = 6},
  [406] = {.lex_state = 6},
  [407] = {.lex_state = 6},
  [408] = {.lex_state = 6},
  [409] = {.lex_state = 6},
  [410] = {.lex_state = 6},
  [411] = {.lex_state = 6},
  [412] = {.lex_state = 6},
  [413] = {.lex_state = 6},
  [414] = {.lex_state = 6},
  [415] = {.lex_state = 6},
  [416] = {.lex_state = 6},
  [417] = {.lex_state = 6},
  [418] = {.lex_state = 3},
  [419] = {.lex_state = 6},
  [420] = {.lex_state = 56},
  [421] = {.lex_state = 6},
  [422] = {.lex_state = 6},
  [423] = {.lex_state = 6},
  [424] = {.lex_state = 56},
  [425] = {.lex_state = 56},
  [426] = {.lex_state = 1},
  [427] = {.lex_state = 56},
  [428] = {.lex_state = 56},
  [429] = {.lex_state = 1},
  [430] = {.lex_state = 56},
  [431] = {.lex_state = 1},
  [432] = {.lex_state = 56},
  [433] = {.lex_state = 0},
  [434] = {.lex_state = 1},
  [435] = {.lex_state = 0},
  [436] = {.lex_state = 0},
  [437] = {.lex_state = 0},
  [438] = {.lex_state = 0},
  [439] = {.lex_state = 0},
  [440] = {.lex_state = 0},
  [441] = {.lex_state = 1},
  [442] = {.lex_state = 1},
  [443] = {.lex_state = 56},
  [444] = {.lex_state = 1},
  [445] = {.lex_state = 1},
  [446] = {.lex_state = 1},
  [447] = {.lex_state = 3},
  [448] = {.lex_state = 3},
  [449] = {.lex_state = 0},
  [450] = {.lex_state = 0},
  [451] = {.lex_state = 0},
  [452] = {.lex_state = 0},
  [453] = {.lex_state = 0},
  [454] = {.lex_state = 0},
  [455] = {.lex_state = 0},
  [456] = {.lex_state = 0},
  [457] = {.lex_state = 1},
  [458] = {.lex_state = 3},
  [459] = {.lex_state = 56},
  [460] = {.lex_state = 0},
  [461] = {.lex_state = 0},
  [462] = {.lex_state = 3},
  [463] = {.lex_state = 0},
  [464] = {.lex_state = 0},
  [465] = {.lex_state = 0},
  [466] = {.lex_state = 0},
  [467] = {.lex_state = 0},
  [468] = {.lex_state = 0},
  [469] = {.lex_state = 3},
  [470] = {.lex_state = 0},
  [471] = {.lex_state = 0},
  [472] = {.lex_state = 1},
  [473] = {.lex_state = 1},
  [474] = {.lex_state = 6},
  [475] = {.lex_state = 3},
  [476] = {.lex_state = 0},
  [477] = {.lex_state = 0},
  [478] = {.lex_state = 0},
  [479] = {.lex_state = 0},
  [480] = {.lex_state = 3},
  [481] = {.lex_state = 3},
  [482] = {.lex_state = 1},
  [483] = {.lex_state = 6},
  [484] = {.lex_state = 1},
  [485] = {.lex_state = 1},
  [486] = {.lex_state = 1},
  [487] = {.lex_state = 1},
  [488] = {.lex_state = 1},
  [489] = {.lex_state = 3},
  [490] = {.lex_state = 1},
  [491] = {.lex_state = 1},
  [492] = {.lex_state = 0},
  [493] = {.lex_state = 1},
  [494] = {.lex_state = 6},
  [495] = {.lex_state = 6},
  [496] = {.lex_state = 1},
  [497] = {.lex_state = 1},
  [498] = {.lex_state = 1},
  [499] = {.lex_state = 1},
  [500] = {.lex_state = 6},
  [501] = {.lex_state = 6},
  [502] = {.lex_state = 0},
  [503] = {.lex_state = 1},
  [504] = {.lex_state = 1},
  [505] = {.lex_state = 1},
  [506] = {.lex_state = 1},
  [507] = {.lex_state = 1},
  [508] = {.lex_state = 1},
  [509] = {.lex_state = 6},
  [510] = {.lex_state = 1},
  [511] = {.lex_state = 1},
  [512] = {.lex_state = 1},
  [513] = {.lex_state = 6},
  [514] = {.lex_state = 1},
  [515] = {.lex_state = 6},
  [516] = {.lex_state = 1},
  [517] = {.lex_state = 1},
  [518] = {.lex_state = 1},
  [519] = {.lex_state = 1},
  [520] = {.lex_state = 6},
  [521] = {.lex_state = 1},
  [522] = {.lex_state = 1},
  [523] = {.lex_state = 1},
  [524] = {.lex_state = 1},
  [525] = {.lex_state = 1},
  [526] = {.lex_state = 1},
  [527] = {.lex_state = 1},
  [528] = {.lex_state = 1},
  [529] = {.lex_state = 0},
  [530] = {.lex_state = 6},
  [531] = {.lex_state = 0},
  [532] = {.lex_state = 6},
  [533] = {.lex_state = 6},
  [534] = {.lex_state = 6},
  [535] = {.lex_state = 6},
  [536] = {.lex_state = 3},
  [537] = {.lex_state = 3},
  [538] = {.lex_state = 3},
  [539] = {.lex_state = 3},
  [540] = {.lex_state = 3},
  [541] = {.lex_state = 3},
  [542] = {.lex_state = 3},
  [543] = {.lex_state = 0},
  [544] = {.lex_state = 0},
  [545] = {.lex_state = 3},
  [546] = {.lex_state = 0},
  [547] = {.lex_state = 3},
  [548] = {.lex_state = 3},
  [549] = {.lex_state = 3},
  [550] = {.lex_state = 3},
  [551] = {.lex_state = 6},
  [552] = {.lex_state = 3},
  [553] = {.lex_state = 3},
  [554] = {.lex_state = 3},
  [555] = {.lex_state = 3},
  [556] = {.lex_state = 3},
  [557] = {.lex_state = 0},
  [558] = {.lex_state = 3},
  [559] = {.lex_state = 3},
  [560] = {.lex_state = 3},
  [561] = {.lex_state = 0},
  [562] = {.lex_state = 3},
  [563] = {.lex_state = 3},
  [564] = {.lex_state = 6},
  [565] = {.lex_state = 6},
  [566] = {.lex_state = 6},
  [567] = {.lex_state = 6},
  [568] = {.lex_state = 3},
  [569] = {.lex_state = 3},
  [570] = {.lex_state = 3},
  [571] = {.lex_state = 3},
  [572] = {.lex_state = 3},
  [573] = {.lex_state = 3},
  [574] = {.lex_state = 3},
  [575] = {.lex_state = 3},
  [576] = {.lex_state = 3},
  [577] = {.lex_state = 6},
  [578] = {.lex_state = 0},
  [579] = {.lex_state = 3},
  [580] = {.lex_state = 0},
  [581] = {.lex_state = 6},
  [582] = {.lex_state = 3},
  [583] = {.lex_state = 0},
  [584] = {.lex_state = 0},
  [585] = {.lex_state = 6},
  [586] = {.lex_state = 6},
  [587] = {.lex_state = 0},
  [588] = {.lex_state = 0},
  [589] = {.lex_state = 0},
  [590] = {.lex_state = 0},
  [591] = {.lex_state = 3},
  [592] = {.lex_state = 0},
  [593] = {.lex_state = 6},
  [594] = {.lex_state = 6},
  [595] = {.lex_state = 6},
  [596] = {.lex_state = 0},
  [597] = {.lex_state = 6},
  [598] = {.lex_state = 6},
  [599] = {.lex_state = 0},
  [600] = {.lex_state = 0},
  [601] = {.lex_state = 6},
  [602] = {.lex_state = 6},
  [603] = {.lex_state = 6},
  [604] = {.lex_state = 0},
  [605] = {.lex_state = 6},
  [606] = {.lex_state = 6},
  [607] = {.lex_state = 6},
  [608] = {.lex_state = 6},
  [609] = {.lex_state = 6},
  [610] = {.lex_state = 6},
  [611] = {.lex_state = 6},
  [612] = {.lex_state = 6},
  [613] = {.lex_state = 6},
  [614] = {.lex_state = 6},
  [615] = {.lex_state = 6},
  [616] = {.lex_state = 6},
  [617] = {.lex_state = 0},
  [618] = {.lex_state = 6},
  [619] = {.lex_state = 0},
  [620] = {.lex_state = 6},
  [621] = {.lex_state = 0},
  [622] = {.lex_state = 0},
  [623] = {.lex_state = 6},
  [624] = {.lex_state = 6},
  [625] = {.lex_state = 6},
  [626] = {.lex_state = 0},
  [627] = {.lex_state = 0},
  [628] = {.lex_state = 0},
  [629] = {.lex_state = 6},
  [630] = {.lex_state = 0},
  [631] = {.lex_state = 6},
  [632] = {.lex_state = 6},
  [633] = {.lex_state = 6},
  [634] = {.lex_state = 0},
  [635] = {.lex_state = 0},
  [636] = {.lex_state = 0},
  [637] = {.lex_state = 0},
  [638] = {.lex_state = 0},
  [639] = {.lex_state = 0},
  [640] = {.lex_state = 0},
  [641] = {.lex_state = 0},
  [642] = {.lex_state = 0},
  [643] = {.lex_state = 6},
  [644] = {.lex_state = 6},
  [645] = {.lex_state = 0},
  [646] = {.lex_state = 0},
  [647] = {.lex_state = 0},
  [648] = {.lex_state = 0},
  [649] = {.lex_state = 0},
  [650] = {.lex_state = 0},
  [651] = {.lex_state = 0},
  [652] = {.lex_state = 6},
  [653] = {.lex_state = 0},
  [654] = {.lex_state = 0},
  [655] = {.lex_state = 6},
  [656] = {.lex_state = 0},
  [657] = {.lex_state = 6},
  [658] = {.lex_state = 0},
  [659] = {.lex_state = 0},
  [660] = {.lex_state = 0},
  [661] = {.lex_state = 0},
  [662] = {.lex_state = 6},
  [663] = {.lex_state = 0},
  [664] = {.lex_state = 0},
  [665] = {.lex_state = 0},
  [666] = {.lex_state = 6},
  [667] = {.lex_state = 6},
  [668] = {.lex_state = 0},
  [669] = {.lex_state = 6},
  [670] = {.lex_state = 0},
  [671] = {.lex_state = 0},
  [672] = {.lex_state = 0},
  [673] = {.lex_state = 0},
  [674] = {.lex_state = 0},
  [675] = {.lex_state = 0},
  [676] = {.lex_state = 0},
  [677] = {.lex_state = 0},
  [678] = {.lex_state = 0},
  [679] = {.lex_state = 0},
  [680] = {.lex_state = 0},
  [681] = {.lex_state = 0},
  [682] = {.lex_state = 0},
  [683] = {.lex_state = 6},
  [684] = {.lex_state = 6},
  [685] = {.lex_state = 6},
  [686] = {.lex_state = 6},
  [687] = {.lex_state = 6},
  [688] = {.lex_state = 6},
  [689] = {.lex_state = 0},
  [690] = {.lex_state = 0},
  [691] = {.lex_state = 0},
  [692] = {.lex_state = 0},
  [693] = {.lex_state = 0},
  [694] = {.lex_state = 6},
  [695] = {.lex_state = 0},
  [696] = {.lex_state = 0},
  [697] = {.lex_state = 6},
  [698] = {.lex_state = 6},
  [699] = {.lex_state = 0},
  [700] = {.lex_state = 0},
  [701] = {.lex_state = 0},
  [702] = {.lex_state = 0},
  [703] = {.lex_state = 0},
  [704] = {.lex_state = 0},
  [705] = {.lex_state = 0},
  [706] = {.lex_state = 0},
  [707] = {.lex_state = 0},
  [708] = {.lex_state = 0},
  [709] = {.lex_state = 0},
  [710] = {.lex_state = 0},
  [711] = {.lex_state = 0},
  [712] = {.lex_state = 6},
  [713] = {.lex_state = 6},
  [714] = {.lex_state = 0},
  [715] = {.lex_state = 0},
  [716] = {.lex_state = 0},
  [717] = {.lex_state = 0},
  [718] = {.lex_state = 0},
  [719] = {.lex_state = 0},
  [720] = {.lex_state = 6},
  [721] = {.lex_state = 0},
  [722] = {.lex_state = 0},
  [723] = {.lex_state = 6},
  [724] = {.lex_state = 0},
  [725] = {.lex_state = 0},
  [726] = {.lex_state = 0},
  [727] = {.lex_state = 6},
  [728] = {.lex_state = 0},
  [729] = {.lex_state = 0},
  [730] = {.lex_state = 6},
  [731] = {.lex_state = 0},
  [732] = {.lex_state = 0},
  [733] = {.lex_state = 6},
  [734] = {.lex_state = 0},
  [735] = {.lex_state = 0},
  [736] = {.lex_state = 0},
  [737] = {.lex_state = 0},
  [738] = {.lex_state = 0},
  [739] = {.lex_state = 0},
  [740] = {.lex_state = 0},
  [741] = {.lex_state = 0},
  [742] = {.lex_state = 6},
  [743] = {.lex_state = 0},
  [744] = {.lex_state = 6},
  [745] = {.lex_state = 6},
  [746] = {.lex_state = 0},
  [747] = {.lex_state = 6},
  [748] = {.lex_state = 0},
  [749] = {.lex_state = 0},
  [750] = {.lex_state = 0},
  [751] = {.lex_state = 6},
  [752] = {.lex_state = 56},
  [753] = {.lex_state = 56},
  [754] = {.lex_state = 56},
  [755] = {.lex_state = 56},
  [756] = {.lex_state = 56},
  [757] = {.lex_state = 0},
  [758] = {.lex_state = 0},
  [759] = {.lex_state = 0},
  [760] = {.lex_state = 0},
  [761] = {.lex_state = 56},
  [762] = {.lex_state = 56},
  [763] = {.lex_state = 56},
  [764] = {.lex_state = 56},
  [765] = {.lex_state = 56},
  [766] = {.lex_state = 0},
  [767] = {.lex_state = 0},
  [768] = {.lex_state = 0},
  [769] = {.lex_state = 0},
  [770] = {.lex_state = 0},
  [771] = {.lex_state = 0},
  [772] = {.lex_state = 0},
  [773] = {.lex_state = 0},
  [774] = {.lex_state = 0},
  [775] = {.lex_state = 0},
  [776] = {.lex_state = 0},
  [777] = {.lex_state = 57},
  [778] = {.lex_state = 57},
  [779] = {.lex_state = 56},
  [780] = {.lex_state = 56},
  [781] = {.lex_state = 0},
  [782] = {.lex_state = 0},
  [783] = {.lex_state = 56},
  [784] = {.lex_state = 0},
  [785] = {.lex_state = 56},
  [786] = {.lex_state = 0},
  [787] = {.lex_state = 56},
  [788] = {.lex_state = 56},
  [789] = {.lex_state = 0},
  [790] = {.lex_state = 56},
  [791] = {.lex_state = 3},
  [792] = {.lex_state = 56},
  [793] = {.lex_state = 56},
  [794] = {.lex_state = 56},
  [795] = {.lex_state = 56},
  [796] = {.lex_state = 56},
  [797] = {.lex_state = 56},
  [798] = {.lex_state = 56},
  [799] = {.lex_state = 56},
  [800] = {.lex_state = 56},
  [801] = {.lex_state = 56},
  [802] = {.lex_state = 56},
  [803] = {.lex_state = 56},
  [804] = {.lex_state = 56},
  [805] = {.lex_state = 56},
  [806] = {.lex_state = 56},
  [807] = {.lex_state = 56},
  [808] = {.lex_state = 56},
  [809] = {.lex_state = 3},
  [810] = {.lex_state = 56},
  [811] = {.lex_state = 56},
  [812] = {.lex_state = 56},
  [813] = {.lex_state = 56},
  [814] = {.lex_state = 56},
  [815] = {.lex_state = 56},
  [816] = {.lex_state = 56},
  [817] = {.lex_state = 0},
  [818] = {.lex_state = 3},
  [819] = {.lex_state = 57},
  [820] = {.lex_state = 3},
  [821] = {.lex_state = 0},
  [822] = {.lex_state = 3},
  [823] = {.lex_state = 0},
  [824] = {.lex_state = 0},
  [825] = {.lex_state = 0},
  [826] = {.lex_state = 0},
  [827] = {.lex_state = 0},
  [828] = {.lex_state = 0},
  [829] = {.lex_state = 0},
  [830] = {.lex_state = 0},
  [831] = {.lex_state = 0},
  [832] = {.lex_state = 0},
  [833] = {.lex_state = 0},
  [834] = {.lex_state = 0},
  [835] = {.lex_state = 3},
  [836] = {.lex_state = 0},
  [837] = {.lex_state = 0},
  [838] = {.lex_state = 0},
  [839] = {.lex_state = 56},
  [840] = {.lex_state = 0},
  [841] = {.lex_state = 0},
  [842] = {.lex_state = 0},
  [843] = {.lex_state = 56},
  [844] = {.lex_state = 3},
  [845] = {.lex_state = 0},
  [846] = {.lex_state = 0},
  [847] = {.lex_state = 3},
  [848] = {.lex_state = 0},
  [849] = {.lex_state = 0},
  [850] = {.lex_state = 0},
  [851] = {.lex_state = 0},
  [852] = {.lex_state = 3},
  [853] = {.lex_state = 0},
  [854] = {.lex_state = 0},
  [855] = {.lex_state = 57},
  [856] = {.lex_state = 0},
  [857] = {.lex_state = 0},
  [858] = {.lex_state = 3},
  [859] = {.lex_state = 0},
  [860] = {.lex_state = 0},
  [861] = {.lex_state = 3},
  [862] = {.lex_state = 57},
  [863] = {.lex_state = 57},
  [864] = {.lex_state = 0},
  [865] = {.lex_state = 3},
  [866] = {.lex_state = 0},
  [867] = {.lex_state = 0},
  [868] = {.lex_state = 56},
  [869] = {.lex_state = 56},
  [870] = {.lex_state = 56},
  [871] = {.lex_state = 56},
  [872] = {.lex_state = 56},
  [873] = {.lex_state = 56},
  [874] = {.lex_state = 3},
  [875] = {.lex_state = 56},
  [876] = {.lex_state = 56},
  [877] = {.lex_state = 56},
  [878] = {.lex_state = 56},
  [879] = {.lex_state = 56},
  [880] = {.lex_state = 56},
  [881] = {.lex_state = 56},
  [882] = {.lex_state = 0},
  [883] = {.lex_state = 0},
  [884] = {.lex_state = 56},
  [885] = {.lex_state = 56},
  [886] = {.lex_state = 56},
  [887] = {.lex_state = 0},
  [888] = {.lex_state = 56},
  [889] = {.lex_state = 56},
  [890] = {.lex_state = 56},
  [891] = {.lex_state = 56},
  [892] = {.lex_state = 56},
  [893] = {.lex_state = 0},
  [894] = {.lex_state = 56},
  [895] = {.lex_state = 56},
  [896] = {.lex_state = 56},
  [897] = {.lex_state = 0},
  [898] = {.lex_state = 56},
  [899] = {.lex_state = 56},
  [900] = {.lex_state = 56},
  [901] = {.lex_state = 0},
  [902] = {.lex_state = 56},
  [903] = {.lex_state = 56},
  [904] = {.lex_state = 56},
  [905] = {.lex_state = 56},
  [906] = {.lex_state = 0},
  [907] = {.lex_state = 56},
  [908] = {.lex_state = 56},
  [909] = {.lex_state = 56},
  [910] = {.lex_state = 0},
  [911] = {.lex_state = 56},
  [912] = {.lex_state = 56},
  [913] = {.lex_state = 0},
  [914] = {.lex_state = 0},
  [915] = {.lex_state = 0},
  [916] = {.lex_state = 56},
  [917] = {.lex_state = 0},
  [918] = {.lex_state = 56},
  [919] = {.lex_state = 0},
  [920] = {.lex_state = 0},
  [921] = {.lex_state = 56},
  [922] = {.lex_state = 0},
  [923] = {.lex_state = 0},
  [924] = {.lex_state = 56},
  [925] = {.lex_state = 0},
  [926] = {.lex_state = 56},
  [927] = {.lex_state = 56},
  [928] = {.lex_state = 0},
  [929] = {.lex_state = 0},
  [930] = {.lex_state = 56},
  [931] = {.lex_state = 56},
  [932] = {.lex_state = 56},
  [933] = {.lex_state = 56},
  [934] = {.lex_state = 0},
  [935] = {.lex_state = 56},
  [936] = {.lex_state = 0},
  [937] = {.lex_state = 56},
  [938] = {.lex_state = 0},
  [939] = {.lex_state = 56},
  [940] = {.lex_state = 56},
  [941] = {.lex_state = 56},
  [942] = {.lex_state = 56},
  [943] = {.lex_state = 56},
  [944] = {.lex_state = 56},
  [945] = {.lex_state = 56},
  [946] = {.lex_state = 56},
  [947] = {.lex_state = 56},
  [948] = {.lex_state = 56},
  [949] = {.lex_state = 56},
  [950] = {.lex_state = 56},
  [951] = {.lex_state = 56},
  [952] = {.lex_state = 56},
  [953] = {.lex_state = 56},
  [954] = {.lex_state = 0},
  [955] = {.lex_state = 56},
  [956] = {.lex_state = 56},
  [957] = {.lex_state = 56},
  [958] = {.lex_state = 56},
  [959] = {.lex_state = 56},
  [960] = {.lex_state = 56},
  [961] = {.lex_state = 56},
  [962] = {.lex_state = 56},
  [963] = {.lex_state = 56},
  [964] = {.lex_state = 56},
  [965] = {.lex_state = 56},
  [966] = {.lex_state = 56},
  [967] = {.lex_state = 56},
  [968] = {.lex_state = 56},
  [969] = {.lex_state = 0},
  [970] = {.lex_state = 56},
  [971] = {.lex_state = 56},
  [972] = {.lex_state = 56},
  [973] = {.lex_state = 56},
  [974] = {.lex_state = 0},
  [975] = {.lex_state = 56},
  [976] = {.lex_state = 56},
  [977] = {.lex_state = 56},
  [978] = {.lex_state = 0},
  [979] = {.lex_state = 56},
  [980] = {.lex_state = 56},
  [981] = {.lex_state = 56},
  [982] = {.lex_state = 56},
  [983] = {.lex_state = 56},
  [984] = {.lex_state = 56},
  [985] = {.lex_state = 56},
  [986] = {.lex_state = 56},
  [987] = {.lex_state = 0},
  [988] = {.lex_state = 56},
  [989] = {.lex_state = 56},
  [990] = {.lex_state = 56},
  [991] = {.lex_state = 56},
  [992] = {.lex_state = 56},
  [993] = {.lex_state = 56},
  [994] = {.lex_state = 56},
  [995] = {.lex_state = 56},
  [996] = {.lex_state = 0},
  [997] = {.lex_state = 56},
  [998] = {.lex_state = 56},
  [999] = {.lex_state = 56},
  [1000] = {.lex_state = 56},
  [1001] = {.lex_state = 56},
  [1002] = {.lex_state = 56},
  [1003] = {.lex_state = 56},
  [1004] = {.lex_state = 56},
  [1005] = {.lex_state = 56},
  [1006] = {.lex_state = 0},
  [1007] = {.lex_state = 56},
  [1008] = {.lex_state = 0},
  [1009] = {.lex_state = 0},
  [1010] = {.lex_state = 56},
  [1011] = {.lex_state = 2},
  [1012] = {.lex_state = 0},
  [1013] = {.lex_state = 0},
  [1014] = {.lex_state = 0},
  [1015] = {.lex_state = 0},
  [1016] = {.lex_state = 2},
  [1017] = {.lex_state = 0},
  [1018] = {.lex_state = 0},
  [1019] = {.lex_state = 0},
  [1020] = {.lex_state = 2},
  [1021] = {.lex_state = 2},
  [1022] = {.lex_state = 56},
  [1023] = {.lex_state = 0},
  [1024] = {.lex_state = 0},
  [1025] = {.lex_state = 0},
  [1026] = {.lex_state = 56},
  [1027] = {.lex_state = 56},
  [1028] = {.lex_state = 0},
  [1029] = {.lex_state = 56},
  [1030] = {.lex_state = 56},
  [1031] = {.lex_state = 0},
  [1032] = {.lex_state = 0},
  [1033] = {.lex_state = 56},
  [1034] = {.lex_state = 56},
  [1035] = {.lex_state = 56},
  [1036] = {.lex_state = 0},
  [1037] = {.lex_state = 0},
  [1038] = {.lex_state = 56},
  [1039] = {.lex_state = 0},
  [1040] = {.lex_state = 56},
  [1041] = {.lex_state = 2},
  [1042] = {.lex_state = 2},
  [1043] = {.lex_state = 0},
  [1044] = {.lex_state = 0},
  [1045] = {.lex_state = 2},
  [1046] = {.lex_state = 56},
  [1047] = {.lex_state = 56},
  [1048] = {.lex_state = 2},
  [1049] = {.lex_state = 2},
  [1050] = {.lex_state = 0},
  [1051] = {.lex_state = 0},
  [1052] = {.lex_state = 56},
  [1053] = {.lex_state = 56},
  [1054] = {.lex_state = 0},
  [1055] = {.lex_state = 56},
  [1056] = {.lex_state = 56},
  [1057] = {.lex_state = 0},
  [1058] = {.lex_state = 0},
  [1059] = {.lex_state = 0},
  [1060] = {.lex_state = 0},
  [1061] = {.lex_state = 0},
  [1062] = {.lex_state = 56},
  [1063] = {.lex_state = 0},
  [1064] = {.lex_state = 2},
  [1065] = {.lex_state = 0},
  [1066] = {.lex_state = 0},
  [1067] = {.lex_state = 56},
  [1068] = {.lex_state = 56},
  [1069] = {.lex_state = 0},
  [1070] = {.lex_state = 0},
  [1071] = {.lex_state = 0},
  [1072] = {.lex_state = 56},
  [1073] = {.lex_state = 2},
  [1074] = {.lex_state = 0},
  [1075] = {.lex_state = 0},
  [1076] = {.lex_state = 0},
  [1077] = {.lex_state = 56},
  [1078] = {.lex_state = 0},
  [1079] = {.lex_state = 56},
  [1080] = {.lex_state = 0},
  [1081] = {.lex_state = 2},
  [1082] = {.lex_state = 56},
  [1083] = {.lex_state = 0},
  [1084] = {.lex_state = 2},
  [1085] = {.lex_state = 0},
  [1086] = {.lex_state = 2},
  [1087] = {.lex_state = 0},
  [1088] = {.lex_state = 56},
  [1089] = {.lex_state = 56},
  [1090] = {.lex_state = 0},
  [1091] = {.lex_state = 0},
  [1092] = {.lex_state = 2},
  [1093] = {.lex_state = 0},
  [1094] = {.lex_state = 0},
  [1095] = {.lex_state = 0},
  [1096] = {.lex_state = 56},
  [1097] = {.lex_state = 0},
  [1098] = {.lex_state = 56},
  [1099] = {.lex_state = 0},
  [1100] = {.lex_state = 0},
  [1101] = {.lex_state = 0},
  [1102] = {.lex_state = 56},
  [1103] = {.lex_state = 56},
  [1104] = {.lex_state = 0},
  [1105] = {.lex_state = 0},
  [1106] = {.lex_state = 0},
  [1107] = {.lex_state = 0},
  [1108] = {.lex_state = 56},
  [1109] = {.lex_state = 0},
  [1110] = {.lex_state = 56},
  [1111] = {.lex_state = 0},
  [1112] = {.lex_state = 0},
  [1113] = {.lex_state = 56},
  [1114] = {.lex_state = 0},
  [1115] = {.lex_state = 0},
  [1116] = {.lex_state = 0},
  [1117] = {.lex_state = 56},
  [1118] = {.lex_state = 0},
  [1119] = {.lex_state = 0},
  [1120] = {.lex_state = 56},
  [1121] = {.lex_state = 0},
  [1122] = {.lex_state = 56},
  [1123] = {.lex_state = 0},
  [1124] = {.lex_state = 56},
  [1125] = {.lex_state = 0},
  [1126] = {.lex_state = 56},
  [1127] = {.lex_state = 0},
  [1128] = {.lex_state = 0},
  [1129] = {.lex_state = 56},
  [1130] = {.lex_state = 56},
  [1131] = {.lex_state = 0},
  [1132] = {.lex_state = 59},
  [1133] = {.lex_state = 56},
  [1134] = {.lex_state = 56},
  [1135] = {.lex_state = 56},
  [1136] = {.lex_state = 0},
  [1137] = {.lex_state = 59},
  [1138] = {.lex_state = 56},
  [1139] = {.lex_state = 56},
  [1140] = {.lex_state = 0},
  [1141] = {.lex_state = 0},
  [1142] = {.lex_state = 0},
  [1143] = {.lex_state = 56},
  [1144] = {.lex_state = 0},
  [1145] = {.lex_state = 0},
  [1146] = {.lex_state = 0},
  [1147] = {.lex_state = 0},
  [1148] = {.lex_state = 0},
  [1149] = {.lex_state = 0},
  [1150] = {.lex_state = 0},
  [1151] = {.lex_state = 56},
  [1152] = {.lex_state = 0},
  [1153] = {.lex_state = 0},
  [1154] = {.lex_state = 56},
  [1155] = {.lex_state = 0},
  [1156] = {.lex_state = 0},
  [1157] = {.lex_state = 56},
  [1158] = {.lex_state = 0},
  [1159] = {.lex_state = 0},
  [1160] = {.lex_state = 0},
  [1161] = {.lex_state = 0},
  [1162] = {.lex_state = 0},
  [1163] = {.lex_state = 0},
  [1164] = {.lex_state = 56},
  [1165] = {.lex_state = 56},
  [1166] = {.lex_state = 0},
  [1167] = {.lex_state = 56},
  [1168] = {.lex_state = 56},
  [1169] = {.lex_state = 56},
  [1170] = {.lex_state = 0},
  [1171] = {.lex_state = 56},
  [1172] = {.lex_state = 56},
  [1173] = {.lex_state = 59},
  [1174] = {.lex_state = 0},
  [1175] = {.lex_state = 59},
  [1176] = {.lex_state = 0},
  [1177] = {.lex_state = 0},
  [1178] = {.lex_state = 56},
  [1179] = {.lex_state = 56},
  [1180] = {.lex_state = 0},
  [1181] = {.lex_state = 0},
  [1182] = {.lex_state = 0},
  [1183] = {.lex_state = 0},
  [1184] = {.lex_state = 0},
  [1185] = {.lex_state = 0},
  [1186] = {.lex_state = 0},
  [1187] = {.lex_state = 56},
  [1188] = {.lex_state = 0},
  [1189] = {.lex_state = 56},
  [1190] = {.lex_state = 0},
  [1191] = {.lex_state = 0},
  [1192] = {.lex_state = 0},
  [1193] = {.lex_state = 0},
  [1194] = {.lex_state = 56},
  [1195] = {.lex_state = 0},
  [1196] = {.lex_state = 0},
  [1197] = {.lex_state = 0},
  [1198] = {.lex_state = 0},
  [1199] = {.lex_state = 0},
  [1200] = {.lex_state = 0},
  [1201] = {.lex_state = 0},
  [1202] = {.lex_state = 56},
  [1203] = {.lex_state = 56},
  [1204] = {.lex_state = 0},
  [1205] = {.lex_state = 0},
  [1206] = {.lex_state = 56},
  [1207] = {.lex_state = 56},
  [1208] = {.lex_state = 56},
  [1209] = {.lex_state = 0},
  [1210] = {.lex_state = 0},
  [1211] = {.lex_state = 0},
  [1212] = {.lex_state = 0},
  [1213] = {.lex_state = 0},
  [1214] = {.lex_state = 0},
  [1215] = {.lex_state = 0},
  [1216] = {.lex_state = 0},
  [1217] = {.lex_state = 0},
  [1218] = {.lex_state = 0},
  [1219] = {.lex_state = 0},
  [1220] = {.lex_state = 0},
  [1221] = {.lex_state = 0},
  [1222] = {.lex_state = 0},
  [1223] = {.lex_state = 0},
  [1224] = {.lex_state = 0},
  [1225] = {.lex_state = 0},
  [1226] = {.lex_state = 0},
  [1227] = {.lex_state = 0},
  [1228] = {.lex_state = 0},
  [1229] = {.lex_state = 0},
  [1230] = {.lex_state = 0},
  [1231] = {.lex_state = 0},
  [1232] = {.lex_state = 0},
  [1233] = {.lex_state = 0},
  [1234] = {.lex_state = 0},
  [1235] = {.lex_state = 0},
  [1236] = {.lex_state = 0},
  [1237] = {.lex_state = 0},
  [1238] = {.lex_state = 0},
  [1239] = {.lex_state = 0},
  [1240] = {.lex_state = 56},
  [1241] = {.lex_state = 0},
  [1242] = {.lex_state = 0},
  [1243] = {.lex_state = 0},
  [1244] = {.lex_state = 56},
  [1245] = {.lex_state = 0},
  [1246] = {.lex_state = 0},
  [1247] = {.lex_state = 56},
  [1248] = {.lex_state = 0},
  [1249] = {.lex_state = 0},
  [1250] = {.lex_state = 56},
  [1251] = {.lex_state = 56},
  [1252] = {.lex_state = 0},
  [1253] = {.lex_state = 56},
  [1254] = {.lex_state = 0},
  [1255] = {.lex_state = 0},
  [1256] = {.lex_state = 0},
  [1257] = {.lex_state = 0},
  [1258] = {.lex_state = 56},
  [1259] = {.lex_state = 0},
  [1260] = {.lex_state = 0},
  [1261] = {.lex_state = 0},
  [1262] = {.lex_state = 56},
  [1263] = {.lex_state = 0},
  [1264] = {.lex_state = 0},
  [1265] = {.lex_state = 0},
  [1266] = {.lex_state = 0},
  [1267] = {.lex_state = 56},
  [1268] = {.lex_state = 56},
  [1269] = {.lex_state = 0},
  [1270] = {.lex_state = 0},
  [1271] = {.lex_state = 0},
  [1272] = {.lex_state = 0},
  [1273] = {.lex_state = 56},
  [1274] = {.lex_state = 0},
  [1275] = {.lex_state = 0},
  [1276] = {.lex_state = 0},
  [1277] = {.lex_state = 0},
  [1278] = {.lex_state = 0},
  [1279] = {.lex_state = 0},
  [1280] = {.lex_state = 0},
  [1281] = {.lex_state = 0},
  [1282] = {.lex_state = 0},
  [1283] = {.lex_state = 0},
  [1284] = {.lex_state = 0},
  [1285] = {.lex_state = 56},
  [1286] = {.lex_state = 0},
  [1287] = {.lex_state = 0},
  [1288] = {.lex_state = 56},
  [1289] = {.lex_state = 0},
  [1290] = {.lex_state = 0},
  [1291] = {.lex_state = 56},
  [1292] = {.lex_state = 0},
  [1293] = {.lex_state = 0},
  [1294] = {.lex_state = 0},
  [1295] = {.lex_state = 0},
  [1296] = {.lex_state = 0},
  [1297] = {.lex_state = 0},
  [1298] = {.lex_state = 0},
  [1299] = {.lex_state = 59},
  [1300] = {.lex_state = 0},
  [1301] = {.lex_state = 0},
  [1302] = {.lex_state = 56},
  [1303] = {.lex_state = 0},
  [1304] = {.lex_state = 0},
  [1305] = {.lex_state = 0},
  [1306] = {.lex_state = 0},
  [1307] = {.lex_state = 0},
  [1308] = {.lex_state = 0},
  [1309] = {.lex_state = 0},
  [1310] = {.lex_state = 0},
  [1311] = {.lex_state = 0},
  [1312] = {.lex_state = 0},
  [1313] = {.lex_state = 0},
  [1314] = {.lex_state = 0},
  [1315] = {.lex_state = 0},
  [1316] = {.lex_state = 0},
  [1317] = {.lex_state = 0},
  [1318] = {.lex_state = 0},
  [1319] = {.lex_state = 0},
  [1320] = {.lex_state = 0},
  [1321] = {.lex_state = 0},
  [1322] = {.lex_state = 0},
  [1323] = {.lex_state = 0},
  [1324] = {.lex_state = 0},
  [1325] = {.lex_state = 0},
  [1326] = {.lex_state = 0},
  [1327] = {.lex_state = 0},
  [1328] = {.lex_state = 0},
  [1329] = {.lex_state = 0},
  [1330] = {.lex_state = 0},
  [1331] = {.lex_state = 0},
  [1332] = {.lex_state = 0},
  [1333] = {.lex_state = 0},
  [1334] = {.lex_state = 0},
  [1335] = {.lex_state = 0},
  [1336] = {.lex_state = 0},
  [1337] = {.lex_state = 0},
  [1338] = {.lex_state = 0},
  [1339] = {.lex_state = 0},
  [1340] = {.lex_state = 0},
  [1341] = {.lex_state = 0},
  [1342] = {.lex_state = 0},
  [1343] = {.lex_state = 0},
  [1344] = {.lex_state = 0},
  [1345] = {.lex_state = 0},
  [1346] = {.lex_state = 0},
  [1347] = {.lex_state = 0},
  [1348] = {.lex_state = 0},
  [1349] = {.lex_state = 0},
  [1350] = {.lex_state = 0},
  [1351] = {.lex_state = 0},
  [1352] = {.lex_state = 0},
  [1353] = {.lex_state = 0},
  [1354] = {.lex_state = 0},
  [1355] = {.lex_state = 0},
  [1356] = {.lex_state = 0},
  [1357] = {.lex_state = 0},
  [1358] = {.lex_state = 0},
  [1359] = {.lex_state = 0},
  [1360] = {.lex_state = 0},
  [1361] = {.lex_state = 0},
  [1362] = {.lex_state = 0},
  [1363] = {.lex_state = 0},
  [1364] = {.lex_state = 0},
  [1365] = {.lex_state = 0},
  [1366] = {.lex_state = 0},
  [1367] = {.lex_state = 0},
  [1368] = {.lex_state = 0},
  [1369] = {.lex_state = 0},
  [1370] = {.lex_state = 0},
  [1371] = {.lex_state = 0},
  [1372] = {.lex_state = 0},
  [1373] = {.lex_state = 0},
  [1374] = {.lex_state = 0},
  [1375] = {.lex_state = 0},
  [1376] = {.lex_state = 0},
  [1377] = {.lex_state = 0},
};

static const uint16_t ts_parse_table[LARGE_STATE_COUNT][SYMBOL_COUNT] = {
  [0] = {
    [ts_builtin_sym_end] = ACTIONS(1),
    [sym_identifier] = ACTIONS(1),
    [anon_sym_SEMI] = ACTIONS(1),
    [anon_sym_package] = ACTIONS(1),
    [anon_sym_import] = ACTIONS(1),
    [anon_sym_DOT] = ACTIONS(1),
    [sym_blank_identifier] = ACTIONS(1),
    [anon_sym_LPAREN] = ACTIONS(1),
    [anon_sym_RPAREN] = ACTIONS(1),
    [anon_sym_const] = ACTIONS(1),
    [anon_sym_COMMA] = ACTIONS(1),
    [anon_sym_EQ] = ACTIONS(1),
    [anon_sym_var] = ACTIONS(1),
    [anon_sym_func] = ACTIONS(1),
    [anon_sym_LBRACK] = ACTIONS(1),
    [anon_sym_RBRACK] = ACTIONS(1),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(1),
    [anon_sym_type] = ACTIONS(1),
    [anon_sym_STAR] = ACTIONS(1),
    [anon_sym_struct] = ACTIONS(1),
    [anon_sym_PIPE] = ACTIONS(1),
    [anon_sym_TILDE] = ACTIONS(1),
    [anon_sym_LBRACE] = ACTIONS(1),
    [anon_sym_RBRACE] = ACTIONS(1),
    [anon_sym_interface] = ACTIONS(1),
    [anon_sym_map] = ACTIONS(1),
    [anon_sym_chan] = ACTIONS(1),
    [anon_sym_LT_DASH] = ACTIONS(1),
    [anon_sym_COLON_EQ] = ACTIONS(1),
    [anon_sym_PLUS_PLUS] = ACTIONS(1),
    [anon_sym_DASH_DASH] = ACTIONS(1),
    [anon_sym_STAR_EQ] = ACTIONS(1),
    [anon_sym_SLASH_EQ] = ACTIONS(1),
    [anon_sym_PERCENT_EQ] = ACTIONS(1),
    [anon_sym_LT_LT_EQ] = ACTIONS(1),
    [anon_sym_GT_GT_EQ] = ACTIONS(1),
    [anon_sym_AMP_EQ] = ACTIONS(1),
    [anon_sym_AMP_CARET_EQ] = ACTIONS(1),
    [anon_sym_PLUS_EQ] = ACTIONS(1),
    [anon_sym_DASH_EQ] = ACTIONS(1),
    [anon_sym_PIPE_EQ] = ACTIONS(1),
    [anon_sym_CARET_EQ] = ACTIONS(1),
    [anon_sym_COLON] = ACTIONS(1),
    [anon_sym_fallthrough] = ACTIONS(1),
    [anon_sym_break] = ACTIONS(1),
    [anon_sym_continue] = ACTIONS(1),
    [anon_sym_goto] = ACTIONS(1),
    [anon_sym_return] = ACTIONS(1),
    [anon_sym_go] = ACTIONS(1),
    [anon_sym_defer] = ACTIONS(1),
    [anon_sym_if] = ACTIONS(1),
    [anon_sym_else] = ACTIONS(1),
    [anon_sym_for] = ACTIONS(1),
    [anon_sym_range] = ACTIONS(1),
    [anon_sym_switch] = ACTIONS(1),
    [anon_sym_case] = ACTIONS(1),
    [anon_sym_default] = ACTIONS(1),
    [anon_sym_select] = ACTIONS(1),
    [anon_sym_new] = ACTIONS(1),
    [anon_sym_make] = ACTIONS(1),
    [anon_sym_PLUS] = ACTIONS(1),
    [anon_sym_DASH] = ACTIONS(1),
    [anon_sym_BANG] = ACTIONS(1),
    [anon_sym_CARET] = ACTIONS(1),
    [anon_sym_AMP] = ACTIONS(1),
    [anon_sym_SLASH] = ACTIONS(1),
    [anon_sym_PERCENT] = ACTIONS(1),
    [anon_sym_LT_LT] = ACTIONS(1),
    [anon_sym_GT_GT] = ACTIONS(1),
    [anon_sym_AMP_CARET] = ACTIONS(1),
    [anon_sym_EQ_EQ] = ACTIONS(1),
    [anon_sym_BANG_EQ] = ACTIONS(1),
    [anon_sym_LT] = ACTIONS(1),
    [anon_sym_LT_EQ] = ACTIONS(1),
    [anon_sym_GT] = ACTIONS(1),
    [anon_sym_GT_EQ] = ACTIONS(1),
    [anon_sym_AMP_AMP] = ACTIONS(1),
    [anon_sym_PIPE_PIPE] = ACTIONS(1),
    [sym_raw_string_literal] = ACTIONS(1),
    [anon_sym_DQUOTE] = ACTIONS(1),
    [anon_sym_DQUOTE2] = ACTIONS(1),
    [sym_escape_sequence] = ACTIONS(1),
    [sym_int_literal] = ACTIONS(1),
    [sym_float_literal] = ACTIONS(1),
    [sym_imaginary_literal] = ACTIONS(1),
    [sym_rune_literal] = ACTIONS(1),
    [sym_nil] = ACTIONS(1),
    [sym_true] = ACTIONS(1),
    [sym_false] = ACTIONS(1),
    [sym_iota] = ACTIONS(1),
    [sym_comment] = ACTIONS(3),
  },
  [1] = {
    [sym_source_file] = STATE(1331),
    [sym_package_clause] = STATE(1113),
    [sym_import_declaration] = STATE(1113),
    [sym__declaration] = STATE(964),
    [sym_const_declaration] = STATE(964),
    [sym_var_declaration] = STATE(964),
    [sym_function_declaration] = STATE(1113),
    [sym_method_declaration] = STATE(1113),
    [sym_type_declaration] = STATE(964),
    [sym_expression_list] = STATE(775),
    [sym_parenthesized_type] = STATE(1278),
    [sym__simple_type] = STATE(1278),
    [sym_generic_type] = STATE(1066),
    [sym_pointer_type] = STATE(830),
    [sym_array_type] = STATE(1066),
    [sym_implicit_length_array_type] = STATE(1293),
    [sym_slice_type] = STATE(1066),
    [sym_struct_type] = STATE(1066),
    [sym_union_type] = STATE(821),
    [sym_negated_type] = STATE(821),
    [sym_interface_type] = STATE(830),
    [sym_map_type] = STATE(1066),
    [sym_channel_type] = STATE(830),
    [sym_function_type] = STATE(830),
    [sym_block] = STATE(964),
    [sym__statement] = STATE(1302),
    [sym_empty_statement] = STATE(964),
    [sym__simple_statement] = STATE(964),
    [sym_expression_statement] = STATE(979),
    [sym_send_statement] = STATE(979),
    [sym_inc_statement] = STATE(979),
    [sym_dec_statement] = STATE(979),
    [sym_assignment_statement] = STATE(979),
    [sym_short_var_declaration] = STATE(979),
    [sym_labeled_statement] = STATE(964),
    [sym_fallthrough_statement] = STATE(964),
    [sym_break_statement] = STATE(964),
    [sym_continue_statement] = STATE(964),
    [sym_goto_statement] = STATE(964),
    [sym_return_statement] = STATE(964),
    [sym_go_statement] = STATE(964),
    [sym_defer_statement] = STATE(964),
    [sym_if_statement] = STATE(964),
    [sym_for_statement] = STATE(964),
    [sym_expression_switch_statement] = STATE(964),
    [sym_type_switch_statement] = STATE(964),
    [sym_select_statement] = STATE(964),
    [sym__expression] = STATE(240),
    [sym_parenthesized_expression] = STATE(257),
    [sym_call_expression] = STATE(257),
    [sym_selector_expression] = STATE(257),
    [sym_index_expression] = STATE(257),
    [sym_slice_expression] = STATE(257),
    [sym_type_assertion_expression] = STATE(257),
    [sym_type_conversion_expression] = STATE(257),
    [sym_composite_literal] = STATE(257),
    [sym_func_literal] = STATE(257),
    [sym_unary_expression] = STATE(257),
    [sym_binary_expression] = STATE(257),
    [sym_qualified_type] = STATE(897),
    [sym_interpreted_string_literal] = STATE(257),
    [aux_sym_source_file_repeat1] = STATE(2),
    [ts_builtin_sym_end] = ACTIONS(5),
    [sym_identifier] = ACTIONS(7),
    [anon_sym_SEMI] = ACTIONS(9),
    [anon_sym_package] = ACTIONS(11),
    [anon_sym_import] = ACTIONS(13),
    [anon_sym_LPAREN] = ACTIONS(15),
    [anon_sym_const] = ACTIONS(17),
    [anon_sym_var] = ACTIONS(19),
    [anon_sym_func] = ACTIONS(21),
    [anon_sym_LBRACK] = ACTIONS(23),
    [anon_sym_type] = ACTIONS(25),
    [anon_sym_STAR] = ACTIONS(27),
    [anon_sym_struct] = ACTIONS(29),
    [anon_sym_TILDE] = ACTIONS(31),
    [anon_sym_LBRACE] = ACTIONS(33),
    [anon_sym_interface] = ACTIONS(35),
    [anon_sym_map] = ACTIONS(37),
    [anon_sym_chan] = ACTIONS(39),
    [anon_sym_LT_DASH] = ACTIONS(41),
    [anon_sym_fallthrough] = ACTIONS(43),
    [anon_sym_break] = ACTIONS(45),
    [anon_sym_continue] = ACTIONS(47),
    [anon_sym_goto] = ACTIONS(49),
    [anon_sym_return] = ACTIONS(51),
    [anon_sym_go] = ACTIONS(53),
    [anon_sym_defer] = ACTIONS(55),
    [anon_sym_if] = ACTIONS(57),
    [anon_sym_for] = ACTIONS(59),
    [anon_sym_switch] = ACTIONS(61),
    [anon_sym_select] = ACTIONS(63),
    [anon_sym_new] = ACTIONS(65),
    [anon_sym_make] = ACTIONS(65),
    [anon_sym_PLUS] = ACTIONS(67),
    [anon_sym_DASH] = ACTIONS(67),
    [anon_sym_BANG] = ACTIONS(67),
    [anon_sym_CARET] = ACTIONS(67),
    [anon_sym_AMP] = ACTIONS(67),
    [sym_raw_string_literal] = ACTIONS(69),
    [anon_sym_DQUOTE] = ACTIONS(71),
    [sym_int_literal] = ACTIONS(73),
    [sym_float_literal] = ACTIONS(73),
    [sym_imaginary_literal] = ACTIONS(69),
    [sym_rune_literal] = ACTIONS(69),
    [sym_nil] = ACTIONS(73),
    [sym_true] = ACTIONS(73),
    [sym_false] = ACTIONS(73),
    [sym_iota] = ACTIONS(73),
    [sym_comment] = ACTIONS(3),
  },
  [2] = {
    [sym_package_clause] = STATE(1130),
    [sym_import_declaration] = STATE(1130),
    [sym__declaration] = STATE(964),
    [sym_const_declaration] = STATE(964),
    [sym_var_declaration] = STATE(964),
    [sym_function_declaration] = STATE(1130),
    [sym_method_declaration] = STATE(1130),
    [sym_type_declaration] = STATE(964),
    [sym_expression_list] = STATE(775),
    [sym_parenthesized_type] = STATE(1278),
    [sym__simple_type] = STATE(1278),
    [sym_generic_type] = STATE(1066),
    [sym_pointer_type] = STATE(830),
    [sym_array_type] = STATE(1066),
    [sym_implicit_length_array_type] = STATE(1293),
    [sym_slice_type] = STATE(1066),
    [sym_struct_type] = STATE(1066),
    [sym_union_type] = STATE(821),
    [sym_negated_type] = STATE(821),
    [sym_interface_type] = STATE(830),
    [sym_map_type] = STATE(1066),
    [sym_channel_type] = STATE(830),
    [sym_function_type] = STATE(830),
    [sym_block] = STATE(964),
    [sym__statement] = STATE(1302),
    [sym_empty_statement] = STATE(964),
    [sym__simple_statement] = STATE(964),
    [sym_expression_statement] = STATE(979),
    [sym_send_statement] = STATE(979),
    [sym_inc_statement] = STATE(979),
    [sym_dec_statement] = STATE(979),
    [sym_assignment_statement] = STATE(979),
    [sym_short_var_declaration] = STATE(979),
    [sym_labeled_statement] = STATE(964),
    [sym_fallthrough_statement] = STATE(964),
    [sym_break_statement] = STATE(964),
    [sym_continue_statement] = STATE(964),
    [sym_goto_statement] = STATE(964),
    [sym_return_statement] = STATE(964),
    [sym_go_statement] = STATE(964),
    [sym_defer_statement] = STATE(964),
    [sym_if_statement] = STATE(964),
    [sym_for_statement] = STATE(964),
    [sym_expression_switch_statement] = STATE(964),
    [sym_type_switch_statement] = STATE(964),
    [sym_select_statement] = STATE(964),
    [sym__expression] = STATE(240),
    [sym_parenthesized_expression] = STATE(257),
    [sym_call_expression] = STATE(257),
    [sym_selector_expression] = STATE(257),
    [sym_index_expression] = STATE(257),
    [sym_slice_expression] = STATE(257),
    [sym_type_assertion_expression] = STATE(257),
    [sym_type_conversion_expression] = STATE(257),
    [sym_composite_literal] = STATE(257),
    [sym_func_literal] = STATE(257),
    [sym_unary_expression] = STATE(257),
    [sym_binary_expression] = STATE(257),
    [sym_qualified_type] = STATE(897),
    [sym_interpreted_string_literal] = STATE(257),
    [aux_sym_source_file_repeat1] = STATE(3),
    [ts_builtin_sym_end] = ACTIONS(75),
    [sym_identifier] = ACTIONS(7),
    [anon_sym_SEMI] = ACTIONS(9),
    [anon_sym_package] = ACTIONS(11),
    [anon_sym_import] = ACTIONS(13),
    [anon_sym_LPAREN] = ACTIONS(15),
    [anon_sym_const] = ACTIONS(17),
    [anon_sym_var] = ACTIONS(19),
    [anon_sym_func] = ACTIONS(21),
    [anon_sym_LBRACK] = ACTIONS(23),
    [anon_sym_type] = ACTIONS(25),
    [anon_sym_STAR] = ACTIONS(27),
    [anon_sym_struct] = ACTIONS(29),
    [anon_sym_TILDE] = ACTIONS(31),
    [anon_sym_LBRACE] = ACTIONS(33),
    [anon_sym_interface] = ACTIONS(35),
    [anon_sym_map] = ACTIONS(37),
    [anon_sym_chan] = ACTIONS(39),
    [anon_sym_LT_DASH] = ACTIONS(41),
    [anon_sym_fallthrough] = ACTIONS(43),
    [anon_sym_break] = ACTIONS(45),
    [anon_sym_continue] = ACTIONS(47),
    [anon_sym_goto] = ACTIONS(49),
    [anon_sym_return] = ACTIONS(51),
    [anon_sym_go] = ACTIONS(53),
    [anon_sym_defer] = ACTIONS(55),
    [anon_sym_if] = ACTIONS(57),
    [anon_sym_for] = ACTIONS(59),
    [anon_sym_switch] = ACTIONS(61),
    [anon_sym_select] = ACTIONS(63),
    [anon_sym_new] = ACTIONS(65),
    [anon_sym_make] = ACTIONS(65),
    [anon_sym_PLUS] = ACTIONS(67),
    [anon_sym_DASH] = ACTIONS(67),
    [anon_sym_BANG] = ACTIONS(67),
    [anon_sym_CARET] = ACTIONS(67),
    [anon_sym_AMP] = ACTIONS(67),
    [sym_raw_string_literal] = ACTIONS(69),
    [anon_sym_DQUOTE] = ACTIONS(71),
    [sym_int_literal] = ACTIONS(73),
    [sym_float_literal] = ACTIONS(73),
    [sym_imaginary_literal] = ACTIONS(69),
    [sym_rune_literal] = ACTIONS(69),
    [sym_nil] = ACTIONS(73),
    [sym_true] = ACTIONS(73),
    [sym_false] = ACTIONS(73),
    [sym_iota] = ACTIONS(73),
    [sym_comment] = ACTIONS(3),
  },
  [3] = {
    [sym_package_clause] = STATE(1302),
    [sym_import_declaration] = STATE(1302),
    [sym__declaration] = STATE(964),
    [sym_const_declaration] = STATE(964),
    [sym_var_declaration] = STATE(964),
    [sym_function_declaration] = STATE(1302),
    [sym_method_declaration] = STATE(1302),
    [sym_type_declaration] = STATE(964),
    [sym_expression_list] = STATE(775),
    [sym_parenthesized_type] = STATE(1278),
    [sym__simple_type] = STATE(1278),
    [sym_generic_type] = STATE(1066),
    [sym_pointer_type] = STATE(830),
    [sym_array_type] = STATE(1066),
    [sym_implicit_length_array_type] = STATE(1293),
    [sym_slice_type] = STATE(1066),
    [sym_struct_type] = STATE(1066),
    [sym_union_type] = STATE(821),
    [sym_negated_type] = STATE(821),
    [sym_interface_type] = STATE(830),
    [sym_map_type] = STATE(1066),
    [sym_channel_type] = STATE(830),
    [sym_function_type] = STATE(830),
    [sym_block] = STATE(964),
    [sym__statement] = STATE(1302),
    [sym_empty_statement] = STATE(964),
    [sym__simple_statement] = STATE(964),
    [sym_expression_statement] = STATE(979),
    [sym_send_statement] = STATE(979),
    [sym_inc_statement] = STATE(979),
    [sym_dec_statement] = STATE(979),
    [sym_assignment_statement] = STATE(979),
    [sym_short_var_declaration] = STATE(979),
    [sym_labeled_statement] = STATE(964),
    [sym_fallthrough_statement] = STATE(964),
    [sym_break_statement] = STATE(964),
    [sym_continue_statement] = STATE(964),
    [sym_goto_statement] = STATE(964),
    [sym_return_statement] = STATE(964),
    [sym_go_statement] = STATE(964),
    [sym_defer_statement] = STATE(964),
    [sym_if_statement] = STATE(964),
    [sym_for_statement] = STATE(964),
    [sym_expression_switch_statement] = STATE(964),
    [sym_type_switch_statement] = STATE(964),
    [sym_select_statement] = STATE(964),
    [sym__expression] = STATE(240),
    [sym_parenthesized_expression] = STATE(257),
    [sym_call_expression] = STATE(257),
    [sym_selector_expression] = STATE(257),
    [sym_index_expression] = STATE(257),
    [sym_slice_expression] = STATE(257),
    [sym_type_assertion_expression] = STATE(257),
    [sym_type_conversion_expression] = STATE(257),
    [sym_composite_literal] = STATE(257),
    [sym_func_literal] = STATE(257),
    [sym_unary_expression] = STATE(257),
    [sym_binary_expression] = STATE(257),
    [sym_qualified_type] = STATE(897),
    [sym_interpreted_string_literal] = STATE(257),
    [aux_sym_source_file_repeat1] = STATE(3),
    [ts_builtin_sym_end] = ACTIONS(77),
    [sym_identifier] = ACTIONS(79),
    [anon_sym_SEMI] = ACTIONS(82),
    [anon_sym_package] = ACTIONS(85),
    [anon_sym_import] = ACTIONS(88),
    [anon_sym_LPAREN] = ACTIONS(91),
    [anon_sym_const] = ACTIONS(94),
    [anon_sym_var] = ACTIONS(97),
    [anon_sym_func] = ACTIONS(100),
    [anon_sym_LBRACK] = ACTIONS(103),
    [anon_sym_type] = ACTIONS(106),
    [anon_sym_STAR] = ACTIONS(109),
    [anon_sym_struct] = ACTIONS(112),
    [anon_sym_TILDE] = ACTIONS(115),
    [anon_sym_LBRACE] = ACTIONS(118),
    [anon_sym_interface] = ACTIONS(121),
    [anon_sym_map] = ACTIONS(124),
    [anon_sym_chan] = ACTIONS(127),
    [anon_sym_LT_DASH] = ACTIONS(130),
    [anon_sym_fallthrough] = ACTIONS(133),
    [anon_sym_break] = ACTIONS(136),
    [anon_sym_continue] = ACTIONS(139),
    [anon_sym_goto] = ACTIONS(142),
    [anon_sym_return] = ACTIONS(145),
    [anon_sym_go] = ACTIONS(148),
    [anon_sym_defer] = ACTIONS(151),
    [anon_sym_if] = ACTIONS(154),
    [anon_sym_for] = ACTIONS(157),
    [anon_sym_switch] = ACTIONS(160),
    [anon_sym_select] = ACTIONS(163),
    [anon_sym_new] = ACTIONS(166),
    [anon_sym_make] = ACTIONS(166),
    [anon_sym_PLUS] = ACTIONS(169),
    [anon_sym_DASH] = ACTIONS(169),
    [anon_sym_BANG] = ACTIONS(169),
    [anon_sym_CARET] = ACTIONS(169),
    [anon_sym_AMP] = ACTIONS(169),
    [sym_raw_string_literal] = ACTIONS(172),
    [anon_sym_DQUOTE] = ACTIONS(175),
    [sym_int_literal] = ACTIONS(178),
    [sym_float_literal] = ACTIONS(178),
    [sym_imaginary_literal] = ACTIONS(172),
    [sym_rune_literal] = ACTIONS(172),
    [sym_nil] = ACTIONS(178),
    [sym_true] = ACTIONS(178),
    [sym_false] = ACTIONS(178),
    [sym_iota] = ACTIONS(178),
    [sym_comment] = ACTIONS(3),
  },
  [4] = {
    [sym__declaration] = STATE(964),
    [sym_const_declaration] = STATE(964),
    [sym_var_declaration] = STATE(964),
    [sym_type_declaration] = STATE(964),
    [sym_expression_list] = STATE(775),
    [sym_parenthesized_type] = STATE(1278),
    [sym__simple_type] = STATE(1278),
    [sym_generic_type] = STATE(1066),
    [sym_pointer_type] = STATE(830),
    [sym_array_type] = STATE(1066),
    [sym_implicit_length_array_type] = STATE(1293),
    [sym_slice_type] = STATE(1066),
    [sym_struct_type] = STATE(1066),
    [sym_union_type] = STATE(821),
    [sym_negated_type] = STATE(821),
    [sym_interface_type] = STATE(830),
    [sym_map_type] = STATE(1066),
    [sym_channel_type] = STATE(830),
    [sym_function_type] = STATE(830),
    [sym_block] = STATE(964),
    [sym__statement_list] = STATE(1128),
    [sym__statement] = STATE(916),
    [sym_empty_statement] = STATE(964),
    [sym__simple_statement] = STATE(964),
    [sym_expression_statement] = STATE(979),
    [sym_send_statement] = STATE(979),
    [sym_inc_statement] = STATE(979),
    [sym_dec_statement] = STATE(979),
    [sym_assignment_statement] = STATE(979),
    [sym_short_var_declaration] = STATE(979),
    [sym_labeled_statement] = STATE(964),
    [sym_empty_labeled_statement] = STATE(1128),
    [sym_fallthrough_statement] = STATE(964),
    [sym_break_statement] = STATE(964),
    [sym_continue_statement] = STATE(964),
    [sym_goto_statement] = STATE(964),
    [sym_return_statement] = STATE(964),
    [sym_go_statement] = STATE(964),
    [sym_defer_statement] = STATE(964),
    [sym_if_statement] = STATE(964),
    [sym_for_statement] = STATE(964),
    [sym_expression_switch_statement] = STATE(964),
    [sym_type_switch_statement] = STATE(964),
    [sym_select_statement] = STATE(964),
    [sym__expression] = STATE(240),
    [sym_parenthesized_expression] = STATE(257),
    [sym_call_expression] = STATE(257),
    [sym_selector_expression] = STATE(257),
    [sym_index_expression] = STATE(257),
    [sym_slice_expression] = STATE(257),
    [sym_type_assertion_expression] = STATE(257),
    [sym_type_conversion_expression] = STATE(257),
    [sym_composite_literal] = STATE(257),
    [sym_func_literal] = STATE(257),
    [sym_unary_expression] = STATE(257),
    [sym_binary_expression] = STATE(257),
    [sym_qualified_type] = STATE(897),
    [sym_interpreted_string_literal] = STATE(257),
    [sym_identifier] = ACTIONS(181),
    [anon_sym_SEMI] = ACTIONS(9),
    [anon_sym_LPAREN] = ACTIONS(15),
    [anon_sym_const] = ACTIONS(17),
    [anon_sym_var] = ACTIONS(19),
    [anon_sym_func] = ACTIONS(183),
    [anon_sym_LBRACK] = ACTIONS(23),
    [anon_sym_type] = ACTIONS(25),
    [anon_sym_STAR] = ACTIONS(27),
    [anon_sym_struct] = ACTIONS(29),
    [anon_sym_TILDE] = ACTIONS(31),
    [anon_sym_LBRACE] = ACTIONS(33),
    [anon_sym_RBRACE] = ACTIONS(185),
    [anon_sym_interface] = ACTIONS(35),
    [anon_sym_map] = ACTIONS(37),
    [anon_sym_chan] = ACTIONS(39),
    [anon_sym_LT_DASH] = ACTIONS(41),
    [anon_sym_fallthrough] = ACTIONS(43),
    [anon_sym_break] = ACTIONS(45),
    [anon_sym_continue] = ACTIONS(47),
    [anon_sym_goto] = ACTIONS(49),
    [anon_sym_return] = ACTIONS(51),
    [anon_sym_go] = ACTIONS(53),
    [anon_sym_defer] = ACTIONS(55),
    [anon_sym_if] = ACTIONS(57),
    [anon_sym_for] = ACTIONS(59),
    [anon_sym_switch] = ACTIONS(61),
    [anon_sym_case] = ACTIONS(187),
    [anon_sym_default] = ACTIONS(187),
    [anon_sym_select] = ACTIONS(63),
    [anon_sym_new] = ACTIONS(65),
    [anon_sym_make] = ACTIONS(65),
    [anon_sym_PLUS] = ACTIONS(67),
    [anon_sym_DASH] = ACTIONS(67),
    [anon_sym_BANG] = ACTIONS(67),
    [anon_sym_CARET] = ACTIONS(67),
    [anon_sym_AMP] = ACTIONS(67),
    [sym_raw_string_literal] = ACTIONS(69),
    [anon_sym_DQUOTE] = ACTIONS(71),
    [sym_int_literal] = ACTIONS(73),
    [sym_float_literal] = ACTIONS(73),
    [sym_imaginary_literal] = ACTIONS(69),
    [sym_rune_literal] = ACTIONS(69),
    [sym_nil] = ACTIONS(73),
    [sym_true] = ACTIONS(73),
    [sym_false] = ACTIONS(73),
    [sym_iota] = ACTIONS(73),
    [sym_comment] = ACTIONS(3),
  },
  [5] = {
    [sym__declaration] = STATE(964),
    [sym_const_declaration] = STATE(964),
    [sym_var_declaration] = STATE(964),
    [sym_type_declaration] = STATE(964),
    [sym_expression_list] = STATE(775),
    [sym_parenthesized_type] = STATE(1278),
    [sym__simple_type] = STATE(1278),
    [sym_generic_type] = STATE(1066),
    [sym_pointer_type] = STATE(830),
    [sym_array_type] = STATE(1066),
    [sym_implicit_length_array_type] = STATE(1293),
    [sym_slice_type] = STATE(1066),
    [sym_struct_type] = STATE(1066),
    [sym_union_type] = STATE(821),
    [sym_negated_type] = STATE(821),
    [sym_interface_type] = STATE(830),
    [sym_map_type] = STATE(1066),
    [sym_channel_type] = STATE(830),
    [sym_function_type] = STATE(830),
    [sym_block] = STATE(964),
    [sym__statement_list] = STATE(1118),
    [sym__statement] = STATE(916),
    [sym_empty_statement] = STATE(964),
    [sym__simple_statement] = STATE(964),
    [sym_expression_statement] = STATE(979),
    [sym_send_statement] = STATE(979),
    [sym_inc_statement] = STATE(979),
    [sym_dec_statement] = STATE(979),
    [sym_assignment_statement] = STATE(979),
    [sym_short_var_declaration] = STATE(979),
    [sym_labeled_statement] = STATE(964),
    [sym_empty_labeled_statement] = STATE(1118),
    [sym_fallthrough_statement] = STATE(964),
    [sym_break_statement] = STATE(964),
    [sym_continue_statement] = STATE(964),
    [sym_goto_statement] = STATE(964),
    [sym_return_statement] = STATE(964),
    [sym_go_statement] = STATE(964),
    [sym_defer_statement] = STATE(964),
    [sym_if_statement] = STATE(964),
    [sym_for_statement] = STATE(964),
    [sym_expression_switch_statement] = STATE(964),
    [sym_type_switch_statement] = STATE(964),
    [sym_select_statement] = STATE(964),
    [sym__expression] = STATE(240),
    [sym_parenthesized_expression] = STATE(257),
    [sym_call_expression] = STATE(257),
    [sym_selector_expression] = STATE(257),
    [sym_index_expression] = STATE(257),
    [sym_slice_expression] = STATE(257),
    [sym_type_assertion_expression] = STATE(257),
    [sym_type_conversion_expression] = STATE(257),
    [sym_composite_literal] = STATE(257),
    [sym_func_literal] = STATE(257),
    [sym_unary_expression] = STATE(257),
    [sym_binary_expression] = STATE(257),
    [sym_qualified_type] = STATE(897),
    [sym_interpreted_string_literal] = STATE(257),
    [sym_identifier] = ACTIONS(181),
    [anon_sym_SEMI] = ACTIONS(9),
    [anon_sym_LPAREN] = ACTIONS(15),
    [anon_sym_const] = ACTIONS(17),
    [anon_sym_var] = ACTIONS(19),
    [anon_sym_func] = ACTIONS(183),
    [anon_sym_LBRACK] = ACTIONS(23),
    [anon_sym_type] = ACTIONS(25),
    [anon_sym_STAR] = ACTIONS(27),
    [anon_sym_struct] = ACTIONS(29),
    [anon_sym_TILDE] = ACTIONS(31),
    [anon_sym_LBRACE] = ACTIONS(33),
    [anon_sym_RBRACE] = ACTIONS(189),
    [anon_sym_interface] = ACTIONS(35),
    [anon_sym_map] = ACTIONS(37),
    [anon_sym_chan] = ACTIONS(39),
    [anon_sym_LT_DASH] = ACTIONS(41),
    [anon_sym_fallthrough] = ACTIONS(43),
    [anon_sym_break] = ACTIONS(45),
    [anon_sym_continue] = ACTIONS(47),
    [anon_sym_goto] = ACTIONS(49),
    [anon_sym_return] = ACTIONS(51),
    [anon_sym_go] = ACTIONS(53),
    [anon_sym_defer] = ACTIONS(55),
    [anon_sym_if] = ACTIONS(57),
    [anon_sym_for] = ACTIONS(59),
    [anon_sym_switch] = ACTIONS(61),
    [anon_sym_case] = ACTIONS(191),
    [anon_sym_default] = ACTIONS(191),
    [anon_sym_select] = ACTIONS(63),
    [anon_sym_new] = ACTIONS(65),
    [anon_sym_make] = ACTIONS(65),
    [anon_sym_PLUS] = ACTIONS(67),
    [anon_sym_DASH] = ACTIONS(67),
    [anon_sym_BANG] = ACTIONS(67),
    [anon_sym_CARET] = ACTIONS(67),
    [anon_sym_AMP] = ACTIONS(67),
    [sym_raw_string_literal] = ACTIONS(69),
    [anon_sym_DQUOTE] = ACTIONS(71),
    [sym_int_literal] = ACTIONS(73),
    [sym_float_literal] = ACTIONS(73),
    [sym_imaginary_literal] = ACTIONS(69),
    [sym_rune_literal] = ACTIONS(69),
    [sym_nil] = ACTIONS(73),
    [sym_true] = ACTIONS(73),
    [sym_false] = ACTIONS(73),
    [sym_iota] = ACTIONS(73),
    [sym_comment] = ACTIONS(3),
  },
  [6] = {
    [sym__declaration] = STATE(964),
    [sym_const_declaration] = STATE(964),
    [sym_var_declaration] = STATE(964),
    [sym_type_declaration] = STATE(964),
    [sym_expression_list] = STATE(775),
    [sym_parenthesized_type] = STATE(1278),
    [sym__simple_type] = STATE(1278),
    [sym_generic_type] = STATE(1066),
    [sym_pointer_type] = STATE(830),
    [sym_array_type] = STATE(1066),
    [sym_implicit_length_array_type] = STATE(1293),
    [sym_slice_type] = STATE(1066),
    [sym_struct_type] = STATE(1066),
    [sym_union_type] = STATE(821),
    [sym_negated_type] = STATE(821),
    [sym_interface_type] = STATE(830),
    [sym_map_type] = STATE(1066),
    [sym_channel_type] = STATE(830),
    [sym_function_type] = STATE(830),
    [sym_block] = STATE(964),
    [sym__statement_list] = STATE(1163),
    [sym__statement] = STATE(916),
    [sym_empty_statement] = STATE(964),
    [sym__simple_statement] = STATE(964),
    [sym_expression_statement] = STATE(979),
    [sym_send_statement] = STATE(979),
    [sym_inc_statement] = STATE(979),
    [sym_dec_statement] = STATE(979),
    [sym_assignment_statement] = STATE(979),
    [sym_short_var_declaration] = STATE(979),
    [sym_labeled_statement] = STATE(964),
    [sym_empty_labeled_statement] = STATE(1163),
    [sym_fallthrough_statement] = STATE(964),
    [sym_break_statement] = STATE(964),
    [sym_continue_statement] = STATE(964),
    [sym_goto_statement] = STATE(964),
    [sym_return_statement] = STATE(964),
    [sym_go_statement] = STATE(964),
    [sym_defer_statement] = STATE(964),
    [sym_if_statement] = STATE(964),
    [sym_for_statement] = STATE(964),
    [sym_expression_switch_statement] = STATE(964),
    [sym_type_switch_statement] = STATE(964),
    [sym_select_statement] = STATE(964),
    [sym__expression] = STATE(240),
    [sym_parenthesized_expression] = STATE(257),
    [sym_call_expression] = STATE(257),
    [sym_selector_expression] = STATE(257),
    [sym_index_expression] = STATE(257),
    [sym_slice_expression] = STATE(257),
    [sym_type_assertion_expression] = STATE(257),
    [sym_type_conversion_expression] = STATE(257),
    [sym_composite_literal] = STATE(257),
    [sym_func_literal] = STATE(257),
    [sym_unary_expression] = STATE(257),
    [sym_binary_expression] = STATE(257),
    [sym_qualified_type] = STATE(897),
    [sym_interpreted_string_literal] = STATE(257),
    [sym_identifier] = ACTIONS(181),
    [anon_sym_SEMI] = ACTIONS(9),
    [anon_sym_LPAREN] = ACTIONS(15),
    [anon_sym_const] = ACTIONS(17),
    [anon_sym_var] = ACTIONS(19),
    [anon_sym_func] = ACTIONS(183),
    [anon_sym_LBRACK] = ACTIONS(23),
    [anon_sym_type] = ACTIONS(25),
    [anon_sym_STAR] = ACTIONS(27),
    [anon_sym_struct] = ACTIONS(29),
    [anon_sym_TILDE] = ACTIONS(31),
    [anon_sym_LBRACE] = ACTIONS(33),
    [anon_sym_RBRACE] = ACTIONS(193),
    [anon_sym_interface] = ACTIONS(35),
    [anon_sym_map] = ACTIONS(37),
    [anon_sym_chan] = ACTIONS(39),
    [anon_sym_LT_DASH] = ACTIONS(41),
    [anon_sym_fallthrough] = ACTIONS(43),
    [anon_sym_break] = ACTIONS(45),
    [anon_sym_continue] = ACTIONS(47),
    [anon_sym_goto] = ACTIONS(49),
    [anon_sym_return] = ACTIONS(51),
    [anon_sym_go] = ACTIONS(53),
    [anon_sym_defer] = ACTIONS(55),
    [anon_sym_if] = ACTIONS(57),
    [anon_sym_for] = ACTIONS(59),
    [anon_sym_switch] = ACTIONS(61),
    [anon_sym_case] = ACTIONS(195),
    [anon_sym_default] = ACTIONS(195),
    [anon_sym_select] = ACTIONS(63),
    [anon_sym_new] = ACTIONS(65),
    [anon_sym_make] = ACTIONS(65),
    [anon_sym_PLUS] = ACTIONS(67),
    [anon_sym_DASH] = ACTIONS(67),
    [anon_sym_BANG] = ACTIONS(67),
    [anon_sym_CARET] = ACTIONS(67),
    [anon_sym_AMP] = ACTIONS(67),
    [sym_raw_string_literal] = ACTIONS(69),
    [anon_sym_DQUOTE] = ACTIONS(71),
    [sym_int_literal] = ACTIONS(73),
    [sym_float_literal] = ACTIONS(73),
    [sym_imaginary_literal] = ACTIONS(69),
    [sym_rune_literal] = ACTIONS(69),
    [sym_nil] = ACTIONS(73),
    [sym_true] = ACTIONS(73),
    [sym_false] = ACTIONS(73),
    [sym_iota] = ACTIONS(73),
    [sym_comment] = ACTIONS(3),
  },
  [7] = {
    [sym__declaration] = STATE(964),
    [sym_const_declaration] = STATE(964),
    [sym_var_declaration] = STATE(964),
    [sym_type_declaration] = STATE(964),
    [sym_expression_list] = STATE(775),
    [sym_parenthesized_type] = STATE(1278),
    [sym__simple_type] = STATE(1278),
    [sym_generic_type] = STATE(1066),
    [sym_pointer_type] = STATE(830),
    [sym_array_type] = STATE(1066),
    [sym_implicit_length_array_type] = STATE(1293),
    [sym_slice_type] = STATE(1066),
    [sym_struct_type] = STATE(1066),
    [sym_union_type] = STATE(821),
    [sym_negated_type] = STATE(821),
    [sym_interface_type] = STATE(830),
    [sym_map_type] = STATE(1066),
    [sym_channel_type] = STATE(830),
    [sym_function_type] = STATE(830),
    [sym_block] = STATE(964),
    [sym__statement_list] = STATE(1111),
    [sym__statement] = STATE(916),
    [sym_empty_statement] = STATE(964),
    [sym__simple_statement] = STATE(964),
    [sym_expression_statement] = STATE(979),
    [sym_send_statement] = STATE(979),
    [sym_inc_statement] = STATE(979),
    [sym_dec_statement] = STATE(979),
    [sym_assignment_statement] = STATE(979),
    [sym_short_var_declaration] = STATE(979),
    [sym_labeled_statement] = STATE(964),
    [sym_empty_labeled_statement] = STATE(1111),
    [sym_fallthrough_statement] = STATE(964),
    [sym_break_statement] = STATE(964),
    [sym_continue_statement] = STATE(964),
    [sym_goto_statement] = STATE(964),
    [sym_return_statement] = STATE(964),
    [sym_go_statement] = STATE(964),
    [sym_defer_statement] = STATE(964),
    [sym_if_statement] = STATE(964),
    [sym_for_statement] = STATE(964),
    [sym_expression_switch_statement] = STATE(964),
    [sym_type_switch_statement] = STATE(964),
    [sym_select_statement] = STATE(964),
    [sym__expression] = STATE(240),
    [sym_parenthesized_expression] = STATE(257),
    [sym_call_expression] = STATE(257),
    [sym_selector_expression] = STATE(257),
    [sym_index_expression] = STATE(257),
    [sym_slice_expression] = STATE(257),
    [sym_type_assertion_expression] = STATE(257),
    [sym_type_conversion_expression] = STATE(257),
    [sym_composite_literal] = STATE(257),
    [sym_func_literal] = STATE(257),
    [sym_unary_expression] = STATE(257),
    [sym_binary_expression] = STATE(257),
    [sym_qualified_type] = STATE(897),
    [sym_interpreted_string_literal] = STATE(257),
    [sym_identifier] = ACTIONS(181),
    [anon_sym_SEMI] = ACTIONS(9),
    [anon_sym_LPAREN] = ACTIONS(15),
    [anon_sym_const] = ACTIONS(17),
    [anon_sym_var] = ACTIONS(19),
    [anon_sym_func] = ACTIONS(183),
    [anon_sym_LBRACK] = ACTIONS(23),
    [anon_sym_type] = ACTIONS(25),
    [anon_sym_STAR] = ACTIONS(27),
    [anon_sym_struct] = ACTIONS(29),
    [anon_sym_TILDE] = ACTIONS(31),
    [anon_sym_LBRACE] = ACTIONS(33),
    [anon_sym_RBRACE] = ACTIONS(197),
    [anon_sym_interface] = ACTIONS(35),
    [anon_sym_map] = ACTIONS(37),
    [anon_sym_chan] = ACTIONS(39),
    [anon_sym_LT_DASH] = ACTIONS(41),
    [anon_sym_fallthrough] = ACTIONS(43),
    [anon_sym_break] = ACTIONS(45),
    [anon_sym_continue] = ACTIONS(47),
    [anon_sym_goto] = ACTIONS(49),
    [anon_sym_return] = ACTIONS(51),
    [anon_sym_go] = ACTIONS(53),
    [anon_sym_defer] = ACTIONS(55),
    [anon_sym_if] = ACTIONS(57),
    [anon_sym_for] = ACTIONS(59),
    [anon_sym_switch] = ACTIONS(61),
    [anon_sym_case] = ACTIONS(199),
    [anon_sym_default] = ACTIONS(199),
    [anon_sym_select] = ACTIONS(63),
    [anon_sym_new] = ACTIONS(65),
    [anon_sym_make] = ACTIONS(65),
    [anon_sym_PLUS] = ACTIONS(67),
    [anon_sym_DASH] = ACTIONS(67),
    [anon_sym_BANG] = ACTIONS(67),
    [anon_sym_CARET] = ACTIONS(67),
    [anon_sym_AMP] = ACTIONS(67),
    [sym_raw_string_literal] = ACTIONS(69),
    [anon_sym_DQUOTE] = ACTIONS(71),
    [sym_int_literal] = ACTIONS(73),
    [sym_float_literal] = ACTIONS(73),
    [sym_imaginary_literal] = ACTIONS(69),
    [sym_rune_literal] = ACTIONS(69),
    [sym_nil] = ACTIONS(73),
    [sym_true] = ACTIONS(73),
    [sym_false] = ACTIONS(73),
    [sym_iota] = ACTIONS(73),
    [sym_comment] = ACTIONS(3),
  },
  [8] = {
    [sym__declaration] = STATE(964),
    [sym_const_declaration] = STATE(964),
    [sym_var_declaration] = STATE(964),
    [sym_type_declaration] = STATE(964),
    [sym_expression_list] = STATE(775),
    [sym_parenthesized_type] = STATE(1278),
    [sym__simple_type] = STATE(1278),
    [sym_generic_type] = STATE(1066),
    [sym_pointer_type] = STATE(830),
    [sym_array_type] = STATE(1066),
    [sym_implicit_length_array_type] = STATE(1293),
    [sym_slice_type] = STATE(1066),
    [sym_struct_type] = STATE(1066),
    [sym_union_type] = STATE(821),
    [sym_negated_type] = STATE(821),
    [sym_interface_type] = STATE(830),
    [sym_map_type] = STATE(1066),
    [sym_channel_type] = STATE(830),
    [sym_function_type] = STATE(830),
    [sym_block] = STATE(964),
    [sym__statement_list] = STATE(1114),
    [sym__statement] = STATE(916),
    [sym_empty_statement] = STATE(964),
    [sym__simple_statement] = STATE(964),
    [sym_expression_statement] = STATE(979),
    [sym_send_statement] = STATE(979),
    [sym_inc_statement] = STATE(979),
    [sym_dec_statement] = STATE(979),
    [sym_assignment_statement] = STATE(979),
    [sym_short_var_declaration] = STATE(979),
    [sym_labeled_statement] = STATE(964),
    [sym_empty_labeled_statement] = STATE(1114),
    [sym_fallthrough_statement] = STATE(964),
    [sym_break_statement] = STATE(964),
    [sym_continue_statement] = STATE(964),
    [sym_goto_statement] = STATE(964),
    [sym_return_statement] = STATE(964),
    [sym_go_statement] = STATE(964),
    [sym_defer_statement] = STATE(964),
    [sym_if_statement] = STATE(964),
    [sym_for_statement] = STATE(964),
    [sym_expression_switch_statement] = STATE(964),
    [sym_type_switch_statement] = STATE(964),
    [sym_select_statement] = STATE(964),
    [sym__expression] = STATE(240),
    [sym_parenthesized_expression] = STATE(257),
    [sym_call_expression] = STATE(257),
    [sym_selector_expression] = STATE(257),
    [sym_index_expression] = STATE(257),
    [sym_slice_expression] = STATE(257),
    [sym_type_assertion_expression] = STATE(257),
    [sym_type_conversion_expression] = STATE(257),
    [sym_composite_literal] = STATE(257),
    [sym_func_literal] = STATE(257),
    [sym_unary_expression] = STATE(257),
    [sym_binary_expression] = STATE(257),
    [sym_qualified_type] = STATE(897),
    [sym_interpreted_string_literal] = STATE(257),
    [sym_identifier] = ACTIONS(181),
    [anon_sym_SEMI] = ACTIONS(9),
    [anon_sym_LPAREN] = ACTIONS(15),
    [anon_sym_const] = ACTIONS(17),
    [anon_sym_var] = ACTIONS(19),
    [anon_sym_func] = ACTIONS(183),
    [anon_sym_LBRACK] = ACTIONS(23),
    [anon_sym_type] = ACTIONS(25),
    [anon_sym_STAR] = ACTIONS(27),
    [anon_sym_struct] = ACTIONS(29),
    [anon_sym_TILDE] = ACTIONS(31),
    [anon_sym_LBRACE] = ACTIONS(33),
    [anon_sym_RBRACE] = ACTIONS(201),
    [anon_sym_interface] = ACTIONS(35),
    [anon_sym_map] = ACTIONS(37),
    [anon_sym_chan] = ACTIONS(39),
    [anon_sym_LT_DASH] = ACTIONS(41),
    [anon_sym_fallthrough] = ACTIONS(43),
    [anon_sym_break] = ACTIONS(45),
    [anon_sym_continue] = ACTIONS(47),
    [anon_sym_goto] = ACTIONS(49),
    [anon_sym_return] = ACTIONS(51),
    [anon_sym_go] = ACTIONS(53),
    [anon_sym_defer] = ACTIONS(55),
    [anon_sym_if] = ACTIONS(57),
    [anon_sym_for] = ACTIONS(59),
    [anon_sym_switch] = ACTIONS(61),
    [anon_sym_case] = ACTIONS(203),
    [anon_sym_default] = ACTIONS(203),
    [anon_sym_select] = ACTIONS(63),
    [anon_sym_new] = ACTIONS(65),
    [anon_sym_make] = ACTIONS(65),
    [anon_sym_PLUS] = ACTIONS(67),
    [anon_sym_DASH] = ACTIONS(67),
    [anon_sym_BANG] = ACTIONS(67),
    [anon_sym_CARET] = ACTIONS(67),
    [anon_sym_AMP] = ACTIONS(67),
    [sym_raw_string_literal] = ACTIONS(69),
    [anon_sym_DQUOTE] = ACTIONS(71),
    [sym_int_literal] = ACTIONS(73),
    [sym_float_literal] = ACTIONS(73),
    [sym_imaginary_literal] = ACTIONS(69),
    [sym_rune_literal] = ACTIONS(69),
    [sym_nil] = ACTIONS(73),
    [sym_true] = ACTIONS(73),
    [sym_false] = ACTIONS(73),
    [sym_iota] = ACTIONS(73),
    [sym_comment] = ACTIONS(3),
  },
  [9] = {
    [sym__declaration] = STATE(964),
    [sym_const_declaration] = STATE(964),
    [sym_var_declaration] = STATE(964),
    [sym_type_declaration] = STATE(964),
    [sym_expression_list] = STATE(775),
    [sym_parenthesized_type] = STATE(1278),
    [sym__simple_type] = STATE(1278),
    [sym_generic_type] = STATE(1066),
    [sym_pointer_type] = STATE(830),
    [sym_array_type] = STATE(1066),
    [sym_implicit_length_array_type] = STATE(1293),
    [sym_slice_type] = STATE(1066),
    [sym_struct_type] = STATE(1066),
    [sym_union_type] = STATE(821),
    [sym_negated_type] = STATE(821),
    [sym_interface_type] = STATE(830),
    [sym_map_type] = STATE(1066),
    [sym_channel_type] = STATE(830),
    [sym_function_type] = STATE(830),
    [sym_block] = STATE(964),
    [sym__statement] = STATE(983),
    [sym_empty_statement] = STATE(964),
    [sym__simple_statement] = STATE(964),
    [sym_expression_statement] = STATE(979),
    [sym_send_statement] = STATE(979),
    [sym_inc_statement] = STATE(979),
    [sym_dec_statement] = STATE(979),
    [sym_assignment_statement] = STATE(979),
    [sym_short_var_declaration] = STATE(979),
    [sym_labeled_statement] = STATE(964),
    [sym_empty_labeled_statement] = STATE(1205),
    [sym_fallthrough_statement] = STATE(964),
    [sym_break_statement] = STATE(964),
    [sym_continue_statement] = STATE(964),
    [sym_goto_statement] = STATE(964),
    [sym_return_statement] = STATE(964),
    [sym_go_statement] = STATE(964),
    [sym_defer_statement] = STATE(964),
    [sym_if_statement] = STATE(964),
    [sym_for_statement] = STATE(964),
    [sym_expression_switch_statement] = STATE(964),
    [sym_type_switch_statement] = STATE(964),
    [sym_select_statement] = STATE(964),
    [sym__expression] = STATE(240),
    [sym_parenthesized_expression] = STATE(257),
    [sym_call_expression] = STATE(257),
    [sym_selector_expression] = STATE(257),
    [sym_index_expression] = STATE(257),
    [sym_slice_expression] = STATE(257),
    [sym_type_assertion_expression] = STATE(257),
    [sym_type_conversion_expression] = STATE(257),
    [sym_composite_literal] = STATE(257),
    [sym_func_literal] = STATE(257),
    [sym_unary_expression] = STATE(257),
    [sym_binary_expression] = STATE(257),
    [sym_qualified_type] = STATE(897),
    [sym_interpreted_string_literal] = STATE(257),
    [sym_identifier] = ACTIONS(181),
    [anon_sym_SEMI] = ACTIONS(9),
    [anon_sym_LPAREN] = ACTIONS(15),
    [anon_sym_const] = ACTIONS(17),
    [anon_sym_var] = ACTIONS(19),
    [anon_sym_func] = ACTIONS(183),
    [anon_sym_LBRACK] = ACTIONS(23),
    [anon_sym_type] = ACTIONS(25),
    [anon_sym_STAR] = ACTIONS(27),
    [anon_sym_struct] = ACTIONS(29),
    [anon_sym_TILDE] = ACTIONS(31),
    [anon_sym_LBRACE] = ACTIONS(33),
    [anon_sym_RBRACE] = ACTIONS(205),
    [anon_sym_interface] = ACTIONS(35),
    [anon_sym_map] = ACTIONS(37),
    [anon_sym_chan] = ACTIONS(39),
    [anon_sym_LT_DASH] = ACTIONS(41),
    [anon_sym_fallthrough] = ACTIONS(43),
    [anon_sym_break] = ACTIONS(45),
    [anon_sym_continue] = ACTIONS(47),
    [anon_sym_goto] = ACTIONS(49),
    [anon_sym_return] = ACTIONS(51),
    [anon_sym_go] = ACTIONS(53),
    [anon_sym_defer] = ACTIONS(55),
    [anon_sym_if] = ACTIONS(57),
    [anon_sym_for] = ACTIONS(59),
    [anon_sym_switch] = ACTIONS(61),
    [anon_sym_case] = ACTIONS(207),
    [anon_sym_default] = ACTIONS(207),
    [anon_sym_select] = ACTIONS(63),
    [anon_sym_new] = ACTIONS(65),
    [anon_sym_make] = ACTIONS(65),
    [anon_sym_PLUS] = ACTIONS(67),
    [anon_sym_DASH] = ACTIONS(67),
    [anon_sym_BANG] = ACTIONS(67),
    [anon_sym_CARET] = ACTIONS(67),
    [anon_sym_AMP] = ACTIONS(67),
    [sym_raw_string_literal] = ACTIONS(69),
    [anon_sym_DQUOTE] = ACTIONS(71),
    [sym_int_literal] = ACTIONS(73),
    [sym_float_literal] = ACTIONS(73),
    [sym_imaginary_literal] = ACTIONS(69),
    [sym_rune_literal] = ACTIONS(69),
    [sym_nil] = ACTIONS(73),
    [sym_true] = ACTIONS(73),
    [sym_false] = ACTIONS(73),
    [sym_iota] = ACTIONS(73),
    [sym_comment] = ACTIONS(3),
  },
  [10] = {
    [sym__declaration] = STATE(964),
    [sym_const_declaration] = STATE(964),
    [sym_var_declaration] = STATE(964),
    [sym_type_declaration] = STATE(964),
    [sym_expression_list] = STATE(775),
    [sym_parenthesized_type] = STATE(1278),
    [sym__simple_type] = STATE(1278),
    [sym_generic_type] = STATE(1066),
    [sym_pointer_type] = STATE(830),
    [sym_array_type] = STATE(1066),
    [sym_implicit_length_array_type] = STATE(1293),
    [sym_slice_type] = STATE(1066),
    [sym_struct_type] = STATE(1066),
    [sym_union_type] = STATE(821),
    [sym_negated_type] = STATE(821),
    [sym_interface_type] = STATE(830),
    [sym_map_type] = STATE(1066),
    [sym_channel_type] = STATE(830),
    [sym_function_type] = STATE(830),
    [sym_block] = STATE(964),
    [sym__statement] = STATE(983),
    [sym_empty_statement] = STATE(964),
    [sym__simple_statement] = STATE(964),
    [sym_expression_statement] = STATE(979),
    [sym_send_statement] = STATE(979),
    [sym_inc_statement] = STATE(979),
    [sym_dec_statement] = STATE(979),
    [sym_assignment_statement] = STATE(979),
    [sym_short_var_declaration] = STATE(979),
    [sym_labeled_statement] = STATE(964),
    [sym_empty_labeled_statement] = STATE(1166),
    [sym_fallthrough_statement] = STATE(964),
    [sym_break_statement] = STATE(964),
    [sym_continue_statement] = STATE(964),
    [sym_goto_statement] = STATE(964),
    [sym_return_statement] = STATE(964),
    [sym_go_statement] = STATE(964),
    [sym_defer_statement] = STATE(964),
    [sym_if_statement] = STATE(964),
    [sym_for_statement] = STATE(964),
    [sym_expression_switch_statement] = STATE(964),
    [sym_type_switch_statement] = STATE(964),
    [sym_select_statement] = STATE(964),
    [sym__expression] = STATE(240),
    [sym_parenthesized_expression] = STATE(257),
    [sym_call_expression] = STATE(257),
    [sym_selector_expression] = STATE(257),
    [sym_index_expression] = STATE(257),
    [sym_slice_expression] = STATE(257),
    [sym_type_assertion_expression] = STATE(257),
    [sym_type_conversion_expression] = STATE(257),
    [sym_composite_literal] = STATE(257),
    [sym_func_literal] = STATE(257),
    [sym_unary_expression] = STATE(257),
    [sym_binary_expression] = STATE(257),
    [sym_qualified_type] = STATE(897),
    [sym_interpreted_string_literal] = STATE(257),
    [sym_identifier] = ACTIONS(181),
    [anon_sym_SEMI] = ACTIONS(9),
    [anon_sym_LPAREN] = ACTIONS(15),
    [anon_sym_const] = ACTIONS(17),
    [anon_sym_var] = ACTIONS(19),
    [anon_sym_func] = ACTIONS(183),
    [anon_sym_LBRACK] = ACTIONS(23),
    [anon_sym_type] = ACTIONS(25),
    [anon_sym_STAR] = ACTIONS(27),
    [anon_sym_struct] = ACTIONS(29),
    [anon_sym_TILDE] = ACTIONS(31),
    [anon_sym_LBRACE] = ACTIONS(33),
    [anon_sym_RBRACE] = ACTIONS(209),
    [anon_sym_interface] = ACTIONS(35),
    [anon_sym_map] = ACTIONS(37),
    [anon_sym_chan] = ACTIONS(39),
    [anon_sym_LT_DASH] = ACTIONS(41),
    [anon_sym_fallthrough] = ACTIONS(43),
    [anon_sym_break] = ACTIONS(45),
    [anon_sym_continue] = ACTIONS(47),
    [anon_sym_goto] = ACTIONS(49),
    [anon_sym_return] = ACTIONS(51),
    [anon_sym_go] = ACTIONS(53),
    [anon_sym_defer] = ACTIONS(55),
    [anon_sym_if] = ACTIONS(57),
    [anon_sym_for] = ACTIONS(59),
    [anon_sym_switch] = ACTIONS(61),
    [anon_sym_case] = ACTIONS(211),
    [anon_sym_default] = ACTIONS(211),
    [anon_sym_select] = ACTIONS(63),
    [anon_sym_new] = ACTIONS(65),
    [anon_sym_make] = ACTIONS(65),
    [anon_sym_PLUS] = ACTIONS(67),
    [anon_sym_DASH] = ACTIONS(67),
    [anon_sym_BANG] = ACTIONS(67),
    [anon_sym_CARET] = ACTIONS(67),
    [anon_sym_AMP] = ACTIONS(67),
    [sym_raw_string_literal] = ACTIONS(69),
    [anon_sym_DQUOTE] = ACTIONS(71),
    [sym_int_literal] = ACTIONS(73),
    [sym_float_literal] = ACTIONS(73),
    [sym_imaginary_literal] = ACTIONS(69),
    [sym_rune_literal] = ACTIONS(69),
    [sym_nil] = ACTIONS(73),
    [sym_true] = ACTIONS(73),
    [sym_false] = ACTIONS(73),
    [sym_iota] = ACTIONS(73),
    [sym_comment] = ACTIONS(3),
  },
  [11] = {
    [sym__declaration] = STATE(964),
    [sym_const_declaration] = STATE(964),
    [sym_var_declaration] = STATE(964),
    [sym_type_declaration] = STATE(964),
    [sym_expression_list] = STATE(775),
    [sym_parenthesized_type] = STATE(1278),
    [sym__simple_type] = STATE(1278),
    [sym_generic_type] = STATE(1066),
    [sym_pointer_type] = STATE(830),
    [sym_array_type] = STATE(1066),
    [sym_implicit_length_array_type] = STATE(1293),
    [sym_slice_type] = STATE(1066),
    [sym_struct_type] = STATE(1066),
    [sym_union_type] = STATE(821),
    [sym_negated_type] = STATE(821),
    [sym_interface_type] = STATE(830),
    [sym_map_type] = STATE(1066),
    [sym_channel_type] = STATE(830),
    [sym_function_type] = STATE(830),
    [sym_block] = STATE(964),
    [sym__statement] = STATE(959),
    [sym_empty_statement] = STATE(964),
    [sym__simple_statement] = STATE(964),
    [sym_expression_statement] = STATE(979),
    [sym_send_statement] = STATE(979),
    [sym_inc_statement] = STATE(979),
    [sym_dec_statement] = STATE(979),
    [sym_assignment_statement] = STATE(979),
    [sym_short_var_declaration] = STATE(979),
    [sym_labeled_statement] = STATE(964),
    [sym_fallthrough_statement] = STATE(964),
    [sym_break_statement] = STATE(964),
    [sym_continue_statement] = STATE(964),
    [sym_goto_statement] = STATE(964),
    [sym_return_statement] = STATE(964),
    [sym_go_statement] = STATE(964),
    [sym_defer_statement] = STATE(964),
    [sym_if_statement] = STATE(964),
    [sym_for_statement] = STATE(964),
    [sym_expression_switch_statement] = STATE(964),
    [sym_type_switch_statement] = STATE(964),
    [sym_select_statement] = STATE(964),
    [sym__expression] = STATE(240),
    [sym_parenthesized_expression] = STATE(257),
    [sym_call_expression] = STATE(257),
    [sym_selector_expression] = STATE(257),
    [sym_index_expression] = STATE(257),
    [sym_slice_expression] = STATE(257),
    [sym_type_assertion_expression] = STATE(257),
    [sym_type_conversion_expression] = STATE(257),
    [sym_composite_literal] = STATE(257),
    [sym_func_literal] = STATE(257),
    [sym_unary_expression] = STATE(257),
    [sym_binary_expression] = STATE(257),
    [sym_qualified_type] = STATE(897),
    [sym_interpreted_string_literal] = STATE(257),
    [sym_identifier] = ACTIONS(7),
    [anon_sym_SEMI] = ACTIONS(9),
    [anon_sym_LPAREN] = ACTIONS(15),
    [anon_sym_const] = ACTIONS(17),
    [anon_sym_var] = ACTIONS(19),
    [anon_sym_func] = ACTIONS(183),
    [anon_sym_LBRACK] = ACTIONS(23),
    [anon_sym_type] = ACTIONS(25),
    [anon_sym_STAR] = ACTIONS(27),
    [anon_sym_struct] = ACTIONS(29),
    [anon_sym_TILDE] = ACTIONS(31),
    [anon_sym_LBRACE] = ACTIONS(33),
    [anon_sym_RBRACE] = ACTIONS(213),
    [anon_sym_interface] = ACTIONS(35),
    [anon_sym_map] = ACTIONS(37),
    [anon_sym_chan] = ACTIONS(39),
    [anon_sym_LT_DASH] = ACTIONS(41),
    [anon_sym_fallthrough] = ACTIONS(43),
    [anon_sym_break] = ACTIONS(45),
    [anon_sym_continue] = ACTIONS(47),
    [anon_sym_goto] = ACTIONS(49),
    [anon_sym_return] = ACTIONS(51),
    [anon_sym_go] = ACTIONS(53),
    [anon_sym_defer] = ACTIONS(55),
    [anon_sym_if] = ACTIONS(57),
    [anon_sym_for] = ACTIONS(59),
    [anon_sym_switch] = ACTIONS(61),
    [anon_sym_case] = ACTIONS(215),
    [anon_sym_default] = ACTIONS(215),
    [anon_sym_select] = ACTIONS(63),
    [anon_sym_new] = ACTIONS(65),
    [anon_sym_make] = ACTIONS(65),
    [anon_sym_PLUS] = ACTIONS(67),
    [anon_sym_DASH] = ACTIONS(67),
    [anon_sym_BANG] = ACTIONS(67),
    [anon_sym_CARET] = ACTIONS(67),
    [anon_sym_AMP] = ACTIONS(67),
    [sym_raw_string_literal] = ACTIONS(69),
    [anon_sym_DQUOTE] = ACTIONS(71),
    [sym_int_literal] = ACTIONS(73),
    [sym_float_literal] = ACTIONS(73),
    [sym_imaginary_literal] = ACTIONS(69),
    [sym_rune_literal] = ACTIONS(69),
    [sym_nil] = ACTIONS(73),
    [sym_true] = ACTIONS(73),
    [sym_false] = ACTIONS(73),
    [sym_iota] = ACTIONS(73),
    [sym_comment] = ACTIONS(3),
  },
  [12] = {
    [sym__declaration] = STATE(964),
    [sym_const_declaration] = STATE(964),
    [sym_var_declaration] = STATE(964),
    [sym_type_declaration] = STATE(964),
    [sym_expression_list] = STATE(775),
    [sym_parenthesized_type] = STATE(1278),
    [sym__simple_type] = STATE(1278),
    [sym_generic_type] = STATE(1066),
    [sym_pointer_type] = STATE(830),
    [sym_array_type] = STATE(1066),
    [sym_implicit_length_array_type] = STATE(1293),
    [sym_slice_type] = STATE(1066),
    [sym_struct_type] = STATE(1066),
    [sym_union_type] = STATE(821),
    [sym_negated_type] = STATE(821),
    [sym_interface_type] = STATE(830),
    [sym_map_type] = STATE(1066),
    [sym_channel_type] = STATE(830),
    [sym_function_type] = STATE(830),
    [sym_block] = STATE(964),
    [sym__statement_list] = STATE(1330),
    [sym__statement] = STATE(916),
    [sym_empty_statement] = STATE(964),
    [sym__simple_statement] = STATE(964),
    [sym_expression_statement] = STATE(979),
    [sym_send_statement] = STATE(979),
    [sym_inc_statement] = STATE(979),
    [sym_dec_statement] = STATE(979),
    [sym_assignment_statement] = STATE(979),
    [sym_short_var_declaration] = STATE(979),
    [sym_labeled_statement] = STATE(964),
    [sym_empty_labeled_statement] = STATE(1330),
    [sym_fallthrough_statement] = STATE(964),
    [sym_break_statement] = STATE(964),
    [sym_continue_statement] = STATE(964),
    [sym_goto_statement] = STATE(964),
    [sym_return_statement] = STATE(964),
    [sym_go_statement] = STATE(964),
    [sym_defer_statement] = STATE(964),
    [sym_if_statement] = STATE(964),
    [sym_for_statement] = STATE(964),
    [sym_expression_switch_statement] = STATE(964),
    [sym_type_switch_statement] = STATE(964),
    [sym_select_statement] = STATE(964),
    [sym__expression] = STATE(240),
    [sym_parenthesized_expression] = STATE(257),
    [sym_call_expression] = STATE(257),
    [sym_selector_expression] = STATE(257),
    [sym_index_expression] = STATE(257),
    [sym_slice_expression] = STATE(257),
    [sym_type_assertion_expression] = STATE(257),
    [sym_type_conversion_expression] = STATE(257),
    [sym_composite_literal] = STATE(257),
    [sym_func_literal] = STATE(257),
    [sym_unary_expression] = STATE(257),
    [sym_binary_expression] = STATE(257),
    [sym_qualified_type] = STATE(897),
    [sym_interpreted_string_literal] = STATE(257),
    [sym_identifier] = ACTIONS(181),
    [anon_sym_SEMI] = ACTIONS(9),
    [anon_sym_LPAREN] = ACTIONS(15),
    [anon_sym_const] = ACTIONS(17),
    [anon_sym_var] = ACTIONS(19),
    [anon_sym_func] = ACTIONS(183),
    [anon_sym_LBRACK] = ACTIONS(23),
    [anon_sym_type] = ACTIONS(25),
    [anon_sym_STAR] = ACTIONS(27),
    [anon_sym_struct] = ACTIONS(29),
    [anon_sym_TILDE] = ACTIONS(31),
    [anon_sym_LBRACE] = ACTIONS(33),
    [anon_sym_RBRACE] = ACTIONS(217),
    [anon_sym_interface] = ACTIONS(35),
    [anon_sym_map] = ACTIONS(37),
    [anon_sym_chan] = ACTIONS(39),
    [anon_sym_LT_DASH] = ACTIONS(41),
    [anon_sym_fallthrough] = ACTIONS(43),
    [anon_sym_break] = ACTIONS(45),
    [anon_sym_continue] = ACTIONS(47),
    [anon_sym_goto] = ACTIONS(49),
    [anon_sym_return] = ACTIONS(51),
    [anon_sym_go] = ACTIONS(53),
    [anon_sym_defer] = ACTIONS(55),
    [anon_sym_if] = ACTIONS(57),
    [anon_sym_for] = ACTIONS(59),
    [anon_sym_switch] = ACTIONS(61),
    [anon_sym_select] = ACTIONS(63),
    [anon_sym_new] = ACTIONS(65),
    [anon_sym_make] = ACTIONS(65),
    [anon_sym_PLUS] = ACTIONS(67),
    [anon_sym_DASH] = ACTIONS(67),
    [anon_sym_BANG] = ACTIONS(67),
    [anon_sym_CARET] = ACTIONS(67),
    [anon_sym_AMP] = ACTIONS(67),
    [sym_raw_string_literal] = ACTIONS(69),
    [anon_sym_DQUOTE] = ACTIONS(71),
    [sym_int_literal] = ACTIONS(73),
    [sym_float_literal] = ACTIONS(73),
    [sym_imaginary_literal] = ACTIONS(69),
    [sym_rune_literal] = ACTIONS(69),
    [sym_nil] = ACTIONS(73),
    [sym_true] = ACTIONS(73),
    [sym_false] = ACTIONS(73),
    [sym_iota] = ACTIONS(73),
    [sym_comment] = ACTIONS(3),
  },
  [13] = {
    [sym__declaration] = STATE(964),
    [sym_const_declaration] = STATE(964),
    [sym_var_declaration] = STATE(964),
    [sym_type_declaration] = STATE(964),
    [sym_expression_list] = STATE(775),
    [sym_parenthesized_type] = STATE(1278),
    [sym__simple_type] = STATE(1278),
    [sym_generic_type] = STATE(1066),
    [sym_pointer_type] = STATE(830),
    [sym_array_type] = STATE(1066),
    [sym_implicit_length_array_type] = STATE(1293),
    [sym_slice_type] = STATE(1066),
    [sym_struct_type] = STATE(1066),
    [sym_union_type] = STATE(821),
    [sym_negated_type] = STATE(821),
    [sym_interface_type] = STATE(830),
    [sym_map_type] = STATE(1066),
    [sym_channel_type] = STATE(830),
    [sym_function_type] = STATE(830),
    [sym_block] = STATE(964),
    [sym__statement_list] = STATE(1371),
    [sym__statement] = STATE(916),
    [sym_empty_statement] = STATE(964),
    [sym__simple_statement] = STATE(964),
    [sym_expression_statement] = STATE(979),
    [sym_send_statement] = STATE(979),
    [sym_inc_statement] = STATE(979),
    [sym_dec_statement] = STATE(979),
    [sym_assignment_statement] = STATE(979),
    [sym_short_var_declaration] = STATE(979),
    [sym_labeled_statement] = STATE(964),
    [sym_empty_labeled_statement] = STATE(1371),
    [sym_fallthrough_statement] = STATE(964),
    [sym_break_statement] = STATE(964),
    [sym_continue_statement] = STATE(964),
    [sym_goto_statement] = STATE(964),
    [sym_return_statement] = STATE(964),
    [sym_go_statement] = STATE(964),
    [sym_defer_statement] = STATE(964),
    [sym_if_statement] = STATE(964),
    [sym_for_statement] = STATE(964),
    [sym_expression_switch_statement] = STATE(964),
    [sym_type_switch_statement] = STATE(964),
    [sym_select_statement] = STATE(964),
    [sym__expression] = STATE(240),
    [sym_parenthesized_expression] = STATE(257),
    [sym_call_expression] = STATE(257),
    [sym_selector_expression] = STATE(257),
    [sym_index_expression] = STATE(257),
    [sym_slice_expression] = STATE(257),
    [sym_type_assertion_expression] = STATE(257),
    [sym_type_conversion_expression] = STATE(257),
    [sym_composite_literal] = STATE(257),
    [sym_func_literal] = STATE(257),
    [sym_unary_expression] = STATE(257),
    [sym_binary_expression] = STATE(257),
    [sym_qualified_type] = STATE(897),
    [sym_interpreted_string_literal] = STATE(257),
    [sym_identifier] = ACTIONS(181),
    [anon_sym_SEMI] = ACTIONS(9),
    [anon_sym_LPAREN] = ACTIONS(15),
    [anon_sym_const] = ACTIONS(17),
    [anon_sym_var] = ACTIONS(19),
    [anon_sym_func] = ACTIONS(183),
    [anon_sym_LBRACK] = ACTIONS(23),
    [anon_sym_type] = ACTIONS(25),
    [anon_sym_STAR] = ACTIONS(27),
    [anon_sym_struct] = ACTIONS(29),
    [anon_sym_TILDE] = ACTIONS(31),
    [anon_sym_LBRACE] = ACTIONS(33),
    [anon_sym_RBRACE] = ACTIONS(219),
    [anon_sym_interface] = ACTIONS(35),
    [anon_sym_map] = ACTIONS(37),
    [anon_sym_chan] = ACTIONS(39),
    [anon_sym_LT_DASH] = ACTIONS(41),
    [anon_sym_fallthrough] = ACTIONS(43),
    [anon_sym_break] = ACTIONS(45),
    [anon_sym_continue] = ACTIONS(47),
    [anon_sym_goto] = ACTIONS(49),
    [anon_sym_return] = ACTIONS(51),
    [anon_sym_go] = ACTIONS(53),
    [anon_sym_defer] = ACTIONS(55),
    [anon_sym_if] = ACTIONS(57),
    [anon_sym_for] = ACTIONS(59),
    [anon_sym_switch] = ACTIONS(61),
    [anon_sym_select] = ACTIONS(63),
    [anon_sym_new] = ACTIONS(65),
    [anon_sym_make] = ACTIONS(65),
    [anon_sym_PLUS] = ACTIONS(67),
    [anon_sym_DASH] = ACTIONS(67),
    [anon_sym_BANG] = ACTIONS(67),
    [anon_sym_CARET] = ACTIONS(67),
    [anon_sym_AMP] = ACTIONS(67),
    [sym_raw_string_literal] = ACTIONS(69),
    [anon_sym_DQUOTE] = ACTIONS(71),
    [sym_int_literal] = ACTIONS(73),
    [sym_float_literal] = ACTIONS(73),
    [sym_imaginary_literal] = ACTIONS(69),
    [sym_rune_literal] = ACTIONS(69),
    [sym_nil] = ACTIONS(73),
    [sym_true] = ACTIONS(73),
    [sym_false] = ACTIONS(73),
    [sym_iota] = ACTIONS(73),
    [sym_comment] = ACTIONS(3),
  },
  [14] = {
    [sym__declaration] = STATE(964),
    [sym_const_declaration] = STATE(964),
    [sym_var_declaration] = STATE(964),
    [sym_type_declaration] = STATE(964),
    [sym_expression_list] = STATE(775),
    [sym_parenthesized_type] = STATE(1278),
    [sym__simple_type] = STATE(1278),
    [sym_generic_type] = STATE(1066),
    [sym_pointer_type] = STATE(830),
    [sym_array_type] = STATE(1066),
    [sym_implicit_length_array_type] = STATE(1293),
    [sym_slice_type] = STATE(1066),
    [sym_struct_type] = STATE(1066),
    [sym_union_type] = STATE(821),
    [sym_negated_type] = STATE(821),
    [sym_interface_type] = STATE(830),
    [sym_map_type] = STATE(1066),
    [sym_channel_type] = STATE(830),
    [sym_function_type] = STATE(830),
    [sym_block] = STATE(964),
    [sym__statement_list] = STATE(1347),
    [sym__statement] = STATE(916),
    [sym_empty_statement] = STATE(964),
    [sym__simple_statement] = STATE(964),
    [sym_expression_statement] = STATE(979),
    [sym_send_statement] = STATE(979),
    [sym_inc_statement] = STATE(979),
    [sym_dec_statement] = STATE(979),
    [sym_assignment_statement] = STATE(979),
    [sym_short_var_declaration] = STATE(979),
    [sym_labeled_statement] = STATE(964),
    [sym_empty_labeled_statement] = STATE(1347),
    [sym_fallthrough_statement] = STATE(964),
    [sym_break_statement] = STATE(964),
    [sym_continue_statement] = STATE(964),
    [sym_goto_statement] = STATE(964),
    [sym_return_statement] = STATE(964),
    [sym_go_statement] = STATE(964),
    [sym_defer_statement] = STATE(964),
    [sym_if_statement] = STATE(964),
    [sym_for_statement] = STATE(964),
    [sym_expression_switch_statement] = STATE(964),
    [sym_type_switch_statement] = STATE(964),
    [sym_select_statement] = STATE(964),
    [sym__expression] = STATE(240),
    [sym_parenthesized_expression] = STATE(257),
    [sym_call_expression] = STATE(257),
    [sym_selector_expression] = STATE(257),
    [sym_index_expression] = STATE(257),
    [sym_slice_expression] = STATE(257),
    [sym_type_assertion_expression] = STATE(257),
    [sym_type_conversion_expression] = STATE(257),
    [sym_composite_literal] = STATE(257),
    [sym_func_literal] = STATE(257),
    [sym_unary_expression] = STATE(257),
    [sym_binary_expression] = STATE(257),
    [sym_qualified_type] = STATE(897),
    [sym_interpreted_string_literal] = STATE(257),
    [sym_identifier] = ACTIONS(181),
    [anon_sym_SEMI] = ACTIONS(9),
    [anon_sym_LPAREN] = ACTIONS(15),
    [anon_sym_const] = ACTIONS(17),
    [anon_sym_var] = ACTIONS(19),
    [anon_sym_func] = ACTIONS(183),
    [anon_sym_LBRACK] = ACTIONS(23),
    [anon_sym_type] = ACTIONS(25),
    [anon_sym_STAR] = ACTIONS(27),
    [anon_sym_struct] = ACTIONS(29),
    [anon_sym_TILDE] = ACTIONS(31),
    [anon_sym_LBRACE] = ACTIONS(33),
    [anon_sym_RBRACE] = ACTIONS(221),
    [anon_sym_interface] = ACTIONS(35),
    [anon_sym_map] = ACTIONS(37),
    [anon_sym_chan] = ACTIONS(39),
    [anon_sym_LT_DASH] = ACTIONS(41),
    [anon_sym_fallthrough] = ACTIONS(43),
    [anon_sym_break] = ACTIONS(45),
    [anon_sym_continue] = ACTIONS(47),
    [anon_sym_goto] = ACTIONS(49),
    [anon_sym_return] = ACTIONS(51),
    [anon_sym_go] = ACTIONS(53),
    [anon_sym_defer] = ACTIONS(55),
    [anon_sym_if] = ACTIONS(57),
    [anon_sym_for] = ACTIONS(59),
    [anon_sym_switch] = ACTIONS(61),
    [anon_sym_select] = ACTIONS(63),
    [anon_sym_new] = ACTIONS(65),
    [anon_sym_make] = ACTIONS(65),
    [anon_sym_PLUS] = ACTIONS(67),
    [anon_sym_DASH] = ACTIONS(67),
    [anon_sym_BANG] = ACTIONS(67),
    [anon_sym_CARET] = ACTIONS(67),
    [anon_sym_AMP] = ACTIONS(67),
    [sym_raw_string_literal] = ACTIONS(69),
    [anon_sym_DQUOTE] = ACTIONS(71),
    [sym_int_literal] = ACTIONS(73),
    [sym_float_literal] = ACTIONS(73),
    [sym_imaginary_literal] = ACTIONS(69),
    [sym_rune_literal] = ACTIONS(69),
    [sym_nil] = ACTIONS(73),
    [sym_true] = ACTIONS(73),
    [sym_false] = ACTIONS(73),
    [sym_iota] = ACTIONS(73),
    [sym_comment] = ACTIONS(3),
  },
  [15] = {
    [sym__declaration] = STATE(964),
    [sym_const_declaration] = STATE(964),
    [sym_var_declaration] = STATE(964),
    [sym_type_declaration] = STATE(964),
    [sym_expression_list] = STATE(775),
    [sym_parenthesized_type] = STATE(1278),
    [sym__simple_type] = STATE(1278),
    [sym_generic_type] = STATE(1066),
    [sym_pointer_type] = STATE(830),
    [sym_array_type] = STATE(1066),
    [sym_implicit_length_array_type] = STATE(1293),
    [sym_slice_type] = STATE(1066),
    [sym_struct_type] = STATE(1066),
    [sym_union_type] = STATE(821),
    [sym_negated_type] = STATE(821),
    [sym_interface_type] = STATE(830),
    [sym_map_type] = STATE(1066),
    [sym_channel_type] = STATE(830),
    [sym_function_type] = STATE(830),
    [sym_block] = STATE(964),
    [sym__statement_list] = STATE(1361),
    [sym__statement] = STATE(916),
    [sym_empty_statement] = STATE(964),
    [sym__simple_statement] = STATE(964),
    [sym_expression_statement] = STATE(979),
    [sym_send_statement] = STATE(979),
    [sym_inc_statement] = STATE(979),
    [sym_dec_statement] = STATE(979),
    [sym_assignment_statement] = STATE(979),
    [sym_short_var_declaration] = STATE(979),
    [sym_labeled_statement] = STATE(964),
    [sym_empty_labeled_statement] = STATE(1361),
    [sym_fallthrough_statement] = STATE(964),
    [sym_break_statement] = STATE(964),
    [sym_continue_statement] = STATE(964),
    [sym_goto_statement] = STATE(964),
    [sym_return_statement] = STATE(964),
    [sym_go_statement] = STATE(964),
    [sym_defer_statement] = STATE(964),
    [sym_if_statement] = STATE(964),
    [sym_for_statement] = STATE(964),
    [sym_expression_switch_statement] = STATE(964),
    [sym_type_switch_statement] = STATE(964),
    [sym_select_statement] = STATE(964),
    [sym__expression] = STATE(240),
    [sym_parenthesized_expression] = STATE(257),
    [sym_call_expression] = STATE(257),
    [sym_selector_expression] = STATE(257),
    [sym_index_expression] = STATE(257),
    [sym_slice_expression] = STATE(257),
    [sym_type_assertion_expression] = STATE(257),
    [sym_type_conversion_expression] = STATE(257),
    [sym_composite_literal] = STATE(257),
    [sym_func_literal] = STATE(257),
    [sym_unary_expression] = STATE(257),
    [sym_binary_expression] = STATE(257),
    [sym_qualified_type] = STATE(897),
    [sym_interpreted_string_literal] = STATE(257),
    [sym_identifier] = ACTIONS(181),
    [anon_sym_SEMI] = ACTIONS(9),
    [anon_sym_LPAREN] = ACTIONS(15),
    [anon_sym_const] = ACTIONS(17),
    [anon_sym_var] = ACTIONS(19),
    [anon_sym_func] = ACTIONS(183),
    [anon_sym_LBRACK] = ACTIONS(23),
    [anon_sym_type] = ACTIONS(25),
    [anon_sym_STAR] = ACTIONS(27),
    [anon_sym_struct] = ACTIONS(29),
    [anon_sym_TILDE] = ACTIONS(31),
    [anon_sym_LBRACE] = ACTIONS(33),
    [anon_sym_RBRACE] = ACTIONS(223),
    [anon_sym_interface] = ACTIONS(35),
    [anon_sym_map] = ACTIONS(37),
    [anon_sym_chan] = ACTIONS(39),
    [anon_sym_LT_DASH] = ACTIONS(41),
    [anon_sym_fallthrough] = ACTIONS(43),
    [anon_sym_break] = ACTIONS(45),
    [anon_sym_continue] = ACTIONS(47),
    [anon_sym_goto] = ACTIONS(49),
    [anon_sym_return] = ACTIONS(51),
    [anon_sym_go] = ACTIONS(53),
    [anon_sym_defer] = ACTIONS(55),
    [anon_sym_if] = ACTIONS(57),
    [anon_sym_for] = ACTIONS(59),
    [anon_sym_switch] = ACTIONS(61),
    [anon_sym_select] = ACTIONS(63),
    [anon_sym_new] = ACTIONS(65),
    [anon_sym_make] = ACTIONS(65),
    [anon_sym_PLUS] = ACTIONS(67),
    [anon_sym_DASH] = ACTIONS(67),
    [anon_sym_BANG] = ACTIONS(67),
    [anon_sym_CARET] = ACTIONS(67),
    [anon_sym_AMP] = ACTIONS(67),
    [sym_raw_string_literal] = ACTIONS(69),
    [anon_sym_DQUOTE] = ACTIONS(71),
    [sym_int_literal] = ACTIONS(73),
    [sym_float_literal] = ACTIONS(73),
    [sym_imaginary_literal] = ACTIONS(69),
    [sym_rune_literal] = ACTIONS(69),
    [sym_nil] = ACTIONS(73),
    [sym_true] = ACTIONS(73),
    [sym_false] = ACTIONS(73),
    [sym_iota] = ACTIONS(73),
    [sym_comment] = ACTIONS(3),
  },
  [16] = {
    [sym__declaration] = STATE(964),
    [sym_const_declaration] = STATE(964),
    [sym_var_declaration] = STATE(964),
    [sym_type_declaration] = STATE(964),
    [sym_expression_list] = STATE(775),
    [sym_parenthesized_type] = STATE(1278),
    [sym__simple_type] = STATE(1278),
    [sym_generic_type] = STATE(1066),
    [sym_pointer_type] = STATE(830),
    [sym_array_type] = STATE(1066),
    [sym_implicit_length_array_type] = STATE(1293),
    [sym_slice_type] = STATE(1066),
    [sym_struct_type] = STATE(1066),
    [sym_union_type] = STATE(821),
    [sym_negated_type] = STATE(821),
    [sym_interface_type] = STATE(830),
    [sym_map_type] = STATE(1066),
    [sym_channel_type] = STATE(830),
    [sym_function_type] = STATE(830),
    [sym_block] = STATE(964),
    [sym__statement_list] = STATE(1307),
    [sym__statement] = STATE(916),
    [sym_empty_statement] = STATE(964),
    [sym__simple_statement] = STATE(964),
    [sym_expression_statement] = STATE(979),
    [sym_send_statement] = STATE(979),
    [sym_inc_statement] = STATE(979),
    [sym_dec_statement] = STATE(979),
    [sym_assignment_statement] = STATE(979),
    [sym_short_var_declaration] = STATE(979),
    [sym_labeled_statement] = STATE(964),
    [sym_empty_labeled_statement] = STATE(1307),
    [sym_fallthrough_statement] = STATE(964),
    [sym_break_statement] = STATE(964),
    [sym_continue_statement] = STATE(964),
    [sym_goto_statement] = STATE(964),
    [sym_return_statement] = STATE(964),
    [sym_go_statement] = STATE(964),
    [sym_defer_statement] = STATE(964),
    [sym_if_statement] = STATE(964),
    [sym_for_statement] = STATE(964),
    [sym_expression_switch_statement] = STATE(964),
    [sym_type_switch_statement] = STATE(964),
    [sym_select_statement] = STATE(964),
    [sym__expression] = STATE(240),
    [sym_parenthesized_expression] = STATE(257),
    [sym_call_expression] = STATE(257),
    [sym_selector_expression] = STATE(257),
    [sym_index_expression] = STATE(257),
    [sym_slice_expression] = STATE(257),
    [sym_type_assertion_expression] = STATE(257),
    [sym_type_conversion_expression] = STATE(257),
    [sym_composite_literal] = STATE(257),
    [sym_func_literal] = STATE(257),
    [sym_unary_expression] = STATE(257),
    [sym_binary_expression] = STATE(257),
    [sym_qualified_type] = STATE(897),
    [sym_interpreted_string_literal] = STATE(257),
    [sym_identifier] = ACTIONS(181),
    [anon_sym_SEMI] = ACTIONS(9),
    [anon_sym_LPAREN] = ACTIONS(15),
    [anon_sym_const] = ACTIONS(17),
    [anon_sym_var] = ACTIONS(19),
    [anon_sym_func] = ACTIONS(183),
    [anon_sym_LBRACK] = ACTIONS(23),
    [anon_sym_type] = ACTIONS(25),
    [anon_sym_STAR] = ACTIONS(27),
    [anon_sym_struct] = ACTIONS(29),
    [anon_sym_TILDE] = ACTIONS(31),
    [anon_sym_LBRACE] = ACTIONS(33),
    [anon_sym_RBRACE] = ACTIONS(225),
    [anon_sym_interface] = ACTIONS(35),
    [anon_sym_map] = ACTIONS(37),
    [anon_sym_chan] = ACTIONS(39),
    [anon_sym_LT_DASH] = ACTIONS(41),
    [anon_sym_fallthrough] = ACTIONS(43),
    [anon_sym_break] = ACTIONS(45),
    [anon_sym_continue] = ACTIONS(47),
    [anon_sym_goto] = ACTIONS(49),
    [anon_sym_return] = ACTIONS(51),
    [anon_sym_go] = ACTIONS(53),
    [anon_sym_defer] = ACTIONS(55),
    [anon_sym_if] = ACTIONS(57),
    [anon_sym_for] = ACTIONS(59),
    [anon_sym_switch] = ACTIONS(61),
    [anon_sym_select] = ACTIONS(63),
    [anon_sym_new] = ACTIONS(65),
    [anon_sym_make] = ACTIONS(65),
    [anon_sym_PLUS] = ACTIONS(67),
    [anon_sym_DASH] = ACTIONS(67),
    [anon_sym_BANG] = ACTIONS(67),
    [anon_sym_CARET] = ACTIONS(67),
    [anon_sym_AMP] = ACTIONS(67),
    [sym_raw_string_literal] = ACTIONS(69),
    [anon_sym_DQUOTE] = ACTIONS(71),
    [sym_int_literal] = ACTIONS(73),
    [sym_float_literal] = ACTIONS(73),
    [sym_imaginary_literal] = ACTIONS(69),
    [sym_rune_literal] = ACTIONS(69),
    [sym_nil] = ACTIONS(73),
    [sym_true] = ACTIONS(73),
    [sym_false] = ACTIONS(73),
    [sym_iota] = ACTIONS(73),
    [sym_comment] = ACTIONS(3),
  },
  [17] = {
    [sym__declaration] = STATE(964),
    [sym_const_declaration] = STATE(964),
    [sym_var_declaration] = STATE(964),
    [sym_type_declaration] = STATE(964),
    [sym_expression_list] = STATE(775),
    [sym_parenthesized_type] = STATE(1278),
    [sym__simple_type] = STATE(1278),
    [sym_generic_type] = STATE(1066),
    [sym_pointer_type] = STATE(830),
    [sym_array_type] = STATE(1066),
    [sym_implicit_length_array_type] = STATE(1293),
    [sym_slice_type] = STATE(1066),
    [sym_struct_type] = STATE(1066),
    [sym_union_type] = STATE(821),
    [sym_negated_type] = STATE(821),
    [sym_interface_type] = STATE(830),
    [sym_map_type] = STATE(1066),
    [sym_channel_type] = STATE(830),
    [sym_function_type] = STATE(830),
    [sym_block] = STATE(964),
    [sym__statement_list] = STATE(1326),
    [sym__statement] = STATE(916),
    [sym_empty_statement] = STATE(964),
    [sym__simple_statement] = STATE(964),
    [sym_expression_statement] = STATE(979),
    [sym_send_statement] = STATE(979),
    [sym_inc_statement] = STATE(979),
    [sym_dec_statement] = STATE(979),
    [sym_assignment_statement] = STATE(979),
    [sym_short_var_declaration] = STATE(979),
    [sym_labeled_statement] = STATE(964),
    [sym_empty_labeled_statement] = STATE(1326),
    [sym_fallthrough_statement] = STATE(964),
    [sym_break_statement] = STATE(964),
    [sym_continue_statement] = STATE(964),
    [sym_goto_statement] = STATE(964),
    [sym_return_statement] = STATE(964),
    [sym_go_statement] = STATE(964),
    [sym_defer_statement] = STATE(964),
    [sym_if_statement] = STATE(964),
    [sym_for_statement] = STATE(964),
    [sym_expression_switch_statement] = STATE(964),
    [sym_type_switch_statement] = STATE(964),
    [sym_select_statement] = STATE(964),
    [sym__expression] = STATE(240),
    [sym_parenthesized_expression] = STATE(257),
    [sym_call_expression] = STATE(257),
    [sym_selector_expression] = STATE(257),
    [sym_index_expression] = STATE(257),
    [sym_slice_expression] = STATE(257),
    [sym_type_assertion_expression] = STATE(257),
    [sym_type_conversion_expression] = STATE(257),
    [sym_composite_literal] = STATE(257),
    [sym_func_literal] = STATE(257),
    [sym_unary_expression] = STATE(257),
    [sym_binary_expression] = STATE(257),
    [sym_qualified_type] = STATE(897),
    [sym_interpreted_string_literal] = STATE(257),
    [sym_identifier] = ACTIONS(181),
    [anon_sym_SEMI] = ACTIONS(9),
    [anon_sym_LPAREN] = ACTIONS(15),
    [anon_sym_const] = ACTIONS(17),
    [anon_sym_var] = ACTIONS(19),
    [anon_sym_func] = ACTIONS(183),
    [anon_sym_LBRACK] = ACTIONS(23),
    [anon_sym_type] = ACTIONS(25),
    [anon_sym_STAR] = ACTIONS(27),
    [anon_sym_struct] = ACTIONS(29),
    [anon_sym_TILDE] = ACTIONS(31),
    [anon_sym_LBRACE] = ACTIONS(33),
    [anon_sym_RBRACE] = ACTIONS(227),
    [anon_sym_interface] = ACTIONS(35),
    [anon_sym_map] = ACTIONS(37),
    [anon_sym_chan] = ACTIONS(39),
    [anon_sym_LT_DASH] = ACTIONS(41),
    [anon_sym_fallthrough] = ACTIONS(43),
    [anon_sym_break] = ACTIONS(45),
    [anon_sym_continue] = ACTIONS(47),
    [anon_sym_goto] = ACTIONS(49),
    [anon_sym_return] = ACTIONS(51),
    [anon_sym_go] = ACTIONS(53),
    [anon_sym_defer] = ACTIONS(55),
    [anon_sym_if] = ACTIONS(57),
    [anon_sym_for] = ACTIONS(59),
    [anon_sym_switch] = ACTIONS(61),
    [anon_sym_select] = ACTIONS(63),
    [anon_sym_new] = ACTIONS(65),
    [anon_sym_make] = ACTIONS(65),
    [anon_sym_PLUS] = ACTIONS(67),
    [anon_sym_DASH] = ACTIONS(67),
    [anon_sym_BANG] = ACTIONS(67),
    [anon_sym_CARET] = ACTIONS(67),
    [anon_sym_AMP] = ACTIONS(67),
    [sym_raw_string_literal] = ACTIONS(69),
    [anon_sym_DQUOTE] = ACTIONS(71),
    [sym_int_literal] = ACTIONS(73),
    [sym_float_literal] = ACTIONS(73),
    [sym_imaginary_literal] = ACTIONS(69),
    [sym_rune_literal] = ACTIONS(69),
    [sym_nil] = ACTIONS(73),
    [sym_true] = ACTIONS(73),
    [sym_false] = ACTIONS(73),
    [sym_iota] = ACTIONS(73),
    [sym_comment] = ACTIONS(3),
  },
  [18] = {
    [sym__declaration] = STATE(964),
    [sym_const_declaration] = STATE(964),
    [sym_var_declaration] = STATE(964),
    [sym_type_declaration] = STATE(964),
    [sym_expression_list] = STATE(775),
    [sym_parenthesized_type] = STATE(1278),
    [sym__simple_type] = STATE(1278),
    [sym_generic_type] = STATE(1066),
    [sym_pointer_type] = STATE(830),
    [sym_array_type] = STATE(1066),
    [sym_implicit_length_array_type] = STATE(1293),
    [sym_slice_type] = STATE(1066),
    [sym_struct_type] = STATE(1066),
    [sym_union_type] = STATE(821),
    [sym_negated_type] = STATE(821),
    [sym_interface_type] = STATE(830),
    [sym_map_type] = STATE(1066),
    [sym_channel_type] = STATE(830),
    [sym_function_type] = STATE(830),
    [sym_block] = STATE(964),
    [sym__statement_list] = STATE(1332),
    [sym__statement] = STATE(916),
    [sym_empty_statement] = STATE(964),
    [sym__simple_statement] = STATE(964),
    [sym_expression_statement] = STATE(979),
    [sym_send_statement] = STATE(979),
    [sym_inc_statement] = STATE(979),
    [sym_dec_statement] = STATE(979),
    [sym_assignment_statement] = STATE(979),
    [sym_short_var_declaration] = STATE(979),
    [sym_labeled_statement] = STATE(964),
    [sym_empty_labeled_statement] = STATE(1332),
    [sym_fallthrough_statement] = STATE(964),
    [sym_break_statement] = STATE(964),
    [sym_continue_statement] = STATE(964),
    [sym_goto_statement] = STATE(964),
    [sym_return_statement] = STATE(964),
    [sym_go_statement] = STATE(964),
    [sym_defer_statement] = STATE(964),
    [sym_if_statement] = STATE(964),
    [sym_for_statement] = STATE(964),
    [sym_expression_switch_statement] = STATE(964),
    [sym_type_switch_statement] = STATE(964),
    [sym_select_statement] = STATE(964),
    [sym__expression] = STATE(240),
    [sym_parenthesized_expression] = STATE(257),
    [sym_call_expression] = STATE(257),
    [sym_selector_expression] = STATE(257),
    [sym_index_expression] = STATE(257),
    [sym_slice_expression] = STATE(257),
    [sym_type_assertion_expression] = STATE(257),
    [sym_type_conversion_expression] = STATE(257),
    [sym_composite_literal] = STATE(257),
    [sym_func_literal] = STATE(257),
    [sym_unary_expression] = STATE(257),
    [sym_binary_expression] = STATE(257),
    [sym_qualified_type] = STATE(897),
    [sym_interpreted_string_literal] = STATE(257),
    [sym_identifier] = ACTIONS(181),
    [anon_sym_SEMI] = ACTIONS(9),
    [anon_sym_LPAREN] = ACTIONS(15),
    [anon_sym_const] = ACTIONS(17),
    [anon_sym_var] = ACTIONS(19),
    [anon_sym_func] = ACTIONS(183),
    [anon_sym_LBRACK] = ACTIONS(23),
    [anon_sym_type] = ACTIONS(25),
    [anon_sym_STAR] = ACTIONS(27),
    [anon_sym_struct] = ACTIONS(29),
    [anon_sym_TILDE] = ACTIONS(31),
    [anon_sym_LBRACE] = ACTIONS(33),
    [anon_sym_RBRACE] = ACTIONS(229),
    [anon_sym_interface] = ACTIONS(35),
    [anon_sym_map] = ACTIONS(37),
    [anon_sym_chan] = ACTIONS(39),
    [anon_sym_LT_DASH] = ACTIONS(41),
    [anon_sym_fallthrough] = ACTIONS(43),
    [anon_sym_break] = ACTIONS(45),
    [anon_sym_continue] = ACTIONS(47),
    [anon_sym_goto] = ACTIONS(49),
    [anon_sym_return] = ACTIONS(51),
    [anon_sym_go] = ACTIONS(53),
    [anon_sym_defer] = ACTIONS(55),
    [anon_sym_if] = ACTIONS(57),
    [anon_sym_for] = ACTIONS(59),
    [anon_sym_switch] = ACTIONS(61),
    [anon_sym_select] = ACTIONS(63),
    [anon_sym_new] = ACTIONS(65),
    [anon_sym_make] = ACTIONS(65),
    [anon_sym_PLUS] = ACTIONS(67),
    [anon_sym_DASH] = ACTIONS(67),
    [anon_sym_BANG] = ACTIONS(67),
    [anon_sym_CARET] = ACTIONS(67),
    [anon_sym_AMP] = ACTIONS(67),
    [sym_raw_string_literal] = ACTIONS(69),
    [anon_sym_DQUOTE] = ACTIONS(71),
    [sym_int_literal] = ACTIONS(73),
    [sym_float_literal] = ACTIONS(73),
    [sym_imaginary_literal] = ACTIONS(69),
    [sym_rune_literal] = ACTIONS(69),
    [sym_nil] = ACTIONS(73),
    [sym_true] = ACTIONS(73),
    [sym_false] = ACTIONS(73),
    [sym_iota] = ACTIONS(73),
    [sym_comment] = ACTIONS(3),
  },
  [19] = {
    [sym__declaration] = STATE(964),
    [sym_const_declaration] = STATE(964),
    [sym_var_declaration] = STATE(964),
    [sym_type_declaration] = STATE(964),
    [sym_expression_list] = STATE(775),
    [sym_parenthesized_type] = STATE(1278),
    [sym__simple_type] = STATE(1278),
    [sym_generic_type] = STATE(1066),
    [sym_pointer_type] = STATE(830),
    [sym_array_type] = STATE(1066),
    [sym_implicit_length_array_type] = STATE(1293),
    [sym_slice_type] = STATE(1066),
    [sym_struct_type] = STATE(1066),
    [sym_union_type] = STATE(821),
    [sym_negated_type] = STATE(821),
    [sym_interface_type] = STATE(830),
    [sym_map_type] = STATE(1066),
    [sym_channel_type] = STATE(830),
    [sym_function_type] = STATE(830),
    [sym_block] = STATE(964),
    [sym__statement] = STATE(959),
    [sym_empty_statement] = STATE(964),
    [sym__simple_statement] = STATE(964),
    [sym_expression_statement] = STATE(979),
    [sym_send_statement] = STATE(979),
    [sym_inc_statement] = STATE(979),
    [sym_dec_statement] = STATE(979),
    [sym_assignment_statement] = STATE(979),
    [sym_short_var_declaration] = STATE(979),
    [sym_labeled_statement] = STATE(964),
    [sym_fallthrough_statement] = STATE(964),
    [sym_break_statement] = STATE(964),
    [sym_continue_statement] = STATE(964),
    [sym_goto_statement] = STATE(964),
    [sym_return_statement] = STATE(964),
    [sym_go_statement] = STATE(964),
    [sym_defer_statement] = STATE(964),
    [sym_if_statement] = STATE(964),
    [sym_for_statement] = STATE(964),
    [sym_expression_switch_statement] = STATE(964),
    [sym_type_switch_statement] = STATE(964),
    [sym_select_statement] = STATE(964),
    [sym__expression] = STATE(240),
    [sym_parenthesized_expression] = STATE(257),
    [sym_call_expression] = STATE(257),
    [sym_selector_expression] = STATE(257),
    [sym_index_expression] = STATE(257),
    [sym_slice_expression] = STATE(257),
    [sym_type_assertion_expression] = STATE(257),
    [sym_type_conversion_expression] = STATE(257),
    [sym_composite_literal] = STATE(257),
    [sym_func_literal] = STATE(257),
    [sym_unary_expression] = STATE(257),
    [sym_binary_expression] = STATE(257),
    [sym_qualified_type] = STATE(897),
    [sym_interpreted_string_literal] = STATE(257),
    [sym_identifier] = ACTIONS(7),
    [anon_sym_SEMI] = ACTIONS(9),
    [anon_sym_LPAREN] = ACTIONS(15),
    [anon_sym_const] = ACTIONS(17),
    [anon_sym_var] = ACTIONS(19),
    [anon_sym_func] = ACTIONS(183),
    [anon_sym_LBRACK] = ACTIONS(23),
    [anon_sym_type] = ACTIONS(25),
    [anon_sym_STAR] = ACTIONS(27),
    [anon_sym_struct] = ACTIONS(29),
    [anon_sym_TILDE] = ACTIONS(31),
    [anon_sym_LBRACE] = ACTIONS(33),
    [anon_sym_interface] = ACTIONS(35),
    [anon_sym_map] = ACTIONS(37),
    [anon_sym_chan] = ACTIONS(39),
    [anon_sym_LT_DASH] = ACTIONS(41),
    [anon_sym_fallthrough] = ACTIONS(43),
    [anon_sym_break] = ACTIONS(45),
    [anon_sym_continue] = ACTIONS(47),
    [anon_sym_goto] = ACTIONS(49),
    [anon_sym_return] = ACTIONS(51),
    [anon_sym_go] = ACTIONS(53),
    [anon_sym_defer] = ACTIONS(55),
    [anon_sym_if] = ACTIONS(57),
    [anon_sym_for] = ACTIONS(59),
    [anon_sym_switch] = ACTIONS(61),
    [anon_sym_select] = ACTIONS(63),
    [anon_sym_new] = ACTIONS(65),
    [anon_sym_make] = ACTIONS(65),
    [anon_sym_PLUS] = ACTIONS(67),
    [anon_sym_DASH] = ACTIONS(67),
    [anon_sym_BANG] = ACTIONS(67),
    [anon_sym_CARET] = ACTIONS(67),
    [anon_sym_AMP] = ACTIONS(67),
    [sym_raw_string_literal] = ACTIONS(69),
    [anon_sym_DQUOTE] = ACTIONS(71),
    [sym_int_literal] = ACTIONS(73),
    [sym_float_literal] = ACTIONS(73),
    [sym_imaginary_literal] = ACTIONS(69),
    [sym_rune_literal] = ACTIONS(69),
    [sym_nil] = ACTIONS(73),
    [sym_true] = ACTIONS(73),
    [sym_false] = ACTIONS(73),
    [sym_iota] = ACTIONS(73),
    [sym_comment] = ACTIONS(3),
  },
  [20] = {
    [sym__declaration] = STATE(964),
    [sym_const_declaration] = STATE(964),
    [sym_var_declaration] = STATE(964),
    [sym_type_declaration] = STATE(964),
    [sym_expression_list] = STATE(775),
    [sym_parenthesized_type] = STATE(1278),
    [sym__simple_type] = STATE(1278),
    [sym_generic_type] = STATE(1066),
    [sym_pointer_type] = STATE(830),
    [sym_array_type] = STATE(1066),
    [sym_implicit_length_array_type] = STATE(1293),
    [sym_slice_type] = STATE(1066),
    [sym_struct_type] = STATE(1066),
    [sym_union_type] = STATE(821),
    [sym_negated_type] = STATE(821),
    [sym_interface_type] = STATE(830),
    [sym_map_type] = STATE(1066),
    [sym_channel_type] = STATE(830),
    [sym_function_type] = STATE(830),
    [sym_block] = STATE(964),
    [sym__statement] = STATE(983),
    [sym_empty_statement] = STATE(964),
    [sym__simple_statement] = STATE(964),
    [sym_expression_statement] = STATE(979),
    [sym_send_statement] = STATE(979),
    [sym_inc_statement] = STATE(979),
    [sym_dec_statement] = STATE(979),
    [sym_assignment_statement] = STATE(979),
    [sym_short_var_declaration] = STATE(979),
    [sym_labeled_statement] = STATE(964),
    [sym_fallthrough_statement] = STATE(964),
    [sym_break_statement] = STATE(964),
    [sym_continue_statement] = STATE(964),
    [sym_goto_statement] = STATE(964),
    [sym_return_statement] = STATE(964),
    [sym_go_statement] = STATE(964),
    [sym_defer_statement] = STATE(964),
    [sym_if_statement] = STATE(964),
    [sym_for_statement] = STATE(964),
    [sym_expression_switch_statement] = STATE(964),
    [sym_type_switch_statement] = STATE(964),
    [sym_select_statement] = STATE(964),
    [sym__expression] = STATE(240),
    [sym_parenthesized_expression] = STATE(257),
    [sym_call_expression] = STATE(257),
    [sym_selector_expression] = STATE(257),
    [sym_index_expression] = STATE(257),
    [sym_slice_expression] = STATE(257),
    [sym_type_assertion_expression] = STATE(257),
    [sym_type_conversion_expression] = STATE(257),
    [sym_composite_literal] = STATE(257),
    [sym_func_literal] = STATE(257),
    [sym_unary_expression] = STATE(257),
    [sym_binary_expression] = STATE(257),
    [sym_qualified_type] = STATE(897),
    [sym_interpreted_string_literal] = STATE(257),
    [sym_identifier] = ACTIONS(7),
    [anon_sym_SEMI] = ACTIONS(9),
    [anon_sym_LPAREN] = ACTIONS(15),
    [anon_sym_const] = ACTIONS(17),
    [anon_sym_var] = ACTIONS(19),
    [anon_sym_func] = ACTIONS(183),
    [anon_sym_LBRACK] = ACTIONS(23),
    [anon_sym_type] = ACTIONS(25),
    [anon_sym_STAR] = ACTIONS(27),
    [anon_sym_struct] = ACTIONS(29),
    [anon_sym_TILDE] = ACTIONS(31),
    [anon_sym_LBRACE] = ACTIONS(33),
    [anon_sym_interface] = ACTIONS(35),
    [anon_sym_map] = ACTIONS(37),
    [anon_sym_chan] = ACTIONS(39),
    [anon_sym_LT_DASH] = ACTIONS(41),
    [anon_sym_fallthrough] = ACTIONS(43),
    [anon_sym_break] = ACTIONS(45),
    [anon_sym_continue] = ACTIONS(47),
    [anon_sym_goto] = ACTIONS(49),
    [anon_sym_return] = ACTIONS(51),
    [anon_sym_go] = ACTIONS(53),
    [anon_sym_defer] = ACTIONS(55),
    [anon_sym_if] = ACTIONS(57),
    [anon_sym_for] = ACTIONS(59),
    [anon_sym_switch] = ACTIONS(61),
    [anon_sym_select] = ACTIONS(63),
    [anon_sym_new] = ACTIONS(65),
    [anon_sym_make] = ACTIONS(65),
    [anon_sym_PLUS] = ACTIONS(67),
    [anon_sym_DASH] = ACTIONS(67),
    [anon_sym_BANG] = ACTIONS(67),
    [anon_sym_CARET] = ACTIONS(67),
    [anon_sym_AMP] = ACTIONS(67),
    [sym_raw_string_literal] = ACTIONS(69),
    [anon_sym_DQUOTE] = ACTIONS(71),
    [sym_int_literal] = ACTIONS(73),
    [sym_float_literal] = ACTIONS(73),
    [sym_imaginary_literal] = ACTIONS(69),
    [sym_rune_literal] = ACTIONS(69),
    [sym_nil] = ACTIONS(73),
    [sym_true] = ACTIONS(73),
    [sym_false] = ACTIONS(73),
    [sym_iota] = ACTIONS(73),
    [sym_comment] = ACTIONS(3),
  },
  [21] = {
    [sym_expression_list] = STATE(776),
    [sym_parenthesized_type] = STATE(1214),
    [sym__simple_type] = STATE(1214),
    [sym_generic_type] = STATE(1024),
    [sym_pointer_type] = STATE(830),
    [sym_array_type] = STATE(1024),
    [sym_implicit_length_array_type] = STATE(1284),
    [sym_slice_type] = STATE(1024),
    [sym_struct_type] = STATE(1024),
    [sym_union_type] = STATE(821),
    [sym_negated_type] = STATE(821),
    [sym_interface_type] = STATE(830),
    [sym_map_type] = STATE(1024),
    [sym_channel_type] = STATE(830),
    [sym_function_type] = STATE(830),
    [sym_block] = STATE(967),
    [sym__simple_statement] = STATE(1352),
    [sym_expression_statement] = STATE(1254),
    [sym_send_statement] = STATE(1254),
    [sym_inc_statement] = STATE(1254),
    [sym_dec_statement] = STATE(1254),
    [sym_assignment_statement] = STATE(1254),
    [sym_short_var_declaration] = STATE(1254),
    [sym_for_clause] = STATE(1243),
    [sym_range_clause] = STATE(1243),
    [sym__expression] = STATE(248),
    [sym_parenthesized_expression] = STATE(306),
    [sym_call_expression] = STATE(306),
    [sym_selector_expression] = STATE(306),
    [sym_index_expression] = STATE(306),
    [sym_slice_expression] = STATE(306),
    [sym_type_assertion_expression] = STATE(306),
    [sym_type_conversion_expression] = STATE(306),
    [sym_composite_literal] = STATE(306),
    [sym_func_literal] = STATE(306),
    [sym_unary_expression] = STATE(306),
    [sym_binary_expression] = STATE(306),
    [sym_qualified_type] = STATE(917),
    [sym_interpreted_string_literal] = STATE(306),
    [sym_identifier] = ACTIONS(231),
    [anon_sym_SEMI] = ACTIONS(233),
    [anon_sym_LPAREN] = ACTIONS(235),
    [anon_sym_func] = ACTIONS(237),
    [anon_sym_LBRACK] = ACTIONS(23),
    [anon_sym_STAR] = ACTIONS(239),
    [anon_sym_struct] = ACTIONS(29),
    [anon_sym_TILDE] = ACTIONS(31),
    [anon_sym_LBRACE] = ACTIONS(33),
    [anon_sym_interface] = ACTIONS(35),
    [anon_sym_map] = ACTIONS(37),
    [anon_sym_chan] = ACTIONS(39),
    [anon_sym_LT_DASH] = ACTIONS(241),
    [anon_sym_range] = ACTIONS(243),
    [anon_sym_new] = ACTIONS(245),
    [anon_sym_make] = ACTIONS(245),
    [anon_sym_PLUS] = ACTIONS(247),
    [anon_sym_DASH] = ACTIONS(247),
    [anon_sym_BANG] = ACTIONS(247),
    [anon_sym_CARET] = ACTIONS(247),
    [anon_sym_AMP] = ACTIONS(247),
    [sym_raw_string_literal] = ACTIONS(249),
    [anon_sym_DQUOTE] = ACTIONS(251),
    [sym_int_literal] = ACTIONS(253),
    [sym_float_literal] = ACTIONS(253),
    [sym_imaginary_literal] = ACTIONS(249),
    [sym_rune_literal] = ACTIONS(249),
    [sym_nil] = ACTIONS(253),
    [sym_true] = ACTIONS(253),
    [sym_false] = ACTIONS(253),
    [sym_iota] = ACTIONS(253),
    [sym_comment] = ACTIONS(3),
  },
  [22] = {
    [sym_expression_list] = STATE(772),
    [sym_parenthesized_type] = STATE(1214),
    [sym__simple_type] = STATE(1214),
    [sym_generic_type] = STATE(1024),
    [sym_pointer_type] = STATE(830),
    [sym_array_type] = STATE(1024),
    [sym_implicit_length_array_type] = STATE(1284),
    [sym_slice_type] = STATE(1024),
    [sym_struct_type] = STATE(1024),
    [sym_union_type] = STATE(821),
    [sym_negated_type] = STATE(821),
    [sym_interface_type] = STATE(830),
    [sym_map_type] = STATE(1024),
    [sym_channel_type] = STATE(830),
    [sym_function_type] = STATE(830),
    [sym__simple_statement] = STATE(1345),
    [sym_expression_statement] = STATE(1254),
    [sym_send_statement] = STATE(1254),
    [sym_inc_statement] = STATE(1254),
    [sym_dec_statement] = STATE(1254),
    [sym_assignment_statement] = STATE(1254),
    [sym_short_var_declaration] = STATE(1254),
    [sym__type_switch_header] = STATE(1344),
    [sym__expression] = STATE(269),
    [sym_parenthesized_expression] = STATE(306),
    [sym_call_expression] = STATE(306),
    [sym_selector_expression] = STATE(306),
    [sym_index_expression] = STATE(306),
    [sym_slice_expression] = STATE(306),
    [sym_type_assertion_expression] = STATE(306),
    [sym_type_conversion_expression] = STATE(306),
    [sym_composite_literal] = STATE(306),
    [sym_func_literal] = STATE(306),
    [sym_unary_expression] = STATE(306),
    [sym_binary_expression] = STATE(306),
    [sym_qualified_type] = STATE(917),
    [sym_interpreted_string_literal] = STATE(306),
    [sym_identifier] = ACTIONS(231),
    [anon_sym_LPAREN] = ACTIONS(235),
    [anon_sym_func] = ACTIONS(237),
    [anon_sym_LBRACK] = ACTIONS(23),
    [anon_sym_STAR] = ACTIONS(239),
    [anon_sym_struct] = ACTIONS(29),
    [anon_sym_TILDE] = ACTIONS(31),
    [anon_sym_LBRACE] = ACTIONS(255),
    [anon_sym_interface] = ACTIONS(35),
    [anon_sym_map] = ACTIONS(37),
    [anon_sym_chan] = ACTIONS(39),
    [anon_sym_LT_DASH] = ACTIONS(241),
    [anon_sym_new] = ACTIONS(245),
    [anon_sym_make] = ACTIONS(245),
    [anon_sym_PLUS] = ACTIONS(247),
    [anon_sym_DASH] = ACTIONS(247),
    [anon_sym_BANG] = ACTIONS(247),
    [anon_sym_CARET] = ACTIONS(247),
    [anon_sym_AMP] = ACTIONS(247),
    [sym_raw_string_literal] = ACTIONS(249),
    [anon_sym_DQUOTE] = ACTIONS(251),
    [sym_int_literal] = ACTIONS(253),
    [sym_float_literal] = ACTIONS(253),
    [sym_imaginary_literal] = ACTIONS(249),
    [sym_rune_literal] = ACTIONS(249),
    [sym_nil] = ACTIONS(253),
    [sym_true] = ACTIONS(253),
    [sym_false] = ACTIONS(253),
    [sym_iota] = ACTIONS(253),
    [sym_comment] = ACTIONS(3),
  },
  [23] = {
    [sym_expression_list] = STATE(770),
    [sym_parenthesized_type] = STATE(1214),
    [sym__simple_type] = STATE(1214),
    [sym_generic_type] = STATE(1024),
    [sym_pointer_type] = STATE(830),
    [sym_array_type] = STATE(1024),
    [sym_implicit_length_array_type] = STATE(1284),
    [sym_slice_type] = STATE(1024),
    [sym_struct_type] = STATE(1024),
    [sym_union_type] = STATE(821),
    [sym_negated_type] = STATE(821),
    [sym_interface_type] = STATE(830),
    [sym_map_type] = STATE(1024),
    [sym_channel_type] = STATE(830),
    [sym_function_type] = STATE(830),
    [sym__simple_statement] = STATE(1343),
    [sym_expression_statement] = STATE(1254),
    [sym_send_statement] = STATE(1254),
    [sym_inc_statement] = STATE(1254),
    [sym_dec_statement] = STATE(1254),
    [sym_assignment_statement] = STATE(1254),
    [sym_short_var_declaration] = STATE(1254),
    [sym__expression] = STATE(286),
    [sym_parenthesized_expression] = STATE(306),
    [sym_call_expression] = STATE(306),
    [sym_selector_expression] = STATE(306),
    [sym_index_expression] = STATE(306),
    [sym_slice_expression] = STATE(306),
    [sym_type_assertion_expression] = STATE(306),
    [sym_type_conversion_expression] = STATE(306),
    [sym_composite_literal] = STATE(306),
    [sym_func_literal] = STATE(306),
    [sym_unary_expression] = STATE(306),
    [sym_binary_expression] = STATE(306),
    [sym_qualified_type] = STATE(917),
    [sym_interpreted_string_literal] = STATE(306),
    [sym_identifier] = ACTIONS(231),
    [anon_sym_LPAREN] = ACTIONS(235),
    [anon_sym_func] = ACTIONS(237),
    [anon_sym_LBRACK] = ACTIONS(23),
    [anon_sym_STAR] = ACTIONS(239),
    [anon_sym_struct] = ACTIONS(29),
    [anon_sym_TILDE] = ACTIONS(31),
    [anon_sym_LBRACE] = ACTIONS(257),
    [anon_sym_interface] = ACTIONS(35),
    [anon_sym_map] = ACTIONS(37),
    [anon_sym_chan] = ACTIONS(39),
    [anon_sym_LT_DASH] = ACTIONS(241),
    [anon_sym_new] = ACTIONS(245),
    [anon_sym_make] = ACTIONS(245),
    [anon_sym_PLUS] = ACTIONS(247),
    [anon_sym_DASH] = ACTIONS(247),
    [anon_sym_BANG] = ACTIONS(247),
    [anon_sym_CARET] = ACTIONS(247),
    [anon_sym_AMP] = ACTIONS(247),
    [sym_raw_string_literal] = ACTIONS(249),
    [anon_sym_DQUOTE] = ACTIONS(251),
    [sym_int_literal] = ACTIONS(253),
    [sym_float_literal] = ACTIONS(253),
    [sym_imaginary_literal] = ACTIONS(249),
    [sym_rune_literal] = ACTIONS(249),
    [sym_nil] = ACTIONS(253),
    [sym_true] = ACTIONS(253),
    [sym_false] = ACTIONS(253),
    [sym_iota] = ACTIONS(253),
    [sym_comment] = ACTIONS(3),
  },
  [24] = {
    [sym_expression_list] = STATE(770),
    [sym_parenthesized_type] = STATE(1214),
    [sym__simple_type] = STATE(1214),
    [sym_generic_type] = STATE(1024),
    [sym_pointer_type] = STATE(830),
    [sym_array_type] = STATE(1024),
    [sym_implicit_length_array_type] = STATE(1284),
    [sym_slice_type] = STATE(1024),
    [sym_struct_type] = STATE(1024),
    [sym_union_type] = STATE(821),
    [sym_negated_type] = STATE(821),
    [sym_interface_type] = STATE(830),
    [sym_map_type] = STATE(1024),
    [sym_channel_type] = STATE(830),
    [sym_function_type] = STATE(830),
    [sym__simple_statement] = STATE(1369),
    [sym_expression_statement] = STATE(1254),
    [sym_send_statement] = STATE(1254),
    [sym_inc_statement] = STATE(1254),
    [sym_dec_statement] = STATE(1254),
    [sym_assignment_statement] = STATE(1254),
    [sym_short_var_declaration] = STATE(1254),
    [sym__expression] = STATE(286),
    [sym_parenthesized_expression] = STATE(306),
    [sym_call_expression] = STATE(306),
    [sym_selector_expression] = STATE(306),
    [sym_index_expression] = STATE(306),
    [sym_slice_expression] = STATE(306),
    [sym_type_assertion_expression] = STATE(306),
    [sym_type_conversion_expression] = STATE(306),
    [sym_composite_literal] = STATE(306),
    [sym_func_literal] = STATE(306),
    [sym_unary_expression] = STATE(306),
    [sym_binary_expression] = STATE(306),
    [sym_qualified_type] = STATE(917),
    [sym_interpreted_string_literal] = STATE(306),
    [sym_identifier] = ACTIONS(231),
    [anon_sym_LPAREN] = ACTIONS(235),
    [anon_sym_func] = ACTIONS(237),
    [anon_sym_LBRACK] = ACTIONS(23),
    [anon_sym_STAR] = ACTIONS(239),
    [anon_sym_struct] = ACTIONS(29),
    [anon_sym_TILDE] = ACTIONS(31),
    [anon_sym_LBRACE] = ACTIONS(259),
    [anon_sym_interface] = ACTIONS(35),
    [anon_sym_map] = ACTIONS(37),
    [anon_sym_chan] = ACTIONS(39),
    [anon_sym_LT_DASH] = ACTIONS(241),
    [anon_sym_new] = ACTIONS(245),
    [anon_sym_make] = ACTIONS(245),
    [anon_sym_PLUS] = ACTIONS(247),
    [anon_sym_DASH] = ACTIONS(247),
    [anon_sym_BANG] = ACTIONS(247),
    [anon_sym_CARET] = ACTIONS(247),
    [anon_sym_AMP] = ACTIONS(247),
    [sym_raw_string_literal] = ACTIONS(249),
    [anon_sym_DQUOTE] = ACTIONS(251),
    [sym_int_literal] = ACTIONS(253),
    [sym_float_literal] = ACTIONS(253),
    [sym_imaginary_literal] = ACTIONS(249),
    [sym_rune_literal] = ACTIONS(249),
    [sym_nil] = ACTIONS(253),
    [sym_true] = ACTIONS(253),
    [sym_false] = ACTIONS(253),
    [sym_iota] = ACTIONS(253),
    [sym_comment] = ACTIONS(3),
  },
  [25] = {
    [sym_expression_list] = STATE(770),
    [sym_parenthesized_type] = STATE(1214),
    [sym__simple_type] = STATE(1214),
    [sym_generic_type] = STATE(1024),
    [sym_pointer_type] = STATE(830),
    [sym_array_type] = STATE(1024),
    [sym_implicit_length_array_type] = STATE(1284),
    [sym_slice_type] = STATE(1024),
    [sym_struct_type] = STATE(1024),
    [sym_union_type] = STATE(821),
    [sym_negated_type] = STATE(821),
    [sym_interface_type] = STATE(830),
    [sym_map_type] = STATE(1024),
    [sym_channel_type] = STATE(830),
    [sym_function_type] = STATE(830),
    [sym__simple_statement] = STATE(1339),
    [sym_expression_statement] = STATE(1254),
    [sym_send_statement] = STATE(1254),
    [sym_inc_statement] = STATE(1254),
    [sym_dec_statement] = STATE(1254),
    [sym_assignment_statement] = STATE(1254),
    [sym_short_var_declaration] = STATE(1254),
    [sym__expression] = STATE(286),
    [sym_parenthesized_expression] = STATE(306),
    [sym_call_expression] = STATE(306),
    [sym_selector_expression] = STATE(306),
    [sym_index_expression] = STATE(306),
    [sym_slice_expression] = STATE(306),
    [sym_type_assertion_expression] = STATE(306),
    [sym_type_conversion_expression] = STATE(306),
    [sym_composite_literal] = STATE(306),
    [sym_func_literal] = STATE(306),
    [sym_unary_expression] = STATE(306),
    [sym_binary_expression] = STATE(306),
    [sym_qualified_type] = STATE(917),
    [sym_interpreted_string_literal] = STATE(306),
    [sym_identifier] = ACTIONS(231),
    [anon_sym_LPAREN] = ACTIONS(235),
    [anon_sym_func] = ACTIONS(237),
    [anon_sym_LBRACK] = ACTIONS(23),
    [anon_sym_STAR] = ACTIONS(239),
    [anon_sym_struct] = ACTIONS(29),
    [anon_sym_TILDE] = ACTIONS(31),
    [anon_sym_LBRACE] = ACTIONS(261),
    [anon_sym_interface] = ACTIONS(35),
    [anon_sym_map] = ACTIONS(37),
    [anon_sym_chan] = ACTIONS(39),
    [anon_sym_LT_DASH] = ACTIONS(241),
    [anon_sym_new] = ACTIONS(245),
    [anon_sym_make] = ACTIONS(245),
    [anon_sym_PLUS] = ACTIONS(247),
    [anon_sym_DASH] = ACTIONS(247),
    [anon_sym_BANG] = ACTIONS(247),
    [anon_sym_CARET] = ACTIONS(247),
    [anon_sym_AMP] = ACTIONS(247),
    [sym_raw_string_literal] = ACTIONS(249),
    [anon_sym_DQUOTE] = ACTIONS(251),
    [sym_int_literal] = ACTIONS(253),
    [sym_float_literal] = ACTIONS(253),
    [sym_imaginary_literal] = ACTIONS(249),
    [sym_rune_literal] = ACTIONS(249),
    [sym_nil] = ACTIONS(253),
    [sym_true] = ACTIONS(253),
    [sym_false] = ACTIONS(253),
    [sym_iota] = ACTIONS(253),
    [sym_comment] = ACTIONS(3),
  },
  [26] = {
    [sym_expression_list] = STATE(770),
    [sym_parenthesized_type] = STATE(1214),
    [sym__simple_type] = STATE(1214),
    [sym_generic_type] = STATE(1024),
    [sym_pointer_type] = STATE(830),
    [sym_array_type] = STATE(1024),
    [sym_implicit_length_array_type] = STATE(1284),
    [sym_slice_type] = STATE(1024),
    [sym_struct_type] = STATE(1024),
    [sym_union_type] = STATE(821),
    [sym_negated_type] = STATE(821),
    [sym_interface_type] = STATE(830),
    [sym_map_type] = STATE(1024),
    [sym_channel_type] = STATE(830),
    [sym_function_type] = STATE(830),
    [sym__simple_statement] = STATE(1329),
    [sym_expression_statement] = STATE(1254),
    [sym_send_statement] = STATE(1254),
    [sym_inc_statement] = STATE(1254),
    [sym_dec_statement] = STATE(1254),
    [sym_assignment_statement] = STATE(1254),
    [sym_short_var_declaration] = STATE(1254),
    [sym__expression] = STATE(286),
    [sym_parenthesized_expression] = STATE(306),
    [sym_call_expression] = STATE(306),
    [sym_selector_expression] = STATE(306),
    [sym_index_expression] = STATE(306),
    [sym_slice_expression] = STATE(306),
    [sym_type_assertion_expression] = STATE(306),
    [sym_type_conversion_expression] = STATE(306),
    [sym_composite_literal] = STATE(306),
    [sym_func_literal] = STATE(306),
    [sym_unary_expression] = STATE(306),
    [sym_binary_expression] = STATE(306),
    [sym_qualified_type] = STATE(917),
    [sym_interpreted_string_literal] = STATE(306),
    [sym_identifier] = ACTIONS(231),
    [anon_sym_LPAREN] = ACTIONS(235),
    [anon_sym_func] = ACTIONS(237),
    [anon_sym_LBRACK] = ACTIONS(23),
    [anon_sym_STAR] = ACTIONS(239),
    [anon_sym_struct] = ACTIONS(29),
    [anon_sym_TILDE] = ACTIONS(31),
    [anon_sym_LBRACE] = ACTIONS(263),
    [anon_sym_interface] = ACTIONS(35),
    [anon_sym_map] = ACTIONS(37),
    [anon_sym_chan] = ACTIONS(39),
    [anon_sym_LT_DASH] = ACTIONS(241),
    [anon_sym_new] = ACTIONS(245),
    [anon_sym_make] = ACTIONS(245),
    [anon_sym_PLUS] = ACTIONS(247),
    [anon_sym_DASH] = ACTIONS(247),
    [anon_sym_BANG] = ACTIONS(247),
    [anon_sym_CARET] = ACTIONS(247),
    [anon_sym_AMP] = ACTIONS(247),
    [sym_raw_string_literal] = ACTIONS(249),
    [anon_sym_DQUOTE] = ACTIONS(251),
    [sym_int_literal] = ACTIONS(253),
    [sym_float_literal] = ACTIONS(253),
    [sym_imaginary_literal] = ACTIONS(249),
    [sym_rune_literal] = ACTIONS(249),
    [sym_nil] = ACTIONS(253),
    [sym_true] = ACTIONS(253),
    [sym_false] = ACTIONS(253),
    [sym_iota] = ACTIONS(253),
    [sym_comment] = ACTIONS(3),
  },
  [27] = {
    [sym_expression_list] = STATE(773),
    [sym_parenthesized_type] = STATE(1214),
    [sym__simple_type] = STATE(1214),
    [sym_generic_type] = STATE(1024),
    [sym_pointer_type] = STATE(830),
    [sym_array_type] = STATE(1024),
    [sym_implicit_length_array_type] = STATE(1284),
    [sym_slice_type] = STATE(1024),
    [sym_struct_type] = STATE(1024),
    [sym_union_type] = STATE(821),
    [sym_negated_type] = STATE(821),
    [sym_interface_type] = STATE(830),
    [sym_map_type] = STATE(1024),
    [sym_channel_type] = STATE(830),
    [sym_function_type] = STATE(830),
    [sym__simple_statement] = STATE(1359),
    [sym_expression_statement] = STATE(1254),
    [sym_send_statement] = STATE(1254),
    [sym_inc_statement] = STATE(1254),
    [sym_dec_statement] = STATE(1254),
    [sym_assignment_statement] = STATE(1254),
    [sym_short_var_declaration] = STATE(1254),
    [sym__expression] = STATE(249),
    [sym_parenthesized_expression] = STATE(306),
    [sym_call_expression] = STATE(306),
    [sym_selector_expression] = STATE(306),
    [sym_index_expression] = STATE(306),
    [sym_slice_expression] = STATE(306),
    [sym_type_assertion_expression] = STATE(306),
    [sym_type_conversion_expression] = STATE(306),
    [sym_composite_literal] = STATE(306),
    [sym_func_literal] = STATE(306),
    [sym_unary_expression] = STATE(306),
    [sym_binary_expression] = STATE(306),
    [sym_qualified_type] = STATE(917),
    [sym_interpreted_string_literal] = STATE(306),
    [sym_identifier] = ACTIONS(231),
    [anon_sym_LPAREN] = ACTIONS(235),
    [anon_sym_func] = ACTIONS(237),
    [anon_sym_LBRACK] = ACTIONS(23),
    [anon_sym_STAR] = ACTIONS(239),
    [anon_sym_struct] = ACTIONS(29),
    [anon_sym_TILDE] = ACTIONS(31),
    [anon_sym_interface] = ACTIONS(35),
    [anon_sym_map] = ACTIONS(37),
    [anon_sym_chan] = ACTIONS(39),
    [anon_sym_LT_DASH] = ACTIONS(241),
    [anon_sym_new] = ACTIONS(245),
    [anon_sym_make] = ACTIONS(245),
    [anon_sym_PLUS] = ACTIONS(247),
    [anon_sym_DASH] = ACTIONS(247),
    [anon_sym_BANG] = ACTIONS(247),
    [anon_sym_CARET] = ACTIONS(247),
    [anon_sym_AMP] = ACTIONS(247),
    [sym_raw_string_literal] = ACTIONS(249),
    [anon_sym_DQUOTE] = ACTIONS(251),
    [sym_int_literal] = ACTIONS(253),
    [sym_float_literal] = ACTIONS(253),
    [sym_imaginary_literal] = ACTIONS(249),
    [sym_rune_literal] = ACTIONS(249),
    [sym_nil] = ACTIONS(253),
    [sym_true] = ACTIONS(253),
    [sym_false] = ACTIONS(253),
    [sym_iota] = ACTIONS(253),
    [sym_comment] = ACTIONS(3),
  },
};

static const uint16_t ts_small_parse_table[] = {
  [0] = 31,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(23), 1,
      anon_sym_LBRACK,
    ACTIONS(29), 1,
      anon_sym_struct,
    ACTIONS(31), 1,
      anon_sym_TILDE,
    ACTIONS(35), 1,
      anon_sym_interface,
    ACTIONS(37), 1,
      anon_sym_map,
    ACTIONS(39), 1,
      anon_sym_chan,
    ACTIONS(265), 1,
      sym_identifier,
    ACTIONS(267), 1,
      anon_sym_LPAREN,
    ACTIONS(269), 1,
      anon_sym_COMMA,
    ACTIONS(271), 1,
      anon_sym_func,
    ACTIONS(273), 1,
      anon_sym_STAR,
    ACTIONS(275), 1,
      anon_sym_LBRACE,
    ACTIONS(277), 1,
      anon_sym_RBRACE,
    ACTIONS(279), 1,
      anon_sym_LT_DASH,
    ACTIONS(287), 1,
      anon_sym_DQUOTE,
    STATE(577), 1,
      sym__expression,
    STATE(859), 1,
      sym_qualified_type,
    STATE(1015), 1,
      sym_literal_element,
    STATE(1147), 1,
      sym_keyed_element,
    STATE(1192), 1,
      sym_literal_value,
    STATE(1246), 1,
      sym_implicit_length_array_type,
    ACTIONS(281), 2,
      anon_sym_new,
      anon_sym_make,
    STATE(821), 2,
      sym_union_type,
      sym_negated_type,
    STATE(1224), 2,
      sym_parenthesized_type,
      sym__simple_type,
    ACTIONS(285), 3,
      sym_raw_string_literal,
      sym_imaginary_literal,
      sym_rune_literal,
    STATE(830), 4,
      sym_pointer_type,
      sym_interface_type,
      sym_channel_type,
      sym_function_type,
    ACTIONS(283), 5,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_BANG,
      anon_sym_CARET,
      anon_sym_AMP,
    STATE(864), 5,
      sym_generic_type,
      sym_array_type,
      sym_slice_type,
      sym_struct_type,
      sym_map_type,
    ACTIONS(289), 6,
      sym_int_literal,
      sym_float_literal,
      sym_nil,
      sym_true,
      sym_false,
      sym_iota,
    STATE(394), 12,
      sym_parenthesized_expression,
      sym_call_expression,
      sym_selector_expression,
      sym_index_expression,
      sym_slice_expression,
      sym_type_assertion_expression,
      sym_type_conversion_expression,
      sym_composite_literal,
      sym_func_literal,
      sym_unary_expression,
      sym_binary_expression,
      sym_interpreted_string_literal,
  [126] = 31,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(23), 1,
      anon_sym_LBRACK,
    ACTIONS(29), 1,
      anon_sym_struct,
    ACTIONS(31), 1,
      anon_sym_TILDE,
    ACTIONS(35), 1,
      anon_sym_interface,
    ACTIONS(37), 1,
      anon_sym_map,
    ACTIONS(39), 1,
      anon_sym_chan,
    ACTIONS(265), 1,
      sym_identifier,
    ACTIONS(267), 1,
      anon_sym_LPAREN,
    ACTIONS(271), 1,
      anon_sym_func,
    ACTIONS(273), 1,
      anon_sym_STAR,
    ACTIONS(275), 1,
      anon_sym_LBRACE,
    ACTIONS(279), 1,
      anon_sym_LT_DASH,
    ACTIONS(287), 1,
      anon_sym_DQUOTE,
    ACTIONS(291), 1,
      anon_sym_COMMA,
    ACTIONS(293), 1,
      anon_sym_RBRACE,
    STATE(577), 1,
      sym__expression,
    STATE(859), 1,
      sym_qualified_type,
    STATE(1025), 1,
      sym_literal_element,
    STATE(1192), 1,
      sym_literal_value,
    STATE(1195), 1,
      sym_keyed_element,
    STATE(1246), 1,
      sym_implicit_length_array_type,
    ACTIONS(281), 2,
      anon_sym_new,
      anon_sym_make,
    STATE(821), 2,
      sym_union_type,
      sym_negated_type,
    STATE(1224), 2,
      sym_parenthesized_type,
      sym__simple_type,
    ACTIONS(285), 3,
      sym_raw_string_literal,
      sym_imaginary_literal,
      sym_rune_literal,
    STATE(830), 4,
      sym_pointer_type,
      sym_interface_type,
      sym_channel_type,
      sym_function_type,
    ACTIONS(283), 5,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_BANG,
      anon_sym_CARET,
      anon_sym_AMP,
    STATE(864), 5,
      sym_generic_type,
      sym_array_type,
      sym_slice_type,
      sym_struct_type,
      sym_map_type,
    ACTIONS(289), 6,
      sym_int_literal,
      sym_float_literal,
      sym_nil,
      sym_true,
      sym_false,
      sym_iota,
    STATE(394), 12,
      sym_parenthesized_expression,
      sym_call_expression,
      sym_selector_expression,
      sym_index_expression,
      sym_slice_expression,
      sym_type_assertion_expression,
      sym_type_conversion_expression,
      sym_composite_literal,
      sym_func_literal,
      sym_unary_expression,
      sym_binary_expression,
      sym_interpreted_string_literal,
  [252] = 27,
    ACTIONS(29), 1,
      anon_sym_struct,
    ACTIONS(35), 1,
      anon_sym_interface,
    ACTIONS(37), 1,
      anon_sym_map,
    ACTIONS(39), 1,
      anon_sym_chan,
    ACTIONS(295), 1,
      sym_identifier,
    ACTIONS(297), 1,
      anon_sym_LF,
    ACTIONS(301), 1,
      anon_sym_LPAREN,
    ACTIONS(303), 1,
      anon_sym_func,
    ACTIONS(305), 1,
      anon_sym_LBRACK,
    ACTIONS(307), 1,
      anon_sym_STAR,
    ACTIONS(309), 1,
      anon_sym_TILDE,
    ACTIONS(311), 1,
      anon_sym_LT_DASH,
    ACTIONS(319), 1,
      anon_sym_DQUOTE,
    ACTIONS(321), 1,
      sym_comment,
    STATE(426), 1,
      sym__expression,
    STATE(887), 1,
      sym_qualified_type,
    STATE(960), 1,
      sym_expression_list,
    STATE(1229), 1,
      sym_implicit_length_array_type,
    ACTIONS(313), 2,
      anon_sym_new,
      anon_sym_make,
    STATE(821), 2,
      sym_union_type,
      sym_negated_type,
    STATE(1217), 2,
      sym_parenthesized_type,
      sym__simple_type,
    ACTIONS(299), 4,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_case,
      anon_sym_default,
    STATE(830), 4,
      sym_pointer_type,
      sym_interface_type,
      sym_channel_type,
      sym_function_type,
    ACTIONS(315), 5,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_BANG,
      anon_sym_CARET,
      anon_sym_AMP,
    STATE(1074), 5,
      sym_generic_type,
      sym_array_type,
      sym_slice_type,
      sym_struct_type,
      sym_map_type,
    ACTIONS(317), 9,
      sym_raw_string_literal,
      sym_int_literal,
      sym_float_literal,
      sym_imaginary_literal,
      sym_rune_literal,
      sym_nil,
      sym_true,
      sym_false,
      sym_iota,
    STATE(522), 12,
      sym_parenthesized_expression,
      sym_call_expression,
      sym_selector_expression,
      sym_index_expression,
      sym_slice_expression,
      sym_type_assertion_expression,
      sym_type_conversion_expression,
      sym_composite_literal,
      sym_func_literal,
      sym_unary_expression,
      sym_binary_expression,
      sym_interpreted_string_literal,
  [370] = 31,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(23), 1,
      anon_sym_LBRACK,
    ACTIONS(29), 1,
      anon_sym_struct,
    ACTIONS(31), 1,
      anon_sym_TILDE,
    ACTIONS(35), 1,
      anon_sym_interface,
    ACTIONS(37), 1,
      anon_sym_map,
    ACTIONS(39), 1,
      anon_sym_chan,
    ACTIONS(265), 1,
      sym_identifier,
    ACTIONS(267), 1,
      anon_sym_LPAREN,
    ACTIONS(271), 1,
      anon_sym_func,
    ACTIONS(273), 1,
      anon_sym_STAR,
    ACTIONS(275), 1,
      anon_sym_LBRACE,
    ACTIONS(279), 1,
      anon_sym_LT_DASH,
    ACTIONS(287), 1,
      anon_sym_DQUOTE,
    ACTIONS(323), 1,
      anon_sym_COMMA,
    ACTIONS(325), 1,
      anon_sym_RBRACE,
    STATE(577), 1,
      sym__expression,
    STATE(859), 1,
      sym_qualified_type,
    STATE(1059), 1,
      sym_literal_element,
    STATE(1160), 1,
      sym_keyed_element,
    STATE(1192), 1,
      sym_literal_value,
    STATE(1246), 1,
      sym_implicit_length_array_type,
    ACTIONS(281), 2,
      anon_sym_new,
      anon_sym_make,
    STATE(821), 2,
      sym_union_type,
      sym_negated_type,
    STATE(1224), 2,
      sym_parenthesized_type,
      sym__simple_type,
    ACTIONS(285), 3,
      sym_raw_string_literal,
      sym_imaginary_literal,
      sym_rune_literal,
    STATE(830), 4,
      sym_pointer_type,
      sym_interface_type,
      sym_channel_type,
      sym_function_type,
    ACTIONS(283), 5,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_BANG,
      anon_sym_CARET,
      anon_sym_AMP,
    STATE(864), 5,
      sym_generic_type,
      sym_array_type,
      sym_slice_type,
      sym_struct_type,
      sym_map_type,
    ACTIONS(289), 6,
      sym_int_literal,
      sym_float_literal,
      sym_nil,
      sym_true,
      sym_false,
      sym_iota,
    STATE(394), 12,
      sym_parenthesized_expression,
      sym_call_expression,
      sym_selector_expression,
      sym_index_expression,
      sym_slice_expression,
      sym_type_assertion_expression,
      sym_type_conversion_expression,
      sym_composite_literal,
      sym_func_literal,
      sym_unary_expression,
      sym_binary_expression,
      sym_interpreted_string_literal,
  [496] = 31,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(23), 1,
      anon_sym_LBRACK,
    ACTIONS(29), 1,
      anon_sym_struct,
    ACTIONS(31), 1,
      anon_sym_TILDE,
    ACTIONS(35), 1,
      anon_sym_interface,
    ACTIONS(37), 1,
      anon_sym_map,
    ACTIONS(39), 1,
      anon_sym_chan,
    ACTIONS(265), 1,
      sym_identifier,
    ACTIONS(267), 1,
      anon_sym_LPAREN,
    ACTIONS(271), 1,
      anon_sym_func,
    ACTIONS(273), 1,
      anon_sym_STAR,
    ACTIONS(275), 1,
      anon_sym_LBRACE,
    ACTIONS(279), 1,
      anon_sym_LT_DASH,
    ACTIONS(287), 1,
      anon_sym_DQUOTE,
    ACTIONS(327), 1,
      anon_sym_COMMA,
    ACTIONS(329), 1,
      anon_sym_RBRACE,
    STATE(577), 1,
      sym__expression,
    STATE(859), 1,
      sym_qualified_type,
    STATE(1085), 1,
      sym_literal_element,
    STATE(1192), 1,
      sym_literal_value,
    STATE(1193), 1,
      sym_keyed_element,
    STATE(1246), 1,
      sym_implicit_length_array_type,
    ACTIONS(281), 2,
      anon_sym_new,
      anon_sym_make,
    STATE(821), 2,
      sym_union_type,
      sym_negated_type,
    STATE(1224), 2,
      sym_parenthesized_type,
      sym__simple_type,
    ACTIONS(285), 3,
      sym_raw_string_literal,
      sym_imaginary_literal,
      sym_rune_literal,
    STATE(830), 4,
      sym_pointer_type,
      sym_interface_type,
      sym_channel_type,
      sym_function_type,
    ACTIONS(283), 5,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_BANG,
      anon_sym_CARET,
      anon_sym_AMP,
    STATE(864), 5,
      sym_generic_type,
      sym_array_type,
      sym_slice_type,
      sym_struct_type,
      sym_map_type,
    ACTIONS(289), 6,
      sym_int_literal,
      sym_float_literal,
      sym_nil,
      sym_true,
      sym_false,
      sym_iota,
    STATE(394), 12,
      sym_parenthesized_expression,
      sym_call_expression,
      sym_selector_expression,
      sym_index_expression,
      sym_slice_expression,
      sym_type_assertion_expression,
      sym_type_conversion_expression,
      sym_composite_literal,
      sym_func_literal,
      sym_unary_expression,
      sym_binary_expression,
      sym_interpreted_string_literal,
  [622] = 31,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(23), 1,
      anon_sym_LBRACK,
    ACTIONS(29), 1,
      anon_sym_struct,
    ACTIONS(31), 1,
      anon_sym_TILDE,
    ACTIONS(35), 1,
      anon_sym_interface,
    ACTIONS(37), 1,
      anon_sym_map,
    ACTIONS(39), 1,
      anon_sym_chan,
    ACTIONS(265), 1,
      sym_identifier,
    ACTIONS(267), 1,
      anon_sym_LPAREN,
    ACTIONS(271), 1,
      anon_sym_func,
    ACTIONS(273), 1,
      anon_sym_STAR,
    ACTIONS(275), 1,
      anon_sym_LBRACE,
    ACTIONS(279), 1,
      anon_sym_LT_DASH,
    ACTIONS(287), 1,
      anon_sym_DQUOTE,
    ACTIONS(331), 1,
      anon_sym_COMMA,
    ACTIONS(333), 1,
      anon_sym_RBRACE,
    STATE(577), 1,
      sym__expression,
    STATE(859), 1,
      sym_qualified_type,
    STATE(1057), 1,
      sym_literal_element,
    STATE(1174), 1,
      sym_keyed_element,
    STATE(1192), 1,
      sym_literal_value,
    STATE(1246), 1,
      sym_implicit_length_array_type,
    ACTIONS(281), 2,
      anon_sym_new,
      anon_sym_make,
    STATE(821), 2,
      sym_union_type,
      sym_negated_type,
    STATE(1224), 2,
      sym_parenthesized_type,
      sym__simple_type,
    ACTIONS(285), 3,
      sym_raw_string_literal,
      sym_imaginary_literal,
      sym_rune_literal,
    STATE(830), 4,
      sym_pointer_type,
      sym_interface_type,
      sym_channel_type,
      sym_function_type,
    ACTIONS(283), 5,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_BANG,
      anon_sym_CARET,
      anon_sym_AMP,
    STATE(864), 5,
      sym_generic_type,
      sym_array_type,
      sym_slice_type,
      sym_struct_type,
      sym_map_type,
    ACTIONS(289), 6,
      sym_int_literal,
      sym_float_literal,
      sym_nil,
      sym_true,
      sym_false,
      sym_iota,
    STATE(394), 12,
      sym_parenthesized_expression,
      sym_call_expression,
      sym_selector_expression,
      sym_index_expression,
      sym_slice_expression,
      sym_type_assertion_expression,
      sym_type_conversion_expression,
      sym_composite_literal,
      sym_func_literal,
      sym_unary_expression,
      sym_binary_expression,
      sym_interpreted_string_literal,
  [748] = 31,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(23), 1,
      anon_sym_LBRACK,
    ACTIONS(29), 1,
      anon_sym_struct,
    ACTIONS(31), 1,
      anon_sym_TILDE,
    ACTIONS(35), 1,
      anon_sym_interface,
    ACTIONS(37), 1,
      anon_sym_map,
    ACTIONS(39), 1,
      anon_sym_chan,
    ACTIONS(265), 1,
      sym_identifier,
    ACTIONS(267), 1,
      anon_sym_LPAREN,
    ACTIONS(271), 1,
      anon_sym_func,
    ACTIONS(273), 1,
      anon_sym_STAR,
    ACTIONS(275), 1,
      anon_sym_LBRACE,
    ACTIONS(279), 1,
      anon_sym_LT_DASH,
    ACTIONS(287), 1,
      anon_sym_DQUOTE,
    ACTIONS(335), 1,
      anon_sym_COMMA,
    ACTIONS(337), 1,
      anon_sym_RBRACE,
    STATE(577), 1,
      sym__expression,
    STATE(859), 1,
      sym_qualified_type,
    STATE(1090), 1,
      sym_literal_element,
    STATE(1109), 1,
      sym_keyed_element,
    STATE(1192), 1,
      sym_literal_value,
    STATE(1246), 1,
      sym_implicit_length_array_type,
    ACTIONS(281), 2,
      anon_sym_new,
      anon_sym_make,
    STATE(821), 2,
      sym_union_type,
      sym_negated_type,
    STATE(1224), 2,
      sym_parenthesized_type,
      sym__simple_type,
    ACTIONS(285), 3,
      sym_raw_string_literal,
      sym_imaginary_literal,
      sym_rune_literal,
    STATE(830), 4,
      sym_pointer_type,
      sym_interface_type,
      sym_channel_type,
      sym_function_type,
    ACTIONS(283), 5,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_BANG,
      anon_sym_CARET,
      anon_sym_AMP,
    STATE(864), 5,
      sym_generic_type,
      sym_array_type,
      sym_slice_type,
      sym_struct_type,
      sym_map_type,
    ACTIONS(289), 6,
      sym_int_literal,
      sym_float_literal,
      sym_nil,
      sym_true,
      sym_false,
      sym_iota,
    STATE(394), 12,
      sym_parenthesized_expression,
      sym_call_expression,
      sym_selector_expression,
      sym_index_expression,
      sym_slice_expression,
      sym_type_assertion_expression,
      sym_type_conversion_expression,
      sym_composite_literal,
      sym_func_literal,
      sym_unary_expression,
      sym_binary_expression,
      sym_interpreted_string_literal,
  [874] = 30,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(23), 1,
      anon_sym_LBRACK,
    ACTIONS(29), 1,
      anon_sym_struct,
    ACTIONS(31), 1,
      anon_sym_TILDE,
    ACTIONS(35), 1,
      anon_sym_interface,
    ACTIONS(37), 1,
      anon_sym_map,
    ACTIONS(39), 1,
      anon_sym_chan,
    ACTIONS(265), 1,
      sym_identifier,
    ACTIONS(267), 1,
      anon_sym_LPAREN,
    ACTIONS(271), 1,
      anon_sym_func,
    ACTIONS(273), 1,
      anon_sym_STAR,
    ACTIONS(275), 1,
      anon_sym_LBRACE,
    ACTIONS(279), 1,
      anon_sym_LT_DASH,
    ACTIONS(287), 1,
      anon_sym_DQUOTE,
    ACTIONS(339), 1,
      anon_sym_RBRACE,
    STATE(577), 1,
      sym__expression,
    STATE(859), 1,
      sym_qualified_type,
    STATE(1162), 1,
      sym_literal_element,
    STATE(1192), 1,
      sym_literal_value,
    STATE(1246), 1,
      sym_implicit_length_array_type,
    STATE(1270), 1,
      sym_keyed_element,
    ACTIONS(281), 2,
      anon_sym_new,
      anon_sym_make,
    STATE(821), 2,
      sym_union_type,
      sym_negated_type,
    STATE(1224), 2,
      sym_parenthesized_type,
      sym__simple_type,
    ACTIONS(285), 3,
      sym_raw_string_literal,
      sym_imaginary_literal,
      sym_rune_literal,
    STATE(830), 4,
      sym_pointer_type,
      sym_interface_type,
      sym_channel_type,
      sym_function_type,
    ACTIONS(283), 5,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_BANG,
      anon_sym_CARET,
      anon_sym_AMP,
    STATE(864), 5,
      sym_generic_type,
      sym_array_type,
      sym_slice_type,
      sym_struct_type,
      sym_map_type,
    ACTIONS(289), 6,
      sym_int_literal,
      sym_float_literal,
      sym_nil,
      sym_true,
      sym_false,
      sym_iota,
    STATE(394), 12,
      sym_parenthesized_expression,
      sym_call_expression,
      sym_selector_expression,
      sym_index_expression,
      sym_slice_expression,
      sym_type_assertion_expression,
      sym_type_conversion_expression,
      sym_composite_literal,
      sym_func_literal,
      sym_unary_expression,
      sym_binary_expression,
      sym_interpreted_string_literal,
  [997] = 30,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(23), 1,
      anon_sym_LBRACK,
    ACTIONS(29), 1,
      anon_sym_struct,
    ACTIONS(31), 1,
      anon_sym_TILDE,
    ACTIONS(35), 1,
      anon_sym_interface,
    ACTIONS(37), 1,
      anon_sym_map,
    ACTIONS(39), 1,
      anon_sym_chan,
    ACTIONS(265), 1,
      sym_identifier,
    ACTIONS(267), 1,
      anon_sym_LPAREN,
    ACTIONS(271), 1,
      anon_sym_func,
    ACTIONS(273), 1,
      anon_sym_STAR,
    ACTIONS(275), 1,
      anon_sym_LBRACE,
    ACTIONS(279), 1,
      anon_sym_LT_DASH,
    ACTIONS(287), 1,
      anon_sym_DQUOTE,
    ACTIONS(341), 1,
      anon_sym_RBRACE,
    STATE(577), 1,
      sym__expression,
    STATE(859), 1,
      sym_qualified_type,
    STATE(1162), 1,
      sym_literal_element,
    STATE(1192), 1,
      sym_literal_value,
    STATE(1246), 1,
      sym_implicit_length_array_type,
    STATE(1270), 1,
      sym_keyed_element,
    ACTIONS(281), 2,
      anon_sym_new,
      anon_sym_make,
    STATE(821), 2,
      sym_union_type,
      sym_negated_type,
    STATE(1224), 2,
      sym_parenthesized_type,
      sym__simple_type,
    ACTIONS(285), 3,
      sym_raw_string_literal,
      sym_imaginary_literal,
      sym_rune_literal,
    STATE(830), 4,
      sym_pointer_type,
      sym_interface_type,
      sym_channel_type,
      sym_function_type,
    ACTIONS(283), 5,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_BANG,
      anon_sym_CARET,
      anon_sym_AMP,
    STATE(864), 5,
      sym_generic_type,
      sym_array_type,
      sym_slice_type,
      sym_struct_type,
      sym_map_type,
    ACTIONS(289), 6,
      sym_int_literal,
      sym_float_literal,
      sym_nil,
      sym_true,
      sym_false,
      sym_iota,
    STATE(394), 12,
      sym_parenthesized_expression,
      sym_call_expression,
      sym_selector_expression,
      sym_index_expression,
      sym_slice_expression,
      sym_type_assertion_expression,
      sym_type_conversion_expression,
      sym_composite_literal,
      sym_func_literal,
      sym_unary_expression,
      sym_binary_expression,
      sym_interpreted_string_literal,
  [1120] = 30,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(23), 1,
      anon_sym_LBRACK,
    ACTIONS(29), 1,
      anon_sym_struct,
    ACTIONS(31), 1,
      anon_sym_TILDE,
    ACTIONS(35), 1,
      anon_sym_interface,
    ACTIONS(37), 1,
      anon_sym_map,
    ACTIONS(39), 1,
      anon_sym_chan,
    ACTIONS(265), 1,
      sym_identifier,
    ACTIONS(267), 1,
      anon_sym_LPAREN,
    ACTIONS(271), 1,
      anon_sym_func,
    ACTIONS(273), 1,
      anon_sym_STAR,
    ACTIONS(275), 1,
      anon_sym_LBRACE,
    ACTIONS(279), 1,
      anon_sym_LT_DASH,
    ACTIONS(287), 1,
      anon_sym_DQUOTE,
    ACTIONS(343), 1,
      anon_sym_RBRACE,
    STATE(577), 1,
      sym__expression,
    STATE(859), 1,
      sym_qualified_type,
    STATE(1162), 1,
      sym_literal_element,
    STATE(1192), 1,
      sym_literal_value,
    STATE(1246), 1,
      sym_implicit_length_array_type,
    STATE(1270), 1,
      sym_keyed_element,
    ACTIONS(281), 2,
      anon_sym_new,
      anon_sym_make,
    STATE(821), 2,
      sym_union_type,
      sym_negated_type,
    STATE(1224), 2,
      sym_parenthesized_type,
      sym__simple_type,
    ACTIONS(285), 3,
      sym_raw_string_literal,
      sym_imaginary_literal,
      sym_rune_literal,
    STATE(830), 4,
      sym_pointer_type,
      sym_interface_type,
      sym_channel_type,
      sym_function_type,
    ACTIONS(283), 5,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_BANG,
      anon_sym_CARET,
      anon_sym_AMP,
    STATE(864), 5,
      sym_generic_type,
      sym_array_type,
      sym_slice_type,
      sym_struct_type,
      sym_map_type,
    ACTIONS(289), 6,
      sym_int_literal,
      sym_float_literal,
      sym_nil,
      sym_true,
      sym_false,
      sym_iota,
    STATE(394), 12,
      sym_parenthesized_expression,
      sym_call_expression,
      sym_selector_expression,
      sym_index_expression,
      sym_slice_expression,
      sym_type_assertion_expression,
      sym_type_conversion_expression,
      sym_composite_literal,
      sym_func_literal,
      sym_unary_expression,
      sym_binary_expression,
      sym_interpreted_string_literal,
  [1243] = 30,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(23), 1,
      anon_sym_LBRACK,
    ACTIONS(29), 1,
      anon_sym_struct,
    ACTIONS(31), 1,
      anon_sym_TILDE,
    ACTIONS(35), 1,
      anon_sym_interface,
    ACTIONS(37), 1,
      anon_sym_map,
    ACTIONS(39), 1,
      anon_sym_chan,
    ACTIONS(265), 1,
      sym_identifier,
    ACTIONS(267), 1,
      anon_sym_LPAREN,
    ACTIONS(271), 1,
      anon_sym_func,
    ACTIONS(273), 1,
      anon_sym_STAR,
    ACTIONS(275), 1,
      anon_sym_LBRACE,
    ACTIONS(279), 1,
      anon_sym_LT_DASH,
    ACTIONS(287), 1,
      anon_sym_DQUOTE,
    ACTIONS(345), 1,
      anon_sym_RBRACE,
    STATE(577), 1,
      sym__expression,
    STATE(859), 1,
      sym_qualified_type,
    STATE(1162), 1,
      sym_literal_element,
    STATE(1192), 1,
      sym_literal_value,
    STATE(1246), 1,
      sym_implicit_length_array_type,
    STATE(1270), 1,
      sym_keyed_element,
    ACTIONS(281), 2,
      anon_sym_new,
      anon_sym_make,
    STATE(821), 2,
      sym_union_type,
      sym_negated_type,
    STATE(1224), 2,
      sym_parenthesized_type,
      sym__simple_type,
    ACTIONS(285), 3,
      sym_raw_string_literal,
      sym_imaginary_literal,
      sym_rune_literal,
    STATE(830), 4,
      sym_pointer_type,
      sym_interface_type,
      sym_channel_type,
      sym_function_type,
    ACTIONS(283), 5,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_BANG,
      anon_sym_CARET,
      anon_sym_AMP,
    STATE(864), 5,
      sym_generic_type,
      sym_array_type,
      sym_slice_type,
      sym_struct_type,
      sym_map_type,
    ACTIONS(289), 6,
      sym_int_literal,
      sym_float_literal,
      sym_nil,
      sym_true,
      sym_false,
      sym_iota,
    STATE(394), 12,
      sym_parenthesized_expression,
      sym_call_expression,
      sym_selector_expression,
      sym_index_expression,
      sym_slice_expression,
      sym_type_assertion_expression,
      sym_type_conversion_expression,
      sym_composite_literal,
      sym_func_literal,
      sym_unary_expression,
      sym_binary_expression,
      sym_interpreted_string_literal,
  [1366] = 30,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(23), 1,
      anon_sym_LBRACK,
    ACTIONS(29), 1,
      anon_sym_struct,
    ACTIONS(31), 1,
      anon_sym_TILDE,
    ACTIONS(35), 1,
      anon_sym_interface,
    ACTIONS(37), 1,
      anon_sym_map,
    ACTIONS(39), 1,
      anon_sym_chan,
    ACTIONS(265), 1,
      sym_identifier,
    ACTIONS(267), 1,
      anon_sym_LPAREN,
    ACTIONS(271), 1,
      anon_sym_func,
    ACTIONS(273), 1,
      anon_sym_STAR,
    ACTIONS(275), 1,
      anon_sym_LBRACE,
    ACTIONS(279), 1,
      anon_sym_LT_DASH,
    ACTIONS(287), 1,
      anon_sym_DQUOTE,
    ACTIONS(347), 1,
      anon_sym_RBRACE,
    STATE(577), 1,
      sym__expression,
    STATE(859), 1,
      sym_qualified_type,
    STATE(1162), 1,
      sym_literal_element,
    STATE(1192), 1,
      sym_literal_value,
    STATE(1246), 1,
      sym_implicit_length_array_type,
    STATE(1270), 1,
      sym_keyed_element,
    ACTIONS(281), 2,
      anon_sym_new,
      anon_sym_make,
    STATE(821), 2,
      sym_union_type,
      sym_negated_type,
    STATE(1224), 2,
      sym_parenthesized_type,
      sym__simple_type,
    ACTIONS(285), 3,
      sym_raw_string_literal,
      sym_imaginary_literal,
      sym_rune_literal,
    STATE(830), 4,
      sym_pointer_type,
      sym_interface_type,
      sym_channel_type,
      sym_function_type,
    ACTIONS(283), 5,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_BANG,
      anon_sym_CARET,
      anon_sym_AMP,
    STATE(864), 5,
      sym_generic_type,
      sym_array_type,
      sym_slice_type,
      sym_struct_type,
      sym_map_type,
    ACTIONS(289), 6,
      sym_int_literal,
      sym_float_literal,
      sym_nil,
      sym_true,
      sym_false,
      sym_iota,
    STATE(394), 12,
      sym_parenthesized_expression,
      sym_call_expression,
      sym_selector_expression,
      sym_index_expression,
      sym_slice_expression,
      sym_type_assertion_expression,
      sym_type_conversion_expression,
      sym_composite_literal,
      sym_func_literal,
      sym_unary_expression,
      sym_binary_expression,
      sym_interpreted_string_literal,
  [1489] = 30,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(23), 1,
      anon_sym_LBRACK,
    ACTIONS(29), 1,
      anon_sym_struct,
    ACTIONS(31), 1,
      anon_sym_TILDE,
    ACTIONS(35), 1,
      anon_sym_interface,
    ACTIONS(37), 1,
      anon_sym_map,
    ACTIONS(39), 1,
      anon_sym_chan,
    ACTIONS(265), 1,
      sym_identifier,
    ACTIONS(267), 1,
      anon_sym_LPAREN,
    ACTIONS(271), 1,
      anon_sym_func,
    ACTIONS(273), 1,
      anon_sym_STAR,
    ACTIONS(275), 1,
      anon_sym_LBRACE,
    ACTIONS(279), 1,
      anon_sym_LT_DASH,
    ACTIONS(287), 1,
      anon_sym_DQUOTE,
    ACTIONS(349), 1,
      anon_sym_RBRACE,
    STATE(577), 1,
      sym__expression,
    STATE(859), 1,
      sym_qualified_type,
    STATE(1162), 1,
      sym_literal_element,
    STATE(1192), 1,
      sym_literal_value,
    STATE(1246), 1,
      sym_implicit_length_array_type,
    STATE(1270), 1,
      sym_keyed_element,
    ACTIONS(281), 2,
      anon_sym_new,
      anon_sym_make,
    STATE(821), 2,
      sym_union_type,
      sym_negated_type,
    STATE(1224), 2,
      sym_parenthesized_type,
      sym__simple_type,
    ACTIONS(285), 3,
      sym_raw_string_literal,
      sym_imaginary_literal,
      sym_rune_literal,
    STATE(830), 4,
      sym_pointer_type,
      sym_interface_type,
      sym_channel_type,
      sym_function_type,
    ACTIONS(283), 5,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_BANG,
      anon_sym_CARET,
      anon_sym_AMP,
    STATE(864), 5,
      sym_generic_type,
      sym_array_type,
      sym_slice_type,
      sym_struct_type,
      sym_map_type,
    ACTIONS(289), 6,
      sym_int_literal,
      sym_float_literal,
      sym_nil,
      sym_true,
      sym_false,
      sym_iota,
    STATE(394), 12,
      sym_parenthesized_expression,
      sym_call_expression,
      sym_selector_expression,
      sym_index_expression,
      sym_slice_expression,
      sym_type_assertion_expression,
      sym_type_conversion_expression,
      sym_composite_literal,
      sym_func_literal,
      sym_unary_expression,
      sym_binary_expression,
      sym_interpreted_string_literal,
  [1612] = 30,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(23), 1,
      anon_sym_LBRACK,
    ACTIONS(29), 1,
      anon_sym_struct,
    ACTIONS(31), 1,
      anon_sym_TILDE,
    ACTIONS(35), 1,
      anon_sym_interface,
    ACTIONS(37), 1,
      anon_sym_map,
    ACTIONS(39), 1,
      anon_sym_chan,
    ACTIONS(265), 1,
      sym_identifier,
    ACTIONS(267), 1,
      anon_sym_LPAREN,
    ACTIONS(271), 1,
      anon_sym_func,
    ACTIONS(273), 1,
      anon_sym_STAR,
    ACTIONS(275), 1,
      anon_sym_LBRACE,
    ACTIONS(279), 1,
      anon_sym_LT_DASH,
    ACTIONS(287), 1,
      anon_sym_DQUOTE,
    ACTIONS(351), 1,
      anon_sym_RBRACE,
    STATE(577), 1,
      sym__expression,
    STATE(859), 1,
      sym_qualified_type,
    STATE(1162), 1,
      sym_literal_element,
    STATE(1192), 1,
      sym_literal_value,
    STATE(1246), 1,
      sym_implicit_length_array_type,
    STATE(1270), 1,
      sym_keyed_element,
    ACTIONS(281), 2,
      anon_sym_new,
      anon_sym_make,
    STATE(821), 2,
      sym_union_type,
      sym_negated_type,
    STATE(1224), 2,
      sym_parenthesized_type,
      sym__simple_type,
    ACTIONS(285), 3,
      sym_raw_string_literal,
      sym_imaginary_literal,
      sym_rune_literal,
    STATE(830), 4,
      sym_pointer_type,
      sym_interface_type,
      sym_channel_type,
      sym_function_type,
    ACTIONS(283), 5,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_BANG,
      anon_sym_CARET,
      anon_sym_AMP,
    STATE(864), 5,
      sym_generic_type,
      sym_array_type,
      sym_slice_type,
      sym_struct_type,
      sym_map_type,
    ACTIONS(289), 6,
      sym_int_literal,
      sym_float_literal,
      sym_nil,
      sym_true,
      sym_false,
      sym_iota,
    STATE(394), 12,
      sym_parenthesized_expression,
      sym_call_expression,
      sym_selector_expression,
      sym_index_expression,
      sym_slice_expression,
      sym_type_assertion_expression,
      sym_type_conversion_expression,
      sym_composite_literal,
      sym_func_literal,
      sym_unary_expression,
      sym_binary_expression,
      sym_interpreted_string_literal,
  [1735] = 30,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(23), 1,
      anon_sym_LBRACK,
    ACTIONS(29), 1,
      anon_sym_struct,
    ACTIONS(31), 1,
      anon_sym_TILDE,
    ACTIONS(35), 1,
      anon_sym_interface,
    ACTIONS(37), 1,
      anon_sym_map,
    ACTIONS(39), 1,
      anon_sym_chan,
    ACTIONS(265), 1,
      sym_identifier,
    ACTIONS(267), 1,
      anon_sym_LPAREN,
    ACTIONS(271), 1,
      anon_sym_func,
    ACTIONS(273), 1,
      anon_sym_STAR,
    ACTIONS(275), 1,
      anon_sym_LBRACE,
    ACTIONS(279), 1,
      anon_sym_LT_DASH,
    ACTIONS(287), 1,
      anon_sym_DQUOTE,
    ACTIONS(353), 1,
      anon_sym_RBRACE,
    STATE(577), 1,
      sym__expression,
    STATE(859), 1,
      sym_qualified_type,
    STATE(1162), 1,
      sym_literal_element,
    STATE(1192), 1,
      sym_literal_value,
    STATE(1246), 1,
      sym_implicit_length_array_type,
    STATE(1270), 1,
      sym_keyed_element,
    ACTIONS(281), 2,
      anon_sym_new,
      anon_sym_make,
    STATE(821), 2,
      sym_union_type,
      sym_negated_type,
    STATE(1224), 2,
      sym_parenthesized_type,
      sym__simple_type,
    ACTIONS(285), 3,
      sym_raw_string_literal,
      sym_imaginary_literal,
      sym_rune_literal,
    STATE(830), 4,
      sym_pointer_type,
      sym_interface_type,
      sym_channel_type,
      sym_function_type,
    ACTIONS(283), 5,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_BANG,
      anon_sym_CARET,
      anon_sym_AMP,
    STATE(864), 5,
      sym_generic_type,
      sym_array_type,
      sym_slice_type,
      sym_struct_type,
      sym_map_type,
    ACTIONS(289), 6,
      sym_int_literal,
      sym_float_literal,
      sym_nil,
      sym_true,
      sym_false,
      sym_iota,
    STATE(394), 12,
      sym_parenthesized_expression,
      sym_call_expression,
      sym_selector_expression,
      sym_index_expression,
      sym_slice_expression,
      sym_type_assertion_expression,
      sym_type_conversion_expression,
      sym_composite_literal,
      sym_func_literal,
      sym_unary_expression,
      sym_binary_expression,
      sym_interpreted_string_literal,
  [1858] = 30,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(23), 1,
      anon_sym_LBRACK,
    ACTIONS(29), 1,
      anon_sym_struct,
    ACTIONS(31), 1,
      anon_sym_TILDE,
    ACTIONS(35), 1,
      anon_sym_interface,
    ACTIONS(37), 1,
      anon_sym_map,
    ACTIONS(39), 1,
      anon_sym_chan,
    ACTIONS(265), 1,
      sym_identifier,
    ACTIONS(267), 1,
      anon_sym_LPAREN,
    ACTIONS(271), 1,
      anon_sym_func,
    ACTIONS(273), 1,
      anon_sym_STAR,
    ACTIONS(275), 1,
      anon_sym_LBRACE,
    ACTIONS(279), 1,
      anon_sym_LT_DASH,
    ACTIONS(287), 1,
      anon_sym_DQUOTE,
    ACTIONS(355), 1,
      anon_sym_RBRACE,
    STATE(577), 1,
      sym__expression,
    STATE(859), 1,
      sym_qualified_type,
    STATE(1162), 1,
      sym_literal_element,
    STATE(1192), 1,
      sym_literal_value,
    STATE(1246), 1,
      sym_implicit_length_array_type,
    STATE(1270), 1,
      sym_keyed_element,
    ACTIONS(281), 2,
      anon_sym_new,
      anon_sym_make,
    STATE(821), 2,
      sym_union_type,
      sym_negated_type,
    STATE(1224), 2,
      sym_parenthesized_type,
      sym__simple_type,
    ACTIONS(285), 3,
      sym_raw_string_literal,
      sym_imaginary_literal,
      sym_rune_literal,
    STATE(830), 4,
      sym_pointer_type,
      sym_interface_type,
      sym_channel_type,
      sym_function_type,
    ACTIONS(283), 5,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_BANG,
      anon_sym_CARET,
      anon_sym_AMP,
    STATE(864), 5,
      sym_generic_type,
      sym_array_type,
      sym_slice_type,
      sym_struct_type,
      sym_map_type,
    ACTIONS(289), 6,
      sym_int_literal,
      sym_float_literal,
      sym_nil,
      sym_true,
      sym_false,
      sym_iota,
    STATE(394), 12,
      sym_parenthesized_expression,
      sym_call_expression,
      sym_selector_expression,
      sym_index_expression,
      sym_slice_expression,
      sym_type_assertion_expression,
      sym_type_conversion_expression,
      sym_composite_literal,
      sym_func_literal,
      sym_unary_expression,
      sym_binary_expression,
      sym_interpreted_string_literal,
  [1981] = 30,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(23), 1,
      anon_sym_LBRACK,
    ACTIONS(29), 1,
      anon_sym_struct,
    ACTIONS(31), 1,
      anon_sym_TILDE,
    ACTIONS(35), 1,
      anon_sym_interface,
    ACTIONS(37), 1,
      anon_sym_map,
    ACTIONS(39), 1,
      anon_sym_chan,
    ACTIONS(265), 1,
      sym_identifier,
    ACTIONS(267), 1,
      anon_sym_LPAREN,
    ACTIONS(271), 1,
      anon_sym_func,
    ACTIONS(273), 1,
      anon_sym_STAR,
    ACTIONS(275), 1,
      anon_sym_LBRACE,
    ACTIONS(279), 1,
      anon_sym_LT_DASH,
    ACTIONS(287), 1,
      anon_sym_DQUOTE,
    ACTIONS(357), 1,
      anon_sym_RBRACE,
    STATE(577), 1,
      sym__expression,
    STATE(859), 1,
      sym_qualified_type,
    STATE(1162), 1,
      sym_literal_element,
    STATE(1192), 1,
      sym_literal_value,
    STATE(1246), 1,
      sym_implicit_length_array_type,
    STATE(1270), 1,
      sym_keyed_element,
    ACTIONS(281), 2,
      anon_sym_new,
      anon_sym_make,
    STATE(821), 2,
      sym_union_type,
      sym_negated_type,
    STATE(1224), 2,
      sym_parenthesized_type,
      sym__simple_type,
    ACTIONS(285), 3,
      sym_raw_string_literal,
      sym_imaginary_literal,
      sym_rune_literal,
    STATE(830), 4,
      sym_pointer_type,
      sym_interface_type,
      sym_channel_type,
      sym_function_type,
    ACTIONS(283), 5,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_BANG,
      anon_sym_CARET,
      anon_sym_AMP,
    STATE(864), 5,
      sym_generic_type,
      sym_array_type,
      sym_slice_type,
      sym_struct_type,
      sym_map_type,
    ACTIONS(289), 6,
      sym_int_literal,
      sym_float_literal,
      sym_nil,
      sym_true,
      sym_false,
      sym_iota,
    STATE(394), 12,
      sym_parenthesized_expression,
      sym_call_expression,
      sym_selector_expression,
      sym_index_expression,
      sym_slice_expression,
      sym_type_assertion_expression,
      sym_type_conversion_expression,
      sym_composite_literal,
      sym_func_literal,
      sym_unary_expression,
      sym_binary_expression,
      sym_interpreted_string_literal,
  [2104] = 30,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(23), 1,
      anon_sym_LBRACK,
    ACTIONS(29), 1,
      anon_sym_struct,
    ACTIONS(31), 1,
      anon_sym_TILDE,
    ACTIONS(35), 1,
      anon_sym_interface,
    ACTIONS(37), 1,
      anon_sym_map,
    ACTIONS(39), 1,
      anon_sym_chan,
    ACTIONS(265), 1,
      sym_identifier,
    ACTIONS(267), 1,
      anon_sym_LPAREN,
    ACTIONS(271), 1,
      anon_sym_func,
    ACTIONS(273), 1,
      anon_sym_STAR,
    ACTIONS(275), 1,
      anon_sym_LBRACE,
    ACTIONS(279), 1,
      anon_sym_LT_DASH,
    ACTIONS(287), 1,
      anon_sym_DQUOTE,
    ACTIONS(359), 1,
      anon_sym_RBRACE,
    STATE(577), 1,
      sym__expression,
    STATE(859), 1,
      sym_qualified_type,
    STATE(1162), 1,
      sym_literal_element,
    STATE(1192), 1,
      sym_literal_value,
    STATE(1246), 1,
      sym_implicit_length_array_type,
    STATE(1270), 1,
      sym_keyed_element,
    ACTIONS(281), 2,
      anon_sym_new,
      anon_sym_make,
    STATE(821), 2,
      sym_union_type,
      sym_negated_type,
    STATE(1224), 2,
      sym_parenthesized_type,
      sym__simple_type,
    ACTIONS(285), 3,
      sym_raw_string_literal,
      sym_imaginary_literal,
      sym_rune_literal,
    STATE(830), 4,
      sym_pointer_type,
      sym_interface_type,
      sym_channel_type,
      sym_function_type,
    ACTIONS(283), 5,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_BANG,
      anon_sym_CARET,
      anon_sym_AMP,
    STATE(864), 5,
      sym_generic_type,
      sym_array_type,
      sym_slice_type,
      sym_struct_type,
      sym_map_type,
    ACTIONS(289), 6,
      sym_int_literal,
      sym_float_literal,
      sym_nil,
      sym_true,
      sym_false,
      sym_iota,
    STATE(394), 12,
      sym_parenthesized_expression,
      sym_call_expression,
      sym_selector_expression,
      sym_index_expression,
      sym_slice_expression,
      sym_type_assertion_expression,
      sym_type_conversion_expression,
      sym_composite_literal,
      sym_func_literal,
      sym_unary_expression,
      sym_binary_expression,
      sym_interpreted_string_literal,
  [2227] = 30,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(23), 1,
      anon_sym_LBRACK,
    ACTIONS(29), 1,
      anon_sym_struct,
    ACTIONS(31), 1,
      anon_sym_TILDE,
    ACTIONS(35), 1,
      anon_sym_interface,
    ACTIONS(37), 1,
      anon_sym_map,
    ACTIONS(39), 1,
      anon_sym_chan,
    ACTIONS(265), 1,
      sym_identifier,
    ACTIONS(267), 1,
      anon_sym_LPAREN,
    ACTIONS(271), 1,
      anon_sym_func,
    ACTIONS(273), 1,
      anon_sym_STAR,
    ACTIONS(275), 1,
      anon_sym_LBRACE,
    ACTIONS(279), 1,
      anon_sym_LT_DASH,
    ACTIONS(287), 1,
      anon_sym_DQUOTE,
    ACTIONS(361), 1,
      anon_sym_RBRACE,
    STATE(577), 1,
      sym__expression,
    STATE(859), 1,
      sym_qualified_type,
    STATE(1162), 1,
      sym_literal_element,
    STATE(1192), 1,
      sym_literal_value,
    STATE(1246), 1,
      sym_implicit_length_array_type,
    STATE(1270), 1,
      sym_keyed_element,
    ACTIONS(281), 2,
      anon_sym_new,
      anon_sym_make,
    STATE(821), 2,
      sym_union_type,
      sym_negated_type,
    STATE(1224), 2,
      sym_parenthesized_type,
      sym__simple_type,
    ACTIONS(285), 3,
      sym_raw_string_literal,
      sym_imaginary_literal,
      sym_rune_literal,
    STATE(830), 4,
      sym_pointer_type,
      sym_interface_type,
      sym_channel_type,
      sym_function_type,
    ACTIONS(283), 5,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_BANG,
      anon_sym_CARET,
      anon_sym_AMP,
    STATE(864), 5,
      sym_generic_type,
      sym_array_type,
      sym_slice_type,
      sym_struct_type,
      sym_map_type,
    ACTIONS(289), 6,
      sym_int_literal,
      sym_float_literal,
      sym_nil,
      sym_true,
      sym_false,
      sym_iota,
    STATE(394), 12,
      sym_parenthesized_expression,
      sym_call_expression,
      sym_selector_expression,
      sym_index_expression,
      sym_slice_expression,
      sym_type_assertion_expression,
      sym_type_conversion_expression,
      sym_composite_literal,
      sym_func_literal,
      sym_unary_expression,
      sym_binary_expression,
      sym_interpreted_string_literal,
  [2350] = 29,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(23), 1,
      anon_sym_LBRACK,
    ACTIONS(29), 1,
      anon_sym_struct,
    ACTIONS(31), 1,
      anon_sym_TILDE,
    ACTIONS(35), 1,
      anon_sym_interface,
    ACTIONS(37), 1,
      anon_sym_map,
    ACTIONS(39), 1,
      anon_sym_chan,
    ACTIONS(265), 1,
      sym_identifier,
    ACTIONS(267), 1,
      anon_sym_LPAREN,
    ACTIONS(271), 1,
      anon_sym_func,
    ACTIONS(273), 1,
      anon_sym_STAR,
    ACTIONS(275), 1,
      anon_sym_LBRACE,
    ACTIONS(279), 1,
      anon_sym_LT_DASH,
    ACTIONS(287), 1,
      anon_sym_DQUOTE,
    STATE(577), 1,
      sym__expression,
    STATE(859), 1,
      sym_qualified_type,
    STATE(1162), 1,
      sym_literal_element,
    STATE(1192), 1,
      sym_literal_value,
    STATE(1246), 1,
      sym_implicit_length_array_type,
    STATE(1270), 1,
      sym_keyed_element,
    ACTIONS(281), 2,
      anon_sym_new,
      anon_sym_make,
    STATE(821), 2,
      sym_union_type,
      sym_negated_type,
    STATE(1224), 2,
      sym_parenthesized_type,
      sym__simple_type,
    ACTIONS(285), 3,
      sym_raw_string_literal,
      sym_imaginary_literal,
      sym_rune_literal,
    STATE(830), 4,
      sym_pointer_type,
      sym_interface_type,
      sym_channel_type,
      sym_function_type,
    ACTIONS(283), 5,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_BANG,
      anon_sym_CARET,
      anon_sym_AMP,
    STATE(864), 5,
      sym_generic_type,
      sym_array_type,
      sym_slice_type,
      sym_struct_type,
      sym_map_type,
    ACTIONS(289), 6,
      sym_int_literal,
      sym_float_literal,
      sym_nil,
      sym_true,
      sym_false,
      sym_iota,
    STATE(394), 12,
      sym_parenthesized_expression,
      sym_call_expression,
      sym_selector_expression,
      sym_index_expression,
      sym_slice_expression,
      sym_type_assertion_expression,
      sym_type_conversion_expression,
      sym_composite_literal,
      sym_func_literal,
      sym_unary_expression,
      sym_binary_expression,
      sym_interpreted_string_literal,
  [2470] = 28,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(23), 1,
      anon_sym_LBRACK,
    ACTIONS(29), 1,
      anon_sym_struct,
    ACTIONS(31), 1,
      anon_sym_TILDE,
    ACTIONS(35), 1,
      anon_sym_interface,
    ACTIONS(37), 1,
      anon_sym_map,
    ACTIONS(39), 1,
      anon_sym_chan,
    ACTIONS(265), 1,
      sym_identifier,
    ACTIONS(267), 1,
      anon_sym_LPAREN,
    ACTIONS(271), 1,
      anon_sym_func,
    ACTIONS(273), 1,
      anon_sym_STAR,
    ACTIONS(275), 1,
      anon_sym_LBRACE,
    ACTIONS(279), 1,
      anon_sym_LT_DASH,
    ACTIONS(287), 1,
      anon_sym_DQUOTE,
    STATE(577), 1,
      sym__expression,
    STATE(859), 1,
      sym_qualified_type,
    STATE(1192), 1,
      sym_literal_value,
    STATE(1246), 1,
      sym_implicit_length_array_type,
    STATE(1271), 1,
      sym_literal_element,
    ACTIONS(281), 2,
      anon_sym_new,
      anon_sym_make,
    STATE(821), 2,
      sym_union_type,
      sym_negated_type,
    STATE(1224), 2,
      sym_parenthesized_type,
      sym__simple_type,
    ACTIONS(285), 3,
      sym_raw_string_literal,
      sym_imaginary_literal,
      sym_rune_literal,
    STATE(830), 4,
      sym_pointer_type,
      sym_interface_type,
      sym_channel_type,
      sym_function_type,
    ACTIONS(283), 5,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_BANG,
      anon_sym_CARET,
      anon_sym_AMP,
    STATE(864), 5,
      sym_generic_type,
      sym_array_type,
      sym_slice_type,
      sym_struct_type,
      sym_map_type,
    ACTIONS(289), 6,
      sym_int_literal,
      sym_float_literal,
      sym_nil,
      sym_true,
      sym_false,
      sym_iota,
    STATE(394), 12,
      sym_parenthesized_expression,
      sym_call_expression,
      sym_selector_expression,
      sym_index_expression,
      sym_slice_expression,
      sym_type_assertion_expression,
      sym_type_conversion_expression,
      sym_composite_literal,
      sym_func_literal,
      sym_unary_expression,
      sym_binary_expression,
      sym_interpreted_string_literal,
  [2587] = 27,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(23), 1,
      anon_sym_LBRACK,
    ACTIONS(29), 1,
      anon_sym_struct,
    ACTIONS(31), 1,
      anon_sym_TILDE,
    ACTIONS(35), 1,
      anon_sym_interface,
    ACTIONS(37), 1,
      anon_sym_map,
    ACTIONS(39), 1,
      anon_sym_chan,
    ACTIONS(363), 1,
      sym_identifier,
    ACTIONS(365), 1,
      anon_sym_LPAREN,
    ACTIONS(367), 1,
      anon_sym_func,
    ACTIONS(369), 1,
      anon_sym_STAR,
    ACTIONS(371), 1,
      anon_sym_LT_DASH,
    ACTIONS(379), 1,
      anon_sym_DQUOTE,
    STATE(447), 1,
      sym__expression,
    STATE(910), 1,
      sym_qualified_type,
    STATE(1219), 1,
      sym_expression_list,
    STATE(1255), 1,
      sym_implicit_length_array_type,
    ACTIONS(373), 2,
      anon_sym_new,
      anon_sym_make,
    STATE(821), 2,
      sym_union_type,
      sym_negated_type,
    STATE(1210), 2,
      sym_parenthesized_type,
      sym__simple_type,
    STATE(1358), 2,
      sym_send_statement,
      sym_receive_statement,
    ACTIONS(377), 3,
      sym_raw_string_literal,
      sym_imaginary_literal,
      sym_rune_literal,
    STATE(830), 4,
      sym_pointer_type,
      sym_interface_type,
      sym_channel_type,
      sym_function_type,
    ACTIONS(375), 5,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_BANG,
      anon_sym_CARET,
      anon_sym_AMP,
    STATE(1076), 5,
      sym_generic_type,
      sym_array_type,
      sym_slice_type,
      sym_struct_type,
      sym_map_type,
    ACTIONS(381), 6,
      sym_int_literal,
      sym_float_literal,
      sym_nil,
      sym_true,
      sym_false,
      sym_iota,
    STATE(582), 12,
      sym_parenthesized_expression,
      sym_call_expression,
      sym_selector_expression,
      sym_index_expression,
      sym_slice_expression,
      sym_type_assertion_expression,
      sym_type_conversion_expression,
      sym_composite_literal,
      sym_func_literal,
      sym_unary_expression,
      sym_binary_expression,
      sym_interpreted_string_literal,
  [2702] = 27,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(23), 1,
      anon_sym_LBRACK,
    ACTIONS(29), 1,
      anon_sym_struct,
    ACTIONS(31), 1,
      anon_sym_TILDE,
    ACTIONS(35), 1,
      anon_sym_interface,
    ACTIONS(37), 1,
      anon_sym_map,
    ACTIONS(39), 1,
      anon_sym_chan,
    ACTIONS(267), 1,
      anon_sym_LPAREN,
    ACTIONS(271), 1,
      anon_sym_func,
    ACTIONS(287), 1,
      anon_sym_DQUOTE,
    ACTIONS(383), 1,
      sym_identifier,
    ACTIONS(385), 1,
      anon_sym_RPAREN,
    ACTIONS(387), 1,
      anon_sym_STAR,
    ACTIONS(389), 1,
      anon_sym_LT_DASH,
    STATE(586), 1,
      sym__expression,
    STATE(859), 1,
      sym_qualified_type,
    STATE(1246), 1,
      sym_implicit_length_array_type,
    STATE(1274), 1,
      sym_variadic_argument,
    ACTIONS(281), 2,
      anon_sym_new,
      anon_sym_make,
    STATE(821), 2,
      sym_union_type,
      sym_negated_type,
    STATE(1224), 2,
      sym_parenthesized_type,
      sym__simple_type,
    ACTIONS(285), 3,
      sym_raw_string_literal,
      sym_imaginary_literal,
      sym_rune_literal,
    STATE(830), 4,
      sym_pointer_type,
      sym_interface_type,
      sym_channel_type,
      sym_function_type,
    ACTIONS(391), 5,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_BANG,
      anon_sym_CARET,
      anon_sym_AMP,
    STATE(864), 5,
      sym_generic_type,
      sym_array_type,
      sym_slice_type,
      sym_struct_type,
      sym_map_type,
    ACTIONS(289), 6,
      sym_int_literal,
      sym_float_literal,
      sym_nil,
      sym_true,
      sym_false,
      sym_iota,
    STATE(394), 12,
      sym_parenthesized_expression,
      sym_call_expression,
      sym_selector_expression,
      sym_index_expression,
      sym_slice_expression,
      sym_type_assertion_expression,
      sym_type_conversion_expression,
      sym_composite_literal,
      sym_func_literal,
      sym_unary_expression,
      sym_binary_expression,
      sym_interpreted_string_literal,
  [2816] = 27,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(23), 1,
      anon_sym_LBRACK,
    ACTIONS(29), 1,
      anon_sym_struct,
    ACTIONS(31), 1,
      anon_sym_TILDE,
    ACTIONS(35), 1,
      anon_sym_interface,
    ACTIONS(37), 1,
      anon_sym_map,
    ACTIONS(39), 1,
      anon_sym_chan,
    ACTIONS(267), 1,
      anon_sym_LPAREN,
    ACTIONS(271), 1,
      anon_sym_func,
    ACTIONS(287), 1,
      anon_sym_DQUOTE,
    ACTIONS(383), 1,
      sym_identifier,
    ACTIONS(387), 1,
      anon_sym_STAR,
    ACTIONS(389), 1,
      anon_sym_LT_DASH,
    ACTIONS(393), 1,
      anon_sym_RPAREN,
    STATE(586), 1,
      sym__expression,
    STATE(859), 1,
      sym_qualified_type,
    STATE(1246), 1,
      sym_implicit_length_array_type,
    STATE(1274), 1,
      sym_variadic_argument,
    ACTIONS(281), 2,
      anon_sym_new,
      anon_sym_make,
    STATE(821), 2,
      sym_union_type,
      sym_negated_type,
    STATE(1224), 2,
      sym_parenthesized_type,
      sym__simple_type,
    ACTIONS(285), 3,
      sym_raw_string_literal,
      sym_imaginary_literal,
      sym_rune_literal,
    STATE(830), 4,
      sym_pointer_type,
      sym_interface_type,
      sym_channel_type,
      sym_function_type,
    ACTIONS(391), 5,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_BANG,
      anon_sym_CARET,
      anon_sym_AMP,
    STATE(864), 5,
      sym_generic_type,
      sym_array_type,
      sym_slice_type,
      sym_struct_type,
      sym_map_type,
    ACTIONS(289), 6,
      sym_int_literal,
      sym_float_literal,
      sym_nil,
      sym_true,
      sym_false,
      sym_iota,
    STATE(394), 12,
      sym_parenthesized_expression,
      sym_call_expression,
      sym_selector_expression,
      sym_index_expression,
      sym_slice_expression,
      sym_type_assertion_expression,
      sym_type_conversion_expression,
      sym_composite_literal,
      sym_func_literal,
      sym_unary_expression,
      sym_binary_expression,
      sym_interpreted_string_literal,
  [2930] = 27,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(23), 1,
      anon_sym_LBRACK,
    ACTIONS(29), 1,
      anon_sym_struct,
    ACTIONS(31), 1,
      anon_sym_TILDE,
    ACTIONS(35), 1,
      anon_sym_interface,
    ACTIONS(37), 1,
      anon_sym_map,
    ACTIONS(39), 1,
      anon_sym_chan,
    ACTIONS(267), 1,
      anon_sym_LPAREN,
    ACTIONS(271), 1,
      anon_sym_func,
    ACTIONS(287), 1,
      anon_sym_DQUOTE,
    ACTIONS(383), 1,
      sym_identifier,
    ACTIONS(387), 1,
      anon_sym_STAR,
    ACTIONS(389), 1,
      anon_sym_LT_DASH,
    ACTIONS(395), 1,
      anon_sym_RPAREN,
    STATE(586), 1,
      sym__expression,
    STATE(859), 1,
      sym_qualified_type,
    STATE(1246), 1,
      sym_implicit_length_array_type,
    STATE(1274), 1,
      sym_variadic_argument,
    ACTIONS(281), 2,
      anon_sym_new,
      anon_sym_make,
    STATE(821), 2,
      sym_union_type,
      sym_negated_type,
    STATE(1224), 2,
      sym_parenthesized_type,
      sym__simple_type,
    ACTIONS(285), 3,
      sym_raw_string_literal,
      sym_imaginary_literal,
      sym_rune_literal,
    STATE(830), 4,
      sym_pointer_type,
      sym_interface_type,
      sym_channel_type,
      sym_function_type,
    ACTIONS(391), 5,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_BANG,
      anon_sym_CARET,
      anon_sym_AMP,
    STATE(864), 5,
      sym_generic_type,
      sym_array_type,
      sym_slice_type,
      sym_struct_type,
      sym_map_type,
    ACTIONS(289), 6,
      sym_int_literal,
      sym_float_literal,
      sym_nil,
      sym_true,
      sym_false,
      sym_iota,
    STATE(394), 12,
      sym_parenthesized_expression,
      sym_call_expression,
      sym_selector_expression,
      sym_index_expression,
      sym_slice_expression,
      sym_type_assertion_expression,
      sym_type_conversion_expression,
      sym_composite_literal,
      sym_func_literal,
      sym_unary_expression,
      sym_binary_expression,
      sym_interpreted_string_literal,
  [3044] = 27,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(23), 1,
      anon_sym_LBRACK,
    ACTIONS(29), 1,
      anon_sym_struct,
    ACTIONS(31), 1,
      anon_sym_TILDE,
    ACTIONS(35), 1,
      anon_sym_interface,
    ACTIONS(37), 1,
      anon_sym_map,
    ACTIONS(39), 1,
      anon_sym_chan,
    ACTIONS(267), 1,
      anon_sym_LPAREN,
    ACTIONS(271), 1,
      anon_sym_func,
    ACTIONS(287), 1,
      anon_sym_DQUOTE,
    ACTIONS(383), 1,
      sym_identifier,
    ACTIONS(387), 1,
      anon_sym_STAR,
    ACTIONS(389), 1,
      anon_sym_LT_DASH,
    ACTIONS(397), 1,
      anon_sym_RPAREN,
    STATE(530), 1,
      sym__expression,
    STATE(859), 1,
      sym_qualified_type,
    STATE(1170), 1,
      sym_variadic_argument,
    STATE(1246), 1,
      sym_implicit_length_array_type,
    ACTIONS(281), 2,
      anon_sym_new,
      anon_sym_make,
    STATE(821), 2,
      sym_union_type,
      sym_negated_type,
    STATE(1224), 2,
      sym_parenthesized_type,
      sym__simple_type,
    ACTIONS(285), 3,
      sym_raw_string_literal,
      sym_imaginary_literal,
      sym_rune_literal,
    STATE(830), 4,
      sym_pointer_type,
      sym_interface_type,
      sym_channel_type,
      sym_function_type,
    ACTIONS(391), 5,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_BANG,
      anon_sym_CARET,
      anon_sym_AMP,
    STATE(864), 5,
      sym_generic_type,
      sym_array_type,
      sym_slice_type,
      sym_struct_type,
      sym_map_type,
    ACTIONS(289), 6,
      sym_int_literal,
      sym_float_literal,
      sym_nil,
      sym_true,
      sym_false,
      sym_iota,
    STATE(394), 12,
      sym_parenthesized_expression,
      sym_call_expression,
      sym_selector_expression,
      sym_index_expression,
      sym_slice_expression,
      sym_type_assertion_expression,
      sym_type_conversion_expression,
      sym_composite_literal,
      sym_func_literal,
      sym_unary_expression,
      sym_binary_expression,
      sym_interpreted_string_literal,
  [3158] = 27,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(23), 1,
      anon_sym_LBRACK,
    ACTIONS(29), 1,
      anon_sym_struct,
    ACTIONS(31), 1,
      anon_sym_TILDE,
    ACTIONS(35), 1,
      anon_sym_interface,
    ACTIONS(37), 1,
      anon_sym_map,
    ACTIONS(39), 1,
      anon_sym_chan,
    ACTIONS(267), 1,
      anon_sym_LPAREN,
    ACTIONS(271), 1,
      anon_sym_func,
    ACTIONS(287), 1,
      anon_sym_DQUOTE,
    ACTIONS(383), 1,
      sym_identifier,
    ACTIONS(387), 1,
      anon_sym_STAR,
    ACTIONS(389), 1,
      anon_sym_LT_DASH,
    ACTIONS(399), 1,
      anon_sym_RPAREN,
    STATE(586), 1,
      sym__expression,
    STATE(859), 1,
      sym_qualified_type,
    STATE(1246), 1,
      sym_implicit_length_array_type,
    STATE(1274), 1,
      sym_variadic_argument,
    ACTIONS(281), 2,
      anon_sym_new,
      anon_sym_make,
    STATE(821), 2,
      sym_union_type,
      sym_negated_type,
    STATE(1224), 2,
      sym_parenthesized_type,
      sym__simple_type,
    ACTIONS(285), 3,
      sym_raw_string_literal,
      sym_imaginary_literal,
      sym_rune_literal,
    STATE(830), 4,
      sym_pointer_type,
      sym_interface_type,
      sym_channel_type,
      sym_function_type,
    ACTIONS(391), 5,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_BANG,
      anon_sym_CARET,
      anon_sym_AMP,
    STATE(864), 5,
      sym_generic_type,
      sym_array_type,
      sym_slice_type,
      sym_struct_type,
      sym_map_type,
    ACTIONS(289), 6,
      sym_int_literal,
      sym_float_literal,
      sym_nil,
      sym_true,
      sym_false,
      sym_iota,
    STATE(394), 12,
      sym_parenthesized_expression,
      sym_call_expression,
      sym_selector_expression,
      sym_index_expression,
      sym_slice_expression,
      sym_type_assertion_expression,
      sym_type_conversion_expression,
      sym_composite_literal,
      sym_func_literal,
      sym_unary_expression,
      sym_binary_expression,
      sym_interpreted_string_literal,
  [3272] = 27,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(23), 1,
      anon_sym_LBRACK,
    ACTIONS(29), 1,
      anon_sym_struct,
    ACTIONS(31), 1,
      anon_sym_TILDE,
    ACTIONS(35), 1,
      anon_sym_interface,
    ACTIONS(37), 1,
      anon_sym_map,
    ACTIONS(39), 1,
      anon_sym_chan,
    ACTIONS(265), 1,
      sym_identifier,
    ACTIONS(267), 1,
      anon_sym_LPAREN,
    ACTIONS(271), 1,
      anon_sym_func,
    ACTIONS(273), 1,
      anon_sym_STAR,
    ACTIONS(279), 1,
      anon_sym_LT_DASH,
    ACTIONS(287), 1,
      anon_sym_DQUOTE,
    ACTIONS(401), 1,
      anon_sym_range,
    STATE(513), 1,
      sym__expression,
    STATE(859), 1,
      sym_qualified_type,
    STATE(1233), 1,
      sym_expression_list,
    STATE(1246), 1,
      sym_implicit_length_array_type,
    ACTIONS(281), 2,
      anon_sym_new,
      anon_sym_make,
    STATE(821), 2,
      sym_union_type,
      sym_negated_type,
    STATE(1224), 2,
      sym_parenthesized_type,
      sym__simple_type,
    ACTIONS(285), 3,
      sym_raw_string_literal,
      sym_imaginary_literal,
      sym_rune_literal,
    STATE(830), 4,
      sym_pointer_type,
      sym_interface_type,
      sym_channel_type,
      sym_function_type,
    ACTIONS(283), 5,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_BANG,
      anon_sym_CARET,
      anon_sym_AMP,
    STATE(864), 5,
      sym_generic_type,
      sym_array_type,
      sym_slice_type,
      sym_struct_type,
      sym_map_type,
    ACTIONS(289), 6,
      sym_int_literal,
      sym_float_literal,
      sym_nil,
      sym_true,
      sym_false,
      sym_iota,
    STATE(394), 12,
      sym_parenthesized_expression,
      sym_call_expression,
      sym_selector_expression,
      sym_index_expression,
      sym_slice_expression,
      sym_type_assertion_expression,
      sym_type_conversion_expression,
      sym_composite_literal,
      sym_func_literal,
      sym_unary_expression,
      sym_binary_expression,
      sym_interpreted_string_literal,
  [3386] = 27,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(23), 1,
      anon_sym_LBRACK,
    ACTIONS(29), 1,
      anon_sym_struct,
    ACTIONS(31), 1,
      anon_sym_TILDE,
    ACTIONS(35), 1,
      anon_sym_interface,
    ACTIONS(37), 1,
      anon_sym_map,
    ACTIONS(39), 1,
      anon_sym_chan,
    ACTIONS(265), 1,
      sym_identifier,
    ACTIONS(267), 1,
      anon_sym_LPAREN,
    ACTIONS(271), 1,
      anon_sym_func,
    ACTIONS(273), 1,
      anon_sym_STAR,
    ACTIONS(279), 1,
      anon_sym_LT_DASH,
    ACTIONS(287), 1,
      anon_sym_DQUOTE,
    ACTIONS(401), 1,
      anon_sym_range,
    STATE(513), 1,
      sym__expression,
    STATE(859), 1,
      sym_qualified_type,
    STATE(1230), 1,
      sym_expression_list,
    STATE(1246), 1,
      sym_implicit_length_array_type,
    ACTIONS(281), 2,
      anon_sym_new,
      anon_sym_make,
    STATE(821), 2,
      sym_union_type,
      sym_negated_type,
    STATE(1224), 2,
      sym_parenthesized_type,
      sym__simple_type,
    ACTIONS(285), 3,
      sym_raw_string_literal,
      sym_imaginary_literal,
      sym_rune_literal,
    STATE(830), 4,
      sym_pointer_type,
      sym_interface_type,
      sym_channel_type,
      sym_function_type,
    ACTIONS(283), 5,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_BANG,
      anon_sym_CARET,
      anon_sym_AMP,
    STATE(864), 5,
      sym_generic_type,
      sym_array_type,
      sym_slice_type,
      sym_struct_type,
      sym_map_type,
    ACTIONS(289), 6,
      sym_int_literal,
      sym_float_literal,
      sym_nil,
      sym_true,
      sym_false,
      sym_iota,
    STATE(394), 12,
      sym_parenthesized_expression,
      sym_call_expression,
      sym_selector_expression,
      sym_index_expression,
      sym_slice_expression,
      sym_type_assertion_expression,
      sym_type_conversion_expression,
      sym_composite_literal,
      sym_func_literal,
      sym_unary_expression,
      sym_binary_expression,
      sym_interpreted_string_literal,
  [3500] = 27,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(23), 1,
      anon_sym_LBRACK,
    ACTIONS(29), 1,
      anon_sym_struct,
    ACTIONS(31), 1,
      anon_sym_TILDE,
    ACTIONS(35), 1,
      anon_sym_interface,
    ACTIONS(37), 1,
      anon_sym_map,
    ACTIONS(39), 1,
      anon_sym_chan,
    ACTIONS(267), 1,
      anon_sym_LPAREN,
    ACTIONS(271), 1,
      anon_sym_func,
    ACTIONS(287), 1,
      anon_sym_DQUOTE,
    ACTIONS(383), 1,
      sym_identifier,
    ACTIONS(387), 1,
      anon_sym_STAR,
    ACTIONS(389), 1,
      anon_sym_LT_DASH,
    ACTIONS(403), 1,
      anon_sym_RPAREN,
    STATE(586), 1,
      sym__expression,
    STATE(859), 1,
      sym_qualified_type,
    STATE(1246), 1,
      sym_implicit_length_array_type,
    STATE(1274), 1,
      sym_variadic_argument,
    ACTIONS(281), 2,
      anon_sym_new,
      anon_sym_make,
    STATE(821), 2,
      sym_union_type,
      sym_negated_type,
    STATE(1224), 2,
      sym_parenthesized_type,
      sym__simple_type,
    ACTIONS(285), 3,
      sym_raw_string_literal,
      sym_imaginary_literal,
      sym_rune_literal,
    STATE(830), 4,
      sym_pointer_type,
      sym_interface_type,
      sym_channel_type,
      sym_function_type,
    ACTIONS(391), 5,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_BANG,
      anon_sym_CARET,
      anon_sym_AMP,
    STATE(864), 5,
      sym_generic_type,
      sym_array_type,
      sym_slice_type,
      sym_struct_type,
      sym_map_type,
    ACTIONS(289), 6,
      sym_int_literal,
      sym_float_literal,
      sym_nil,
      sym_true,
      sym_false,
      sym_iota,
    STATE(394), 12,
      sym_parenthesized_expression,
      sym_call_expression,
      sym_selector_expression,
      sym_index_expression,
      sym_slice_expression,
      sym_type_assertion_expression,
      sym_type_conversion_expression,
      sym_composite_literal,
      sym_func_literal,
      sym_unary_expression,
      sym_binary_expression,
      sym_interpreted_string_literal,
  [3614] = 27,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(23), 1,
      anon_sym_LBRACK,
    ACTIONS(29), 1,
      anon_sym_struct,
    ACTIONS(31), 1,
      anon_sym_TILDE,
    ACTIONS(35), 1,
      anon_sym_interface,
    ACTIONS(37), 1,
      anon_sym_map,
    ACTIONS(39), 1,
      anon_sym_chan,
    ACTIONS(265), 1,
      sym_identifier,
    ACTIONS(267), 1,
      anon_sym_LPAREN,
    ACTIONS(271), 1,
      anon_sym_func,
    ACTIONS(273), 1,
      anon_sym_STAR,
    ACTIONS(279), 1,
      anon_sym_LT_DASH,
    ACTIONS(287), 1,
      anon_sym_DQUOTE,
    ACTIONS(405), 1,
      anon_sym_RBRACK,
    ACTIONS(407), 1,
      anon_sym_DOT_DOT_DOT,
    STATE(655), 1,
      sym__expression,
    STATE(859), 1,
      sym_qualified_type,
    STATE(1246), 1,
      sym_implicit_length_array_type,
    ACTIONS(281), 2,
      anon_sym_new,
      anon_sym_make,
    STATE(821), 2,
      sym_union_type,
      sym_negated_type,
    STATE(1224), 2,
      sym_parenthesized_type,
      sym__simple_type,
    ACTIONS(285), 3,
      sym_raw_string_literal,
      sym_imaginary_literal,
      sym_rune_literal,
    STATE(830), 4,
      sym_pointer_type,
      sym_interface_type,
      sym_channel_type,
      sym_function_type,
    ACTIONS(283), 5,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_BANG,
      anon_sym_CARET,
      anon_sym_AMP,
    STATE(864), 5,
      sym_generic_type,
      sym_array_type,
      sym_slice_type,
      sym_struct_type,
      sym_map_type,
    ACTIONS(289), 6,
      sym_int_literal,
      sym_float_literal,
      sym_nil,
      sym_true,
      sym_false,
      sym_iota,
    STATE(394), 12,
      sym_parenthesized_expression,
      sym_call_expression,
      sym_selector_expression,
      sym_index_expression,
      sym_slice_expression,
      sym_type_assertion_expression,
      sym_type_conversion_expression,
      sym_composite_literal,
      sym_func_literal,
      sym_unary_expression,
      sym_binary_expression,
      sym_interpreted_string_literal,
  [3728] = 27,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(23), 1,
      anon_sym_LBRACK,
    ACTIONS(29), 1,
      anon_sym_struct,
    ACTIONS(31), 1,
      anon_sym_TILDE,
    ACTIONS(35), 1,
      anon_sym_interface,
    ACTIONS(37), 1,
      anon_sym_map,
    ACTIONS(39), 1,
      anon_sym_chan,
    ACTIONS(267), 1,
      anon_sym_LPAREN,
    ACTIONS(271), 1,
      anon_sym_func,
    ACTIONS(287), 1,
      anon_sym_DQUOTE,
    ACTIONS(383), 1,
      sym_identifier,
    ACTIONS(387), 1,
      anon_sym_STAR,
    ACTIONS(389), 1,
      anon_sym_LT_DASH,
    ACTIONS(409), 1,
      anon_sym_RPAREN,
    STATE(520), 1,
      sym__expression,
    STATE(859), 1,
      sym_qualified_type,
    STATE(1177), 1,
      sym_variadic_argument,
    STATE(1246), 1,
      sym_implicit_length_array_type,
    ACTIONS(281), 2,
      anon_sym_new,
      anon_sym_make,
    STATE(821), 2,
      sym_union_type,
      sym_negated_type,
    STATE(1224), 2,
      sym_parenthesized_type,
      sym__simple_type,
    ACTIONS(285), 3,
      sym_raw_string_literal,
      sym_imaginary_literal,
      sym_rune_literal,
    STATE(830), 4,
      sym_pointer_type,
      sym_interface_type,
      sym_channel_type,
      sym_function_type,
    ACTIONS(391), 5,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_BANG,
      anon_sym_CARET,
      anon_sym_AMP,
    STATE(864), 5,
      sym_generic_type,
      sym_array_type,
      sym_slice_type,
      sym_struct_type,
      sym_map_type,
    ACTIONS(289), 6,
      sym_int_literal,
      sym_float_literal,
      sym_nil,
      sym_true,
      sym_false,
      sym_iota,
    STATE(394), 12,
      sym_parenthesized_expression,
      sym_call_expression,
      sym_selector_expression,
      sym_index_expression,
      sym_slice_expression,
      sym_type_assertion_expression,
      sym_type_conversion_expression,
      sym_composite_literal,
      sym_func_literal,
      sym_unary_expression,
      sym_binary_expression,
      sym_interpreted_string_literal,
  [3842] = 27,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(23), 1,
      anon_sym_LBRACK,
    ACTIONS(29), 1,
      anon_sym_struct,
    ACTIONS(31), 1,
      anon_sym_TILDE,
    ACTIONS(35), 1,
      anon_sym_interface,
    ACTIONS(37), 1,
      anon_sym_map,
    ACTIONS(39), 1,
      anon_sym_chan,
    ACTIONS(267), 1,
      anon_sym_LPAREN,
    ACTIONS(271), 1,
      anon_sym_func,
    ACTIONS(287), 1,
      anon_sym_DQUOTE,
    ACTIONS(383), 1,
      sym_identifier,
    ACTIONS(387), 1,
      anon_sym_STAR,
    ACTIONS(389), 1,
      anon_sym_LT_DASH,
    ACTIONS(411), 1,
      anon_sym_RPAREN,
    STATE(586), 1,
      sym__expression,
    STATE(859), 1,
      sym_qualified_type,
    STATE(1246), 1,
      sym_implicit_length_array_type,
    STATE(1274), 1,
      sym_variadic_argument,
    ACTIONS(281), 2,
      anon_sym_new,
      anon_sym_make,
    STATE(821), 2,
      sym_union_type,
      sym_negated_type,
    STATE(1224), 2,
      sym_parenthesized_type,
      sym__simple_type,
    ACTIONS(285), 3,
      sym_raw_string_literal,
      sym_imaginary_literal,
      sym_rune_literal,
    STATE(830), 4,
      sym_pointer_type,
      sym_interface_type,
      sym_channel_type,
      sym_function_type,
    ACTIONS(391), 5,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_BANG,
      anon_sym_CARET,
      anon_sym_AMP,
    STATE(864), 5,
      sym_generic_type,
      sym_array_type,
      sym_slice_type,
      sym_struct_type,
      sym_map_type,
    ACTIONS(289), 6,
      sym_int_literal,
      sym_float_literal,
      sym_nil,
      sym_true,
      sym_false,
      sym_iota,
    STATE(394), 12,
      sym_parenthesized_expression,
      sym_call_expression,
      sym_selector_expression,
      sym_index_expression,
      sym_slice_expression,
      sym_type_assertion_expression,
      sym_type_conversion_expression,
      sym_composite_literal,
      sym_func_literal,
      sym_unary_expression,
      sym_binary_expression,
      sym_interpreted_string_literal,
  [3956] = 27,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(23), 1,
      anon_sym_LBRACK,
    ACTIONS(29), 1,
      anon_sym_struct,
    ACTIONS(31), 1,
      anon_sym_TILDE,
    ACTIONS(35), 1,
      anon_sym_interface,
    ACTIONS(37), 1,
      anon_sym_map,
    ACTIONS(39), 1,
      anon_sym_chan,
    ACTIONS(267), 1,
      anon_sym_LPAREN,
    ACTIONS(271), 1,
      anon_sym_func,
    ACTIONS(287), 1,
      anon_sym_DQUOTE,
    ACTIONS(383), 1,
      sym_identifier,
    ACTIONS(387), 1,
      anon_sym_STAR,
    ACTIONS(389), 1,
      anon_sym_LT_DASH,
    ACTIONS(413), 1,
      anon_sym_RPAREN,
    STATE(509), 1,
      sym__expression,
    STATE(859), 1,
      sym_qualified_type,
    STATE(1112), 1,
      sym_variadic_argument,
    STATE(1246), 1,
      sym_implicit_length_array_type,
    ACTIONS(281), 2,
      anon_sym_new,
      anon_sym_make,
    STATE(821), 2,
      sym_union_type,
      sym_negated_type,
    STATE(1224), 2,
      sym_parenthesized_type,
      sym__simple_type,
    ACTIONS(285), 3,
      sym_raw_string_literal,
      sym_imaginary_literal,
      sym_rune_literal,
    STATE(830), 4,
      sym_pointer_type,
      sym_interface_type,
      sym_channel_type,
      sym_function_type,
    ACTIONS(391), 5,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_BANG,
      anon_sym_CARET,
      anon_sym_AMP,
    STATE(864), 5,
      sym_generic_type,
      sym_array_type,
      sym_slice_type,
      sym_struct_type,
      sym_map_type,
    ACTIONS(289), 6,
      sym_int_literal,
      sym_float_literal,
      sym_nil,
      sym_true,
      sym_false,
      sym_iota,
    STATE(394), 12,
      sym_parenthesized_expression,
      sym_call_expression,
      sym_selector_expression,
      sym_index_expression,
      sym_slice_expression,
      sym_type_assertion_expression,
      sym_type_conversion_expression,
      sym_composite_literal,
      sym_func_literal,
      sym_unary_expression,
      sym_binary_expression,
      sym_interpreted_string_literal,
  [4070] = 27,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(23), 1,
      anon_sym_LBRACK,
    ACTIONS(29), 1,
      anon_sym_struct,
    ACTIONS(31), 1,
      anon_sym_TILDE,
    ACTIONS(35), 1,
      anon_sym_interface,
    ACTIONS(37), 1,
      anon_sym_map,
    ACTIONS(39), 1,
      anon_sym_chan,
    ACTIONS(267), 1,
      anon_sym_LPAREN,
    ACTIONS(271), 1,
      anon_sym_func,
    ACTIONS(287), 1,
      anon_sym_DQUOTE,
    ACTIONS(383), 1,
      sym_identifier,
    ACTIONS(387), 1,
      anon_sym_STAR,
    ACTIONS(389), 1,
      anon_sym_LT_DASH,
    ACTIONS(415), 1,
      anon_sym_RPAREN,
    STATE(586), 1,
      sym__expression,
    STATE(859), 1,
      sym_qualified_type,
    STATE(1246), 1,
      sym_implicit_length_array_type,
    STATE(1274), 1,
      sym_variadic_argument,
    ACTIONS(281), 2,
      anon_sym_new,
      anon_sym_make,
    STATE(821), 2,
      sym_union_type,
      sym_negated_type,
    STATE(1224), 2,
      sym_parenthesized_type,
      sym__simple_type,
    ACTIONS(285), 3,
      sym_raw_string_literal,
      sym_imaginary_literal,
      sym_rune_literal,
    STATE(830), 4,
      sym_pointer_type,
      sym_interface_type,
      sym_channel_type,
      sym_function_type,
    ACTIONS(391), 5,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_BANG,
      anon_sym_CARET,
      anon_sym_AMP,
    STATE(864), 5,
      sym_generic_type,
      sym_array_type,
      sym_slice_type,
      sym_struct_type,
      sym_map_type,
    ACTIONS(289), 6,
      sym_int_literal,
      sym_float_literal,
      sym_nil,
      sym_true,
      sym_false,
      sym_iota,
    STATE(394), 12,
      sym_parenthesized_expression,
      sym_call_expression,
      sym_selector_expression,
      sym_index_expression,
      sym_slice_expression,
      sym_type_assertion_expression,
      sym_type_conversion_expression,
      sym_composite_literal,
      sym_func_literal,
      sym_unary_expression,
      sym_binary_expression,
      sym_interpreted_string_literal,
  [4184] = 27,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(23), 1,
      anon_sym_LBRACK,
    ACTIONS(29), 1,
      anon_sym_struct,
    ACTIONS(31), 1,
      anon_sym_TILDE,
    ACTIONS(35), 1,
      anon_sym_interface,
    ACTIONS(37), 1,
      anon_sym_map,
    ACTIONS(39), 1,
      anon_sym_chan,
    ACTIONS(267), 1,
      anon_sym_LPAREN,
    ACTIONS(271), 1,
      anon_sym_func,
    ACTIONS(287), 1,
      anon_sym_DQUOTE,
    ACTIONS(383), 1,
      sym_identifier,
    ACTIONS(387), 1,
      anon_sym_STAR,
    ACTIONS(389), 1,
      anon_sym_LT_DASH,
    ACTIONS(417), 1,
      anon_sym_RPAREN,
    STATE(586), 1,
      sym__expression,
    STATE(859), 1,
      sym_qualified_type,
    STATE(1246), 1,
      sym_implicit_length_array_type,
    STATE(1274), 1,
      sym_variadic_argument,
    ACTIONS(281), 2,
      anon_sym_new,
      anon_sym_make,
    STATE(821), 2,
      sym_union_type,
      sym_negated_type,
    STATE(1224), 2,
      sym_parenthesized_type,
      sym__simple_type,
    ACTIONS(285), 3,
      sym_raw_string_literal,
      sym_imaginary_literal,
      sym_rune_literal,
    STATE(830), 4,
      sym_pointer_type,
      sym_interface_type,
      sym_channel_type,
      sym_function_type,
    ACTIONS(391), 5,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_BANG,
      anon_sym_CARET,
      anon_sym_AMP,
    STATE(864), 5,
      sym_generic_type,
      sym_array_type,
      sym_slice_type,
      sym_struct_type,
      sym_map_type,
    ACTIONS(289), 6,
      sym_int_literal,
      sym_float_literal,
      sym_nil,
      sym_true,
      sym_false,
      sym_iota,
    STATE(394), 12,
      sym_parenthesized_expression,
      sym_call_expression,
      sym_selector_expression,
      sym_index_expression,
      sym_slice_expression,
      sym_type_assertion_expression,
      sym_type_conversion_expression,
      sym_composite_literal,
      sym_func_literal,
      sym_unary_expression,
      sym_binary_expression,
      sym_interpreted_string_literal,
  [4298] = 27,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(23), 1,
      anon_sym_LBRACK,
    ACTIONS(29), 1,
      anon_sym_struct,
    ACTIONS(31), 1,
      anon_sym_TILDE,
    ACTIONS(35), 1,
      anon_sym_interface,
    ACTIONS(37), 1,
      anon_sym_map,
    ACTIONS(39), 1,
      anon_sym_chan,
    ACTIONS(267), 1,
      anon_sym_LPAREN,
    ACTIONS(271), 1,
      anon_sym_func,
    ACTIONS(287), 1,
      anon_sym_DQUOTE,
    ACTIONS(383), 1,
      sym_identifier,
    ACTIONS(387), 1,
      anon_sym_STAR,
    ACTIONS(389), 1,
      anon_sym_LT_DASH,
    ACTIONS(419), 1,
      anon_sym_RPAREN,
    STATE(586), 1,
      sym__expression,
    STATE(859), 1,
      sym_qualified_type,
    STATE(1246), 1,
      sym_implicit_length_array_type,
    STATE(1274), 1,
      sym_variadic_argument,
    ACTIONS(281), 2,
      anon_sym_new,
      anon_sym_make,
    STATE(821), 2,
      sym_union_type,
      sym_negated_type,
    STATE(1224), 2,
      sym_parenthesized_type,
      sym__simple_type,
    ACTIONS(285), 3,
      sym_raw_string_literal,
      sym_imaginary_literal,
      sym_rune_literal,
    STATE(830), 4,
      sym_pointer_type,
      sym_interface_type,
      sym_channel_type,
      sym_function_type,
    ACTIONS(391), 5,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_BANG,
      anon_sym_CARET,
      anon_sym_AMP,
    STATE(864), 5,
      sym_generic_type,
      sym_array_type,
      sym_slice_type,
      sym_struct_type,
      sym_map_type,
    ACTIONS(289), 6,
      sym_int_literal,
      sym_float_literal,
      sym_nil,
      sym_true,
      sym_false,
      sym_iota,
    STATE(394), 12,
      sym_parenthesized_expression,
      sym_call_expression,
      sym_selector_expression,
      sym_index_expression,
      sym_slice_expression,
      sym_type_assertion_expression,
      sym_type_conversion_expression,
      sym_composite_literal,
      sym_func_literal,
      sym_unary_expression,
      sym_binary_expression,
      sym_interpreted_string_literal,
  [4412] = 27,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(23), 1,
      anon_sym_LBRACK,
    ACTIONS(29), 1,
      anon_sym_struct,
    ACTIONS(31), 1,
      anon_sym_TILDE,
    ACTIONS(35), 1,
      anon_sym_interface,
    ACTIONS(37), 1,
      anon_sym_map,
    ACTIONS(39), 1,
      anon_sym_chan,
    ACTIONS(267), 1,
      anon_sym_LPAREN,
    ACTIONS(271), 1,
      anon_sym_func,
    ACTIONS(279), 1,
      anon_sym_LT_DASH,
    ACTIONS(287), 1,
      anon_sym_DQUOTE,
    ACTIONS(421), 1,
      sym_identifier,
    ACTIONS(423), 1,
      anon_sym_RBRACK,
    ACTIONS(425), 1,
      anon_sym_STAR,
    STATE(687), 1,
      sym__expression,
    STATE(859), 1,
      sym_qualified_type,
    STATE(1201), 1,
      sym_parameter_declaration,
    STATE(1246), 1,
      sym_implicit_length_array_type,
    ACTIONS(281), 2,
      anon_sym_new,
      anon_sym_make,
    STATE(821), 2,
      sym_union_type,
      sym_negated_type,
    STATE(1044), 2,
      sym_parenthesized_type,
      sym__simple_type,
    ACTIONS(285), 3,
      sym_raw_string_literal,
      sym_imaginary_literal,
      sym_rune_literal,
    STATE(830), 4,
      sym_pointer_type,
      sym_interface_type,
      sym_channel_type,
      sym_function_type,
    ACTIONS(283), 5,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_BANG,
      anon_sym_CARET,
      anon_sym_AMP,
    STATE(864), 5,
      sym_generic_type,
      sym_array_type,
      sym_slice_type,
      sym_struct_type,
      sym_map_type,
    ACTIONS(289), 6,
      sym_int_literal,
      sym_float_literal,
      sym_nil,
      sym_true,
      sym_false,
      sym_iota,
    STATE(394), 12,
      sym_parenthesized_expression,
      sym_call_expression,
      sym_selector_expression,
      sym_index_expression,
      sym_slice_expression,
      sym_type_assertion_expression,
      sym_type_conversion_expression,
      sym_composite_literal,
      sym_func_literal,
      sym_unary_expression,
      sym_binary_expression,
      sym_interpreted_string_literal,
  [4526] = 27,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(23), 1,
      anon_sym_LBRACK,
    ACTIONS(29), 1,
      anon_sym_struct,
    ACTIONS(31), 1,
      anon_sym_TILDE,
    ACTIONS(35), 1,
      anon_sym_interface,
    ACTIONS(37), 1,
      anon_sym_map,
    ACTIONS(39), 1,
      anon_sym_chan,
    ACTIONS(267), 1,
      anon_sym_LPAREN,
    ACTIONS(271), 1,
      anon_sym_func,
    ACTIONS(287), 1,
      anon_sym_DQUOTE,
    ACTIONS(383), 1,
      sym_identifier,
    ACTIONS(387), 1,
      anon_sym_STAR,
    ACTIONS(389), 1,
      anon_sym_LT_DASH,
    ACTIONS(427), 1,
      anon_sym_RPAREN,
    STATE(500), 1,
      sym__expression,
    STATE(859), 1,
      sym_qualified_type,
    STATE(1156), 1,
      sym_variadic_argument,
    STATE(1246), 1,
      sym_implicit_length_array_type,
    ACTIONS(281), 2,
      anon_sym_new,
      anon_sym_make,
    STATE(821), 2,
      sym_union_type,
      sym_negated_type,
    STATE(1224), 2,
      sym_parenthesized_type,
      sym__simple_type,
    ACTIONS(285), 3,
      sym_raw_string_literal,
      sym_imaginary_literal,
      sym_rune_literal,
    STATE(830), 4,
      sym_pointer_type,
      sym_interface_type,
      sym_channel_type,
      sym_function_type,
    ACTIONS(391), 5,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_BANG,
      anon_sym_CARET,
      anon_sym_AMP,
    STATE(864), 5,
      sym_generic_type,
      sym_array_type,
      sym_slice_type,
      sym_struct_type,
      sym_map_type,
    ACTIONS(289), 6,
      sym_int_literal,
      sym_float_literal,
      sym_nil,
      sym_true,
      sym_false,
      sym_iota,
    STATE(394), 12,
      sym_parenthesized_expression,
      sym_call_expression,
      sym_selector_expression,
      sym_index_expression,
      sym_slice_expression,
      sym_type_assertion_expression,
      sym_type_conversion_expression,
      sym_composite_literal,
      sym_func_literal,
      sym_unary_expression,
      sym_binary_expression,
      sym_interpreted_string_literal,
  [4640] = 27,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(23), 1,
      anon_sym_LBRACK,
    ACTIONS(29), 1,
      anon_sym_struct,
    ACTIONS(31), 1,
      anon_sym_TILDE,
    ACTIONS(35), 1,
      anon_sym_interface,
    ACTIONS(37), 1,
      anon_sym_map,
    ACTIONS(39), 1,
      anon_sym_chan,
    ACTIONS(267), 1,
      anon_sym_LPAREN,
    ACTIONS(271), 1,
      anon_sym_func,
    ACTIONS(287), 1,
      anon_sym_DQUOTE,
    ACTIONS(383), 1,
      sym_identifier,
    ACTIONS(387), 1,
      anon_sym_STAR,
    ACTIONS(389), 1,
      anon_sym_LT_DASH,
    ACTIONS(429), 1,
      anon_sym_RPAREN,
    STATE(494), 1,
      sym__expression,
    STATE(859), 1,
      sym_qualified_type,
    STATE(1191), 1,
      sym_variadic_argument,
    STATE(1246), 1,
      sym_implicit_length_array_type,
    ACTIONS(281), 2,
      anon_sym_new,
      anon_sym_make,
    STATE(821), 2,
      sym_union_type,
      sym_negated_type,
    STATE(1224), 2,
      sym_parenthesized_type,
      sym__simple_type,
    ACTIONS(285), 3,
      sym_raw_string_literal,
      sym_imaginary_literal,
      sym_rune_literal,
    STATE(830), 4,
      sym_pointer_type,
      sym_interface_type,
      sym_channel_type,
      sym_function_type,
    ACTIONS(391), 5,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_BANG,
      anon_sym_CARET,
      anon_sym_AMP,
    STATE(864), 5,
      sym_generic_type,
      sym_array_type,
      sym_slice_type,
      sym_struct_type,
      sym_map_type,
    ACTIONS(289), 6,
      sym_int_literal,
      sym_float_literal,
      sym_nil,
      sym_true,
      sym_false,
      sym_iota,
    STATE(394), 12,
      sym_parenthesized_expression,
      sym_call_expression,
      sym_selector_expression,
      sym_index_expression,
      sym_slice_expression,
      sym_type_assertion_expression,
      sym_type_conversion_expression,
      sym_composite_literal,
      sym_func_literal,
      sym_unary_expression,
      sym_binary_expression,
      sym_interpreted_string_literal,
  [4754] = 27,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(23), 1,
      anon_sym_LBRACK,
    ACTIONS(29), 1,
      anon_sym_struct,
    ACTIONS(31), 1,
      anon_sym_TILDE,
    ACTIONS(35), 1,
      anon_sym_interface,
    ACTIONS(37), 1,
      anon_sym_map,
    ACTIONS(39), 1,
      anon_sym_chan,
    ACTIONS(267), 1,
      anon_sym_LPAREN,
    ACTIONS(271), 1,
      anon_sym_func,
    ACTIONS(287), 1,
      anon_sym_DQUOTE,
    ACTIONS(383), 1,
      sym_identifier,
    ACTIONS(387), 1,
      anon_sym_STAR,
    ACTIONS(389), 1,
      anon_sym_LT_DASH,
    ACTIONS(431), 1,
      anon_sym_RPAREN,
    STATE(586), 1,
      sym__expression,
    STATE(859), 1,
      sym_qualified_type,
    STATE(1246), 1,
      sym_implicit_length_array_type,
    STATE(1274), 1,
      sym_variadic_argument,
    ACTIONS(281), 2,
      anon_sym_new,
      anon_sym_make,
    STATE(821), 2,
      sym_union_type,
      sym_negated_type,
    STATE(1224), 2,
      sym_parenthesized_type,
      sym__simple_type,
    ACTIONS(285), 3,
      sym_raw_string_literal,
      sym_imaginary_literal,
      sym_rune_literal,
    STATE(830), 4,
      sym_pointer_type,
      sym_interface_type,
      sym_channel_type,
      sym_function_type,
    ACTIONS(391), 5,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_BANG,
      anon_sym_CARET,
      anon_sym_AMP,
    STATE(864), 5,
      sym_generic_type,
      sym_array_type,
      sym_slice_type,
      sym_struct_type,
      sym_map_type,
    ACTIONS(289), 6,
      sym_int_literal,
      sym_float_literal,
      sym_nil,
      sym_true,
      sym_false,
      sym_iota,
    STATE(394), 12,
      sym_parenthesized_expression,
      sym_call_expression,
      sym_selector_expression,
      sym_index_expression,
      sym_slice_expression,
      sym_type_assertion_expression,
      sym_type_conversion_expression,
      sym_composite_literal,
      sym_func_literal,
      sym_unary_expression,
      sym_binary_expression,
      sym_interpreted_string_literal,
  [4868] = 27,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(23), 1,
      anon_sym_LBRACK,
    ACTIONS(29), 1,
      anon_sym_struct,
    ACTIONS(31), 1,
      anon_sym_TILDE,
    ACTIONS(35), 1,
      anon_sym_interface,
    ACTIONS(37), 1,
      anon_sym_map,
    ACTIONS(39), 1,
      anon_sym_chan,
    ACTIONS(267), 1,
      anon_sym_LPAREN,
    ACTIONS(271), 1,
      anon_sym_func,
    ACTIONS(287), 1,
      anon_sym_DQUOTE,
    ACTIONS(383), 1,
      sym_identifier,
    ACTIONS(387), 1,
      anon_sym_STAR,
    ACTIONS(389), 1,
      anon_sym_LT_DASH,
    ACTIONS(433), 1,
      anon_sym_RPAREN,
    STATE(515), 1,
      sym__expression,
    STATE(859), 1,
      sym_qualified_type,
    STATE(1146), 1,
      sym_variadic_argument,
    STATE(1246), 1,
      sym_implicit_length_array_type,
    ACTIONS(281), 2,
      anon_sym_new,
      anon_sym_make,
    STATE(821), 2,
      sym_union_type,
      sym_negated_type,
    STATE(1224), 2,
      sym_parenthesized_type,
      sym__simple_type,
    ACTIONS(285), 3,
      sym_raw_string_literal,
      sym_imaginary_literal,
      sym_rune_literal,
    STATE(830), 4,
      sym_pointer_type,
      sym_interface_type,
      sym_channel_type,
      sym_function_type,
    ACTIONS(391), 5,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_BANG,
      anon_sym_CARET,
      anon_sym_AMP,
    STATE(864), 5,
      sym_generic_type,
      sym_array_type,
      sym_slice_type,
      sym_struct_type,
      sym_map_type,
    ACTIONS(289), 6,
      sym_int_literal,
      sym_float_literal,
      sym_nil,
      sym_true,
      sym_false,
      sym_iota,
    STATE(394), 12,
      sym_parenthesized_expression,
      sym_call_expression,
      sym_selector_expression,
      sym_index_expression,
      sym_slice_expression,
      sym_type_assertion_expression,
      sym_type_conversion_expression,
      sym_composite_literal,
      sym_func_literal,
      sym_unary_expression,
      sym_binary_expression,
      sym_interpreted_string_literal,
  [4982] = 27,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(23), 1,
      anon_sym_LBRACK,
    ACTIONS(29), 1,
      anon_sym_struct,
    ACTIONS(31), 1,
      anon_sym_TILDE,
    ACTIONS(35), 1,
      anon_sym_interface,
    ACTIONS(37), 1,
      anon_sym_map,
    ACTIONS(39), 1,
      anon_sym_chan,
    ACTIONS(267), 1,
      anon_sym_LPAREN,
    ACTIONS(271), 1,
      anon_sym_func,
    ACTIONS(287), 1,
      anon_sym_DQUOTE,
    ACTIONS(435), 1,
      sym_identifier,
    ACTIONS(437), 1,
      anon_sym_STAR,
    ACTIONS(439), 1,
      anon_sym_LBRACE,
    ACTIONS(441), 1,
      anon_sym_LT_DASH,
    STATE(495), 1,
      sym__expression,
    STATE(859), 1,
      sym_qualified_type,
    STATE(1246), 1,
      sym_implicit_length_array_type,
    STATE(1367), 1,
      sym_expression_list,
    ACTIONS(281), 2,
      anon_sym_new,
      anon_sym_make,
    STATE(821), 2,
      sym_union_type,
      sym_negated_type,
    STATE(1224), 2,
      sym_parenthesized_type,
      sym__simple_type,
    ACTIONS(285), 3,
      sym_raw_string_literal,
      sym_imaginary_literal,
      sym_rune_literal,
    STATE(830), 4,
      sym_pointer_type,
      sym_interface_type,
      sym_channel_type,
      sym_function_type,
    ACTIONS(443), 5,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_BANG,
      anon_sym_CARET,
      anon_sym_AMP,
    STATE(864), 5,
      sym_generic_type,
      sym_array_type,
      sym_slice_type,
      sym_struct_type,
      sym_map_type,
    ACTIONS(289), 6,
      sym_int_literal,
      sym_float_literal,
      sym_nil,
      sym_true,
      sym_false,
      sym_iota,
    STATE(394), 12,
      sym_parenthesized_expression,
      sym_call_expression,
      sym_selector_expression,
      sym_index_expression,
      sym_slice_expression,
      sym_type_assertion_expression,
      sym_type_conversion_expression,
      sym_composite_literal,
      sym_func_literal,
      sym_unary_expression,
      sym_binary_expression,
      sym_interpreted_string_literal,
  [5096] = 27,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(23), 1,
      anon_sym_LBRACK,
    ACTIONS(29), 1,
      anon_sym_struct,
    ACTIONS(31), 1,
      anon_sym_TILDE,
    ACTIONS(35), 1,
      anon_sym_interface,
    ACTIONS(37), 1,
      anon_sym_map,
    ACTIONS(39), 1,
      anon_sym_chan,
    ACTIONS(267), 1,
      anon_sym_LPAREN,
    ACTIONS(271), 1,
      anon_sym_func,
    ACTIONS(287), 1,
      anon_sym_DQUOTE,
    ACTIONS(383), 1,
      sym_identifier,
    ACTIONS(387), 1,
      anon_sym_STAR,
    ACTIONS(389), 1,
      anon_sym_LT_DASH,
    ACTIONS(445), 1,
      anon_sym_RPAREN,
    STATE(586), 1,
      sym__expression,
    STATE(859), 1,
      sym_qualified_type,
    STATE(1246), 1,
      sym_implicit_length_array_type,
    STATE(1274), 1,
      sym_variadic_argument,
    ACTIONS(281), 2,
      anon_sym_new,
      anon_sym_make,
    STATE(821), 2,
      sym_union_type,
      sym_negated_type,
    STATE(1224), 2,
      sym_parenthesized_type,
      sym__simple_type,
    ACTIONS(285), 3,
      sym_raw_string_literal,
      sym_imaginary_literal,
      sym_rune_literal,
    STATE(830), 4,
      sym_pointer_type,
      sym_interface_type,
      sym_channel_type,
      sym_function_type,
    ACTIONS(391), 5,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_BANG,
      anon_sym_CARET,
      anon_sym_AMP,
    STATE(864), 5,
      sym_generic_type,
      sym_array_type,
      sym_slice_type,
      sym_struct_type,
      sym_map_type,
    ACTIONS(289), 6,
      sym_int_literal,
      sym_float_literal,
      sym_nil,
      sym_true,
      sym_false,
      sym_iota,
    STATE(394), 12,
      sym_parenthesized_expression,
      sym_call_expression,
      sym_selector_expression,
      sym_index_expression,
      sym_slice_expression,
      sym_type_assertion_expression,
      sym_type_conversion_expression,
      sym_composite_literal,
      sym_func_literal,
      sym_unary_expression,
      sym_binary_expression,
      sym_interpreted_string_literal,
  [5210] = 27,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(23), 1,
      anon_sym_LBRACK,
    ACTIONS(29), 1,
      anon_sym_struct,
    ACTIONS(31), 1,
      anon_sym_TILDE,
    ACTIONS(35), 1,
      anon_sym_interface,
    ACTIONS(37), 1,
      anon_sym_map,
    ACTIONS(39), 1,
      anon_sym_chan,
    ACTIONS(267), 1,
      anon_sym_LPAREN,
    ACTIONS(271), 1,
      anon_sym_func,
    ACTIONS(287), 1,
      anon_sym_DQUOTE,
    ACTIONS(383), 1,
      sym_identifier,
    ACTIONS(387), 1,
      anon_sym_STAR,
    ACTIONS(389), 1,
      anon_sym_LT_DASH,
    ACTIONS(447), 1,
      anon_sym_RPAREN,
    STATE(586), 1,
      sym__expression,
    STATE(859), 1,
      sym_qualified_type,
    STATE(1246), 1,
      sym_implicit_length_array_type,
    STATE(1274), 1,
      sym_variadic_argument,
    ACTIONS(281), 2,
      anon_sym_new,
      anon_sym_make,
    STATE(821), 2,
      sym_union_type,
      sym_negated_type,
    STATE(1224), 2,
      sym_parenthesized_type,
      sym__simple_type,
    ACTIONS(285), 3,
      sym_raw_string_literal,
      sym_imaginary_literal,
      sym_rune_literal,
    STATE(830), 4,
      sym_pointer_type,
      sym_interface_type,
      sym_channel_type,
      sym_function_type,
    ACTIONS(391), 5,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_BANG,
      anon_sym_CARET,
      anon_sym_AMP,
    STATE(864), 5,
      sym_generic_type,
      sym_array_type,
      sym_slice_type,
      sym_struct_type,
      sym_map_type,
    ACTIONS(289), 6,
      sym_int_literal,
      sym_float_literal,
      sym_nil,
      sym_true,
      sym_false,
      sym_iota,
    STATE(394), 12,
      sym_parenthesized_expression,
      sym_call_expression,
      sym_selector_expression,
      sym_index_expression,
      sym_slice_expression,
      sym_type_assertion_expression,
      sym_type_conversion_expression,
      sym_composite_literal,
      sym_func_literal,
      sym_unary_expression,
      sym_binary_expression,
      sym_interpreted_string_literal,
  [5324] = 26,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(23), 1,
      anon_sym_LBRACK,
    ACTIONS(29), 1,
      anon_sym_struct,
    ACTIONS(31), 1,
      anon_sym_TILDE,
    ACTIONS(35), 1,
      anon_sym_interface,
    ACTIONS(37), 1,
      anon_sym_map,
    ACTIONS(39), 1,
      anon_sym_chan,
    ACTIONS(265), 1,
      sym_identifier,
    ACTIONS(267), 1,
      anon_sym_LPAREN,
    ACTIONS(271), 1,
      anon_sym_func,
    ACTIONS(273), 1,
      anon_sym_STAR,
    ACTIONS(279), 1,
      anon_sym_LT_DASH,
    ACTIONS(287), 1,
      anon_sym_DQUOTE,
    ACTIONS(449), 1,
      anon_sym_RBRACK,
    STATE(666), 1,
      sym__expression,
    STATE(859), 1,
      sym_qualified_type,
    STATE(1246), 1,
      sym_implicit_length_array_type,
    ACTIONS(281), 2,
      anon_sym_new,
      anon_sym_make,
    STATE(821), 2,
      sym_union_type,
      sym_negated_type,
    STATE(1224), 2,
      sym_parenthesized_type,
      sym__simple_type,
    ACTIONS(285), 3,
      sym_raw_string_literal,
      sym_imaginary_literal,
      sym_rune_literal,
    STATE(830), 4,
      sym_pointer_type,
      sym_interface_type,
      sym_channel_type,
      sym_function_type,
    ACTIONS(283), 5,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_BANG,
      anon_sym_CARET,
      anon_sym_AMP,
    STATE(864), 5,
      sym_generic_type,
      sym_array_type,
      sym_slice_type,
      sym_struct_type,
      sym_map_type,
    ACTIONS(289), 6,
      sym_int_literal,
      sym_float_literal,
      sym_nil,
      sym_true,
      sym_false,
      sym_iota,
    STATE(394), 12,
      sym_parenthesized_expression,
      sym_call_expression,
      sym_selector_expression,
      sym_index_expression,
      sym_slice_expression,
      sym_type_assertion_expression,
      sym_type_conversion_expression,
      sym_composite_literal,
      sym_func_literal,
      sym_unary_expression,
      sym_binary_expression,
      sym_interpreted_string_literal,
  [5435] = 26,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(23), 1,
      anon_sym_LBRACK,
    ACTIONS(29), 1,
      anon_sym_struct,
    ACTIONS(31), 1,
      anon_sym_TILDE,
    ACTIONS(35), 1,
      anon_sym_interface,
    ACTIONS(37), 1,
      anon_sym_map,
    ACTIONS(39), 1,
      anon_sym_chan,
    ACTIONS(265), 1,
      sym_identifier,
    ACTIONS(267), 1,
      anon_sym_LPAREN,
    ACTIONS(271), 1,
      anon_sym_func,
    ACTIONS(273), 1,
      anon_sym_STAR,
    ACTIONS(279), 1,
      anon_sym_LT_DASH,
    ACTIONS(287), 1,
      anon_sym_DQUOTE,
    ACTIONS(451), 1,
      anon_sym_RBRACK,
    STATE(602), 1,
      sym__expression,
    STATE(859), 1,
      sym_qualified_type,
    STATE(1246), 1,
      sym_implicit_length_array_type,
    ACTIONS(281), 2,
      anon_sym_new,
      anon_sym_make,
    STATE(821), 2,
      sym_union_type,
      sym_negated_type,
    STATE(1224), 2,
      sym_parenthesized_type,
      sym__simple_type,
    ACTIONS(285), 3,
      sym_raw_string_literal,
      sym_imaginary_literal,
      sym_rune_literal,
    STATE(830), 4,
      sym_pointer_type,
      sym_interface_type,
      sym_channel_type,
      sym_function_type,
    ACTIONS(283), 5,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_BANG,
      anon_sym_CARET,
      anon_sym_AMP,
    STATE(864), 5,
      sym_generic_type,
      sym_array_type,
      sym_slice_type,
      sym_struct_type,
      sym_map_type,
    ACTIONS(289), 6,
      sym_int_literal,
      sym_float_literal,
      sym_nil,
      sym_true,
      sym_false,
      sym_iota,
    STATE(394), 12,
      sym_parenthesized_expression,
      sym_call_expression,
      sym_selector_expression,
      sym_index_expression,
      sym_slice_expression,
      sym_type_assertion_expression,
      sym_type_conversion_expression,
      sym_composite_literal,
      sym_func_literal,
      sym_unary_expression,
      sym_binary_expression,
      sym_interpreted_string_literal,
  [5546] = 26,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(23), 1,
      anon_sym_LBRACK,
    ACTIONS(29), 1,
      anon_sym_struct,
    ACTIONS(31), 1,
      anon_sym_TILDE,
    ACTIONS(35), 1,
      anon_sym_interface,
    ACTIONS(37), 1,
      anon_sym_map,
    ACTIONS(39), 1,
      anon_sym_chan,
    ACTIONS(265), 1,
      sym_identifier,
    ACTIONS(267), 1,
      anon_sym_LPAREN,
    ACTIONS(271), 1,
      anon_sym_func,
    ACTIONS(273), 1,
      anon_sym_STAR,
    ACTIONS(279), 1,
      anon_sym_LT_DASH,
    ACTIONS(287), 1,
      anon_sym_DQUOTE,
    ACTIONS(453), 1,
      anon_sym_RBRACK,
    STATE(608), 1,
      sym__expression,
    STATE(859), 1,
      sym_qualified_type,
    STATE(1246), 1,
      sym_implicit_length_array_type,
    ACTIONS(281), 2,
      anon_sym_new,
      anon_sym_make,
    STATE(821), 2,
      sym_union_type,
      sym_negated_type,
    STATE(1224), 2,
      sym_parenthesized_type,
      sym__simple_type,
    ACTIONS(285), 3,
      sym_raw_string_literal,
      sym_imaginary_literal,
      sym_rune_literal,
    STATE(830), 4,
      sym_pointer_type,
      sym_interface_type,
      sym_channel_type,
      sym_function_type,
    ACTIONS(283), 5,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_BANG,
      anon_sym_CARET,
      anon_sym_AMP,
    STATE(864), 5,
      sym_generic_type,
      sym_array_type,
      sym_slice_type,
      sym_struct_type,
      sym_map_type,
    ACTIONS(289), 6,
      sym_int_literal,
      sym_float_literal,
      sym_nil,
      sym_true,
      sym_false,
      sym_iota,
    STATE(394), 12,
      sym_parenthesized_expression,
      sym_call_expression,
      sym_selector_expression,
      sym_index_expression,
      sym_slice_expression,
      sym_type_assertion_expression,
      sym_type_conversion_expression,
      sym_composite_literal,
      sym_func_literal,
      sym_unary_expression,
      sym_binary_expression,
      sym_interpreted_string_literal,
  [5657] = 26,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(23), 1,
      anon_sym_LBRACK,
    ACTIONS(29), 1,
      anon_sym_struct,
    ACTIONS(31), 1,
      anon_sym_TILDE,
    ACTIONS(35), 1,
      anon_sym_interface,
    ACTIONS(37), 1,
      anon_sym_map,
    ACTIONS(39), 1,
      anon_sym_chan,
    ACTIONS(295), 1,
      sym_identifier,
    ACTIONS(303), 1,
      anon_sym_func,
    ACTIONS(455), 1,
      anon_sym_LPAREN,
    ACTIONS(457), 1,
      anon_sym_STAR,
    ACTIONS(459), 1,
      anon_sym_LT_DASH,
    ACTIONS(465), 1,
      anon_sym_DQUOTE,
    STATE(426), 1,
      sym__expression,
    STATE(887), 1,
      sym_qualified_type,
    STATE(984), 1,
      sym_expression_list,
    STATE(1229), 1,
      sym_implicit_length_array_type,
    ACTIONS(313), 2,
      anon_sym_new,
      anon_sym_make,
    STATE(821), 2,
      sym_union_type,
      sym_negated_type,
    STATE(1217), 2,
      sym_parenthesized_type,
      sym__simple_type,
    ACTIONS(463), 3,
      sym_raw_string_literal,
      sym_imaginary_literal,
      sym_rune_literal,
    STATE(830), 4,
      sym_pointer_type,
      sym_interface_type,
      sym_channel_type,
      sym_function_type,
    ACTIONS(461), 5,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_BANG,
      anon_sym_CARET,
      anon_sym_AMP,
    STATE(1074), 5,
      sym_generic_type,
      sym_array_type,
      sym_slice_type,
      sym_struct_type,
      sym_map_type,
    ACTIONS(317), 6,
      sym_int_literal,
      sym_float_literal,
      sym_nil,
      sym_true,
      sym_false,
      sym_iota,
    STATE(522), 12,
      sym_parenthesized_expression,
      sym_call_expression,
      sym_selector_expression,
      sym_index_expression,
      sym_slice_expression,
      sym_type_assertion_expression,
      sym_type_conversion_expression,
      sym_composite_literal,
      sym_func_literal,
      sym_unary_expression,
      sym_binary_expression,
      sym_interpreted_string_literal,
  [5768] = 26,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(23), 1,
      anon_sym_LBRACK,
    ACTIONS(29), 1,
      anon_sym_struct,
    ACTIONS(31), 1,
      anon_sym_TILDE,
    ACTIONS(35), 1,
      anon_sym_interface,
    ACTIONS(37), 1,
      anon_sym_map,
    ACTIONS(39), 1,
      anon_sym_chan,
    ACTIONS(295), 1,
      sym_identifier,
    ACTIONS(303), 1,
      anon_sym_func,
    ACTIONS(455), 1,
      anon_sym_LPAREN,
    ACTIONS(457), 1,
      anon_sym_STAR,
    ACTIONS(459), 1,
      anon_sym_LT_DASH,
    ACTIONS(465), 1,
      anon_sym_DQUOTE,
    STATE(426), 1,
      sym__expression,
    STATE(887), 1,
      sym_qualified_type,
    STATE(944), 1,
      sym_expression_list,
    STATE(1229), 1,
      sym_implicit_length_array_type,
    ACTIONS(313), 2,
      anon_sym_new,
      anon_sym_make,
    STATE(821), 2,
      sym_union_type,
      sym_negated_type,
    STATE(1217), 2,
      sym_parenthesized_type,
      sym__simple_type,
    ACTIONS(463), 3,
      sym_raw_string_literal,
      sym_imaginary_literal,
      sym_rune_literal,
    STATE(830), 4,
      sym_pointer_type,
      sym_interface_type,
      sym_channel_type,
      sym_function_type,
    ACTIONS(461), 5,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_BANG,
      anon_sym_CARET,
      anon_sym_AMP,
    STATE(1074), 5,
      sym_generic_type,
      sym_array_type,
      sym_slice_type,
      sym_struct_type,
      sym_map_type,
    ACTIONS(317), 6,
      sym_int_literal,
      sym_float_literal,
      sym_nil,
      sym_true,
      sym_false,
      sym_iota,
    STATE(522), 12,
      sym_parenthesized_expression,
      sym_call_expression,
      sym_selector_expression,
      sym_index_expression,
      sym_slice_expression,
      sym_type_assertion_expression,
      sym_type_conversion_expression,
      sym_composite_literal,
      sym_func_literal,
      sym_unary_expression,
      sym_binary_expression,
      sym_interpreted_string_literal,
  [5879] = 26,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(23), 1,
      anon_sym_LBRACK,
    ACTIONS(29), 1,
      anon_sym_struct,
    ACTIONS(31), 1,
      anon_sym_TILDE,
    ACTIONS(35), 1,
      anon_sym_interface,
    ACTIONS(37), 1,
      anon_sym_map,
    ACTIONS(39), 1,
      anon_sym_chan,
    ACTIONS(267), 1,
      anon_sym_LPAREN,
    ACTIONS(271), 1,
      anon_sym_func,
    ACTIONS(279), 1,
      anon_sym_LT_DASH,
    ACTIONS(287), 1,
      anon_sym_DQUOTE,
    ACTIONS(423), 1,
      anon_sym_RBRACK,
    ACTIONS(425), 1,
      anon_sym_STAR,
    ACTIONS(467), 1,
      sym_identifier,
    STATE(687), 1,
      sym__expression,
    STATE(859), 1,
      sym_qualified_type,
    STATE(1246), 1,
      sym_implicit_length_array_type,
    ACTIONS(281), 2,
      anon_sym_new,
      anon_sym_make,
    STATE(821), 2,
      sym_union_type,
      sym_negated_type,
    STATE(1006), 2,
      sym_parenthesized_type,
      sym__simple_type,
    ACTIONS(285), 3,
      sym_raw_string_literal,
      sym_imaginary_literal,
      sym_rune_literal,
    STATE(830), 4,
      sym_pointer_type,
      sym_interface_type,
      sym_channel_type,
      sym_function_type,
    ACTIONS(283), 5,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_BANG,
      anon_sym_CARET,
      anon_sym_AMP,
    STATE(864), 5,
      sym_generic_type,
      sym_array_type,
      sym_slice_type,
      sym_struct_type,
      sym_map_type,
    ACTIONS(289), 6,
      sym_int_literal,
      sym_float_literal,
      sym_nil,
      sym_true,
      sym_false,
      sym_iota,
    STATE(394), 12,
      sym_parenthesized_expression,
      sym_call_expression,
      sym_selector_expression,
      sym_index_expression,
      sym_slice_expression,
      sym_type_assertion_expression,
      sym_type_conversion_expression,
      sym_composite_literal,
      sym_func_literal,
      sym_unary_expression,
      sym_binary_expression,
      sym_interpreted_string_literal,
  [5990] = 26,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(23), 1,
      anon_sym_LBRACK,
    ACTIONS(29), 1,
      anon_sym_struct,
    ACTIONS(31), 1,
      anon_sym_TILDE,
    ACTIONS(35), 1,
      anon_sym_interface,
    ACTIONS(37), 1,
      anon_sym_map,
    ACTIONS(39), 1,
      anon_sym_chan,
    ACTIONS(267), 1,
      anon_sym_LPAREN,
    ACTIONS(271), 1,
      anon_sym_func,
    ACTIONS(287), 1,
      anon_sym_DQUOTE,
    ACTIONS(383), 1,
      sym_identifier,
    ACTIONS(387), 1,
      anon_sym_STAR,
    ACTIONS(389), 1,
      anon_sym_LT_DASH,
    ACTIONS(469), 1,
      anon_sym_RPAREN,
    STATE(612), 1,
      sym__expression,
    STATE(859), 1,
      sym_qualified_type,
    STATE(1246), 1,
      sym_implicit_length_array_type,
    ACTIONS(281), 2,
      anon_sym_new,
      anon_sym_make,
    STATE(821), 2,
      sym_union_type,
      sym_negated_type,
    STATE(1224), 2,
      sym_parenthesized_type,
      sym__simple_type,
    ACTIONS(285), 3,
      sym_raw_string_literal,
      sym_imaginary_literal,
      sym_rune_literal,
    STATE(830), 4,
      sym_pointer_type,
      sym_interface_type,
      sym_channel_type,
      sym_function_type,
    ACTIONS(391), 5,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_BANG,
      anon_sym_CARET,
      anon_sym_AMP,
    STATE(864), 5,
      sym_generic_type,
      sym_array_type,
      sym_slice_type,
      sym_struct_type,
      sym_map_type,
    ACTIONS(289), 6,
      sym_int_literal,
      sym_float_literal,
      sym_nil,
      sym_true,
      sym_false,
      sym_iota,
    STATE(394), 12,
      sym_parenthesized_expression,
      sym_call_expression,
      sym_selector_expression,
      sym_index_expression,
      sym_slice_expression,
      sym_type_assertion_expression,
      sym_type_conversion_expression,
      sym_composite_literal,
      sym_func_literal,
      sym_unary_expression,
      sym_binary_expression,
      sym_interpreted_string_literal,
  [6101] = 26,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(23), 1,
      anon_sym_LBRACK,
    ACTIONS(29), 1,
      anon_sym_struct,
    ACTIONS(31), 1,
      anon_sym_TILDE,
    ACTIONS(35), 1,
      anon_sym_interface,
    ACTIONS(37), 1,
      anon_sym_map,
    ACTIONS(39), 1,
      anon_sym_chan,
    ACTIONS(267), 1,
      anon_sym_LPAREN,
    ACTIONS(271), 1,
      anon_sym_func,
    ACTIONS(287), 1,
      anon_sym_DQUOTE,
    ACTIONS(383), 1,
      sym_identifier,
    ACTIONS(387), 1,
      anon_sym_STAR,
    ACTIONS(389), 1,
      anon_sym_LT_DASH,
    ACTIONS(471), 1,
      anon_sym_RPAREN,
    STATE(612), 1,
      sym__expression,
    STATE(859), 1,
      sym_qualified_type,
    STATE(1246), 1,
      sym_implicit_length_array_type,
    ACTIONS(281), 2,
      anon_sym_new,
      anon_sym_make,
    STATE(821), 2,
      sym_union_type,
      sym_negated_type,
    STATE(1224), 2,
      sym_parenthesized_type,
      sym__simple_type,
    ACTIONS(285), 3,
      sym_raw_string_literal,
      sym_imaginary_literal,
      sym_rune_literal,
    STATE(830), 4,
      sym_pointer_type,
      sym_interface_type,
      sym_channel_type,
      sym_function_type,
    ACTIONS(391), 5,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_BANG,
      anon_sym_CARET,
      anon_sym_AMP,
    STATE(864), 5,
      sym_generic_type,
      sym_array_type,
      sym_slice_type,
      sym_struct_type,
      sym_map_type,
    ACTIONS(289), 6,
      sym_int_literal,
      sym_float_literal,
      sym_nil,
      sym_true,
      sym_false,
      sym_iota,
    STATE(394), 12,
      sym_parenthesized_expression,
      sym_call_expression,
      sym_selector_expression,
      sym_index_expression,
      sym_slice_expression,
      sym_type_assertion_expression,
      sym_type_conversion_expression,
      sym_composite_literal,
      sym_func_literal,
      sym_unary_expression,
      sym_binary_expression,
      sym_interpreted_string_literal,
  [6212] = 26,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(23), 1,
      anon_sym_LBRACK,
    ACTIONS(29), 1,
      anon_sym_struct,
    ACTIONS(31), 1,
      anon_sym_TILDE,
    ACTIONS(35), 1,
      anon_sym_interface,
    ACTIONS(37), 1,
      anon_sym_map,
    ACTIONS(39), 1,
      anon_sym_chan,
    ACTIONS(265), 1,
      sym_identifier,
    ACTIONS(267), 1,
      anon_sym_LPAREN,
    ACTIONS(271), 1,
      anon_sym_func,
    ACTIONS(273), 1,
      anon_sym_STAR,
    ACTIONS(279), 1,
      anon_sym_LT_DASH,
    ACTIONS(287), 1,
      anon_sym_DQUOTE,
    ACTIONS(473), 1,
      anon_sym_RBRACK,
    STATE(598), 1,
      sym__expression,
    STATE(859), 1,
      sym_qualified_type,
    STATE(1246), 1,
      sym_implicit_length_array_type,
    ACTIONS(281), 2,
      anon_sym_new,
      anon_sym_make,
    STATE(821), 2,
      sym_union_type,
      sym_negated_type,
    STATE(1224), 2,
      sym_parenthesized_type,
      sym__simple_type,
    ACTIONS(285), 3,
      sym_raw_string_literal,
      sym_imaginary_literal,
      sym_rune_literal,
    STATE(830), 4,
      sym_pointer_type,
      sym_interface_type,
      sym_channel_type,
      sym_function_type,
    ACTIONS(283), 5,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_BANG,
      anon_sym_CARET,
      anon_sym_AMP,
    STATE(864), 5,
      sym_generic_type,
      sym_array_type,
      sym_slice_type,
      sym_struct_type,
      sym_map_type,
    ACTIONS(289), 6,
      sym_int_literal,
      sym_float_literal,
      sym_nil,
      sym_true,
      sym_false,
      sym_iota,
    STATE(394), 12,
      sym_parenthesized_expression,
      sym_call_expression,
      sym_selector_expression,
      sym_index_expression,
      sym_slice_expression,
      sym_type_assertion_expression,
      sym_type_conversion_expression,
      sym_composite_literal,
      sym_func_literal,
      sym_unary_expression,
      sym_binary_expression,
      sym_interpreted_string_literal,
  [6323] = 26,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(23), 1,
      anon_sym_LBRACK,
    ACTIONS(29), 1,
      anon_sym_struct,
    ACTIONS(31), 1,
      anon_sym_TILDE,
    ACTIONS(35), 1,
      anon_sym_interface,
    ACTIONS(37), 1,
      anon_sym_map,
    ACTIONS(39), 1,
      anon_sym_chan,
    ACTIONS(265), 1,
      sym_identifier,
    ACTIONS(267), 1,
      anon_sym_LPAREN,
    ACTIONS(271), 1,
      anon_sym_func,
    ACTIONS(273), 1,
      anon_sym_STAR,
    ACTIONS(279), 1,
      anon_sym_LT_DASH,
    ACTIONS(287), 1,
      anon_sym_DQUOTE,
    ACTIONS(475), 1,
      anon_sym_RBRACK,
    STATE(742), 1,
      sym__expression,
    STATE(859), 1,
      sym_qualified_type,
    STATE(1246), 1,
      sym_implicit_length_array_type,
    ACTIONS(281), 2,
      anon_sym_new,
      anon_sym_make,
    STATE(821), 2,
      sym_union_type,
      sym_negated_type,
    STATE(1224), 2,
      sym_parenthesized_type,
      sym__simple_type,
    ACTIONS(285), 3,
      sym_raw_string_literal,
      sym_imaginary_literal,
      sym_rune_literal,
    STATE(830), 4,
      sym_pointer_type,
      sym_interface_type,
      sym_channel_type,
      sym_function_type,
    ACTIONS(283), 5,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_BANG,
      anon_sym_CARET,
      anon_sym_AMP,
    STATE(864), 5,
      sym_generic_type,
      sym_array_type,
      sym_slice_type,
      sym_struct_type,
      sym_map_type,
    ACTIONS(289), 6,
      sym_int_literal,
      sym_float_literal,
      sym_nil,
      sym_true,
      sym_false,
      sym_iota,
    STATE(394), 12,
      sym_parenthesized_expression,
      sym_call_expression,
      sym_selector_expression,
      sym_index_expression,
      sym_slice_expression,
      sym_type_assertion_expression,
      sym_type_conversion_expression,
      sym_composite_literal,
      sym_func_literal,
      sym_unary_expression,
      sym_binary_expression,
      sym_interpreted_string_literal,
  [6434] = 26,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(23), 1,
      anon_sym_LBRACK,
    ACTIONS(29), 1,
      anon_sym_struct,
    ACTIONS(31), 1,
      anon_sym_TILDE,
    ACTIONS(35), 1,
      anon_sym_interface,
    ACTIONS(37), 1,
      anon_sym_map,
    ACTIONS(39), 1,
      anon_sym_chan,
    ACTIONS(267), 1,
      anon_sym_LPAREN,
    ACTIONS(271), 1,
      anon_sym_func,
    ACTIONS(287), 1,
      anon_sym_DQUOTE,
    ACTIONS(383), 1,
      sym_identifier,
    ACTIONS(387), 1,
      anon_sym_STAR,
    ACTIONS(389), 1,
      anon_sym_LT_DASH,
    ACTIONS(477), 1,
      anon_sym_RPAREN,
    STATE(612), 1,
      sym__expression,
    STATE(859), 1,
      sym_qualified_type,
    STATE(1246), 1,
      sym_implicit_length_array_type,
    ACTIONS(281), 2,
      anon_sym_new,
      anon_sym_make,
    STATE(821), 2,
      sym_union_type,
      sym_negated_type,
    STATE(1224), 2,
      sym_parenthesized_type,
      sym__simple_type,
    ACTIONS(285), 3,
      sym_raw_string_literal,
      sym_imaginary_literal,
      sym_rune_literal,
    STATE(830), 4,
      sym_pointer_type,
      sym_interface_type,
      sym_channel_type,
      sym_function_type,
    ACTIONS(391), 5,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_BANG,
      anon_sym_CARET,
      anon_sym_AMP,
    STATE(864), 5,
      sym_generic_type,
      sym_array_type,
      sym_slice_type,
      sym_struct_type,
      sym_map_type,
    ACTIONS(289), 6,
      sym_int_literal,
      sym_float_literal,
      sym_nil,
      sym_true,
      sym_false,
      sym_iota,
    STATE(394), 12,
      sym_parenthesized_expression,
      sym_call_expression,
      sym_selector_expression,
      sym_index_expression,
      sym_slice_expression,
      sym_type_assertion_expression,
      sym_type_conversion_expression,
      sym_composite_literal,
      sym_func_literal,
      sym_unary_expression,
      sym_binary_expression,
      sym_interpreted_string_literal,
  [6545] = 26,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(23), 1,
      anon_sym_LBRACK,
    ACTIONS(29), 1,
      anon_sym_struct,
    ACTIONS(31), 1,
      anon_sym_TILDE,
    ACTIONS(35), 1,
      anon_sym_interface,
    ACTIONS(37), 1,
      anon_sym_map,
    ACTIONS(39), 1,
      anon_sym_chan,
    ACTIONS(267), 1,
      anon_sym_LPAREN,
    ACTIONS(271), 1,
      anon_sym_func,
    ACTIONS(287), 1,
      anon_sym_DQUOTE,
    ACTIONS(383), 1,
      sym_identifier,
    ACTIONS(387), 1,
      anon_sym_STAR,
    ACTIONS(389), 1,
      anon_sym_LT_DASH,
    ACTIONS(479), 1,
      anon_sym_RPAREN,
    STATE(612), 1,
      sym__expression,
    STATE(859), 1,
      sym_qualified_type,
    STATE(1246), 1,
      sym_implicit_length_array_type,
    ACTIONS(281), 2,
      anon_sym_new,
      anon_sym_make,
    STATE(821), 2,
      sym_union_type,
      sym_negated_type,
    STATE(1224), 2,
      sym_parenthesized_type,
      sym__simple_type,
    ACTIONS(285), 3,
      sym_raw_string_literal,
      sym_imaginary_literal,
      sym_rune_literal,
    STATE(830), 4,
      sym_pointer_type,
      sym_interface_type,
      sym_channel_type,
      sym_function_type,
    ACTIONS(391), 5,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_BANG,
      anon_sym_CARET,
      anon_sym_AMP,
    STATE(864), 5,
      sym_generic_type,
      sym_array_type,
      sym_slice_type,
      sym_struct_type,
      sym_map_type,
    ACTIONS(289), 6,
      sym_int_literal,
      sym_float_literal,
      sym_nil,
      sym_true,
      sym_false,
      sym_iota,
    STATE(394), 12,
      sym_parenthesized_expression,
      sym_call_expression,
      sym_selector_expression,
      sym_index_expression,
      sym_slice_expression,
      sym_type_assertion_expression,
      sym_type_conversion_expression,
      sym_composite_literal,
      sym_func_literal,
      sym_unary_expression,
      sym_binary_expression,
      sym_interpreted_string_literal,
  [6656] = 26,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(23), 1,
      anon_sym_LBRACK,
    ACTIONS(29), 1,
      anon_sym_struct,
    ACTIONS(31), 1,
      anon_sym_TILDE,
    ACTIONS(35), 1,
      anon_sym_interface,
    ACTIONS(37), 1,
      anon_sym_map,
    ACTIONS(39), 1,
      anon_sym_chan,
    ACTIONS(265), 1,
      sym_identifier,
    ACTIONS(267), 1,
      anon_sym_LPAREN,
    ACTIONS(271), 1,
      anon_sym_func,
    ACTIONS(273), 1,
      anon_sym_STAR,
    ACTIONS(279), 1,
      anon_sym_LT_DASH,
    ACTIONS(287), 1,
      anon_sym_DQUOTE,
    ACTIONS(481), 1,
      anon_sym_RBRACK,
    STATE(605), 1,
      sym__expression,
    STATE(859), 1,
      sym_qualified_type,
    STATE(1246), 1,
      sym_implicit_length_array_type,
    ACTIONS(281), 2,
      anon_sym_new,
      anon_sym_make,
    STATE(821), 2,
      sym_union_type,
      sym_negated_type,
    STATE(1224), 2,
      sym_parenthesized_type,
      sym__simple_type,
    ACTIONS(285), 3,
      sym_raw_string_literal,
      sym_imaginary_literal,
      sym_rune_literal,
    STATE(830), 4,
      sym_pointer_type,
      sym_interface_type,
      sym_channel_type,
      sym_function_type,
    ACTIONS(283), 5,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_BANG,
      anon_sym_CARET,
      anon_sym_AMP,
    STATE(864), 5,
      sym_generic_type,
      sym_array_type,
      sym_slice_type,
      sym_struct_type,
      sym_map_type,
    ACTIONS(289), 6,
      sym_int_literal,
      sym_float_literal,
      sym_nil,
      sym_true,
      sym_false,
      sym_iota,
    STATE(394), 12,
      sym_parenthesized_expression,
      sym_call_expression,
      sym_selector_expression,
      sym_index_expression,
      sym_slice_expression,
      sym_type_assertion_expression,
      sym_type_conversion_expression,
      sym_composite_literal,
      sym_func_literal,
      sym_unary_expression,
      sym_binary_expression,
      sym_interpreted_string_literal,
  [6767] = 26,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(23), 1,
      anon_sym_LBRACK,
    ACTIONS(29), 1,
      anon_sym_struct,
    ACTIONS(31), 1,
      anon_sym_TILDE,
    ACTIONS(35), 1,
      anon_sym_interface,
    ACTIONS(37), 1,
      anon_sym_map,
    ACTIONS(39), 1,
      anon_sym_chan,
    ACTIONS(267), 1,
      anon_sym_LPAREN,
    ACTIONS(271), 1,
      anon_sym_func,
    ACTIONS(279), 1,
      anon_sym_LT_DASH,
    ACTIONS(287), 1,
      anon_sym_DQUOTE,
    ACTIONS(425), 1,
      anon_sym_STAR,
    ACTIONS(467), 1,
      sym_identifier,
    ACTIONS(483), 1,
      anon_sym_COLON,
    STATE(607), 1,
      sym__expression,
    STATE(859), 1,
      sym_qualified_type,
    STATE(1246), 1,
      sym_implicit_length_array_type,
    ACTIONS(281), 2,
      anon_sym_new,
      anon_sym_make,
    STATE(821), 2,
      sym_union_type,
      sym_negated_type,
    STATE(954), 2,
      sym_parenthesized_type,
      sym__simple_type,
    ACTIONS(285), 3,
      sym_raw_string_literal,
      sym_imaginary_literal,
      sym_rune_literal,
    STATE(830), 4,
      sym_pointer_type,
      sym_interface_type,
      sym_channel_type,
      sym_function_type,
    ACTIONS(283), 5,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_BANG,
      anon_sym_CARET,
      anon_sym_AMP,
    STATE(864), 5,
      sym_generic_type,
      sym_array_type,
      sym_slice_type,
      sym_struct_type,
      sym_map_type,
    ACTIONS(289), 6,
      sym_int_literal,
      sym_float_literal,
      sym_nil,
      sym_true,
      sym_false,
      sym_iota,
    STATE(394), 12,
      sym_parenthesized_expression,
      sym_call_expression,
      sym_selector_expression,
      sym_index_expression,
      sym_slice_expression,
      sym_type_assertion_expression,
      sym_type_conversion_expression,
      sym_composite_literal,
      sym_func_literal,
      sym_unary_expression,
      sym_binary_expression,
      sym_interpreted_string_literal,
  [6878] = 26,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(23), 1,
      anon_sym_LBRACK,
    ACTIONS(29), 1,
      anon_sym_struct,
    ACTIONS(31), 1,
      anon_sym_TILDE,
    ACTIONS(35), 1,
      anon_sym_interface,
    ACTIONS(37), 1,
      anon_sym_map,
    ACTIONS(39), 1,
      anon_sym_chan,
    ACTIONS(265), 1,
      sym_identifier,
    ACTIONS(267), 1,
      anon_sym_LPAREN,
    ACTIONS(271), 1,
      anon_sym_func,
    ACTIONS(273), 1,
      anon_sym_STAR,
    ACTIONS(279), 1,
      anon_sym_LT_DASH,
    ACTIONS(287), 1,
      anon_sym_DQUOTE,
    ACTIONS(485), 1,
      anon_sym_RBRACK,
    STATE(595), 1,
      sym__expression,
    STATE(859), 1,
      sym_qualified_type,
    STATE(1246), 1,
      sym_implicit_length_array_type,
    ACTIONS(281), 2,
      anon_sym_new,
      anon_sym_make,
    STATE(821), 2,
      sym_union_type,
      sym_negated_type,
    STATE(1224), 2,
      sym_parenthesized_type,
      sym__simple_type,
    ACTIONS(285), 3,
      sym_raw_string_literal,
      sym_imaginary_literal,
      sym_rune_literal,
    STATE(830), 4,
      sym_pointer_type,
      sym_interface_type,
      sym_channel_type,
      sym_function_type,
    ACTIONS(283), 5,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_BANG,
      anon_sym_CARET,
      anon_sym_AMP,
    STATE(864), 5,
      sym_generic_type,
      sym_array_type,
      sym_slice_type,
      sym_struct_type,
      sym_map_type,
    ACTIONS(289), 6,
      sym_int_literal,
      sym_float_literal,
      sym_nil,
      sym_true,
      sym_false,
      sym_iota,
    STATE(394), 12,
      sym_parenthesized_expression,
      sym_call_expression,
      sym_selector_expression,
      sym_index_expression,
      sym_slice_expression,
      sym_type_assertion_expression,
      sym_type_conversion_expression,
      sym_composite_literal,
      sym_func_literal,
      sym_unary_expression,
      sym_binary_expression,
      sym_interpreted_string_literal,
  [6989] = 26,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(23), 1,
      anon_sym_LBRACK,
    ACTIONS(29), 1,
      anon_sym_struct,
    ACTIONS(31), 1,
      anon_sym_TILDE,
    ACTIONS(35), 1,
      anon_sym_interface,
    ACTIONS(37), 1,
      anon_sym_map,
    ACTIONS(39), 1,
      anon_sym_chan,
    ACTIONS(265), 1,
      sym_identifier,
    ACTIONS(267), 1,
      anon_sym_LPAREN,
    ACTIONS(271), 1,
      anon_sym_func,
    ACTIONS(273), 1,
      anon_sym_STAR,
    ACTIONS(279), 1,
      anon_sym_LT_DASH,
    ACTIONS(287), 1,
      anon_sym_DQUOTE,
    ACTIONS(487), 1,
      anon_sym_RBRACK,
    STATE(623), 1,
      sym__expression,
    STATE(859), 1,
      sym_qualified_type,
    STATE(1246), 1,
      sym_implicit_length_array_type,
    ACTIONS(281), 2,
      anon_sym_new,
      anon_sym_make,
    STATE(821), 2,
      sym_union_type,
      sym_negated_type,
    STATE(1224), 2,
      sym_parenthesized_type,
      sym__simple_type,
    ACTIONS(285), 3,
      sym_raw_string_literal,
      sym_imaginary_literal,
      sym_rune_literal,
    STATE(830), 4,
      sym_pointer_type,
      sym_interface_type,
      sym_channel_type,
      sym_function_type,
    ACTIONS(283), 5,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_BANG,
      anon_sym_CARET,
      anon_sym_AMP,
    STATE(864), 5,
      sym_generic_type,
      sym_array_type,
      sym_slice_type,
      sym_struct_type,
      sym_map_type,
    ACTIONS(289), 6,
      sym_int_literal,
      sym_float_literal,
      sym_nil,
      sym_true,
      sym_false,
      sym_iota,
    STATE(394), 12,
      sym_parenthesized_expression,
      sym_call_expression,
      sym_selector_expression,
      sym_index_expression,
      sym_slice_expression,
      sym_type_assertion_expression,
      sym_type_conversion_expression,
      sym_composite_literal,
      sym_func_literal,
      sym_unary_expression,
      sym_binary_expression,
      sym_interpreted_string_literal,
  [7100] = 26,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(23), 1,
      anon_sym_LBRACK,
    ACTIONS(29), 1,
      anon_sym_struct,
    ACTIONS(31), 1,
      anon_sym_TILDE,
    ACTIONS(35), 1,
      anon_sym_interface,
    ACTIONS(37), 1,
      anon_sym_map,
    ACTIONS(39), 1,
      anon_sym_chan,
    ACTIONS(265), 1,
      sym_identifier,
    ACTIONS(267), 1,
      anon_sym_LPAREN,
    ACTIONS(271), 1,
      anon_sym_func,
    ACTIONS(273), 1,
      anon_sym_STAR,
    ACTIONS(279), 1,
      anon_sym_LT_DASH,
    ACTIONS(287), 1,
      anon_sym_DQUOTE,
    STATE(585), 1,
      sym__expression,
    STATE(859), 1,
      sym_qualified_type,
    STATE(1233), 1,
      sym_expression_list,
    STATE(1246), 1,
      sym_implicit_length_array_type,
    ACTIONS(281), 2,
      anon_sym_new,
      anon_sym_make,
    STATE(821), 2,
      sym_union_type,
      sym_negated_type,
    STATE(1224), 2,
      sym_parenthesized_type,
      sym__simple_type,
    ACTIONS(285), 3,
      sym_raw_string_literal,
      sym_imaginary_literal,
      sym_rune_literal,
    STATE(830), 4,
      sym_pointer_type,
      sym_interface_type,
      sym_channel_type,
      sym_function_type,
    ACTIONS(283), 5,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_BANG,
      anon_sym_CARET,
      anon_sym_AMP,
    STATE(864), 5,
      sym_generic_type,
      sym_array_type,
      sym_slice_type,
      sym_struct_type,
      sym_map_type,
    ACTIONS(289), 6,
      sym_int_literal,
      sym_float_literal,
      sym_nil,
      sym_true,
      sym_false,
      sym_iota,
    STATE(394), 12,
      sym_parenthesized_expression,
      sym_call_expression,
      sym_selector_expression,
      sym_index_expression,
      sym_slice_expression,
      sym_type_assertion_expression,
      sym_type_conversion_expression,
      sym_composite_literal,
      sym_func_literal,
      sym_unary_expression,
      sym_binary_expression,
      sym_interpreted_string_literal,
  [7211] = 26,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(23), 1,
      anon_sym_LBRACK,
    ACTIONS(29), 1,
      anon_sym_struct,
    ACTIONS(31), 1,
      anon_sym_TILDE,
    ACTIONS(35), 1,
      anon_sym_interface,
    ACTIONS(37), 1,
      anon_sym_map,
    ACTIONS(39), 1,
      anon_sym_chan,
    ACTIONS(267), 1,
      anon_sym_LPAREN,
    ACTIONS(271), 1,
      anon_sym_func,
    ACTIONS(287), 1,
      anon_sym_DQUOTE,
    ACTIONS(435), 1,
      sym_identifier,
    ACTIONS(437), 1,
      anon_sym_STAR,
    ACTIONS(441), 1,
      anon_sym_LT_DASH,
    STATE(564), 1,
      sym__expression,
    STATE(859), 1,
      sym_qualified_type,
    STATE(1233), 1,
      sym_expression_list,
    STATE(1246), 1,
      sym_implicit_length_array_type,
    ACTIONS(281), 2,
      anon_sym_new,
      anon_sym_make,
    STATE(821), 2,
      sym_union_type,
      sym_negated_type,
    STATE(1224), 2,
      sym_parenthesized_type,
      sym__simple_type,
    ACTIONS(285), 3,
      sym_raw_string_literal,
      sym_imaginary_literal,
      sym_rune_literal,
    STATE(830), 4,
      sym_pointer_type,
      sym_interface_type,
      sym_channel_type,
      sym_function_type,
    ACTIONS(443), 5,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_BANG,
      anon_sym_CARET,
      anon_sym_AMP,
    STATE(864), 5,
      sym_generic_type,
      sym_array_type,
      sym_slice_type,
      sym_struct_type,
      sym_map_type,
    ACTIONS(289), 6,
      sym_int_literal,
      sym_float_literal,
      sym_nil,
      sym_true,
      sym_false,
      sym_iota,
    STATE(394), 12,
      sym_parenthesized_expression,
      sym_call_expression,
      sym_selector_expression,
      sym_index_expression,
      sym_slice_expression,
      sym_type_assertion_expression,
      sym_type_conversion_expression,
      sym_composite_literal,
      sym_func_literal,
      sym_unary_expression,
      sym_binary_expression,
      sym_interpreted_string_literal,
  [7322] = 26,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(23), 1,
      anon_sym_LBRACK,
    ACTIONS(29), 1,
      anon_sym_struct,
    ACTIONS(31), 1,
      anon_sym_TILDE,
    ACTIONS(35), 1,
      anon_sym_interface,
    ACTIONS(37), 1,
      anon_sym_map,
    ACTIONS(39), 1,
      anon_sym_chan,
    ACTIONS(267), 1,
      anon_sym_LPAREN,
    ACTIONS(271), 1,
      anon_sym_func,
    ACTIONS(287), 1,
      anon_sym_DQUOTE,
    ACTIONS(383), 1,
      sym_identifier,
    ACTIONS(387), 1,
      anon_sym_STAR,
    ACTIONS(389), 1,
      anon_sym_LT_DASH,
    ACTIONS(489), 1,
      anon_sym_RPAREN,
    STATE(612), 1,
      sym__expression,
    STATE(859), 1,
      sym_qualified_type,
    STATE(1246), 1,
      sym_implicit_length_array_type,
    ACTIONS(281), 2,
      anon_sym_new,
      anon_sym_make,
    STATE(821), 2,
      sym_union_type,
      sym_negated_type,
    STATE(1224), 2,
      sym_parenthesized_type,
      sym__simple_type,
    ACTIONS(285), 3,
      sym_raw_string_literal,
      sym_imaginary_literal,
      sym_rune_literal,
    STATE(830), 4,
      sym_pointer_type,
      sym_interface_type,
      sym_channel_type,
      sym_function_type,
    ACTIONS(391), 5,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_BANG,
      anon_sym_CARET,
      anon_sym_AMP,
    STATE(864), 5,
      sym_generic_type,
      sym_array_type,
      sym_slice_type,
      sym_struct_type,
      sym_map_type,
    ACTIONS(289), 6,
      sym_int_literal,
      sym_float_literal,
      sym_nil,
      sym_true,
      sym_false,
      sym_iota,
    STATE(394), 12,
      sym_parenthesized_expression,
      sym_call_expression,
      sym_selector_expression,
      sym_index_expression,
      sym_slice_expression,
      sym_type_assertion_expression,
      sym_type_conversion_expression,
      sym_composite_literal,
      sym_func_literal,
      sym_unary_expression,
      sym_binary_expression,
      sym_interpreted_string_literal,
  [7433] = 26,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(23), 1,
      anon_sym_LBRACK,
    ACTIONS(29), 1,
      anon_sym_struct,
    ACTIONS(31), 1,
      anon_sym_TILDE,
    ACTIONS(35), 1,
      anon_sym_interface,
    ACTIONS(37), 1,
      anon_sym_map,
    ACTIONS(39), 1,
      anon_sym_chan,
    ACTIONS(265), 1,
      sym_identifier,
    ACTIONS(267), 1,
      anon_sym_LPAREN,
    ACTIONS(271), 1,
      anon_sym_func,
    ACTIONS(273), 1,
      anon_sym_STAR,
    ACTIONS(279), 1,
      anon_sym_LT_DASH,
    ACTIONS(287), 1,
      anon_sym_DQUOTE,
    ACTIONS(491), 1,
      anon_sym_RBRACK,
    STATE(652), 1,
      sym__expression,
    STATE(859), 1,
      sym_qualified_type,
    STATE(1246), 1,
      sym_implicit_length_array_type,
    ACTIONS(281), 2,
      anon_sym_new,
      anon_sym_make,
    STATE(821), 2,
      sym_union_type,
      sym_negated_type,
    STATE(1224), 2,
      sym_parenthesized_type,
      sym__simple_type,
    ACTIONS(285), 3,
      sym_raw_string_literal,
      sym_imaginary_literal,
      sym_rune_literal,
    STATE(830), 4,
      sym_pointer_type,
      sym_interface_type,
      sym_channel_type,
      sym_function_type,
    ACTIONS(283), 5,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_BANG,
      anon_sym_CARET,
      anon_sym_AMP,
    STATE(864), 5,
      sym_generic_type,
      sym_array_type,
      sym_slice_type,
      sym_struct_type,
      sym_map_type,
    ACTIONS(289), 6,
      sym_int_literal,
      sym_float_literal,
      sym_nil,
      sym_true,
      sym_false,
      sym_iota,
    STATE(394), 12,
      sym_parenthesized_expression,
      sym_call_expression,
      sym_selector_expression,
      sym_index_expression,
      sym_slice_expression,
      sym_type_assertion_expression,
      sym_type_conversion_expression,
      sym_composite_literal,
      sym_func_literal,
      sym_unary_expression,
      sym_binary_expression,
      sym_interpreted_string_literal,
  [7544] = 26,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(23), 1,
      anon_sym_LBRACK,
    ACTIONS(29), 1,
      anon_sym_struct,
    ACTIONS(31), 1,
      anon_sym_TILDE,
    ACTIONS(35), 1,
      anon_sym_interface,
    ACTIONS(37), 1,
      anon_sym_map,
    ACTIONS(39), 1,
      anon_sym_chan,
    ACTIONS(267), 1,
      anon_sym_LPAREN,
    ACTIONS(271), 1,
      anon_sym_func,
    ACTIONS(287), 1,
      anon_sym_DQUOTE,
    ACTIONS(383), 1,
      sym_identifier,
    ACTIONS(387), 1,
      anon_sym_STAR,
    ACTIONS(389), 1,
      anon_sym_LT_DASH,
    ACTIONS(493), 1,
      anon_sym_RPAREN,
    STATE(612), 1,
      sym__expression,
    STATE(859), 1,
      sym_qualified_type,
    STATE(1246), 1,
      sym_implicit_length_array_type,
    ACTIONS(281), 2,
      anon_sym_new,
      anon_sym_make,
    STATE(821), 2,
      sym_union_type,
      sym_negated_type,
    STATE(1224), 2,
      sym_parenthesized_type,
      sym__simple_type,
    ACTIONS(285), 3,
      sym_raw_string_literal,
      sym_imaginary_literal,
      sym_rune_literal,
    STATE(830), 4,
      sym_pointer_type,
      sym_interface_type,
      sym_channel_type,
      sym_function_type,
    ACTIONS(391), 5,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_BANG,
      anon_sym_CARET,
      anon_sym_AMP,
    STATE(864), 5,
      sym_generic_type,
      sym_array_type,
      sym_slice_type,
      sym_struct_type,
      sym_map_type,
    ACTIONS(289), 6,
      sym_int_literal,
      sym_float_literal,
      sym_nil,
      sym_true,
      sym_false,
      sym_iota,
    STATE(394), 12,
      sym_parenthesized_expression,
      sym_call_expression,
      sym_selector_expression,
      sym_index_expression,
      sym_slice_expression,
      sym_type_assertion_expression,
      sym_type_conversion_expression,
      sym_composite_literal,
      sym_func_literal,
      sym_unary_expression,
      sym_binary_expression,
      sym_interpreted_string_literal,
  [7655] = 26,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(23), 1,
      anon_sym_LBRACK,
    ACTIONS(29), 1,
      anon_sym_struct,
    ACTIONS(31), 1,
      anon_sym_TILDE,
    ACTIONS(35), 1,
      anon_sym_interface,
    ACTIONS(37), 1,
      anon_sym_map,
    ACTIONS(39), 1,
      anon_sym_chan,
    ACTIONS(267), 1,
      anon_sym_LPAREN,
    ACTIONS(271), 1,
      anon_sym_func,
    ACTIONS(279), 1,
      anon_sym_LT_DASH,
    ACTIONS(287), 1,
      anon_sym_DQUOTE,
    ACTIONS(425), 1,
      anon_sym_STAR,
    ACTIONS(467), 1,
      sym_identifier,
    ACTIONS(495), 1,
      anon_sym_COLON,
    STATE(597), 1,
      sym__expression,
    STATE(859), 1,
      sym_qualified_type,
    STATE(1246), 1,
      sym_implicit_length_array_type,
    ACTIONS(281), 2,
      anon_sym_new,
      anon_sym_make,
    STATE(821), 2,
      sym_union_type,
      sym_negated_type,
    STATE(954), 2,
      sym_parenthesized_type,
      sym__simple_type,
    ACTIONS(285), 3,
      sym_raw_string_literal,
      sym_imaginary_literal,
      sym_rune_literal,
    STATE(830), 4,
      sym_pointer_type,
      sym_interface_type,
      sym_channel_type,
      sym_function_type,
    ACTIONS(283), 5,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_BANG,
      anon_sym_CARET,
      anon_sym_AMP,
    STATE(864), 5,
      sym_generic_type,
      sym_array_type,
      sym_slice_type,
      sym_struct_type,
      sym_map_type,
    ACTIONS(289), 6,
      sym_int_literal,
      sym_float_literal,
      sym_nil,
      sym_true,
      sym_false,
      sym_iota,
    STATE(394), 12,
      sym_parenthesized_expression,
      sym_call_expression,
      sym_selector_expression,
      sym_index_expression,
      sym_slice_expression,
      sym_type_assertion_expression,
      sym_type_conversion_expression,
      sym_composite_literal,
      sym_func_literal,
      sym_unary_expression,
      sym_binary_expression,
      sym_interpreted_string_literal,
  [7766] = 26,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(23), 1,
      anon_sym_LBRACK,
    ACTIONS(29), 1,
      anon_sym_struct,
    ACTIONS(31), 1,
      anon_sym_TILDE,
    ACTIONS(35), 1,
      anon_sym_interface,
    ACTIONS(37), 1,
      anon_sym_map,
    ACTIONS(39), 1,
      anon_sym_chan,
    ACTIONS(295), 1,
      sym_identifier,
    ACTIONS(303), 1,
      anon_sym_func,
    ACTIONS(455), 1,
      anon_sym_LPAREN,
    ACTIONS(457), 1,
      anon_sym_STAR,
    ACTIONS(459), 1,
      anon_sym_LT_DASH,
    ACTIONS(465), 1,
      anon_sym_DQUOTE,
    STATE(426), 1,
      sym__expression,
    STATE(887), 1,
      sym_qualified_type,
    STATE(998), 1,
      sym_expression_list,
    STATE(1229), 1,
      sym_implicit_length_array_type,
    ACTIONS(313), 2,
      anon_sym_new,
      anon_sym_make,
    STATE(821), 2,
      sym_union_type,
      sym_negated_type,
    STATE(1217), 2,
      sym_parenthesized_type,
      sym__simple_type,
    ACTIONS(463), 3,
      sym_raw_string_literal,
      sym_imaginary_literal,
      sym_rune_literal,
    STATE(830), 4,
      sym_pointer_type,
      sym_interface_type,
      sym_channel_type,
      sym_function_type,
    ACTIONS(461), 5,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_BANG,
      anon_sym_CARET,
      anon_sym_AMP,
    STATE(1074), 5,
      sym_generic_type,
      sym_array_type,
      sym_slice_type,
      sym_struct_type,
      sym_map_type,
    ACTIONS(317), 6,
      sym_int_literal,
      sym_float_literal,
      sym_nil,
      sym_true,
      sym_false,
      sym_iota,
    STATE(522), 12,
      sym_parenthesized_expression,
      sym_call_expression,
      sym_selector_expression,
      sym_index_expression,
      sym_slice_expression,
      sym_type_assertion_expression,
      sym_type_conversion_expression,
      sym_composite_literal,
      sym_func_literal,
      sym_unary_expression,
      sym_binary_expression,
      sym_interpreted_string_literal,
  [7877] = 26,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(23), 1,
      anon_sym_LBRACK,
    ACTIONS(29), 1,
      anon_sym_struct,
    ACTIONS(31), 1,
      anon_sym_TILDE,
    ACTIONS(35), 1,
      anon_sym_interface,
    ACTIONS(37), 1,
      anon_sym_map,
    ACTIONS(39), 1,
      anon_sym_chan,
    ACTIONS(267), 1,
      anon_sym_LPAREN,
    ACTIONS(271), 1,
      anon_sym_func,
    ACTIONS(287), 1,
      anon_sym_DQUOTE,
    ACTIONS(435), 1,
      sym_identifier,
    ACTIONS(437), 1,
      anon_sym_STAR,
    ACTIONS(441), 1,
      anon_sym_LT_DASH,
    STATE(564), 1,
      sym__expression,
    STATE(859), 1,
      sym_qualified_type,
    STATE(1230), 1,
      sym_expression_list,
    STATE(1246), 1,
      sym_implicit_length_array_type,
    ACTIONS(281), 2,
      anon_sym_new,
      anon_sym_make,
    STATE(821), 2,
      sym_union_type,
      sym_negated_type,
    STATE(1224), 2,
      sym_parenthesized_type,
      sym__simple_type,
    ACTIONS(285), 3,
      sym_raw_string_literal,
      sym_imaginary_literal,
      sym_rune_literal,
    STATE(830), 4,
      sym_pointer_type,
      sym_interface_type,
      sym_channel_type,
      sym_function_type,
    ACTIONS(443), 5,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_BANG,
      anon_sym_CARET,
      anon_sym_AMP,
    STATE(864), 5,
      sym_generic_type,
      sym_array_type,
      sym_slice_type,
      sym_struct_type,
      sym_map_type,
    ACTIONS(289), 6,
      sym_int_literal,
      sym_float_literal,
      sym_nil,
      sym_true,
      sym_false,
      sym_iota,
    STATE(394), 12,
      sym_parenthesized_expression,
      sym_call_expression,
      sym_selector_expression,
      sym_index_expression,
      sym_slice_expression,
      sym_type_assertion_expression,
      sym_type_conversion_expression,
      sym_composite_literal,
      sym_func_literal,
      sym_unary_expression,
      sym_binary_expression,
      sym_interpreted_string_literal,
  [7988] = 26,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(23), 1,
      anon_sym_LBRACK,
    ACTIONS(29), 1,
      anon_sym_struct,
    ACTIONS(31), 1,
      anon_sym_TILDE,
    ACTIONS(35), 1,
      anon_sym_interface,
    ACTIONS(37), 1,
      anon_sym_map,
    ACTIONS(39), 1,
      anon_sym_chan,
    ACTIONS(295), 1,
      sym_identifier,
    ACTIONS(303), 1,
      anon_sym_func,
    ACTIONS(455), 1,
      anon_sym_LPAREN,
    ACTIONS(457), 1,
      anon_sym_STAR,
    ACTIONS(459), 1,
      anon_sym_LT_DASH,
    ACTIONS(465), 1,
      anon_sym_DQUOTE,
    STATE(426), 1,
      sym__expression,
    STATE(887), 1,
      sym_qualified_type,
    STATE(997), 1,
      sym_expression_list,
    STATE(1229), 1,
      sym_implicit_length_array_type,
    ACTIONS(313), 2,
      anon_sym_new,
      anon_sym_make,
    STATE(821), 2,
      sym_union_type,
      sym_negated_type,
    STATE(1217), 2,
      sym_parenthesized_type,
      sym__simple_type,
    ACTIONS(463), 3,
      sym_raw_string_literal,
      sym_imaginary_literal,
      sym_rune_literal,
    STATE(830), 4,
      sym_pointer_type,
      sym_interface_type,
      sym_channel_type,
      sym_function_type,
    ACTIONS(461), 5,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_BANG,
      anon_sym_CARET,
      anon_sym_AMP,
    STATE(1074), 5,
      sym_generic_type,
      sym_array_type,
      sym_slice_type,
      sym_struct_type,
      sym_map_type,
    ACTIONS(317), 6,
      sym_int_literal,
      sym_float_literal,
      sym_nil,
      sym_true,
      sym_false,
      sym_iota,
    STATE(522), 12,
      sym_parenthesized_expression,
      sym_call_expression,
      sym_selector_expression,
      sym_index_expression,
      sym_slice_expression,
      sym_type_assertion_expression,
      sym_type_conversion_expression,
      sym_composite_literal,
      sym_func_literal,
      sym_unary_expression,
      sym_binary_expression,
      sym_interpreted_string_literal,
  [8099] = 26,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(23), 1,
      anon_sym_LBRACK,
    ACTIONS(29), 1,
      anon_sym_struct,
    ACTIONS(31), 1,
      anon_sym_TILDE,
    ACTIONS(35), 1,
      anon_sym_interface,
    ACTIONS(37), 1,
      anon_sym_map,
    ACTIONS(39), 1,
      anon_sym_chan,
    ACTIONS(267), 1,
      anon_sym_LPAREN,
    ACTIONS(271), 1,
      anon_sym_func,
    ACTIONS(287), 1,
      anon_sym_DQUOTE,
    ACTIONS(383), 1,
      sym_identifier,
    ACTIONS(387), 1,
      anon_sym_STAR,
    ACTIONS(389), 1,
      anon_sym_LT_DASH,
    ACTIONS(497), 1,
      anon_sym_RPAREN,
    STATE(612), 1,
      sym__expression,
    STATE(859), 1,
      sym_qualified_type,
    STATE(1246), 1,
      sym_implicit_length_array_type,
    ACTIONS(281), 2,
      anon_sym_new,
      anon_sym_make,
    STATE(821), 2,
      sym_union_type,
      sym_negated_type,
    STATE(1224), 2,
      sym_parenthesized_type,
      sym__simple_type,
    ACTIONS(285), 3,
      sym_raw_string_literal,
      sym_imaginary_literal,
      sym_rune_literal,
    STATE(830), 4,
      sym_pointer_type,
      sym_interface_type,
      sym_channel_type,
      sym_function_type,
    ACTIONS(391), 5,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_BANG,
      anon_sym_CARET,
      anon_sym_AMP,
    STATE(864), 5,
      sym_generic_type,
      sym_array_type,
      sym_slice_type,
      sym_struct_type,
      sym_map_type,
    ACTIONS(289), 6,
      sym_int_literal,
      sym_float_literal,
      sym_nil,
      sym_true,
      sym_false,
      sym_iota,
    STATE(394), 12,
      sym_parenthesized_expression,
      sym_call_expression,
      sym_selector_expression,
      sym_index_expression,
      sym_slice_expression,
      sym_type_assertion_expression,
      sym_type_conversion_expression,
      sym_composite_literal,
      sym_func_literal,
      sym_unary_expression,
      sym_binary_expression,
      sym_interpreted_string_literal,
  [8210] = 26,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(23), 1,
      anon_sym_LBRACK,
    ACTIONS(29), 1,
      anon_sym_struct,
    ACTIONS(31), 1,
      anon_sym_TILDE,
    ACTIONS(35), 1,
      anon_sym_interface,
    ACTIONS(37), 1,
      anon_sym_map,
    ACTIONS(39), 1,
      anon_sym_chan,
    ACTIONS(265), 1,
      sym_identifier,
    ACTIONS(267), 1,
      anon_sym_LPAREN,
    ACTIONS(271), 1,
      anon_sym_func,
    ACTIONS(273), 1,
      anon_sym_STAR,
    ACTIONS(279), 1,
      anon_sym_LT_DASH,
    ACTIONS(287), 1,
      anon_sym_DQUOTE,
    STATE(513), 1,
      sym__expression,
    STATE(859), 1,
      sym_qualified_type,
    STATE(1233), 1,
      sym_expression_list,
    STATE(1246), 1,
      sym_implicit_length_array_type,
    ACTIONS(281), 2,
      anon_sym_new,
      anon_sym_make,
    STATE(821), 2,
      sym_union_type,
      sym_negated_type,
    STATE(1224), 2,
      sym_parenthesized_type,
      sym__simple_type,
    ACTIONS(285), 3,
      sym_raw_string_literal,
      sym_imaginary_literal,
      sym_rune_literal,
    STATE(830), 4,
      sym_pointer_type,
      sym_interface_type,
      sym_channel_type,
      sym_function_type,
    ACTIONS(283), 5,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_BANG,
      anon_sym_CARET,
      anon_sym_AMP,
    STATE(864), 5,
      sym_generic_type,
      sym_array_type,
      sym_slice_type,
      sym_struct_type,
      sym_map_type,
    ACTIONS(289), 6,
      sym_int_literal,
      sym_float_literal,
      sym_nil,
      sym_true,
      sym_false,
      sym_iota,
    STATE(394), 12,
      sym_parenthesized_expression,
      sym_call_expression,
      sym_selector_expression,
      sym_index_expression,
      sym_slice_expression,
      sym_type_assertion_expression,
      sym_type_conversion_expression,
      sym_composite_literal,
      sym_func_literal,
      sym_unary_expression,
      sym_binary_expression,
      sym_interpreted_string_literal,
  [8321] = 26,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(23), 1,
      anon_sym_LBRACK,
    ACTIONS(29), 1,
      anon_sym_struct,
    ACTIONS(31), 1,
      anon_sym_TILDE,
    ACTIONS(35), 1,
      anon_sym_interface,
    ACTIONS(37), 1,
      anon_sym_map,
    ACTIONS(39), 1,
      anon_sym_chan,
    ACTIONS(267), 1,
      anon_sym_LPAREN,
    ACTIONS(271), 1,
      anon_sym_func,
    ACTIONS(279), 1,
      anon_sym_LT_DASH,
    ACTIONS(287), 1,
      anon_sym_DQUOTE,
    ACTIONS(425), 1,
      anon_sym_STAR,
    ACTIONS(467), 1,
      sym_identifier,
    ACTIONS(499), 1,
      anon_sym_COLON,
    STATE(616), 1,
      sym__expression,
    STATE(859), 1,
      sym_qualified_type,
    STATE(1246), 1,
      sym_implicit_length_array_type,
    ACTIONS(281), 2,
      anon_sym_new,
      anon_sym_make,
    STATE(821), 2,
      sym_union_type,
      sym_negated_type,
    STATE(954), 2,
      sym_parenthesized_type,
      sym__simple_type,
    ACTIONS(285), 3,
      sym_raw_string_literal,
      sym_imaginary_literal,
      sym_rune_literal,
    STATE(830), 4,
      sym_pointer_type,
      sym_interface_type,
      sym_channel_type,
      sym_function_type,
    ACTIONS(283), 5,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_BANG,
      anon_sym_CARET,
      anon_sym_AMP,
    STATE(864), 5,
      sym_generic_type,
      sym_array_type,
      sym_slice_type,
      sym_struct_type,
      sym_map_type,
    ACTIONS(289), 6,
      sym_int_literal,
      sym_float_literal,
      sym_nil,
      sym_true,
      sym_false,
      sym_iota,
    STATE(394), 12,
      sym_parenthesized_expression,
      sym_call_expression,
      sym_selector_expression,
      sym_index_expression,
      sym_slice_expression,
      sym_type_assertion_expression,
      sym_type_conversion_expression,
      sym_composite_literal,
      sym_func_literal,
      sym_unary_expression,
      sym_binary_expression,
      sym_interpreted_string_literal,
  [8432] = 26,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(23), 1,
      anon_sym_LBRACK,
    ACTIONS(29), 1,
      anon_sym_struct,
    ACTIONS(31), 1,
      anon_sym_TILDE,
    ACTIONS(35), 1,
      anon_sym_interface,
    ACTIONS(37), 1,
      anon_sym_map,
    ACTIONS(39), 1,
      anon_sym_chan,
    ACTIONS(295), 1,
      sym_identifier,
    ACTIONS(303), 1,
      anon_sym_func,
    ACTIONS(455), 1,
      anon_sym_LPAREN,
    ACTIONS(457), 1,
      anon_sym_STAR,
    ACTIONS(459), 1,
      anon_sym_LT_DASH,
    ACTIONS(465), 1,
      anon_sym_DQUOTE,
    STATE(426), 1,
      sym__expression,
    STATE(887), 1,
      sym_qualified_type,
    STATE(999), 1,
      sym_expression_list,
    STATE(1229), 1,
      sym_implicit_length_array_type,
    ACTIONS(313), 2,
      anon_sym_new,
      anon_sym_make,
    STATE(821), 2,
      sym_union_type,
      sym_negated_type,
    STATE(1217), 2,
      sym_parenthesized_type,
      sym__simple_type,
    ACTIONS(463), 3,
      sym_raw_string_literal,
      sym_imaginary_literal,
      sym_rune_literal,
    STATE(830), 4,
      sym_pointer_type,
      sym_interface_type,
      sym_channel_type,
      sym_function_type,
    ACTIONS(461), 5,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_BANG,
      anon_sym_CARET,
      anon_sym_AMP,
    STATE(1074), 5,
      sym_generic_type,
      sym_array_type,
      sym_slice_type,
      sym_struct_type,
      sym_map_type,
    ACTIONS(317), 6,
      sym_int_literal,
      sym_float_literal,
      sym_nil,
      sym_true,
      sym_false,
      sym_iota,
    STATE(522), 12,
      sym_parenthesized_expression,
      sym_call_expression,
      sym_selector_expression,
      sym_index_expression,
      sym_slice_expression,
      sym_type_assertion_expression,
      sym_type_conversion_expression,
      sym_composite_literal,
      sym_func_literal,
      sym_unary_expression,
      sym_binary_expression,
      sym_interpreted_string_literal,
  [8543] = 26,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(23), 1,
      anon_sym_LBRACK,
    ACTIONS(29), 1,
      anon_sym_struct,
    ACTIONS(31), 1,
      anon_sym_TILDE,
    ACTIONS(35), 1,
      anon_sym_interface,
    ACTIONS(37), 1,
      anon_sym_map,
    ACTIONS(39), 1,
      anon_sym_chan,
    ACTIONS(265), 1,
      sym_identifier,
    ACTIONS(267), 1,
      anon_sym_LPAREN,
    ACTIONS(271), 1,
      anon_sym_func,
    ACTIONS(273), 1,
      anon_sym_STAR,
    ACTIONS(279), 1,
      anon_sym_LT_DASH,
    ACTIONS(287), 1,
      anon_sym_DQUOTE,
    ACTIONS(501), 1,
      anon_sym_RBRACK,
    STATE(620), 1,
      sym__expression,
    STATE(859), 1,
      sym_qualified_type,
    STATE(1246), 1,
      sym_implicit_length_array_type,
    ACTIONS(281), 2,
      anon_sym_new,
      anon_sym_make,
    STATE(821), 2,
      sym_union_type,
      sym_negated_type,
    STATE(1224), 2,
      sym_parenthesized_type,
      sym__simple_type,
    ACTIONS(285), 3,
      sym_raw_string_literal,
      sym_imaginary_literal,
      sym_rune_literal,
    STATE(830), 4,
      sym_pointer_type,
      sym_interface_type,
      sym_channel_type,
      sym_function_type,
    ACTIONS(283), 5,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_BANG,
      anon_sym_CARET,
      anon_sym_AMP,
    STATE(864), 5,
      sym_generic_type,
      sym_array_type,
      sym_slice_type,
      sym_struct_type,
      sym_map_type,
    ACTIONS(289), 6,
      sym_int_literal,
      sym_float_literal,
      sym_nil,
      sym_true,
      sym_false,
      sym_iota,
    STATE(394), 12,
      sym_parenthesized_expression,
      sym_call_expression,
      sym_selector_expression,
      sym_index_expression,
      sym_slice_expression,
      sym_type_assertion_expression,
      sym_type_conversion_expression,
      sym_composite_literal,
      sym_func_literal,
      sym_unary_expression,
      sym_binary_expression,
      sym_interpreted_string_literal,
  [8654] = 26,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(23), 1,
      anon_sym_LBRACK,
    ACTIONS(29), 1,
      anon_sym_struct,
    ACTIONS(31), 1,
      anon_sym_TILDE,
    ACTIONS(35), 1,
      anon_sym_interface,
    ACTIONS(37), 1,
      anon_sym_map,
    ACTIONS(39), 1,
      anon_sym_chan,
    ACTIONS(265), 1,
      sym_identifier,
    ACTIONS(267), 1,
      anon_sym_LPAREN,
    ACTIONS(271), 1,
      anon_sym_func,
    ACTIONS(273), 1,
      anon_sym_STAR,
    ACTIONS(279), 1,
      anon_sym_LT_DASH,
    ACTIONS(287), 1,
      anon_sym_DQUOTE,
    ACTIONS(423), 1,
      anon_sym_RBRACK,
    STATE(687), 1,
      sym__expression,
    STATE(859), 1,
      sym_qualified_type,
    STATE(1246), 1,
      sym_implicit_length_array_type,
    ACTIONS(281), 2,
      anon_sym_new,
      anon_sym_make,
    STATE(821), 2,
      sym_union_type,
      sym_negated_type,
    STATE(1224), 2,
      sym_parenthesized_type,
      sym__simple_type,
    ACTIONS(285), 3,
      sym_raw_string_literal,
      sym_imaginary_literal,
      sym_rune_literal,
    STATE(830), 4,
      sym_pointer_type,
      sym_interface_type,
      sym_channel_type,
      sym_function_type,
    ACTIONS(283), 5,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_BANG,
      anon_sym_CARET,
      anon_sym_AMP,
    STATE(864), 5,
      sym_generic_type,
      sym_array_type,
      sym_slice_type,
      sym_struct_type,
      sym_map_type,
    ACTIONS(289), 6,
      sym_int_literal,
      sym_float_literal,
      sym_nil,
      sym_true,
      sym_false,
      sym_iota,
    STATE(394), 12,
      sym_parenthesized_expression,
      sym_call_expression,
      sym_selector_expression,
      sym_index_expression,
      sym_slice_expression,
      sym_type_assertion_expression,
      sym_type_conversion_expression,
      sym_composite_literal,
      sym_func_literal,
      sym_unary_expression,
      sym_binary_expression,
      sym_interpreted_string_literal,
  [8765] = 26,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(23), 1,
      anon_sym_LBRACK,
    ACTIONS(29), 1,
      anon_sym_struct,
    ACTIONS(31), 1,
      anon_sym_TILDE,
    ACTIONS(35), 1,
      anon_sym_interface,
    ACTIONS(37), 1,
      anon_sym_map,
    ACTIONS(39), 1,
      anon_sym_chan,
    ACTIONS(265), 1,
      sym_identifier,
    ACTIONS(267), 1,
      anon_sym_LPAREN,
    ACTIONS(271), 1,
      anon_sym_func,
    ACTIONS(273), 1,
      anon_sym_STAR,
    ACTIONS(279), 1,
      anon_sym_LT_DASH,
    ACTIONS(287), 1,
      anon_sym_DQUOTE,
    ACTIONS(503), 1,
      anon_sym_SEMI,
    STATE(744), 1,
      sym__expression,
    STATE(859), 1,
      sym_qualified_type,
    STATE(1246), 1,
      sym_implicit_length_array_type,
    ACTIONS(281), 2,
      anon_sym_new,
      anon_sym_make,
    STATE(821), 2,
      sym_union_type,
      sym_negated_type,
    STATE(1224), 2,
      sym_parenthesized_type,
      sym__simple_type,
    ACTIONS(285), 3,
      sym_raw_string_literal,
      sym_imaginary_literal,
      sym_rune_literal,
    STATE(830), 4,
      sym_pointer_type,
      sym_interface_type,
      sym_channel_type,
      sym_function_type,
    ACTIONS(283), 5,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_BANG,
      anon_sym_CARET,
      anon_sym_AMP,
    STATE(864), 5,
      sym_generic_type,
      sym_array_type,
      sym_slice_type,
      sym_struct_type,
      sym_map_type,
    ACTIONS(289), 6,
      sym_int_literal,
      sym_float_literal,
      sym_nil,
      sym_true,
      sym_false,
      sym_iota,
    STATE(394), 12,
      sym_parenthesized_expression,
      sym_call_expression,
      sym_selector_expression,
      sym_index_expression,
      sym_slice_expression,
      sym_type_assertion_expression,
      sym_type_conversion_expression,
      sym_composite_literal,
      sym_func_literal,
      sym_unary_expression,
      sym_binary_expression,
      sym_interpreted_string_literal,
  [8876] = 26,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(23), 1,
      anon_sym_LBRACK,
    ACTIONS(29), 1,
      anon_sym_struct,
    ACTIONS(31), 1,
      anon_sym_TILDE,
    ACTIONS(35), 1,
      anon_sym_interface,
    ACTIONS(37), 1,
      anon_sym_map,
    ACTIONS(39), 1,
      anon_sym_chan,
    ACTIONS(265), 1,
      sym_identifier,
    ACTIONS(267), 1,
      anon_sym_LPAREN,
    ACTIONS(271), 1,
      anon_sym_func,
    ACTIONS(273), 1,
      anon_sym_STAR,
    ACTIONS(279), 1,
      anon_sym_LT_DASH,
    ACTIONS(287), 1,
      anon_sym_DQUOTE,
    ACTIONS(405), 1,
      anon_sym_RBRACK,
    STATE(655), 1,
      sym__expression,
    STATE(859), 1,
      sym_qualified_type,
    STATE(1246), 1,
      sym_implicit_length_array_type,
    ACTIONS(281), 2,
      anon_sym_new,
      anon_sym_make,
    STATE(821), 2,
      sym_union_type,
      sym_negated_type,
    STATE(1224), 2,
      sym_parenthesized_type,
      sym__simple_type,
    ACTIONS(285), 3,
      sym_raw_string_literal,
      sym_imaginary_literal,
      sym_rune_literal,
    STATE(830), 4,
      sym_pointer_type,
      sym_interface_type,
      sym_channel_type,
      sym_function_type,
    ACTIONS(283), 5,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_BANG,
      anon_sym_CARET,
      anon_sym_AMP,
    STATE(864), 5,
      sym_generic_type,
      sym_array_type,
      sym_slice_type,
      sym_struct_type,
      sym_map_type,
    ACTIONS(289), 6,
      sym_int_literal,
      sym_float_literal,
      sym_nil,
      sym_true,
      sym_false,
      sym_iota,
    STATE(394), 12,
      sym_parenthesized_expression,
      sym_call_expression,
      sym_selector_expression,
      sym_index_expression,
      sym_slice_expression,
      sym_type_assertion_expression,
      sym_type_conversion_expression,
      sym_composite_literal,
      sym_func_literal,
      sym_unary_expression,
      sym_binary_expression,
      sym_interpreted_string_literal,
  [8987] = 26,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(23), 1,
      anon_sym_LBRACK,
    ACTIONS(29), 1,
      anon_sym_struct,
    ACTIONS(31), 1,
      anon_sym_TILDE,
    ACTIONS(35), 1,
      anon_sym_interface,
    ACTIONS(37), 1,
      anon_sym_map,
    ACTIONS(39), 1,
      anon_sym_chan,
    ACTIONS(295), 1,
      sym_identifier,
    ACTIONS(303), 1,
      anon_sym_func,
    ACTIONS(455), 1,
      anon_sym_LPAREN,
    ACTIONS(457), 1,
      anon_sym_STAR,
    ACTIONS(459), 1,
      anon_sym_LT_DASH,
    ACTIONS(465), 1,
      anon_sym_DQUOTE,
    STATE(426), 1,
      sym__expression,
    STATE(887), 1,
      sym_qualified_type,
    STATE(994), 1,
      sym_expression_list,
    STATE(1229), 1,
      sym_implicit_length_array_type,
    ACTIONS(313), 2,
      anon_sym_new,
      anon_sym_make,
    STATE(821), 2,
      sym_union_type,
      sym_negated_type,
    STATE(1217), 2,
      sym_parenthesized_type,
      sym__simple_type,
    ACTIONS(463), 3,
      sym_raw_string_literal,
      sym_imaginary_literal,
      sym_rune_literal,
    STATE(830), 4,
      sym_pointer_type,
      sym_interface_type,
      sym_channel_type,
      sym_function_type,
    ACTIONS(461), 5,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_BANG,
      anon_sym_CARET,
      anon_sym_AMP,
    STATE(1074), 5,
      sym_generic_type,
      sym_array_type,
      sym_slice_type,
      sym_struct_type,
      sym_map_type,
    ACTIONS(317), 6,
      sym_int_literal,
      sym_float_literal,
      sym_nil,
      sym_true,
      sym_false,
      sym_iota,
    STATE(522), 12,
      sym_parenthesized_expression,
      sym_call_expression,
      sym_selector_expression,
      sym_index_expression,
      sym_slice_expression,
      sym_type_assertion_expression,
      sym_type_conversion_expression,
      sym_composite_literal,
      sym_func_literal,
      sym_unary_expression,
      sym_binary_expression,
      sym_interpreted_string_literal,
  [9098] = 26,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(23), 1,
      anon_sym_LBRACK,
    ACTIONS(29), 1,
      anon_sym_struct,
    ACTIONS(31), 1,
      anon_sym_TILDE,
    ACTIONS(35), 1,
      anon_sym_interface,
    ACTIONS(37), 1,
      anon_sym_map,
    ACTIONS(39), 1,
      anon_sym_chan,
    ACTIONS(295), 1,
      sym_identifier,
    ACTIONS(303), 1,
      anon_sym_func,
    ACTIONS(455), 1,
      anon_sym_LPAREN,
    ACTIONS(457), 1,
      anon_sym_STAR,
    ACTIONS(459), 1,
      anon_sym_LT_DASH,
    ACTIONS(465), 1,
      anon_sym_DQUOTE,
    STATE(426), 1,
      sym__expression,
    STATE(887), 1,
      sym_qualified_type,
    STATE(992), 1,
      sym_expression_list,
    STATE(1229), 1,
      sym_implicit_length_array_type,
    ACTIONS(313), 2,
      anon_sym_new,
      anon_sym_make,
    STATE(821), 2,
      sym_union_type,
      sym_negated_type,
    STATE(1217), 2,
      sym_parenthesized_type,
      sym__simple_type,
    ACTIONS(463), 3,
      sym_raw_string_literal,
      sym_imaginary_literal,
      sym_rune_literal,
    STATE(830), 4,
      sym_pointer_type,
      sym_interface_type,
      sym_channel_type,
      sym_function_type,
    ACTIONS(461), 5,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_BANG,
      anon_sym_CARET,
      anon_sym_AMP,
    STATE(1074), 5,
      sym_generic_type,
      sym_array_type,
      sym_slice_type,
      sym_struct_type,
      sym_map_type,
    ACTIONS(317), 6,
      sym_int_literal,
      sym_float_literal,
      sym_nil,
      sym_true,
      sym_false,
      sym_iota,
    STATE(522), 12,
      sym_parenthesized_expression,
      sym_call_expression,
      sym_selector_expression,
      sym_index_expression,
      sym_slice_expression,
      sym_type_assertion_expression,
      sym_type_conversion_expression,
      sym_composite_literal,
      sym_func_literal,
      sym_unary_expression,
      sym_binary_expression,
      sym_interpreted_string_literal,
  [9209] = 26,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(23), 1,
      anon_sym_LBRACK,
    ACTIONS(29), 1,
      anon_sym_struct,
    ACTIONS(31), 1,
      anon_sym_TILDE,
    ACTIONS(35), 1,
      anon_sym_interface,
    ACTIONS(37), 1,
      anon_sym_map,
    ACTIONS(39), 1,
      anon_sym_chan,
    ACTIONS(267), 1,
      anon_sym_LPAREN,
    ACTIONS(271), 1,
      anon_sym_func,
    ACTIONS(287), 1,
      anon_sym_DQUOTE,
    ACTIONS(383), 1,
      sym_identifier,
    ACTIONS(387), 1,
      anon_sym_STAR,
    ACTIONS(389), 1,
      anon_sym_LT_DASH,
    ACTIONS(505), 1,
      anon_sym_RPAREN,
    STATE(612), 1,
      sym__expression,
    STATE(859), 1,
      sym_qualified_type,
    STATE(1246), 1,
      sym_implicit_length_array_type,
    ACTIONS(281), 2,
      anon_sym_new,
      anon_sym_make,
    STATE(821), 2,
      sym_union_type,
      sym_negated_type,
    STATE(1224), 2,
      sym_parenthesized_type,
      sym__simple_type,
    ACTIONS(285), 3,
      sym_raw_string_literal,
      sym_imaginary_literal,
      sym_rune_literal,
    STATE(830), 4,
      sym_pointer_type,
      sym_interface_type,
      sym_channel_type,
      sym_function_type,
    ACTIONS(391), 5,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_BANG,
      anon_sym_CARET,
      anon_sym_AMP,
    STATE(864), 5,
      sym_generic_type,
      sym_array_type,
      sym_slice_type,
      sym_struct_type,
      sym_map_type,
    ACTIONS(289), 6,
      sym_int_literal,
      sym_float_literal,
      sym_nil,
      sym_true,
      sym_false,
      sym_iota,
    STATE(394), 12,
      sym_parenthesized_expression,
      sym_call_expression,
      sym_selector_expression,
      sym_index_expression,
      sym_slice_expression,
      sym_type_assertion_expression,
      sym_type_conversion_expression,
      sym_composite_literal,
      sym_func_literal,
      sym_unary_expression,
      sym_binary_expression,
      sym_interpreted_string_literal,
  [9320] = 26,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(23), 1,
      anon_sym_LBRACK,
    ACTIONS(29), 1,
      anon_sym_struct,
    ACTIONS(31), 1,
      anon_sym_TILDE,
    ACTIONS(35), 1,
      anon_sym_interface,
    ACTIONS(37), 1,
      anon_sym_map,
    ACTIONS(39), 1,
      anon_sym_chan,
    ACTIONS(265), 1,
      sym_identifier,
    ACTIONS(267), 1,
      anon_sym_LPAREN,
    ACTIONS(271), 1,
      anon_sym_func,
    ACTIONS(273), 1,
      anon_sym_STAR,
    ACTIONS(279), 1,
      anon_sym_LT_DASH,
    ACTIONS(287), 1,
      anon_sym_DQUOTE,
    ACTIONS(507), 1,
      anon_sym_RBRACK,
    STATE(606), 1,
      sym__expression,
    STATE(859), 1,
      sym_qualified_type,
    STATE(1246), 1,
      sym_implicit_length_array_type,
    ACTIONS(281), 2,
      anon_sym_new,
      anon_sym_make,
    STATE(821), 2,
      sym_union_type,
      sym_negated_type,
    STATE(1224), 2,
      sym_parenthesized_type,
      sym__simple_type,
    ACTIONS(285), 3,
      sym_raw_string_literal,
      sym_imaginary_literal,
      sym_rune_literal,
    STATE(830), 4,
      sym_pointer_type,
      sym_interface_type,
      sym_channel_type,
      sym_function_type,
    ACTIONS(283), 5,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_BANG,
      anon_sym_CARET,
      anon_sym_AMP,
    STATE(864), 5,
      sym_generic_type,
      sym_array_type,
      sym_slice_type,
      sym_struct_type,
      sym_map_type,
    ACTIONS(289), 6,
      sym_int_literal,
      sym_float_literal,
      sym_nil,
      sym_true,
      sym_false,
      sym_iota,
    STATE(394), 12,
      sym_parenthesized_expression,
      sym_call_expression,
      sym_selector_expression,
      sym_index_expression,
      sym_slice_expression,
      sym_type_assertion_expression,
      sym_type_conversion_expression,
      sym_composite_literal,
      sym_func_literal,
      sym_unary_expression,
      sym_binary_expression,
      sym_interpreted_string_literal,
  [9431] = 26,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(23), 1,
      anon_sym_LBRACK,
    ACTIONS(29), 1,
      anon_sym_struct,
    ACTIONS(31), 1,
      anon_sym_TILDE,
    ACTIONS(35), 1,
      anon_sym_interface,
    ACTIONS(37), 1,
      anon_sym_map,
    ACTIONS(39), 1,
      anon_sym_chan,
    ACTIONS(295), 1,
      sym_identifier,
    ACTIONS(303), 1,
      anon_sym_func,
    ACTIONS(455), 1,
      anon_sym_LPAREN,
    ACTIONS(457), 1,
      anon_sym_STAR,
    ACTIONS(459), 1,
      anon_sym_LT_DASH,
    ACTIONS(465), 1,
      anon_sym_DQUOTE,
    STATE(426), 1,
      sym__expression,
    STATE(887), 1,
      sym_qualified_type,
    STATE(948), 1,
      sym_expression_list,
    STATE(1229), 1,
      sym_implicit_length_array_type,
    ACTIONS(313), 2,
      anon_sym_new,
      anon_sym_make,
    STATE(821), 2,
      sym_union_type,
      sym_negated_type,
    STATE(1217), 2,
      sym_parenthesized_type,
      sym__simple_type,
    ACTIONS(463), 3,
      sym_raw_string_literal,
      sym_imaginary_literal,
      sym_rune_literal,
    STATE(830), 4,
      sym_pointer_type,
      sym_interface_type,
      sym_channel_type,
      sym_function_type,
    ACTIONS(461), 5,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_BANG,
      anon_sym_CARET,
      anon_sym_AMP,
    STATE(1074), 5,
      sym_generic_type,
      sym_array_type,
      sym_slice_type,
      sym_struct_type,
      sym_map_type,
    ACTIONS(317), 6,
      sym_int_literal,
      sym_float_literal,
      sym_nil,
      sym_true,
      sym_false,
      sym_iota,
    STATE(522), 12,
      sym_parenthesized_expression,
      sym_call_expression,
      sym_selector_expression,
      sym_index_expression,
      sym_slice_expression,
      sym_type_assertion_expression,
      sym_type_conversion_expression,
      sym_composite_literal,
      sym_func_literal,
      sym_unary_expression,
      sym_binary_expression,
      sym_interpreted_string_literal,
  [9542] = 26,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(23), 1,
      anon_sym_LBRACK,
    ACTIONS(29), 1,
      anon_sym_struct,
    ACTIONS(31), 1,
      anon_sym_TILDE,
    ACTIONS(35), 1,
      anon_sym_interface,
    ACTIONS(37), 1,
      anon_sym_map,
    ACTIONS(39), 1,
      anon_sym_chan,
    ACTIONS(265), 1,
      sym_identifier,
    ACTIONS(267), 1,
      anon_sym_LPAREN,
    ACTIONS(271), 1,
      anon_sym_func,
    ACTIONS(273), 1,
      anon_sym_STAR,
    ACTIONS(279), 1,
      anon_sym_LT_DASH,
    ACTIONS(287), 1,
      anon_sym_DQUOTE,
    ACTIONS(509), 1,
      anon_sym_RBRACK,
    STATE(613), 1,
      sym__expression,
    STATE(859), 1,
      sym_qualified_type,
    STATE(1246), 1,
      sym_implicit_length_array_type,
    ACTIONS(281), 2,
      anon_sym_new,
      anon_sym_make,
    STATE(821), 2,
      sym_union_type,
      sym_negated_type,
    STATE(1224), 2,
      sym_parenthesized_type,
      sym__simple_type,
    ACTIONS(285), 3,
      sym_raw_string_literal,
      sym_imaginary_literal,
      sym_rune_literal,
    STATE(830), 4,
      sym_pointer_type,
      sym_interface_type,
      sym_channel_type,
      sym_function_type,
    ACTIONS(283), 5,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_BANG,
      anon_sym_CARET,
      anon_sym_AMP,
    STATE(864), 5,
      sym_generic_type,
      sym_array_type,
      sym_slice_type,
      sym_struct_type,
      sym_map_type,
    ACTIONS(289), 6,
      sym_int_literal,
      sym_float_literal,
      sym_nil,
      sym_true,
      sym_false,
      sym_iota,
    STATE(394), 12,
      sym_parenthesized_expression,
      sym_call_expression,
      sym_selector_expression,
      sym_index_expression,
      sym_slice_expression,
      sym_type_assertion_expression,
      sym_type_conversion_expression,
      sym_composite_literal,
      sym_func_literal,
      sym_unary_expression,
      sym_binary_expression,
      sym_interpreted_string_literal,
  [9653] = 26,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(23), 1,
      anon_sym_LBRACK,
    ACTIONS(29), 1,
      anon_sym_struct,
    ACTIONS(31), 1,
      anon_sym_TILDE,
    ACTIONS(35), 1,
      anon_sym_interface,
    ACTIONS(37), 1,
      anon_sym_map,
    ACTIONS(39), 1,
      anon_sym_chan,
    ACTIONS(265), 1,
      sym_identifier,
    ACTIONS(267), 1,
      anon_sym_LPAREN,
    ACTIONS(271), 1,
      anon_sym_func,
    ACTIONS(273), 1,
      anon_sym_STAR,
    ACTIONS(279), 1,
      anon_sym_LT_DASH,
    ACTIONS(287), 1,
      anon_sym_DQUOTE,
    ACTIONS(511), 1,
      anon_sym_RBRACK,
    STATE(625), 1,
      sym__expression,
    STATE(859), 1,
      sym_qualified_type,
    STATE(1246), 1,
      sym_implicit_length_array_type,
    ACTIONS(281), 2,
      anon_sym_new,
      anon_sym_make,
    STATE(821), 2,
      sym_union_type,
      sym_negated_type,
    STATE(1224), 2,
      sym_parenthesized_type,
      sym__simple_type,
    ACTIONS(285), 3,
      sym_raw_string_literal,
      sym_imaginary_literal,
      sym_rune_literal,
    STATE(830), 4,
      sym_pointer_type,
      sym_interface_type,
      sym_channel_type,
      sym_function_type,
    ACTIONS(283), 5,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_BANG,
      anon_sym_CARET,
      anon_sym_AMP,
    STATE(864), 5,
      sym_generic_type,
      sym_array_type,
      sym_slice_type,
      sym_struct_type,
      sym_map_type,
    ACTIONS(289), 6,
      sym_int_literal,
      sym_float_literal,
      sym_nil,
      sym_true,
      sym_false,
      sym_iota,
    STATE(394), 12,
      sym_parenthesized_expression,
      sym_call_expression,
      sym_selector_expression,
      sym_index_expression,
      sym_slice_expression,
      sym_type_assertion_expression,
      sym_type_conversion_expression,
      sym_composite_literal,
      sym_func_literal,
      sym_unary_expression,
      sym_binary_expression,
      sym_interpreted_string_literal,
  [9764] = 26,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(23), 1,
      anon_sym_LBRACK,
    ACTIONS(29), 1,
      anon_sym_struct,
    ACTIONS(31), 1,
      anon_sym_TILDE,
    ACTIONS(35), 1,
      anon_sym_interface,
    ACTIONS(37), 1,
      anon_sym_map,
    ACTIONS(39), 1,
      anon_sym_chan,
    ACTIONS(267), 1,
      anon_sym_LPAREN,
    ACTIONS(271), 1,
      anon_sym_func,
    ACTIONS(287), 1,
      anon_sym_DQUOTE,
    ACTIONS(383), 1,
      sym_identifier,
    ACTIONS(387), 1,
      anon_sym_STAR,
    ACTIONS(389), 1,
      anon_sym_LT_DASH,
    ACTIONS(513), 1,
      anon_sym_RPAREN,
    STATE(612), 1,
      sym__expression,
    STATE(859), 1,
      sym_qualified_type,
    STATE(1246), 1,
      sym_implicit_length_array_type,
    ACTIONS(281), 2,
      anon_sym_new,
      anon_sym_make,
    STATE(821), 2,
      sym_union_type,
      sym_negated_type,
    STATE(1224), 2,
      sym_parenthesized_type,
      sym__simple_type,
    ACTIONS(285), 3,
      sym_raw_string_literal,
      sym_imaginary_literal,
      sym_rune_literal,
    STATE(830), 4,
      sym_pointer_type,
      sym_interface_type,
      sym_channel_type,
      sym_function_type,
    ACTIONS(391), 5,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_BANG,
      anon_sym_CARET,
      anon_sym_AMP,
    STATE(864), 5,
      sym_generic_type,
      sym_array_type,
      sym_slice_type,
      sym_struct_type,
      sym_map_type,
    ACTIONS(289), 6,
      sym_int_literal,
      sym_float_literal,
      sym_nil,
      sym_true,
      sym_false,
      sym_iota,
    STATE(394), 12,
      sym_parenthesized_expression,
      sym_call_expression,
      sym_selector_expression,
      sym_index_expression,
      sym_slice_expression,
      sym_type_assertion_expression,
      sym_type_conversion_expression,
      sym_composite_literal,
      sym_func_literal,
      sym_unary_expression,
      sym_binary_expression,
      sym_interpreted_string_literal,
  [9875] = 26,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(23), 1,
      anon_sym_LBRACK,
    ACTIONS(29), 1,
      anon_sym_struct,
    ACTIONS(31), 1,
      anon_sym_TILDE,
    ACTIONS(35), 1,
      anon_sym_interface,
    ACTIONS(37), 1,
      anon_sym_map,
    ACTIONS(39), 1,
      anon_sym_chan,
    ACTIONS(267), 1,
      anon_sym_LPAREN,
    ACTIONS(271), 1,
      anon_sym_func,
    ACTIONS(287), 1,
      anon_sym_DQUOTE,
    ACTIONS(383), 1,
      sym_identifier,
    ACTIONS(387), 1,
      anon_sym_STAR,
    ACTIONS(389), 1,
      anon_sym_LT_DASH,
    ACTIONS(515), 1,
      anon_sym_RPAREN,
    STATE(612), 1,
      sym__expression,
    STATE(859), 1,
      sym_qualified_type,
    STATE(1246), 1,
      sym_implicit_length_array_type,
    ACTIONS(281), 2,
      anon_sym_new,
      anon_sym_make,
    STATE(821), 2,
      sym_union_type,
      sym_negated_type,
    STATE(1224), 2,
      sym_parenthesized_type,
      sym__simple_type,
    ACTIONS(285), 3,
      sym_raw_string_literal,
      sym_imaginary_literal,
      sym_rune_literal,
    STATE(830), 4,
      sym_pointer_type,
      sym_interface_type,
      sym_channel_type,
      sym_function_type,
    ACTIONS(391), 5,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_BANG,
      anon_sym_CARET,
      anon_sym_AMP,
    STATE(864), 5,
      sym_generic_type,
      sym_array_type,
      sym_slice_type,
      sym_struct_type,
      sym_map_type,
    ACTIONS(289), 6,
      sym_int_literal,
      sym_float_literal,
      sym_nil,
      sym_true,
      sym_false,
      sym_iota,
    STATE(394), 12,
      sym_parenthesized_expression,
      sym_call_expression,
      sym_selector_expression,
      sym_index_expression,
      sym_slice_expression,
      sym_type_assertion_expression,
      sym_type_conversion_expression,
      sym_composite_literal,
      sym_func_literal,
      sym_unary_expression,
      sym_binary_expression,
      sym_interpreted_string_literal,
  [9986] = 26,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(23), 1,
      anon_sym_LBRACK,
    ACTIONS(29), 1,
      anon_sym_struct,
    ACTIONS(31), 1,
      anon_sym_TILDE,
    ACTIONS(35), 1,
      anon_sym_interface,
    ACTIONS(37), 1,
      anon_sym_map,
    ACTIONS(39), 1,
      anon_sym_chan,
    ACTIONS(265), 1,
      sym_identifier,
    ACTIONS(267), 1,
      anon_sym_LPAREN,
    ACTIONS(271), 1,
      anon_sym_func,
    ACTIONS(273), 1,
      anon_sym_STAR,
    ACTIONS(279), 1,
      anon_sym_LT_DASH,
    ACTIONS(287), 1,
      anon_sym_DQUOTE,
    ACTIONS(517), 1,
      anon_sym_RBRACK,
    STATE(614), 1,
      sym__expression,
    STATE(859), 1,
      sym_qualified_type,
    STATE(1246), 1,
      sym_implicit_length_array_type,
    ACTIONS(281), 2,
      anon_sym_new,
      anon_sym_make,
    STATE(821), 2,
      sym_union_type,
      sym_negated_type,
    STATE(1224), 2,
      sym_parenthesized_type,
      sym__simple_type,
    ACTIONS(285), 3,
      sym_raw_string_literal,
      sym_imaginary_literal,
      sym_rune_literal,
    STATE(830), 4,
      sym_pointer_type,
      sym_interface_type,
      sym_channel_type,
      sym_function_type,
    ACTIONS(283), 5,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_BANG,
      anon_sym_CARET,
      anon_sym_AMP,
    STATE(864), 5,
      sym_generic_type,
      sym_array_type,
      sym_slice_type,
      sym_struct_type,
      sym_map_type,
    ACTIONS(289), 6,
      sym_int_literal,
      sym_float_literal,
      sym_nil,
      sym_true,
      sym_false,
      sym_iota,
    STATE(394), 12,
      sym_parenthesized_expression,
      sym_call_expression,
      sym_selector_expression,
      sym_index_expression,
      sym_slice_expression,
      sym_type_assertion_expression,
      sym_type_conversion_expression,
      sym_composite_literal,
      sym_func_literal,
      sym_unary_expression,
      sym_binary_expression,
      sym_interpreted_string_literal,
  [10097] = 26,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(23), 1,
      anon_sym_LBRACK,
    ACTIONS(29), 1,
      anon_sym_struct,
    ACTIONS(31), 1,
      anon_sym_TILDE,
    ACTIONS(35), 1,
      anon_sym_interface,
    ACTIONS(37), 1,
      anon_sym_map,
    ACTIONS(39), 1,
      anon_sym_chan,
    ACTIONS(267), 1,
      anon_sym_LPAREN,
    ACTIONS(271), 1,
      anon_sym_func,
    ACTIONS(279), 1,
      anon_sym_LT_DASH,
    ACTIONS(287), 1,
      anon_sym_DQUOTE,
    ACTIONS(405), 1,
      anon_sym_RBRACK,
    ACTIONS(425), 1,
      anon_sym_STAR,
    ACTIONS(467), 1,
      sym_identifier,
    STATE(655), 1,
      sym__expression,
    STATE(859), 1,
      sym_qualified_type,
    STATE(1246), 1,
      sym_implicit_length_array_type,
    ACTIONS(281), 2,
      anon_sym_new,
      anon_sym_make,
    STATE(821), 2,
      sym_union_type,
      sym_negated_type,
    STATE(954), 2,
      sym_parenthesized_type,
      sym__simple_type,
    ACTIONS(285), 3,
      sym_raw_string_literal,
      sym_imaginary_literal,
      sym_rune_literal,
    STATE(830), 4,
      sym_pointer_type,
      sym_interface_type,
      sym_channel_type,
      sym_function_type,
    ACTIONS(283), 5,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_BANG,
      anon_sym_CARET,
      anon_sym_AMP,
    STATE(864), 5,
      sym_generic_type,
      sym_array_type,
      sym_slice_type,
      sym_struct_type,
      sym_map_type,
    ACTIONS(289), 6,
      sym_int_literal,
      sym_float_literal,
      sym_nil,
      sym_true,
      sym_false,
      sym_iota,
    STATE(394), 12,
      sym_parenthesized_expression,
      sym_call_expression,
      sym_selector_expression,
      sym_index_expression,
      sym_slice_expression,
      sym_type_assertion_expression,
      sym_type_conversion_expression,
      sym_composite_literal,
      sym_func_literal,
      sym_unary_expression,
      sym_binary_expression,
      sym_interpreted_string_literal,
  [10208] = 26,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(23), 1,
      anon_sym_LBRACK,
    ACTIONS(29), 1,
      anon_sym_struct,
    ACTIONS(31), 1,
      anon_sym_TILDE,
    ACTIONS(35), 1,
      anon_sym_interface,
    ACTIONS(37), 1,
      anon_sym_map,
    ACTIONS(39), 1,
      anon_sym_chan,
    ACTIONS(265), 1,
      sym_identifier,
    ACTIONS(267), 1,
      anon_sym_LPAREN,
    ACTIONS(271), 1,
      anon_sym_func,
    ACTIONS(273), 1,
      anon_sym_STAR,
    ACTIONS(279), 1,
      anon_sym_LT_DASH,
    ACTIONS(287), 1,
      anon_sym_DQUOTE,
    ACTIONS(519), 1,
      anon_sym_RBRACK,
    STATE(662), 1,
      sym__expression,
    STATE(859), 1,
      sym_qualified_type,
    STATE(1246), 1,
      sym_implicit_length_array_type,
    ACTIONS(281), 2,
      anon_sym_new,
      anon_sym_make,
    STATE(821), 2,
      sym_union_type,
      sym_negated_type,
    STATE(1224), 2,
      sym_parenthesized_type,
      sym__simple_type,
    ACTIONS(285), 3,
      sym_raw_string_literal,
      sym_imaginary_literal,
      sym_rune_literal,
    STATE(830), 4,
      sym_pointer_type,
      sym_interface_type,
      sym_channel_type,
      sym_function_type,
    ACTIONS(283), 5,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_BANG,
      anon_sym_CARET,
      anon_sym_AMP,
    STATE(864), 5,
      sym_generic_type,
      sym_array_type,
      sym_slice_type,
      sym_struct_type,
      sym_map_type,
    ACTIONS(289), 6,
      sym_int_literal,
      sym_float_literal,
      sym_nil,
      sym_true,
      sym_false,
      sym_iota,
    STATE(394), 12,
      sym_parenthesized_expression,
      sym_call_expression,
      sym_selector_expression,
      sym_index_expression,
      sym_slice_expression,
      sym_type_assertion_expression,
      sym_type_conversion_expression,
      sym_composite_literal,
      sym_func_literal,
      sym_unary_expression,
      sym_binary_expression,
      sym_interpreted_string_literal,
  [10319] = 26,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(23), 1,
      anon_sym_LBRACK,
    ACTIONS(29), 1,
      anon_sym_struct,
    ACTIONS(31), 1,
      anon_sym_TILDE,
    ACTIONS(35), 1,
      anon_sym_interface,
    ACTIONS(37), 1,
      anon_sym_map,
    ACTIONS(39), 1,
      anon_sym_chan,
    ACTIONS(267), 1,
      anon_sym_LPAREN,
    ACTIONS(271), 1,
      anon_sym_func,
    ACTIONS(279), 1,
      anon_sym_LT_DASH,
    ACTIONS(287), 1,
      anon_sym_DQUOTE,
    ACTIONS(425), 1,
      anon_sym_STAR,
    ACTIONS(467), 1,
      sym_identifier,
    ACTIONS(521), 1,
      anon_sym_COLON,
    STATE(631), 1,
      sym__expression,
    STATE(859), 1,
      sym_qualified_type,
    STATE(1246), 1,
      sym_implicit_length_array_type,
    ACTIONS(281), 2,
      anon_sym_new,
      anon_sym_make,
    STATE(821), 2,
      sym_union_type,
      sym_negated_type,
    STATE(954), 2,
      sym_parenthesized_type,
      sym__simple_type,
    ACTIONS(285), 3,
      sym_raw_string_literal,
      sym_imaginary_literal,
      sym_rune_literal,
    STATE(830), 4,
      sym_pointer_type,
      sym_interface_type,
      sym_channel_type,
      sym_function_type,
    ACTIONS(283), 5,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_BANG,
      anon_sym_CARET,
      anon_sym_AMP,
    STATE(864), 5,
      sym_generic_type,
      sym_array_type,
      sym_slice_type,
      sym_struct_type,
      sym_map_type,
    ACTIONS(289), 6,
      sym_int_literal,
      sym_float_literal,
      sym_nil,
      sym_true,
      sym_false,
      sym_iota,
    STATE(394), 12,
      sym_parenthesized_expression,
      sym_call_expression,
      sym_selector_expression,
      sym_index_expression,
      sym_slice_expression,
      sym_type_assertion_expression,
      sym_type_conversion_expression,
      sym_composite_literal,
      sym_func_literal,
      sym_unary_expression,
      sym_binary_expression,
      sym_interpreted_string_literal,
  [10430] = 26,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(23), 1,
      anon_sym_LBRACK,
    ACTIONS(29), 1,
      anon_sym_struct,
    ACTIONS(31), 1,
      anon_sym_TILDE,
    ACTIONS(35), 1,
      anon_sym_interface,
    ACTIONS(37), 1,
      anon_sym_map,
    ACTIONS(39), 1,
      anon_sym_chan,
    ACTIONS(267), 1,
      anon_sym_LPAREN,
    ACTIONS(271), 1,
      anon_sym_func,
    ACTIONS(287), 1,
      anon_sym_DQUOTE,
    ACTIONS(383), 1,
      sym_identifier,
    ACTIONS(387), 1,
      anon_sym_STAR,
    ACTIONS(389), 1,
      anon_sym_LT_DASH,
    ACTIONS(523), 1,
      anon_sym_RPAREN,
    STATE(612), 1,
      sym__expression,
    STATE(859), 1,
      sym_qualified_type,
    STATE(1246), 1,
      sym_implicit_length_array_type,
    ACTIONS(281), 2,
      anon_sym_new,
      anon_sym_make,
    STATE(821), 2,
      sym_union_type,
      sym_negated_type,
    STATE(1224), 2,
      sym_parenthesized_type,
      sym__simple_type,
    ACTIONS(285), 3,
      sym_raw_string_literal,
      sym_imaginary_literal,
      sym_rune_literal,
    STATE(830), 4,
      sym_pointer_type,
      sym_interface_type,
      sym_channel_type,
      sym_function_type,
    ACTIONS(391), 5,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_BANG,
      anon_sym_CARET,
      anon_sym_AMP,
    STATE(864), 5,
      sym_generic_type,
      sym_array_type,
      sym_slice_type,
      sym_struct_type,
      sym_map_type,
    ACTIONS(289), 6,
      sym_int_literal,
      sym_float_literal,
      sym_nil,
      sym_true,
      sym_false,
      sym_iota,
    STATE(394), 12,
      sym_parenthesized_expression,
      sym_call_expression,
      sym_selector_expression,
      sym_index_expression,
      sym_slice_expression,
      sym_type_assertion_expression,
      sym_type_conversion_expression,
      sym_composite_literal,
      sym_func_literal,
      sym_unary_expression,
      sym_binary_expression,
      sym_interpreted_string_literal,
  [10541] = 26,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(23), 1,
      anon_sym_LBRACK,
    ACTIONS(29), 1,
      anon_sym_struct,
    ACTIONS(31), 1,
      anon_sym_TILDE,
    ACTIONS(35), 1,
      anon_sym_interface,
    ACTIONS(37), 1,
      anon_sym_map,
    ACTIONS(39), 1,
      anon_sym_chan,
    ACTIONS(267), 1,
      anon_sym_LPAREN,
    ACTIONS(271), 1,
      anon_sym_func,
    ACTIONS(287), 1,
      anon_sym_DQUOTE,
    ACTIONS(383), 1,
      sym_identifier,
    ACTIONS(387), 1,
      anon_sym_STAR,
    ACTIONS(389), 1,
      anon_sym_LT_DASH,
    STATE(586), 1,
      sym__expression,
    STATE(859), 1,
      sym_qualified_type,
    STATE(1246), 1,
      sym_implicit_length_array_type,
    STATE(1274), 1,
      sym_variadic_argument,
    ACTIONS(281), 2,
      anon_sym_new,
      anon_sym_make,
    STATE(821), 2,
      sym_union_type,
      sym_negated_type,
    STATE(1224), 2,
      sym_parenthesized_type,
      sym__simple_type,
    ACTIONS(285), 3,
      sym_raw_string_literal,
      sym_imaginary_literal,
      sym_rune_literal,
    STATE(830), 4,
      sym_pointer_type,
      sym_interface_type,
      sym_channel_type,
      sym_function_type,
    ACTIONS(391), 5,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_BANG,
      anon_sym_CARET,
      anon_sym_AMP,
    STATE(864), 5,
      sym_generic_type,
      sym_array_type,
      sym_slice_type,
      sym_struct_type,
      sym_map_type,
    ACTIONS(289), 6,
      sym_int_literal,
      sym_float_literal,
      sym_nil,
      sym_true,
      sym_false,
      sym_iota,
    STATE(394), 12,
      sym_parenthesized_expression,
      sym_call_expression,
      sym_selector_expression,
      sym_index_expression,
      sym_slice_expression,
      sym_type_assertion_expression,
      sym_type_conversion_expression,
      sym_composite_literal,
      sym_func_literal,
      sym_unary_expression,
      sym_binary_expression,
      sym_interpreted_string_literal,
  [10652] = 26,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(23), 1,
      anon_sym_LBRACK,
    ACTIONS(29), 1,
      anon_sym_struct,
    ACTIONS(31), 1,
      anon_sym_TILDE,
    ACTIONS(35), 1,
      anon_sym_interface,
    ACTIONS(37), 1,
      anon_sym_map,
    ACTIONS(39), 1,
      anon_sym_chan,
    ACTIONS(267), 1,
      anon_sym_LPAREN,
    ACTIONS(271), 1,
      anon_sym_func,
    ACTIONS(279), 1,
      anon_sym_LT_DASH,
    ACTIONS(287), 1,
      anon_sym_DQUOTE,
    ACTIONS(425), 1,
      anon_sym_STAR,
    ACTIONS(467), 1,
      sym_identifier,
    ACTIONS(525), 1,
      anon_sym_COLON,
    STATE(611), 1,
      sym__expression,
    STATE(859), 1,
      sym_qualified_type,
    STATE(1246), 1,
      sym_implicit_length_array_type,
    ACTIONS(281), 2,
      anon_sym_new,
      anon_sym_make,
    STATE(821), 2,
      sym_union_type,
      sym_negated_type,
    STATE(954), 2,
      sym_parenthesized_type,
      sym__simple_type,
    ACTIONS(285), 3,
      sym_raw_string_literal,
      sym_imaginary_literal,
      sym_rune_literal,
    STATE(830), 4,
      sym_pointer_type,
      sym_interface_type,
      sym_channel_type,
      sym_function_type,
    ACTIONS(283), 5,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_BANG,
      anon_sym_CARET,
      anon_sym_AMP,
    STATE(864), 5,
      sym_generic_type,
      sym_array_type,
      sym_slice_type,
      sym_struct_type,
      sym_map_type,
    ACTIONS(289), 6,
      sym_int_literal,
      sym_float_literal,
      sym_nil,
      sym_true,
      sym_false,
      sym_iota,
    STATE(394), 12,
      sym_parenthesized_expression,
      sym_call_expression,
      sym_selector_expression,
      sym_index_expression,
      sym_slice_expression,
      sym_type_assertion_expression,
      sym_type_conversion_expression,
      sym_composite_literal,
      sym_func_literal,
      sym_unary_expression,
      sym_binary_expression,
      sym_interpreted_string_literal,
  [10763] = 26,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(23), 1,
      anon_sym_LBRACK,
    ACTIONS(29), 1,
      anon_sym_struct,
    ACTIONS(31), 1,
      anon_sym_TILDE,
    ACTIONS(35), 1,
      anon_sym_interface,
    ACTIONS(37), 1,
      anon_sym_map,
    ACTIONS(39), 1,
      anon_sym_chan,
    ACTIONS(265), 1,
      sym_identifier,
    ACTIONS(267), 1,
      anon_sym_LPAREN,
    ACTIONS(271), 1,
      anon_sym_func,
    ACTIONS(273), 1,
      anon_sym_STAR,
    ACTIONS(279), 1,
      anon_sym_LT_DASH,
    ACTIONS(287), 1,
      anon_sym_DQUOTE,
    STATE(513), 1,
      sym__expression,
    STATE(859), 1,
      sym_qualified_type,
    STATE(1230), 1,
      sym_expression_list,
    STATE(1246), 1,
      sym_implicit_length_array_type,
    ACTIONS(281), 2,
      anon_sym_new,
      anon_sym_make,
    STATE(821), 2,
      sym_union_type,
      sym_negated_type,
    STATE(1224), 2,
      sym_parenthesized_type,
      sym__simple_type,
    ACTIONS(285), 3,
      sym_raw_string_literal,
      sym_imaginary_literal,
      sym_rune_literal,
    STATE(830), 4,
      sym_pointer_type,
      sym_interface_type,
      sym_channel_type,
      sym_function_type,
    ACTIONS(283), 5,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_BANG,
      anon_sym_CARET,
      anon_sym_AMP,
    STATE(864), 5,
      sym_generic_type,
      sym_array_type,
      sym_slice_type,
      sym_struct_type,
      sym_map_type,
    ACTIONS(289), 6,
      sym_int_literal,
      sym_float_literal,
      sym_nil,
      sym_true,
      sym_false,
      sym_iota,
    STATE(394), 12,
      sym_parenthesized_expression,
      sym_call_expression,
      sym_selector_expression,
      sym_index_expression,
      sym_slice_expression,
      sym_type_assertion_expression,
      sym_type_conversion_expression,
      sym_composite_literal,
      sym_func_literal,
      sym_unary_expression,
      sym_binary_expression,
      sym_interpreted_string_literal,
  [10874] = 26,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(23), 1,
      anon_sym_LBRACK,
    ACTIONS(29), 1,
      anon_sym_struct,
    ACTIONS(31), 1,
      anon_sym_TILDE,
    ACTIONS(35), 1,
      anon_sym_interface,
    ACTIONS(37), 1,
      anon_sym_map,
    ACTIONS(39), 1,
      anon_sym_chan,
    ACTIONS(265), 1,
      sym_identifier,
    ACTIONS(267), 1,
      anon_sym_LPAREN,
    ACTIONS(271), 1,
      anon_sym_func,
    ACTIONS(273), 1,
      anon_sym_STAR,
    ACTIONS(279), 1,
      anon_sym_LT_DASH,
    ACTIONS(287), 1,
      anon_sym_DQUOTE,
    ACTIONS(527), 1,
      anon_sym_RBRACK,
    STATE(618), 1,
      sym__expression,
    STATE(859), 1,
      sym_qualified_type,
    STATE(1246), 1,
      sym_implicit_length_array_type,
    ACTIONS(281), 2,
      anon_sym_new,
      anon_sym_make,
    STATE(821), 2,
      sym_union_type,
      sym_negated_type,
    STATE(1224), 2,
      sym_parenthesized_type,
      sym__simple_type,
    ACTIONS(285), 3,
      sym_raw_string_literal,
      sym_imaginary_literal,
      sym_rune_literal,
    STATE(830), 4,
      sym_pointer_type,
      sym_interface_type,
      sym_channel_type,
      sym_function_type,
    ACTIONS(283), 5,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_BANG,
      anon_sym_CARET,
      anon_sym_AMP,
    STATE(864), 5,
      sym_generic_type,
      sym_array_type,
      sym_slice_type,
      sym_struct_type,
      sym_map_type,
    ACTIONS(289), 6,
      sym_int_literal,
      sym_float_literal,
      sym_nil,
      sym_true,
      sym_false,
      sym_iota,
    STATE(394), 12,
      sym_parenthesized_expression,
      sym_call_expression,
      sym_selector_expression,
      sym_index_expression,
      sym_slice_expression,
      sym_type_assertion_expression,
      sym_type_conversion_expression,
      sym_composite_literal,
      sym_func_literal,
      sym_unary_expression,
      sym_binary_expression,
      sym_interpreted_string_literal,
  [10985] = 26,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(23), 1,
      anon_sym_LBRACK,
    ACTIONS(29), 1,
      anon_sym_struct,
    ACTIONS(31), 1,
      anon_sym_TILDE,
    ACTIONS(35), 1,
      anon_sym_interface,
    ACTIONS(37), 1,
      anon_sym_map,
    ACTIONS(39), 1,
      anon_sym_chan,
    ACTIONS(267), 1,
      anon_sym_LPAREN,
    ACTIONS(271), 1,
      anon_sym_func,
    ACTIONS(279), 1,
      anon_sym_LT_DASH,
    ACTIONS(287), 1,
      anon_sym_DQUOTE,
    ACTIONS(425), 1,
      anon_sym_STAR,
    ACTIONS(467), 1,
      sym_identifier,
    ACTIONS(529), 1,
      anon_sym_COLON,
    STATE(603), 1,
      sym__expression,
    STATE(859), 1,
      sym_qualified_type,
    STATE(1246), 1,
      sym_implicit_length_array_type,
    ACTIONS(281), 2,
      anon_sym_new,
      anon_sym_make,
    STATE(821), 2,
      sym_union_type,
      sym_negated_type,
    STATE(954), 2,
      sym_parenthesized_type,
      sym__simple_type,
    ACTIONS(285), 3,
      sym_raw_string_literal,
      sym_imaginary_literal,
      sym_rune_literal,
    STATE(830), 4,
      sym_pointer_type,
      sym_interface_type,
      sym_channel_type,
      sym_function_type,
    ACTIONS(283), 5,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_BANG,
      anon_sym_CARET,
      anon_sym_AMP,
    STATE(864), 5,
      sym_generic_type,
      sym_array_type,
      sym_slice_type,
      sym_struct_type,
      sym_map_type,
    ACTIONS(289), 6,
      sym_int_literal,
      sym_float_literal,
      sym_nil,
      sym_true,
      sym_false,
      sym_iota,
    STATE(394), 12,
      sym_parenthesized_expression,
      sym_call_expression,
      sym_selector_expression,
      sym_index_expression,
      sym_slice_expression,
      sym_type_assertion_expression,
      sym_type_conversion_expression,
      sym_composite_literal,
      sym_func_literal,
      sym_unary_expression,
      sym_binary_expression,
      sym_interpreted_string_literal,
  [11096] = 26,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(23), 1,
      anon_sym_LBRACK,
    ACTIONS(29), 1,
      anon_sym_struct,
    ACTIONS(31), 1,
      anon_sym_TILDE,
    ACTIONS(35), 1,
      anon_sym_interface,
    ACTIONS(37), 1,
      anon_sym_map,
    ACTIONS(39), 1,
      anon_sym_chan,
    ACTIONS(265), 1,
      sym_identifier,
    ACTIONS(267), 1,
      anon_sym_LPAREN,
    ACTIONS(271), 1,
      anon_sym_func,
    ACTIONS(273), 1,
      anon_sym_STAR,
    ACTIONS(279), 1,
      anon_sym_LT_DASH,
    ACTIONS(287), 1,
      anon_sym_DQUOTE,
    ACTIONS(531), 1,
      anon_sym_SEMI,
    STATE(667), 1,
      sym__expression,
    STATE(859), 1,
      sym_qualified_type,
    STATE(1246), 1,
      sym_implicit_length_array_type,
    ACTIONS(281), 2,
      anon_sym_new,
      anon_sym_make,
    STATE(821), 2,
      sym_union_type,
      sym_negated_type,
    STATE(1224), 2,
      sym_parenthesized_type,
      sym__simple_type,
    ACTIONS(285), 3,
      sym_raw_string_literal,
      sym_imaginary_literal,
      sym_rune_literal,
    STATE(830), 4,
      sym_pointer_type,
      sym_interface_type,
      sym_channel_type,
      sym_function_type,
    ACTIONS(283), 5,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_BANG,
      anon_sym_CARET,
      anon_sym_AMP,
    STATE(864), 5,
      sym_generic_type,
      sym_array_type,
      sym_slice_type,
      sym_struct_type,
      sym_map_type,
    ACTIONS(289), 6,
      sym_int_literal,
      sym_float_literal,
      sym_nil,
      sym_true,
      sym_false,
      sym_iota,
    STATE(394), 12,
      sym_parenthesized_expression,
      sym_call_expression,
      sym_selector_expression,
      sym_index_expression,
      sym_slice_expression,
      sym_type_assertion_expression,
      sym_type_conversion_expression,
      sym_composite_literal,
      sym_func_literal,
      sym_unary_expression,
      sym_binary_expression,
      sym_interpreted_string_literal,
  [11207] = 26,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(23), 1,
      anon_sym_LBRACK,
    ACTIONS(29), 1,
      anon_sym_struct,
    ACTIONS(31), 1,
      anon_sym_TILDE,
    ACTIONS(35), 1,
      anon_sym_interface,
    ACTIONS(37), 1,
      anon_sym_map,
    ACTIONS(39), 1,
      anon_sym_chan,
    ACTIONS(265), 1,
      sym_identifier,
    ACTIONS(267), 1,
      anon_sym_LPAREN,
    ACTIONS(271), 1,
      anon_sym_func,
    ACTIONS(273), 1,
      anon_sym_STAR,
    ACTIONS(279), 1,
      anon_sym_LT_DASH,
    ACTIONS(287), 1,
      anon_sym_DQUOTE,
    STATE(513), 1,
      sym__expression,
    STATE(859), 1,
      sym_qualified_type,
    STATE(1246), 1,
      sym_implicit_length_array_type,
    STATE(1368), 1,
      sym_expression_list,
    ACTIONS(281), 2,
      anon_sym_new,
      anon_sym_make,
    STATE(821), 2,
      sym_union_type,
      sym_negated_type,
    STATE(1224), 2,
      sym_parenthesized_type,
      sym__simple_type,
    ACTIONS(285), 3,
      sym_raw_string_literal,
      sym_imaginary_literal,
      sym_rune_literal,
    STATE(830), 4,
      sym_pointer_type,
      sym_interface_type,
      sym_channel_type,
      sym_function_type,
    ACTIONS(283), 5,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_BANG,
      anon_sym_CARET,
      anon_sym_AMP,
    STATE(864), 5,
      sym_generic_type,
      sym_array_type,
      sym_slice_type,
      sym_struct_type,
      sym_map_type,
    ACTIONS(289), 6,
      sym_int_literal,
      sym_float_literal,
      sym_nil,
      sym_true,
      sym_false,
      sym_iota,
    STATE(394), 12,
      sym_parenthesized_expression,
      sym_call_expression,
      sym_selector_expression,
      sym_index_expression,
      sym_slice_expression,
      sym_type_assertion_expression,
      sym_type_conversion_expression,
      sym_composite_literal,
      sym_func_literal,
      sym_unary_expression,
      sym_binary_expression,
      sym_interpreted_string_literal,
  [11318] = 26,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(23), 1,
      anon_sym_LBRACK,
    ACTIONS(29), 1,
      anon_sym_struct,
    ACTIONS(31), 1,
      anon_sym_TILDE,
    ACTIONS(35), 1,
      anon_sym_interface,
    ACTIONS(37), 1,
      anon_sym_map,
    ACTIONS(39), 1,
      anon_sym_chan,
    ACTIONS(267), 1,
      anon_sym_LPAREN,
    ACTIONS(271), 1,
      anon_sym_func,
    ACTIONS(287), 1,
      anon_sym_DQUOTE,
    ACTIONS(383), 1,
      sym_identifier,
    ACTIONS(387), 1,
      anon_sym_STAR,
    ACTIONS(389), 1,
      anon_sym_LT_DASH,
    ACTIONS(533), 1,
      anon_sym_RPAREN,
    STATE(612), 1,
      sym__expression,
    STATE(859), 1,
      sym_qualified_type,
    STATE(1246), 1,
      sym_implicit_length_array_type,
    ACTIONS(281), 2,
      anon_sym_new,
      anon_sym_make,
    STATE(821), 2,
      sym_union_type,
      sym_negated_type,
    STATE(1224), 2,
      sym_parenthesized_type,
      sym__simple_type,
    ACTIONS(285), 3,
      sym_raw_string_literal,
      sym_imaginary_literal,
      sym_rune_literal,
    STATE(830), 4,
      sym_pointer_type,
      sym_interface_type,
      sym_channel_type,
      sym_function_type,
    ACTIONS(391), 5,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_BANG,
      anon_sym_CARET,
      anon_sym_AMP,
    STATE(864), 5,
      sym_generic_type,
      sym_array_type,
      sym_slice_type,
      sym_struct_type,
      sym_map_type,
    ACTIONS(289), 6,
      sym_int_literal,
      sym_float_literal,
      sym_nil,
      sym_true,
      sym_false,
      sym_iota,
    STATE(394), 12,
      sym_parenthesized_expression,
      sym_call_expression,
      sym_selector_expression,
      sym_index_expression,
      sym_slice_expression,
      sym_type_assertion_expression,
      sym_type_conversion_expression,
      sym_composite_literal,
      sym_func_literal,
      sym_unary_expression,
      sym_binary_expression,
      sym_interpreted_string_literal,
  [11429] = 26,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(23), 1,
      anon_sym_LBRACK,
    ACTIONS(29), 1,
      anon_sym_struct,
    ACTIONS(31), 1,
      anon_sym_TILDE,
    ACTIONS(35), 1,
      anon_sym_interface,
    ACTIONS(37), 1,
      anon_sym_map,
    ACTIONS(39), 1,
      anon_sym_chan,
    ACTIONS(295), 1,
      sym_identifier,
    ACTIONS(303), 1,
      anon_sym_func,
    ACTIONS(455), 1,
      anon_sym_LPAREN,
    ACTIONS(457), 1,
      anon_sym_STAR,
    ACTIONS(459), 1,
      anon_sym_LT_DASH,
    ACTIONS(465), 1,
      anon_sym_DQUOTE,
    STATE(426), 1,
      sym__expression,
    STATE(887), 1,
      sym_qualified_type,
    STATE(957), 1,
      sym_expression_list,
    STATE(1229), 1,
      sym_implicit_length_array_type,
    ACTIONS(313), 2,
      anon_sym_new,
      anon_sym_make,
    STATE(821), 2,
      sym_union_type,
      sym_negated_type,
    STATE(1217), 2,
      sym_parenthesized_type,
      sym__simple_type,
    ACTIONS(463), 3,
      sym_raw_string_literal,
      sym_imaginary_literal,
      sym_rune_literal,
    STATE(830), 4,
      sym_pointer_type,
      sym_interface_type,
      sym_channel_type,
      sym_function_type,
    ACTIONS(461), 5,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_BANG,
      anon_sym_CARET,
      anon_sym_AMP,
    STATE(1074), 5,
      sym_generic_type,
      sym_array_type,
      sym_slice_type,
      sym_struct_type,
      sym_map_type,
    ACTIONS(317), 6,
      sym_int_literal,
      sym_float_literal,
      sym_nil,
      sym_true,
      sym_false,
      sym_iota,
    STATE(522), 12,
      sym_parenthesized_expression,
      sym_call_expression,
      sym_selector_expression,
      sym_index_expression,
      sym_slice_expression,
      sym_type_assertion_expression,
      sym_type_conversion_expression,
      sym_composite_literal,
      sym_func_literal,
      sym_unary_expression,
      sym_binary_expression,
      sym_interpreted_string_literal,
  [11540] = 26,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(23), 1,
      anon_sym_LBRACK,
    ACTIONS(29), 1,
      anon_sym_struct,
    ACTIONS(31), 1,
      anon_sym_TILDE,
    ACTIONS(35), 1,
      anon_sym_interface,
    ACTIONS(37), 1,
      anon_sym_map,
    ACTIONS(39), 1,
      anon_sym_chan,
    ACTIONS(295), 1,
      sym_identifier,
    ACTIONS(303), 1,
      anon_sym_func,
    ACTIONS(455), 1,
      anon_sym_LPAREN,
    ACTIONS(457), 1,
      anon_sym_STAR,
    ACTIONS(459), 1,
      anon_sym_LT_DASH,
    ACTIONS(465), 1,
      anon_sym_DQUOTE,
    STATE(426), 1,
      sym__expression,
    STATE(887), 1,
      sym_qualified_type,
    STATE(956), 1,
      sym_expression_list,
    STATE(1229), 1,
      sym_implicit_length_array_type,
    ACTIONS(313), 2,
      anon_sym_new,
      anon_sym_make,
    STATE(821), 2,
      sym_union_type,
      sym_negated_type,
    STATE(1217), 2,
      sym_parenthesized_type,
      sym__simple_type,
    ACTIONS(463), 3,
      sym_raw_string_literal,
      sym_imaginary_literal,
      sym_rune_literal,
    STATE(830), 4,
      sym_pointer_type,
      sym_interface_type,
      sym_channel_type,
      sym_function_type,
    ACTIONS(461), 5,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_BANG,
      anon_sym_CARET,
      anon_sym_AMP,
    STATE(1074), 5,
      sym_generic_type,
      sym_array_type,
      sym_slice_type,
      sym_struct_type,
      sym_map_type,
    ACTIONS(317), 6,
      sym_int_literal,
      sym_float_literal,
      sym_nil,
      sym_true,
      sym_false,
      sym_iota,
    STATE(522), 12,
      sym_parenthesized_expression,
      sym_call_expression,
      sym_selector_expression,
      sym_index_expression,
      sym_slice_expression,
      sym_type_assertion_expression,
      sym_type_conversion_expression,
      sym_composite_literal,
      sym_func_literal,
      sym_unary_expression,
      sym_binary_expression,
      sym_interpreted_string_literal,
  [11651] = 25,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(23), 1,
      anon_sym_LBRACK,
    ACTIONS(29), 1,
      anon_sym_struct,
    ACTIONS(31), 1,
      anon_sym_TILDE,
    ACTIONS(35), 1,
      anon_sym_interface,
    ACTIONS(37), 1,
      anon_sym_map,
    ACTIONS(39), 1,
      anon_sym_chan,
    ACTIONS(295), 1,
      sym_identifier,
    ACTIONS(303), 1,
      anon_sym_func,
    ACTIONS(455), 1,
      anon_sym_LPAREN,
    ACTIONS(457), 1,
      anon_sym_STAR,
    ACTIONS(459), 1,
      anon_sym_LT_DASH,
    ACTIONS(465), 1,
      anon_sym_DQUOTE,
    STATE(431), 1,
      sym__expression,
    STATE(887), 1,
      sym_qualified_type,
    STATE(1229), 1,
      sym_implicit_length_array_type,
    ACTIONS(313), 2,
      anon_sym_new,
      anon_sym_make,
    STATE(821), 2,
      sym_union_type,
      sym_negated_type,
    STATE(1217), 2,
      sym_parenthesized_type,
      sym__simple_type,
    ACTIONS(463), 3,
      sym_raw_string_literal,
      sym_imaginary_literal,
      sym_rune_literal,
    STATE(830), 4,
      sym_pointer_type,
      sym_interface_type,
      sym_channel_type,
      sym_function_type,
    ACTIONS(461), 5,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_BANG,
      anon_sym_CARET,
      anon_sym_AMP,
    STATE(1074), 5,
      sym_generic_type,
      sym_array_type,
      sym_slice_type,
      sym_struct_type,
      sym_map_type,
    ACTIONS(317), 6,
      sym_int_literal,
      sym_float_literal,
      sym_nil,
      sym_true,
      sym_false,
      sym_iota,
    STATE(522), 12,
      sym_parenthesized_expression,
      sym_call_expression,
      sym_selector_expression,
      sym_index_expression,
      sym_slice_expression,
      sym_type_assertion_expression,
      sym_type_conversion_expression,
      sym_composite_literal,
      sym_func_literal,
      sym_unary_expression,
      sym_binary_expression,
      sym_interpreted_string_literal,
  [11759] = 25,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(23), 1,
      anon_sym_LBRACK,
    ACTIONS(29), 1,
      anon_sym_struct,
    ACTIONS(31), 1,
      anon_sym_TILDE,
    ACTIONS(35), 1,
      anon_sym_interface,
    ACTIONS(37), 1,
      anon_sym_map,
    ACTIONS(39), 1,
      anon_sym_chan,
    ACTIONS(535), 1,
      sym_identifier,
    ACTIONS(537), 1,
      anon_sym_LPAREN,
    ACTIONS(539), 1,
      anon_sym_func,
    ACTIONS(541), 1,
      anon_sym_STAR,
    ACTIONS(543), 1,
      anon_sym_LT_DASH,
    ACTIONS(551), 1,
      anon_sym_DQUOTE,
    STATE(331), 1,
      sym__expression,
    STATE(906), 1,
      sym_qualified_type,
    STATE(1220), 1,
      sym_implicit_length_array_type,
    ACTIONS(545), 2,
      anon_sym_new,
      anon_sym_make,
    STATE(821), 2,
      sym_union_type,
      sym_negated_type,
    STATE(969), 2,
      sym_parenthesized_type,
      sym__simple_type,
    ACTIONS(549), 3,
      sym_raw_string_literal,
      sym_imaginary_literal,
      sym_rune_literal,
    STATE(830), 4,
      sym_pointer_type,
      sym_interface_type,
      sym_channel_type,
      sym_function_type,
    ACTIONS(547), 5,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_BANG,
      anon_sym_CARET,
      anon_sym_AMP,
    STATE(1019), 5,
      sym_generic_type,
      sym_array_type,
      sym_slice_type,
      sym_struct_type,
      sym_map_type,
    ACTIONS(553), 6,
      sym_int_literal,
      sym_float_literal,
      sym_nil,
      sym_true,
      sym_false,
      sym_iota,
    STATE(372), 12,
      sym_parenthesized_expression,
      sym_call_expression,
      sym_selector_expression,
      sym_index_expression,
      sym_slice_expression,
      sym_type_assertion_expression,
      sym_type_conversion_expression,
      sym_composite_literal,
      sym_func_literal,
      sym_unary_expression,
      sym_binary_expression,
      sym_interpreted_string_literal,
  [11867] = 25,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(23), 1,
      anon_sym_LBRACK,
    ACTIONS(29), 1,
      anon_sym_struct,
    ACTIONS(31), 1,
      anon_sym_TILDE,
    ACTIONS(35), 1,
      anon_sym_interface,
    ACTIONS(37), 1,
      anon_sym_map,
    ACTIONS(39), 1,
      anon_sym_chan,
    ACTIONS(267), 1,
      anon_sym_LPAREN,
    ACTIONS(271), 1,
      anon_sym_func,
    ACTIONS(287), 1,
      anon_sym_DQUOTE,
    ACTIONS(383), 1,
      sym_identifier,
    ACTIONS(387), 1,
      anon_sym_STAR,
    ACTIONS(389), 1,
      anon_sym_LT_DASH,
    STATE(632), 1,
      sym__expression,
    STATE(859), 1,
      sym_qualified_type,
    STATE(1246), 1,
      sym_implicit_length_array_type,
    ACTIONS(281), 2,
      anon_sym_new,
      anon_sym_make,
    STATE(821), 2,
      sym_union_type,
      sym_negated_type,
    STATE(1224), 2,
      sym_parenthesized_type,
      sym__simple_type,
    ACTIONS(285), 3,
      sym_raw_string_literal,
      sym_imaginary_literal,
      sym_rune_literal,
    STATE(830), 4,
      sym_pointer_type,
      sym_interface_type,
      sym_channel_type,
      sym_function_type,
    ACTIONS(391), 5,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_BANG,
      anon_sym_CARET,
      anon_sym_AMP,
    STATE(864), 5,
      sym_generic_type,
      sym_array_type,
      sym_slice_type,
      sym_struct_type,
      sym_map_type,
    ACTIONS(289), 6,
      sym_int_literal,
      sym_float_literal,
      sym_nil,
      sym_true,
      sym_false,
      sym_iota,
    STATE(394), 12,
      sym_parenthesized_expression,
      sym_call_expression,
      sym_selector_expression,
      sym_index_expression,
      sym_slice_expression,
      sym_type_assertion_expression,
      sym_type_conversion_expression,
      sym_composite_literal,
      sym_func_literal,
      sym_unary_expression,
      sym_binary_expression,
      sym_interpreted_string_literal,
  [11975] = 25,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(23), 1,
      anon_sym_LBRACK,
    ACTIONS(29), 1,
      anon_sym_struct,
    ACTIONS(31), 1,
      anon_sym_TILDE,
    ACTIONS(35), 1,
      anon_sym_interface,
    ACTIONS(37), 1,
      anon_sym_map,
    ACTIONS(39), 1,
      anon_sym_chan,
    ACTIONS(267), 1,
      anon_sym_LPAREN,
    ACTIONS(271), 1,
      anon_sym_func,
    ACTIONS(287), 1,
      anon_sym_DQUOTE,
    ACTIONS(383), 1,
      sym_identifier,
    ACTIONS(387), 1,
      anon_sym_STAR,
    ACTIONS(389), 1,
      anon_sym_LT_DASH,
    STATE(532), 1,
      sym__expression,
    STATE(859), 1,
      sym_qualified_type,
    STATE(1246), 1,
      sym_implicit_length_array_type,
    ACTIONS(281), 2,
      anon_sym_new,
      anon_sym_make,
    STATE(821), 2,
      sym_union_type,
      sym_negated_type,
    STATE(1224), 2,
      sym_parenthesized_type,
      sym__simple_type,
    ACTIONS(285), 3,
      sym_raw_string_literal,
      sym_imaginary_literal,
      sym_rune_literal,
    STATE(830), 4,
      sym_pointer_type,
      sym_interface_type,
      sym_channel_type,
      sym_function_type,
    ACTIONS(391), 5,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_BANG,
      anon_sym_CARET,
      anon_sym_AMP,
    STATE(864), 5,
      sym_generic_type,
      sym_array_type,
      sym_slice_type,
      sym_struct_type,
      sym_map_type,
    ACTIONS(289), 6,
      sym_int_literal,
      sym_float_literal,
      sym_nil,
      sym_true,
      sym_false,
      sym_iota,
    STATE(394), 12,
      sym_parenthesized_expression,
      sym_call_expression,
      sym_selector_expression,
      sym_index_expression,
      sym_slice_expression,
      sym_type_assertion_expression,
      sym_type_conversion_expression,
      sym_composite_literal,
      sym_func_literal,
      sym_unary_expression,
      sym_binary_expression,
      sym_interpreted_string_literal,
  [12083] = 25,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(23), 1,
      anon_sym_LBRACK,
    ACTIONS(29), 1,
      anon_sym_struct,
    ACTIONS(31), 1,
      anon_sym_TILDE,
    ACTIONS(35), 1,
      anon_sym_interface,
    ACTIONS(37), 1,
      anon_sym_map,
    ACTIONS(39), 1,
      anon_sym_chan,
    ACTIONS(267), 1,
      anon_sym_LPAREN,
    ACTIONS(271), 1,
      anon_sym_func,
    ACTIONS(287), 1,
      anon_sym_DQUOTE,
    ACTIONS(383), 1,
      sym_identifier,
    ACTIONS(387), 1,
      anon_sym_STAR,
    ACTIONS(389), 1,
      anon_sym_LT_DASH,
    STATE(565), 1,
      sym__expression,
    STATE(859), 1,
      sym_qualified_type,
    STATE(1246), 1,
      sym_implicit_length_array_type,
    ACTIONS(281), 2,
      anon_sym_new,
      anon_sym_make,
    STATE(821), 2,
      sym_union_type,
      sym_negated_type,
    STATE(1224), 2,
      sym_parenthesized_type,
      sym__simple_type,
    ACTIONS(285), 3,
      sym_raw_string_literal,
      sym_imaginary_literal,
      sym_rune_literal,
    STATE(830), 4,
      sym_pointer_type,
      sym_interface_type,
      sym_channel_type,
      sym_function_type,
    ACTIONS(391), 5,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_BANG,
      anon_sym_CARET,
      anon_sym_AMP,
    STATE(864), 5,
      sym_generic_type,
      sym_array_type,
      sym_slice_type,
      sym_struct_type,
      sym_map_type,
    ACTIONS(289), 6,
      sym_int_literal,
      sym_float_literal,
      sym_nil,
      sym_true,
      sym_false,
      sym_iota,
    STATE(394), 12,
      sym_parenthesized_expression,
      sym_call_expression,
      sym_selector_expression,
      sym_index_expression,
      sym_slice_expression,
      sym_type_assertion_expression,
      sym_type_conversion_expression,
      sym_composite_literal,
      sym_func_literal,
      sym_unary_expression,
      sym_binary_expression,
      sym_interpreted_string_literal,
  [12191] = 25,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(23), 1,
      anon_sym_LBRACK,
    ACTIONS(29), 1,
      anon_sym_struct,
    ACTIONS(31), 1,
      anon_sym_TILDE,
    ACTIONS(35), 1,
      anon_sym_interface,
    ACTIONS(37), 1,
      anon_sym_map,
    ACTIONS(39), 1,
      anon_sym_chan,
    ACTIONS(267), 1,
      anon_sym_LPAREN,
    ACTIONS(271), 1,
      anon_sym_func,
    ACTIONS(287), 1,
      anon_sym_DQUOTE,
    ACTIONS(435), 1,
      sym_identifier,
    ACTIONS(437), 1,
      anon_sym_STAR,
    ACTIONS(441), 1,
      anon_sym_LT_DASH,
    STATE(684), 1,
      sym__expression,
    STATE(859), 1,
      sym_qualified_type,
    STATE(1246), 1,
      sym_implicit_length_array_type,
    ACTIONS(281), 2,
      anon_sym_new,
      anon_sym_make,
    STATE(821), 2,
      sym_union_type,
      sym_negated_type,
    STATE(1224), 2,
      sym_parenthesized_type,
      sym__simple_type,
    ACTIONS(285), 3,
      sym_raw_string_literal,
      sym_imaginary_literal,
      sym_rune_literal,
    STATE(830), 4,
      sym_pointer_type,
      sym_interface_type,
      sym_channel_type,
      sym_function_type,
    ACTIONS(443), 5,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_BANG,
      anon_sym_CARET,
      anon_sym_AMP,
    STATE(864), 5,
      sym_generic_type,
      sym_array_type,
      sym_slice_type,
      sym_struct_type,
      sym_map_type,
    ACTIONS(289), 6,
      sym_int_literal,
      sym_float_literal,
      sym_nil,
      sym_true,
      sym_false,
      sym_iota,
    STATE(394), 12,
      sym_parenthesized_expression,
      sym_call_expression,
      sym_selector_expression,
      sym_index_expression,
      sym_slice_expression,
      sym_type_assertion_expression,
      sym_type_conversion_expression,
      sym_composite_literal,
      sym_func_literal,
      sym_unary_expression,
      sym_binary_expression,
      sym_interpreted_string_literal,
  [12299] = 25,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(23), 1,
      anon_sym_LBRACK,
    ACTIONS(29), 1,
      anon_sym_struct,
    ACTIONS(31), 1,
      anon_sym_TILDE,
    ACTIONS(35), 1,
      anon_sym_interface,
    ACTIONS(37), 1,
      anon_sym_map,
    ACTIONS(39), 1,
      anon_sym_chan,
    ACTIONS(535), 1,
      sym_identifier,
    ACTIONS(537), 1,
      anon_sym_LPAREN,
    ACTIONS(539), 1,
      anon_sym_func,
    ACTIONS(541), 1,
      anon_sym_STAR,
    ACTIONS(543), 1,
      anon_sym_LT_DASH,
    ACTIONS(551), 1,
      anon_sym_DQUOTE,
    STATE(330), 1,
      sym__expression,
    STATE(906), 1,
      sym_qualified_type,
    STATE(1220), 1,
      sym_implicit_length_array_type,
    ACTIONS(545), 2,
      anon_sym_new,
      anon_sym_make,
    STATE(821), 2,
      sym_union_type,
      sym_negated_type,
    STATE(1211), 2,
      sym_parenthesized_type,
      sym__simple_type,
    ACTIONS(549), 3,
      sym_raw_string_literal,
      sym_imaginary_literal,
      sym_rune_literal,
    STATE(830), 4,
      sym_pointer_type,
      sym_interface_type,
      sym_channel_type,
      sym_function_type,
    ACTIONS(547), 5,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_BANG,
      anon_sym_CARET,
      anon_sym_AMP,
    STATE(1019), 5,
      sym_generic_type,
      sym_array_type,
      sym_slice_type,
      sym_struct_type,
      sym_map_type,
    ACTIONS(553), 6,
      sym_int_literal,
      sym_float_literal,
      sym_nil,
      sym_true,
      sym_false,
      sym_iota,
    STATE(372), 12,
      sym_parenthesized_expression,
      sym_call_expression,
      sym_selector_expression,
      sym_index_expression,
      sym_slice_expression,
      sym_type_assertion_expression,
      sym_type_conversion_expression,
      sym_composite_literal,
      sym_func_literal,
      sym_unary_expression,
      sym_binary_expression,
      sym_interpreted_string_literal,
  [12407] = 25,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(23), 1,
      anon_sym_LBRACK,
    ACTIONS(29), 1,
      anon_sym_struct,
    ACTIONS(31), 1,
      anon_sym_TILDE,
    ACTIONS(35), 1,
      anon_sym_interface,
    ACTIONS(37), 1,
      anon_sym_map,
    ACTIONS(39), 1,
      anon_sym_chan,
    ACTIONS(535), 1,
      sym_identifier,
    ACTIONS(537), 1,
      anon_sym_LPAREN,
    ACTIONS(539), 1,
      anon_sym_func,
    ACTIONS(541), 1,
      anon_sym_STAR,
    ACTIONS(543), 1,
      anon_sym_LT_DASH,
    ACTIONS(551), 1,
      anon_sym_DQUOTE,
    STATE(331), 1,
      sym__expression,
    STATE(906), 1,
      sym_qualified_type,
    STATE(1220), 1,
      sym_implicit_length_array_type,
    ACTIONS(545), 2,
      anon_sym_new,
      anon_sym_make,
    STATE(821), 2,
      sym_union_type,
      sym_negated_type,
    STATE(1211), 2,
      sym_parenthesized_type,
      sym__simple_type,
    ACTIONS(549), 3,
      sym_raw_string_literal,
      sym_imaginary_literal,
      sym_rune_literal,
    STATE(830), 4,
      sym_pointer_type,
      sym_interface_type,
      sym_channel_type,
      sym_function_type,
    ACTIONS(547), 5,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_BANG,
      anon_sym_CARET,
      anon_sym_AMP,
    STATE(1019), 5,
      sym_generic_type,
      sym_array_type,
      sym_slice_type,
      sym_struct_type,
      sym_map_type,
    ACTIONS(553), 6,
      sym_int_literal,
      sym_float_literal,
      sym_nil,
      sym_true,
      sym_false,
      sym_iota,
    STATE(372), 12,
      sym_parenthesized_expression,
      sym_call_expression,
      sym_selector_expression,
      sym_index_expression,
      sym_slice_expression,
      sym_type_assertion_expression,
      sym_type_conversion_expression,
      sym_composite_literal,
      sym_func_literal,
      sym_unary_expression,
      sym_binary_expression,
      sym_interpreted_string_literal,
  [12515] = 25,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(15), 1,
      anon_sym_LPAREN,
    ACTIONS(23), 1,
      anon_sym_LBRACK,
    ACTIONS(27), 1,
      anon_sym_STAR,
    ACTIONS(29), 1,
      anon_sym_struct,
    ACTIONS(31), 1,
      anon_sym_TILDE,
    ACTIONS(35), 1,
      anon_sym_interface,
    ACTIONS(37), 1,
      anon_sym_map,
    ACTIONS(39), 1,
      anon_sym_chan,
    ACTIONS(41), 1,
      anon_sym_LT_DASH,
    ACTIONS(71), 1,
      anon_sym_DQUOTE,
    ACTIONS(183), 1,
      anon_sym_func,
    ACTIONS(555), 1,
      sym_identifier,
    STATE(243), 1,
      sym__expression,
    STATE(897), 1,
      sym_qualified_type,
    STATE(1293), 1,
      sym_implicit_length_array_type,
    ACTIONS(65), 2,
      anon_sym_new,
      anon_sym_make,
    STATE(821), 2,
      sym_union_type,
      sym_negated_type,
    STATE(1278), 2,
      sym_parenthesized_type,
      sym__simple_type,
    ACTIONS(69), 3,
      sym_raw_string_literal,
      sym_imaginary_literal,
      sym_rune_literal,
    STATE(830), 4,
      sym_pointer_type,
      sym_interface_type,
      sym_channel_type,
      sym_function_type,
    ACTIONS(67), 5,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_BANG,
      anon_sym_CARET,
      anon_sym_AMP,
    STATE(1066), 5,
      sym_generic_type,
      sym_array_type,
      sym_slice_type,
      sym_struct_type,
      sym_map_type,
    ACTIONS(73), 6,
      sym_int_literal,
      sym_float_literal,
      sym_nil,
      sym_true,
      sym_false,
      sym_iota,
    STATE(257), 12,
      sym_parenthesized_expression,
      sym_call_expression,
      sym_selector_expression,
      sym_index_expression,
      sym_slice_expression,
      sym_type_assertion_expression,
      sym_type_conversion_expression,
      sym_composite_literal,
      sym_func_literal,
      sym_unary_expression,
      sym_binary_expression,
      sym_interpreted_string_literal,
  [12623] = 25,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(15), 1,
      anon_sym_LPAREN,
    ACTIONS(23), 1,
      anon_sym_LBRACK,
    ACTIONS(27), 1,
      anon_sym_STAR,
    ACTIONS(29), 1,
      anon_sym_struct,
    ACTIONS(31), 1,
      anon_sym_TILDE,
    ACTIONS(35), 1,
      anon_sym_interface,
    ACTIONS(37), 1,
      anon_sym_map,
    ACTIONS(39), 1,
      anon_sym_chan,
    ACTIONS(41), 1,
      anon_sym_LT_DASH,
    ACTIONS(71), 1,
      anon_sym_DQUOTE,
    ACTIONS(183), 1,
      anon_sym_func,
    ACTIONS(555), 1,
      sym_identifier,
    STATE(244), 1,
      sym__expression,
    STATE(897), 1,
      sym_qualified_type,
    STATE(1293), 1,
      sym_implicit_length_array_type,
    ACTIONS(65), 2,
      anon_sym_new,
      anon_sym_make,
    STATE(821), 2,
      sym_union_type,
      sym_negated_type,
    STATE(1278), 2,
      sym_parenthesized_type,
      sym__simple_type,
    ACTIONS(69), 3,
      sym_raw_string_literal,
      sym_imaginary_literal,
      sym_rune_literal,
    STATE(830), 4,
      sym_pointer_type,
      sym_interface_type,
      sym_channel_type,
      sym_function_type,
    ACTIONS(67), 5,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_BANG,
      anon_sym_CARET,
      anon_sym_AMP,
    STATE(1066), 5,
      sym_generic_type,
      sym_array_type,
      sym_slice_type,
      sym_struct_type,
      sym_map_type,
    ACTIONS(73), 6,
      sym_int_literal,
      sym_float_literal,
      sym_nil,
      sym_true,
      sym_false,
      sym_iota,
    STATE(257), 12,
      sym_parenthesized_expression,
      sym_call_expression,
      sym_selector_expression,
      sym_index_expression,
      sym_slice_expression,
      sym_type_assertion_expression,
      sym_type_conversion_expression,
      sym_composite_literal,
      sym_func_literal,
      sym_unary_expression,
      sym_binary_expression,
      sym_interpreted_string_literal,
  [12731] = 25,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(23), 1,
      anon_sym_LBRACK,
    ACTIONS(29), 1,
      anon_sym_struct,
    ACTIONS(31), 1,
      anon_sym_TILDE,
    ACTIONS(35), 1,
      anon_sym_interface,
    ACTIONS(37), 1,
      anon_sym_map,
    ACTIONS(39), 1,
      anon_sym_chan,
    ACTIONS(295), 1,
      sym_identifier,
    ACTIONS(303), 1,
      anon_sym_func,
    ACTIONS(455), 1,
      anon_sym_LPAREN,
    ACTIONS(457), 1,
      anon_sym_STAR,
    ACTIONS(459), 1,
      anon_sym_LT_DASH,
    ACTIONS(465), 1,
      anon_sym_DQUOTE,
    STATE(472), 1,
      sym__expression,
    STATE(887), 1,
      sym_qualified_type,
    STATE(1229), 1,
      sym_implicit_length_array_type,
    ACTIONS(313), 2,
      anon_sym_new,
      anon_sym_make,
    STATE(821), 2,
      sym_union_type,
      sym_negated_type,
    STATE(1217), 2,
      sym_parenthesized_type,
      sym__simple_type,
    ACTIONS(463), 3,
      sym_raw_string_literal,
      sym_imaginary_literal,
      sym_rune_literal,
    STATE(830), 4,
      sym_pointer_type,
      sym_interface_type,
      sym_channel_type,
      sym_function_type,
    ACTIONS(461), 5,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_BANG,
      anon_sym_CARET,
      anon_sym_AMP,
    STATE(1074), 5,
      sym_generic_type,
      sym_array_type,
      sym_slice_type,
      sym_struct_type,
      sym_map_type,
    ACTIONS(317), 6,
      sym_int_literal,
      sym_float_literal,
      sym_nil,
      sym_true,
      sym_false,
      sym_iota,
    STATE(522), 12,
      sym_parenthesized_expression,
      sym_call_expression,
      sym_selector_expression,
      sym_index_expression,
      sym_slice_expression,
      sym_type_assertion_expression,
      sym_type_conversion_expression,
      sym_composite_literal,
      sym_func_literal,
      sym_unary_expression,
      sym_binary_expression,
      sym_interpreted_string_literal,
  [12839] = 25,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(23), 1,
      anon_sym_LBRACK,
    ACTIONS(29), 1,
      anon_sym_struct,
    ACTIONS(31), 1,
      anon_sym_TILDE,
    ACTIONS(35), 1,
      anon_sym_interface,
    ACTIONS(37), 1,
      anon_sym_map,
    ACTIONS(39), 1,
      anon_sym_chan,
    ACTIONS(267), 1,
      anon_sym_LPAREN,
    ACTIONS(271), 1,
      anon_sym_func,
    ACTIONS(287), 1,
      anon_sym_DQUOTE,
    ACTIONS(383), 1,
      sym_identifier,
    ACTIONS(387), 1,
      anon_sym_STAR,
    ACTIONS(389), 1,
      anon_sym_LT_DASH,
    STATE(566), 1,
      sym__expression,
    STATE(859), 1,
      sym_qualified_type,
    STATE(1246), 1,
      sym_implicit_length_array_type,
    ACTIONS(281), 2,
      anon_sym_new,
      anon_sym_make,
    STATE(821), 2,
      sym_union_type,
      sym_negated_type,
    STATE(1224), 2,
      sym_parenthesized_type,
      sym__simple_type,
    ACTIONS(285), 3,
      sym_raw_string_literal,
      sym_imaginary_literal,
      sym_rune_literal,
    STATE(830), 4,
      sym_pointer_type,
      sym_interface_type,
      sym_channel_type,
      sym_function_type,
    ACTIONS(391), 5,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_BANG,
      anon_sym_CARET,
      anon_sym_AMP,
    STATE(864), 5,
      sym_generic_type,
      sym_array_type,
      sym_slice_type,
      sym_struct_type,
      sym_map_type,
    ACTIONS(289), 6,
      sym_int_literal,
      sym_float_literal,
      sym_nil,
      sym_true,
      sym_false,
      sym_iota,
    STATE(394), 12,
      sym_parenthesized_expression,
      sym_call_expression,
      sym_selector_expression,
      sym_index_expression,
      sym_slice_expression,
      sym_type_assertion_expression,
      sym_type_conversion_expression,
      sym_composite_literal,
      sym_func_literal,
      sym_unary_expression,
      sym_binary_expression,
      sym_interpreted_string_literal,
  [12947] = 25,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(23), 1,
      anon_sym_LBRACK,
    ACTIONS(29), 1,
      anon_sym_struct,
    ACTIONS(31), 1,
      anon_sym_TILDE,
    ACTIONS(35), 1,
      anon_sym_interface,
    ACTIONS(37), 1,
      anon_sym_map,
    ACTIONS(39), 1,
      anon_sym_chan,
    ACTIONS(265), 1,
      sym_identifier,
    ACTIONS(267), 1,
      anon_sym_LPAREN,
    ACTIONS(271), 1,
      anon_sym_func,
    ACTIONS(273), 1,
      anon_sym_STAR,
    ACTIONS(279), 1,
      anon_sym_LT_DASH,
    ACTIONS(287), 1,
      anon_sym_DQUOTE,
    STATE(624), 1,
      sym__expression,
    STATE(859), 1,
      sym_qualified_type,
    STATE(1246), 1,
      sym_implicit_length_array_type,
    ACTIONS(281), 2,
      anon_sym_new,
      anon_sym_make,
    STATE(821), 2,
      sym_union_type,
      sym_negated_type,
    STATE(1224), 2,
      sym_parenthesized_type,
      sym__simple_type,
    ACTIONS(285), 3,
      sym_raw_string_literal,
      sym_imaginary_literal,
      sym_rune_literal,
    STATE(830), 4,
      sym_pointer_type,
      sym_interface_type,
      sym_channel_type,
      sym_function_type,
    ACTIONS(283), 5,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_BANG,
      anon_sym_CARET,
      anon_sym_AMP,
    STATE(864), 5,
      sym_generic_type,
      sym_array_type,
      sym_slice_type,
      sym_struct_type,
      sym_map_type,
    ACTIONS(289), 6,
      sym_int_literal,
      sym_float_literal,
      sym_nil,
      sym_true,
      sym_false,
      sym_iota,
    STATE(394), 12,
      sym_parenthesized_expression,
      sym_call_expression,
      sym_selector_expression,
      sym_index_expression,
      sym_slice_expression,
      sym_type_assertion_expression,
      sym_type_conversion_expression,
      sym_composite_literal,
      sym_func_literal,
      sym_unary_expression,
      sym_binary_expression,
      sym_interpreted_string_literal,
  [13055] = 25,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(15), 1,
      anon_sym_LPAREN,
    ACTIONS(23), 1,
      anon_sym_LBRACK,
    ACTIONS(27), 1,
      anon_sym_STAR,
    ACTIONS(29), 1,
      anon_sym_struct,
    ACTIONS(31), 1,
      anon_sym_TILDE,
    ACTIONS(35), 1,
      anon_sym_interface,
    ACTIONS(37), 1,
      anon_sym_map,
    ACTIONS(39), 1,
      anon_sym_chan,
    ACTIONS(41), 1,
      anon_sym_LT_DASH,
    ACTIONS(71), 1,
      anon_sym_DQUOTE,
    ACTIONS(183), 1,
      anon_sym_func,
    ACTIONS(555), 1,
      sym_identifier,
    STATE(241), 1,
      sym__expression,
    STATE(897), 1,
      sym_qualified_type,
    STATE(1293), 1,
      sym_implicit_length_array_type,
    ACTIONS(65), 2,
      anon_sym_new,
      anon_sym_make,
    STATE(821), 2,
      sym_union_type,
      sym_negated_type,
    STATE(1278), 2,
      sym_parenthesized_type,
      sym__simple_type,
    ACTIONS(69), 3,
      sym_raw_string_literal,
      sym_imaginary_literal,
      sym_rune_literal,
    STATE(830), 4,
      sym_pointer_type,
      sym_interface_type,
      sym_channel_type,
      sym_function_type,
    ACTIONS(67), 5,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_BANG,
      anon_sym_CARET,
      anon_sym_AMP,
    STATE(1066), 5,
      sym_generic_type,
      sym_array_type,
      sym_slice_type,
      sym_struct_type,
      sym_map_type,
    ACTIONS(73), 6,
      sym_int_literal,
      sym_float_literal,
      sym_nil,
      sym_true,
      sym_false,
      sym_iota,
    STATE(257), 12,
      sym_parenthesized_expression,
      sym_call_expression,
      sym_selector_expression,
      sym_index_expression,
      sym_slice_expression,
      sym_type_assertion_expression,
      sym_type_conversion_expression,
      sym_composite_literal,
      sym_func_literal,
      sym_unary_expression,
      sym_binary_expression,
      sym_interpreted_string_literal,
  [13163] = 25,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(15), 1,
      anon_sym_LPAREN,
    ACTIONS(23), 1,
      anon_sym_LBRACK,
    ACTIONS(27), 1,
      anon_sym_STAR,
    ACTIONS(29), 1,
      anon_sym_struct,
    ACTIONS(31), 1,
      anon_sym_TILDE,
    ACTIONS(35), 1,
      anon_sym_interface,
    ACTIONS(37), 1,
      anon_sym_map,
    ACTIONS(39), 1,
      anon_sym_chan,
    ACTIONS(41), 1,
      anon_sym_LT_DASH,
    ACTIONS(71), 1,
      anon_sym_DQUOTE,
    ACTIONS(183), 1,
      anon_sym_func,
    ACTIONS(555), 1,
      sym_identifier,
    STATE(242), 1,
      sym__expression,
    STATE(897), 1,
      sym_qualified_type,
    STATE(1293), 1,
      sym_implicit_length_array_type,
    ACTIONS(65), 2,
      anon_sym_new,
      anon_sym_make,
    STATE(821), 2,
      sym_union_type,
      sym_negated_type,
    STATE(1278), 2,
      sym_parenthesized_type,
      sym__simple_type,
    ACTIONS(69), 3,
      sym_raw_string_literal,
      sym_imaginary_literal,
      sym_rune_literal,
    STATE(830), 4,
      sym_pointer_type,
      sym_interface_type,
      sym_channel_type,
      sym_function_type,
    ACTIONS(67), 5,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_BANG,
      anon_sym_CARET,
      anon_sym_AMP,
    STATE(1066), 5,
      sym_generic_type,
      sym_array_type,
      sym_slice_type,
      sym_struct_type,
      sym_map_type,
    ACTIONS(73), 6,
      sym_int_literal,
      sym_float_literal,
      sym_nil,
      sym_true,
      sym_false,
      sym_iota,
    STATE(257), 12,
      sym_parenthesized_expression,
      sym_call_expression,
      sym_selector_expression,
      sym_index_expression,
      sym_slice_expression,
      sym_type_assertion_expression,
      sym_type_conversion_expression,
      sym_composite_literal,
      sym_func_literal,
      sym_unary_expression,
      sym_binary_expression,
      sym_interpreted_string_literal,
  [13271] = 25,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(15), 1,
      anon_sym_LPAREN,
    ACTIONS(23), 1,
      anon_sym_LBRACK,
    ACTIONS(27), 1,
      anon_sym_STAR,
    ACTIONS(29), 1,
      anon_sym_struct,
    ACTIONS(31), 1,
      anon_sym_TILDE,
    ACTIONS(35), 1,
      anon_sym_interface,
    ACTIONS(37), 1,
      anon_sym_map,
    ACTIONS(39), 1,
      anon_sym_chan,
    ACTIONS(41), 1,
      anon_sym_LT_DASH,
    ACTIONS(71), 1,
      anon_sym_DQUOTE,
    ACTIONS(183), 1,
      anon_sym_func,
    ACTIONS(555), 1,
      sym_identifier,
    STATE(246), 1,
      sym__expression,
    STATE(897), 1,
      sym_qualified_type,
    STATE(1293), 1,
      sym_implicit_length_array_type,
    ACTIONS(65), 2,
      anon_sym_new,
      anon_sym_make,
    STATE(821), 2,
      sym_union_type,
      sym_negated_type,
    STATE(1278), 2,
      sym_parenthesized_type,
      sym__simple_type,
    ACTIONS(69), 3,
      sym_raw_string_literal,
      sym_imaginary_literal,
      sym_rune_literal,
    STATE(830), 4,
      sym_pointer_type,
      sym_interface_type,
      sym_channel_type,
      sym_function_type,
    ACTIONS(67), 5,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_BANG,
      anon_sym_CARET,
      anon_sym_AMP,
    STATE(1066), 5,
      sym_generic_type,
      sym_array_type,
      sym_slice_type,
      sym_struct_type,
      sym_map_type,
    ACTIONS(73), 6,
      sym_int_literal,
      sym_float_literal,
      sym_nil,
      sym_true,
      sym_false,
      sym_iota,
    STATE(257), 12,
      sym_parenthesized_expression,
      sym_call_expression,
      sym_selector_expression,
      sym_index_expression,
      sym_slice_expression,
      sym_type_assertion_expression,
      sym_type_conversion_expression,
      sym_composite_literal,
      sym_func_literal,
      sym_unary_expression,
      sym_binary_expression,
      sym_interpreted_string_literal,
  [13379] = 25,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(23), 1,
      anon_sym_LBRACK,
    ACTIONS(29), 1,
      anon_sym_struct,
    ACTIONS(31), 1,
      anon_sym_TILDE,
    ACTIONS(35), 1,
      anon_sym_interface,
    ACTIONS(37), 1,
      anon_sym_map,
    ACTIONS(39), 1,
      anon_sym_chan,
    ACTIONS(267), 1,
      anon_sym_LPAREN,
    ACTIONS(271), 1,
      anon_sym_func,
    ACTIONS(287), 1,
      anon_sym_DQUOTE,
    ACTIONS(383), 1,
      sym_identifier,
    ACTIONS(387), 1,
      anon_sym_STAR,
    ACTIONS(389), 1,
      anon_sym_LT_DASH,
    STATE(593), 1,
      sym__expression,
    STATE(859), 1,
      sym_qualified_type,
    STATE(1246), 1,
      sym_implicit_length_array_type,
    ACTIONS(281), 2,
      anon_sym_new,
      anon_sym_make,
    STATE(821), 2,
      sym_union_type,
      sym_negated_type,
    STATE(1224), 2,
      sym_parenthesized_type,
      sym__simple_type,
    ACTIONS(285), 3,
      sym_raw_string_literal,
      sym_imaginary_literal,
      sym_rune_literal,
    STATE(830), 4,
      sym_pointer_type,
      sym_interface_type,
      sym_channel_type,
      sym_function_type,
    ACTIONS(391), 5,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_BANG,
      anon_sym_CARET,
      anon_sym_AMP,
    STATE(864), 5,
      sym_generic_type,
      sym_array_type,
      sym_slice_type,
      sym_struct_type,
      sym_map_type,
    ACTIONS(289), 6,
      sym_int_literal,
      sym_float_literal,
      sym_nil,
      sym_true,
      sym_false,
      sym_iota,
    STATE(394), 12,
      sym_parenthesized_expression,
      sym_call_expression,
      sym_selector_expression,
      sym_index_expression,
      sym_slice_expression,
      sym_type_assertion_expression,
      sym_type_conversion_expression,
      sym_composite_literal,
      sym_func_literal,
      sym_unary_expression,
      sym_binary_expression,
      sym_interpreted_string_literal,
  [13487] = 25,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(23), 1,
      anon_sym_LBRACK,
    ACTIONS(29), 1,
      anon_sym_struct,
    ACTIONS(31), 1,
      anon_sym_TILDE,
    ACTIONS(35), 1,
      anon_sym_interface,
    ACTIONS(37), 1,
      anon_sym_map,
    ACTIONS(39), 1,
      anon_sym_chan,
    ACTIONS(295), 1,
      sym_identifier,
    ACTIONS(303), 1,
      anon_sym_func,
    ACTIONS(455), 1,
      anon_sym_LPAREN,
    ACTIONS(457), 1,
      anon_sym_STAR,
    ACTIONS(459), 1,
      anon_sym_LT_DASH,
    ACTIONS(465), 1,
      anon_sym_DQUOTE,
    STATE(434), 1,
      sym__expression,
    STATE(887), 1,
      sym_qualified_type,
    STATE(1229), 1,
      sym_implicit_length_array_type,
    ACTIONS(313), 2,
      anon_sym_new,
      anon_sym_make,
    STATE(821), 2,
      sym_union_type,
      sym_negated_type,
    STATE(969), 2,
      sym_parenthesized_type,
      sym__simple_type,
    ACTIONS(463), 3,
      sym_raw_string_literal,
      sym_imaginary_literal,
      sym_rune_literal,
    STATE(830), 4,
      sym_pointer_type,
      sym_interface_type,
      sym_channel_type,
      sym_function_type,
    ACTIONS(461), 5,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_BANG,
      anon_sym_CARET,
      anon_sym_AMP,
    STATE(1074), 5,
      sym_generic_type,
      sym_array_type,
      sym_slice_type,
      sym_struct_type,
      sym_map_type,
    ACTIONS(317), 6,
      sym_int_literal,
      sym_float_literal,
      sym_nil,
      sym_true,
      sym_false,
      sym_iota,
    STATE(522), 12,
      sym_parenthesized_expression,
      sym_call_expression,
      sym_selector_expression,
      sym_index_expression,
      sym_slice_expression,
      sym_type_assertion_expression,
      sym_type_conversion_expression,
      sym_composite_literal,
      sym_func_literal,
      sym_unary_expression,
      sym_binary_expression,
      sym_interpreted_string_literal,
  [13595] = 25,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(23), 1,
      anon_sym_LBRACK,
    ACTIONS(29), 1,
      anon_sym_struct,
    ACTIONS(31), 1,
      anon_sym_TILDE,
    ACTIONS(35), 1,
      anon_sym_interface,
    ACTIONS(37), 1,
      anon_sym_map,
    ACTIONS(295), 1,
      sym_identifier,
    ACTIONS(303), 1,
      anon_sym_func,
    ACTIONS(455), 1,
      anon_sym_LPAREN,
    ACTIONS(457), 1,
      anon_sym_STAR,
    ACTIONS(459), 1,
      anon_sym_LT_DASH,
    ACTIONS(465), 1,
      anon_sym_DQUOTE,
    ACTIONS(557), 1,
      anon_sym_chan,
    STATE(434), 1,
      sym__expression,
    STATE(887), 1,
      sym_qualified_type,
    STATE(1229), 1,
      sym_implicit_length_array_type,
    ACTIONS(313), 2,
      anon_sym_new,
      anon_sym_make,
    STATE(821), 2,
      sym_union_type,
      sym_negated_type,
    STATE(1217), 2,
      sym_parenthesized_type,
      sym__simple_type,
    ACTIONS(463), 3,
      sym_raw_string_literal,
      sym_imaginary_literal,
      sym_rune_literal,
    STATE(830), 4,
      sym_pointer_type,
      sym_interface_type,
      sym_channel_type,
      sym_function_type,
    ACTIONS(461), 5,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_BANG,
      anon_sym_CARET,
      anon_sym_AMP,
    STATE(1074), 5,
      sym_generic_type,
      sym_array_type,
      sym_slice_type,
      sym_struct_type,
      sym_map_type,
    ACTIONS(317), 6,
      sym_int_literal,
      sym_float_literal,
      sym_nil,
      sym_true,
      sym_false,
      sym_iota,
    STATE(522), 12,
      sym_parenthesized_expression,
      sym_call_expression,
      sym_selector_expression,
      sym_index_expression,
      sym_slice_expression,
      sym_type_assertion_expression,
      sym_type_conversion_expression,
      sym_composite_literal,
      sym_func_literal,
      sym_unary_expression,
      sym_binary_expression,
      sym_interpreted_string_literal,
  [13703] = 25,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(15), 1,
      anon_sym_LPAREN,
    ACTIONS(23), 1,
      anon_sym_LBRACK,
    ACTIONS(27), 1,
      anon_sym_STAR,
    ACTIONS(29), 1,
      anon_sym_struct,
    ACTIONS(31), 1,
      anon_sym_TILDE,
    ACTIONS(35), 1,
      anon_sym_interface,
    ACTIONS(37), 1,
      anon_sym_map,
    ACTIONS(39), 1,
      anon_sym_chan,
    ACTIONS(41), 1,
      anon_sym_LT_DASH,
    ACTIONS(71), 1,
      anon_sym_DQUOTE,
    ACTIONS(183), 1,
      anon_sym_func,
    ACTIONS(555), 1,
      sym_identifier,
    STATE(245), 1,
      sym__expression,
    STATE(897), 1,
      sym_qualified_type,
    STATE(1293), 1,
      sym_implicit_length_array_type,
    ACTIONS(65), 2,
      anon_sym_new,
      anon_sym_make,
    STATE(821), 2,
      sym_union_type,
      sym_negated_type,
    STATE(1278), 2,
      sym_parenthesized_type,
      sym__simple_type,
    ACTIONS(69), 3,
      sym_raw_string_literal,
      sym_imaginary_literal,
      sym_rune_literal,
    STATE(830), 4,
      sym_pointer_type,
      sym_interface_type,
      sym_channel_type,
      sym_function_type,
    ACTIONS(67), 5,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_BANG,
      anon_sym_CARET,
      anon_sym_AMP,
    STATE(1066), 5,
      sym_generic_type,
      sym_array_type,
      sym_slice_type,
      sym_struct_type,
      sym_map_type,
    ACTIONS(73), 6,
      sym_int_literal,
      sym_float_literal,
      sym_nil,
      sym_true,
      sym_false,
      sym_iota,
    STATE(257), 12,
      sym_parenthesized_expression,
      sym_call_expression,
      sym_selector_expression,
      sym_index_expression,
      sym_slice_expression,
      sym_type_assertion_expression,
      sym_type_conversion_expression,
      sym_composite_literal,
      sym_func_literal,
      sym_unary_expression,
      sym_binary_expression,
      sym_interpreted_string_literal,
  [13811] = 25,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(23), 1,
      anon_sym_LBRACK,
    ACTIONS(29), 1,
      anon_sym_struct,
    ACTIONS(31), 1,
      anon_sym_TILDE,
    ACTIONS(35), 1,
      anon_sym_interface,
    ACTIONS(37), 1,
      anon_sym_map,
    ACTIONS(39), 1,
      anon_sym_chan,
    ACTIONS(535), 1,
      sym_identifier,
    ACTIONS(537), 1,
      anon_sym_LPAREN,
    ACTIONS(539), 1,
      anon_sym_func,
    ACTIONS(541), 1,
      anon_sym_STAR,
    ACTIONS(543), 1,
      anon_sym_LT_DASH,
    ACTIONS(551), 1,
      anon_sym_DQUOTE,
    STATE(329), 1,
      sym__expression,
    STATE(906), 1,
      sym_qualified_type,
    STATE(1220), 1,
      sym_implicit_length_array_type,
    ACTIONS(545), 2,
      anon_sym_new,
      anon_sym_make,
    STATE(821), 2,
      sym_union_type,
      sym_negated_type,
    STATE(1211), 2,
      sym_parenthesized_type,
      sym__simple_type,
    ACTIONS(549), 3,
      sym_raw_string_literal,
      sym_imaginary_literal,
      sym_rune_literal,
    STATE(830), 4,
      sym_pointer_type,
      sym_interface_type,
      sym_channel_type,
      sym_function_type,
    ACTIONS(547), 5,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_BANG,
      anon_sym_CARET,
      anon_sym_AMP,
    STATE(1019), 5,
      sym_generic_type,
      sym_array_type,
      sym_slice_type,
      sym_struct_type,
      sym_map_type,
    ACTIONS(553), 6,
      sym_int_literal,
      sym_float_literal,
      sym_nil,
      sym_true,
      sym_false,
      sym_iota,
    STATE(372), 12,
      sym_parenthesized_expression,
      sym_call_expression,
      sym_selector_expression,
      sym_index_expression,
      sym_slice_expression,
      sym_type_assertion_expression,
      sym_type_conversion_expression,
      sym_composite_literal,
      sym_func_literal,
      sym_unary_expression,
      sym_binary_expression,
      sym_interpreted_string_literal,
  [13919] = 25,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(23), 1,
      anon_sym_LBRACK,
    ACTIONS(29), 1,
      anon_sym_struct,
    ACTIONS(31), 1,
      anon_sym_TILDE,
    ACTIONS(35), 1,
      anon_sym_interface,
    ACTIONS(37), 1,
      anon_sym_map,
    ACTIONS(39), 1,
      anon_sym_chan,
    ACTIONS(267), 1,
      anon_sym_LPAREN,
    ACTIONS(271), 1,
      anon_sym_func,
    ACTIONS(287), 1,
      anon_sym_DQUOTE,
    ACTIONS(383), 1,
      sym_identifier,
    ACTIONS(387), 1,
      anon_sym_STAR,
    ACTIONS(389), 1,
      anon_sym_LT_DASH,
    STATE(567), 1,
      sym__expression,
    STATE(859), 1,
      sym_qualified_type,
    STATE(1246), 1,
      sym_implicit_length_array_type,
    ACTIONS(281), 2,
      anon_sym_new,
      anon_sym_make,
    STATE(821), 2,
      sym_union_type,
      sym_negated_type,
    STATE(1224), 2,
      sym_parenthesized_type,
      sym__simple_type,
    ACTIONS(285), 3,
      sym_raw_string_literal,
      sym_imaginary_literal,
      sym_rune_literal,
    STATE(830), 4,
      sym_pointer_type,
      sym_interface_type,
      sym_channel_type,
      sym_function_type,
    ACTIONS(391), 5,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_BANG,
      anon_sym_CARET,
      anon_sym_AMP,
    STATE(864), 5,
      sym_generic_type,
      sym_array_type,
      sym_slice_type,
      sym_struct_type,
      sym_map_type,
    ACTIONS(289), 6,
      sym_int_literal,
      sym_float_literal,
      sym_nil,
      sym_true,
      sym_false,
      sym_iota,
    STATE(394), 12,
      sym_parenthesized_expression,
      sym_call_expression,
      sym_selector_expression,
      sym_index_expression,
      sym_slice_expression,
      sym_type_assertion_expression,
      sym_type_conversion_expression,
      sym_composite_literal,
      sym_func_literal,
      sym_unary_expression,
      sym_binary_expression,
      sym_interpreted_string_literal,
  [14027] = 25,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(23), 1,
      anon_sym_LBRACK,
    ACTIONS(29), 1,
      anon_sym_struct,
    ACTIONS(31), 1,
      anon_sym_TILDE,
    ACTIONS(35), 1,
      anon_sym_interface,
    ACTIONS(37), 1,
      anon_sym_map,
    ACTIONS(39), 1,
      anon_sym_chan,
    ACTIONS(267), 1,
      anon_sym_LPAREN,
    ACTIONS(271), 1,
      anon_sym_func,
    ACTIONS(287), 1,
      anon_sym_DQUOTE,
    ACTIONS(383), 1,
      sym_identifier,
    ACTIONS(387), 1,
      anon_sym_STAR,
    ACTIONS(389), 1,
      anon_sym_LT_DASH,
    STATE(374), 1,
      sym__expression,
    STATE(859), 1,
      sym_qualified_type,
    STATE(1246), 1,
      sym_implicit_length_array_type,
    ACTIONS(281), 2,
      anon_sym_new,
      anon_sym_make,
    STATE(821), 2,
      sym_union_type,
      sym_negated_type,
    STATE(1224), 2,
      sym_parenthesized_type,
      sym__simple_type,
    ACTIONS(285), 3,
      sym_raw_string_literal,
      sym_imaginary_literal,
      sym_rune_literal,
    STATE(830), 4,
      sym_pointer_type,
      sym_interface_type,
      sym_channel_type,
      sym_function_type,
    ACTIONS(391), 5,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_BANG,
      anon_sym_CARET,
      anon_sym_AMP,
    STATE(864), 5,
      sym_generic_type,
      sym_array_type,
      sym_slice_type,
      sym_struct_type,
      sym_map_type,
    ACTIONS(289), 6,
      sym_int_literal,
      sym_float_literal,
      sym_nil,
      sym_true,
      sym_false,
      sym_iota,
    STATE(394), 12,
      sym_parenthesized_expression,
      sym_call_expression,
      sym_selector_expression,
      sym_index_expression,
      sym_slice_expression,
      sym_type_assertion_expression,
      sym_type_conversion_expression,
      sym_composite_literal,
      sym_func_literal,
      sym_unary_expression,
      sym_binary_expression,
      sym_interpreted_string_literal,
  [14135] = 25,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(23), 1,
      anon_sym_LBRACK,
    ACTIONS(29), 1,
      anon_sym_struct,
    ACTIONS(31), 1,
      anon_sym_TILDE,
    ACTIONS(35), 1,
      anon_sym_interface,
    ACTIONS(37), 1,
      anon_sym_map,
    ACTIONS(39), 1,
      anon_sym_chan,
    ACTIONS(265), 1,
      sym_identifier,
    ACTIONS(267), 1,
      anon_sym_LPAREN,
    ACTIONS(271), 1,
      anon_sym_func,
    ACTIONS(273), 1,
      anon_sym_STAR,
    ACTIONS(279), 1,
      anon_sym_LT_DASH,
    ACTIONS(287), 1,
      anon_sym_DQUOTE,
    STATE(474), 1,
      sym__expression,
    STATE(859), 1,
      sym_qualified_type,
    STATE(1246), 1,
      sym_implicit_length_array_type,
    ACTIONS(281), 2,
      anon_sym_new,
      anon_sym_make,
    STATE(821), 2,
      sym_union_type,
      sym_negated_type,
    STATE(1224), 2,
      sym_parenthesized_type,
      sym__simple_type,
    ACTIONS(285), 3,
      sym_raw_string_literal,
      sym_imaginary_literal,
      sym_rune_literal,
    STATE(830), 4,
      sym_pointer_type,
      sym_interface_type,
      sym_channel_type,
      sym_function_type,
    ACTIONS(283), 5,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_BANG,
      anon_sym_CARET,
      anon_sym_AMP,
    STATE(864), 5,
      sym_generic_type,
      sym_array_type,
      sym_slice_type,
      sym_struct_type,
      sym_map_type,
    ACTIONS(289), 6,
      sym_int_literal,
      sym_float_literal,
      sym_nil,
      sym_true,
      sym_false,
      sym_iota,
    STATE(394), 12,
      sym_parenthesized_expression,
      sym_call_expression,
      sym_selector_expression,
      sym_index_expression,
      sym_slice_expression,
      sym_type_assertion_expression,
      sym_type_conversion_expression,
      sym_composite_literal,
      sym_func_literal,
      sym_unary_expression,
      sym_binary_expression,
      sym_interpreted_string_literal,
  [14243] = 25,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(23), 1,
      anon_sym_LBRACK,
    ACTIONS(29), 1,
      anon_sym_struct,
    ACTIONS(31), 1,
      anon_sym_TILDE,
    ACTIONS(35), 1,
      anon_sym_interface,
    ACTIONS(37), 1,
      anon_sym_map,
    ACTIONS(39), 1,
      anon_sym_chan,
    ACTIONS(265), 1,
      sym_identifier,
    ACTIONS(267), 1,
      anon_sym_LPAREN,
    ACTIONS(271), 1,
      anon_sym_func,
    ACTIONS(273), 1,
      anon_sym_STAR,
    ACTIONS(279), 1,
      anon_sym_LT_DASH,
    ACTIONS(287), 1,
      anon_sym_DQUOTE,
    STATE(723), 1,
      sym__expression,
    STATE(859), 1,
      sym_qualified_type,
    STATE(1246), 1,
      sym_implicit_length_array_type,
    ACTIONS(281), 2,
      anon_sym_new,
      anon_sym_make,
    STATE(821), 2,
      sym_union_type,
      sym_negated_type,
    STATE(1224), 2,
      sym_parenthesized_type,
      sym__simple_type,
    ACTIONS(285), 3,
      sym_raw_string_literal,
      sym_imaginary_literal,
      sym_rune_literal,
    STATE(830), 4,
      sym_pointer_type,
      sym_interface_type,
      sym_channel_type,
      sym_function_type,
    ACTIONS(283), 5,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_BANG,
      anon_sym_CARET,
      anon_sym_AMP,
    STATE(864), 5,
      sym_generic_type,
      sym_array_type,
      sym_slice_type,
      sym_struct_type,
      sym_map_type,
    ACTIONS(289), 6,
      sym_int_literal,
      sym_float_literal,
      sym_nil,
      sym_true,
      sym_false,
      sym_iota,
    STATE(394), 12,
      sym_parenthesized_expression,
      sym_call_expression,
      sym_selector_expression,
      sym_index_expression,
      sym_slice_expression,
      sym_type_assertion_expression,
      sym_type_conversion_expression,
      sym_composite_literal,
      sym_func_literal,
      sym_unary_expression,
      sym_binary_expression,
      sym_interpreted_string_literal,
  [14351] = 25,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(23), 1,
      anon_sym_LBRACK,
    ACTIONS(29), 1,
      anon_sym_struct,
    ACTIONS(31), 1,
      anon_sym_TILDE,
    ACTIONS(35), 1,
      anon_sym_interface,
    ACTIONS(37), 1,
      anon_sym_map,
    ACTIONS(39), 1,
      anon_sym_chan,
    ACTIONS(267), 1,
      anon_sym_LPAREN,
    ACTIONS(271), 1,
      anon_sym_func,
    ACTIONS(287), 1,
      anon_sym_DQUOTE,
    ACTIONS(435), 1,
      sym_identifier,
    ACTIONS(437), 1,
      anon_sym_STAR,
    ACTIONS(441), 1,
      anon_sym_LT_DASH,
    STATE(629), 1,
      sym__expression,
    STATE(859), 1,
      sym_qualified_type,
    STATE(1246), 1,
      sym_implicit_length_array_type,
    ACTIONS(281), 2,
      anon_sym_new,
      anon_sym_make,
    STATE(821), 2,
      sym_union_type,
      sym_negated_type,
    STATE(1224), 2,
      sym_parenthesized_type,
      sym__simple_type,
    ACTIONS(285), 3,
      sym_raw_string_literal,
      sym_imaginary_literal,
      sym_rune_literal,
    STATE(830), 4,
      sym_pointer_type,
      sym_interface_type,
      sym_channel_type,
      sym_function_type,
    ACTIONS(443), 5,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_BANG,
      anon_sym_CARET,
      anon_sym_AMP,
    STATE(864), 5,
      sym_generic_type,
      sym_array_type,
      sym_slice_type,
      sym_struct_type,
      sym_map_type,
    ACTIONS(289), 6,
      sym_int_literal,
      sym_float_literal,
      sym_nil,
      sym_true,
      sym_false,
      sym_iota,
    STATE(394), 12,
      sym_parenthesized_expression,
      sym_call_expression,
      sym_selector_expression,
      sym_index_expression,
      sym_slice_expression,
      sym_type_assertion_expression,
      sym_type_conversion_expression,
      sym_composite_literal,
      sym_func_literal,
      sym_unary_expression,
      sym_binary_expression,
      sym_interpreted_string_literal,
  [14459] = 25,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(23), 1,
      anon_sym_LBRACK,
    ACTIONS(29), 1,
      anon_sym_struct,
    ACTIONS(31), 1,
      anon_sym_TILDE,
    ACTIONS(35), 1,
      anon_sym_interface,
    ACTIONS(37), 1,
      anon_sym_map,
    ACTIONS(39), 1,
      anon_sym_chan,
    ACTIONS(535), 1,
      sym_identifier,
    ACTIONS(537), 1,
      anon_sym_LPAREN,
    ACTIONS(539), 1,
      anon_sym_func,
    ACTIONS(541), 1,
      anon_sym_STAR,
    ACTIONS(543), 1,
      anon_sym_LT_DASH,
    ACTIONS(551), 1,
      anon_sym_DQUOTE,
    STATE(332), 1,
      sym__expression,
    STATE(906), 1,
      sym_qualified_type,
    STATE(1220), 1,
      sym_implicit_length_array_type,
    ACTIONS(545), 2,
      anon_sym_new,
      anon_sym_make,
    STATE(821), 2,
      sym_union_type,
      sym_negated_type,
    STATE(1211), 2,
      sym_parenthesized_type,
      sym__simple_type,
    ACTIONS(549), 3,
      sym_raw_string_literal,
      sym_imaginary_literal,
      sym_rune_literal,
    STATE(830), 4,
      sym_pointer_type,
      sym_interface_type,
      sym_channel_type,
      sym_function_type,
    ACTIONS(547), 5,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_BANG,
      anon_sym_CARET,
      anon_sym_AMP,
    STATE(1019), 5,
      sym_generic_type,
      sym_array_type,
      sym_slice_type,
      sym_struct_type,
      sym_map_type,
    ACTIONS(553), 6,
      sym_int_literal,
      sym_float_literal,
      sym_nil,
      sym_true,
      sym_false,
      sym_iota,
    STATE(372), 12,
      sym_parenthesized_expression,
      sym_call_expression,
      sym_selector_expression,
      sym_index_expression,
      sym_slice_expression,
      sym_type_assertion_expression,
      sym_type_conversion_expression,
      sym_composite_literal,
      sym_func_literal,
      sym_unary_expression,
      sym_binary_expression,
      sym_interpreted_string_literal,
  [14567] = 25,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(23), 1,
      anon_sym_LBRACK,
    ACTIONS(29), 1,
      anon_sym_struct,
    ACTIONS(31), 1,
      anon_sym_TILDE,
    ACTIONS(35), 1,
      anon_sym_interface,
    ACTIONS(37), 1,
      anon_sym_map,
    ACTIONS(39), 1,
      anon_sym_chan,
    ACTIONS(265), 1,
      sym_identifier,
    ACTIONS(267), 1,
      anon_sym_LPAREN,
    ACTIONS(271), 1,
      anon_sym_func,
    ACTIONS(287), 1,
      anon_sym_DQUOTE,
    ACTIONS(389), 1,
      anon_sym_LT_DASH,
    ACTIONS(559), 1,
      anon_sym_STAR,
    STATE(727), 1,
      sym__expression,
    STATE(859), 1,
      sym_qualified_type,
    STATE(1246), 1,
      sym_implicit_length_array_type,
    ACTIONS(281), 2,
      anon_sym_new,
      anon_sym_make,
    STATE(821), 2,
      sym_union_type,
      sym_negated_type,
    STATE(1149), 2,
      sym_parenthesized_type,
      sym__simple_type,
    ACTIONS(285), 3,
      sym_raw_string_literal,
      sym_imaginary_literal,
      sym_rune_literal,
    STATE(830), 4,
      sym_pointer_type,
      sym_interface_type,
      sym_channel_type,
      sym_function_type,
    ACTIONS(391), 5,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_BANG,
      anon_sym_CARET,
      anon_sym_AMP,
    STATE(864), 5,
      sym_generic_type,
      sym_array_type,
      sym_slice_type,
      sym_struct_type,
      sym_map_type,
    ACTIONS(289), 6,
      sym_int_literal,
      sym_float_literal,
      sym_nil,
      sym_true,
      sym_false,
      sym_iota,
    STATE(394), 12,
      sym_parenthesized_expression,
      sym_call_expression,
      sym_selector_expression,
      sym_index_expression,
      sym_slice_expression,
      sym_type_assertion_expression,
      sym_type_conversion_expression,
      sym_composite_literal,
      sym_func_literal,
      sym_unary_expression,
      sym_binary_expression,
      sym_interpreted_string_literal,
  [14675] = 25,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(23), 1,
      anon_sym_LBRACK,
    ACTIONS(29), 1,
      anon_sym_struct,
    ACTIONS(31), 1,
      anon_sym_TILDE,
    ACTIONS(35), 1,
      anon_sym_interface,
    ACTIONS(37), 1,
      anon_sym_map,
    ACTIONS(39), 1,
      anon_sym_chan,
    ACTIONS(535), 1,
      sym_identifier,
    ACTIONS(537), 1,
      anon_sym_LPAREN,
    ACTIONS(539), 1,
      anon_sym_func,
    ACTIONS(541), 1,
      anon_sym_STAR,
    ACTIONS(543), 1,
      anon_sym_LT_DASH,
    ACTIONS(551), 1,
      anon_sym_DQUOTE,
    STATE(333), 1,
      sym__expression,
    STATE(906), 1,
      sym_qualified_type,
    STATE(1220), 1,
      sym_implicit_length_array_type,
    ACTIONS(545), 2,
      anon_sym_new,
      anon_sym_make,
    STATE(821), 2,
      sym_union_type,
      sym_negated_type,
    STATE(1211), 2,
      sym_parenthesized_type,
      sym__simple_type,
    ACTIONS(549), 3,
      sym_raw_string_literal,
      sym_imaginary_literal,
      sym_rune_literal,
    STATE(830), 4,
      sym_pointer_type,
      sym_interface_type,
      sym_channel_type,
      sym_function_type,
    ACTIONS(547), 5,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_BANG,
      anon_sym_CARET,
      anon_sym_AMP,
    STATE(1019), 5,
      sym_generic_type,
      sym_array_type,
      sym_slice_type,
      sym_struct_type,
      sym_map_type,
    ACTIONS(553), 6,
      sym_int_literal,
      sym_float_literal,
      sym_nil,
      sym_true,
      sym_false,
      sym_iota,
    STATE(372), 12,
      sym_parenthesized_expression,
      sym_call_expression,
      sym_selector_expression,
      sym_index_expression,
      sym_slice_expression,
      sym_type_assertion_expression,
      sym_type_conversion_expression,
      sym_composite_literal,
      sym_func_literal,
      sym_unary_expression,
      sym_binary_expression,
      sym_interpreted_string_literal,
  [14783] = 25,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(23), 1,
      anon_sym_LBRACK,
    ACTIONS(29), 1,
      anon_sym_struct,
    ACTIONS(31), 1,
      anon_sym_TILDE,
    ACTIONS(35), 1,
      anon_sym_interface,
    ACTIONS(37), 1,
      anon_sym_map,
    ACTIONS(39), 1,
      anon_sym_chan,
    ACTIONS(267), 1,
      anon_sym_LPAREN,
    ACTIONS(271), 1,
      anon_sym_func,
    ACTIONS(287), 1,
      anon_sym_DQUOTE,
    ACTIONS(383), 1,
      sym_identifier,
    ACTIONS(387), 1,
      anon_sym_STAR,
    ACTIONS(389), 1,
      anon_sym_LT_DASH,
    STATE(612), 1,
      sym__expression,
    STATE(859), 1,
      sym_qualified_type,
    STATE(1246), 1,
      sym_implicit_length_array_type,
    ACTIONS(281), 2,
      anon_sym_new,
      anon_sym_make,
    STATE(821), 2,
      sym_union_type,
      sym_negated_type,
    STATE(1224), 2,
      sym_parenthesized_type,
      sym__simple_type,
    ACTIONS(285), 3,
      sym_raw_string_literal,
      sym_imaginary_literal,
      sym_rune_literal,
    STATE(830), 4,
      sym_pointer_type,
      sym_interface_type,
      sym_channel_type,
      sym_function_type,
    ACTIONS(391), 5,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_BANG,
      anon_sym_CARET,
      anon_sym_AMP,
    STATE(864), 5,
      sym_generic_type,
      sym_array_type,
      sym_slice_type,
      sym_struct_type,
      sym_map_type,
    ACTIONS(289), 6,
      sym_int_literal,
      sym_float_literal,
      sym_nil,
      sym_true,
      sym_false,
      sym_iota,
    STATE(394), 12,
      sym_parenthesized_expression,
      sym_call_expression,
      sym_selector_expression,
      sym_index_expression,
      sym_slice_expression,
      sym_type_assertion_expression,
      sym_type_conversion_expression,
      sym_composite_literal,
      sym_func_literal,
      sym_unary_expression,
      sym_binary_expression,
      sym_interpreted_string_literal,
  [14891] = 25,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(23), 1,
      anon_sym_LBRACK,
    ACTIONS(29), 1,
      anon_sym_struct,
    ACTIONS(31), 1,
      anon_sym_TILDE,
    ACTIONS(35), 1,
      anon_sym_interface,
    ACTIONS(37), 1,
      anon_sym_map,
    ACTIONS(39), 1,
      anon_sym_chan,
    ACTIONS(535), 1,
      sym_identifier,
    ACTIONS(537), 1,
      anon_sym_LPAREN,
    ACTIONS(539), 1,
      anon_sym_func,
    ACTIONS(541), 1,
      anon_sym_STAR,
    ACTIONS(543), 1,
      anon_sym_LT_DASH,
    ACTIONS(551), 1,
      anon_sym_DQUOTE,
    STATE(334), 1,
      sym__expression,
    STATE(906), 1,
      sym_qualified_type,
    STATE(1220), 1,
      sym_implicit_length_array_type,
    ACTIONS(545), 2,
      anon_sym_new,
      anon_sym_make,
    STATE(821), 2,
      sym_union_type,
      sym_negated_type,
    STATE(1211), 2,
      sym_parenthesized_type,
      sym__simple_type,
    ACTIONS(549), 3,
      sym_raw_string_literal,
      sym_imaginary_literal,
      sym_rune_literal,
    STATE(830), 4,
      sym_pointer_type,
      sym_interface_type,
      sym_channel_type,
      sym_function_type,
    ACTIONS(547), 5,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_BANG,
      anon_sym_CARET,
      anon_sym_AMP,
    STATE(1019), 5,
      sym_generic_type,
      sym_array_type,
      sym_slice_type,
      sym_struct_type,
      sym_map_type,
    ACTIONS(553), 6,
      sym_int_literal,
      sym_float_literal,
      sym_nil,
      sym_true,
      sym_false,
      sym_iota,
    STATE(372), 12,
      sym_parenthesized_expression,
      sym_call_expression,
      sym_selector_expression,
      sym_index_expression,
      sym_slice_expression,
      sym_type_assertion_expression,
      sym_type_conversion_expression,
      sym_composite_literal,
      sym_func_literal,
      sym_unary_expression,
      sym_binary_expression,
      sym_interpreted_string_literal,
  [14999] = 25,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(23), 1,
      anon_sym_LBRACK,
    ACTIONS(29), 1,
      anon_sym_struct,
    ACTIONS(31), 1,
      anon_sym_TILDE,
    ACTIONS(35), 1,
      anon_sym_interface,
    ACTIONS(37), 1,
      anon_sym_map,
    ACTIONS(39), 1,
      anon_sym_chan,
    ACTIONS(267), 1,
      anon_sym_LPAREN,
    ACTIONS(271), 1,
      anon_sym_func,
    ACTIONS(287), 1,
      anon_sym_DQUOTE,
    ACTIONS(383), 1,
      sym_identifier,
    ACTIONS(387), 1,
      anon_sym_STAR,
    ACTIONS(389), 1,
      anon_sym_LT_DASH,
    STATE(375), 1,
      sym__expression,
    STATE(859), 1,
      sym_qualified_type,
    STATE(1246), 1,
      sym_implicit_length_array_type,
    ACTIONS(281), 2,
      anon_sym_new,
      anon_sym_make,
    STATE(821), 2,
      sym_union_type,
      sym_negated_type,
    STATE(1224), 2,
      sym_parenthesized_type,
      sym__simple_type,
    ACTIONS(285), 3,
      sym_raw_string_literal,
      sym_imaginary_literal,
      sym_rune_literal,
    STATE(830), 4,
      sym_pointer_type,
      sym_interface_type,
      sym_channel_type,
      sym_function_type,
    ACTIONS(391), 5,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_BANG,
      anon_sym_CARET,
      anon_sym_AMP,
    STATE(864), 5,
      sym_generic_type,
      sym_array_type,
      sym_slice_type,
      sym_struct_type,
      sym_map_type,
    ACTIONS(289), 6,
      sym_int_literal,
      sym_float_literal,
      sym_nil,
      sym_true,
      sym_false,
      sym_iota,
    STATE(394), 12,
      sym_parenthesized_expression,
      sym_call_expression,
      sym_selector_expression,
      sym_index_expression,
      sym_slice_expression,
      sym_type_assertion_expression,
      sym_type_conversion_expression,
      sym_composite_literal,
      sym_func_literal,
      sym_unary_expression,
      sym_binary_expression,
      sym_interpreted_string_literal,
  [15107] = 25,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(23), 1,
      anon_sym_LBRACK,
    ACTIONS(29), 1,
      anon_sym_struct,
    ACTIONS(31), 1,
      anon_sym_TILDE,
    ACTIONS(35), 1,
      anon_sym_interface,
    ACTIONS(37), 1,
      anon_sym_map,
    ACTIONS(39), 1,
      anon_sym_chan,
    ACTIONS(231), 1,
      sym_identifier,
    ACTIONS(235), 1,
      anon_sym_LPAREN,
    ACTIONS(237), 1,
      anon_sym_func,
    ACTIONS(239), 1,
      anon_sym_STAR,
    ACTIONS(241), 1,
      anon_sym_LT_DASH,
    ACTIONS(251), 1,
      anon_sym_DQUOTE,
    STATE(292), 1,
      sym__expression,
    STATE(917), 1,
      sym_qualified_type,
    STATE(1284), 1,
      sym_implicit_length_array_type,
    ACTIONS(245), 2,
      anon_sym_new,
      anon_sym_make,
    STATE(821), 2,
      sym_union_type,
      sym_negated_type,
    STATE(1214), 2,
      sym_parenthesized_type,
      sym__simple_type,
    ACTIONS(249), 3,
      sym_raw_string_literal,
      sym_imaginary_literal,
      sym_rune_literal,
    STATE(830), 4,
      sym_pointer_type,
      sym_interface_type,
      sym_channel_type,
      sym_function_type,
    ACTIONS(247), 5,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_BANG,
      anon_sym_CARET,
      anon_sym_AMP,
    STATE(1024), 5,
      sym_generic_type,
      sym_array_type,
      sym_slice_type,
      sym_struct_type,
      sym_map_type,
    ACTIONS(253), 6,
      sym_int_literal,
      sym_float_literal,
      sym_nil,
      sym_true,
      sym_false,
      sym_iota,
    STATE(306), 12,
      sym_parenthesized_expression,
      sym_call_expression,
      sym_selector_expression,
      sym_index_expression,
      sym_slice_expression,
      sym_type_assertion_expression,
      sym_type_conversion_expression,
      sym_composite_literal,
      sym_func_literal,
      sym_unary_expression,
      sym_binary_expression,
      sym_interpreted_string_literal,
  [15215] = 25,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(23), 1,
      anon_sym_LBRACK,
    ACTIONS(29), 1,
      anon_sym_struct,
    ACTIONS(31), 1,
      anon_sym_TILDE,
    ACTIONS(35), 1,
      anon_sym_interface,
    ACTIONS(37), 1,
      anon_sym_map,
    ACTIONS(39), 1,
      anon_sym_chan,
    ACTIONS(535), 1,
      sym_identifier,
    ACTIONS(537), 1,
      anon_sym_LPAREN,
    ACTIONS(539), 1,
      anon_sym_func,
    ACTIONS(541), 1,
      anon_sym_STAR,
    ACTIONS(543), 1,
      anon_sym_LT_DASH,
    ACTIONS(551), 1,
      anon_sym_DQUOTE,
    STATE(335), 1,
      sym__expression,
    STATE(906), 1,
      sym_qualified_type,
    STATE(1220), 1,
      sym_implicit_length_array_type,
    ACTIONS(545), 2,
      anon_sym_new,
      anon_sym_make,
    STATE(821), 2,
      sym_union_type,
      sym_negated_type,
    STATE(1211), 2,
      sym_parenthesized_type,
      sym__simple_type,
    ACTIONS(549), 3,
      sym_raw_string_literal,
      sym_imaginary_literal,
      sym_rune_literal,
    STATE(830), 4,
      sym_pointer_type,
      sym_interface_type,
      sym_channel_type,
      sym_function_type,
    ACTIONS(547), 5,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_BANG,
      anon_sym_CARET,
      anon_sym_AMP,
    STATE(1019), 5,
      sym_generic_type,
      sym_array_type,
      sym_slice_type,
      sym_struct_type,
      sym_map_type,
    ACTIONS(553), 6,
      sym_int_literal,
      sym_float_literal,
      sym_nil,
      sym_true,
      sym_false,
      sym_iota,
    STATE(372), 12,
      sym_parenthesized_expression,
      sym_call_expression,
      sym_selector_expression,
      sym_index_expression,
      sym_slice_expression,
      sym_type_assertion_expression,
      sym_type_conversion_expression,
      sym_composite_literal,
      sym_func_literal,
      sym_unary_expression,
      sym_binary_expression,
      sym_interpreted_string_literal,
  [15323] = 25,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(23), 1,
      anon_sym_LBRACK,
    ACTIONS(29), 1,
      anon_sym_struct,
    ACTIONS(31), 1,
      anon_sym_TILDE,
    ACTIONS(35), 1,
      anon_sym_interface,
    ACTIONS(37), 1,
      anon_sym_map,
    ACTIONS(39), 1,
      anon_sym_chan,
    ACTIONS(231), 1,
      sym_identifier,
    ACTIONS(235), 1,
      anon_sym_LPAREN,
    ACTIONS(237), 1,
      anon_sym_func,
    ACTIONS(239), 1,
      anon_sym_STAR,
    ACTIONS(241), 1,
      anon_sym_LT_DASH,
    ACTIONS(251), 1,
      anon_sym_DQUOTE,
    STATE(291), 1,
      sym__expression,
    STATE(917), 1,
      sym_qualified_type,
    STATE(1284), 1,
      sym_implicit_length_array_type,
    ACTIONS(245), 2,
      anon_sym_new,
      anon_sym_make,
    STATE(821), 2,
      sym_union_type,
      sym_negated_type,
    STATE(1214), 2,
      sym_parenthesized_type,
      sym__simple_type,
    ACTIONS(249), 3,
      sym_raw_string_literal,
      sym_imaginary_literal,
      sym_rune_literal,
    STATE(830), 4,
      sym_pointer_type,
      sym_interface_type,
      sym_channel_type,
      sym_function_type,
    ACTIONS(247), 5,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_BANG,
      anon_sym_CARET,
      anon_sym_AMP,
    STATE(1024), 5,
      sym_generic_type,
      sym_array_type,
      sym_slice_type,
      sym_struct_type,
      sym_map_type,
    ACTIONS(253), 6,
      sym_int_literal,
      sym_float_literal,
      sym_nil,
      sym_true,
      sym_false,
      sym_iota,
    STATE(306), 12,
      sym_parenthesized_expression,
      sym_call_expression,
      sym_selector_expression,
      sym_index_expression,
      sym_slice_expression,
      sym_type_assertion_expression,
      sym_type_conversion_expression,
      sym_composite_literal,
      sym_func_literal,
      sym_unary_expression,
      sym_binary_expression,
      sym_interpreted_string_literal,
  [15431] = 25,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(23), 1,
      anon_sym_LBRACK,
    ACTIONS(29), 1,
      anon_sym_struct,
    ACTIONS(31), 1,
      anon_sym_TILDE,
    ACTIONS(35), 1,
      anon_sym_interface,
    ACTIONS(37), 1,
      anon_sym_map,
    ACTIONS(39), 1,
      anon_sym_chan,
    ACTIONS(267), 1,
      anon_sym_LPAREN,
    ACTIONS(271), 1,
      anon_sym_func,
    ACTIONS(287), 1,
      anon_sym_DQUOTE,
    ACTIONS(435), 1,
      sym_identifier,
    ACTIONS(437), 1,
      anon_sym_STAR,
    ACTIONS(441), 1,
      anon_sym_LT_DASH,
    STATE(747), 1,
      sym__expression,
    STATE(859), 1,
      sym_qualified_type,
    STATE(1246), 1,
      sym_implicit_length_array_type,
    ACTIONS(281), 2,
      anon_sym_new,
      anon_sym_make,
    STATE(821), 2,
      sym_union_type,
      sym_negated_type,
    STATE(1224), 2,
      sym_parenthesized_type,
      sym__simple_type,
    ACTIONS(285), 3,
      sym_raw_string_literal,
      sym_imaginary_literal,
      sym_rune_literal,
    STATE(830), 4,
      sym_pointer_type,
      sym_interface_type,
      sym_channel_type,
      sym_function_type,
    ACTIONS(443), 5,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_BANG,
      anon_sym_CARET,
      anon_sym_AMP,
    STATE(864), 5,
      sym_generic_type,
      sym_array_type,
      sym_slice_type,
      sym_struct_type,
      sym_map_type,
    ACTIONS(289), 6,
      sym_int_literal,
      sym_float_literal,
      sym_nil,
      sym_true,
      sym_false,
      sym_iota,
    STATE(394), 12,
      sym_parenthesized_expression,
      sym_call_expression,
      sym_selector_expression,
      sym_index_expression,
      sym_slice_expression,
      sym_type_assertion_expression,
      sym_type_conversion_expression,
      sym_composite_literal,
      sym_func_literal,
      sym_unary_expression,
      sym_binary_expression,
      sym_interpreted_string_literal,
  [15539] = 25,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(23), 1,
      anon_sym_LBRACK,
    ACTIONS(29), 1,
      anon_sym_struct,
    ACTIONS(31), 1,
      anon_sym_TILDE,
    ACTIONS(35), 1,
      anon_sym_interface,
    ACTIONS(37), 1,
      anon_sym_map,
    ACTIONS(39), 1,
      anon_sym_chan,
    ACTIONS(267), 1,
      anon_sym_LPAREN,
    ACTIONS(271), 1,
      anon_sym_func,
    ACTIONS(287), 1,
      anon_sym_DQUOTE,
    ACTIONS(383), 1,
      sym_identifier,
    ACTIONS(387), 1,
      anon_sym_STAR,
    ACTIONS(389), 1,
      anon_sym_LT_DASH,
    STATE(609), 1,
      sym__expression,
    STATE(859), 1,
      sym_qualified_type,
    STATE(1246), 1,
      sym_implicit_length_array_type,
    ACTIONS(281), 2,
      anon_sym_new,
      anon_sym_make,
    STATE(821), 2,
      sym_union_type,
      sym_negated_type,
    STATE(1224), 2,
      sym_parenthesized_type,
      sym__simple_type,
    ACTIONS(285), 3,
      sym_raw_string_literal,
      sym_imaginary_literal,
      sym_rune_literal,
    STATE(830), 4,
      sym_pointer_type,
      sym_interface_type,
      sym_channel_type,
      sym_function_type,
    ACTIONS(391), 5,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_BANG,
      anon_sym_CARET,
      anon_sym_AMP,
    STATE(864), 5,
      sym_generic_type,
      sym_array_type,
      sym_slice_type,
      sym_struct_type,
      sym_map_type,
    ACTIONS(289), 6,
      sym_int_literal,
      sym_float_literal,
      sym_nil,
      sym_true,
      sym_false,
      sym_iota,
    STATE(394), 12,
      sym_parenthesized_expression,
      sym_call_expression,
      sym_selector_expression,
      sym_index_expression,
      sym_slice_expression,
      sym_type_assertion_expression,
      sym_type_conversion_expression,
      sym_composite_literal,
      sym_func_literal,
      sym_unary_expression,
      sym_binary_expression,
      sym_interpreted_string_literal,
  [15647] = 25,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(23), 1,
      anon_sym_LBRACK,
    ACTIONS(29), 1,
      anon_sym_struct,
    ACTIONS(31), 1,
      anon_sym_TILDE,
    ACTIONS(35), 1,
      anon_sym_interface,
    ACTIONS(37), 1,
      anon_sym_map,
    ACTIONS(39), 1,
      anon_sym_chan,
    ACTIONS(231), 1,
      sym_identifier,
    ACTIONS(235), 1,
      anon_sym_LPAREN,
    ACTIONS(237), 1,
      anon_sym_func,
    ACTIONS(239), 1,
      anon_sym_STAR,
    ACTIONS(241), 1,
      anon_sym_LT_DASH,
    ACTIONS(251), 1,
      anon_sym_DQUOTE,
    STATE(290), 1,
      sym__expression,
    STATE(917), 1,
      sym_qualified_type,
    STATE(1284), 1,
      sym_implicit_length_array_type,
    ACTIONS(245), 2,
      anon_sym_new,
      anon_sym_make,
    STATE(821), 2,
      sym_union_type,
      sym_negated_type,
    STATE(1214), 2,
      sym_parenthesized_type,
      sym__simple_type,
    ACTIONS(249), 3,
      sym_raw_string_literal,
      sym_imaginary_literal,
      sym_rune_literal,
    STATE(830), 4,
      sym_pointer_type,
      sym_interface_type,
      sym_channel_type,
      sym_function_type,
    ACTIONS(247), 5,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_BANG,
      anon_sym_CARET,
      anon_sym_AMP,
    STATE(1024), 5,
      sym_generic_type,
      sym_array_type,
      sym_slice_type,
      sym_struct_type,
      sym_map_type,
    ACTIONS(253), 6,
      sym_int_literal,
      sym_float_literal,
      sym_nil,
      sym_true,
      sym_false,
      sym_iota,
    STATE(306), 12,
      sym_parenthesized_expression,
      sym_call_expression,
      sym_selector_expression,
      sym_index_expression,
      sym_slice_expression,
      sym_type_assertion_expression,
      sym_type_conversion_expression,
      sym_composite_literal,
      sym_func_literal,
      sym_unary_expression,
      sym_binary_expression,
      sym_interpreted_string_literal,
  [15755] = 25,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(23), 1,
      anon_sym_LBRACK,
    ACTIONS(29), 1,
      anon_sym_struct,
    ACTIONS(31), 1,
      anon_sym_TILDE,
    ACTIONS(35), 1,
      anon_sym_interface,
    ACTIONS(37), 1,
      anon_sym_map,
    ACTIONS(39), 1,
      anon_sym_chan,
    ACTIONS(265), 1,
      sym_identifier,
    ACTIONS(267), 1,
      anon_sym_LPAREN,
    ACTIONS(271), 1,
      anon_sym_func,
    ACTIONS(273), 1,
      anon_sym_STAR,
    ACTIONS(279), 1,
      anon_sym_LT_DASH,
    ACTIONS(287), 1,
      anon_sym_DQUOTE,
    STATE(669), 1,
      sym__expression,
    STATE(859), 1,
      sym_qualified_type,
    STATE(1246), 1,
      sym_implicit_length_array_type,
    ACTIONS(281), 2,
      anon_sym_new,
      anon_sym_make,
    STATE(821), 2,
      sym_union_type,
      sym_negated_type,
    STATE(1224), 2,
      sym_parenthesized_type,
      sym__simple_type,
    ACTIONS(285), 3,
      sym_raw_string_literal,
      sym_imaginary_literal,
      sym_rune_literal,
    STATE(830), 4,
      sym_pointer_type,
      sym_interface_type,
      sym_channel_type,
      sym_function_type,
    ACTIONS(283), 5,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_BANG,
      anon_sym_CARET,
      anon_sym_AMP,
    STATE(864), 5,
      sym_generic_type,
      sym_array_type,
      sym_slice_type,
      sym_struct_type,
      sym_map_type,
    ACTIONS(289), 6,
      sym_int_literal,
      sym_float_literal,
      sym_nil,
      sym_true,
      sym_false,
      sym_iota,
    STATE(394), 12,
      sym_parenthesized_expression,
      sym_call_expression,
      sym_selector_expression,
      sym_index_expression,
      sym_slice_expression,
      sym_type_assertion_expression,
      sym_type_conversion_expression,
      sym_composite_literal,
      sym_func_literal,
      sym_unary_expression,
      sym_binary_expression,
      sym_interpreted_string_literal,
  [15863] = 25,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(23), 1,
      anon_sym_LBRACK,
    ACTIONS(29), 1,
      anon_sym_struct,
    ACTIONS(31), 1,
      anon_sym_TILDE,
    ACTIONS(35), 1,
      anon_sym_interface,
    ACTIONS(37), 1,
      anon_sym_map,
    ACTIONS(39), 1,
      anon_sym_chan,
    ACTIONS(231), 1,
      sym_identifier,
    ACTIONS(235), 1,
      anon_sym_LPAREN,
    ACTIONS(237), 1,
      anon_sym_func,
    ACTIONS(239), 1,
      anon_sym_STAR,
    ACTIONS(241), 1,
      anon_sym_LT_DASH,
    ACTIONS(251), 1,
      anon_sym_DQUOTE,
    STATE(288), 1,
      sym__expression,
    STATE(917), 1,
      sym_qualified_type,
    STATE(1284), 1,
      sym_implicit_length_array_type,
    ACTIONS(245), 2,
      anon_sym_new,
      anon_sym_make,
    STATE(821), 2,
      sym_union_type,
      sym_negated_type,
    STATE(1214), 2,
      sym_parenthesized_type,
      sym__simple_type,
    ACTIONS(249), 3,
      sym_raw_string_literal,
      sym_imaginary_literal,
      sym_rune_literal,
    STATE(830), 4,
      sym_pointer_type,
      sym_interface_type,
      sym_channel_type,
      sym_function_type,
    ACTIONS(247), 5,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_BANG,
      anon_sym_CARET,
      anon_sym_AMP,
    STATE(1024), 5,
      sym_generic_type,
      sym_array_type,
      sym_slice_type,
      sym_struct_type,
      sym_map_type,
    ACTIONS(253), 6,
      sym_int_literal,
      sym_float_literal,
      sym_nil,
      sym_true,
      sym_false,
      sym_iota,
    STATE(306), 12,
      sym_parenthesized_expression,
      sym_call_expression,
      sym_selector_expression,
      sym_index_expression,
      sym_slice_expression,
      sym_type_assertion_expression,
      sym_type_conversion_expression,
      sym_composite_literal,
      sym_func_literal,
      sym_unary_expression,
      sym_binary_expression,
      sym_interpreted_string_literal,
  [15971] = 25,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(23), 1,
      anon_sym_LBRACK,
    ACTIONS(29), 1,
      anon_sym_struct,
    ACTIONS(31), 1,
      anon_sym_TILDE,
    ACTIONS(35), 1,
      anon_sym_interface,
    ACTIONS(37), 1,
      anon_sym_map,
    ACTIONS(265), 1,
      sym_identifier,
    ACTIONS(267), 1,
      anon_sym_LPAREN,
    ACTIONS(271), 1,
      anon_sym_func,
    ACTIONS(273), 1,
      anon_sym_STAR,
    ACTIONS(279), 1,
      anon_sym_LT_DASH,
    ACTIONS(287), 1,
      anon_sym_DQUOTE,
    ACTIONS(557), 1,
      anon_sym_chan,
    STATE(375), 1,
      sym__expression,
    STATE(859), 1,
      sym_qualified_type,
    STATE(1246), 1,
      sym_implicit_length_array_type,
    ACTIONS(281), 2,
      anon_sym_new,
      anon_sym_make,
    STATE(821), 2,
      sym_union_type,
      sym_negated_type,
    STATE(1224), 2,
      sym_parenthesized_type,
      sym__simple_type,
    ACTIONS(285), 3,
      sym_raw_string_literal,
      sym_imaginary_literal,
      sym_rune_literal,
    STATE(830), 4,
      sym_pointer_type,
      sym_interface_type,
      sym_channel_type,
      sym_function_type,
    ACTIONS(283), 5,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_BANG,
      anon_sym_CARET,
      anon_sym_AMP,
    STATE(864), 5,
      sym_generic_type,
      sym_array_type,
      sym_slice_type,
      sym_struct_type,
      sym_map_type,
    ACTIONS(289), 6,
      sym_int_literal,
      sym_float_literal,
      sym_nil,
      sym_true,
      sym_false,
      sym_iota,
    STATE(394), 12,
      sym_parenthesized_expression,
      sym_call_expression,
      sym_selector_expression,
      sym_index_expression,
      sym_slice_expression,
      sym_type_assertion_expression,
      sym_type_conversion_expression,
      sym_composite_literal,
      sym_func_literal,
      sym_unary_expression,
      sym_binary_expression,
      sym_interpreted_string_literal,
  [16079] = 25,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(23), 1,
      anon_sym_LBRACK,
    ACTIONS(29), 1,
      anon_sym_struct,
    ACTIONS(31), 1,
      anon_sym_TILDE,
    ACTIONS(35), 1,
      anon_sym_interface,
    ACTIONS(37), 1,
      anon_sym_map,
    ACTIONS(39), 1,
      anon_sym_chan,
    ACTIONS(265), 1,
      sym_identifier,
    ACTIONS(267), 1,
      anon_sym_LPAREN,
    ACTIONS(271), 1,
      anon_sym_func,
    ACTIONS(287), 1,
      anon_sym_DQUOTE,
    ACTIONS(389), 1,
      anon_sym_LT_DASH,
    ACTIONS(559), 1,
      anon_sym_STAR,
    STATE(686), 1,
      sym__expression,
    STATE(859), 1,
      sym_qualified_type,
    STATE(1246), 1,
      sym_implicit_length_array_type,
    ACTIONS(281), 2,
      anon_sym_new,
      anon_sym_make,
    STATE(821), 2,
      sym_union_type,
      sym_negated_type,
    STATE(1149), 2,
      sym_parenthesized_type,
      sym__simple_type,
    ACTIONS(285), 3,
      sym_raw_string_literal,
      sym_imaginary_literal,
      sym_rune_literal,
    STATE(830), 4,
      sym_pointer_type,
      sym_interface_type,
      sym_channel_type,
      sym_function_type,
    ACTIONS(391), 5,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_BANG,
      anon_sym_CARET,
      anon_sym_AMP,
    STATE(864), 5,
      sym_generic_type,
      sym_array_type,
      sym_slice_type,
      sym_struct_type,
      sym_map_type,
    ACTIONS(289), 6,
      sym_int_literal,
      sym_float_literal,
      sym_nil,
      sym_true,
      sym_false,
      sym_iota,
    STATE(394), 12,
      sym_parenthesized_expression,
      sym_call_expression,
      sym_selector_expression,
      sym_index_expression,
      sym_slice_expression,
      sym_type_assertion_expression,
      sym_type_conversion_expression,
      sym_composite_literal,
      sym_func_literal,
      sym_unary_expression,
      sym_binary_expression,
      sym_interpreted_string_literal,
  [16187] = 25,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(23), 1,
      anon_sym_LBRACK,
    ACTIONS(29), 1,
      anon_sym_struct,
    ACTIONS(31), 1,
      anon_sym_TILDE,
    ACTIONS(35), 1,
      anon_sym_interface,
    ACTIONS(37), 1,
      anon_sym_map,
    ACTIONS(39), 1,
      anon_sym_chan,
    ACTIONS(265), 1,
      sym_identifier,
    ACTIONS(267), 1,
      anon_sym_LPAREN,
    ACTIONS(271), 1,
      anon_sym_func,
    ACTIONS(273), 1,
      anon_sym_STAR,
    ACTIONS(279), 1,
      anon_sym_LT_DASH,
    ACTIONS(287), 1,
      anon_sym_DQUOTE,
    STATE(375), 1,
      sym__expression,
    STATE(859), 1,
      sym_qualified_type,
    STATE(1246), 1,
      sym_implicit_length_array_type,
    ACTIONS(281), 2,
      anon_sym_new,
      anon_sym_make,
    STATE(821), 2,
      sym_union_type,
      sym_negated_type,
    STATE(969), 2,
      sym_parenthesized_type,
      sym__simple_type,
    ACTIONS(285), 3,
      sym_raw_string_literal,
      sym_imaginary_literal,
      sym_rune_literal,
    STATE(830), 4,
      sym_pointer_type,
      sym_interface_type,
      sym_channel_type,
      sym_function_type,
    ACTIONS(283), 5,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_BANG,
      anon_sym_CARET,
      anon_sym_AMP,
    STATE(864), 5,
      sym_generic_type,
      sym_array_type,
      sym_slice_type,
      sym_struct_type,
      sym_map_type,
    ACTIONS(289), 6,
      sym_int_literal,
      sym_float_literal,
      sym_nil,
      sym_true,
      sym_false,
      sym_iota,
    STATE(394), 12,
      sym_parenthesized_expression,
      sym_call_expression,
      sym_selector_expression,
      sym_index_expression,
      sym_slice_expression,
      sym_type_assertion_expression,
      sym_type_conversion_expression,
      sym_composite_literal,
      sym_func_literal,
      sym_unary_expression,
      sym_binary_expression,
      sym_interpreted_string_literal,
  [16295] = 25,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(23), 1,
      anon_sym_LBRACK,
    ACTIONS(29), 1,
      anon_sym_struct,
    ACTIONS(31), 1,
      anon_sym_TILDE,
    ACTIONS(35), 1,
      anon_sym_interface,
    ACTIONS(37), 1,
      anon_sym_map,
    ACTIONS(39), 1,
      anon_sym_chan,
    ACTIONS(265), 1,
      sym_identifier,
    ACTIONS(267), 1,
      anon_sym_LPAREN,
    ACTIONS(271), 1,
      anon_sym_func,
    ACTIONS(273), 1,
      anon_sym_STAR,
    ACTIONS(279), 1,
      anon_sym_LT_DASH,
    ACTIONS(287), 1,
      anon_sym_DQUOTE,
    STATE(712), 1,
      sym__expression,
    STATE(859), 1,
      sym_qualified_type,
    STATE(1246), 1,
      sym_implicit_length_array_type,
    ACTIONS(281), 2,
      anon_sym_new,
      anon_sym_make,
    STATE(821), 2,
      sym_union_type,
      sym_negated_type,
    STATE(1224), 2,
      sym_parenthesized_type,
      sym__simple_type,
    ACTIONS(285), 3,
      sym_raw_string_literal,
      sym_imaginary_literal,
      sym_rune_literal,
    STATE(830), 4,
      sym_pointer_type,
      sym_interface_type,
      sym_channel_type,
      sym_function_type,
    ACTIONS(283), 5,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_BANG,
      anon_sym_CARET,
      anon_sym_AMP,
    STATE(864), 5,
      sym_generic_type,
      sym_array_type,
      sym_slice_type,
      sym_struct_type,
      sym_map_type,
    ACTIONS(289), 6,
      sym_int_literal,
      sym_float_literal,
      sym_nil,
      sym_true,
      sym_false,
      sym_iota,
    STATE(394), 12,
      sym_parenthesized_expression,
      sym_call_expression,
      sym_selector_expression,
      sym_index_expression,
      sym_slice_expression,
      sym_type_assertion_expression,
      sym_type_conversion_expression,
      sym_composite_literal,
      sym_func_literal,
      sym_unary_expression,
      sym_binary_expression,
      sym_interpreted_string_literal,
  [16403] = 25,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(23), 1,
      anon_sym_LBRACK,
    ACTIONS(29), 1,
      anon_sym_struct,
    ACTIONS(31), 1,
      anon_sym_TILDE,
    ACTIONS(35), 1,
      anon_sym_interface,
    ACTIONS(37), 1,
      anon_sym_map,
    ACTIONS(39), 1,
      anon_sym_chan,
    ACTIONS(265), 1,
      sym_identifier,
    ACTIONS(267), 1,
      anon_sym_LPAREN,
    ACTIONS(271), 1,
      anon_sym_func,
    ACTIONS(273), 1,
      anon_sym_STAR,
    ACTIONS(279), 1,
      anon_sym_LT_DASH,
    ACTIONS(287), 1,
      anon_sym_DQUOTE,
    STATE(644), 1,
      sym__expression,
    STATE(859), 1,
      sym_qualified_type,
    STATE(1246), 1,
      sym_implicit_length_array_type,
    ACTIONS(281), 2,
      anon_sym_new,
      anon_sym_make,
    STATE(821), 2,
      sym_union_type,
      sym_negated_type,
    STATE(1224), 2,
      sym_parenthesized_type,
      sym__simple_type,
    ACTIONS(285), 3,
      sym_raw_string_literal,
      sym_imaginary_literal,
      sym_rune_literal,
    STATE(830), 4,
      sym_pointer_type,
      sym_interface_type,
      sym_channel_type,
      sym_function_type,
    ACTIONS(283), 5,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_BANG,
      anon_sym_CARET,
      anon_sym_AMP,
    STATE(864), 5,
      sym_generic_type,
      sym_array_type,
      sym_slice_type,
      sym_struct_type,
      sym_map_type,
    ACTIONS(289), 6,
      sym_int_literal,
      sym_float_literal,
      sym_nil,
      sym_true,
      sym_false,
      sym_iota,
    STATE(394), 12,
      sym_parenthesized_expression,
      sym_call_expression,
      sym_selector_expression,
      sym_index_expression,
      sym_slice_expression,
      sym_type_assertion_expression,
      sym_type_conversion_expression,
      sym_composite_literal,
      sym_func_literal,
      sym_unary_expression,
      sym_binary_expression,
      sym_interpreted_string_literal,
  [16511] = 25,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(23), 1,
      anon_sym_LBRACK,
    ACTIONS(29), 1,
      anon_sym_struct,
    ACTIONS(31), 1,
      anon_sym_TILDE,
    ACTIONS(35), 1,
      anon_sym_interface,
    ACTIONS(37), 1,
      anon_sym_map,
    ACTIONS(39), 1,
      anon_sym_chan,
    ACTIONS(231), 1,
      sym_identifier,
    ACTIONS(235), 1,
      anon_sym_LPAREN,
    ACTIONS(237), 1,
      anon_sym_func,
    ACTIONS(239), 1,
      anon_sym_STAR,
    ACTIONS(241), 1,
      anon_sym_LT_DASH,
    ACTIONS(251), 1,
      anon_sym_DQUOTE,
    STATE(289), 1,
      sym__expression,
    STATE(917), 1,
      sym_qualified_type,
    STATE(1284), 1,
      sym_implicit_length_array_type,
    ACTIONS(245), 2,
      anon_sym_new,
      anon_sym_make,
    STATE(821), 2,
      sym_union_type,
      sym_negated_type,
    STATE(1214), 2,
      sym_parenthesized_type,
      sym__simple_type,
    ACTIONS(249), 3,
      sym_raw_string_literal,
      sym_imaginary_literal,
      sym_rune_literal,
    STATE(830), 4,
      sym_pointer_type,
      sym_interface_type,
      sym_channel_type,
      sym_function_type,
    ACTIONS(247), 5,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_BANG,
      anon_sym_CARET,
      anon_sym_AMP,
    STATE(1024), 5,
      sym_generic_type,
      sym_array_type,
      sym_slice_type,
      sym_struct_type,
      sym_map_type,
    ACTIONS(253), 6,
      sym_int_literal,
      sym_float_literal,
      sym_nil,
      sym_true,
      sym_false,
      sym_iota,
    STATE(306), 12,
      sym_parenthesized_expression,
      sym_call_expression,
      sym_selector_expression,
      sym_index_expression,
      sym_slice_expression,
      sym_type_assertion_expression,
      sym_type_conversion_expression,
      sym_composite_literal,
      sym_func_literal,
      sym_unary_expression,
      sym_binary_expression,
      sym_interpreted_string_literal,
  [16619] = 25,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(23), 1,
      anon_sym_LBRACK,
    ACTIONS(29), 1,
      anon_sym_struct,
    ACTIONS(31), 1,
      anon_sym_TILDE,
    ACTIONS(35), 1,
      anon_sym_interface,
    ACTIONS(37), 1,
      anon_sym_map,
    ACTIONS(39), 1,
      anon_sym_chan,
    ACTIONS(295), 1,
      sym_identifier,
    ACTIONS(303), 1,
      anon_sym_func,
    ACTIONS(455), 1,
      anon_sym_LPAREN,
    ACTIONS(457), 1,
      anon_sym_STAR,
    ACTIONS(459), 1,
      anon_sym_LT_DASH,
    ACTIONS(465), 1,
      anon_sym_DQUOTE,
    STATE(473), 1,
      sym__expression,
    STATE(887), 1,
      sym_qualified_type,
    STATE(1229), 1,
      sym_implicit_length_array_type,
    ACTIONS(313), 2,
      anon_sym_new,
      anon_sym_make,
    STATE(821), 2,
      sym_union_type,
      sym_negated_type,
    STATE(1217), 2,
      sym_parenthesized_type,
      sym__simple_type,
    ACTIONS(463), 3,
      sym_raw_string_literal,
      sym_imaginary_literal,
      sym_rune_literal,
    STATE(830), 4,
      sym_pointer_type,
      sym_interface_type,
      sym_channel_type,
      sym_function_type,
    ACTIONS(461), 5,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_BANG,
      anon_sym_CARET,
      anon_sym_AMP,
    STATE(1074), 5,
      sym_generic_type,
      sym_array_type,
      sym_slice_type,
      sym_struct_type,
      sym_map_type,
    ACTIONS(317), 6,
      sym_int_literal,
      sym_float_literal,
      sym_nil,
      sym_true,
      sym_false,
      sym_iota,
    STATE(522), 12,
      sym_parenthesized_expression,
      sym_call_expression,
      sym_selector_expression,
      sym_index_expression,
      sym_slice_expression,
      sym_type_assertion_expression,
      sym_type_conversion_expression,
      sym_composite_literal,
      sym_func_literal,
      sym_unary_expression,
      sym_binary_expression,
      sym_interpreted_string_literal,
  [16727] = 25,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(23), 1,
      anon_sym_LBRACK,
    ACTIONS(29), 1,
      anon_sym_struct,
    ACTIONS(31), 1,
      anon_sym_TILDE,
    ACTIONS(35), 1,
      anon_sym_interface,
    ACTIONS(37), 1,
      anon_sym_map,
    ACTIONS(39), 1,
      anon_sym_chan,
    ACTIONS(265), 1,
      sym_identifier,
    ACTIONS(267), 1,
      anon_sym_LPAREN,
    ACTIONS(271), 1,
      anon_sym_func,
    ACTIONS(273), 1,
      anon_sym_STAR,
    ACTIONS(279), 1,
      anon_sym_LT_DASH,
    ACTIONS(287), 1,
      anon_sym_DQUOTE,
    STATE(375), 1,
      sym__expression,
    STATE(859), 1,
      sym_qualified_type,
    STATE(1246), 1,
      sym_implicit_length_array_type,
    ACTIONS(281), 2,
      anon_sym_new,
      anon_sym_make,
    STATE(821), 2,
      sym_union_type,
      sym_negated_type,
    STATE(1224), 2,
      sym_parenthesized_type,
      sym__simple_type,
    ACTIONS(285), 3,
      sym_raw_string_literal,
      sym_imaginary_literal,
      sym_rune_literal,
    STATE(830), 4,
      sym_pointer_type,
      sym_interface_type,
      sym_channel_type,
      sym_function_type,
    ACTIONS(283), 5,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_BANG,
      anon_sym_CARET,
      anon_sym_AMP,
    STATE(864), 5,
      sym_generic_type,
      sym_array_type,
      sym_slice_type,
      sym_struct_type,
      sym_map_type,
    ACTIONS(289), 6,
      sym_int_literal,
      sym_float_literal,
      sym_nil,
      sym_true,
      sym_false,
      sym_iota,
    STATE(394), 12,
      sym_parenthesized_expression,
      sym_call_expression,
      sym_selector_expression,
      sym_index_expression,
      sym_slice_expression,
      sym_type_assertion_expression,
      sym_type_conversion_expression,
      sym_composite_literal,
      sym_func_literal,
      sym_unary_expression,
      sym_binary_expression,
      sym_interpreted_string_literal,
  [16835] = 25,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(23), 1,
      anon_sym_LBRACK,
    ACTIONS(29), 1,
      anon_sym_struct,
    ACTIONS(31), 1,
      anon_sym_TILDE,
    ACTIONS(35), 1,
      anon_sym_interface,
    ACTIONS(37), 1,
      anon_sym_map,
    ACTIONS(39), 1,
      anon_sym_chan,
    ACTIONS(265), 1,
      sym_identifier,
    ACTIONS(267), 1,
      anon_sym_LPAREN,
    ACTIONS(271), 1,
      anon_sym_func,
    ACTIONS(273), 1,
      anon_sym_STAR,
    ACTIONS(279), 1,
      anon_sym_LT_DASH,
    ACTIONS(287), 1,
      anon_sym_DQUOTE,
    STATE(643), 1,
      sym__expression,
    STATE(859), 1,
      sym_qualified_type,
    STATE(1246), 1,
      sym_implicit_length_array_type,
    ACTIONS(281), 2,
      anon_sym_new,
      anon_sym_make,
    STATE(821), 2,
      sym_union_type,
      sym_negated_type,
    STATE(1224), 2,
      sym_parenthesized_type,
      sym__simple_type,
    ACTIONS(285), 3,
      sym_raw_string_literal,
      sym_imaginary_literal,
      sym_rune_literal,
    STATE(830), 4,
      sym_pointer_type,
      sym_interface_type,
      sym_channel_type,
      sym_function_type,
    ACTIONS(283), 5,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_BANG,
      anon_sym_CARET,
      anon_sym_AMP,
    STATE(864), 5,
      sym_generic_type,
      sym_array_type,
      sym_slice_type,
      sym_struct_type,
      sym_map_type,
    ACTIONS(289), 6,
      sym_int_literal,
      sym_float_literal,
      sym_nil,
      sym_true,
      sym_false,
      sym_iota,
    STATE(394), 12,
      sym_parenthesized_expression,
      sym_call_expression,
      sym_selector_expression,
      sym_index_expression,
      sym_slice_expression,
      sym_type_assertion_expression,
      sym_type_conversion_expression,
      sym_composite_literal,
      sym_func_literal,
      sym_unary_expression,
      sym_binary_expression,
      sym_interpreted_string_literal,
  [16943] = 25,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(23), 1,
      anon_sym_LBRACK,
    ACTIONS(29), 1,
      anon_sym_struct,
    ACTIONS(31), 1,
      anon_sym_TILDE,
    ACTIONS(35), 1,
      anon_sym_interface,
    ACTIONS(37), 1,
      anon_sym_map,
    ACTIONS(39), 1,
      anon_sym_chan,
    ACTIONS(265), 1,
      sym_identifier,
    ACTIONS(267), 1,
      anon_sym_LPAREN,
    ACTIONS(271), 1,
      anon_sym_func,
    ACTIONS(273), 1,
      anon_sym_STAR,
    ACTIONS(279), 1,
      anon_sym_LT_DASH,
    ACTIONS(287), 1,
      anon_sym_DQUOTE,
    STATE(374), 1,
      sym__expression,
    STATE(859), 1,
      sym_qualified_type,
    STATE(1246), 1,
      sym_implicit_length_array_type,
    ACTIONS(281), 2,
      anon_sym_new,
      anon_sym_make,
    STATE(821), 2,
      sym_union_type,
      sym_negated_type,
    STATE(1224), 2,
      sym_parenthesized_type,
      sym__simple_type,
    ACTIONS(285), 3,
      sym_raw_string_literal,
      sym_imaginary_literal,
      sym_rune_literal,
    STATE(830), 4,
      sym_pointer_type,
      sym_interface_type,
      sym_channel_type,
      sym_function_type,
    ACTIONS(283), 5,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_BANG,
      anon_sym_CARET,
      anon_sym_AMP,
    STATE(864), 5,
      sym_generic_type,
      sym_array_type,
      sym_slice_type,
      sym_struct_type,
      sym_map_type,
    ACTIONS(289), 6,
      sym_int_literal,
      sym_float_literal,
      sym_nil,
      sym_true,
      sym_false,
      sym_iota,
    STATE(394), 12,
      sym_parenthesized_expression,
      sym_call_expression,
      sym_selector_expression,
      sym_index_expression,
      sym_slice_expression,
      sym_type_assertion_expression,
      sym_type_conversion_expression,
      sym_composite_literal,
      sym_func_literal,
      sym_unary_expression,
      sym_binary_expression,
      sym_interpreted_string_literal,
  [17051] = 25,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(23), 1,
      anon_sym_LBRACK,
    ACTIONS(29), 1,
      anon_sym_struct,
    ACTIONS(31), 1,
      anon_sym_TILDE,
    ACTIONS(35), 1,
      anon_sym_interface,
    ACTIONS(37), 1,
      anon_sym_map,
    ACTIONS(39), 1,
      anon_sym_chan,
    ACTIONS(267), 1,
      anon_sym_LPAREN,
    ACTIONS(271), 1,
      anon_sym_func,
    ACTIONS(287), 1,
      anon_sym_DQUOTE,
    ACTIONS(435), 1,
      sym_identifier,
    ACTIONS(437), 1,
      anon_sym_STAR,
    ACTIONS(441), 1,
      anon_sym_LT_DASH,
    STATE(535), 1,
      sym__expression,
    STATE(859), 1,
      sym_qualified_type,
    STATE(1246), 1,
      sym_implicit_length_array_type,
    ACTIONS(281), 2,
      anon_sym_new,
      anon_sym_make,
    STATE(821), 2,
      sym_union_type,
      sym_negated_type,
    STATE(1224), 2,
      sym_parenthesized_type,
      sym__simple_type,
    ACTIONS(285), 3,
      sym_raw_string_literal,
      sym_imaginary_literal,
      sym_rune_literal,
    STATE(830), 4,
      sym_pointer_type,
      sym_interface_type,
      sym_channel_type,
      sym_function_type,
    ACTIONS(443), 5,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_BANG,
      anon_sym_CARET,
      anon_sym_AMP,
    STATE(864), 5,
      sym_generic_type,
      sym_array_type,
      sym_slice_type,
      sym_struct_type,
      sym_map_type,
    ACTIONS(289), 6,
      sym_int_literal,
      sym_float_literal,
      sym_nil,
      sym_true,
      sym_false,
      sym_iota,
    STATE(394), 12,
      sym_parenthesized_expression,
      sym_call_expression,
      sym_selector_expression,
      sym_index_expression,
      sym_slice_expression,
      sym_type_assertion_expression,
      sym_type_conversion_expression,
      sym_composite_literal,
      sym_func_literal,
      sym_unary_expression,
      sym_binary_expression,
      sym_interpreted_string_literal,
  [17159] = 25,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(23), 1,
      anon_sym_LBRACK,
    ACTIONS(29), 1,
      anon_sym_struct,
    ACTIONS(31), 1,
      anon_sym_TILDE,
    ACTIONS(35), 1,
      anon_sym_interface,
    ACTIONS(37), 1,
      anon_sym_map,
    ACTIONS(39), 1,
      anon_sym_chan,
    ACTIONS(267), 1,
      anon_sym_LPAREN,
    ACTIONS(271), 1,
      anon_sym_func,
    ACTIONS(287), 1,
      anon_sym_DQUOTE,
    ACTIONS(435), 1,
      sym_identifier,
    ACTIONS(437), 1,
      anon_sym_STAR,
    ACTIONS(441), 1,
      anon_sym_LT_DASH,
    STATE(534), 1,
      sym__expression,
    STATE(859), 1,
      sym_qualified_type,
    STATE(1246), 1,
      sym_implicit_length_array_type,
    ACTIONS(281), 2,
      anon_sym_new,
      anon_sym_make,
    STATE(821), 2,
      sym_union_type,
      sym_negated_type,
    STATE(1224), 2,
      sym_parenthesized_type,
      sym__simple_type,
    ACTIONS(285), 3,
      sym_raw_string_literal,
      sym_imaginary_literal,
      sym_rune_literal,
    STATE(830), 4,
      sym_pointer_type,
      sym_interface_type,
      sym_channel_type,
      sym_function_type,
    ACTIONS(443), 5,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_BANG,
      anon_sym_CARET,
      anon_sym_AMP,
    STATE(864), 5,
      sym_generic_type,
      sym_array_type,
      sym_slice_type,
      sym_struct_type,
      sym_map_type,
    ACTIONS(289), 6,
      sym_int_literal,
      sym_float_literal,
      sym_nil,
      sym_true,
      sym_false,
      sym_iota,
    STATE(394), 12,
      sym_parenthesized_expression,
      sym_call_expression,
      sym_selector_expression,
      sym_index_expression,
      sym_slice_expression,
      sym_type_assertion_expression,
      sym_type_conversion_expression,
      sym_composite_literal,
      sym_func_literal,
      sym_unary_expression,
      sym_binary_expression,
      sym_interpreted_string_literal,
  [17267] = 25,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(23), 1,
      anon_sym_LBRACK,
    ACTIONS(29), 1,
      anon_sym_struct,
    ACTIONS(31), 1,
      anon_sym_TILDE,
    ACTIONS(35), 1,
      anon_sym_interface,
    ACTIONS(37), 1,
      anon_sym_map,
    ACTIONS(39), 1,
      anon_sym_chan,
    ACTIONS(267), 1,
      anon_sym_LPAREN,
    ACTIONS(271), 1,
      anon_sym_func,
    ACTIONS(287), 1,
      anon_sym_DQUOTE,
    ACTIONS(435), 1,
      sym_identifier,
    ACTIONS(437), 1,
      anon_sym_STAR,
    ACTIONS(441), 1,
      anon_sym_LT_DASH,
    STATE(533), 1,
      sym__expression,
    STATE(859), 1,
      sym_qualified_type,
    STATE(1246), 1,
      sym_implicit_length_array_type,
    ACTIONS(281), 2,
      anon_sym_new,
      anon_sym_make,
    STATE(821), 2,
      sym_union_type,
      sym_negated_type,
    STATE(1224), 2,
      sym_parenthesized_type,
      sym__simple_type,
    ACTIONS(285), 3,
      sym_raw_string_literal,
      sym_imaginary_literal,
      sym_rune_literal,
    STATE(830), 4,
      sym_pointer_type,
      sym_interface_type,
      sym_channel_type,
      sym_function_type,
    ACTIONS(443), 5,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_BANG,
      anon_sym_CARET,
      anon_sym_AMP,
    STATE(864), 5,
      sym_generic_type,
      sym_array_type,
      sym_slice_type,
      sym_struct_type,
      sym_map_type,
    ACTIONS(289), 6,
      sym_int_literal,
      sym_float_literal,
      sym_nil,
      sym_true,
      sym_false,
      sym_iota,
    STATE(394), 12,
      sym_parenthesized_expression,
      sym_call_expression,
      sym_selector_expression,
      sym_index_expression,
      sym_slice_expression,
      sym_type_assertion_expression,
      sym_type_conversion_expression,
      sym_composite_literal,
      sym_func_literal,
      sym_unary_expression,
      sym_binary_expression,
      sym_interpreted_string_literal,
  [17375] = 25,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(23), 1,
      anon_sym_LBRACK,
    ACTIONS(29), 1,
      anon_sym_struct,
    ACTIONS(31), 1,
      anon_sym_TILDE,
    ACTIONS(35), 1,
      anon_sym_interface,
    ACTIONS(37), 1,
      anon_sym_map,
    ACTIONS(39), 1,
      anon_sym_chan,
    ACTIONS(267), 1,
      anon_sym_LPAREN,
    ACTIONS(271), 1,
      anon_sym_func,
    ACTIONS(287), 1,
      anon_sym_DQUOTE,
    ACTIONS(435), 1,
      sym_identifier,
    ACTIONS(437), 1,
      anon_sym_STAR,
    ACTIONS(441), 1,
      anon_sym_LT_DASH,
    STATE(551), 1,
      sym__expression,
    STATE(859), 1,
      sym_qualified_type,
    STATE(1246), 1,
      sym_implicit_length_array_type,
    ACTIONS(281), 2,
      anon_sym_new,
      anon_sym_make,
    STATE(821), 2,
      sym_union_type,
      sym_negated_type,
    STATE(1224), 2,
      sym_parenthesized_type,
      sym__simple_type,
    ACTIONS(285), 3,
      sym_raw_string_literal,
      sym_imaginary_literal,
      sym_rune_literal,
    STATE(830), 4,
      sym_pointer_type,
      sym_interface_type,
      sym_channel_type,
      sym_function_type,
    ACTIONS(443), 5,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_BANG,
      anon_sym_CARET,
      anon_sym_AMP,
    STATE(864), 5,
      sym_generic_type,
      sym_array_type,
      sym_slice_type,
      sym_struct_type,
      sym_map_type,
    ACTIONS(289), 6,
      sym_int_literal,
      sym_float_literal,
      sym_nil,
      sym_true,
      sym_false,
      sym_iota,
    STATE(394), 12,
      sym_parenthesized_expression,
      sym_call_expression,
      sym_selector_expression,
      sym_index_expression,
      sym_slice_expression,
      sym_type_assertion_expression,
      sym_type_conversion_expression,
      sym_composite_literal,
      sym_func_literal,
      sym_unary_expression,
      sym_binary_expression,
      sym_interpreted_string_literal,
  [17483] = 25,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(23), 1,
      anon_sym_LBRACK,
    ACTIONS(29), 1,
      anon_sym_struct,
    ACTIONS(31), 1,
      anon_sym_TILDE,
    ACTIONS(35), 1,
      anon_sym_interface,
    ACTIONS(37), 1,
      anon_sym_map,
    ACTIONS(39), 1,
      anon_sym_chan,
    ACTIONS(265), 1,
      sym_identifier,
    ACTIONS(267), 1,
      anon_sym_LPAREN,
    ACTIONS(271), 1,
      anon_sym_func,
    ACTIONS(273), 1,
      anon_sym_STAR,
    ACTIONS(279), 1,
      anon_sym_LT_DASH,
    ACTIONS(287), 1,
      anon_sym_DQUOTE,
    STATE(697), 1,
      sym__expression,
    STATE(859), 1,
      sym_qualified_type,
    STATE(1246), 1,
      sym_implicit_length_array_type,
    ACTIONS(281), 2,
      anon_sym_new,
      anon_sym_make,
    STATE(821), 2,
      sym_union_type,
      sym_negated_type,
    STATE(1224), 2,
      sym_parenthesized_type,
      sym__simple_type,
    ACTIONS(285), 3,
      sym_raw_string_literal,
      sym_imaginary_literal,
      sym_rune_literal,
    STATE(830), 4,
      sym_pointer_type,
      sym_interface_type,
      sym_channel_type,
      sym_function_type,
    ACTIONS(283), 5,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_BANG,
      anon_sym_CARET,
      anon_sym_AMP,
    STATE(864), 5,
      sym_generic_type,
      sym_array_type,
      sym_slice_type,
      sym_struct_type,
      sym_map_type,
    ACTIONS(289), 6,
      sym_int_literal,
      sym_float_literal,
      sym_nil,
      sym_true,
      sym_false,
      sym_iota,
    STATE(394), 12,
      sym_parenthesized_expression,
      sym_call_expression,
      sym_selector_expression,
      sym_index_expression,
      sym_slice_expression,
      sym_type_assertion_expression,
      sym_type_conversion_expression,
      sym_composite_literal,
      sym_func_literal,
      sym_unary_expression,
      sym_binary_expression,
      sym_interpreted_string_literal,
  [17591] = 25,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(23), 1,
      anon_sym_LBRACK,
    ACTIONS(29), 1,
      anon_sym_struct,
    ACTIONS(31), 1,
      anon_sym_TILDE,
    ACTIONS(35), 1,
      anon_sym_interface,
    ACTIONS(37), 1,
      anon_sym_map,
    ACTIONS(39), 1,
      anon_sym_chan,
    ACTIONS(267), 1,
      anon_sym_LPAREN,
    ACTIONS(271), 1,
      anon_sym_func,
    ACTIONS(287), 1,
      anon_sym_DQUOTE,
    ACTIONS(435), 1,
      sym_identifier,
    ACTIONS(437), 1,
      anon_sym_STAR,
    ACTIONS(441), 1,
      anon_sym_LT_DASH,
    STATE(374), 1,
      sym__expression,
    STATE(859), 1,
      sym_qualified_type,
    STATE(1246), 1,
      sym_implicit_length_array_type,
    ACTIONS(281), 2,
      anon_sym_new,
      anon_sym_make,
    STATE(821), 2,
      sym_union_type,
      sym_negated_type,
    STATE(1224), 2,
      sym_parenthesized_type,
      sym__simple_type,
    ACTIONS(285), 3,
      sym_raw_string_literal,
      sym_imaginary_literal,
      sym_rune_literal,
    STATE(830), 4,
      sym_pointer_type,
      sym_interface_type,
      sym_channel_type,
      sym_function_type,
    ACTIONS(443), 5,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_BANG,
      anon_sym_CARET,
      anon_sym_AMP,
    STATE(864), 5,
      sym_generic_type,
      sym_array_type,
      sym_slice_type,
      sym_struct_type,
      sym_map_type,
    ACTIONS(289), 6,
      sym_int_literal,
      sym_float_literal,
      sym_nil,
      sym_true,
      sym_false,
      sym_iota,
    STATE(394), 12,
      sym_parenthesized_expression,
      sym_call_expression,
      sym_selector_expression,
      sym_index_expression,
      sym_slice_expression,
      sym_type_assertion_expression,
      sym_type_conversion_expression,
      sym_composite_literal,
      sym_func_literal,
      sym_unary_expression,
      sym_binary_expression,
      sym_interpreted_string_literal,
  [17699] = 25,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(23), 1,
      anon_sym_LBRACK,
    ACTIONS(29), 1,
      anon_sym_struct,
    ACTIONS(31), 1,
      anon_sym_TILDE,
    ACTIONS(35), 1,
      anon_sym_interface,
    ACTIONS(37), 1,
      anon_sym_map,
    ACTIONS(39), 1,
      anon_sym_chan,
    ACTIONS(267), 1,
      anon_sym_LPAREN,
    ACTIONS(271), 1,
      anon_sym_func,
    ACTIONS(287), 1,
      anon_sym_DQUOTE,
    ACTIONS(435), 1,
      sym_identifier,
    ACTIONS(437), 1,
      anon_sym_STAR,
    ACTIONS(441), 1,
      anon_sym_LT_DASH,
    STATE(375), 1,
      sym__expression,
    STATE(859), 1,
      sym_qualified_type,
    STATE(1246), 1,
      sym_implicit_length_array_type,
    ACTIONS(281), 2,
      anon_sym_new,
      anon_sym_make,
    STATE(821), 2,
      sym_union_type,
      sym_negated_type,
    STATE(1224), 2,
      sym_parenthesized_type,
      sym__simple_type,
    ACTIONS(285), 3,
      sym_raw_string_literal,
      sym_imaginary_literal,
      sym_rune_literal,
    STATE(830), 4,
      sym_pointer_type,
      sym_interface_type,
      sym_channel_type,
      sym_function_type,
    ACTIONS(443), 5,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_BANG,
      anon_sym_CARET,
      anon_sym_AMP,
    STATE(864), 5,
      sym_generic_type,
      sym_array_type,
      sym_slice_type,
      sym_struct_type,
      sym_map_type,
    ACTIONS(289), 6,
      sym_int_literal,
      sym_float_literal,
      sym_nil,
      sym_true,
      sym_false,
      sym_iota,
    STATE(394), 12,
      sym_parenthesized_expression,
      sym_call_expression,
      sym_selector_expression,
      sym_index_expression,
      sym_slice_expression,
      sym_type_assertion_expression,
      sym_type_conversion_expression,
      sym_composite_literal,
      sym_func_literal,
      sym_unary_expression,
      sym_binary_expression,
      sym_interpreted_string_literal,
  [17807] = 25,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(23), 1,
      anon_sym_LBRACK,
    ACTIONS(29), 1,
      anon_sym_struct,
    ACTIONS(31), 1,
      anon_sym_TILDE,
    ACTIONS(35), 1,
      anon_sym_interface,
    ACTIONS(37), 1,
      anon_sym_map,
    ACTIONS(39), 1,
      anon_sym_chan,
    ACTIONS(265), 1,
      sym_identifier,
    ACTIONS(267), 1,
      anon_sym_LPAREN,
    ACTIONS(271), 1,
      anon_sym_func,
    ACTIONS(273), 1,
      anon_sym_STAR,
    ACTIONS(279), 1,
      anon_sym_LT_DASH,
    ACTIONS(287), 1,
      anon_sym_DQUOTE,
    STATE(423), 1,
      sym__expression,
    STATE(859), 1,
      sym_qualified_type,
    STATE(1246), 1,
      sym_implicit_length_array_type,
    ACTIONS(281), 2,
      anon_sym_new,
      anon_sym_make,
    STATE(821), 2,
      sym_union_type,
      sym_negated_type,
    STATE(1224), 2,
      sym_parenthesized_type,
      sym__simple_type,
    ACTIONS(285), 3,
      sym_raw_string_literal,
      sym_imaginary_literal,
      sym_rune_literal,
    STATE(830), 4,
      sym_pointer_type,
      sym_interface_type,
      sym_channel_type,
      sym_function_type,
    ACTIONS(283), 5,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_BANG,
      anon_sym_CARET,
      anon_sym_AMP,
    STATE(864), 5,
      sym_generic_type,
      sym_array_type,
      sym_slice_type,
      sym_struct_type,
      sym_map_type,
    ACTIONS(289), 6,
      sym_int_literal,
      sym_float_literal,
      sym_nil,
      sym_true,
      sym_false,
      sym_iota,
    STATE(394), 12,
      sym_parenthesized_expression,
      sym_call_expression,
      sym_selector_expression,
      sym_index_expression,
      sym_slice_expression,
      sym_type_assertion_expression,
      sym_type_conversion_expression,
      sym_composite_literal,
      sym_func_literal,
      sym_unary_expression,
      sym_binary_expression,
      sym_interpreted_string_literal,
  [17915] = 25,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(23), 1,
      anon_sym_LBRACK,
    ACTIONS(29), 1,
      anon_sym_struct,
    ACTIONS(31), 1,
      anon_sym_TILDE,
    ACTIONS(35), 1,
      anon_sym_interface,
    ACTIONS(37), 1,
      anon_sym_map,
    ACTIONS(39), 1,
      anon_sym_chan,
    ACTIONS(265), 1,
      sym_identifier,
    ACTIONS(267), 1,
      anon_sym_LPAREN,
    ACTIONS(271), 1,
      anon_sym_func,
    ACTIONS(273), 1,
      anon_sym_STAR,
    ACTIONS(279), 1,
      anon_sym_LT_DASH,
    ACTIONS(287), 1,
      anon_sym_DQUOTE,
    STATE(422), 1,
      sym__expression,
    STATE(859), 1,
      sym_qualified_type,
    STATE(1246), 1,
      sym_implicit_length_array_type,
    ACTIONS(281), 2,
      anon_sym_new,
      anon_sym_make,
    STATE(821), 2,
      sym_union_type,
      sym_negated_type,
    STATE(1224), 2,
      sym_parenthesized_type,
      sym__simple_type,
    ACTIONS(285), 3,
      sym_raw_string_literal,
      sym_imaginary_literal,
      sym_rune_literal,
    STATE(830), 4,
      sym_pointer_type,
      sym_interface_type,
      sym_channel_type,
      sym_function_type,
    ACTIONS(283), 5,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_BANG,
      anon_sym_CARET,
      anon_sym_AMP,
    STATE(864), 5,
      sym_generic_type,
      sym_array_type,
      sym_slice_type,
      sym_struct_type,
      sym_map_type,
    ACTIONS(289), 6,
      sym_int_literal,
      sym_float_literal,
      sym_nil,
      sym_true,
      sym_false,
      sym_iota,
    STATE(394), 12,
      sym_parenthesized_expression,
      sym_call_expression,
      sym_selector_expression,
      sym_index_expression,
      sym_slice_expression,
      sym_type_assertion_expression,
      sym_type_conversion_expression,
      sym_composite_literal,
      sym_func_literal,
      sym_unary_expression,
      sym_binary_expression,
      sym_interpreted_string_literal,
  [18023] = 25,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(23), 1,
      anon_sym_LBRACK,
    ACTIONS(29), 1,
      anon_sym_struct,
    ACTIONS(31), 1,
      anon_sym_TILDE,
    ACTIONS(35), 1,
      anon_sym_interface,
    ACTIONS(37), 1,
      anon_sym_map,
    ACTIONS(39), 1,
      anon_sym_chan,
    ACTIONS(231), 1,
      sym_identifier,
    ACTIONS(235), 1,
      anon_sym_LPAREN,
    ACTIONS(237), 1,
      anon_sym_func,
    ACTIONS(239), 1,
      anon_sym_STAR,
    ACTIONS(241), 1,
      anon_sym_LT_DASH,
    ACTIONS(251), 1,
      anon_sym_DQUOTE,
    STATE(287), 1,
      sym__expression,
    STATE(917), 1,
      sym_qualified_type,
    STATE(1284), 1,
      sym_implicit_length_array_type,
    ACTIONS(245), 2,
      anon_sym_new,
      anon_sym_make,
    STATE(821), 2,
      sym_union_type,
      sym_negated_type,
    STATE(969), 2,
      sym_parenthesized_type,
      sym__simple_type,
    ACTIONS(249), 3,
      sym_raw_string_literal,
      sym_imaginary_literal,
      sym_rune_literal,
    STATE(830), 4,
      sym_pointer_type,
      sym_interface_type,
      sym_channel_type,
      sym_function_type,
    ACTIONS(247), 5,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_BANG,
      anon_sym_CARET,
      anon_sym_AMP,
    STATE(1024), 5,
      sym_generic_type,
      sym_array_type,
      sym_slice_type,
      sym_struct_type,
      sym_map_type,
    ACTIONS(253), 6,
      sym_int_literal,
      sym_float_literal,
      sym_nil,
      sym_true,
      sym_false,
      sym_iota,
    STATE(306), 12,
      sym_parenthesized_expression,
      sym_call_expression,
      sym_selector_expression,
      sym_index_expression,
      sym_slice_expression,
      sym_type_assertion_expression,
      sym_type_conversion_expression,
      sym_composite_literal,
      sym_func_literal,
      sym_unary_expression,
      sym_binary_expression,
      sym_interpreted_string_literal,
  [18131] = 25,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(23), 1,
      anon_sym_LBRACK,
    ACTIONS(29), 1,
      anon_sym_struct,
    ACTIONS(31), 1,
      anon_sym_TILDE,
    ACTIONS(35), 1,
      anon_sym_interface,
    ACTIONS(37), 1,
      anon_sym_map,
    ACTIONS(39), 1,
      anon_sym_chan,
    ACTIONS(265), 1,
      sym_identifier,
    ACTIONS(267), 1,
      anon_sym_LPAREN,
    ACTIONS(271), 1,
      anon_sym_func,
    ACTIONS(273), 1,
      anon_sym_STAR,
    ACTIONS(279), 1,
      anon_sym_LT_DASH,
    ACTIONS(287), 1,
      anon_sym_DQUOTE,
    STATE(421), 1,
      sym__expression,
    STATE(859), 1,
      sym_qualified_type,
    STATE(1246), 1,
      sym_implicit_length_array_type,
    ACTIONS(281), 2,
      anon_sym_new,
      anon_sym_make,
    STATE(821), 2,
      sym_union_type,
      sym_negated_type,
    STATE(1224), 2,
      sym_parenthesized_type,
      sym__simple_type,
    ACTIONS(285), 3,
      sym_raw_string_literal,
      sym_imaginary_literal,
      sym_rune_literal,
    STATE(830), 4,
      sym_pointer_type,
      sym_interface_type,
      sym_channel_type,
      sym_function_type,
    ACTIONS(283), 5,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_BANG,
      anon_sym_CARET,
      anon_sym_AMP,
    STATE(864), 5,
      sym_generic_type,
      sym_array_type,
      sym_slice_type,
      sym_struct_type,
      sym_map_type,
    ACTIONS(289), 6,
      sym_int_literal,
      sym_float_literal,
      sym_nil,
      sym_true,
      sym_false,
      sym_iota,
    STATE(394), 12,
      sym_parenthesized_expression,
      sym_call_expression,
      sym_selector_expression,
      sym_index_expression,
      sym_slice_expression,
      sym_type_assertion_expression,
      sym_type_conversion_expression,
      sym_composite_literal,
      sym_func_literal,
      sym_unary_expression,
      sym_binary_expression,
      sym_interpreted_string_literal,
  [18239] = 25,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(23), 1,
      anon_sym_LBRACK,
    ACTIONS(29), 1,
      anon_sym_struct,
    ACTIONS(31), 1,
      anon_sym_TILDE,
    ACTIONS(35), 1,
      anon_sym_interface,
    ACTIONS(37), 1,
      anon_sym_map,
    ACTIONS(39), 1,
      anon_sym_chan,
    ACTIONS(265), 1,
      sym_identifier,
    ACTIONS(267), 1,
      anon_sym_LPAREN,
    ACTIONS(271), 1,
      anon_sym_func,
    ACTIONS(273), 1,
      anon_sym_STAR,
    ACTIONS(279), 1,
      anon_sym_LT_DASH,
    ACTIONS(287), 1,
      anon_sym_DQUOTE,
    STATE(419), 1,
      sym__expression,
    STATE(859), 1,
      sym_qualified_type,
    STATE(1246), 1,
      sym_implicit_length_array_type,
    ACTIONS(281), 2,
      anon_sym_new,
      anon_sym_make,
    STATE(821), 2,
      sym_union_type,
      sym_negated_type,
    STATE(1224), 2,
      sym_parenthesized_type,
      sym__simple_type,
    ACTIONS(285), 3,
      sym_raw_string_literal,
      sym_imaginary_literal,
      sym_rune_literal,
    STATE(830), 4,
      sym_pointer_type,
      sym_interface_type,
      sym_channel_type,
      sym_function_type,
    ACTIONS(283), 5,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_BANG,
      anon_sym_CARET,
      anon_sym_AMP,
    STATE(864), 5,
      sym_generic_type,
      sym_array_type,
      sym_slice_type,
      sym_struct_type,
      sym_map_type,
    ACTIONS(289), 6,
      sym_int_literal,
      sym_float_literal,
      sym_nil,
      sym_true,
      sym_false,
      sym_iota,
    STATE(394), 12,
      sym_parenthesized_expression,
      sym_call_expression,
      sym_selector_expression,
      sym_index_expression,
      sym_slice_expression,
      sym_type_assertion_expression,
      sym_type_conversion_expression,
      sym_composite_literal,
      sym_func_literal,
      sym_unary_expression,
      sym_binary_expression,
      sym_interpreted_string_literal,
  [18347] = 25,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(23), 1,
      anon_sym_LBRACK,
    ACTIONS(29), 1,
      anon_sym_struct,
    ACTIONS(31), 1,
      anon_sym_TILDE,
    ACTIONS(35), 1,
      anon_sym_interface,
    ACTIONS(37), 1,
      anon_sym_map,
    ACTIONS(231), 1,
      sym_identifier,
    ACTIONS(235), 1,
      anon_sym_LPAREN,
    ACTIONS(237), 1,
      anon_sym_func,
    ACTIONS(239), 1,
      anon_sym_STAR,
    ACTIONS(241), 1,
      anon_sym_LT_DASH,
    ACTIONS(251), 1,
      anon_sym_DQUOTE,
    ACTIONS(557), 1,
      anon_sym_chan,
    STATE(287), 1,
      sym__expression,
    STATE(917), 1,
      sym_qualified_type,
    STATE(1284), 1,
      sym_implicit_length_array_type,
    ACTIONS(245), 2,
      anon_sym_new,
      anon_sym_make,
    STATE(821), 2,
      sym_union_type,
      sym_negated_type,
    STATE(1214), 2,
      sym_parenthesized_type,
      sym__simple_type,
    ACTIONS(249), 3,
      sym_raw_string_literal,
      sym_imaginary_literal,
      sym_rune_literal,
    STATE(830), 4,
      sym_pointer_type,
      sym_interface_type,
      sym_channel_type,
      sym_function_type,
    ACTIONS(247), 5,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_BANG,
      anon_sym_CARET,
      anon_sym_AMP,
    STATE(1024), 5,
      sym_generic_type,
      sym_array_type,
      sym_slice_type,
      sym_struct_type,
      sym_map_type,
    ACTIONS(253), 6,
      sym_int_literal,
      sym_float_literal,
      sym_nil,
      sym_true,
      sym_false,
      sym_iota,
    STATE(306), 12,
      sym_parenthesized_expression,
      sym_call_expression,
      sym_selector_expression,
      sym_index_expression,
      sym_slice_expression,
      sym_type_assertion_expression,
      sym_type_conversion_expression,
      sym_composite_literal,
      sym_func_literal,
      sym_unary_expression,
      sym_binary_expression,
      sym_interpreted_string_literal,
  [18455] = 25,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(23), 1,
      anon_sym_LBRACK,
    ACTIONS(29), 1,
      anon_sym_struct,
    ACTIONS(31), 1,
      anon_sym_TILDE,
    ACTIONS(35), 1,
      anon_sym_interface,
    ACTIONS(37), 1,
      anon_sym_map,
    ACTIONS(39), 1,
      anon_sym_chan,
    ACTIONS(295), 1,
      sym_identifier,
    ACTIONS(303), 1,
      anon_sym_func,
    ACTIONS(455), 1,
      anon_sym_LPAREN,
    ACTIONS(457), 1,
      anon_sym_STAR,
    ACTIONS(459), 1,
      anon_sym_LT_DASH,
    ACTIONS(465), 1,
      anon_sym_DQUOTE,
    STATE(482), 1,
      sym__expression,
    STATE(887), 1,
      sym_qualified_type,
    STATE(1229), 1,
      sym_implicit_length_array_type,
    ACTIONS(313), 2,
      anon_sym_new,
      anon_sym_make,
    STATE(821), 2,
      sym_union_type,
      sym_negated_type,
    STATE(1217), 2,
      sym_parenthesized_type,
      sym__simple_type,
    ACTIONS(463), 3,
      sym_raw_string_literal,
      sym_imaginary_literal,
      sym_rune_literal,
    STATE(830), 4,
      sym_pointer_type,
      sym_interface_type,
      sym_channel_type,
      sym_function_type,
    ACTIONS(461), 5,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_BANG,
      anon_sym_CARET,
      anon_sym_AMP,
    STATE(1074), 5,
      sym_generic_type,
      sym_array_type,
      sym_slice_type,
      sym_struct_type,
      sym_map_type,
    ACTIONS(317), 6,
      sym_int_literal,
      sym_float_literal,
      sym_nil,
      sym_true,
      sym_false,
      sym_iota,
    STATE(522), 12,
      sym_parenthesized_expression,
      sym_call_expression,
      sym_selector_expression,
      sym_index_expression,
      sym_slice_expression,
      sym_type_assertion_expression,
      sym_type_conversion_expression,
      sym_composite_literal,
      sym_func_literal,
      sym_unary_expression,
      sym_binary_expression,
      sym_interpreted_string_literal,
  [18563] = 25,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(23), 1,
      anon_sym_LBRACK,
    ACTIONS(29), 1,
      anon_sym_struct,
    ACTIONS(31), 1,
      anon_sym_TILDE,
    ACTIONS(35), 1,
      anon_sym_interface,
    ACTIONS(37), 1,
      anon_sym_map,
    ACTIONS(39), 1,
      anon_sym_chan,
    ACTIONS(265), 1,
      sym_identifier,
    ACTIONS(267), 1,
      anon_sym_LPAREN,
    ACTIONS(271), 1,
      anon_sym_func,
    ACTIONS(273), 1,
      anon_sym_STAR,
    ACTIONS(279), 1,
      anon_sym_LT_DASH,
    ACTIONS(287), 1,
      anon_sym_DQUOTE,
    STATE(685), 1,
      sym__expression,
    STATE(859), 1,
      sym_qualified_type,
    STATE(1246), 1,
      sym_implicit_length_array_type,
    ACTIONS(281), 2,
      anon_sym_new,
      anon_sym_make,
    STATE(821), 2,
      sym_union_type,
      sym_negated_type,
    STATE(1224), 2,
      sym_parenthesized_type,
      sym__simple_type,
    ACTIONS(285), 3,
      sym_raw_string_literal,
      sym_imaginary_literal,
      sym_rune_literal,
    STATE(830), 4,
      sym_pointer_type,
      sym_interface_type,
      sym_channel_type,
      sym_function_type,
    ACTIONS(283), 5,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_BANG,
      anon_sym_CARET,
      anon_sym_AMP,
    STATE(864), 5,
      sym_generic_type,
      sym_array_type,
      sym_slice_type,
      sym_struct_type,
      sym_map_type,
    ACTIONS(289), 6,
      sym_int_literal,
      sym_float_literal,
      sym_nil,
      sym_true,
      sym_false,
      sym_iota,
    STATE(394), 12,
      sym_parenthesized_expression,
      sym_call_expression,
      sym_selector_expression,
      sym_index_expression,
      sym_slice_expression,
      sym_type_assertion_expression,
      sym_type_conversion_expression,
      sym_composite_literal,
      sym_func_literal,
      sym_unary_expression,
      sym_binary_expression,
      sym_interpreted_string_literal,
  [18671] = 25,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(23), 1,
      anon_sym_LBRACK,
    ACTIONS(29), 1,
      anon_sym_struct,
    ACTIONS(31), 1,
      anon_sym_TILDE,
    ACTIONS(35), 1,
      anon_sym_interface,
    ACTIONS(37), 1,
      anon_sym_map,
    ACTIONS(39), 1,
      anon_sym_chan,
    ACTIONS(265), 1,
      sym_identifier,
    ACTIONS(267), 1,
      anon_sym_LPAREN,
    ACTIONS(271), 1,
      anon_sym_func,
    ACTIONS(287), 1,
      anon_sym_DQUOTE,
    ACTIONS(389), 1,
      anon_sym_LT_DASH,
    ACTIONS(559), 1,
      anon_sym_STAR,
    STATE(657), 1,
      sym__expression,
    STATE(859), 1,
      sym_qualified_type,
    STATE(1246), 1,
      sym_implicit_length_array_type,
    ACTIONS(281), 2,
      anon_sym_new,
      anon_sym_make,
    STATE(821), 2,
      sym_union_type,
      sym_negated_type,
    STATE(1149), 2,
      sym_parenthesized_type,
      sym__simple_type,
    ACTIONS(285), 3,
      sym_raw_string_literal,
      sym_imaginary_literal,
      sym_rune_literal,
    STATE(830), 4,
      sym_pointer_type,
      sym_interface_type,
      sym_channel_type,
      sym_function_type,
    ACTIONS(391), 5,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_BANG,
      anon_sym_CARET,
      anon_sym_AMP,
    STATE(864), 5,
      sym_generic_type,
      sym_array_type,
      sym_slice_type,
      sym_struct_type,
      sym_map_type,
    ACTIONS(289), 6,
      sym_int_literal,
      sym_float_literal,
      sym_nil,
      sym_true,
      sym_false,
      sym_iota,
    STATE(394), 12,
      sym_parenthesized_expression,
      sym_call_expression,
      sym_selector_expression,
      sym_index_expression,
      sym_slice_expression,
      sym_type_assertion_expression,
      sym_type_conversion_expression,
      sym_composite_literal,
      sym_func_literal,
      sym_unary_expression,
      sym_binary_expression,
      sym_interpreted_string_literal,
  [18779] = 25,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(23), 1,
      anon_sym_LBRACK,
    ACTIONS(29), 1,
      anon_sym_struct,
    ACTIONS(31), 1,
      anon_sym_TILDE,
    ACTIONS(35), 1,
      anon_sym_interface,
    ACTIONS(37), 1,
      anon_sym_map,
    ACTIONS(39), 1,
      anon_sym_chan,
    ACTIONS(231), 1,
      sym_identifier,
    ACTIONS(235), 1,
      anon_sym_LPAREN,
    ACTIONS(237), 1,
      anon_sym_func,
    ACTIONS(239), 1,
      anon_sym_STAR,
    ACTIONS(241), 1,
      anon_sym_LT_DASH,
    ACTIONS(251), 1,
      anon_sym_DQUOTE,
    STATE(287), 1,
      sym__expression,
    STATE(917), 1,
      sym_qualified_type,
    STATE(1284), 1,
      sym_implicit_length_array_type,
    ACTIONS(245), 2,
      anon_sym_new,
      anon_sym_make,
    STATE(821), 2,
      sym_union_type,
      sym_negated_type,
    STATE(1214), 2,
      sym_parenthesized_type,
      sym__simple_type,
    ACTIONS(249), 3,
      sym_raw_string_literal,
      sym_imaginary_literal,
      sym_rune_literal,
    STATE(830), 4,
      sym_pointer_type,
      sym_interface_type,
      sym_channel_type,
      sym_function_type,
    ACTIONS(247), 5,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_BANG,
      anon_sym_CARET,
      anon_sym_AMP,
    STATE(1024), 5,
      sym_generic_type,
      sym_array_type,
      sym_slice_type,
      sym_struct_type,
      sym_map_type,
    ACTIONS(253), 6,
      sym_int_literal,
      sym_float_literal,
      sym_nil,
      sym_true,
      sym_false,
      sym_iota,
    STATE(306), 12,
      sym_parenthesized_expression,
      sym_call_expression,
      sym_selector_expression,
      sym_index_expression,
      sym_slice_expression,
      sym_type_assertion_expression,
      sym_type_conversion_expression,
      sym_composite_literal,
      sym_func_literal,
      sym_unary_expression,
      sym_binary_expression,
      sym_interpreted_string_literal,
  [18887] = 25,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(23), 1,
      anon_sym_LBRACK,
    ACTIONS(29), 1,
      anon_sym_struct,
    ACTIONS(31), 1,
      anon_sym_TILDE,
    ACTIONS(35), 1,
      anon_sym_interface,
    ACTIONS(37), 1,
      anon_sym_map,
    ACTIONS(39), 1,
      anon_sym_chan,
    ACTIONS(265), 1,
      sym_identifier,
    ACTIONS(267), 1,
      anon_sym_LPAREN,
    ACTIONS(271), 1,
      anon_sym_func,
    ACTIONS(273), 1,
      anon_sym_STAR,
    ACTIONS(279), 1,
      anon_sym_LT_DASH,
    ACTIONS(287), 1,
      anon_sym_DQUOTE,
    STATE(698), 1,
      sym__expression,
    STATE(859), 1,
      sym_qualified_type,
    STATE(1246), 1,
      sym_implicit_length_array_type,
    ACTIONS(281), 2,
      anon_sym_new,
      anon_sym_make,
    STATE(821), 2,
      sym_union_type,
      sym_negated_type,
    STATE(1224), 2,
      sym_parenthesized_type,
      sym__simple_type,
    ACTIONS(285), 3,
      sym_raw_string_literal,
      sym_imaginary_literal,
      sym_rune_literal,
    STATE(830), 4,
      sym_pointer_type,
      sym_interface_type,
      sym_channel_type,
      sym_function_type,
    ACTIONS(283), 5,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_BANG,
      anon_sym_CARET,
      anon_sym_AMP,
    STATE(864), 5,
      sym_generic_type,
      sym_array_type,
      sym_slice_type,
      sym_struct_type,
      sym_map_type,
    ACTIONS(289), 6,
      sym_int_literal,
      sym_float_literal,
      sym_nil,
      sym_true,
      sym_false,
      sym_iota,
    STATE(394), 12,
      sym_parenthesized_expression,
      sym_call_expression,
      sym_selector_expression,
      sym_index_expression,
      sym_slice_expression,
      sym_type_assertion_expression,
      sym_type_conversion_expression,
      sym_composite_literal,
      sym_func_literal,
      sym_unary_expression,
      sym_binary_expression,
      sym_interpreted_string_literal,
  [18995] = 25,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(23), 1,
      anon_sym_LBRACK,
    ACTIONS(29), 1,
      anon_sym_struct,
    ACTIONS(31), 1,
      anon_sym_TILDE,
    ACTIONS(35), 1,
      anon_sym_interface,
    ACTIONS(37), 1,
      anon_sym_map,
    ACTIONS(39), 1,
      anon_sym_chan,
    ACTIONS(267), 1,
      anon_sym_LPAREN,
    ACTIONS(271), 1,
      anon_sym_func,
    ACTIONS(287), 1,
      anon_sym_DQUOTE,
    ACTIONS(383), 1,
      sym_identifier,
    ACTIONS(387), 1,
      anon_sym_STAR,
    ACTIONS(389), 1,
      anon_sym_LT_DASH,
    STATE(615), 1,
      sym__expression,
    STATE(859), 1,
      sym_qualified_type,
    STATE(1246), 1,
      sym_implicit_length_array_type,
    ACTIONS(281), 2,
      anon_sym_new,
      anon_sym_make,
    STATE(821), 2,
      sym_union_type,
      sym_negated_type,
    STATE(1224), 2,
      sym_parenthesized_type,
      sym__simple_type,
    ACTIONS(285), 3,
      sym_raw_string_literal,
      sym_imaginary_literal,
      sym_rune_literal,
    STATE(830), 4,
      sym_pointer_type,
      sym_interface_type,
      sym_channel_type,
      sym_function_type,
    ACTIONS(391), 5,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_BANG,
      anon_sym_CARET,
      anon_sym_AMP,
    STATE(864), 5,
      sym_generic_type,
      sym_array_type,
      sym_slice_type,
      sym_struct_type,
      sym_map_type,
    ACTIONS(289), 6,
      sym_int_literal,
      sym_float_literal,
      sym_nil,
      sym_true,
      sym_false,
      sym_iota,
    STATE(394), 12,
      sym_parenthesized_expression,
      sym_call_expression,
      sym_selector_expression,
      sym_index_expression,
      sym_slice_expression,
      sym_type_assertion_expression,
      sym_type_conversion_expression,
      sym_composite_literal,
      sym_func_literal,
      sym_unary_expression,
      sym_binary_expression,
      sym_interpreted_string_literal,
  [19103] = 25,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(15), 1,
      anon_sym_LPAREN,
    ACTIONS(23), 1,
      anon_sym_LBRACK,
    ACTIONS(27), 1,
      anon_sym_STAR,
    ACTIONS(29), 1,
      anon_sym_struct,
    ACTIONS(31), 1,
      anon_sym_TILDE,
    ACTIONS(35), 1,
      anon_sym_interface,
    ACTIONS(37), 1,
      anon_sym_map,
    ACTIONS(39), 1,
      anon_sym_chan,
    ACTIONS(41), 1,
      anon_sym_LT_DASH,
    ACTIONS(71), 1,
      anon_sym_DQUOTE,
    ACTIONS(183), 1,
      anon_sym_func,
    ACTIONS(555), 1,
      sym_identifier,
    STATE(245), 1,
      sym__expression,
    STATE(897), 1,
      sym_qualified_type,
    STATE(1293), 1,
      sym_implicit_length_array_type,
    ACTIONS(65), 2,
      anon_sym_new,
      anon_sym_make,
    STATE(821), 2,
      sym_union_type,
      sym_negated_type,
    STATE(969), 2,
      sym_parenthesized_type,
      sym__simple_type,
    ACTIONS(69), 3,
      sym_raw_string_literal,
      sym_imaginary_literal,
      sym_rune_literal,
    STATE(830), 4,
      sym_pointer_type,
      sym_interface_type,
      sym_channel_type,
      sym_function_type,
    ACTIONS(67), 5,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_BANG,
      anon_sym_CARET,
      anon_sym_AMP,
    STATE(1066), 5,
      sym_generic_type,
      sym_array_type,
      sym_slice_type,
      sym_struct_type,
      sym_map_type,
    ACTIONS(73), 6,
      sym_int_literal,
      sym_float_literal,
      sym_nil,
      sym_true,
      sym_false,
      sym_iota,
    STATE(257), 12,
      sym_parenthesized_expression,
      sym_call_expression,
      sym_selector_expression,
      sym_index_expression,
      sym_slice_expression,
      sym_type_assertion_expression,
      sym_type_conversion_expression,
      sym_composite_literal,
      sym_func_literal,
      sym_unary_expression,
      sym_binary_expression,
      sym_interpreted_string_literal,
  [19211] = 25,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(23), 1,
      anon_sym_LBRACK,
    ACTIONS(29), 1,
      anon_sym_struct,
    ACTIONS(31), 1,
      anon_sym_TILDE,
    ACTIONS(35), 1,
      anon_sym_interface,
    ACTIONS(37), 1,
      anon_sym_map,
    ACTIONS(39), 1,
      anon_sym_chan,
    ACTIONS(265), 1,
      sym_identifier,
    ACTIONS(267), 1,
      anon_sym_LPAREN,
    ACTIONS(271), 1,
      anon_sym_func,
    ACTIONS(273), 1,
      anon_sym_STAR,
    ACTIONS(279), 1,
      anon_sym_LT_DASH,
    ACTIONS(287), 1,
      anon_sym_DQUOTE,
    STATE(713), 1,
      sym__expression,
    STATE(859), 1,
      sym_qualified_type,
    STATE(1246), 1,
      sym_implicit_length_array_type,
    ACTIONS(281), 2,
      anon_sym_new,
      anon_sym_make,
    STATE(821), 2,
      sym_union_type,
      sym_negated_type,
    STATE(1224), 2,
      sym_parenthesized_type,
      sym__simple_type,
    ACTIONS(285), 3,
      sym_raw_string_literal,
      sym_imaginary_literal,
      sym_rune_literal,
    STATE(830), 4,
      sym_pointer_type,
      sym_interface_type,
      sym_channel_type,
      sym_function_type,
    ACTIONS(283), 5,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_BANG,
      anon_sym_CARET,
      anon_sym_AMP,
    STATE(864), 5,
      sym_generic_type,
      sym_array_type,
      sym_slice_type,
      sym_struct_type,
      sym_map_type,
    ACTIONS(289), 6,
      sym_int_literal,
      sym_float_literal,
      sym_nil,
      sym_true,
      sym_false,
      sym_iota,
    STATE(394), 12,
      sym_parenthesized_expression,
      sym_call_expression,
      sym_selector_expression,
      sym_index_expression,
      sym_slice_expression,
      sym_type_assertion_expression,
      sym_type_conversion_expression,
      sym_composite_literal,
      sym_func_literal,
      sym_unary_expression,
      sym_binary_expression,
      sym_interpreted_string_literal,
  [19319] = 25,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(23), 1,
      anon_sym_LBRACK,
    ACTIONS(29), 1,
      anon_sym_struct,
    ACTIONS(31), 1,
      anon_sym_TILDE,
    ACTIONS(35), 1,
      anon_sym_interface,
    ACTIONS(37), 1,
      anon_sym_map,
    ACTIONS(39), 1,
      anon_sym_chan,
    ACTIONS(265), 1,
      sym_identifier,
    ACTIONS(267), 1,
      anon_sym_LPAREN,
    ACTIONS(271), 1,
      anon_sym_func,
    ACTIONS(287), 1,
      anon_sym_DQUOTE,
    ACTIONS(389), 1,
      anon_sym_LT_DASH,
    ACTIONS(559), 1,
      anon_sym_STAR,
    STATE(730), 1,
      sym__expression,
    STATE(859), 1,
      sym_qualified_type,
    STATE(1246), 1,
      sym_implicit_length_array_type,
    ACTIONS(281), 2,
      anon_sym_new,
      anon_sym_make,
    STATE(821), 2,
      sym_union_type,
      sym_negated_type,
    STATE(1149), 2,
      sym_parenthesized_type,
      sym__simple_type,
    ACTIONS(285), 3,
      sym_raw_string_literal,
      sym_imaginary_literal,
      sym_rune_literal,
    STATE(830), 4,
      sym_pointer_type,
      sym_interface_type,
      sym_channel_type,
      sym_function_type,
    ACTIONS(391), 5,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_BANG,
      anon_sym_CARET,
      anon_sym_AMP,
    STATE(864), 5,
      sym_generic_type,
      sym_array_type,
      sym_slice_type,
      sym_struct_type,
      sym_map_type,
    ACTIONS(289), 6,
      sym_int_literal,
      sym_float_literal,
      sym_nil,
      sym_true,
      sym_false,
      sym_iota,
    STATE(394), 12,
      sym_parenthesized_expression,
      sym_call_expression,
      sym_selector_expression,
      sym_index_expression,
      sym_slice_expression,
      sym_type_assertion_expression,
      sym_type_conversion_expression,
      sym_composite_literal,
      sym_func_literal,
      sym_unary_expression,
      sym_binary_expression,
      sym_interpreted_string_literal,
  [19427] = 25,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(23), 1,
      anon_sym_LBRACK,
    ACTIONS(29), 1,
      anon_sym_struct,
    ACTIONS(31), 1,
      anon_sym_TILDE,
    ACTIONS(35), 1,
      anon_sym_interface,
    ACTIONS(37), 1,
      anon_sym_map,
    ACTIONS(39), 1,
      anon_sym_chan,
    ACTIONS(265), 1,
      sym_identifier,
    ACTIONS(267), 1,
      anon_sym_LPAREN,
    ACTIONS(271), 1,
      anon_sym_func,
    ACTIONS(287), 1,
      anon_sym_DQUOTE,
    ACTIONS(389), 1,
      anon_sym_LT_DASH,
    ACTIONS(559), 1,
      anon_sym_STAR,
    STATE(745), 1,
      sym__expression,
    STATE(859), 1,
      sym_qualified_type,
    STATE(1246), 1,
      sym_implicit_length_array_type,
    ACTIONS(281), 2,
      anon_sym_new,
      anon_sym_make,
    STATE(821), 2,
      sym_union_type,
      sym_negated_type,
    STATE(1149), 2,
      sym_parenthesized_type,
      sym__simple_type,
    ACTIONS(285), 3,
      sym_raw_string_literal,
      sym_imaginary_literal,
      sym_rune_literal,
    STATE(830), 4,
      sym_pointer_type,
      sym_interface_type,
      sym_channel_type,
      sym_function_type,
    ACTIONS(391), 5,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_BANG,
      anon_sym_CARET,
      anon_sym_AMP,
    STATE(864), 5,
      sym_generic_type,
      sym_array_type,
      sym_slice_type,
      sym_struct_type,
      sym_map_type,
    ACTIONS(289), 6,
      sym_int_literal,
      sym_float_literal,
      sym_nil,
      sym_true,
      sym_false,
      sym_iota,
    STATE(394), 12,
      sym_parenthesized_expression,
      sym_call_expression,
      sym_selector_expression,
      sym_index_expression,
      sym_slice_expression,
      sym_type_assertion_expression,
      sym_type_conversion_expression,
      sym_composite_literal,
      sym_func_literal,
      sym_unary_expression,
      sym_binary_expression,
      sym_interpreted_string_literal,
  [19535] = 25,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(23), 1,
      anon_sym_LBRACK,
    ACTIONS(29), 1,
      anon_sym_struct,
    ACTIONS(31), 1,
      anon_sym_TILDE,
    ACTIONS(35), 1,
      anon_sym_interface,
    ACTIONS(37), 1,
      anon_sym_map,
    ACTIONS(39), 1,
      anon_sym_chan,
    ACTIONS(267), 1,
      anon_sym_LPAREN,
    ACTIONS(271), 1,
      anon_sym_func,
    ACTIONS(287), 1,
      anon_sym_DQUOTE,
    ACTIONS(383), 1,
      sym_identifier,
    ACTIONS(387), 1,
      anon_sym_STAR,
    ACTIONS(389), 1,
      anon_sym_LT_DASH,
    STATE(594), 1,
      sym__expression,
    STATE(859), 1,
      sym_qualified_type,
    STATE(1246), 1,
      sym_implicit_length_array_type,
    ACTIONS(281), 2,
      anon_sym_new,
      anon_sym_make,
    STATE(821), 2,
      sym_union_type,
      sym_negated_type,
    STATE(1224), 2,
      sym_parenthesized_type,
      sym__simple_type,
    ACTIONS(285), 3,
      sym_raw_string_literal,
      sym_imaginary_literal,
      sym_rune_literal,
    STATE(830), 4,
      sym_pointer_type,
      sym_interface_type,
      sym_channel_type,
      sym_function_type,
    ACTIONS(391), 5,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_BANG,
      anon_sym_CARET,
      anon_sym_AMP,
    STATE(864), 5,
      sym_generic_type,
      sym_array_type,
      sym_slice_type,
      sym_struct_type,
      sym_map_type,
    ACTIONS(289), 6,
      sym_int_literal,
      sym_float_literal,
      sym_nil,
      sym_true,
      sym_false,
      sym_iota,
    STATE(394), 12,
      sym_parenthesized_expression,
      sym_call_expression,
      sym_selector_expression,
      sym_index_expression,
      sym_slice_expression,
      sym_type_assertion_expression,
      sym_type_conversion_expression,
      sym_composite_literal,
      sym_func_literal,
      sym_unary_expression,
      sym_binary_expression,
      sym_interpreted_string_literal,
  [19643] = 25,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(23), 1,
      anon_sym_LBRACK,
    ACTIONS(29), 1,
      anon_sym_struct,
    ACTIONS(31), 1,
      anon_sym_TILDE,
    ACTIONS(35), 1,
      anon_sym_interface,
    ACTIONS(37), 1,
      anon_sym_map,
    ACTIONS(39), 1,
      anon_sym_chan,
    ACTIONS(363), 1,
      sym_identifier,
    ACTIONS(365), 1,
      anon_sym_LPAREN,
    ACTIONS(367), 1,
      anon_sym_func,
    ACTIONS(369), 1,
      anon_sym_STAR,
    ACTIONS(371), 1,
      anon_sym_LT_DASH,
    ACTIONS(379), 1,
      anon_sym_DQUOTE,
    STATE(462), 1,
      sym__expression,
    STATE(910), 1,
      sym_qualified_type,
    STATE(1255), 1,
      sym_implicit_length_array_type,
    ACTIONS(373), 2,
      anon_sym_new,
      anon_sym_make,
    STATE(821), 2,
      sym_union_type,
      sym_negated_type,
    STATE(969), 2,
      sym_parenthesized_type,
      sym__simple_type,
    ACTIONS(377), 3,
      sym_raw_string_literal,
      sym_imaginary_literal,
      sym_rune_literal,
    STATE(830), 4,
      sym_pointer_type,
      sym_interface_type,
      sym_channel_type,
      sym_function_type,
    ACTIONS(375), 5,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_BANG,
      anon_sym_CARET,
      anon_sym_AMP,
    STATE(1076), 5,
      sym_generic_type,
      sym_array_type,
      sym_slice_type,
      sym_struct_type,
      sym_map_type,
    ACTIONS(381), 6,
      sym_int_literal,
      sym_float_literal,
      sym_nil,
      sym_true,
      sym_false,
      sym_iota,
    STATE(582), 12,
      sym_parenthesized_expression,
      sym_call_expression,
      sym_selector_expression,
      sym_index_expression,
      sym_slice_expression,
      sym_type_assertion_expression,
      sym_type_conversion_expression,
      sym_composite_literal,
      sym_func_literal,
      sym_unary_expression,
      sym_binary_expression,
      sym_interpreted_string_literal,
  [19751] = 25,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(23), 1,
      anon_sym_LBRACK,
    ACTIONS(29), 1,
      anon_sym_struct,
    ACTIONS(31), 1,
      anon_sym_TILDE,
    ACTIONS(35), 1,
      anon_sym_interface,
    ACTIONS(37), 1,
      anon_sym_map,
    ACTIONS(39), 1,
      anon_sym_chan,
    ACTIONS(363), 1,
      sym_identifier,
    ACTIONS(365), 1,
      anon_sym_LPAREN,
    ACTIONS(367), 1,
      anon_sym_func,
    ACTIONS(369), 1,
      anon_sym_STAR,
    ACTIONS(371), 1,
      anon_sym_LT_DASH,
    ACTIONS(379), 1,
      anon_sym_DQUOTE,
    STATE(462), 1,
      sym__expression,
    STATE(910), 1,
      sym_qualified_type,
    STATE(1255), 1,
      sym_implicit_length_array_type,
    ACTIONS(373), 2,
      anon_sym_new,
      anon_sym_make,
    STATE(821), 2,
      sym_union_type,
      sym_negated_type,
    STATE(1210), 2,
      sym_parenthesized_type,
      sym__simple_type,
    ACTIONS(377), 3,
      sym_raw_string_literal,
      sym_imaginary_literal,
      sym_rune_literal,
    STATE(830), 4,
      sym_pointer_type,
      sym_interface_type,
      sym_channel_type,
      sym_function_type,
    ACTIONS(375), 5,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_BANG,
      anon_sym_CARET,
      anon_sym_AMP,
    STATE(1076), 5,
      sym_generic_type,
      sym_array_type,
      sym_slice_type,
      sym_struct_type,
      sym_map_type,
    ACTIONS(381), 6,
      sym_int_literal,
      sym_float_literal,
      sym_nil,
      sym_true,
      sym_false,
      sym_iota,
    STATE(582), 12,
      sym_parenthesized_expression,
      sym_call_expression,
      sym_selector_expression,
      sym_index_expression,
      sym_slice_expression,
      sym_type_assertion_expression,
      sym_type_conversion_expression,
      sym_composite_literal,
      sym_func_literal,
      sym_unary_expression,
      sym_binary_expression,
      sym_interpreted_string_literal,
  [19859] = 25,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(23), 1,
      anon_sym_LBRACK,
    ACTIONS(29), 1,
      anon_sym_struct,
    ACTIONS(31), 1,
      anon_sym_TILDE,
    ACTIONS(35), 1,
      anon_sym_interface,
    ACTIONS(37), 1,
      anon_sym_map,
    ACTIONS(39), 1,
      anon_sym_chan,
    ACTIONS(267), 1,
      anon_sym_LPAREN,
    ACTIONS(271), 1,
      anon_sym_func,
    ACTIONS(287), 1,
      anon_sym_DQUOTE,
    ACTIONS(383), 1,
      sym_identifier,
    ACTIONS(387), 1,
      anon_sym_STAR,
    ACTIONS(389), 1,
      anon_sym_LT_DASH,
    STATE(610), 1,
      sym__expression,
    STATE(859), 1,
      sym_qualified_type,
    STATE(1246), 1,
      sym_implicit_length_array_type,
    ACTIONS(281), 2,
      anon_sym_new,
      anon_sym_make,
    STATE(821), 2,
      sym_union_type,
      sym_negated_type,
    STATE(1224), 2,
      sym_parenthesized_type,
      sym__simple_type,
    ACTIONS(285), 3,
      sym_raw_string_literal,
      sym_imaginary_literal,
      sym_rune_literal,
    STATE(830), 4,
      sym_pointer_type,
      sym_interface_type,
      sym_channel_type,
      sym_function_type,
    ACTIONS(391), 5,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_BANG,
      anon_sym_CARET,
      anon_sym_AMP,
    STATE(864), 5,
      sym_generic_type,
      sym_array_type,
      sym_slice_type,
      sym_struct_type,
      sym_map_type,
    ACTIONS(289), 6,
      sym_int_literal,
      sym_float_literal,
      sym_nil,
      sym_true,
      sym_false,
      sym_iota,
    STATE(394), 12,
      sym_parenthesized_expression,
      sym_call_expression,
      sym_selector_expression,
      sym_index_expression,
      sym_slice_expression,
      sym_type_assertion_expression,
      sym_type_conversion_expression,
      sym_composite_literal,
      sym_func_literal,
      sym_unary_expression,
      sym_binary_expression,
      sym_interpreted_string_literal,
  [19967] = 25,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(23), 1,
      anon_sym_LBRACK,
    ACTIONS(29), 1,
      anon_sym_struct,
    ACTIONS(31), 1,
      anon_sym_TILDE,
    ACTIONS(35), 1,
      anon_sym_interface,
    ACTIONS(37), 1,
      anon_sym_map,
    ACTIONS(39), 1,
      anon_sym_chan,
    ACTIONS(265), 1,
      sym_identifier,
    ACTIONS(267), 1,
      anon_sym_LPAREN,
    ACTIONS(271), 1,
      anon_sym_func,
    ACTIONS(287), 1,
      anon_sym_DQUOTE,
    ACTIONS(389), 1,
      anon_sym_LT_DASH,
    ACTIONS(559), 1,
      anon_sym_STAR,
    STATE(683), 1,
      sym__expression,
    STATE(859), 1,
      sym_qualified_type,
    STATE(1246), 1,
      sym_implicit_length_array_type,
    ACTIONS(281), 2,
      anon_sym_new,
      anon_sym_make,
    STATE(821), 2,
      sym_union_type,
      sym_negated_type,
    STATE(1149), 2,
      sym_parenthesized_type,
      sym__simple_type,
    ACTIONS(285), 3,
      sym_raw_string_literal,
      sym_imaginary_literal,
      sym_rune_literal,
    STATE(830), 4,
      sym_pointer_type,
      sym_interface_type,
      sym_channel_type,
      sym_function_type,
    ACTIONS(391), 5,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_BANG,
      anon_sym_CARET,
      anon_sym_AMP,
    STATE(864), 5,
      sym_generic_type,
      sym_array_type,
      sym_slice_type,
      sym_struct_type,
      sym_map_type,
    ACTIONS(289), 6,
      sym_int_literal,
      sym_float_literal,
      sym_nil,
      sym_true,
      sym_false,
      sym_iota,
    STATE(394), 12,
      sym_parenthesized_expression,
      sym_call_expression,
      sym_selector_expression,
      sym_index_expression,
      sym_slice_expression,
      sym_type_assertion_expression,
      sym_type_conversion_expression,
      sym_composite_literal,
      sym_func_literal,
      sym_unary_expression,
      sym_binary_expression,
      sym_interpreted_string_literal,
  [20075] = 25,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(23), 1,
      anon_sym_LBRACK,
    ACTIONS(29), 1,
      anon_sym_struct,
    ACTIONS(31), 1,
      anon_sym_TILDE,
    ACTIONS(35), 1,
      anon_sym_interface,
    ACTIONS(37), 1,
      anon_sym_map,
    ACTIONS(39), 1,
      anon_sym_chan,
    ACTIONS(267), 1,
      anon_sym_LPAREN,
    ACTIONS(271), 1,
      anon_sym_func,
    ACTIONS(287), 1,
      anon_sym_DQUOTE,
    ACTIONS(383), 1,
      sym_identifier,
    ACTIONS(387), 1,
      anon_sym_STAR,
    ACTIONS(389), 1,
      anon_sym_LT_DASH,
    STATE(375), 1,
      sym__expression,
    STATE(859), 1,
      sym_qualified_type,
    STATE(1246), 1,
      sym_implicit_length_array_type,
    ACTIONS(281), 2,
      anon_sym_new,
      anon_sym_make,
    STATE(821), 2,
      sym_union_type,
      sym_negated_type,
    STATE(969), 2,
      sym_parenthesized_type,
      sym__simple_type,
    ACTIONS(285), 3,
      sym_raw_string_literal,
      sym_imaginary_literal,
      sym_rune_literal,
    STATE(830), 4,
      sym_pointer_type,
      sym_interface_type,
      sym_channel_type,
      sym_function_type,
    ACTIONS(391), 5,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_BANG,
      anon_sym_CARET,
      anon_sym_AMP,
    STATE(864), 5,
      sym_generic_type,
      sym_array_type,
      sym_slice_type,
      sym_struct_type,
      sym_map_type,
    ACTIONS(289), 6,
      sym_int_literal,
      sym_float_literal,
      sym_nil,
      sym_true,
      sym_false,
      sym_iota,
    STATE(394), 12,
      sym_parenthesized_expression,
      sym_call_expression,
      sym_selector_expression,
      sym_index_expression,
      sym_slice_expression,
      sym_type_assertion_expression,
      sym_type_conversion_expression,
      sym_composite_literal,
      sym_func_literal,
      sym_unary_expression,
      sym_binary_expression,
      sym_interpreted_string_literal,
  [20183] = 25,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(23), 1,
      anon_sym_LBRACK,
    ACTIONS(29), 1,
      anon_sym_struct,
    ACTIONS(31), 1,
      anon_sym_TILDE,
    ACTIONS(35), 1,
      anon_sym_interface,
    ACTIONS(37), 1,
      anon_sym_map,
    ACTIONS(39), 1,
      anon_sym_chan,
    ACTIONS(363), 1,
      sym_identifier,
    ACTIONS(365), 1,
      anon_sym_LPAREN,
    ACTIONS(367), 1,
      anon_sym_func,
    ACTIONS(369), 1,
      anon_sym_STAR,
    ACTIONS(371), 1,
      anon_sym_LT_DASH,
    ACTIONS(379), 1,
      anon_sym_DQUOTE,
    STATE(469), 1,
      sym__expression,
    STATE(910), 1,
      sym_qualified_type,
    STATE(1255), 1,
      sym_implicit_length_array_type,
    ACTIONS(373), 2,
      anon_sym_new,
      anon_sym_make,
    STATE(821), 2,
      sym_union_type,
      sym_negated_type,
    STATE(1210), 2,
      sym_parenthesized_type,
      sym__simple_type,
    ACTIONS(377), 3,
      sym_raw_string_literal,
      sym_imaginary_literal,
      sym_rune_literal,
    STATE(830), 4,
      sym_pointer_type,
      sym_interface_type,
      sym_channel_type,
      sym_function_type,
    ACTIONS(375), 5,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_BANG,
      anon_sym_CARET,
      anon_sym_AMP,
    STATE(1076), 5,
      sym_generic_type,
      sym_array_type,
      sym_slice_type,
      sym_struct_type,
      sym_map_type,
    ACTIONS(381), 6,
      sym_int_literal,
      sym_float_literal,
      sym_nil,
      sym_true,
      sym_false,
      sym_iota,
    STATE(582), 12,
      sym_parenthesized_expression,
      sym_call_expression,
      sym_selector_expression,
      sym_index_expression,
      sym_slice_expression,
      sym_type_assertion_expression,
      sym_type_conversion_expression,
      sym_composite_literal,
      sym_func_literal,
      sym_unary_expression,
      sym_binary_expression,
      sym_interpreted_string_literal,
  [20291] = 25,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(23), 1,
      anon_sym_LBRACK,
    ACTIONS(29), 1,
      anon_sym_struct,
    ACTIONS(31), 1,
      anon_sym_TILDE,
    ACTIONS(35), 1,
      anon_sym_interface,
    ACTIONS(37), 1,
      anon_sym_map,
    ACTIONS(39), 1,
      anon_sym_chan,
    ACTIONS(265), 1,
      sym_identifier,
    ACTIONS(267), 1,
      anon_sym_LPAREN,
    ACTIONS(271), 1,
      anon_sym_func,
    ACTIONS(273), 1,
      anon_sym_STAR,
    ACTIONS(279), 1,
      anon_sym_LT_DASH,
    ACTIONS(287), 1,
      anon_sym_DQUOTE,
    STATE(633), 1,
      sym__expression,
    STATE(859), 1,
      sym_qualified_type,
    STATE(1246), 1,
      sym_implicit_length_array_type,
    ACTIONS(281), 2,
      anon_sym_new,
      anon_sym_make,
    STATE(821), 2,
      sym_union_type,
      sym_negated_type,
    STATE(1224), 2,
      sym_parenthesized_type,
      sym__simple_type,
    ACTIONS(285), 3,
      sym_raw_string_literal,
      sym_imaginary_literal,
      sym_rune_literal,
    STATE(830), 4,
      sym_pointer_type,
      sym_interface_type,
      sym_channel_type,
      sym_function_type,
    ACTIONS(283), 5,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_BANG,
      anon_sym_CARET,
      anon_sym_AMP,
    STATE(864), 5,
      sym_generic_type,
      sym_array_type,
      sym_slice_type,
      sym_struct_type,
      sym_map_type,
    ACTIONS(289), 6,
      sym_int_literal,
      sym_float_literal,
      sym_nil,
      sym_true,
      sym_false,
      sym_iota,
    STATE(394), 12,
      sym_parenthesized_expression,
      sym_call_expression,
      sym_selector_expression,
      sym_index_expression,
      sym_slice_expression,
      sym_type_assertion_expression,
      sym_type_conversion_expression,
      sym_composite_literal,
      sym_func_literal,
      sym_unary_expression,
      sym_binary_expression,
      sym_interpreted_string_literal,
  [20399] = 25,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(23), 1,
      anon_sym_LBRACK,
    ACTIONS(29), 1,
      anon_sym_struct,
    ACTIONS(31), 1,
      anon_sym_TILDE,
    ACTIONS(35), 1,
      anon_sym_interface,
    ACTIONS(37), 1,
      anon_sym_map,
    ACTIONS(39), 1,
      anon_sym_chan,
    ACTIONS(267), 1,
      anon_sym_LPAREN,
    ACTIONS(271), 1,
      anon_sym_func,
    ACTIONS(287), 1,
      anon_sym_DQUOTE,
    ACTIONS(435), 1,
      sym_identifier,
    ACTIONS(437), 1,
      anon_sym_STAR,
    ACTIONS(441), 1,
      anon_sym_LT_DASH,
    STATE(733), 1,
      sym__expression,
    STATE(859), 1,
      sym_qualified_type,
    STATE(1246), 1,
      sym_implicit_length_array_type,
    ACTIONS(281), 2,
      anon_sym_new,
      anon_sym_make,
    STATE(821), 2,
      sym_union_type,
      sym_negated_type,
    STATE(1224), 2,
      sym_parenthesized_type,
      sym__simple_type,
    ACTIONS(285), 3,
      sym_raw_string_literal,
      sym_imaginary_literal,
      sym_rune_literal,
    STATE(830), 4,
      sym_pointer_type,
      sym_interface_type,
      sym_channel_type,
      sym_function_type,
    ACTIONS(443), 5,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_BANG,
      anon_sym_CARET,
      anon_sym_AMP,
    STATE(864), 5,
      sym_generic_type,
      sym_array_type,
      sym_slice_type,
      sym_struct_type,
      sym_map_type,
    ACTIONS(289), 6,
      sym_int_literal,
      sym_float_literal,
      sym_nil,
      sym_true,
      sym_false,
      sym_iota,
    STATE(394), 12,
      sym_parenthesized_expression,
      sym_call_expression,
      sym_selector_expression,
      sym_index_expression,
      sym_slice_expression,
      sym_type_assertion_expression,
      sym_type_conversion_expression,
      sym_composite_literal,
      sym_func_literal,
      sym_unary_expression,
      sym_binary_expression,
      sym_interpreted_string_literal,
  [20507] = 25,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(23), 1,
      anon_sym_LBRACK,
    ACTIONS(29), 1,
      anon_sym_struct,
    ACTIONS(31), 1,
      anon_sym_TILDE,
    ACTIONS(35), 1,
      anon_sym_interface,
    ACTIONS(37), 1,
      anon_sym_map,
    ACTIONS(39), 1,
      anon_sym_chan,
    ACTIONS(295), 1,
      sym_identifier,
    ACTIONS(303), 1,
      anon_sym_func,
    ACTIONS(455), 1,
      anon_sym_LPAREN,
    ACTIONS(457), 1,
      anon_sym_STAR,
    ACTIONS(459), 1,
      anon_sym_LT_DASH,
    ACTIONS(465), 1,
      anon_sym_DQUOTE,
    STATE(442), 1,
      sym__expression,
    STATE(887), 1,
      sym_qualified_type,
    STATE(1229), 1,
      sym_implicit_length_array_type,
    ACTIONS(313), 2,
      anon_sym_new,
      anon_sym_make,
    STATE(821), 2,
      sym_union_type,
      sym_negated_type,
    STATE(1217), 2,
      sym_parenthesized_type,
      sym__simple_type,
    ACTIONS(463), 3,
      sym_raw_string_literal,
      sym_imaginary_literal,
      sym_rune_literal,
    STATE(830), 4,
      sym_pointer_type,
      sym_interface_type,
      sym_channel_type,
      sym_function_type,
    ACTIONS(461), 5,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_BANG,
      anon_sym_CARET,
      anon_sym_AMP,
    STATE(1074), 5,
      sym_generic_type,
      sym_array_type,
      sym_slice_type,
      sym_struct_type,
      sym_map_type,
    ACTIONS(317), 6,
      sym_int_literal,
      sym_float_literal,
      sym_nil,
      sym_true,
      sym_false,
      sym_iota,
    STATE(522), 12,
      sym_parenthesized_expression,
      sym_call_expression,
      sym_selector_expression,
      sym_index_expression,
      sym_slice_expression,
      sym_type_assertion_expression,
      sym_type_conversion_expression,
      sym_composite_literal,
      sym_func_literal,
      sym_unary_expression,
      sym_binary_expression,
      sym_interpreted_string_literal,
  [20615] = 25,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(23), 1,
      anon_sym_LBRACK,
    ACTIONS(29), 1,
      anon_sym_struct,
    ACTIONS(31), 1,
      anon_sym_TILDE,
    ACTIONS(35), 1,
      anon_sym_interface,
    ACTIONS(37), 1,
      anon_sym_map,
    ACTIONS(267), 1,
      anon_sym_LPAREN,
    ACTIONS(271), 1,
      anon_sym_func,
    ACTIONS(287), 1,
      anon_sym_DQUOTE,
    ACTIONS(435), 1,
      sym_identifier,
    ACTIONS(437), 1,
      anon_sym_STAR,
    ACTIONS(441), 1,
      anon_sym_LT_DASH,
    ACTIONS(557), 1,
      anon_sym_chan,
    STATE(375), 1,
      sym__expression,
    STATE(859), 1,
      sym_qualified_type,
    STATE(1246), 1,
      sym_implicit_length_array_type,
    ACTIONS(281), 2,
      anon_sym_new,
      anon_sym_make,
    STATE(821), 2,
      sym_union_type,
      sym_negated_type,
    STATE(1224), 2,
      sym_parenthesized_type,
      sym__simple_type,
    ACTIONS(285), 3,
      sym_raw_string_literal,
      sym_imaginary_literal,
      sym_rune_literal,
    STATE(830), 4,
      sym_pointer_type,
      sym_interface_type,
      sym_channel_type,
      sym_function_type,
    ACTIONS(443), 5,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_BANG,
      anon_sym_CARET,
      anon_sym_AMP,
    STATE(864), 5,
      sym_generic_type,
      sym_array_type,
      sym_slice_type,
      sym_struct_type,
      sym_map_type,
    ACTIONS(289), 6,
      sym_int_literal,
      sym_float_literal,
      sym_nil,
      sym_true,
      sym_false,
      sym_iota,
    STATE(394), 12,
      sym_parenthesized_expression,
      sym_call_expression,
      sym_selector_expression,
      sym_index_expression,
      sym_slice_expression,
      sym_type_assertion_expression,
      sym_type_conversion_expression,
      sym_composite_literal,
      sym_func_literal,
      sym_unary_expression,
      sym_binary_expression,
      sym_interpreted_string_literal,
  [20723] = 25,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(23), 1,
      anon_sym_LBRACK,
    ACTIONS(29), 1,
      anon_sym_struct,
    ACTIONS(31), 1,
      anon_sym_TILDE,
    ACTIONS(35), 1,
      anon_sym_interface,
    ACTIONS(37), 1,
      anon_sym_map,
    ACTIONS(39), 1,
      anon_sym_chan,
    ACTIONS(265), 1,
      sym_identifier,
    ACTIONS(267), 1,
      anon_sym_LPAREN,
    ACTIONS(271), 1,
      anon_sym_func,
    ACTIONS(273), 1,
      anon_sym_STAR,
    ACTIONS(279), 1,
      anon_sym_LT_DASH,
    ACTIONS(287), 1,
      anon_sym_DQUOTE,
    STATE(688), 1,
      sym__expression,
    STATE(859), 1,
      sym_qualified_type,
    STATE(1246), 1,
      sym_implicit_length_array_type,
    ACTIONS(281), 2,
      anon_sym_new,
      anon_sym_make,
    STATE(821), 2,
      sym_union_type,
      sym_negated_type,
    STATE(1224), 2,
      sym_parenthesized_type,
      sym__simple_type,
    ACTIONS(285), 3,
      sym_raw_string_literal,
      sym_imaginary_literal,
      sym_rune_literal,
    STATE(830), 4,
      sym_pointer_type,
      sym_interface_type,
      sym_channel_type,
      sym_function_type,
    ACTIONS(283), 5,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_BANG,
      anon_sym_CARET,
      anon_sym_AMP,
    STATE(864), 5,
      sym_generic_type,
      sym_array_type,
      sym_slice_type,
      sym_struct_type,
      sym_map_type,
    ACTIONS(289), 6,
      sym_int_literal,
      sym_float_literal,
      sym_nil,
      sym_true,
      sym_false,
      sym_iota,
    STATE(394), 12,
      sym_parenthesized_expression,
      sym_call_expression,
      sym_selector_expression,
      sym_index_expression,
      sym_slice_expression,
      sym_type_assertion_expression,
      sym_type_conversion_expression,
      sym_composite_literal,
      sym_func_literal,
      sym_unary_expression,
      sym_binary_expression,
      sym_interpreted_string_literal,
  [20831] = 25,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(23), 1,
      anon_sym_LBRACK,
    ACTIONS(29), 1,
      anon_sym_struct,
    ACTIONS(31), 1,
      anon_sym_TILDE,
    ACTIONS(35), 1,
      anon_sym_interface,
    ACTIONS(37), 1,
      anon_sym_map,
    ACTIONS(39), 1,
      anon_sym_chan,
    ACTIONS(265), 1,
      sym_identifier,
    ACTIONS(267), 1,
      anon_sym_LPAREN,
    ACTIONS(271), 1,
      anon_sym_func,
    ACTIONS(273), 1,
      anon_sym_STAR,
    ACTIONS(279), 1,
      anon_sym_LT_DASH,
    ACTIONS(287), 1,
      anon_sym_DQUOTE,
    STATE(751), 1,
      sym__expression,
    STATE(859), 1,
      sym_qualified_type,
    STATE(1246), 1,
      sym_implicit_length_array_type,
    ACTIONS(281), 2,
      anon_sym_new,
      anon_sym_make,
    STATE(821), 2,
      sym_union_type,
      sym_negated_type,
    STATE(1224), 2,
      sym_parenthesized_type,
      sym__simple_type,
    ACTIONS(285), 3,
      sym_raw_string_literal,
      sym_imaginary_literal,
      sym_rune_literal,
    STATE(830), 4,
      sym_pointer_type,
      sym_interface_type,
      sym_channel_type,
      sym_function_type,
    ACTIONS(283), 5,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_BANG,
      anon_sym_CARET,
      anon_sym_AMP,
    STATE(864), 5,
      sym_generic_type,
      sym_array_type,
      sym_slice_type,
      sym_struct_type,
      sym_map_type,
    ACTIONS(289), 6,
      sym_int_literal,
      sym_float_literal,
      sym_nil,
      sym_true,
      sym_false,
      sym_iota,
    STATE(394), 12,
      sym_parenthesized_expression,
      sym_call_expression,
      sym_selector_expression,
      sym_index_expression,
      sym_slice_expression,
      sym_type_assertion_expression,
      sym_type_conversion_expression,
      sym_composite_literal,
      sym_func_literal,
      sym_unary_expression,
      sym_binary_expression,
      sym_interpreted_string_literal,
  [20939] = 25,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(23), 1,
      anon_sym_LBRACK,
    ACTIONS(29), 1,
      anon_sym_struct,
    ACTIONS(31), 1,
      anon_sym_TILDE,
    ACTIONS(35), 1,
      anon_sym_interface,
    ACTIONS(37), 1,
      anon_sym_map,
    ACTIONS(39), 1,
      anon_sym_chan,
    ACTIONS(363), 1,
      sym_identifier,
    ACTIONS(365), 1,
      anon_sym_LPAREN,
    ACTIONS(367), 1,
      anon_sym_func,
    ACTIONS(369), 1,
      anon_sym_STAR,
    ACTIONS(371), 1,
      anon_sym_LT_DASH,
    ACTIONS(379), 1,
      anon_sym_DQUOTE,
    STATE(458), 1,
      sym__expression,
    STATE(910), 1,
      sym_qualified_type,
    STATE(1255), 1,
      sym_implicit_length_array_type,
    ACTIONS(373), 2,
      anon_sym_new,
      anon_sym_make,
    STATE(821), 2,
      sym_union_type,
      sym_negated_type,
    STATE(1210), 2,
      sym_parenthesized_type,
      sym__simple_type,
    ACTIONS(377), 3,
      sym_raw_string_literal,
      sym_imaginary_literal,
      sym_rune_literal,
    STATE(830), 4,
      sym_pointer_type,
      sym_interface_type,
      sym_channel_type,
      sym_function_type,
    ACTIONS(375), 5,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_BANG,
      anon_sym_CARET,
      anon_sym_AMP,
    STATE(1076), 5,
      sym_generic_type,
      sym_array_type,
      sym_slice_type,
      sym_struct_type,
      sym_map_type,
    ACTIONS(381), 6,
      sym_int_literal,
      sym_float_literal,
      sym_nil,
      sym_true,
      sym_false,
      sym_iota,
    STATE(582), 12,
      sym_parenthesized_expression,
      sym_call_expression,
      sym_selector_expression,
      sym_index_expression,
      sym_slice_expression,
      sym_type_assertion_expression,
      sym_type_conversion_expression,
      sym_composite_literal,
      sym_func_literal,
      sym_unary_expression,
      sym_binary_expression,
      sym_interpreted_string_literal,
  [21047] = 25,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(23), 1,
      anon_sym_LBRACK,
    ACTIONS(29), 1,
      anon_sym_struct,
    ACTIONS(31), 1,
      anon_sym_TILDE,
    ACTIONS(35), 1,
      anon_sym_interface,
    ACTIONS(37), 1,
      anon_sym_map,
    ACTIONS(39), 1,
      anon_sym_chan,
    ACTIONS(295), 1,
      sym_identifier,
    ACTIONS(303), 1,
      anon_sym_func,
    ACTIONS(455), 1,
      anon_sym_LPAREN,
    ACTIONS(457), 1,
      anon_sym_STAR,
    ACTIONS(459), 1,
      anon_sym_LT_DASH,
    ACTIONS(465), 1,
      anon_sym_DQUOTE,
    STATE(434), 1,
      sym__expression,
    STATE(887), 1,
      sym_qualified_type,
    STATE(1229), 1,
      sym_implicit_length_array_type,
    ACTIONS(313), 2,
      anon_sym_new,
      anon_sym_make,
    STATE(821), 2,
      sym_union_type,
      sym_negated_type,
    STATE(1217), 2,
      sym_parenthesized_type,
      sym__simple_type,
    ACTIONS(463), 3,
      sym_raw_string_literal,
      sym_imaginary_literal,
      sym_rune_literal,
    STATE(830), 4,
      sym_pointer_type,
      sym_interface_type,
      sym_channel_type,
      sym_function_type,
    ACTIONS(461), 5,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_BANG,
      anon_sym_CARET,
      anon_sym_AMP,
    STATE(1074), 5,
      sym_generic_type,
      sym_array_type,
      sym_slice_type,
      sym_struct_type,
      sym_map_type,
    ACTIONS(317), 6,
      sym_int_literal,
      sym_float_literal,
      sym_nil,
      sym_true,
      sym_false,
      sym_iota,
    STATE(522), 12,
      sym_parenthesized_expression,
      sym_call_expression,
      sym_selector_expression,
      sym_index_expression,
      sym_slice_expression,
      sym_type_assertion_expression,
      sym_type_conversion_expression,
      sym_composite_literal,
      sym_func_literal,
      sym_unary_expression,
      sym_binary_expression,
      sym_interpreted_string_literal,
  [21155] = 25,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(23), 1,
      anon_sym_LBRACK,
    ACTIONS(29), 1,
      anon_sym_struct,
    ACTIONS(31), 1,
      anon_sym_TILDE,
    ACTIONS(35), 1,
      anon_sym_interface,
    ACTIONS(37), 1,
      anon_sym_map,
    ACTIONS(39), 1,
      anon_sym_chan,
    ACTIONS(363), 1,
      sym_identifier,
    ACTIONS(365), 1,
      anon_sym_LPAREN,
    ACTIONS(367), 1,
      anon_sym_func,
    ACTIONS(369), 1,
      anon_sym_STAR,
    ACTIONS(371), 1,
      anon_sym_LT_DASH,
    ACTIONS(379), 1,
      anon_sym_DQUOTE,
    STATE(480), 1,
      sym__expression,
    STATE(910), 1,
      sym_qualified_type,
    STATE(1255), 1,
      sym_implicit_length_array_type,
    ACTIONS(373), 2,
      anon_sym_new,
      anon_sym_make,
    STATE(821), 2,
      sym_union_type,
      sym_negated_type,
    STATE(1210), 2,
      sym_parenthesized_type,
      sym__simple_type,
    ACTIONS(377), 3,
      sym_raw_string_literal,
      sym_imaginary_literal,
      sym_rune_literal,
    STATE(830), 4,
      sym_pointer_type,
      sym_interface_type,
      sym_channel_type,
      sym_function_type,
    ACTIONS(375), 5,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_BANG,
      anon_sym_CARET,
      anon_sym_AMP,
    STATE(1076), 5,
      sym_generic_type,
      sym_array_type,
      sym_slice_type,
      sym_struct_type,
      sym_map_type,
    ACTIONS(381), 6,
      sym_int_literal,
      sym_float_literal,
      sym_nil,
      sym_true,
      sym_false,
      sym_iota,
    STATE(582), 12,
      sym_parenthesized_expression,
      sym_call_expression,
      sym_selector_expression,
      sym_index_expression,
      sym_slice_expression,
      sym_type_assertion_expression,
      sym_type_conversion_expression,
      sym_composite_literal,
      sym_func_literal,
      sym_unary_expression,
      sym_binary_expression,
      sym_interpreted_string_literal,
  [21263] = 25,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(23), 1,
      anon_sym_LBRACK,
    ACTIONS(29), 1,
      anon_sym_struct,
    ACTIONS(31), 1,
      anon_sym_TILDE,
    ACTIONS(35), 1,
      anon_sym_interface,
    ACTIONS(37), 1,
      anon_sym_map,
    ACTIONS(39), 1,
      anon_sym_chan,
    ACTIONS(363), 1,
      sym_identifier,
    ACTIONS(365), 1,
      anon_sym_LPAREN,
    ACTIONS(367), 1,
      anon_sym_func,
    ACTIONS(369), 1,
      anon_sym_STAR,
    ACTIONS(371), 1,
      anon_sym_LT_DASH,
    ACTIONS(379), 1,
      anon_sym_DQUOTE,
    STATE(475), 1,
      sym__expression,
    STATE(910), 1,
      sym_qualified_type,
    STATE(1255), 1,
      sym_implicit_length_array_type,
    ACTIONS(373), 2,
      anon_sym_new,
      anon_sym_make,
    STATE(821), 2,
      sym_union_type,
      sym_negated_type,
    STATE(1210), 2,
      sym_parenthesized_type,
      sym__simple_type,
    ACTIONS(377), 3,
      sym_raw_string_literal,
      sym_imaginary_literal,
      sym_rune_literal,
    STATE(830), 4,
      sym_pointer_type,
      sym_interface_type,
      sym_channel_type,
      sym_function_type,
    ACTIONS(375), 5,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_BANG,
      anon_sym_CARET,
      anon_sym_AMP,
    STATE(1076), 5,
      sym_generic_type,
      sym_array_type,
      sym_slice_type,
      sym_struct_type,
      sym_map_type,
    ACTIONS(381), 6,
      sym_int_literal,
      sym_float_literal,
      sym_nil,
      sym_true,
      sym_false,
      sym_iota,
    STATE(582), 12,
      sym_parenthesized_expression,
      sym_call_expression,
      sym_selector_expression,
      sym_index_expression,
      sym_slice_expression,
      sym_type_assertion_expression,
      sym_type_conversion_expression,
      sym_composite_literal,
      sym_func_literal,
      sym_unary_expression,
      sym_binary_expression,
      sym_interpreted_string_literal,
  [21371] = 25,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(23), 1,
      anon_sym_LBRACK,
    ACTIONS(29), 1,
      anon_sym_struct,
    ACTIONS(31), 1,
      anon_sym_TILDE,
    ACTIONS(35), 1,
      anon_sym_interface,
    ACTIONS(37), 1,
      anon_sym_map,
    ACTIONS(39), 1,
      anon_sym_chan,
    ACTIONS(267), 1,
      anon_sym_LPAREN,
    ACTIONS(271), 1,
      anon_sym_func,
    ACTIONS(287), 1,
      anon_sym_DQUOTE,
    ACTIONS(435), 1,
      sym_identifier,
    ACTIONS(437), 1,
      anon_sym_STAR,
    ACTIONS(441), 1,
      anon_sym_LT_DASH,
    STATE(601), 1,
      sym__expression,
    STATE(859), 1,
      sym_qualified_type,
    STATE(1246), 1,
      sym_implicit_length_array_type,
    ACTIONS(281), 2,
      anon_sym_new,
      anon_sym_make,
    STATE(821), 2,
      sym_union_type,
      sym_negated_type,
    STATE(1224), 2,
      sym_parenthesized_type,
      sym__simple_type,
    ACTIONS(285), 3,
      sym_raw_string_literal,
      sym_imaginary_literal,
      sym_rune_literal,
    STATE(830), 4,
      sym_pointer_type,
      sym_interface_type,
      sym_channel_type,
      sym_function_type,
    ACTIONS(443), 5,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_BANG,
      anon_sym_CARET,
      anon_sym_AMP,
    STATE(864), 5,
      sym_generic_type,
      sym_array_type,
      sym_slice_type,
      sym_struct_type,
      sym_map_type,
    ACTIONS(289), 6,
      sym_int_literal,
      sym_float_literal,
      sym_nil,
      sym_true,
      sym_false,
      sym_iota,
    STATE(394), 12,
      sym_parenthesized_expression,
      sym_call_expression,
      sym_selector_expression,
      sym_index_expression,
      sym_slice_expression,
      sym_type_assertion_expression,
      sym_type_conversion_expression,
      sym_composite_literal,
      sym_func_literal,
      sym_unary_expression,
      sym_binary_expression,
      sym_interpreted_string_literal,
  [21479] = 25,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(23), 1,
      anon_sym_LBRACK,
    ACTIONS(29), 1,
      anon_sym_struct,
    ACTIONS(31), 1,
      anon_sym_TILDE,
    ACTIONS(35), 1,
      anon_sym_interface,
    ACTIONS(37), 1,
      anon_sym_map,
    ACTIONS(39), 1,
      anon_sym_chan,
    ACTIONS(265), 1,
      sym_identifier,
    ACTIONS(267), 1,
      anon_sym_LPAREN,
    ACTIONS(271), 1,
      anon_sym_func,
    ACTIONS(273), 1,
      anon_sym_STAR,
    ACTIONS(279), 1,
      anon_sym_LT_DASH,
    ACTIONS(287), 1,
      anon_sym_DQUOTE,
    STATE(694), 1,
      sym__expression,
    STATE(859), 1,
      sym_qualified_type,
    STATE(1246), 1,
      sym_implicit_length_array_type,
    ACTIONS(281), 2,
      anon_sym_new,
      anon_sym_make,
    STATE(821), 2,
      sym_union_type,
      sym_negated_type,
    STATE(1224), 2,
      sym_parenthesized_type,
      sym__simple_type,
    ACTIONS(285), 3,
      sym_raw_string_literal,
      sym_imaginary_literal,
      sym_rune_literal,
    STATE(830), 4,
      sym_pointer_type,
      sym_interface_type,
      sym_channel_type,
      sym_function_type,
    ACTIONS(283), 5,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_BANG,
      anon_sym_CARET,
      anon_sym_AMP,
    STATE(864), 5,
      sym_generic_type,
      sym_array_type,
      sym_slice_type,
      sym_struct_type,
      sym_map_type,
    ACTIONS(289), 6,
      sym_int_literal,
      sym_float_literal,
      sym_nil,
      sym_true,
      sym_false,
      sym_iota,
    STATE(394), 12,
      sym_parenthesized_expression,
      sym_call_expression,
      sym_selector_expression,
      sym_index_expression,
      sym_slice_expression,
      sym_type_assertion_expression,
      sym_type_conversion_expression,
      sym_composite_literal,
      sym_func_literal,
      sym_unary_expression,
      sym_binary_expression,
      sym_interpreted_string_literal,
  [21587] = 25,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(23), 1,
      anon_sym_LBRACK,
    ACTIONS(29), 1,
      anon_sym_struct,
    ACTIONS(31), 1,
      anon_sym_TILDE,
    ACTIONS(35), 1,
      anon_sym_interface,
    ACTIONS(37), 1,
      anon_sym_map,
    ACTIONS(39), 1,
      anon_sym_chan,
    ACTIONS(265), 1,
      sym_identifier,
    ACTIONS(267), 1,
      anon_sym_LPAREN,
    ACTIONS(271), 1,
      anon_sym_func,
    ACTIONS(273), 1,
      anon_sym_STAR,
    ACTIONS(279), 1,
      anon_sym_LT_DASH,
    ACTIONS(287), 1,
      anon_sym_DQUOTE,
    STATE(720), 1,
      sym__expression,
    STATE(859), 1,
      sym_qualified_type,
    STATE(1246), 1,
      sym_implicit_length_array_type,
    ACTIONS(281), 2,
      anon_sym_new,
      anon_sym_make,
    STATE(821), 2,
      sym_union_type,
      sym_negated_type,
    STATE(1224), 2,
      sym_parenthesized_type,
      sym__simple_type,
    ACTIONS(285), 3,
      sym_raw_string_literal,
      sym_imaginary_literal,
      sym_rune_literal,
    STATE(830), 4,
      sym_pointer_type,
      sym_interface_type,
      sym_channel_type,
      sym_function_type,
    ACTIONS(283), 5,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_BANG,
      anon_sym_CARET,
      anon_sym_AMP,
    STATE(864), 5,
      sym_generic_type,
      sym_array_type,
      sym_slice_type,
      sym_struct_type,
      sym_map_type,
    ACTIONS(289), 6,
      sym_int_literal,
      sym_float_literal,
      sym_nil,
      sym_true,
      sym_false,
      sym_iota,
    STATE(394), 12,
      sym_parenthesized_expression,
      sym_call_expression,
      sym_selector_expression,
      sym_index_expression,
      sym_slice_expression,
      sym_type_assertion_expression,
      sym_type_conversion_expression,
      sym_composite_literal,
      sym_func_literal,
      sym_unary_expression,
      sym_binary_expression,
      sym_interpreted_string_literal,
  [21695] = 25,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(23), 1,
      anon_sym_LBRACK,
    ACTIONS(29), 1,
      anon_sym_struct,
    ACTIONS(31), 1,
      anon_sym_TILDE,
    ACTIONS(35), 1,
      anon_sym_interface,
    ACTIONS(37), 1,
      anon_sym_map,
    ACTIONS(267), 1,
      anon_sym_LPAREN,
    ACTIONS(271), 1,
      anon_sym_func,
    ACTIONS(287), 1,
      anon_sym_DQUOTE,
    ACTIONS(383), 1,
      sym_identifier,
    ACTIONS(387), 1,
      anon_sym_STAR,
    ACTIONS(389), 1,
      anon_sym_LT_DASH,
    ACTIONS(557), 1,
      anon_sym_chan,
    STATE(375), 1,
      sym__expression,
    STATE(859), 1,
      sym_qualified_type,
    STATE(1246), 1,
      sym_implicit_length_array_type,
    ACTIONS(281), 2,
      anon_sym_new,
      anon_sym_make,
    STATE(821), 2,
      sym_union_type,
      sym_negated_type,
    STATE(1224), 2,
      sym_parenthesized_type,
      sym__simple_type,
    ACTIONS(285), 3,
      sym_raw_string_literal,
      sym_imaginary_literal,
      sym_rune_literal,
    STATE(830), 4,
      sym_pointer_type,
      sym_interface_type,
      sym_channel_type,
      sym_function_type,
    ACTIONS(391), 5,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_BANG,
      anon_sym_CARET,
      anon_sym_AMP,
    STATE(864), 5,
      sym_generic_type,
      sym_array_type,
      sym_slice_type,
      sym_struct_type,
      sym_map_type,
    ACTIONS(289), 6,
      sym_int_literal,
      sym_float_literal,
      sym_nil,
      sym_true,
      sym_false,
      sym_iota,
    STATE(394), 12,
      sym_parenthesized_expression,
      sym_call_expression,
      sym_selector_expression,
      sym_index_expression,
      sym_slice_expression,
      sym_type_assertion_expression,
      sym_type_conversion_expression,
      sym_composite_literal,
      sym_func_literal,
      sym_unary_expression,
      sym_binary_expression,
      sym_interpreted_string_literal,
  [21803] = 25,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(23), 1,
      anon_sym_LBRACK,
    ACTIONS(29), 1,
      anon_sym_struct,
    ACTIONS(31), 1,
      anon_sym_TILDE,
    ACTIONS(35), 1,
      anon_sym_interface,
    ACTIONS(37), 1,
      anon_sym_map,
    ACTIONS(39), 1,
      anon_sym_chan,
    ACTIONS(363), 1,
      sym_identifier,
    ACTIONS(365), 1,
      anon_sym_LPAREN,
    ACTIONS(367), 1,
      anon_sym_func,
    ACTIONS(369), 1,
      anon_sym_STAR,
    ACTIONS(371), 1,
      anon_sym_LT_DASH,
    ACTIONS(379), 1,
      anon_sym_DQUOTE,
    STATE(481), 1,
      sym__expression,
    STATE(910), 1,
      sym_qualified_type,
    STATE(1255), 1,
      sym_implicit_length_array_type,
    ACTIONS(373), 2,
      anon_sym_new,
      anon_sym_make,
    STATE(821), 2,
      sym_union_type,
      sym_negated_type,
    STATE(1210), 2,
      sym_parenthesized_type,
      sym__simple_type,
    ACTIONS(377), 3,
      sym_raw_string_literal,
      sym_imaginary_literal,
      sym_rune_literal,
    STATE(830), 4,
      sym_pointer_type,
      sym_interface_type,
      sym_channel_type,
      sym_function_type,
    ACTIONS(375), 5,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_BANG,
      anon_sym_CARET,
      anon_sym_AMP,
    STATE(1076), 5,
      sym_generic_type,
      sym_array_type,
      sym_slice_type,
      sym_struct_type,
      sym_map_type,
    ACTIONS(381), 6,
      sym_int_literal,
      sym_float_literal,
      sym_nil,
      sym_true,
      sym_false,
      sym_iota,
    STATE(582), 12,
      sym_parenthesized_expression,
      sym_call_expression,
      sym_selector_expression,
      sym_index_expression,
      sym_slice_expression,
      sym_type_assertion_expression,
      sym_type_conversion_expression,
      sym_composite_literal,
      sym_func_literal,
      sym_unary_expression,
      sym_binary_expression,
      sym_interpreted_string_literal,
  [21911] = 25,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(23), 1,
      anon_sym_LBRACK,
    ACTIONS(29), 1,
      anon_sym_struct,
    ACTIONS(31), 1,
      anon_sym_TILDE,
    ACTIONS(35), 1,
      anon_sym_interface,
    ACTIONS(37), 1,
      anon_sym_map,
    ACTIONS(39), 1,
      anon_sym_chan,
    ACTIONS(267), 1,
      anon_sym_LPAREN,
    ACTIONS(271), 1,
      anon_sym_func,
    ACTIONS(279), 1,
      anon_sym_LT_DASH,
    ACTIONS(287), 1,
      anon_sym_DQUOTE,
    ACTIONS(425), 1,
      anon_sym_STAR,
    ACTIONS(467), 1,
      sym_identifier,
    STATE(375), 1,
      sym__expression,
    STATE(859), 1,
      sym_qualified_type,
    STATE(1246), 1,
      sym_implicit_length_array_type,
    ACTIONS(281), 2,
      anon_sym_new,
      anon_sym_make,
    STATE(821), 2,
      sym_union_type,
      sym_negated_type,
    STATE(969), 2,
      sym_parenthesized_type,
      sym__simple_type,
    ACTIONS(285), 3,
      sym_raw_string_literal,
      sym_imaginary_literal,
      sym_rune_literal,
    STATE(830), 4,
      sym_pointer_type,
      sym_interface_type,
      sym_channel_type,
      sym_function_type,
    ACTIONS(283), 5,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_BANG,
      anon_sym_CARET,
      anon_sym_AMP,
    STATE(864), 5,
      sym_generic_type,
      sym_array_type,
      sym_slice_type,
      sym_struct_type,
      sym_map_type,
    ACTIONS(289), 6,
      sym_int_literal,
      sym_float_literal,
      sym_nil,
      sym_true,
      sym_false,
      sym_iota,
    STATE(394), 12,
      sym_parenthesized_expression,
      sym_call_expression,
      sym_selector_expression,
      sym_index_expression,
      sym_slice_expression,
      sym_type_assertion_expression,
      sym_type_conversion_expression,
      sym_composite_literal,
      sym_func_literal,
      sym_unary_expression,
      sym_binary_expression,
      sym_interpreted_string_literal,
  [22019] = 25,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(23), 1,
      anon_sym_LBRACK,
    ACTIONS(29), 1,
      anon_sym_struct,
    ACTIONS(31), 1,
      anon_sym_TILDE,
    ACTIONS(35), 1,
      anon_sym_interface,
    ACTIONS(37), 1,
      anon_sym_map,
    ACTIONS(39), 1,
      anon_sym_chan,
    ACTIONS(267), 1,
      anon_sym_LPAREN,
    ACTIONS(271), 1,
      anon_sym_func,
    ACTIONS(287), 1,
      anon_sym_DQUOTE,
    ACTIONS(435), 1,
      sym_identifier,
    ACTIONS(437), 1,
      anon_sym_STAR,
    ACTIONS(441), 1,
      anon_sym_LT_DASH,
    STATE(375), 1,
      sym__expression,
    STATE(859), 1,
      sym_qualified_type,
    STATE(1246), 1,
      sym_implicit_length_array_type,
    ACTIONS(281), 2,
      anon_sym_new,
      anon_sym_make,
    STATE(821), 2,
      sym_union_type,
      sym_negated_type,
    STATE(969), 2,
      sym_parenthesized_type,
      sym__simple_type,
    ACTIONS(285), 3,
      sym_raw_string_literal,
      sym_imaginary_literal,
      sym_rune_literal,
    STATE(830), 4,
      sym_pointer_type,
      sym_interface_type,
      sym_channel_type,
      sym_function_type,
    ACTIONS(443), 5,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_BANG,
      anon_sym_CARET,
      anon_sym_AMP,
    STATE(864), 5,
      sym_generic_type,
      sym_array_type,
      sym_slice_type,
      sym_struct_type,
      sym_map_type,
    ACTIONS(289), 6,
      sym_int_literal,
      sym_float_literal,
      sym_nil,
      sym_true,
      sym_false,
      sym_iota,
    STATE(394), 12,
      sym_parenthesized_expression,
      sym_call_expression,
      sym_selector_expression,
      sym_index_expression,
      sym_slice_expression,
      sym_type_assertion_expression,
      sym_type_conversion_expression,
      sym_composite_literal,
      sym_func_literal,
      sym_unary_expression,
      sym_binary_expression,
      sym_interpreted_string_literal,
  [22127] = 25,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(23), 1,
      anon_sym_LBRACK,
    ACTIONS(29), 1,
      anon_sym_struct,
    ACTIONS(31), 1,
      anon_sym_TILDE,
    ACTIONS(35), 1,
      anon_sym_interface,
    ACTIONS(37), 1,
      anon_sym_map,
    ACTIONS(535), 1,
      sym_identifier,
    ACTIONS(537), 1,
      anon_sym_LPAREN,
    ACTIONS(539), 1,
      anon_sym_func,
    ACTIONS(541), 1,
      anon_sym_STAR,
    ACTIONS(543), 1,
      anon_sym_LT_DASH,
    ACTIONS(551), 1,
      anon_sym_DQUOTE,
    ACTIONS(557), 1,
      anon_sym_chan,
    STATE(331), 1,
      sym__expression,
    STATE(906), 1,
      sym_qualified_type,
    STATE(1220), 1,
      sym_implicit_length_array_type,
    ACTIONS(545), 2,
      anon_sym_new,
      anon_sym_make,
    STATE(821), 2,
      sym_union_type,
      sym_negated_type,
    STATE(1211), 2,
      sym_parenthesized_type,
      sym__simple_type,
    ACTIONS(549), 3,
      sym_raw_string_literal,
      sym_imaginary_literal,
      sym_rune_literal,
    STATE(830), 4,
      sym_pointer_type,
      sym_interface_type,
      sym_channel_type,
      sym_function_type,
    ACTIONS(547), 5,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_BANG,
      anon_sym_CARET,
      anon_sym_AMP,
    STATE(1019), 5,
      sym_generic_type,
      sym_array_type,
      sym_slice_type,
      sym_struct_type,
      sym_map_type,
    ACTIONS(553), 6,
      sym_int_literal,
      sym_float_literal,
      sym_nil,
      sym_true,
      sym_false,
      sym_iota,
    STATE(372), 12,
      sym_parenthesized_expression,
      sym_call_expression,
      sym_selector_expression,
      sym_index_expression,
      sym_slice_expression,
      sym_type_assertion_expression,
      sym_type_conversion_expression,
      sym_composite_literal,
      sym_func_literal,
      sym_unary_expression,
      sym_binary_expression,
      sym_interpreted_string_literal,
  [22235] = 25,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(23), 1,
      anon_sym_LBRACK,
    ACTIONS(29), 1,
      anon_sym_struct,
    ACTIONS(31), 1,
      anon_sym_TILDE,
    ACTIONS(35), 1,
      anon_sym_interface,
    ACTIONS(37), 1,
      anon_sym_map,
    ACTIONS(39), 1,
      anon_sym_chan,
    ACTIONS(265), 1,
      sym_identifier,
    ACTIONS(267), 1,
      anon_sym_LPAREN,
    ACTIONS(271), 1,
      anon_sym_func,
    ACTIONS(287), 1,
      anon_sym_DQUOTE,
    ACTIONS(389), 1,
      anon_sym_LT_DASH,
    ACTIONS(559), 1,
      anon_sym_STAR,
    STATE(375), 1,
      sym__expression,
    STATE(859), 1,
      sym_qualified_type,
    STATE(1246), 1,
      sym_implicit_length_array_type,
    ACTIONS(281), 2,
      anon_sym_new,
      anon_sym_make,
    STATE(821), 2,
      sym_union_type,
      sym_negated_type,
    STATE(969), 2,
      sym_parenthesized_type,
      sym__simple_type,
    ACTIONS(285), 3,
      sym_raw_string_literal,
      sym_imaginary_literal,
      sym_rune_literal,
    STATE(830), 4,
      sym_pointer_type,
      sym_interface_type,
      sym_channel_type,
      sym_function_type,
    ACTIONS(391), 5,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_BANG,
      anon_sym_CARET,
      anon_sym_AMP,
    STATE(864), 5,
      sym_generic_type,
      sym_array_type,
      sym_slice_type,
      sym_struct_type,
      sym_map_type,
    ACTIONS(289), 6,
      sym_int_literal,
      sym_float_literal,
      sym_nil,
      sym_true,
      sym_false,
      sym_iota,
    STATE(394), 12,
      sym_parenthesized_expression,
      sym_call_expression,
      sym_selector_expression,
      sym_index_expression,
      sym_slice_expression,
      sym_type_assertion_expression,
      sym_type_conversion_expression,
      sym_composite_literal,
      sym_func_literal,
      sym_unary_expression,
      sym_binary_expression,
      sym_interpreted_string_literal,
  [22343] = 25,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(23), 1,
      anon_sym_LBRACK,
    ACTIONS(29), 1,
      anon_sym_struct,
    ACTIONS(31), 1,
      anon_sym_TILDE,
    ACTIONS(35), 1,
      anon_sym_interface,
    ACTIONS(37), 1,
      anon_sym_map,
    ACTIONS(39), 1,
      anon_sym_chan,
    ACTIONS(295), 1,
      sym_identifier,
    ACTIONS(303), 1,
      anon_sym_func,
    ACTIONS(455), 1,
      anon_sym_LPAREN,
    ACTIONS(457), 1,
      anon_sym_STAR,
    ACTIONS(459), 1,
      anon_sym_LT_DASH,
    ACTIONS(465), 1,
      anon_sym_DQUOTE,
    STATE(446), 1,
      sym__expression,
    STATE(887), 1,
      sym_qualified_type,
    STATE(1229), 1,
      sym_implicit_length_array_type,
    ACTIONS(313), 2,
      anon_sym_new,
      anon_sym_make,
    STATE(821), 2,
      sym_union_type,
      sym_negated_type,
    STATE(1217), 2,
      sym_parenthesized_type,
      sym__simple_type,
    ACTIONS(463), 3,
      sym_raw_string_literal,
      sym_imaginary_literal,
      sym_rune_literal,
    STATE(830), 4,
      sym_pointer_type,
      sym_interface_type,
      sym_channel_type,
      sym_function_type,
    ACTIONS(461), 5,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_BANG,
      anon_sym_CARET,
      anon_sym_AMP,
    STATE(1074), 5,
      sym_generic_type,
      sym_array_type,
      sym_slice_type,
      sym_struct_type,
      sym_map_type,
    ACTIONS(317), 6,
      sym_int_literal,
      sym_float_literal,
      sym_nil,
      sym_true,
      sym_false,
      sym_iota,
    STATE(522), 12,
      sym_parenthesized_expression,
      sym_call_expression,
      sym_selector_expression,
      sym_index_expression,
      sym_slice_expression,
      sym_type_assertion_expression,
      sym_type_conversion_expression,
      sym_composite_literal,
      sym_func_literal,
      sym_unary_expression,
      sym_binary_expression,
      sym_interpreted_string_literal,
  [22451] = 25,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(15), 1,
      anon_sym_LPAREN,
    ACTIONS(23), 1,
      anon_sym_LBRACK,
    ACTIONS(27), 1,
      anon_sym_STAR,
    ACTIONS(29), 1,
      anon_sym_struct,
    ACTIONS(31), 1,
      anon_sym_TILDE,
    ACTIONS(35), 1,
      anon_sym_interface,
    ACTIONS(37), 1,
      anon_sym_map,
    ACTIONS(41), 1,
      anon_sym_LT_DASH,
    ACTIONS(71), 1,
      anon_sym_DQUOTE,
    ACTIONS(183), 1,
      anon_sym_func,
    ACTIONS(555), 1,
      sym_identifier,
    ACTIONS(557), 1,
      anon_sym_chan,
    STATE(245), 1,
      sym__expression,
    STATE(897), 1,
      sym_qualified_type,
    STATE(1293), 1,
      sym_implicit_length_array_type,
    ACTIONS(65), 2,
      anon_sym_new,
      anon_sym_make,
    STATE(821), 2,
      sym_union_type,
      sym_negated_type,
    STATE(1278), 2,
      sym_parenthesized_type,
      sym__simple_type,
    ACTIONS(69), 3,
      sym_raw_string_literal,
      sym_imaginary_literal,
      sym_rune_literal,
    STATE(830), 4,
      sym_pointer_type,
      sym_interface_type,
      sym_channel_type,
      sym_function_type,
    ACTIONS(67), 5,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_BANG,
      anon_sym_CARET,
      anon_sym_AMP,
    STATE(1066), 5,
      sym_generic_type,
      sym_array_type,
      sym_slice_type,
      sym_struct_type,
      sym_map_type,
    ACTIONS(73), 6,
      sym_int_literal,
      sym_float_literal,
      sym_nil,
      sym_true,
      sym_false,
      sym_iota,
    STATE(257), 12,
      sym_parenthesized_expression,
      sym_call_expression,
      sym_selector_expression,
      sym_index_expression,
      sym_slice_expression,
      sym_type_assertion_expression,
      sym_type_conversion_expression,
      sym_composite_literal,
      sym_func_literal,
      sym_unary_expression,
      sym_binary_expression,
      sym_interpreted_string_literal,
  [22559] = 25,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(23), 1,
      anon_sym_LBRACK,
    ACTIONS(29), 1,
      anon_sym_struct,
    ACTIONS(31), 1,
      anon_sym_TILDE,
    ACTIONS(35), 1,
      anon_sym_interface,
    ACTIONS(37), 1,
      anon_sym_map,
    ACTIONS(39), 1,
      anon_sym_chan,
    ACTIONS(295), 1,
      sym_identifier,
    ACTIONS(303), 1,
      anon_sym_func,
    ACTIONS(455), 1,
      anon_sym_LPAREN,
    ACTIONS(457), 1,
      anon_sym_STAR,
    ACTIONS(459), 1,
      anon_sym_LT_DASH,
    ACTIONS(465), 1,
      anon_sym_DQUOTE,
    STATE(445), 1,
      sym__expression,
    STATE(887), 1,
      sym_qualified_type,
    STATE(1229), 1,
      sym_implicit_length_array_type,
    ACTIONS(313), 2,
      anon_sym_new,
      anon_sym_make,
    STATE(821), 2,
      sym_union_type,
      sym_negated_type,
    STATE(1217), 2,
      sym_parenthesized_type,
      sym__simple_type,
    ACTIONS(463), 3,
      sym_raw_string_literal,
      sym_imaginary_literal,
      sym_rune_literal,
    STATE(830), 4,
      sym_pointer_type,
      sym_interface_type,
      sym_channel_type,
      sym_function_type,
    ACTIONS(461), 5,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_BANG,
      anon_sym_CARET,
      anon_sym_AMP,
    STATE(1074), 5,
      sym_generic_type,
      sym_array_type,
      sym_slice_type,
      sym_struct_type,
      sym_map_type,
    ACTIONS(317), 6,
      sym_int_literal,
      sym_float_literal,
      sym_nil,
      sym_true,
      sym_false,
      sym_iota,
    STATE(522), 12,
      sym_parenthesized_expression,
      sym_call_expression,
      sym_selector_expression,
      sym_index_expression,
      sym_slice_expression,
      sym_type_assertion_expression,
      sym_type_conversion_expression,
      sym_composite_literal,
      sym_func_literal,
      sym_unary_expression,
      sym_binary_expression,
      sym_interpreted_string_literal,
  [22667] = 25,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(23), 1,
      anon_sym_LBRACK,
    ACTIONS(29), 1,
      anon_sym_struct,
    ACTIONS(31), 1,
      anon_sym_TILDE,
    ACTIONS(35), 1,
      anon_sym_interface,
    ACTIONS(37), 1,
      anon_sym_map,
    ACTIONS(39), 1,
      anon_sym_chan,
    ACTIONS(295), 1,
      sym_identifier,
    ACTIONS(303), 1,
      anon_sym_func,
    ACTIONS(455), 1,
      anon_sym_LPAREN,
    ACTIONS(457), 1,
      anon_sym_STAR,
    ACTIONS(459), 1,
      anon_sym_LT_DASH,
    ACTIONS(465), 1,
      anon_sym_DQUOTE,
    STATE(444), 1,
      sym__expression,
    STATE(887), 1,
      sym_qualified_type,
    STATE(1229), 1,
      sym_implicit_length_array_type,
    ACTIONS(313), 2,
      anon_sym_new,
      anon_sym_make,
    STATE(821), 2,
      sym_union_type,
      sym_negated_type,
    STATE(1217), 2,
      sym_parenthesized_type,
      sym__simple_type,
    ACTIONS(463), 3,
      sym_raw_string_literal,
      sym_imaginary_literal,
      sym_rune_literal,
    STATE(830), 4,
      sym_pointer_type,
      sym_interface_type,
      sym_channel_type,
      sym_function_type,
    ACTIONS(461), 5,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_BANG,
      anon_sym_CARET,
      anon_sym_AMP,
    STATE(1074), 5,
      sym_generic_type,
      sym_array_type,
      sym_slice_type,
      sym_struct_type,
      sym_map_type,
    ACTIONS(317), 6,
      sym_int_literal,
      sym_float_literal,
      sym_nil,
      sym_true,
      sym_false,
      sym_iota,
    STATE(522), 12,
      sym_parenthesized_expression,
      sym_call_expression,
      sym_selector_expression,
      sym_index_expression,
      sym_slice_expression,
      sym_type_assertion_expression,
      sym_type_conversion_expression,
      sym_composite_literal,
      sym_func_literal,
      sym_unary_expression,
      sym_binary_expression,
      sym_interpreted_string_literal,
  [22775] = 25,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(23), 1,
      anon_sym_LBRACK,
    ACTIONS(29), 1,
      anon_sym_struct,
    ACTIONS(31), 1,
      anon_sym_TILDE,
    ACTIONS(35), 1,
      anon_sym_interface,
    ACTIONS(37), 1,
      anon_sym_map,
    ACTIONS(39), 1,
      anon_sym_chan,
    ACTIONS(295), 1,
      sym_identifier,
    ACTIONS(303), 1,
      anon_sym_func,
    ACTIONS(455), 1,
      anon_sym_LPAREN,
    ACTIONS(457), 1,
      anon_sym_STAR,
    ACTIONS(459), 1,
      anon_sym_LT_DASH,
    ACTIONS(465), 1,
      anon_sym_DQUOTE,
    STATE(441), 1,
      sym__expression,
    STATE(887), 1,
      sym_qualified_type,
    STATE(1229), 1,
      sym_implicit_length_array_type,
    ACTIONS(313), 2,
      anon_sym_new,
      anon_sym_make,
    STATE(821), 2,
      sym_union_type,
      sym_negated_type,
    STATE(1217), 2,
      sym_parenthesized_type,
      sym__simple_type,
    ACTIONS(463), 3,
      sym_raw_string_literal,
      sym_imaginary_literal,
      sym_rune_literal,
    STATE(830), 4,
      sym_pointer_type,
      sym_interface_type,
      sym_channel_type,
      sym_function_type,
    ACTIONS(461), 5,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_BANG,
      anon_sym_CARET,
      anon_sym_AMP,
    STATE(1074), 5,
      sym_generic_type,
      sym_array_type,
      sym_slice_type,
      sym_struct_type,
      sym_map_type,
    ACTIONS(317), 6,
      sym_int_literal,
      sym_float_literal,
      sym_nil,
      sym_true,
      sym_false,
      sym_iota,
    STATE(522), 12,
      sym_parenthesized_expression,
      sym_call_expression,
      sym_selector_expression,
      sym_index_expression,
      sym_slice_expression,
      sym_type_assertion_expression,
      sym_type_conversion_expression,
      sym_composite_literal,
      sym_func_literal,
      sym_unary_expression,
      sym_binary_expression,
      sym_interpreted_string_literal,
  [22883] = 25,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(23), 1,
      anon_sym_LBRACK,
    ACTIONS(29), 1,
      anon_sym_struct,
    ACTIONS(31), 1,
      anon_sym_TILDE,
    ACTIONS(35), 1,
      anon_sym_interface,
    ACTIONS(37), 1,
      anon_sym_map,
    ACTIONS(363), 1,
      sym_identifier,
    ACTIONS(365), 1,
      anon_sym_LPAREN,
    ACTIONS(367), 1,
      anon_sym_func,
    ACTIONS(369), 1,
      anon_sym_STAR,
    ACTIONS(371), 1,
      anon_sym_LT_DASH,
    ACTIONS(379), 1,
      anon_sym_DQUOTE,
    ACTIONS(557), 1,
      anon_sym_chan,
    STATE(462), 1,
      sym__expression,
    STATE(910), 1,
      sym_qualified_type,
    STATE(1255), 1,
      sym_implicit_length_array_type,
    ACTIONS(373), 2,
      anon_sym_new,
      anon_sym_make,
    STATE(821), 2,
      sym_union_type,
      sym_negated_type,
    STATE(1210), 2,
      sym_parenthesized_type,
      sym__simple_type,
    ACTIONS(377), 3,
      sym_raw_string_literal,
      sym_imaginary_literal,
      sym_rune_literal,
    STATE(830), 4,
      sym_pointer_type,
      sym_interface_type,
      sym_channel_type,
      sym_function_type,
    ACTIONS(375), 5,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_BANG,
      anon_sym_CARET,
      anon_sym_AMP,
    STATE(1076), 5,
      sym_generic_type,
      sym_array_type,
      sym_slice_type,
      sym_struct_type,
      sym_map_type,
    ACTIONS(381), 6,
      sym_int_literal,
      sym_float_literal,
      sym_nil,
      sym_true,
      sym_false,
      sym_iota,
    STATE(582), 12,
      sym_parenthesized_expression,
      sym_call_expression,
      sym_selector_expression,
      sym_index_expression,
      sym_slice_expression,
      sym_type_assertion_expression,
      sym_type_conversion_expression,
      sym_composite_literal,
      sym_func_literal,
      sym_unary_expression,
      sym_binary_expression,
      sym_interpreted_string_literal,
  [22991] = 25,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(29), 1,
      anon_sym_struct,
    ACTIONS(31), 1,
      anon_sym_TILDE,
    ACTIONS(35), 1,
      anon_sym_interface,
    ACTIONS(37), 1,
      anon_sym_map,
    ACTIONS(39), 1,
      anon_sym_chan,
    ACTIONS(275), 1,
      anon_sym_LBRACE,
    ACTIONS(561), 1,
      sym_identifier,
    ACTIONS(563), 1,
      anon_sym_DOT,
    ACTIONS(566), 1,
      anon_sym_LPAREN,
    ACTIONS(570), 1,
      anon_sym_COMMA,
    ACTIONS(573), 1,
      anon_sym_func,
    ACTIONS(575), 1,
      anon_sym_LBRACK,
    ACTIONS(578), 1,
      anon_sym_RBRACK,
    ACTIONS(581), 1,
      anon_sym_STAR,
    ACTIONS(584), 1,
      anon_sym_PIPE,
    ACTIONS(587), 1,
      anon_sym_LT_DASH,
    STATE(400), 1,
      sym_literal_value,
    STATE(561), 1,
      aux_sym_parameter_declaration_repeat1,
    STATE(848), 1,
      sym_type_arguments,
    STATE(1014), 2,
      sym_parenthesized_type,
      sym__simple_type,
    STATE(821), 3,
      sym_union_type,
      sym_negated_type,
      sym_qualified_type,
    ACTIONS(591), 4,
      anon_sym_AMP,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
    STATE(830), 9,
      sym_generic_type,
      sym_pointer_type,
      sym_array_type,
      sym_slice_type,
      sym_struct_type,
      sym_interface_type,
      sym_map_type,
      sym_channel_type,
      sym_function_type,
    ACTIONS(589), 13,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
  [23093] = 10,
    ACTIONS(321), 1,
      sym_comment,
    ACTIONS(589), 1,
      anon_sym_LF,
    ACTIONS(593), 1,
      anon_sym_DOT,
    ACTIONS(596), 1,
      anon_sym_LBRACK,
    ACTIONS(599), 1,
      anon_sym_LBRACE,
    ACTIONS(601), 1,
      anon_sym_COLON,
    STATE(265), 1,
      sym_literal_value,
    STATE(848), 1,
      sym_type_arguments,
    ACTIONS(584), 2,
      anon_sym_LPAREN,
      anon_sym_PIPE,
    ACTIONS(591), 39,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_RBRACE,
      anon_sym_LT_DASH,
      anon_sym_COLON_EQ,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_AMP_CARET_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_CARET_EQ,
      anon_sym_case,
      anon_sym_default,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_LT_EQ,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
  [23163] = 10,
    ACTIONS(321), 1,
      sym_comment,
    ACTIONS(589), 1,
      anon_sym_LF,
    ACTIONS(593), 1,
      anon_sym_DOT,
    ACTIONS(596), 1,
      anon_sym_LBRACK,
    ACTIONS(599), 1,
      anon_sym_LBRACE,
    ACTIONS(603), 1,
      anon_sym_COLON,
    STATE(265), 1,
      sym_literal_value,
    STATE(848), 1,
      sym_type_arguments,
    ACTIONS(584), 2,
      anon_sym_LPAREN,
      anon_sym_PIPE,
    ACTIONS(591), 39,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_RBRACE,
      anon_sym_LT_DASH,
      anon_sym_COLON_EQ,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_AMP_CARET_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_CARET_EQ,
      anon_sym_case,
      anon_sym_default,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_LT_EQ,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
  [23233] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(77), 17,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      anon_sym_LPAREN,
      anon_sym_LBRACK,
      anon_sym_STAR,
      anon_sym_TILDE,
      anon_sym_LBRACE,
      anon_sym_LT_DASH,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_BANG,
      anon_sym_CARET,
      anon_sym_AMP,
      sym_raw_string_literal,
      anon_sym_DQUOTE,
      sym_imaginary_literal,
      sym_rune_literal,
    ACTIONS(605), 30,
      anon_sym_package,
      anon_sym_import,
      anon_sym_const,
      anon_sym_var,
      anon_sym_func,
      anon_sym_type,
      anon_sym_struct,
      anon_sym_interface,
      anon_sym_map,
      anon_sym_chan,
      anon_sym_fallthrough,
      anon_sym_break,
      anon_sym_continue,
      anon_sym_goto,
      anon_sym_return,
      anon_sym_go,
      anon_sym_defer,
      anon_sym_if,
      anon_sym_for,
      anon_sym_switch,
      anon_sym_select,
      anon_sym_new,
      anon_sym_make,
      sym_identifier,
      sym_int_literal,
      sym_float_literal,
      sym_nil,
      sym_true,
      sym_false,
      sym_iota,
  [23288] = 9,
    ACTIONS(321), 1,
      sym_comment,
    ACTIONS(589), 1,
      anon_sym_LF,
    ACTIONS(593), 1,
      anon_sym_DOT,
    ACTIONS(596), 1,
      anon_sym_LBRACK,
    ACTIONS(599), 1,
      anon_sym_LBRACE,
    STATE(265), 1,
      sym_literal_value,
    STATE(848), 1,
      sym_type_arguments,
    ACTIONS(584), 2,
      anon_sym_LPAREN,
      anon_sym_PIPE,
    ACTIONS(591), 39,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_RBRACE,
      anon_sym_LT_DASH,
      anon_sym_COLON_EQ,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_AMP_CARET_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_CARET_EQ,
      anon_sym_case,
      anon_sym_default,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_LT_EQ,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
  [23355] = 19,
    ACTIONS(321), 1,
      sym_comment,
    ACTIONS(607), 1,
      anon_sym_LF,
    ACTIONS(611), 1,
      anon_sym_DOT,
    ACTIONS(613), 1,
      anon_sym_LPAREN,
    ACTIONS(615), 1,
      anon_sym_COMMA,
    ACTIONS(619), 1,
      anon_sym_LBRACK,
    ACTIONS(625), 1,
      anon_sym_LT_DASH,
    ACTIONS(627), 1,
      anon_sym_PLUS_PLUS,
    ACTIONS(629), 1,
      anon_sym_DASH_DASH,
    ACTIONS(633), 1,
      anon_sym_AMP_AMP,
    ACTIONS(635), 1,
      anon_sym_PIPE_PIPE,
    STATE(267), 1,
      sym_argument_list,
    STATE(767), 1,
      aux_sym_expression_list_repeat1,
    STATE(1296), 1,
      sym_type_arguments,
    ACTIONS(609), 4,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_case,
      anon_sym_default,
    ACTIONS(623), 4,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_CARET,
    ACTIONS(631), 6,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_LT_EQ,
      anon_sym_GT,
      anon_sym_GT_EQ,
    ACTIONS(621), 7,
      anon_sym_STAR,
      anon_sym_AMP,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP_CARET,
    ACTIONS(617), 13,
      anon_sym_EQ,
      anon_sym_COLON_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_AMP_CARET_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_CARET_EQ,
  [23442] = 10,
    ACTIONS(321), 1,
      sym_comment,
    ACTIONS(611), 1,
      anon_sym_DOT,
    ACTIONS(613), 1,
      anon_sym_LPAREN,
    ACTIONS(619), 1,
      anon_sym_LBRACK,
    ACTIONS(637), 1,
      anon_sym_LF,
    STATE(267), 1,
      sym_argument_list,
    STATE(1296), 1,
      sym_type_arguments,
    ACTIONS(623), 4,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_CARET,
    ACTIONS(621), 7,
      anon_sym_STAR,
      anon_sym_AMP,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP_CARET,
    ACTIONS(639), 29,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_RBRACE,
      anon_sym_LT_DASH,
      anon_sym_COLON_EQ,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_AMP_CARET_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_CARET_EQ,
      anon_sym_case,
      anon_sym_default,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_LT_EQ,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
  [23510] = 11,
    ACTIONS(321), 1,
      sym_comment,
    ACTIONS(611), 1,
      anon_sym_DOT,
    ACTIONS(613), 1,
      anon_sym_LPAREN,
    ACTIONS(619), 1,
      anon_sym_LBRACK,
    ACTIONS(637), 1,
      anon_sym_LF,
    STATE(267), 1,
      sym_argument_list,
    STATE(1296), 1,
      sym_type_arguments,
    ACTIONS(623), 4,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_CARET,
    ACTIONS(631), 6,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_LT_EQ,
      anon_sym_GT,
      anon_sym_GT_EQ,
    ACTIONS(621), 7,
      anon_sym_STAR,
      anon_sym_AMP,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP_CARET,
    ACTIONS(639), 23,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_RBRACE,
      anon_sym_LT_DASH,
      anon_sym_COLON_EQ,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_AMP_CARET_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_CARET_EQ,
      anon_sym_case,
      anon_sym_default,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
  [23580] = 8,
    ACTIONS(321), 1,
      sym_comment,
    ACTIONS(611), 1,
      anon_sym_DOT,
    ACTIONS(613), 1,
      anon_sym_LPAREN,
    ACTIONS(619), 1,
      anon_sym_LBRACK,
    ACTIONS(637), 1,
      anon_sym_LF,
    STATE(267), 1,
      sym_argument_list,
    STATE(1296), 1,
      sym_type_arguments,
    ACTIONS(639), 40,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_PIPE,
      anon_sym_RBRACE,
      anon_sym_LT_DASH,
      anon_sym_COLON_EQ,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_AMP_CARET_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_CARET_EQ,
      anon_sym_case,
      anon_sym_default,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_LT_EQ,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
  [23644] = 9,
    ACTIONS(321), 1,
      sym_comment,
    ACTIONS(611), 1,
      anon_sym_DOT,
    ACTIONS(613), 1,
      anon_sym_LPAREN,
    ACTIONS(619), 1,
      anon_sym_LBRACK,
    ACTIONS(637), 1,
      anon_sym_LF,
    STATE(267), 1,
      sym_argument_list,
    STATE(1296), 1,
      sym_type_arguments,
    ACTIONS(621), 7,
      anon_sym_STAR,
      anon_sym_AMP,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP_CARET,
    ACTIONS(639), 33,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_PIPE,
      anon_sym_RBRACE,
      anon_sym_LT_DASH,
      anon_sym_COLON_EQ,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_AMP_CARET_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_CARET_EQ,
      anon_sym_case,
      anon_sym_default,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_LT_EQ,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
  [23710] = 8,
    ACTIONS(321), 1,
      sym_comment,
    ACTIONS(611), 1,
      anon_sym_DOT,
    ACTIONS(613), 1,
      anon_sym_LPAREN,
    ACTIONS(619), 1,
      anon_sym_LBRACK,
    ACTIONS(641), 1,
      anon_sym_LF,
    STATE(267), 1,
      sym_argument_list,
    STATE(1296), 1,
      sym_type_arguments,
    ACTIONS(643), 40,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_PIPE,
      anon_sym_RBRACE,
      anon_sym_LT_DASH,
      anon_sym_COLON_EQ,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_AMP_CARET_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_CARET_EQ,
      anon_sym_case,
      anon_sym_default,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_LT_EQ,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
  [23774] = 12,
    ACTIONS(321), 1,
      sym_comment,
    ACTIONS(611), 1,
      anon_sym_DOT,
    ACTIONS(613), 1,
      anon_sym_LPAREN,
    ACTIONS(619), 1,
      anon_sym_LBRACK,
    ACTIONS(633), 1,
      anon_sym_AMP_AMP,
    ACTIONS(637), 1,
      anon_sym_LF,
    STATE(267), 1,
      sym_argument_list,
    STATE(1296), 1,
      sym_type_arguments,
    ACTIONS(623), 4,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_CARET,
    ACTIONS(631), 6,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_LT_EQ,
      anon_sym_GT,
      anon_sym_GT_EQ,
    ACTIONS(621), 7,
      anon_sym_STAR,
      anon_sym_AMP,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP_CARET,
    ACTIONS(639), 22,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_RBRACE,
      anon_sym_LT_DASH,
      anon_sym_COLON_EQ,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_AMP_CARET_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_CARET_EQ,
      anon_sym_case,
      anon_sym_default,
      anon_sym_PIPE_PIPE,
  [23846] = 3,
    ACTIONS(321), 1,
      sym_comment,
    ACTIONS(645), 1,
      anon_sym_LF,
    ACTIONS(647), 44,
      anon_sym_SEMI,
      anon_sym_DOT,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_LBRACK,
      anon_sym_STAR,
      anon_sym_PIPE,
      anon_sym_RBRACE,
      anon_sym_LT_DASH,
      anon_sym_COLON_EQ,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_AMP_CARET_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_CARET_EQ,
      anon_sym_case,
      anon_sym_default,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_LT_EQ,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
  [23899] = 22,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(33), 1,
      anon_sym_LBRACE,
    ACTIONS(607), 1,
      anon_sym_SEMI,
    ACTIONS(617), 1,
      anon_sym_EQ,
    ACTIONS(649), 1,
      anon_sym_DOT,
    ACTIONS(651), 1,
      anon_sym_LPAREN,
    ACTIONS(653), 1,
      anon_sym_COMMA,
    ACTIONS(655), 1,
      anon_sym_LBRACK,
    ACTIONS(661), 1,
      anon_sym_LT_DASH,
    ACTIONS(665), 1,
      anon_sym_PLUS_PLUS,
    ACTIONS(667), 1,
      anon_sym_DASH_DASH,
    ACTIONS(673), 1,
      anon_sym_AMP_AMP,
    ACTIONS(675), 1,
      anon_sym_PIPE_PIPE,
    STATE(325), 1,
      sym_argument_list,
    STATE(767), 1,
      aux_sym_expression_list_repeat1,
    STATE(971), 1,
      sym_block,
    STATE(1252), 1,
      sym_type_arguments,
    ACTIONS(671), 2,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(659), 4,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_CARET,
    ACTIONS(669), 4,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
    ACTIONS(657), 7,
      anon_sym_STAR,
      anon_sym_AMP,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP_CARET,
    ACTIONS(663), 12,
      anon_sym_COLON_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_AMP_CARET_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_CARET_EQ,
  [23990] = 22,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(33), 1,
      anon_sym_LBRACE,
    ACTIONS(607), 1,
      anon_sym_SEMI,
    ACTIONS(617), 1,
      anon_sym_EQ,
    ACTIONS(649), 1,
      anon_sym_DOT,
    ACTIONS(651), 1,
      anon_sym_LPAREN,
    ACTIONS(653), 1,
      anon_sym_COMMA,
    ACTIONS(655), 1,
      anon_sym_LBRACK,
    ACTIONS(661), 1,
      anon_sym_LT_DASH,
    ACTIONS(665), 1,
      anon_sym_PLUS_PLUS,
    ACTIONS(667), 1,
      anon_sym_DASH_DASH,
    ACTIONS(673), 1,
      anon_sym_AMP_AMP,
    ACTIONS(675), 1,
      anon_sym_PIPE_PIPE,
    STATE(325), 1,
      sym_argument_list,
    STATE(767), 1,
      aux_sym_expression_list_repeat1,
    STATE(881), 1,
      sym_block,
    STATE(1252), 1,
      sym_type_arguments,
    ACTIONS(671), 2,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(659), 4,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_CARET,
    ACTIONS(669), 4,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
    ACTIONS(657), 7,
      anon_sym_STAR,
      anon_sym_AMP,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP_CARET,
    ACTIONS(663), 12,
      anon_sym_COLON_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_AMP_CARET_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_CARET_EQ,
  [24081] = 5,
    ACTIONS(321), 1,
      sym_comment,
    ACTIONS(589), 1,
      anon_sym_LF,
    ACTIONS(677), 1,
      anon_sym_LPAREN,
    STATE(267), 1,
      sym_special_argument_list,
    ACTIONS(591), 42,
      anon_sym_SEMI,
      anon_sym_DOT,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_LBRACK,
      anon_sym_STAR,
      anon_sym_PIPE,
      anon_sym_RBRACE,
      anon_sym_LT_DASH,
      anon_sym_COLON_EQ,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_AMP_CARET_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_CARET_EQ,
      anon_sym_case,
      anon_sym_default,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_LT_EQ,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
  [24138] = 3,
    ACTIONS(321), 1,
      sym_comment,
    ACTIONS(679), 1,
      anon_sym_LF,
    ACTIONS(681), 44,
      anon_sym_SEMI,
      anon_sym_DOT,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_LBRACK,
      anon_sym_STAR,
      anon_sym_PIPE,
      anon_sym_RBRACE,
      anon_sym_LT_DASH,
      anon_sym_COLON_EQ,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_AMP_CARET_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_CARET_EQ,
      anon_sym_else,
      anon_sym_case,
      anon_sym_default,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_LT_EQ,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
  [24191] = 3,
    ACTIONS(321), 1,
      sym_comment,
    ACTIONS(683), 1,
      anon_sym_LF,
    ACTIONS(685), 44,
      anon_sym_SEMI,
      anon_sym_DOT,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_LBRACK,
      anon_sym_STAR,
      anon_sym_PIPE,
      anon_sym_RBRACE,
      anon_sym_LT_DASH,
      anon_sym_COLON_EQ,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_AMP_CARET_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_CARET_EQ,
      anon_sym_else,
      anon_sym_case,
      anon_sym_default,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_LT_EQ,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
  [24244] = 3,
    ACTIONS(321), 1,
      sym_comment,
    ACTIONS(687), 1,
      anon_sym_LF,
    ACTIONS(689), 44,
      anon_sym_SEMI,
      anon_sym_DOT,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_LBRACK,
      anon_sym_STAR,
      anon_sym_PIPE,
      anon_sym_RBRACE,
      anon_sym_LT_DASH,
      anon_sym_COLON_EQ,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_AMP_CARET_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_CARET_EQ,
      anon_sym_case,
      anon_sym_default,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_LT_EQ,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
  [24297] = 3,
    ACTIONS(321), 1,
      sym_comment,
    ACTIONS(691), 1,
      anon_sym_LF,
    ACTIONS(693), 43,
      anon_sym_SEMI,
      anon_sym_DOT,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_LBRACK,
      anon_sym_STAR,
      anon_sym_PIPE,
      anon_sym_RBRACE,
      anon_sym_LT_DASH,
      anon_sym_COLON_EQ,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_AMP_CARET_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_CARET_EQ,
      anon_sym_case,
      anon_sym_default,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_LT_EQ,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
  [24349] = 3,
    ACTIONS(321), 1,
      sym_comment,
    ACTIONS(695), 1,
      anon_sym_LF,
    ACTIONS(697), 43,
      anon_sym_SEMI,
      anon_sym_DOT,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_LBRACK,
      anon_sym_STAR,
      anon_sym_PIPE,
      anon_sym_RBRACE,
      anon_sym_LT_DASH,
      anon_sym_COLON_EQ,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_AMP_CARET_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_CARET_EQ,
      anon_sym_case,
      anon_sym_default,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_LT_EQ,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
  [24401] = 3,
    ACTIONS(321), 1,
      sym_comment,
    ACTIONS(699), 1,
      anon_sym_LF,
    ACTIONS(701), 43,
      anon_sym_SEMI,
      anon_sym_DOT,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_LBRACK,
      anon_sym_STAR,
      anon_sym_PIPE,
      anon_sym_RBRACE,
      anon_sym_LT_DASH,
      anon_sym_COLON_EQ,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_AMP_CARET_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_CARET_EQ,
      anon_sym_case,
      anon_sym_default,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_LT_EQ,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
  [24453] = 3,
    ACTIONS(321), 1,
      sym_comment,
    ACTIONS(589), 1,
      anon_sym_LF,
    ACTIONS(591), 43,
      anon_sym_SEMI,
      anon_sym_DOT,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_LBRACK,
      anon_sym_STAR,
      anon_sym_PIPE,
      anon_sym_RBRACE,
      anon_sym_LT_DASH,
      anon_sym_COLON_EQ,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_AMP_CARET_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_CARET_EQ,
      anon_sym_case,
      anon_sym_default,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_LT_EQ,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
  [24505] = 3,
    ACTIONS(321), 1,
      sym_comment,
    ACTIONS(703), 1,
      anon_sym_LF,
    ACTIONS(705), 43,
      anon_sym_SEMI,
      anon_sym_DOT,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_LBRACK,
      anon_sym_STAR,
      anon_sym_PIPE,
      anon_sym_RBRACE,
      anon_sym_LT_DASH,
      anon_sym_COLON_EQ,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_AMP_CARET_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_CARET_EQ,
      anon_sym_case,
      anon_sym_default,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_LT_EQ,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
  [24557] = 3,
    ACTIONS(321), 1,
      sym_comment,
    ACTIONS(707), 1,
      anon_sym_LF,
    ACTIONS(709), 43,
      anon_sym_SEMI,
      anon_sym_DOT,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_LBRACK,
      anon_sym_STAR,
      anon_sym_PIPE,
      anon_sym_RBRACE,
      anon_sym_LT_DASH,
      anon_sym_COLON_EQ,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_AMP_CARET_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_CARET_EQ,
      anon_sym_case,
      anon_sym_default,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_LT_EQ,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
  [24609] = 3,
    ACTIONS(321), 1,
      sym_comment,
    ACTIONS(711), 1,
      anon_sym_LF,
    ACTIONS(713), 43,
      anon_sym_SEMI,
      anon_sym_DOT,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_LBRACK,
      anon_sym_STAR,
      anon_sym_PIPE,
      anon_sym_RBRACE,
      anon_sym_LT_DASH,
      anon_sym_COLON_EQ,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_AMP_CARET_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_CARET_EQ,
      anon_sym_case,
      anon_sym_default,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_LT_EQ,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
  [24661] = 3,
    ACTIONS(321), 1,
      sym_comment,
    ACTIONS(715), 1,
      anon_sym_LF,
    ACTIONS(717), 43,
      anon_sym_SEMI,
      anon_sym_DOT,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_LBRACK,
      anon_sym_STAR,
      anon_sym_PIPE,
      anon_sym_RBRACE,
      anon_sym_LT_DASH,
      anon_sym_COLON_EQ,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_AMP_CARET_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_CARET_EQ,
      anon_sym_case,
      anon_sym_default,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_LT_EQ,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
  [24713] = 3,
    ACTIONS(321), 1,
      sym_comment,
    ACTIONS(719), 1,
      anon_sym_LF,
    ACTIONS(721), 43,
      anon_sym_SEMI,
      anon_sym_DOT,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_LBRACK,
      anon_sym_STAR,
      anon_sym_PIPE,
      anon_sym_RBRACE,
      anon_sym_LT_DASH,
      anon_sym_COLON_EQ,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_AMP_CARET_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_CARET_EQ,
      anon_sym_case,
      anon_sym_default,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_LT_EQ,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
  [24765] = 3,
    ACTIONS(321), 1,
      sym_comment,
    ACTIONS(723), 1,
      anon_sym_LF,
    ACTIONS(725), 43,
      anon_sym_SEMI,
      anon_sym_DOT,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_LBRACK,
      anon_sym_STAR,
      anon_sym_PIPE,
      anon_sym_RBRACE,
      anon_sym_LT_DASH,
      anon_sym_COLON_EQ,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_AMP_CARET_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_CARET_EQ,
      anon_sym_case,
      anon_sym_default,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_LT_EQ,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
  [24817] = 3,
    ACTIONS(321), 1,
      sym_comment,
    ACTIONS(727), 1,
      anon_sym_LF,
    ACTIONS(729), 43,
      anon_sym_SEMI,
      anon_sym_DOT,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_LBRACK,
      anon_sym_STAR,
      anon_sym_PIPE,
      anon_sym_RBRACE,
      anon_sym_LT_DASH,
      anon_sym_COLON_EQ,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_AMP_CARET_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_CARET_EQ,
      anon_sym_case,
      anon_sym_default,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_LT_EQ,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
  [24869] = 3,
    ACTIONS(321), 1,
      sym_comment,
    ACTIONS(731), 1,
      anon_sym_LF,
    ACTIONS(733), 43,
      anon_sym_SEMI,
      anon_sym_DOT,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_LBRACK,
      anon_sym_STAR,
      anon_sym_PIPE,
      anon_sym_RBRACE,
      anon_sym_LT_DASH,
      anon_sym_COLON_EQ,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_AMP_CARET_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_CARET_EQ,
      anon_sym_case,
      anon_sym_default,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_LT_EQ,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
  [24921] = 3,
    ACTIONS(321), 1,
      sym_comment,
    ACTIONS(735), 1,
      anon_sym_LF,
    ACTIONS(737), 43,
      anon_sym_SEMI,
      anon_sym_DOT,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_LBRACK,
      anon_sym_STAR,
      anon_sym_PIPE,
      anon_sym_RBRACE,
      anon_sym_LT_DASH,
      anon_sym_COLON_EQ,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_AMP_CARET_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_CARET_EQ,
      anon_sym_case,
      anon_sym_default,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_LT_EQ,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
  [24973] = 3,
    ACTIONS(321), 1,
      sym_comment,
    ACTIONS(739), 1,
      anon_sym_LF,
    ACTIONS(741), 43,
      anon_sym_SEMI,
      anon_sym_DOT,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_LBRACK,
      anon_sym_STAR,
      anon_sym_PIPE,
      anon_sym_RBRACE,
      anon_sym_LT_DASH,
      anon_sym_COLON_EQ,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_AMP_CARET_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_CARET_EQ,
      anon_sym_case,
      anon_sym_default,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_LT_EQ,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
  [25025] = 3,
    ACTIONS(321), 1,
      sym_comment,
    ACTIONS(743), 1,
      anon_sym_LF,
    ACTIONS(745), 43,
      anon_sym_SEMI,
      anon_sym_DOT,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_LBRACK,
      anon_sym_STAR,
      anon_sym_PIPE,
      anon_sym_RBRACE,
      anon_sym_LT_DASH,
      anon_sym_COLON_EQ,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_AMP_CARET_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_CARET_EQ,
      anon_sym_case,
      anon_sym_default,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_LT_EQ,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
  [25077] = 21,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(607), 1,
      anon_sym_SEMI,
    ACTIONS(617), 1,
      anon_sym_EQ,
    ACTIONS(651), 1,
      anon_sym_LPAREN,
    ACTIONS(653), 1,
      anon_sym_COMMA,
    ACTIONS(655), 1,
      anon_sym_LBRACK,
    ACTIONS(661), 1,
      anon_sym_LT_DASH,
    ACTIONS(665), 1,
      anon_sym_PLUS_PLUS,
    ACTIONS(667), 1,
      anon_sym_DASH_DASH,
    ACTIONS(673), 1,
      anon_sym_AMP_AMP,
    ACTIONS(675), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(747), 1,
      anon_sym_DOT,
    ACTIONS(749), 1,
      anon_sym_LBRACE,
    STATE(325), 1,
      sym_argument_list,
    STATE(767), 1,
      aux_sym_expression_list_repeat1,
    STATE(1252), 1,
      sym_type_arguments,
    ACTIONS(671), 2,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(659), 4,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_CARET,
    ACTIONS(669), 4,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
    ACTIONS(657), 7,
      anon_sym_STAR,
      anon_sym_AMP,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP_CARET,
    ACTIONS(663), 12,
      anon_sym_COLON_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_AMP_CARET_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_CARET_EQ,
  [25165] = 3,
    ACTIONS(321), 1,
      sym_comment,
    ACTIONS(751), 1,
      anon_sym_LF,
    ACTIONS(753), 43,
      anon_sym_SEMI,
      anon_sym_DOT,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_LBRACK,
      anon_sym_STAR,
      anon_sym_PIPE,
      anon_sym_RBRACE,
      anon_sym_LT_DASH,
      anon_sym_COLON_EQ,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_AMP_CARET_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_CARET_EQ,
      anon_sym_case,
      anon_sym_default,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_LT_EQ,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
  [25217] = 3,
    ACTIONS(321), 1,
      sym_comment,
    ACTIONS(755), 1,
      anon_sym_LF,
    ACTIONS(757), 43,
      anon_sym_SEMI,
      anon_sym_DOT,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_LBRACK,
      anon_sym_STAR,
      anon_sym_PIPE,
      anon_sym_RBRACE,
      anon_sym_LT_DASH,
      anon_sym_COLON_EQ,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_AMP_CARET_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_CARET_EQ,
      anon_sym_case,
      anon_sym_default,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_LT_EQ,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
  [25269] = 3,
    ACTIONS(321), 1,
      sym_comment,
    ACTIONS(759), 1,
      anon_sym_LF,
    ACTIONS(761), 43,
      anon_sym_SEMI,
      anon_sym_DOT,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_LBRACK,
      anon_sym_STAR,
      anon_sym_PIPE,
      anon_sym_RBRACE,
      anon_sym_LT_DASH,
      anon_sym_COLON_EQ,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_AMP_CARET_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_CARET_EQ,
      anon_sym_case,
      anon_sym_default,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_LT_EQ,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
  [25321] = 3,
    ACTIONS(321), 1,
      sym_comment,
    ACTIONS(763), 1,
      anon_sym_LF,
    ACTIONS(765), 43,
      anon_sym_SEMI,
      anon_sym_DOT,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_LBRACK,
      anon_sym_STAR,
      anon_sym_PIPE,
      anon_sym_RBRACE,
      anon_sym_LT_DASH,
      anon_sym_COLON_EQ,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_AMP_CARET_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_CARET_EQ,
      anon_sym_case,
      anon_sym_default,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_LT_EQ,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
  [25373] = 3,
    ACTIONS(321), 1,
      sym_comment,
    ACTIONS(767), 1,
      anon_sym_LF,
    ACTIONS(769), 43,
      anon_sym_SEMI,
      anon_sym_DOT,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_LBRACK,
      anon_sym_STAR,
      anon_sym_PIPE,
      anon_sym_RBRACE,
      anon_sym_LT_DASH,
      anon_sym_COLON_EQ,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_AMP_CARET_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_CARET_EQ,
      anon_sym_case,
      anon_sym_default,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_LT_EQ,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
  [25425] = 3,
    ACTIONS(321), 1,
      sym_comment,
    ACTIONS(771), 1,
      anon_sym_LF,
    ACTIONS(773), 43,
      anon_sym_SEMI,
      anon_sym_DOT,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_LBRACK,
      anon_sym_STAR,
      anon_sym_PIPE,
      anon_sym_RBRACE,
      anon_sym_LT_DASH,
      anon_sym_COLON_EQ,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_AMP_CARET_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_CARET_EQ,
      anon_sym_case,
      anon_sym_default,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_LT_EQ,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
  [25477] = 3,
    ACTIONS(321), 1,
      sym_comment,
    ACTIONS(775), 1,
      anon_sym_LF,
    ACTIONS(777), 43,
      anon_sym_SEMI,
      anon_sym_DOT,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_LBRACK,
      anon_sym_STAR,
      anon_sym_PIPE,
      anon_sym_RBRACE,
      anon_sym_LT_DASH,
      anon_sym_COLON_EQ,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_AMP_CARET_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_CARET_EQ,
      anon_sym_case,
      anon_sym_default,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_LT_EQ,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
  [25529] = 3,
    ACTIONS(321), 1,
      sym_comment,
    ACTIONS(779), 1,
      anon_sym_LF,
    ACTIONS(781), 43,
      anon_sym_SEMI,
      anon_sym_DOT,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_LBRACK,
      anon_sym_STAR,
      anon_sym_PIPE,
      anon_sym_RBRACE,
      anon_sym_LT_DASH,
      anon_sym_COLON_EQ,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_AMP_CARET_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_CARET_EQ,
      anon_sym_case,
      anon_sym_default,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_LT_EQ,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
  [25581] = 3,
    ACTIONS(321), 1,
      sym_comment,
    ACTIONS(783), 1,
      anon_sym_LF,
    ACTIONS(785), 43,
      anon_sym_SEMI,
      anon_sym_DOT,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_LBRACK,
      anon_sym_STAR,
      anon_sym_PIPE,
      anon_sym_RBRACE,
      anon_sym_LT_DASH,
      anon_sym_COLON_EQ,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_AMP_CARET_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_CARET_EQ,
      anon_sym_case,
      anon_sym_default,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_LT_EQ,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
  [25633] = 3,
    ACTIONS(321), 1,
      sym_comment,
    ACTIONS(787), 1,
      anon_sym_LF,
    ACTIONS(789), 43,
      anon_sym_SEMI,
      anon_sym_DOT,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_LBRACK,
      anon_sym_STAR,
      anon_sym_PIPE,
      anon_sym_RBRACE,
      anon_sym_LT_DASH,
      anon_sym_COLON_EQ,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_AMP_CARET_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_CARET_EQ,
      anon_sym_case,
      anon_sym_default,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_LT_EQ,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
  [25685] = 3,
    ACTIONS(321), 1,
      sym_comment,
    ACTIONS(791), 1,
      anon_sym_LF,
    ACTIONS(793), 43,
      anon_sym_SEMI,
      anon_sym_DOT,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_LBRACK,
      anon_sym_STAR,
      anon_sym_PIPE,
      anon_sym_RBRACE,
      anon_sym_LT_DASH,
      anon_sym_COLON_EQ,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_AMP_CARET_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_CARET_EQ,
      anon_sym_case,
      anon_sym_default,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_LT_EQ,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
  [25737] = 3,
    ACTIONS(321), 1,
      sym_comment,
    ACTIONS(795), 1,
      anon_sym_LF,
    ACTIONS(797), 43,
      anon_sym_SEMI,
      anon_sym_DOT,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_LBRACK,
      anon_sym_STAR,
      anon_sym_PIPE,
      anon_sym_RBRACE,
      anon_sym_LT_DASH,
      anon_sym_COLON_EQ,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_AMP_CARET_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_CARET_EQ,
      anon_sym_case,
      anon_sym_default,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_LT_EQ,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
  [25789] = 3,
    ACTIONS(321), 1,
      sym_comment,
    ACTIONS(799), 1,
      anon_sym_LF,
    ACTIONS(801), 43,
      anon_sym_SEMI,
      anon_sym_DOT,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_LBRACK,
      anon_sym_STAR,
      anon_sym_PIPE,
      anon_sym_RBRACE,
      anon_sym_LT_DASH,
      anon_sym_COLON_EQ,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_AMP_CARET_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_CARET_EQ,
      anon_sym_case,
      anon_sym_default,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_LT_EQ,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
  [25841] = 3,
    ACTIONS(321), 1,
      sym_comment,
    ACTIONS(803), 1,
      anon_sym_LF,
    ACTIONS(805), 43,
      anon_sym_SEMI,
      anon_sym_DOT,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_LBRACK,
      anon_sym_STAR,
      anon_sym_PIPE,
      anon_sym_RBRACE,
      anon_sym_LT_DASH,
      anon_sym_COLON_EQ,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_AMP_CARET_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_CARET_EQ,
      anon_sym_case,
      anon_sym_default,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_LT_EQ,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
  [25893] = 3,
    ACTIONS(321), 1,
      sym_comment,
    ACTIONS(807), 1,
      anon_sym_LF,
    ACTIONS(809), 43,
      anon_sym_SEMI,
      anon_sym_DOT,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_LBRACK,
      anon_sym_STAR,
      anon_sym_PIPE,
      anon_sym_RBRACE,
      anon_sym_LT_DASH,
      anon_sym_COLON_EQ,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_AMP_CARET_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_CARET_EQ,
      anon_sym_case,
      anon_sym_default,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_LT_EQ,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
  [25945] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(563), 1,
      anon_sym_DOT,
    ACTIONS(578), 1,
      anon_sym_LPAREN,
    ACTIONS(584), 1,
      anon_sym_PIPE,
    ACTIONS(811), 1,
      anon_sym_LBRACK,
    STATE(327), 1,
      sym_literal_value,
    STATE(848), 1,
      sym_type_arguments,
    ACTIONS(591), 13,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP_CARET,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(589), 24,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_LT_DASH,
      anon_sym_COLON_EQ,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_AMP_CARET_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_CARET_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
  [26008] = 20,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(607), 1,
      anon_sym_LBRACE,
    ACTIONS(617), 1,
      anon_sym_EQ,
    ACTIONS(649), 1,
      anon_sym_DOT,
    ACTIONS(651), 1,
      anon_sym_LPAREN,
    ACTIONS(653), 1,
      anon_sym_COMMA,
    ACTIONS(655), 1,
      anon_sym_LBRACK,
    ACTIONS(665), 1,
      anon_sym_PLUS_PLUS,
    ACTIONS(667), 1,
      anon_sym_DASH_DASH,
    ACTIONS(673), 1,
      anon_sym_AMP_AMP,
    ACTIONS(675), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(814), 1,
      anon_sym_LT_DASH,
    STATE(325), 1,
      sym_argument_list,
    STATE(767), 1,
      aux_sym_expression_list_repeat1,
    STATE(1252), 1,
      sym_type_arguments,
    ACTIONS(671), 2,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(659), 4,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_CARET,
    ACTIONS(669), 4,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
    ACTIONS(657), 7,
      anon_sym_STAR,
      anon_sym_AMP,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP_CARET,
    ACTIONS(663), 12,
      anon_sym_COLON_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_AMP_CARET_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_CARET_EQ,
  [26093] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(649), 1,
      anon_sym_DOT,
    ACTIONS(651), 1,
      anon_sym_LPAREN,
    ACTIONS(655), 1,
      anon_sym_LBRACK,
    STATE(325), 1,
      sym_argument_list,
    STATE(1252), 1,
      sym_type_arguments,
    ACTIONS(643), 14,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP_CARET,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(641), 24,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_LT_DASH,
      anon_sym_COLON_EQ,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_AMP_CARET_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_CARET_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
  [26154] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(649), 1,
      anon_sym_DOT,
    ACTIONS(651), 1,
      anon_sym_LPAREN,
    ACTIONS(655), 1,
      anon_sym_LBRACK,
    STATE(325), 1,
      sym_argument_list,
    STATE(1252), 1,
      sym_type_arguments,
    ACTIONS(639), 7,
      anon_sym_EQ,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_CARET,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(657), 7,
      anon_sym_STAR,
      anon_sym_AMP,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP_CARET,
    ACTIONS(637), 24,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_LT_DASH,
      anon_sym_COLON_EQ,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_AMP_CARET_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_CARET_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
  [26217] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(649), 1,
      anon_sym_DOT,
    ACTIONS(651), 1,
      anon_sym_LPAREN,
    ACTIONS(655), 1,
      anon_sym_LBRACK,
    STATE(325), 1,
      sym_argument_list,
    STATE(1252), 1,
      sym_type_arguments,
    ACTIONS(639), 14,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP_CARET,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(637), 24,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_LT_DASH,
      anon_sym_COLON_EQ,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_AMP_CARET_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_CARET_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
  [26278] = 10,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(649), 1,
      anon_sym_DOT,
    ACTIONS(651), 1,
      anon_sym_LPAREN,
    ACTIONS(655), 1,
      anon_sym_LBRACK,
    STATE(325), 1,
      sym_argument_list,
    STATE(1252), 1,
      sym_type_arguments,
    ACTIONS(639), 3,
      anon_sym_EQ,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(659), 4,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_CARET,
    ACTIONS(657), 7,
      anon_sym_STAR,
      anon_sym_AMP,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP_CARET,
    ACTIONS(637), 24,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_LT_DASH,
      anon_sym_COLON_EQ,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_AMP_CARET_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_CARET_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
  [26343] = 12,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(639), 1,
      anon_sym_EQ,
    ACTIONS(649), 1,
      anon_sym_DOT,
    ACTIONS(651), 1,
      anon_sym_LPAREN,
    ACTIONS(655), 1,
      anon_sym_LBRACK,
    STATE(325), 1,
      sym_argument_list,
    STATE(1252), 1,
      sym_type_arguments,
    ACTIONS(671), 2,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(659), 4,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_CARET,
    ACTIONS(669), 4,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
    ACTIONS(657), 7,
      anon_sym_STAR,
      anon_sym_AMP,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP_CARET,
    ACTIONS(637), 20,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_LT_DASH,
      anon_sym_COLON_EQ,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_AMP_CARET_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_CARET_EQ,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
  [26412] = 13,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(639), 1,
      anon_sym_EQ,
    ACTIONS(649), 1,
      anon_sym_DOT,
    ACTIONS(651), 1,
      anon_sym_LPAREN,
    ACTIONS(655), 1,
      anon_sym_LBRACK,
    ACTIONS(673), 1,
      anon_sym_AMP_AMP,
    STATE(325), 1,
      sym_argument_list,
    STATE(1252), 1,
      sym_type_arguments,
    ACTIONS(671), 2,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(659), 4,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_CARET,
    ACTIONS(669), 4,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
    ACTIONS(657), 7,
      anon_sym_STAR,
      anon_sym_AMP,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP_CARET,
    ACTIONS(637), 19,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_LT_DASH,
      anon_sym_COLON_EQ,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_AMP_CARET_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_PIPE,
  [26483] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(816), 1,
      anon_sym_LPAREN,
    STATE(325), 1,
      sym_special_argument_list,
    ACTIONS(591), 14,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP_CARET,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(589), 26,
      anon_sym_SEMI,
      anon_sym_DOT,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_LBRACE,
      anon_sym_LT_DASH,
      anon_sym_COLON_EQ,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_AMP_CARET_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_CARET_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
  [26537] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(705), 14,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP_CARET,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(703), 27,
      anon_sym_SEMI,
      anon_sym_DOT,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_LBRACE,
      anon_sym_LT_DASH,
      anon_sym_COLON_EQ,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_AMP_CARET_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_CARET_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
  [26586] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(717), 14,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP_CARET,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(715), 27,
      anon_sym_SEMI,
      anon_sym_DOT,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_LBRACE,
      anon_sym_LT_DASH,
      anon_sym_COLON_EQ,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_AMP_CARET_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_CARET_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
  [26635] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(685), 14,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP_CARET,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(683), 27,
      anon_sym_SEMI,
      anon_sym_DOT,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_LBRACE,
      anon_sym_LT_DASH,
      anon_sym_COLON_EQ,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_AMP_CARET_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_CARET_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
  [26684] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(701), 14,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP_CARET,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(699), 27,
      anon_sym_SEMI,
      anon_sym_DOT,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_LBRACE,
      anon_sym_LT_DASH,
      anon_sym_COLON_EQ,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_AMP_CARET_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_CARET_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
  [26733] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(781), 14,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP_CARET,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(779), 27,
      anon_sym_SEMI,
      anon_sym_DOT,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_LBRACE,
      anon_sym_LT_DASH,
      anon_sym_COLON_EQ,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_AMP_CARET_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_CARET_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
  [26782] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(647), 14,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP_CARET,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(645), 27,
      anon_sym_SEMI,
      anon_sym_DOT,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_LBRACE,
      anon_sym_LT_DASH,
      anon_sym_COLON_EQ,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_AMP_CARET_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_CARET_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
  [26831] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(785), 14,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP_CARET,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(783), 27,
      anon_sym_SEMI,
      anon_sym_DOT,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_LBRACE,
      anon_sym_LT_DASH,
      anon_sym_COLON_EQ,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_AMP_CARET_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_CARET_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
  [26880] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(789), 14,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP_CARET,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(787), 27,
      anon_sym_SEMI,
      anon_sym_DOT,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_LBRACE,
      anon_sym_LT_DASH,
      anon_sym_COLON_EQ,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_AMP_CARET_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_CARET_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
  [26929] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(805), 14,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP_CARET,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(803), 27,
      anon_sym_SEMI,
      anon_sym_DOT,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_LBRACE,
      anon_sym_LT_DASH,
      anon_sym_COLON_EQ,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_AMP_CARET_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_CARET_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
  [26978] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(809), 14,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP_CARET,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(807), 27,
      anon_sym_SEMI,
      anon_sym_DOT,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_LBRACE,
      anon_sym_LT_DASH,
      anon_sym_COLON_EQ,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_AMP_CARET_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_CARET_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
  [27027] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(721), 14,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP_CARET,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(719), 27,
      anon_sym_SEMI,
      anon_sym_DOT,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_LBRACE,
      anon_sym_LT_DASH,
      anon_sym_COLON_EQ,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_AMP_CARET_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_CARET_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
  [27076] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(709), 14,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP_CARET,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(707), 27,
      anon_sym_SEMI,
      anon_sym_DOT,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_LBRACE,
      anon_sym_LT_DASH,
      anon_sym_COLON_EQ,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_AMP_CARET_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_CARET_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
  [27125] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(591), 14,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP_CARET,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(589), 27,
      anon_sym_SEMI,
      anon_sym_DOT,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_LBRACE,
      anon_sym_LT_DASH,
      anon_sym_COLON_EQ,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_AMP_CARET_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_CARET_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
  [27174] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(713), 14,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP_CARET,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(711), 27,
      anon_sym_SEMI,
      anon_sym_DOT,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_LBRACE,
      anon_sym_LT_DASH,
      anon_sym_COLON_EQ,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_AMP_CARET_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_CARET_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
  [27223] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(757), 14,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP_CARET,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(755), 27,
      anon_sym_SEMI,
      anon_sym_DOT,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_LBRACE,
      anon_sym_LT_DASH,
      anon_sym_COLON_EQ,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_AMP_CARET_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_CARET_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
  [27272] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(793), 14,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP_CARET,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(791), 27,
      anon_sym_SEMI,
      anon_sym_DOT,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_LBRACE,
      anon_sym_LT_DASH,
      anon_sym_COLON_EQ,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_AMP_CARET_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_CARET_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
  [27321] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(801), 14,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP_CARET,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(799), 27,
      anon_sym_SEMI,
      anon_sym_DOT,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_LBRACE,
      anon_sym_LT_DASH,
      anon_sym_COLON_EQ,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_AMP_CARET_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_CARET_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
  [27370] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(745), 14,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP_CARET,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(743), 27,
      anon_sym_SEMI,
      anon_sym_DOT,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_LBRACE,
      anon_sym_LT_DASH,
      anon_sym_COLON_EQ,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_AMP_CARET_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_CARET_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
  [27419] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(697), 14,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP_CARET,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(695), 27,
      anon_sym_SEMI,
      anon_sym_DOT,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_LBRACE,
      anon_sym_LT_DASH,
      anon_sym_COLON_EQ,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_AMP_CARET_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_CARET_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
  [27468] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(765), 14,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP_CARET,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(763), 27,
      anon_sym_SEMI,
      anon_sym_DOT,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_LBRACE,
      anon_sym_LT_DASH,
      anon_sym_COLON_EQ,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_AMP_CARET_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_CARET_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
  [27517] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(769), 14,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP_CARET,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(767), 27,
      anon_sym_SEMI,
      anon_sym_DOT,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_LBRACE,
      anon_sym_LT_DASH,
      anon_sym_COLON_EQ,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_AMP_CARET_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_CARET_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
  [27566] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(777), 14,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP_CARET,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(775), 27,
      anon_sym_SEMI,
      anon_sym_DOT,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_LBRACE,
      anon_sym_LT_DASH,
      anon_sym_COLON_EQ,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_AMP_CARET_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_CARET_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
  [27615] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(693), 14,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP_CARET,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(691), 27,
      anon_sym_SEMI,
      anon_sym_DOT,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_LBRACE,
      anon_sym_LT_DASH,
      anon_sym_COLON_EQ,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_AMP_CARET_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_CARET_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
  [27664] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(753), 14,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP_CARET,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(751), 27,
      anon_sym_SEMI,
      anon_sym_DOT,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_LBRACE,
      anon_sym_LT_DASH,
      anon_sym_COLON_EQ,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_AMP_CARET_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_CARET_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
  [27713] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(689), 14,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP_CARET,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(687), 27,
      anon_sym_SEMI,
      anon_sym_DOT,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_LBRACE,
      anon_sym_LT_DASH,
      anon_sym_COLON_EQ,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_AMP_CARET_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_CARET_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
  [27762] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(737), 14,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP_CARET,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(735), 27,
      anon_sym_SEMI,
      anon_sym_DOT,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_LBRACE,
      anon_sym_LT_DASH,
      anon_sym_COLON_EQ,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_AMP_CARET_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_CARET_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
  [27811] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(773), 14,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP_CARET,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(771), 27,
      anon_sym_SEMI,
      anon_sym_DOT,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_LBRACE,
      anon_sym_LT_DASH,
      anon_sym_COLON_EQ,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_AMP_CARET_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_CARET_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
  [27860] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(761), 14,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP_CARET,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(759), 27,
      anon_sym_SEMI,
      anon_sym_DOT,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_LBRACE,
      anon_sym_LT_DASH,
      anon_sym_COLON_EQ,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_AMP_CARET_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_CARET_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
  [27909] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(729), 14,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP_CARET,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(727), 27,
      anon_sym_SEMI,
      anon_sym_DOT,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_LBRACE,
      anon_sym_LT_DASH,
      anon_sym_COLON_EQ,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_AMP_CARET_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_CARET_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
  [27958] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(725), 14,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP_CARET,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(723), 27,
      anon_sym_SEMI,
      anon_sym_DOT,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_LBRACE,
      anon_sym_LT_DASH,
      anon_sym_COLON_EQ,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_AMP_CARET_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_CARET_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
  [28007] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(681), 14,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP_CARET,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(679), 27,
      anon_sym_SEMI,
      anon_sym_DOT,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_LBRACE,
      anon_sym_LT_DASH,
      anon_sym_COLON_EQ,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_AMP_CARET_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_CARET_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
  [28056] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(741), 14,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP_CARET,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(739), 27,
      anon_sym_SEMI,
      anon_sym_DOT,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_LBRACE,
      anon_sym_LT_DASH,
      anon_sym_COLON_EQ,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_AMP_CARET_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_CARET_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
  [28105] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(797), 14,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP_CARET,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(795), 27,
      anon_sym_SEMI,
      anon_sym_DOT,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_LBRACE,
      anon_sym_LT_DASH,
      anon_sym_COLON_EQ,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_AMP_CARET_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_CARET_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
  [28154] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(733), 14,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP_CARET,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(731), 27,
      anon_sym_SEMI,
      anon_sym_DOT,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_LBRACE,
      anon_sym_LT_DASH,
      anon_sym_COLON_EQ,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_AMP_CARET_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_CARET_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
  [28203] = 10,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(563), 1,
      anon_sym_DOT,
    ACTIONS(578), 1,
      anon_sym_LPAREN,
    ACTIONS(584), 1,
      anon_sym_PIPE,
    ACTIONS(811), 1,
      anon_sym_LBRACK,
    ACTIONS(818), 1,
      anon_sym_LBRACE,
    STATE(343), 1,
      sym_literal_value,
    STATE(848), 1,
      sym_type_arguments,
    ACTIONS(591), 13,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP_CARET,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(589), 19,
      anon_sym_COMMA,
      anon_sym_COLON_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_AMP_CARET_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_CARET_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
  [28264] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(820), 1,
      anon_sym_DOT,
    ACTIONS(822), 1,
      anon_sym_LPAREN,
    ACTIONS(824), 1,
      anon_sym_LBRACK,
    STATE(340), 1,
      sym_argument_list,
    STATE(1218), 1,
      sym_type_arguments,
    ACTIONS(639), 14,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP_CARET,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(637), 19,
      anon_sym_COMMA,
      anon_sym_COLON_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_AMP_CARET_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_CARET_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
  [28320] = 14,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(820), 1,
      anon_sym_DOT,
    ACTIONS(822), 1,
      anon_sym_LPAREN,
    ACTIONS(824), 1,
      anon_sym_LBRACK,
    ACTIONS(828), 1,
      anon_sym_EQ,
    ACTIONS(838), 1,
      anon_sym_AMP_AMP,
    ACTIONS(840), 1,
      anon_sym_PIPE_PIPE,
    STATE(340), 1,
      sym_argument_list,
    STATE(1218), 1,
      sym_type_arguments,
    ACTIONS(836), 2,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(832), 4,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_CARET,
    ACTIONS(834), 4,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
    ACTIONS(830), 7,
      anon_sym_STAR,
      anon_sym_AMP,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP_CARET,
    ACTIONS(826), 13,
      anon_sym_COMMA,
      anon_sym_COLON_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_AMP_CARET_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_CARET_EQ,
  [28388] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(820), 1,
      anon_sym_DOT,
    ACTIONS(822), 1,
      anon_sym_LPAREN,
    ACTIONS(824), 1,
      anon_sym_LBRACK,
    STATE(340), 1,
      sym_argument_list,
    STATE(1218), 1,
      sym_type_arguments,
    ACTIONS(643), 14,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP_CARET,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(641), 19,
      anon_sym_COMMA,
      anon_sym_COLON_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_AMP_CARET_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_CARET_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
  [28444] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(820), 1,
      anon_sym_DOT,
    ACTIONS(822), 1,
      anon_sym_LPAREN,
    ACTIONS(824), 1,
      anon_sym_LBRACK,
    STATE(340), 1,
      sym_argument_list,
    STATE(1218), 1,
      sym_type_arguments,
    ACTIONS(639), 7,
      anon_sym_EQ,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_CARET,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(830), 7,
      anon_sym_STAR,
      anon_sym_AMP,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP_CARET,
    ACTIONS(637), 19,
      anon_sym_COMMA,
      anon_sym_COLON_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_AMP_CARET_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_CARET_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
  [28502] = 10,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(820), 1,
      anon_sym_DOT,
    ACTIONS(822), 1,
      anon_sym_LPAREN,
    ACTIONS(824), 1,
      anon_sym_LBRACK,
    STATE(340), 1,
      sym_argument_list,
    STATE(1218), 1,
      sym_type_arguments,
    ACTIONS(639), 3,
      anon_sym_EQ,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(832), 4,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_CARET,
    ACTIONS(830), 7,
      anon_sym_STAR,
      anon_sym_AMP,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP_CARET,
    ACTIONS(637), 19,
      anon_sym_COMMA,
      anon_sym_COLON_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_AMP_CARET_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_CARET_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
  [28562] = 12,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(639), 1,
      anon_sym_EQ,
    ACTIONS(820), 1,
      anon_sym_DOT,
    ACTIONS(822), 1,
      anon_sym_LPAREN,
    ACTIONS(824), 1,
      anon_sym_LBRACK,
    STATE(340), 1,
      sym_argument_list,
    STATE(1218), 1,
      sym_type_arguments,
    ACTIONS(836), 2,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(832), 4,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_CARET,
    ACTIONS(834), 4,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
    ACTIONS(830), 7,
      anon_sym_STAR,
      anon_sym_AMP,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP_CARET,
    ACTIONS(637), 15,
      anon_sym_COMMA,
      anon_sym_COLON_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_AMP_CARET_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_CARET_EQ,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
  [28626] = 13,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(639), 1,
      anon_sym_EQ,
    ACTIONS(820), 1,
      anon_sym_DOT,
    ACTIONS(822), 1,
      anon_sym_LPAREN,
    ACTIONS(824), 1,
      anon_sym_LBRACK,
    ACTIONS(838), 1,
      anon_sym_AMP_AMP,
    STATE(340), 1,
      sym_argument_list,
    STATE(1218), 1,
      sym_type_arguments,
    ACTIONS(836), 2,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(832), 4,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_CARET,
    ACTIONS(834), 4,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
    ACTIONS(830), 7,
      anon_sym_STAR,
      anon_sym_AMP,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP_CARET,
    ACTIONS(637), 14,
      anon_sym_COMMA,
      anon_sym_COLON_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_AMP_CARET_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_PIPE,
  [28692] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(842), 1,
      anon_sym_LPAREN,
    STATE(340), 1,
      sym_special_argument_list,
    ACTIONS(591), 14,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP_CARET,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(589), 21,
      anon_sym_DOT,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_COLON_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_AMP_CARET_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_CARET_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
  [28741] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(697), 14,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP_CARET,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(695), 22,
      anon_sym_DOT,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_COLON_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_AMP_CARET_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_CARET_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
  [28785] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(753), 14,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP_CARET,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(751), 22,
      anon_sym_DOT,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_COLON_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_AMP_CARET_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_CARET_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
  [28829] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(809), 14,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP_CARET,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(807), 22,
      anon_sym_DOT,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_COLON_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_AMP_CARET_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_CARET_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
  [28873] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(741), 14,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP_CARET,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(739), 22,
      anon_sym_DOT,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_COLON_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_AMP_CARET_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_CARET_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
  [28917] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(801), 14,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP_CARET,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(799), 22,
      anon_sym_DOT,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_COLON_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_AMP_CARET_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_CARET_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
  [28961] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(745), 14,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP_CARET,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(743), 22,
      anon_sym_DOT,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_COLON_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_AMP_CARET_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_CARET_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
  [29005] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(733), 14,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP_CARET,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(731), 22,
      anon_sym_DOT,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_COLON_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_AMP_CARET_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_CARET_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
  [29049] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(705), 14,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP_CARET,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(703), 22,
      anon_sym_DOT,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_COLON_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_AMP_CARET_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_CARET_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
  [29093] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(765), 14,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP_CARET,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(763), 22,
      anon_sym_DOT,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_COLON_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_AMP_CARET_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_CARET_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
  [29137] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(769), 14,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP_CARET,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(767), 22,
      anon_sym_DOT,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_COLON_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_AMP_CARET_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_CARET_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
  [29181] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(777), 14,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP_CARET,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(775), 22,
      anon_sym_DOT,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_COLON_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_AMP_CARET_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_CARET_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
  [29225] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(693), 14,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP_CARET,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(691), 22,
      anon_sym_DOT,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_COLON_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_AMP_CARET_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_CARET_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
  [29269] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(785), 14,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP_CARET,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(783), 22,
      anon_sym_DOT,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_COLON_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_AMP_CARET_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_CARET_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
  [29313] = 19,
    ACTIONS(321), 1,
      sym_comment,
    ACTIONS(844), 1,
      sym_identifier,
    ACTIONS(846), 1,
      anon_sym_LF,
    ACTIONS(850), 1,
      anon_sym_LPAREN,
    ACTIONS(852), 1,
      anon_sym_func,
    ACTIONS(854), 1,
      anon_sym_LBRACK,
    ACTIONS(856), 1,
      anon_sym_STAR,
    ACTIONS(858), 1,
      anon_sym_struct,
    ACTIONS(860), 1,
      anon_sym_TILDE,
    ACTIONS(862), 1,
      anon_sym_interface,
    ACTIONS(864), 1,
      anon_sym_map,
    ACTIONS(866), 1,
      anon_sym_chan,
    ACTIONS(868), 1,
      anon_sym_LT_DASH,
    STATE(803), 1,
      sym__simple_type,
    STATE(815), 1,
      sym_parameter_list,
    STATE(1370), 1,
      sym_parenthesized_type,
    STATE(779), 3,
      sym_union_type,
      sym_negated_type,
      sym_qualified_type,
    ACTIONS(848), 9,
      anon_sym_SEMI,
      anon_sym_EQ,
      anon_sym_PIPE,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_case,
      anon_sym_default,
      sym_raw_string_literal,
      anon_sym_DQUOTE,
    STATE(813), 9,
      sym_generic_type,
      sym_pointer_type,
      sym_array_type,
      sym_slice_type,
      sym_struct_type,
      sym_interface_type,
      sym_map_type,
      sym_channel_type,
      sym_function_type,
  [29389] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(781), 14,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP_CARET,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(779), 22,
      anon_sym_DOT,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_COLON_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_AMP_CARET_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_CARET_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
  [29433] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(737), 14,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP_CARET,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(735), 22,
      anon_sym_DOT,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_COLON_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_AMP_CARET_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_CARET_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
  [29477] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(773), 14,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP_CARET,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(771), 22,
      anon_sym_DOT,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_COLON_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_AMP_CARET_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_CARET_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
  [29521] = 19,
    ACTIONS(321), 1,
      sym_comment,
    ACTIONS(846), 1,
      anon_sym_LF,
    ACTIONS(850), 1,
      anon_sym_LPAREN,
    ACTIONS(858), 1,
      anon_sym_struct,
    ACTIONS(860), 1,
      anon_sym_TILDE,
    ACTIONS(862), 1,
      anon_sym_interface,
    ACTIONS(870), 1,
      sym_identifier,
    ACTIONS(872), 1,
      anon_sym_func,
    ACTIONS(874), 1,
      anon_sym_LBRACK,
    ACTIONS(876), 1,
      anon_sym_STAR,
    ACTIONS(878), 1,
      anon_sym_map,
    ACTIONS(880), 1,
      anon_sym_chan,
    ACTIONS(882), 1,
      anon_sym_LT_DASH,
    STATE(803), 1,
      sym__simple_type,
    STATE(815), 1,
      sym_parameter_list,
    STATE(1370), 1,
      sym_parenthesized_type,
    STATE(780), 3,
      sym_union_type,
      sym_negated_type,
      sym_qualified_type,
    ACTIONS(848), 9,
      anon_sym_SEMI,
      anon_sym_EQ,
      anon_sym_PIPE,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_case,
      anon_sym_default,
      sym_raw_string_literal,
      anon_sym_DQUOTE,
    STATE(813), 9,
      sym_generic_type,
      sym_pointer_type,
      sym_array_type,
      sym_slice_type,
      sym_struct_type,
      sym_interface_type,
      sym_map_type,
      sym_channel_type,
      sym_function_type,
  [29597] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(761), 14,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP_CARET,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(759), 22,
      anon_sym_DOT,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_COLON_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_AMP_CARET_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_CARET_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
  [29641] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(789), 14,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP_CARET,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(787), 22,
      anon_sym_DOT,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_COLON_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_AMP_CARET_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_CARET_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
  [29685] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(805), 14,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP_CARET,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(803), 22,
      anon_sym_DOT,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_COLON_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_AMP_CARET_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_CARET_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
  [29729] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(689), 14,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP_CARET,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(687), 22,
      anon_sym_DOT,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_COLON_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_AMP_CARET_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_CARET_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
  [29773] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(681), 14,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP_CARET,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(679), 22,
      anon_sym_DOT,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_COLON_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_AMP_CARET_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_CARET_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
  [29817] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(701), 14,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP_CARET,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(699), 22,
      anon_sym_DOT,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_COLON_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_AMP_CARET_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_CARET_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
  [29861] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(757), 14,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP_CARET,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(755), 22,
      anon_sym_DOT,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_COLON_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_AMP_CARET_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_CARET_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
  [29905] = 25,
    ACTIONS(321), 1,
      sym_comment,
    ACTIONS(844), 1,
      sym_identifier,
    ACTIONS(852), 1,
      anon_sym_func,
    ACTIONS(856), 1,
      anon_sym_STAR,
    ACTIONS(858), 1,
      anon_sym_struct,
    ACTIONS(860), 1,
      anon_sym_TILDE,
    ACTIONS(862), 1,
      anon_sym_interface,
    ACTIONS(864), 1,
      anon_sym_map,
    ACTIONS(866), 1,
      anon_sym_chan,
    ACTIONS(868), 1,
      anon_sym_LT_DASH,
    ACTIONS(884), 1,
      anon_sym_LF,
    ACTIONS(888), 1,
      anon_sym_DOT,
    ACTIONS(890), 1,
      anon_sym_LPAREN,
    ACTIONS(892), 1,
      anon_sym_COMMA,
    ACTIONS(894), 1,
      anon_sym_LBRACK,
    ACTIONS(896), 1,
      anon_sym_PIPE,
    ACTIONS(898), 1,
      sym_raw_string_literal,
    ACTIONS(900), 1,
      anon_sym_DQUOTE,
    STATE(587), 1,
      aux_sym_field_declaration_repeat1,
    STATE(802), 1,
      sym_type_arguments,
    STATE(1207), 1,
      sym_interpreted_string_literal,
    ACTIONS(886), 2,
      anon_sym_SEMI,
      anon_sym_RBRACE,
    STATE(868), 2,
      sym_parenthesized_type,
      sym__simple_type,
    STATE(779), 3,
      sym_union_type,
      sym_negated_type,
      sym_qualified_type,
    STATE(813), 9,
      sym_generic_type,
      sym_pointer_type,
      sym_array_type,
      sym_slice_type,
      sym_struct_type,
      sym_interface_type,
      sym_map_type,
      sym_channel_type,
      sym_function_type,
  [29993] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(729), 14,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP_CARET,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(727), 22,
      anon_sym_DOT,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_COLON_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_AMP_CARET_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_CARET_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
  [30037] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(725), 14,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP_CARET,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(723), 22,
      anon_sym_DOT,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_COLON_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_AMP_CARET_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_CARET_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
  [30081] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(713), 14,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP_CARET,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(711), 22,
      anon_sym_DOT,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_COLON_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_AMP_CARET_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_CARET_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
  [30125] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(797), 14,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP_CARET,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(795), 22,
      anon_sym_DOT,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_COLON_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_AMP_CARET_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_CARET_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
  [30169] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(685), 14,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP_CARET,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(683), 22,
      anon_sym_DOT,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_COLON_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_AMP_CARET_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_CARET_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
  [30213] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(709), 14,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP_CARET,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(707), 22,
      anon_sym_DOT,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_COLON_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_AMP_CARET_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_CARET_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
  [30257] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(721), 14,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP_CARET,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(719), 22,
      anon_sym_DOT,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_COLON_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_AMP_CARET_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_CARET_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
  [30301] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(717), 14,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP_CARET,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(715), 22,
      anon_sym_DOT,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_COLON_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_AMP_CARET_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_CARET_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
  [30345] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(793), 14,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP_CARET,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(791), 22,
      anon_sym_DOT,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_COLON_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_AMP_CARET_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_CARET_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
  [30389] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(591), 14,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP_CARET,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(589), 22,
      anon_sym_DOT,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_COLON_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_AMP_CARET_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_CARET_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
  [30433] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(647), 14,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP_CARET,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(645), 22,
      anon_sym_DOT,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_COLON_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_AMP_CARET_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_CARET_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
  [30477] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(902), 1,
      anon_sym_DOT,
    ACTIONS(904), 1,
      anon_sym_LPAREN,
    ACTIONS(906), 1,
      anon_sym_LBRACK,
    STATE(396), 1,
      sym_argument_list,
    STATE(1275), 1,
      sym_type_arguments,
    ACTIONS(639), 7,
      anon_sym_EQ,
      anon_sym_PIPE,
      anon_sym_COLON,
      anon_sym_AMP,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(637), 22,
      anon_sym_SEMI,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT_DOT_DOT,
      anon_sym_STAR,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_COLON_EQ,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
  [30529] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(902), 1,
      anon_sym_DOT,
    ACTIONS(904), 1,
      anon_sym_LPAREN,
    ACTIONS(906), 1,
      anon_sym_LBRACK,
    STATE(396), 1,
      sym_argument_list,
    STATE(1275), 1,
      sym_type_arguments,
    ACTIONS(643), 7,
      anon_sym_EQ,
      anon_sym_PIPE,
      anon_sym_COLON,
      anon_sym_AMP,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(641), 22,
      anon_sym_SEMI,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT_DOT_DOT,
      anon_sym_STAR,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_COLON_EQ,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
  [30581] = 20,
    ACTIONS(29), 1,
      anon_sym_struct,
    ACTIONS(35), 1,
      anon_sym_interface,
    ACTIONS(37), 1,
      anon_sym_map,
    ACTIONS(39), 1,
      anon_sym_chan,
    ACTIONS(309), 1,
      anon_sym_TILDE,
    ACTIONS(321), 1,
      sym_comment,
    ACTIONS(561), 1,
      sym_identifier,
    ACTIONS(573), 1,
      anon_sym_func,
    ACTIONS(908), 1,
      anon_sym_LF,
    ACTIONS(912), 1,
      anon_sym_LPAREN,
    ACTIONS(914), 1,
      anon_sym_COMMA,
    ACTIONS(916), 1,
      anon_sym_EQ,
    ACTIONS(918), 1,
      anon_sym_LBRACK,
    ACTIONS(920), 1,
      anon_sym_STAR,
    ACTIONS(922), 1,
      anon_sym_LT_DASH,
    STATE(756), 1,
      aux_sym_const_spec_repeat1,
    STATE(1223), 2,
      sym_parenthesized_type,
      sym__simple_type,
    STATE(821), 3,
      sym_union_type,
      sym_negated_type,
      sym_qualified_type,
    ACTIONS(910), 4,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_case,
      anon_sym_default,
    STATE(830), 9,
      sym_generic_type,
      sym_pointer_type,
      sym_array_type,
      sym_slice_type,
      sym_struct_type,
      sym_interface_type,
      sym_map_type,
      sym_channel_type,
      sym_function_type,
  [30656] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(924), 1,
      anon_sym_LPAREN,
    STATE(396), 1,
      sym_special_argument_list,
    ACTIONS(591), 8,
      anon_sym_DOT,
      anon_sym_EQ,
      anon_sym_PIPE,
      anon_sym_COLON,
      anon_sym_AMP,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(589), 23,
      anon_sym_SEMI,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_DOT_DOT_DOT,
      anon_sym_STAR,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_COLON_EQ,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
  [30701] = 18,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(29), 1,
      anon_sym_struct,
    ACTIONS(31), 1,
      anon_sym_TILDE,
    ACTIONS(35), 1,
      anon_sym_interface,
    ACTIONS(926), 1,
      sym_identifier,
    ACTIONS(928), 1,
      anon_sym_LPAREN,
    ACTIONS(930), 1,
      anon_sym_func,
    ACTIONS(932), 1,
      anon_sym_LBRACK,
    ACTIONS(934), 1,
      anon_sym_STAR,
    ACTIONS(936), 1,
      anon_sym_map,
    ACTIONS(938), 1,
      anon_sym_chan,
    ACTIONS(940), 1,
      anon_sym_LT_DASH,
    STATE(851), 1,
      sym__simple_type,
    STATE(860), 1,
      sym_parameter_list,
    STATE(1311), 1,
      sym_parenthesized_type,
    STATE(817), 3,
      sym_union_type,
      sym_negated_type,
      sym_qualified_type,
    ACTIONS(846), 7,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_RBRACK,
      anon_sym_PIPE,
      anon_sym_LBRACE,
      anon_sym_COLON,
    STATE(830), 9,
      sym_generic_type,
      sym_pointer_type,
      sym_array_type,
      sym_slice_type,
      sym_struct_type,
      sym_interface_type,
      sym_map_type,
      sym_channel_type,
      sym_function_type,
  [30772] = 18,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(29), 1,
      anon_sym_struct,
    ACTIONS(31), 1,
      anon_sym_TILDE,
    ACTIONS(35), 1,
      anon_sym_interface,
    ACTIONS(37), 1,
      anon_sym_map,
    ACTIONS(39), 1,
      anon_sym_chan,
    ACTIONS(561), 1,
      sym_identifier,
    ACTIONS(573), 1,
      anon_sym_func,
    ACTIONS(587), 1,
      anon_sym_LT_DASH,
    ACTIONS(928), 1,
      anon_sym_LPAREN,
    ACTIONS(942), 1,
      anon_sym_LBRACK,
    ACTIONS(944), 1,
      anon_sym_STAR,
    STATE(851), 1,
      sym__simple_type,
    STATE(860), 1,
      sym_parameter_list,
    STATE(1311), 1,
      sym_parenthesized_type,
    STATE(821), 3,
      sym_union_type,
      sym_negated_type,
      sym_qualified_type,
    ACTIONS(846), 7,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_RBRACK,
      anon_sym_PIPE,
      anon_sym_LBRACE,
      anon_sym_COLON,
    STATE(830), 9,
      sym_generic_type,
      sym_pointer_type,
      sym_array_type,
      sym_slice_type,
      sym_struct_type,
      sym_interface_type,
      sym_map_type,
      sym_channel_type,
      sym_function_type,
  [30843] = 10,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(275), 1,
      anon_sym_LBRACE,
    ACTIONS(563), 1,
      anon_sym_DOT,
    ACTIONS(584), 1,
      anon_sym_PIPE,
    ACTIONS(811), 1,
      anon_sym_LBRACK,
    STATE(400), 1,
      sym_literal_value,
    STATE(848), 1,
      sym_type_arguments,
    ACTIONS(578), 2,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
    ACTIONS(591), 6,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_AMP,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(589), 19,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_STAR,
      anon_sym_RBRACE,
      anon_sym_COLON_EQ,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
  [30898] = 20,
    ACTIONS(29), 1,
      anon_sym_struct,
    ACTIONS(35), 1,
      anon_sym_interface,
    ACTIONS(37), 1,
      anon_sym_map,
    ACTIONS(39), 1,
      anon_sym_chan,
    ACTIONS(309), 1,
      anon_sym_TILDE,
    ACTIONS(321), 1,
      sym_comment,
    ACTIONS(561), 1,
      sym_identifier,
    ACTIONS(573), 1,
      anon_sym_func,
    ACTIONS(912), 1,
      anon_sym_LPAREN,
    ACTIONS(914), 1,
      anon_sym_COMMA,
    ACTIONS(918), 1,
      anon_sym_LBRACK,
    ACTIONS(920), 1,
      anon_sym_STAR,
    ACTIONS(922), 1,
      anon_sym_LT_DASH,
    ACTIONS(946), 1,
      anon_sym_LF,
    ACTIONS(950), 1,
      anon_sym_EQ,
    STATE(376), 1,
      aux_sym_const_spec_repeat1,
    STATE(1298), 2,
      sym_parenthesized_type,
      sym__simple_type,
    STATE(821), 3,
      sym_union_type,
      sym_negated_type,
      sym_qualified_type,
    ACTIONS(948), 4,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_case,
      anon_sym_default,
    STATE(830), 9,
      sym_generic_type,
      sym_pointer_type,
      sym_array_type,
      sym_slice_type,
      sym_struct_type,
      sym_interface_type,
      sym_map_type,
      sym_channel_type,
      sym_function_type,
  [30973] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(773), 8,
      anon_sym_DOT,
      anon_sym_EQ,
      anon_sym_PIPE,
      anon_sym_COLON,
      anon_sym_AMP,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(771), 24,
      anon_sym_SEMI,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_DOT_DOT_DOT,
      anon_sym_STAR,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_COLON_EQ,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
  [31013] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(805), 8,
      anon_sym_DOT,
      anon_sym_EQ,
      anon_sym_PIPE,
      anon_sym_COLON,
      anon_sym_AMP,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(803), 24,
      anon_sym_SEMI,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_DOT_DOT_DOT,
      anon_sym_STAR,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_COLON_EQ,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
  [31053] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(753), 8,
      anon_sym_DOT,
      anon_sym_EQ,
      anon_sym_PIPE,
      anon_sym_COLON,
      anon_sym_AMP,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(751), 24,
      anon_sym_SEMI,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_DOT_DOT_DOT,
      anon_sym_STAR,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_COLON_EQ,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
  [31093] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(689), 8,
      anon_sym_DOT,
      anon_sym_EQ,
      anon_sym_PIPE,
      anon_sym_COLON,
      anon_sym_AMP,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(687), 24,
      anon_sym_SEMI,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_DOT_DOT_DOT,
      anon_sym_STAR,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_COLON_EQ,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
  [31133] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(717), 8,
      anon_sym_DOT,
      anon_sym_EQ,
      anon_sym_PIPE,
      anon_sym_COLON,
      anon_sym_AMP,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(715), 24,
      anon_sym_SEMI,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_DOT_DOT_DOT,
      anon_sym_STAR,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_COLON_EQ,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
  [31173] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(647), 8,
      anon_sym_DOT,
      anon_sym_EQ,
      anon_sym_PIPE,
      anon_sym_COLON,
      anon_sym_AMP,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(645), 24,
      anon_sym_SEMI,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_DOT_DOT_DOT,
      anon_sym_STAR,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_COLON_EQ,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
  [31213] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(681), 8,
      anon_sym_DOT,
      anon_sym_EQ,
      anon_sym_PIPE,
      anon_sym_COLON,
      anon_sym_AMP,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(679), 24,
      anon_sym_SEMI,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_DOT_DOT_DOT,
      anon_sym_STAR,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_COLON_EQ,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
  [31253] = 20,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(29), 1,
      anon_sym_struct,
    ACTIONS(31), 1,
      anon_sym_TILDE,
    ACTIONS(35), 1,
      anon_sym_interface,
    ACTIONS(37), 1,
      anon_sym_map,
    ACTIONS(39), 1,
      anon_sym_chan,
    ACTIONS(561), 1,
      sym_identifier,
    ACTIONS(573), 1,
      anon_sym_func,
    ACTIONS(587), 1,
      anon_sym_LT_DASH,
    ACTIONS(928), 1,
      anon_sym_LPAREN,
    ACTIONS(942), 1,
      anon_sym_LBRACK,
    ACTIONS(944), 1,
      anon_sym_STAR,
    ACTIONS(952), 1,
      anon_sym_LBRACE,
    STATE(386), 1,
      sym_block,
    STATE(866), 1,
      sym_parameter_list,
    STATE(867), 1,
      sym__simple_type,
    STATE(1311), 1,
      sym_parenthesized_type,
    STATE(821), 3,
      sym_union_type,
      sym_negated_type,
      sym_qualified_type,
    ACTIONS(846), 4,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_PIPE,
    STATE(830), 9,
      sym_generic_type,
      sym_pointer_type,
      sym_array_type,
      sym_slice_type,
      sym_struct_type,
      sym_interface_type,
      sym_map_type,
      sym_channel_type,
      sym_function_type,
  [31327] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(761), 8,
      anon_sym_DOT,
      anon_sym_EQ,
      anon_sym_PIPE,
      anon_sym_COLON,
      anon_sym_AMP,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(759), 24,
      anon_sym_SEMI,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_DOT_DOT_DOT,
      anon_sym_STAR,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_COLON_EQ,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
  [31367] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(781), 8,
      anon_sym_DOT,
      anon_sym_EQ,
      anon_sym_PIPE,
      anon_sym_COLON,
      anon_sym_AMP,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(779), 24,
      anon_sym_SEMI,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_DOT_DOT_DOT,
      anon_sym_STAR,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_COLON_EQ,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
  [31407] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(785), 8,
      anon_sym_DOT,
      anon_sym_EQ,
      anon_sym_PIPE,
      anon_sym_COLON,
      anon_sym_AMP,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(783), 24,
      anon_sym_SEMI,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_DOT_DOT_DOT,
      anon_sym_STAR,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_COLON_EQ,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
  [31447] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(737), 8,
      anon_sym_DOT,
      anon_sym_EQ,
      anon_sym_PIPE,
      anon_sym_COLON,
      anon_sym_AMP,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(735), 24,
      anon_sym_SEMI,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_DOT_DOT_DOT,
      anon_sym_STAR,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_COLON_EQ,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
  [31487] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(591), 8,
      anon_sym_DOT,
      anon_sym_EQ,
      anon_sym_PIPE,
      anon_sym_COLON,
      anon_sym_AMP,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(589), 24,
      anon_sym_SEMI,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_DOT_DOT_DOT,
      anon_sym_STAR,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_COLON_EQ,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
  [31527] = 21,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(29), 1,
      anon_sym_struct,
    ACTIONS(31), 1,
      anon_sym_TILDE,
    ACTIONS(35), 1,
      anon_sym_interface,
    ACTIONS(37), 1,
      anon_sym_map,
    ACTIONS(39), 1,
      anon_sym_chan,
    ACTIONS(561), 1,
      sym_identifier,
    ACTIONS(570), 1,
      anon_sym_COMMA,
    ACTIONS(573), 1,
      anon_sym_func,
    ACTIONS(587), 1,
      anon_sym_LT_DASH,
    ACTIONS(944), 1,
      anon_sym_STAR,
    ACTIONS(954), 1,
      anon_sym_DOT,
    ACTIONS(956), 1,
      anon_sym_LPAREN,
    ACTIONS(960), 1,
      anon_sym_LBRACK,
    ACTIONS(962), 1,
      anon_sym_DOT_DOT_DOT,
    STATE(561), 1,
      aux_sym_parameter_declaration_repeat1,
    STATE(848), 1,
      sym_type_arguments,
    ACTIONS(958), 2,
      anon_sym_RPAREN,
      anon_sym_PIPE,
    STATE(1014), 2,
      sym_parenthesized_type,
      sym__simple_type,
    STATE(821), 3,
      sym_union_type,
      sym_negated_type,
      sym_qualified_type,
    STATE(830), 9,
      sym_generic_type,
      sym_pointer_type,
      sym_array_type,
      sym_slice_type,
      sym_struct_type,
      sym_interface_type,
      sym_map_type,
      sym_channel_type,
      sym_function_type,
  [31603] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(741), 8,
      anon_sym_DOT,
      anon_sym_EQ,
      anon_sym_PIPE,
      anon_sym_COLON,
      anon_sym_AMP,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(739), 24,
      anon_sym_SEMI,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_DOT_DOT_DOT,
      anon_sym_STAR,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_COLON_EQ,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
  [31643] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(789), 8,
      anon_sym_DOT,
      anon_sym_EQ,
      anon_sym_PIPE,
      anon_sym_COLON,
      anon_sym_AMP,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(787), 24,
      anon_sym_SEMI,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_DOT_DOT_DOT,
      anon_sym_STAR,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_COLON_EQ,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
  [31683] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(701), 8,
      anon_sym_DOT,
      anon_sym_EQ,
      anon_sym_PIPE,
      anon_sym_COLON,
      anon_sym_AMP,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(699), 24,
      anon_sym_SEMI,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_DOT_DOT_DOT,
      anon_sym_STAR,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_COLON_EQ,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
  [31723] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(725), 8,
      anon_sym_DOT,
      anon_sym_EQ,
      anon_sym_PIPE,
      anon_sym_COLON,
      anon_sym_AMP,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(723), 24,
      anon_sym_SEMI,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_DOT_DOT_DOT,
      anon_sym_STAR,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_COLON_EQ,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
  [31763] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(733), 8,
      anon_sym_DOT,
      anon_sym_EQ,
      anon_sym_PIPE,
      anon_sym_COLON,
      anon_sym_AMP,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(731), 24,
      anon_sym_SEMI,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_DOT_DOT_DOT,
      anon_sym_STAR,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_COLON_EQ,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
  [31803] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(797), 8,
      anon_sym_DOT,
      anon_sym_EQ,
      anon_sym_PIPE,
      anon_sym_COLON,
      anon_sym_AMP,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(795), 24,
      anon_sym_SEMI,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_DOT_DOT_DOT,
      anon_sym_STAR,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_COLON_EQ,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
  [31843] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(685), 8,
      anon_sym_DOT,
      anon_sym_EQ,
      anon_sym_PIPE,
      anon_sym_COLON,
      anon_sym_AMP,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(683), 24,
      anon_sym_SEMI,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_DOT_DOT_DOT,
      anon_sym_STAR,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_COLON_EQ,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
  [31883] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(693), 8,
      anon_sym_DOT,
      anon_sym_EQ,
      anon_sym_PIPE,
      anon_sym_COLON,
      anon_sym_AMP,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(691), 24,
      anon_sym_SEMI,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_DOT_DOT_DOT,
      anon_sym_STAR,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_COLON_EQ,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
  [31923] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(777), 8,
      anon_sym_DOT,
      anon_sym_EQ,
      anon_sym_PIPE,
      anon_sym_COLON,
      anon_sym_AMP,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(775), 24,
      anon_sym_SEMI,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_DOT_DOT_DOT,
      anon_sym_STAR,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_COLON_EQ,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
  [31963] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(729), 8,
      anon_sym_DOT,
      anon_sym_EQ,
      anon_sym_PIPE,
      anon_sym_COLON,
      anon_sym_AMP,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(727), 24,
      anon_sym_SEMI,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_DOT_DOT_DOT,
      anon_sym_STAR,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_COLON_EQ,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
  [32003] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(769), 8,
      anon_sym_DOT,
      anon_sym_EQ,
      anon_sym_PIPE,
      anon_sym_COLON,
      anon_sym_AMP,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(767), 24,
      anon_sym_SEMI,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_DOT_DOT_DOT,
      anon_sym_STAR,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_COLON_EQ,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
  [32043] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(765), 8,
      anon_sym_DOT,
      anon_sym_EQ,
      anon_sym_PIPE,
      anon_sym_COLON,
      anon_sym_AMP,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(763), 24,
      anon_sym_SEMI,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_DOT_DOT_DOT,
      anon_sym_STAR,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_COLON_EQ,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
  [32083] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(705), 8,
      anon_sym_DOT,
      anon_sym_EQ,
      anon_sym_PIPE,
      anon_sym_COLON,
      anon_sym_AMP,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(703), 24,
      anon_sym_SEMI,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_DOT_DOT_DOT,
      anon_sym_STAR,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_COLON_EQ,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
  [32123] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(697), 8,
      anon_sym_DOT,
      anon_sym_EQ,
      anon_sym_PIPE,
      anon_sym_COLON,
      anon_sym_AMP,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(695), 24,
      anon_sym_SEMI,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_DOT_DOT_DOT,
      anon_sym_STAR,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_COLON_EQ,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
  [32163] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(745), 8,
      anon_sym_DOT,
      anon_sym_EQ,
      anon_sym_PIPE,
      anon_sym_COLON,
      anon_sym_AMP,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(743), 24,
      anon_sym_SEMI,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_DOT_DOT_DOT,
      anon_sym_STAR,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_COLON_EQ,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
  [32203] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(809), 8,
      anon_sym_DOT,
      anon_sym_EQ,
      anon_sym_PIPE,
      anon_sym_COLON,
      anon_sym_AMP,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(807), 24,
      anon_sym_SEMI,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_DOT_DOT_DOT,
      anon_sym_STAR,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_COLON_EQ,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
  [32243] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(801), 8,
      anon_sym_DOT,
      anon_sym_EQ,
      anon_sym_PIPE,
      anon_sym_COLON,
      anon_sym_AMP,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(799), 24,
      anon_sym_SEMI,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_DOT_DOT_DOT,
      anon_sym_STAR,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_COLON_EQ,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
  [32283] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(793), 8,
      anon_sym_DOT,
      anon_sym_EQ,
      anon_sym_PIPE,
      anon_sym_COLON,
      anon_sym_AMP,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(791), 24,
      anon_sym_SEMI,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_DOT_DOT_DOT,
      anon_sym_STAR,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_COLON_EQ,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
  [32323] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(757), 8,
      anon_sym_DOT,
      anon_sym_EQ,
      anon_sym_PIPE,
      anon_sym_COLON,
      anon_sym_AMP,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(755), 24,
      anon_sym_SEMI,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_DOT_DOT_DOT,
      anon_sym_STAR,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_COLON_EQ,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
  [32363] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(713), 8,
      anon_sym_DOT,
      anon_sym_EQ,
      anon_sym_PIPE,
      anon_sym_COLON,
      anon_sym_AMP,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(711), 24,
      anon_sym_SEMI,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_DOT_DOT_DOT,
      anon_sym_STAR,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_COLON_EQ,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
  [32403] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(709), 8,
      anon_sym_DOT,
      anon_sym_EQ,
      anon_sym_PIPE,
      anon_sym_COLON,
      anon_sym_AMP,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(707), 24,
      anon_sym_SEMI,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_DOT_DOT_DOT,
      anon_sym_STAR,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_COLON_EQ,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
  [32443] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(721), 8,
      anon_sym_DOT,
      anon_sym_EQ,
      anon_sym_PIPE,
      anon_sym_COLON,
      anon_sym_AMP,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(719), 24,
      anon_sym_SEMI,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_DOT_DOT_DOT,
      anon_sym_STAR,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_COLON_EQ,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
  [32483] = 20,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(29), 1,
      anon_sym_struct,
    ACTIONS(31), 1,
      anon_sym_TILDE,
    ACTIONS(35), 1,
      anon_sym_interface,
    ACTIONS(37), 1,
      anon_sym_map,
    ACTIONS(39), 1,
      anon_sym_chan,
    ACTIONS(561), 1,
      sym_identifier,
    ACTIONS(570), 1,
      anon_sym_COMMA,
    ACTIONS(573), 1,
      anon_sym_func,
    ACTIONS(587), 1,
      anon_sym_LT_DASH,
    ACTIONS(944), 1,
      anon_sym_STAR,
    ACTIONS(956), 1,
      anon_sym_LPAREN,
    ACTIONS(960), 1,
      anon_sym_LBRACK,
    ACTIONS(964), 1,
      anon_sym_DOT,
    STATE(561), 1,
      aux_sym_parameter_declaration_repeat1,
    STATE(848), 1,
      sym_type_arguments,
    ACTIONS(958), 2,
      anon_sym_RBRACK,
      anon_sym_PIPE,
    STATE(1014), 2,
      sym_parenthesized_type,
      sym__simple_type,
    STATE(821), 3,
      sym_union_type,
      sym_negated_type,
      sym_qualified_type,
    STATE(830), 9,
      sym_generic_type,
      sym_pointer_type,
      sym_array_type,
      sym_slice_type,
      sym_struct_type,
      sym_interface_type,
      sym_map_type,
      sym_channel_type,
      sym_function_type,
  [32556] = 15,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(904), 1,
      anon_sym_LPAREN,
    ACTIONS(906), 1,
      anon_sym_LBRACK,
    ACTIONS(966), 1,
      anon_sym_DOT,
    ACTIONS(970), 1,
      anon_sym_PIPE,
    ACTIONS(980), 1,
      anon_sym_AMP_AMP,
    STATE(396), 1,
      sym_argument_list,
    STATE(1275), 1,
      sym_type_arguments,
    ACTIONS(639), 2,
      anon_sym_EQ,
      anon_sym_COLON,
    ACTIONS(974), 2,
      anon_sym_AMP,
      anon_sym_SLASH,
    ACTIONS(978), 2,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(972), 3,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_CARET,
    ACTIONS(976), 4,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
    ACTIONS(968), 5,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP_CARET,
    ACTIONS(637), 6,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_RBRACE,
      anon_sym_COLON_EQ,
      anon_sym_PIPE_PIPE,
  [32619] = 19,
    ACTIONS(321), 1,
      sym_comment,
    ACTIONS(982), 1,
      sym_identifier,
    ACTIONS(984), 1,
      anon_sym_LPAREN,
    ACTIONS(986), 1,
      anon_sym_func,
    ACTIONS(988), 1,
      anon_sym_LBRACK,
    ACTIONS(990), 1,
      anon_sym_STAR,
    ACTIONS(992), 1,
      anon_sym_struct,
    ACTIONS(994), 1,
      anon_sym_TILDE,
    ACTIONS(996), 1,
      anon_sym_interface,
    ACTIONS(998), 1,
      anon_sym_map,
    ACTIONS(1000), 1,
      anon_sym_chan,
    ACTIONS(1002), 1,
      anon_sym_LT_DASH,
    STATE(921), 1,
      sym__simple_type,
    STATE(924), 1,
      sym_parameter_list,
    STATE(1308), 1,
      sym_parenthesized_type,
    ACTIONS(846), 2,
      ts_builtin_sym_end,
      anon_sym_LF,
    ACTIONS(848), 3,
      anon_sym_SEMI,
      anon_sym_PIPE,
      anon_sym_LBRACE,
    STATE(871), 3,
      sym_union_type,
      sym_negated_type,
      sym_qualified_type,
    STATE(889), 9,
      sym_generic_type,
      sym_pointer_type,
      sym_array_type,
      sym_slice_type,
      sym_struct_type,
      sym_interface_type,
      sym_map_type,
      sym_channel_type,
      sym_function_type,
  [32690] = 14,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(904), 1,
      anon_sym_LPAREN,
    ACTIONS(906), 1,
      anon_sym_LBRACK,
    ACTIONS(966), 1,
      anon_sym_DOT,
    ACTIONS(970), 1,
      anon_sym_PIPE,
    STATE(396), 1,
      sym_argument_list,
    STATE(1275), 1,
      sym_type_arguments,
    ACTIONS(639), 2,
      anon_sym_EQ,
      anon_sym_COLON,
    ACTIONS(974), 2,
      anon_sym_AMP,
      anon_sym_SLASH,
    ACTIONS(978), 2,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(972), 3,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_CARET,
    ACTIONS(976), 4,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
    ACTIONS(968), 5,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP_CARET,
    ACTIONS(637), 7,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_RBRACE,
      anon_sym_COLON_EQ,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
  [32751] = 12,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(904), 1,
      anon_sym_LPAREN,
    ACTIONS(906), 1,
      anon_sym_LBRACK,
    ACTIONS(966), 1,
      anon_sym_DOT,
    ACTIONS(970), 1,
      anon_sym_PIPE,
    STATE(396), 1,
      sym_argument_list,
    STATE(1275), 1,
      sym_type_arguments,
    ACTIONS(974), 2,
      anon_sym_AMP,
      anon_sym_SLASH,
    ACTIONS(972), 3,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_CARET,
    ACTIONS(639), 4,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(968), 5,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP_CARET,
    ACTIONS(637), 11,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_RBRACE,
      anon_sym_COLON_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
  [32808] = 10,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(904), 1,
      anon_sym_LPAREN,
    ACTIONS(906), 1,
      anon_sym_LBRACK,
    ACTIONS(966), 1,
      anon_sym_DOT,
    STATE(396), 1,
      sym_argument_list,
    STATE(1275), 1,
      sym_type_arguments,
    ACTIONS(974), 2,
      anon_sym_AMP,
      anon_sym_SLASH,
    ACTIONS(639), 5,
      anon_sym_EQ,
      anon_sym_PIPE,
      anon_sym_COLON,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(968), 5,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP_CARET,
    ACTIONS(637), 14,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_RBRACE,
      anon_sym_COLON_EQ,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
  [32861] = 21,
    ACTIONS(321), 1,
      sym_comment,
    ACTIONS(982), 1,
      sym_identifier,
    ACTIONS(984), 1,
      anon_sym_LPAREN,
    ACTIONS(986), 1,
      anon_sym_func,
    ACTIONS(988), 1,
      anon_sym_LBRACK,
    ACTIONS(990), 1,
      anon_sym_STAR,
    ACTIONS(992), 1,
      anon_sym_struct,
    ACTIONS(994), 1,
      anon_sym_TILDE,
    ACTIONS(996), 1,
      anon_sym_interface,
    ACTIONS(998), 1,
      anon_sym_map,
    ACTIONS(1000), 1,
      anon_sym_chan,
    ACTIONS(1002), 1,
      anon_sym_LT_DASH,
    ACTIONS(1006), 1,
      anon_sym_SEMI,
    ACTIONS(1008), 1,
      anon_sym_LBRACE,
    STATE(886), 1,
      sym__simple_type,
    STATE(962), 1,
      sym_parameter_list,
    STATE(1172), 1,
      sym_block,
    STATE(1308), 1,
      sym_parenthesized_type,
    ACTIONS(1004), 2,
      ts_builtin_sym_end,
      anon_sym_LF,
    STATE(871), 3,
      sym_union_type,
      sym_negated_type,
      sym_qualified_type,
    STATE(889), 9,
      sym_generic_type,
      sym_pointer_type,
      sym_array_type,
      sym_slice_type,
      sym_struct_type,
      sym_interface_type,
      sym_map_type,
      sym_channel_type,
      sym_function_type,
  [32936] = 19,
    ACTIONS(321), 1,
      sym_comment,
    ACTIONS(984), 1,
      anon_sym_LPAREN,
    ACTIONS(992), 1,
      anon_sym_struct,
    ACTIONS(994), 1,
      anon_sym_TILDE,
    ACTIONS(996), 1,
      anon_sym_interface,
    ACTIONS(1010), 1,
      sym_identifier,
    ACTIONS(1012), 1,
      anon_sym_func,
    ACTIONS(1014), 1,
      anon_sym_LBRACK,
    ACTIONS(1016), 1,
      anon_sym_STAR,
    ACTIONS(1018), 1,
      anon_sym_map,
    ACTIONS(1020), 1,
      anon_sym_chan,
    ACTIONS(1022), 1,
      anon_sym_LT_DASH,
    STATE(921), 1,
      sym__simple_type,
    STATE(924), 1,
      sym_parameter_list,
    STATE(1308), 1,
      sym_parenthesized_type,
    ACTIONS(846), 2,
      ts_builtin_sym_end,
      anon_sym_LF,
    ACTIONS(848), 3,
      anon_sym_SEMI,
      anon_sym_PIPE,
      anon_sym_LBRACE,
    STATE(870), 3,
      sym_union_type,
      sym_negated_type,
      sym_qualified_type,
    STATE(889), 9,
      sym_generic_type,
      sym_pointer_type,
      sym_array_type,
      sym_slice_type,
      sym_struct_type,
      sym_interface_type,
      sym_map_type,
      sym_channel_type,
      sym_function_type,
  [33007] = 15,
    ACTIONS(321), 1,
      sym_comment,
    ACTIONS(663), 1,
      anon_sym_LF,
    ACTIONS(1024), 1,
      anon_sym_DOT,
    ACTIONS(1026), 1,
      anon_sym_LPAREN,
    ACTIONS(1028), 1,
      anon_sym_COMMA,
    ACTIONS(1030), 1,
      anon_sym_LBRACK,
    ACTIONS(1038), 1,
      anon_sym_AMP_AMP,
    ACTIONS(1040), 1,
      anon_sym_PIPE_PIPE,
    STATE(517), 1,
      sym_argument_list,
    STATE(869), 1,
      aux_sym_expression_list_repeat1,
    STATE(1228), 1,
      sym_type_arguments,
    ACTIONS(617), 4,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_case,
      anon_sym_default,
    ACTIONS(1034), 4,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_CARET,
    ACTIONS(1036), 6,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_LT_EQ,
      anon_sym_GT,
      anon_sym_GT_EQ,
    ACTIONS(1032), 7,
      anon_sym_STAR,
      anon_sym_AMP,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP_CARET,
  [33070] = 21,
    ACTIONS(321), 1,
      sym_comment,
    ACTIONS(982), 1,
      sym_identifier,
    ACTIONS(984), 1,
      anon_sym_LPAREN,
    ACTIONS(986), 1,
      anon_sym_func,
    ACTIONS(988), 1,
      anon_sym_LBRACK,
    ACTIONS(990), 1,
      anon_sym_STAR,
    ACTIONS(992), 1,
      anon_sym_struct,
    ACTIONS(994), 1,
      anon_sym_TILDE,
    ACTIONS(996), 1,
      anon_sym_interface,
    ACTIONS(998), 1,
      anon_sym_map,
    ACTIONS(1000), 1,
      anon_sym_chan,
    ACTIONS(1002), 1,
      anon_sym_LT_DASH,
    ACTIONS(1008), 1,
      anon_sym_LBRACE,
    ACTIONS(1044), 1,
      anon_sym_SEMI,
    STATE(888), 1,
      sym__simple_type,
    STATE(973), 1,
      sym_parameter_list,
    STATE(1203), 1,
      sym_block,
    STATE(1308), 1,
      sym_parenthesized_type,
    ACTIONS(1042), 2,
      ts_builtin_sym_end,
      anon_sym_LF,
    STATE(871), 3,
      sym_union_type,
      sym_negated_type,
      sym_qualified_type,
    STATE(889), 9,
      sym_generic_type,
      sym_pointer_type,
      sym_array_type,
      sym_slice_type,
      sym_struct_type,
      sym_interface_type,
      sym_map_type,
      sym_channel_type,
      sym_function_type,
  [33145] = 21,
    ACTIONS(321), 1,
      sym_comment,
    ACTIONS(982), 1,
      sym_identifier,
    ACTIONS(984), 1,
      anon_sym_LPAREN,
    ACTIONS(986), 1,
      anon_sym_func,
    ACTIONS(988), 1,
      anon_sym_LBRACK,
    ACTIONS(990), 1,
      anon_sym_STAR,
    ACTIONS(992), 1,
      anon_sym_struct,
    ACTIONS(994), 1,
      anon_sym_TILDE,
    ACTIONS(996), 1,
      anon_sym_interface,
    ACTIONS(998), 1,
      anon_sym_map,
    ACTIONS(1000), 1,
      anon_sym_chan,
    ACTIONS(1002), 1,
      anon_sym_LT_DASH,
    ACTIONS(1008), 1,
      anon_sym_LBRACE,
    ACTIONS(1048), 1,
      anon_sym_SEMI,
    STATE(909), 1,
      sym__simple_type,
    STATE(945), 1,
      sym_parameter_list,
    STATE(1202), 1,
      sym_block,
    STATE(1308), 1,
      sym_parenthesized_type,
    ACTIONS(1046), 2,
      ts_builtin_sym_end,
      anon_sym_LF,
    STATE(871), 3,
      sym_union_type,
      sym_negated_type,
      sym_qualified_type,
    STATE(889), 9,
      sym_generic_type,
      sym_pointer_type,
      sym_array_type,
      sym_slice_type,
      sym_struct_type,
      sym_interface_type,
      sym_map_type,
      sym_channel_type,
      sym_function_type,
  [33220] = 9,
    ACTIONS(321), 1,
      sym_comment,
    ACTIONS(589), 1,
      anon_sym_LF,
    ACTIONS(593), 1,
      anon_sym_DOT,
    ACTIONS(596), 1,
      anon_sym_LBRACK,
    ACTIONS(1050), 1,
      anon_sym_LBRACE,
    STATE(516), 1,
      sym_literal_value,
    STATE(848), 1,
      sym_type_arguments,
    ACTIONS(584), 2,
      anon_sym_LPAREN,
      anon_sym_PIPE,
    ACTIONS(591), 23,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_STAR,
      anon_sym_RBRACE,
      anon_sym_case,
      anon_sym_default,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_LT_EQ,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
  [33271] = 21,
    ACTIONS(321), 1,
      sym_comment,
    ACTIONS(844), 1,
      sym_identifier,
    ACTIONS(850), 1,
      anon_sym_LPAREN,
    ACTIONS(852), 1,
      anon_sym_func,
    ACTIONS(854), 1,
      anon_sym_LBRACK,
    ACTIONS(856), 1,
      anon_sym_STAR,
    ACTIONS(858), 1,
      anon_sym_struct,
    ACTIONS(860), 1,
      anon_sym_TILDE,
    ACTIONS(862), 1,
      anon_sym_interface,
    ACTIONS(864), 1,
      anon_sym_map,
    ACTIONS(866), 1,
      anon_sym_chan,
    ACTIONS(868), 1,
      anon_sym_LT_DASH,
    ACTIONS(1046), 1,
      anon_sym_LF,
    ACTIONS(1048), 1,
      anon_sym_SEMI,
    ACTIONS(1052), 1,
      anon_sym_LBRACE,
    STATE(952), 1,
      sym__simple_type,
    STATE(1088), 1,
      sym_parameter_list,
    STATE(1251), 1,
      sym_block,
    STATE(1370), 1,
      sym_parenthesized_type,
    STATE(779), 3,
      sym_union_type,
      sym_negated_type,
      sym_qualified_type,
    STATE(813), 9,
      sym_generic_type,
      sym_pointer_type,
      sym_array_type,
      sym_slice_type,
      sym_struct_type,
      sym_interface_type,
      sym_map_type,
      sym_channel_type,
      sym_function_type,
  [33345] = 8,
    ACTIONS(321), 1,
      sym_comment,
    ACTIONS(637), 1,
      anon_sym_LF,
    ACTIONS(1024), 1,
      anon_sym_DOT,
    ACTIONS(1026), 1,
      anon_sym_LPAREN,
    ACTIONS(1030), 1,
      anon_sym_LBRACK,
    STATE(517), 1,
      sym_argument_list,
    STATE(1228), 1,
      sym_type_arguments,
    ACTIONS(639), 24,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_STAR,
      anon_sym_PIPE,
      anon_sym_RBRACE,
      anon_sym_case,
      anon_sym_default,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_LT_EQ,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
  [33393] = 21,
    ACTIONS(321), 1,
      sym_comment,
    ACTIONS(844), 1,
      sym_identifier,
    ACTIONS(850), 1,
      anon_sym_LPAREN,
    ACTIONS(852), 1,
      anon_sym_func,
    ACTIONS(854), 1,
      anon_sym_LBRACK,
    ACTIONS(856), 1,
      anon_sym_STAR,
    ACTIONS(858), 1,
      anon_sym_struct,
    ACTIONS(860), 1,
      anon_sym_TILDE,
    ACTIONS(862), 1,
      anon_sym_interface,
    ACTIONS(864), 1,
      anon_sym_map,
    ACTIONS(866), 1,
      anon_sym_chan,
    ACTIONS(868), 1,
      anon_sym_LT_DASH,
    ACTIONS(1042), 1,
      anon_sym_LF,
    ACTIONS(1044), 1,
      anon_sym_SEMI,
    ACTIONS(1052), 1,
      anon_sym_LBRACE,
    STATE(961), 1,
      sym__simple_type,
    STATE(1079), 1,
      sym_parameter_list,
    STATE(1262), 1,
      sym_block,
    STATE(1370), 1,
      sym_parenthesized_type,
    STATE(779), 3,
      sym_union_type,
      sym_negated_type,
      sym_qualified_type,
    STATE(813), 9,
      sym_generic_type,
      sym_pointer_type,
      sym_array_type,
      sym_slice_type,
      sym_struct_type,
      sym_interface_type,
      sym_map_type,
      sym_channel_type,
      sym_function_type,
  [33467] = 19,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(29), 1,
      anon_sym_struct,
    ACTIONS(31), 1,
      anon_sym_TILDE,
    ACTIONS(35), 1,
      anon_sym_interface,
    ACTIONS(37), 1,
      anon_sym_map,
    ACTIONS(39), 1,
      anon_sym_chan,
    ACTIONS(573), 1,
      anon_sym_func,
    ACTIONS(587), 1,
      anon_sym_LT_DASH,
    ACTIONS(942), 1,
      anon_sym_LBRACK,
    ACTIONS(944), 1,
      anon_sym_STAR,
    ACTIONS(956), 1,
      anon_sym_LPAREN,
    ACTIONS(1054), 1,
      sym_identifier,
    ACTIONS(1056), 1,
      anon_sym_RPAREN,
    ACTIONS(1058), 1,
      anon_sym_COMMA,
    ACTIONS(1060), 1,
      anon_sym_DOT_DOT_DOT,
    STATE(1121), 2,
      sym_parameter_declaration,
      sym_variadic_parameter_declaration,
    STATE(1204), 2,
      sym_parenthesized_type,
      sym__simple_type,
    STATE(821), 3,
      sym_union_type,
      sym_negated_type,
      sym_qualified_type,
    STATE(830), 9,
      sym_generic_type,
      sym_pointer_type,
      sym_array_type,
      sym_slice_type,
      sym_struct_type,
      sym_interface_type,
      sym_map_type,
      sym_channel_type,
      sym_function_type,
  [33537] = 8,
    ACTIONS(321), 1,
      sym_comment,
    ACTIONS(641), 1,
      anon_sym_LF,
    ACTIONS(1024), 1,
      anon_sym_DOT,
    ACTIONS(1026), 1,
      anon_sym_LPAREN,
    ACTIONS(1030), 1,
      anon_sym_LBRACK,
    STATE(517), 1,
      sym_argument_list,
    STATE(1228), 1,
      sym_type_arguments,
    ACTIONS(643), 24,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_STAR,
      anon_sym_PIPE,
      anon_sym_RBRACE,
      anon_sym_case,
      anon_sym_default,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_LT_EQ,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
  [33585] = 20,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(852), 1,
      anon_sym_func,
    ACTIONS(858), 1,
      anon_sym_struct,
    ACTIONS(862), 1,
      anon_sym_interface,
    ACTIONS(864), 1,
      anon_sym_map,
    ACTIONS(866), 1,
      anon_sym_chan,
    ACTIONS(956), 1,
      anon_sym_LPAREN,
    ACTIONS(1062), 1,
      sym_identifier,
    ACTIONS(1064), 1,
      anon_sym_LBRACK,
    ACTIONS(1066), 1,
      anon_sym_STAR,
    ACTIONS(1068), 1,
      anon_sym_TILDE,
    ACTIONS(1070), 1,
      anon_sym_RBRACE,
    ACTIONS(1072), 1,
      anon_sym_LT_DASH,
    STATE(988), 1,
      sym_struct_term,
    STATE(1038), 1,
      sym__simple_type,
    STATE(1040), 1,
      sym_struct_type,
    STATE(1370), 1,
      sym_parenthesized_type,
    STATE(779), 3,
      sym_union_type,
      sym_negated_type,
      sym_qualified_type,
    STATE(1098), 3,
      sym__interface_body,
      sym_struct_elem,
      sym_method_spec,
    STATE(813), 8,
      sym_generic_type,
      sym_pointer_type,
      sym_array_type,
      sym_slice_type,
      sym_interface_type,
      sym_map_type,
      sym_channel_type,
      sym_function_type,
  [33657] = 20,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(852), 1,
      anon_sym_func,
    ACTIONS(858), 1,
      anon_sym_struct,
    ACTIONS(862), 1,
      anon_sym_interface,
    ACTIONS(864), 1,
      anon_sym_map,
    ACTIONS(866), 1,
      anon_sym_chan,
    ACTIONS(956), 1,
      anon_sym_LPAREN,
    ACTIONS(1062), 1,
      sym_identifier,
    ACTIONS(1064), 1,
      anon_sym_LBRACK,
    ACTIONS(1066), 1,
      anon_sym_STAR,
    ACTIONS(1068), 1,
      anon_sym_TILDE,
    ACTIONS(1072), 1,
      anon_sym_LT_DASH,
    ACTIONS(1074), 1,
      anon_sym_RBRACE,
    STATE(988), 1,
      sym_struct_term,
    STATE(1038), 1,
      sym__simple_type,
    STATE(1040), 1,
      sym_struct_type,
    STATE(1370), 1,
      sym_parenthesized_type,
    STATE(779), 3,
      sym_union_type,
      sym_negated_type,
      sym_qualified_type,
    STATE(1164), 3,
      sym__interface_body,
      sym_struct_elem,
      sym_method_spec,
    STATE(813), 8,
      sym_generic_type,
      sym_pointer_type,
      sym_array_type,
      sym_slice_type,
      sym_interface_type,
      sym_map_type,
      sym_channel_type,
      sym_function_type,
  [33729] = 19,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(29), 1,
      anon_sym_struct,
    ACTIONS(31), 1,
      anon_sym_TILDE,
    ACTIONS(35), 1,
      anon_sym_interface,
    ACTIONS(37), 1,
      anon_sym_map,
    ACTIONS(39), 1,
      anon_sym_chan,
    ACTIONS(573), 1,
      anon_sym_func,
    ACTIONS(587), 1,
      anon_sym_LT_DASH,
    ACTIONS(942), 1,
      anon_sym_LBRACK,
    ACTIONS(944), 1,
      anon_sym_STAR,
    ACTIONS(956), 1,
      anon_sym_LPAREN,
    ACTIONS(1054), 1,
      sym_identifier,
    ACTIONS(1060), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(1076), 1,
      anon_sym_RPAREN,
    ACTIONS(1078), 1,
      anon_sym_COMMA,
    STATE(1065), 2,
      sym_parenthesized_type,
      sym__simple_type,
    STATE(1105), 2,
      sym_parameter_declaration,
      sym_variadic_parameter_declaration,
    STATE(821), 3,
      sym_union_type,
      sym_negated_type,
      sym_qualified_type,
    STATE(830), 9,
      sym_generic_type,
      sym_pointer_type,
      sym_array_type,
      sym_slice_type,
      sym_struct_type,
      sym_interface_type,
      sym_map_type,
      sym_channel_type,
      sym_function_type,
  [33799] = 20,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(852), 1,
      anon_sym_func,
    ACTIONS(858), 1,
      anon_sym_struct,
    ACTIONS(862), 1,
      anon_sym_interface,
    ACTIONS(864), 1,
      anon_sym_map,
    ACTIONS(866), 1,
      anon_sym_chan,
    ACTIONS(956), 1,
      anon_sym_LPAREN,
    ACTIONS(1062), 1,
      sym_identifier,
    ACTIONS(1064), 1,
      anon_sym_LBRACK,
    ACTIONS(1066), 1,
      anon_sym_STAR,
    ACTIONS(1068), 1,
      anon_sym_TILDE,
    ACTIONS(1072), 1,
      anon_sym_LT_DASH,
    ACTIONS(1080), 1,
      anon_sym_RBRACE,
    STATE(988), 1,
      sym_struct_term,
    STATE(1038), 1,
      sym__simple_type,
    STATE(1040), 1,
      sym_struct_type,
    STATE(1370), 1,
      sym_parenthesized_type,
    STATE(779), 3,
      sym_union_type,
      sym_negated_type,
      sym_qualified_type,
    STATE(1164), 3,
      sym__interface_body,
      sym_struct_elem,
      sym_method_spec,
    STATE(813), 8,
      sym_generic_type,
      sym_pointer_type,
      sym_array_type,
      sym_slice_type,
      sym_interface_type,
      sym_map_type,
      sym_channel_type,
      sym_function_type,
  [33871] = 20,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(852), 1,
      anon_sym_func,
    ACTIONS(858), 1,
      anon_sym_struct,
    ACTIONS(862), 1,
      anon_sym_interface,
    ACTIONS(864), 1,
      anon_sym_map,
    ACTIONS(866), 1,
      anon_sym_chan,
    ACTIONS(956), 1,
      anon_sym_LPAREN,
    ACTIONS(1062), 1,
      sym_identifier,
    ACTIONS(1064), 1,
      anon_sym_LBRACK,
    ACTIONS(1066), 1,
      anon_sym_STAR,
    ACTIONS(1068), 1,
      anon_sym_TILDE,
    ACTIONS(1072), 1,
      anon_sym_LT_DASH,
    ACTIONS(1082), 1,
      anon_sym_RBRACE,
    STATE(988), 1,
      sym_struct_term,
    STATE(1038), 1,
      sym__simple_type,
    STATE(1040), 1,
      sym_struct_type,
    STATE(1370), 1,
      sym_parenthesized_type,
    STATE(779), 3,
      sym_union_type,
      sym_negated_type,
      sym_qualified_type,
    STATE(1164), 3,
      sym__interface_body,
      sym_struct_elem,
      sym_method_spec,
    STATE(813), 8,
      sym_generic_type,
      sym_pointer_type,
      sym_array_type,
      sym_slice_type,
      sym_interface_type,
      sym_map_type,
      sym_channel_type,
      sym_function_type,
  [33943] = 19,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(29), 1,
      anon_sym_struct,
    ACTIONS(31), 1,
      anon_sym_TILDE,
    ACTIONS(35), 1,
      anon_sym_interface,
    ACTIONS(37), 1,
      anon_sym_map,
    ACTIONS(39), 1,
      anon_sym_chan,
    ACTIONS(573), 1,
      anon_sym_func,
    ACTIONS(587), 1,
      anon_sym_LT_DASH,
    ACTIONS(942), 1,
      anon_sym_LBRACK,
    ACTIONS(944), 1,
      anon_sym_STAR,
    ACTIONS(956), 1,
      anon_sym_LPAREN,
    ACTIONS(1054), 1,
      sym_identifier,
    ACTIONS(1060), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(1076), 1,
      anon_sym_RPAREN,
    ACTIONS(1078), 1,
      anon_sym_COMMA,
    STATE(1105), 2,
      sym_parameter_declaration,
      sym_variadic_parameter_declaration,
    STATE(1204), 2,
      sym_parenthesized_type,
      sym__simple_type,
    STATE(821), 3,
      sym_union_type,
      sym_negated_type,
      sym_qualified_type,
    STATE(830), 9,
      sym_generic_type,
      sym_pointer_type,
      sym_array_type,
      sym_slice_type,
      sym_struct_type,
      sym_interface_type,
      sym_map_type,
      sym_channel_type,
      sym_function_type,
  [34013] = 9,
    ACTIONS(321), 1,
      sym_comment,
    ACTIONS(637), 1,
      anon_sym_LF,
    ACTIONS(1024), 1,
      anon_sym_DOT,
    ACTIONS(1026), 1,
      anon_sym_LPAREN,
    ACTIONS(1030), 1,
      anon_sym_LBRACK,
    STATE(517), 1,
      sym_argument_list,
    STATE(1228), 1,
      sym_type_arguments,
    ACTIONS(1032), 7,
      anon_sym_STAR,
      anon_sym_AMP,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP_CARET,
    ACTIONS(639), 17,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_PIPE,
      anon_sym_RBRACE,
      anon_sym_case,
      anon_sym_default,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_LT_EQ,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
  [34063] = 13,
    ACTIONS(321), 1,
      sym_comment,
    ACTIONS(826), 1,
      anon_sym_LF,
    ACTIONS(1024), 1,
      anon_sym_DOT,
    ACTIONS(1026), 1,
      anon_sym_LPAREN,
    ACTIONS(1030), 1,
      anon_sym_LBRACK,
    ACTIONS(1038), 1,
      anon_sym_AMP_AMP,
    ACTIONS(1040), 1,
      anon_sym_PIPE_PIPE,
    STATE(517), 1,
      sym_argument_list,
    STATE(1228), 1,
      sym_type_arguments,
    ACTIONS(1034), 4,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_CARET,
    ACTIONS(828), 5,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_case,
      anon_sym_default,
    ACTIONS(1036), 6,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_LT_EQ,
      anon_sym_GT,
      anon_sym_GT_EQ,
    ACTIONS(1032), 7,
      anon_sym_STAR,
      anon_sym_AMP,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP_CARET,
  [34121] = 21,
    ACTIONS(321), 1,
      sym_comment,
    ACTIONS(844), 1,
      sym_identifier,
    ACTIONS(850), 1,
      anon_sym_LPAREN,
    ACTIONS(852), 1,
      anon_sym_func,
    ACTIONS(854), 1,
      anon_sym_LBRACK,
    ACTIONS(856), 1,
      anon_sym_STAR,
    ACTIONS(858), 1,
      anon_sym_struct,
    ACTIONS(860), 1,
      anon_sym_TILDE,
    ACTIONS(862), 1,
      anon_sym_interface,
    ACTIONS(864), 1,
      anon_sym_map,
    ACTIONS(866), 1,
      anon_sym_chan,
    ACTIONS(868), 1,
      anon_sym_LT_DASH,
    ACTIONS(1004), 1,
      anon_sym_LF,
    ACTIONS(1006), 1,
      anon_sym_SEMI,
    ACTIONS(1052), 1,
      anon_sym_LBRACE,
    STATE(963), 1,
      sym__simple_type,
    STATE(1077), 1,
      sym_parameter_list,
    STATE(1273), 1,
      sym_block,
    STATE(1370), 1,
      sym_parenthesized_type,
    STATE(779), 3,
      sym_union_type,
      sym_negated_type,
      sym_qualified_type,
    STATE(813), 9,
      sym_generic_type,
      sym_pointer_type,
      sym_array_type,
      sym_slice_type,
      sym_struct_type,
      sym_interface_type,
      sym_map_type,
      sym_channel_type,
      sym_function_type,
  [34195] = 10,
    ACTIONS(321), 1,
      sym_comment,
    ACTIONS(637), 1,
      anon_sym_LF,
    ACTIONS(1024), 1,
      anon_sym_DOT,
    ACTIONS(1026), 1,
      anon_sym_LPAREN,
    ACTIONS(1030), 1,
      anon_sym_LBRACK,
    STATE(517), 1,
      sym_argument_list,
    STATE(1228), 1,
      sym_type_arguments,
    ACTIONS(1034), 4,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_CARET,
    ACTIONS(1032), 7,
      anon_sym_STAR,
      anon_sym_AMP,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP_CARET,
    ACTIONS(639), 13,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_case,
      anon_sym_default,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_LT_EQ,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
  [34247] = 11,
    ACTIONS(321), 1,
      sym_comment,
    ACTIONS(637), 1,
      anon_sym_LF,
    ACTIONS(1024), 1,
      anon_sym_DOT,
    ACTIONS(1026), 1,
      anon_sym_LPAREN,
    ACTIONS(1030), 1,
      anon_sym_LBRACK,
    STATE(517), 1,
      sym_argument_list,
    STATE(1228), 1,
      sym_type_arguments,
    ACTIONS(1034), 4,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_CARET,
    ACTIONS(1036), 6,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_LT_EQ,
      anon_sym_GT,
      anon_sym_GT_EQ,
    ACTIONS(639), 7,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_case,
      anon_sym_default,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
    ACTIONS(1032), 7,
      anon_sym_STAR,
      anon_sym_AMP,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP_CARET,
  [34301] = 12,
    ACTIONS(321), 1,
      sym_comment,
    ACTIONS(637), 1,
      anon_sym_LF,
    ACTIONS(1024), 1,
      anon_sym_DOT,
    ACTIONS(1026), 1,
      anon_sym_LPAREN,
    ACTIONS(1030), 1,
      anon_sym_LBRACK,
    ACTIONS(1038), 1,
      anon_sym_AMP_AMP,
    STATE(517), 1,
      sym_argument_list,
    STATE(1228), 1,
      sym_type_arguments,
    ACTIONS(1034), 4,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_CARET,
    ACTIONS(639), 6,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_case,
      anon_sym_default,
      anon_sym_PIPE_PIPE,
    ACTIONS(1036), 6,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_LT_EQ,
      anon_sym_GT,
      anon_sym_GT_EQ,
    ACTIONS(1032), 7,
      anon_sym_STAR,
      anon_sym_AMP,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP_CARET,
  [34357] = 20,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(617), 1,
      anon_sym_EQ,
    ACTIONS(661), 1,
      anon_sym_LT_DASH,
    ACTIONS(663), 1,
      anon_sym_COLON_EQ,
    ACTIONS(1084), 1,
      anon_sym_DOT,
    ACTIONS(1086), 1,
      anon_sym_LPAREN,
    ACTIONS(1088), 1,
      anon_sym_COMMA,
    ACTIONS(1090), 1,
      anon_sym_LBRACK,
    ACTIONS(1094), 1,
      anon_sym_PIPE,
    ACTIONS(1096), 1,
      anon_sym_COLON,
    ACTIONS(1106), 1,
      anon_sym_AMP_AMP,
    ACTIONS(1108), 1,
      anon_sym_PIPE_PIPE,
    STATE(575), 1,
      sym_argument_list,
    STATE(901), 1,
      aux_sym_expression_list_repeat1,
    STATE(1209), 1,
      sym_type_arguments,
    ACTIONS(1100), 2,
      anon_sym_AMP,
      anon_sym_SLASH,
    ACTIONS(1104), 2,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(1098), 3,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_CARET,
    ACTIONS(1102), 4,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
    ACTIONS(1092), 5,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP_CARET,
  [34429] = 10,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(563), 1,
      anon_sym_DOT,
    ACTIONS(578), 1,
      anon_sym_LPAREN,
    ACTIONS(584), 1,
      anon_sym_PIPE,
    ACTIONS(811), 1,
      anon_sym_LBRACK,
    ACTIONS(1110), 1,
      anon_sym_LBRACE,
    STATE(574), 1,
      sym_literal_value,
    STATE(848), 1,
      sym_type_arguments,
    ACTIONS(591), 6,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_AMP,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(589), 17,
      anon_sym_COMMA,
      anon_sym_STAR,
      anon_sym_LT_DASH,
      anon_sym_COLON_EQ,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
  [34481] = 19,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(29), 1,
      anon_sym_struct,
    ACTIONS(31), 1,
      anon_sym_TILDE,
    ACTIONS(35), 1,
      anon_sym_interface,
    ACTIONS(37), 1,
      anon_sym_map,
    ACTIONS(39), 1,
      anon_sym_chan,
    ACTIONS(573), 1,
      anon_sym_func,
    ACTIONS(587), 1,
      anon_sym_LT_DASH,
    ACTIONS(942), 1,
      anon_sym_LBRACK,
    ACTIONS(944), 1,
      anon_sym_STAR,
    ACTIONS(956), 1,
      anon_sym_LPAREN,
    ACTIONS(1054), 1,
      sym_identifier,
    ACTIONS(1056), 1,
      anon_sym_RPAREN,
    ACTIONS(1058), 1,
      anon_sym_COMMA,
    ACTIONS(1060), 1,
      anon_sym_DOT_DOT_DOT,
    STATE(1065), 2,
      sym_parenthesized_type,
      sym__simple_type,
    STATE(1121), 2,
      sym_parameter_declaration,
      sym_variadic_parameter_declaration,
    STATE(821), 3,
      sym_union_type,
      sym_negated_type,
      sym_qualified_type,
    STATE(830), 9,
      sym_generic_type,
      sym_pointer_type,
      sym_array_type,
      sym_slice_type,
      sym_struct_type,
      sym_interface_type,
      sym_map_type,
      sym_channel_type,
      sym_function_type,
  [34551] = 19,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(29), 1,
      anon_sym_struct,
    ACTIONS(31), 1,
      anon_sym_TILDE,
    ACTIONS(35), 1,
      anon_sym_interface,
    ACTIONS(37), 1,
      anon_sym_map,
    ACTIONS(39), 1,
      anon_sym_chan,
    ACTIONS(573), 1,
      anon_sym_func,
    ACTIONS(587), 1,
      anon_sym_LT_DASH,
    ACTIONS(942), 1,
      anon_sym_LBRACK,
    ACTIONS(944), 1,
      anon_sym_STAR,
    ACTIONS(956), 1,
      anon_sym_LPAREN,
    ACTIONS(1054), 1,
      sym_identifier,
    ACTIONS(1060), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(1112), 1,
      anon_sym_RPAREN,
    ACTIONS(1114), 1,
      anon_sym_COMMA,
    STATE(1152), 2,
      sym_parameter_declaration,
      sym_variadic_parameter_declaration,
    STATE(1204), 2,
      sym_parenthesized_type,
      sym__simple_type,
    STATE(821), 3,
      sym_union_type,
      sym_negated_type,
      sym_qualified_type,
    STATE(830), 9,
      sym_generic_type,
      sym_pointer_type,
      sym_array_type,
      sym_slice_type,
      sym_struct_type,
      sym_interface_type,
      sym_map_type,
      sym_channel_type,
      sym_function_type,
  [34621] = 20,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(852), 1,
      anon_sym_func,
    ACTIONS(858), 1,
      anon_sym_struct,
    ACTIONS(862), 1,
      anon_sym_interface,
    ACTIONS(864), 1,
      anon_sym_map,
    ACTIONS(866), 1,
      anon_sym_chan,
    ACTIONS(956), 1,
      anon_sym_LPAREN,
    ACTIONS(1062), 1,
      sym_identifier,
    ACTIONS(1064), 1,
      anon_sym_LBRACK,
    ACTIONS(1066), 1,
      anon_sym_STAR,
    ACTIONS(1068), 1,
      anon_sym_TILDE,
    ACTIONS(1072), 1,
      anon_sym_LT_DASH,
    ACTIONS(1116), 1,
      anon_sym_RBRACE,
    STATE(988), 1,
      sym_struct_term,
    STATE(1038), 1,
      sym__simple_type,
    STATE(1040), 1,
      sym_struct_type,
    STATE(1370), 1,
      sym_parenthesized_type,
    STATE(779), 3,
      sym_union_type,
      sym_negated_type,
      sym_qualified_type,
    STATE(1164), 3,
      sym__interface_body,
      sym_struct_elem,
      sym_method_spec,
    STATE(813), 8,
      sym_generic_type,
      sym_pointer_type,
      sym_array_type,
      sym_slice_type,
      sym_interface_type,
      sym_map_type,
      sym_channel_type,
      sym_function_type,
  [34693] = 20,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(852), 1,
      anon_sym_func,
    ACTIONS(858), 1,
      anon_sym_struct,
    ACTIONS(862), 1,
      anon_sym_interface,
    ACTIONS(864), 1,
      anon_sym_map,
    ACTIONS(866), 1,
      anon_sym_chan,
    ACTIONS(956), 1,
      anon_sym_LPAREN,
    ACTIONS(1062), 1,
      sym_identifier,
    ACTIONS(1064), 1,
      anon_sym_LBRACK,
    ACTIONS(1066), 1,
      anon_sym_STAR,
    ACTIONS(1068), 1,
      anon_sym_TILDE,
    ACTIONS(1072), 1,
      anon_sym_LT_DASH,
    ACTIONS(1118), 1,
      anon_sym_RBRACE,
    STATE(988), 1,
      sym_struct_term,
    STATE(1038), 1,
      sym__simple_type,
    STATE(1040), 1,
      sym_struct_type,
    STATE(1370), 1,
      sym_parenthesized_type,
    STATE(779), 3,
      sym_union_type,
      sym_negated_type,
      sym_qualified_type,
    STATE(1047), 3,
      sym__interface_body,
      sym_struct_elem,
      sym_method_spec,
    STATE(813), 8,
      sym_generic_type,
      sym_pointer_type,
      sym_array_type,
      sym_slice_type,
      sym_interface_type,
      sym_map_type,
      sym_channel_type,
      sym_function_type,
  [34765] = 19,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(29), 1,
      anon_sym_struct,
    ACTIONS(31), 1,
      anon_sym_TILDE,
    ACTIONS(35), 1,
      anon_sym_interface,
    ACTIONS(37), 1,
      anon_sym_map,
    ACTIONS(39), 1,
      anon_sym_chan,
    ACTIONS(573), 1,
      anon_sym_func,
    ACTIONS(587), 1,
      anon_sym_LT_DASH,
    ACTIONS(942), 1,
      anon_sym_LBRACK,
    ACTIONS(944), 1,
      anon_sym_STAR,
    ACTIONS(956), 1,
      anon_sym_LPAREN,
    ACTIONS(1054), 1,
      sym_identifier,
    ACTIONS(1060), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(1112), 1,
      anon_sym_RPAREN,
    ACTIONS(1114), 1,
      anon_sym_COMMA,
    STATE(1065), 2,
      sym_parenthesized_type,
      sym__simple_type,
    STATE(1152), 2,
      sym_parameter_declaration,
      sym_variadic_parameter_declaration,
    STATE(821), 3,
      sym_union_type,
      sym_negated_type,
      sym_qualified_type,
    STATE(830), 9,
      sym_generic_type,
      sym_pointer_type,
      sym_array_type,
      sym_slice_type,
      sym_struct_type,
      sym_interface_type,
      sym_map_type,
      sym_channel_type,
      sym_function_type,
  [34835] = 20,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(852), 1,
      anon_sym_func,
    ACTIONS(858), 1,
      anon_sym_struct,
    ACTIONS(862), 1,
      anon_sym_interface,
    ACTIONS(864), 1,
      anon_sym_map,
    ACTIONS(866), 1,
      anon_sym_chan,
    ACTIONS(956), 1,
      anon_sym_LPAREN,
    ACTIONS(1062), 1,
      sym_identifier,
    ACTIONS(1064), 1,
      anon_sym_LBRACK,
    ACTIONS(1066), 1,
      anon_sym_STAR,
    ACTIONS(1068), 1,
      anon_sym_TILDE,
    ACTIONS(1072), 1,
      anon_sym_LT_DASH,
    ACTIONS(1120), 1,
      anon_sym_RBRACE,
    STATE(988), 1,
      sym_struct_term,
    STATE(1038), 1,
      sym__simple_type,
    STATE(1040), 1,
      sym_struct_type,
    STATE(1370), 1,
      sym_parenthesized_type,
    STATE(779), 3,
      sym_union_type,
      sym_negated_type,
      sym_qualified_type,
    STATE(1164), 3,
      sym__interface_body,
      sym_struct_elem,
      sym_method_spec,
    STATE(813), 8,
      sym_generic_type,
      sym_pointer_type,
      sym_array_type,
      sym_slice_type,
      sym_interface_type,
      sym_map_type,
      sym_channel_type,
      sym_function_type,
  [34907] = 20,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(852), 1,
      anon_sym_func,
    ACTIONS(858), 1,
      anon_sym_struct,
    ACTIONS(862), 1,
      anon_sym_interface,
    ACTIONS(864), 1,
      anon_sym_map,
    ACTIONS(866), 1,
      anon_sym_chan,
    ACTIONS(956), 1,
      anon_sym_LPAREN,
    ACTIONS(1062), 1,
      sym_identifier,
    ACTIONS(1064), 1,
      anon_sym_LBRACK,
    ACTIONS(1066), 1,
      anon_sym_STAR,
    ACTIONS(1068), 1,
      anon_sym_TILDE,
    ACTIONS(1072), 1,
      anon_sym_LT_DASH,
    ACTIONS(1122), 1,
      anon_sym_RBRACE,
    STATE(988), 1,
      sym_struct_term,
    STATE(1038), 1,
      sym__simple_type,
    STATE(1040), 1,
      sym_struct_type,
    STATE(1370), 1,
      sym_parenthesized_type,
    STATE(779), 3,
      sym_union_type,
      sym_negated_type,
      sym_qualified_type,
    STATE(1164), 3,
      sym__interface_body,
      sym_struct_elem,
      sym_method_spec,
    STATE(813), 8,
      sym_generic_type,
      sym_pointer_type,
      sym_array_type,
      sym_slice_type,
      sym_interface_type,
      sym_map_type,
      sym_channel_type,
      sym_function_type,
  [34979] = 20,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(852), 1,
      anon_sym_func,
    ACTIONS(858), 1,
      anon_sym_struct,
    ACTIONS(862), 1,
      anon_sym_interface,
    ACTIONS(864), 1,
      anon_sym_map,
    ACTIONS(866), 1,
      anon_sym_chan,
    ACTIONS(956), 1,
      anon_sym_LPAREN,
    ACTIONS(1062), 1,
      sym_identifier,
    ACTIONS(1064), 1,
      anon_sym_LBRACK,
    ACTIONS(1066), 1,
      anon_sym_STAR,
    ACTIONS(1068), 1,
      anon_sym_TILDE,
    ACTIONS(1072), 1,
      anon_sym_LT_DASH,
    ACTIONS(1124), 1,
      anon_sym_RBRACE,
    STATE(988), 1,
      sym_struct_term,
    STATE(1038), 1,
      sym__simple_type,
    STATE(1040), 1,
      sym_struct_type,
    STATE(1370), 1,
      sym_parenthesized_type,
    STATE(779), 3,
      sym_union_type,
      sym_negated_type,
      sym_qualified_type,
    STATE(1010), 3,
      sym__interface_body,
      sym_struct_elem,
      sym_method_spec,
    STATE(813), 8,
      sym_generic_type,
      sym_pointer_type,
      sym_array_type,
      sym_slice_type,
      sym_interface_type,
      sym_map_type,
      sym_channel_type,
      sym_function_type,
  [35051] = 5,
    ACTIONS(321), 1,
      sym_comment,
    ACTIONS(589), 1,
      anon_sym_LF,
    ACTIONS(1126), 1,
      anon_sym_LPAREN,
    STATE(517), 1,
      sym_special_argument_list,
    ACTIONS(591), 26,
      anon_sym_SEMI,
      anon_sym_DOT,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_STAR,
      anon_sym_PIPE,
      anon_sym_RBRACE,
      anon_sym_case,
      anon_sym_default,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_LT_EQ,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
  [35092] = 10,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1084), 1,
      anon_sym_DOT,
    ACTIONS(1086), 1,
      anon_sym_LPAREN,
    ACTIONS(1090), 1,
      anon_sym_LBRACK,
    STATE(575), 1,
      sym_argument_list,
    STATE(1209), 1,
      sym_type_arguments,
    ACTIONS(1100), 2,
      anon_sym_AMP,
      anon_sym_SLASH,
    ACTIONS(639), 5,
      anon_sym_EQ,
      anon_sym_PIPE,
      anon_sym_COLON,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(1092), 5,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP_CARET,
    ACTIONS(637), 12,
      anon_sym_COMMA,
      anon_sym_LT_DASH,
      anon_sym_COLON_EQ,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
  [35143] = 19,
    ACTIONS(321), 1,
      sym_comment,
    ACTIONS(844), 1,
      sym_identifier,
    ACTIONS(850), 1,
      anon_sym_LPAREN,
    ACTIONS(852), 1,
      anon_sym_func,
    ACTIONS(854), 1,
      anon_sym_LBRACK,
    ACTIONS(856), 1,
      anon_sym_STAR,
    ACTIONS(858), 1,
      anon_sym_struct,
    ACTIONS(860), 1,
      anon_sym_TILDE,
    ACTIONS(862), 1,
      anon_sym_interface,
    ACTIONS(864), 1,
      anon_sym_map,
    ACTIONS(866), 1,
      anon_sym_chan,
    ACTIONS(868), 1,
      anon_sym_LT_DASH,
    ACTIONS(1128), 1,
      anon_sym_LF,
    STATE(1056), 1,
      sym__simple_type,
    STATE(1165), 1,
      sym_parameter_list,
    STATE(1370), 1,
      sym_parenthesized_type,
    ACTIONS(1130), 2,
      anon_sym_SEMI,
      anon_sym_RBRACE,
    STATE(779), 3,
      sym_union_type,
      sym_negated_type,
      sym_qualified_type,
    STATE(813), 9,
      sym_generic_type,
      sym_pointer_type,
      sym_array_type,
      sym_slice_type,
      sym_struct_type,
      sym_interface_type,
      sym_map_type,
      sym_channel_type,
      sym_function_type,
  [35212] = 18,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(29), 1,
      anon_sym_struct,
    ACTIONS(31), 1,
      anon_sym_TILDE,
    ACTIONS(35), 1,
      anon_sym_interface,
    ACTIONS(37), 1,
      anon_sym_map,
    ACTIONS(39), 1,
      anon_sym_chan,
    ACTIONS(573), 1,
      anon_sym_func,
    ACTIONS(587), 1,
      anon_sym_LT_DASH,
    ACTIONS(942), 1,
      anon_sym_LBRACK,
    ACTIONS(944), 1,
      anon_sym_STAR,
    ACTIONS(956), 1,
      anon_sym_LPAREN,
    ACTIONS(1054), 1,
      sym_identifier,
    ACTIONS(1060), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(1132), 1,
      anon_sym_RPAREN,
    STATE(1065), 2,
      sym_parenthesized_type,
      sym__simple_type,
    STATE(1241), 2,
      sym_parameter_declaration,
      sym_variadic_parameter_declaration,
    STATE(821), 3,
      sym_union_type,
      sym_negated_type,
      sym_qualified_type,
    STATE(830), 9,
      sym_generic_type,
      sym_pointer_type,
      sym_array_type,
      sym_slice_type,
      sym_struct_type,
      sym_interface_type,
      sym_map_type,
      sym_channel_type,
      sym_function_type,
  [35279] = 18,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(29), 1,
      anon_sym_struct,
    ACTIONS(31), 1,
      anon_sym_TILDE,
    ACTIONS(35), 1,
      anon_sym_interface,
    ACTIONS(37), 1,
      anon_sym_map,
    ACTIONS(39), 1,
      anon_sym_chan,
    ACTIONS(573), 1,
      anon_sym_func,
    ACTIONS(587), 1,
      anon_sym_LT_DASH,
    ACTIONS(942), 1,
      anon_sym_LBRACK,
    ACTIONS(944), 1,
      anon_sym_STAR,
    ACTIONS(956), 1,
      anon_sym_LPAREN,
    ACTIONS(1054), 1,
      sym_identifier,
    ACTIONS(1060), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(1134), 1,
      anon_sym_RPAREN,
    STATE(1065), 2,
      sym_parenthesized_type,
      sym__simple_type,
    STATE(1241), 2,
      sym_parameter_declaration,
      sym_variadic_parameter_declaration,
    STATE(821), 3,
      sym_union_type,
      sym_negated_type,
      sym_qualified_type,
    STATE(830), 9,
      sym_generic_type,
      sym_pointer_type,
      sym_array_type,
      sym_slice_type,
      sym_struct_type,
      sym_interface_type,
      sym_map_type,
      sym_channel_type,
      sym_function_type,
  [35346] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1084), 1,
      anon_sym_DOT,
    ACTIONS(1086), 1,
      anon_sym_LPAREN,
    ACTIONS(1090), 1,
      anon_sym_LBRACK,
    STATE(575), 1,
      sym_argument_list,
    STATE(1209), 1,
      sym_type_arguments,
    ACTIONS(643), 7,
      anon_sym_EQ,
      anon_sym_PIPE,
      anon_sym_COLON,
      anon_sym_AMP,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(641), 17,
      anon_sym_COMMA,
      anon_sym_STAR,
      anon_sym_LT_DASH,
      anon_sym_COLON_EQ,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
  [35393] = 20,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(29), 1,
      anon_sym_struct,
    ACTIONS(31), 1,
      anon_sym_TILDE,
    ACTIONS(35), 1,
      anon_sym_interface,
    ACTIONS(37), 1,
      anon_sym_map,
    ACTIONS(39), 1,
      anon_sym_chan,
    ACTIONS(561), 1,
      sym_identifier,
    ACTIONS(573), 1,
      anon_sym_func,
    ACTIONS(587), 1,
      anon_sym_LT_DASH,
    ACTIONS(846), 1,
      anon_sym_PIPE,
    ACTIONS(928), 1,
      anon_sym_LPAREN,
    ACTIONS(942), 1,
      anon_sym_LBRACK,
    ACTIONS(944), 1,
      anon_sym_STAR,
    ACTIONS(1136), 1,
      anon_sym_LBRACE,
    STATE(508), 1,
      sym_block,
    STATE(1018), 1,
      sym_parameter_list,
    STATE(1094), 1,
      sym__simple_type,
    STATE(1311), 1,
      sym_parenthesized_type,
    STATE(821), 3,
      sym_union_type,
      sym_negated_type,
      sym_qualified_type,
    STATE(830), 9,
      sym_generic_type,
      sym_pointer_type,
      sym_array_type,
      sym_slice_type,
      sym_struct_type,
      sym_interface_type,
      sym_map_type,
      sym_channel_type,
      sym_function_type,
  [35464] = 18,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(29), 1,
      anon_sym_struct,
    ACTIONS(31), 1,
      anon_sym_TILDE,
    ACTIONS(35), 1,
      anon_sym_interface,
    ACTIONS(37), 1,
      anon_sym_map,
    ACTIONS(39), 1,
      anon_sym_chan,
    ACTIONS(573), 1,
      anon_sym_func,
    ACTIONS(587), 1,
      anon_sym_LT_DASH,
    ACTIONS(942), 1,
      anon_sym_LBRACK,
    ACTIONS(944), 1,
      anon_sym_STAR,
    ACTIONS(956), 1,
      anon_sym_LPAREN,
    ACTIONS(1054), 1,
      sym_identifier,
    ACTIONS(1060), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(1138), 1,
      anon_sym_RPAREN,
    STATE(1065), 2,
      sym_parenthesized_type,
      sym__simple_type,
    STATE(1241), 2,
      sym_parameter_declaration,
      sym_variadic_parameter_declaration,
    STATE(821), 3,
      sym_union_type,
      sym_negated_type,
      sym_qualified_type,
    STATE(830), 9,
      sym_generic_type,
      sym_pointer_type,
      sym_array_type,
      sym_slice_type,
      sym_struct_type,
      sym_interface_type,
      sym_map_type,
      sym_channel_type,
      sym_function_type,
  [35531] = 20,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(29), 1,
      anon_sym_struct,
    ACTIONS(31), 1,
      anon_sym_TILDE,
    ACTIONS(35), 1,
      anon_sym_interface,
    ACTIONS(37), 1,
      anon_sym_map,
    ACTIONS(39), 1,
      anon_sym_chan,
    ACTIONS(561), 1,
      sym_identifier,
    ACTIONS(573), 1,
      anon_sym_func,
    ACTIONS(587), 1,
      anon_sym_LT_DASH,
    ACTIONS(846), 1,
      anon_sym_PIPE,
    ACTIONS(928), 1,
      anon_sym_LPAREN,
    ACTIONS(942), 1,
      anon_sym_LBRACK,
    ACTIONS(944), 1,
      anon_sym_STAR,
    ACTIONS(1140), 1,
      anon_sym_LBRACE,
    STATE(370), 1,
      sym_block,
    STATE(1017), 1,
      sym__simple_type,
    STATE(1023), 1,
      sym_parameter_list,
    STATE(1311), 1,
      sym_parenthesized_type,
    STATE(821), 3,
      sym_union_type,
      sym_negated_type,
      sym_qualified_type,
    STATE(830), 9,
      sym_generic_type,
      sym_pointer_type,
      sym_array_type,
      sym_slice_type,
      sym_struct_type,
      sym_interface_type,
      sym_map_type,
      sym_channel_type,
      sym_function_type,
  [35602] = 20,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(29), 1,
      anon_sym_struct,
    ACTIONS(31), 1,
      anon_sym_TILDE,
    ACTIONS(33), 1,
      anon_sym_LBRACE,
    ACTIONS(35), 1,
      anon_sym_interface,
    ACTIONS(37), 1,
      anon_sym_map,
    ACTIONS(39), 1,
      anon_sym_chan,
    ACTIONS(573), 1,
      anon_sym_func,
    ACTIONS(587), 1,
      anon_sym_LT_DASH,
    ACTIONS(846), 1,
      anon_sym_PIPE,
    ACTIONS(928), 1,
      anon_sym_LPAREN,
    ACTIONS(942), 1,
      anon_sym_LBRACK,
    ACTIONS(944), 1,
      anon_sym_STAR,
    ACTIONS(1142), 1,
      sym_identifier,
    STATE(261), 1,
      sym_block,
    STATE(1058), 1,
      sym__simple_type,
    STATE(1060), 1,
      sym_parameter_list,
    STATE(1311), 1,
      sym_parenthesized_type,
    STATE(821), 3,
      sym_union_type,
      sym_negated_type,
      sym_qualified_type,
    STATE(830), 9,
      sym_generic_type,
      sym_pointer_type,
      sym_array_type,
      sym_slice_type,
      sym_struct_type,
      sym_interface_type,
      sym_map_type,
      sym_channel_type,
      sym_function_type,
  [35673] = 20,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(29), 1,
      anon_sym_struct,
    ACTIONS(31), 1,
      anon_sym_TILDE,
    ACTIONS(33), 1,
      anon_sym_LBRACE,
    ACTIONS(35), 1,
      anon_sym_interface,
    ACTIONS(37), 1,
      anon_sym_map,
    ACTIONS(39), 1,
      anon_sym_chan,
    ACTIONS(561), 1,
      sym_identifier,
    ACTIONS(573), 1,
      anon_sym_func,
    ACTIONS(587), 1,
      anon_sym_LT_DASH,
    ACTIONS(846), 1,
      anon_sym_PIPE,
    ACTIONS(928), 1,
      anon_sym_LPAREN,
    ACTIONS(942), 1,
      anon_sym_LBRACK,
    ACTIONS(944), 1,
      anon_sym_STAR,
    STATE(261), 1,
      sym_block,
    STATE(1058), 1,
      sym__simple_type,
    STATE(1060), 1,
      sym_parameter_list,
    STATE(1311), 1,
      sym_parenthesized_type,
    STATE(821), 3,
      sym_union_type,
      sym_negated_type,
      sym_qualified_type,
    STATE(830), 9,
      sym_generic_type,
      sym_pointer_type,
      sym_array_type,
      sym_slice_type,
      sym_struct_type,
      sym_interface_type,
      sym_map_type,
      sym_channel_type,
      sym_function_type,
  [35744] = 20,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(29), 1,
      anon_sym_struct,
    ACTIONS(31), 1,
      anon_sym_TILDE,
    ACTIONS(35), 1,
      anon_sym_interface,
    ACTIONS(37), 1,
      anon_sym_map,
    ACTIONS(39), 1,
      anon_sym_chan,
    ACTIONS(561), 1,
      sym_identifier,
    ACTIONS(573), 1,
      anon_sym_func,
    ACTIONS(587), 1,
      anon_sym_LT_DASH,
    ACTIONS(846), 1,
      anon_sym_PIPE,
    ACTIONS(928), 1,
      anon_sym_LPAREN,
    ACTIONS(942), 1,
      anon_sym_LBRACK,
    ACTIONS(944), 1,
      anon_sym_STAR,
    ACTIONS(1144), 1,
      anon_sym_LBRACE,
    STATE(295), 1,
      sym_block,
    STATE(1050), 1,
      sym_parameter_list,
    STATE(1051), 1,
      sym__simple_type,
    STATE(1311), 1,
      sym_parenthesized_type,
    STATE(821), 3,
      sym_union_type,
      sym_negated_type,
      sym_qualified_type,
    STATE(830), 9,
      sym_generic_type,
      sym_pointer_type,
      sym_array_type,
      sym_slice_type,
      sym_struct_type,
      sym_interface_type,
      sym_map_type,
      sym_channel_type,
      sym_function_type,
  [35815] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1084), 1,
      anon_sym_DOT,
    ACTIONS(1086), 1,
      anon_sym_LPAREN,
    ACTIONS(1090), 1,
      anon_sym_LBRACK,
    STATE(575), 1,
      sym_argument_list,
    STATE(1209), 1,
      sym_type_arguments,
    ACTIONS(639), 7,
      anon_sym_EQ,
      anon_sym_PIPE,
      anon_sym_COLON,
      anon_sym_AMP,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(637), 17,
      anon_sym_COMMA,
      anon_sym_STAR,
      anon_sym_LT_DASH,
      anon_sym_COLON_EQ,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
  [35862] = 20,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(29), 1,
      anon_sym_struct,
    ACTIONS(31), 1,
      anon_sym_TILDE,
    ACTIONS(33), 1,
      anon_sym_LBRACE,
    ACTIONS(35), 1,
      anon_sym_interface,
    ACTIONS(37), 1,
      anon_sym_map,
    ACTIONS(39), 1,
      anon_sym_chan,
    ACTIONS(573), 1,
      anon_sym_func,
    ACTIONS(587), 1,
      anon_sym_LT_DASH,
    ACTIONS(846), 1,
      anon_sym_PIPE,
    ACTIONS(928), 1,
      anon_sym_LPAREN,
    ACTIONS(942), 1,
      anon_sym_LBRACK,
    ACTIONS(944), 1,
      anon_sym_STAR,
    ACTIONS(1146), 1,
      sym_identifier,
    STATE(261), 1,
      sym_block,
    STATE(1058), 1,
      sym__simple_type,
    STATE(1060), 1,
      sym_parameter_list,
    STATE(1311), 1,
      sym_parenthesized_type,
    STATE(821), 3,
      sym_union_type,
      sym_negated_type,
      sym_qualified_type,
    STATE(830), 9,
      sym_generic_type,
      sym_pointer_type,
      sym_array_type,
      sym_slice_type,
      sym_struct_type,
      sym_interface_type,
      sym_map_type,
      sym_channel_type,
      sym_function_type,
  [35933] = 18,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(29), 1,
      anon_sym_struct,
    ACTIONS(31), 1,
      anon_sym_TILDE,
    ACTIONS(35), 1,
      anon_sym_interface,
    ACTIONS(37), 1,
      anon_sym_map,
    ACTIONS(39), 1,
      anon_sym_chan,
    ACTIONS(573), 1,
      anon_sym_func,
    ACTIONS(587), 1,
      anon_sym_LT_DASH,
    ACTIONS(942), 1,
      anon_sym_LBRACK,
    ACTIONS(944), 1,
      anon_sym_STAR,
    ACTIONS(956), 1,
      anon_sym_LPAREN,
    ACTIONS(1054), 1,
      sym_identifier,
    ACTIONS(1060), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(1148), 1,
      anon_sym_RPAREN,
    STATE(1065), 2,
      sym_parenthesized_type,
      sym__simple_type,
    STATE(1241), 2,
      sym_parameter_declaration,
      sym_variadic_parameter_declaration,
    STATE(821), 3,
      sym_union_type,
      sym_negated_type,
      sym_qualified_type,
    STATE(830), 9,
      sym_generic_type,
      sym_pointer_type,
      sym_array_type,
      sym_slice_type,
      sym_struct_type,
      sym_interface_type,
      sym_map_type,
      sym_channel_type,
      sym_function_type,
  [36000] = 13,
    ACTIONS(321), 1,
      sym_comment,
    ACTIONS(1024), 1,
      anon_sym_DOT,
    ACTIONS(1026), 1,
      anon_sym_LPAREN,
    ACTIONS(1030), 1,
      anon_sym_LBRACK,
    ACTIONS(1038), 1,
      anon_sym_AMP_AMP,
    ACTIONS(1040), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(1150), 1,
      anon_sym_LF,
    STATE(517), 1,
      sym_argument_list,
    STATE(1228), 1,
      sym_type_arguments,
    ACTIONS(1034), 4,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_CARET,
    ACTIONS(1152), 4,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_case,
      anon_sym_default,
    ACTIONS(1036), 6,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_LT_EQ,
      anon_sym_GT,
      anon_sym_GT_EQ,
    ACTIONS(1032), 7,
      anon_sym_STAR,
      anon_sym_AMP,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP_CARET,
  [36057] = 13,
    ACTIONS(321), 1,
      sym_comment,
    ACTIONS(1024), 1,
      anon_sym_DOT,
    ACTIONS(1026), 1,
      anon_sym_LPAREN,
    ACTIONS(1030), 1,
      anon_sym_LBRACK,
    ACTIONS(1038), 1,
      anon_sym_AMP_AMP,
    ACTIONS(1040), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(1154), 1,
      anon_sym_LF,
    STATE(517), 1,
      sym_argument_list,
    STATE(1228), 1,
      sym_type_arguments,
    ACTIONS(1034), 4,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_CARET,
    ACTIONS(1156), 4,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_case,
      anon_sym_default,
    ACTIONS(1036), 6,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_LT_EQ,
      anon_sym_GT,
      anon_sym_GT_EQ,
    ACTIONS(1032), 7,
      anon_sym_STAR,
      anon_sym_AMP,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP_CARET,
  [36114] = 16,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(904), 1,
      anon_sym_LPAREN,
    ACTIONS(906), 1,
      anon_sym_LBRACK,
    ACTIONS(966), 1,
      anon_sym_DOT,
    ACTIONS(970), 1,
      anon_sym_PIPE,
    ACTIONS(980), 1,
      anon_sym_AMP_AMP,
    ACTIONS(1158), 1,
      anon_sym_PIPE_PIPE,
    STATE(396), 1,
      sym_argument_list,
    STATE(1275), 1,
      sym_type_arguments,
    ACTIONS(828), 2,
      anon_sym_EQ,
      anon_sym_COLON,
    ACTIONS(974), 2,
      anon_sym_AMP,
      anon_sym_SLASH,
    ACTIONS(978), 2,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(826), 3,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_COLON_EQ,
    ACTIONS(972), 3,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_CARET,
    ACTIONS(976), 4,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
    ACTIONS(968), 5,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP_CARET,
  [36177] = 14,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1084), 1,
      anon_sym_DOT,
    ACTIONS(1086), 1,
      anon_sym_LPAREN,
    ACTIONS(1090), 1,
      anon_sym_LBRACK,
    ACTIONS(1094), 1,
      anon_sym_PIPE,
    STATE(575), 1,
      sym_argument_list,
    STATE(1209), 1,
      sym_type_arguments,
    ACTIONS(639), 2,
      anon_sym_EQ,
      anon_sym_COLON,
    ACTIONS(1100), 2,
      anon_sym_AMP,
      anon_sym_SLASH,
    ACTIONS(1104), 2,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(1098), 3,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_CARET,
    ACTIONS(1102), 4,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
    ACTIONS(637), 5,
      anon_sym_COMMA,
      anon_sym_LT_DASH,
      anon_sym_COLON_EQ,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
    ACTIONS(1092), 5,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP_CARET,
  [36236] = 18,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(29), 1,
      anon_sym_struct,
    ACTIONS(31), 1,
      anon_sym_TILDE,
    ACTIONS(35), 1,
      anon_sym_interface,
    ACTIONS(37), 1,
      anon_sym_map,
    ACTIONS(39), 1,
      anon_sym_chan,
    ACTIONS(573), 1,
      anon_sym_func,
    ACTIONS(587), 1,
      anon_sym_LT_DASH,
    ACTIONS(942), 1,
      anon_sym_LBRACK,
    ACTIONS(944), 1,
      anon_sym_STAR,
    ACTIONS(956), 1,
      anon_sym_LPAREN,
    ACTIONS(1054), 1,
      sym_identifier,
    ACTIONS(1060), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(1160), 1,
      anon_sym_RPAREN,
    STATE(1065), 2,
      sym_parenthesized_type,
      sym__simple_type,
    STATE(1241), 2,
      sym_parameter_declaration,
      sym_variadic_parameter_declaration,
    STATE(821), 3,
      sym_union_type,
      sym_negated_type,
      sym_qualified_type,
    STATE(830), 9,
      sym_generic_type,
      sym_pointer_type,
      sym_array_type,
      sym_slice_type,
      sym_struct_type,
      sym_interface_type,
      sym_map_type,
      sym_channel_type,
      sym_function_type,
  [36303] = 19,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(852), 1,
      anon_sym_func,
    ACTIONS(858), 1,
      anon_sym_struct,
    ACTIONS(862), 1,
      anon_sym_interface,
    ACTIONS(864), 1,
      anon_sym_map,
    ACTIONS(866), 1,
      anon_sym_chan,
    ACTIONS(956), 1,
      anon_sym_LPAREN,
    ACTIONS(1062), 1,
      sym_identifier,
    ACTIONS(1064), 1,
      anon_sym_LBRACK,
    ACTIONS(1066), 1,
      anon_sym_STAR,
    ACTIONS(1068), 1,
      anon_sym_TILDE,
    ACTIONS(1072), 1,
      anon_sym_LT_DASH,
    STATE(988), 1,
      sym_struct_term,
    STATE(1038), 1,
      sym__simple_type,
    STATE(1040), 1,
      sym_struct_type,
    STATE(1370), 1,
      sym_parenthesized_type,
    STATE(779), 3,
      sym_union_type,
      sym_negated_type,
      sym_qualified_type,
    STATE(1164), 3,
      sym__interface_body,
      sym_struct_elem,
      sym_method_spec,
    STATE(813), 8,
      sym_generic_type,
      sym_pointer_type,
      sym_array_type,
      sym_slice_type,
      sym_interface_type,
      sym_map_type,
      sym_channel_type,
      sym_function_type,
  [36372] = 20,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(29), 1,
      anon_sym_struct,
    ACTIONS(31), 1,
      anon_sym_TILDE,
    ACTIONS(35), 1,
      anon_sym_interface,
    ACTIONS(37), 1,
      anon_sym_map,
    ACTIONS(39), 1,
      anon_sym_chan,
    ACTIONS(561), 1,
      sym_identifier,
    ACTIONS(573), 1,
      anon_sym_func,
    ACTIONS(587), 1,
      anon_sym_LT_DASH,
    ACTIONS(846), 1,
      anon_sym_PIPE,
    ACTIONS(928), 1,
      anon_sym_LPAREN,
    ACTIONS(942), 1,
      anon_sym_LBRACK,
    ACTIONS(944), 1,
      anon_sym_STAR,
    ACTIONS(1162), 1,
      anon_sym_LBRACE,
    STATE(570), 1,
      sym_block,
    STATE(1063), 1,
      sym__simple_type,
    STATE(1069), 1,
      sym_parameter_list,
    STATE(1311), 1,
      sym_parenthesized_type,
    STATE(821), 3,
      sym_union_type,
      sym_negated_type,
      sym_qualified_type,
    STATE(830), 9,
      sym_generic_type,
      sym_pointer_type,
      sym_array_type,
      sym_slice_type,
      sym_struct_type,
      sym_interface_type,
      sym_map_type,
      sym_channel_type,
      sym_function_type,
  [36443] = 18,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(29), 1,
      anon_sym_struct,
    ACTIONS(31), 1,
      anon_sym_TILDE,
    ACTIONS(35), 1,
      anon_sym_interface,
    ACTIONS(37), 1,
      anon_sym_map,
    ACTIONS(39), 1,
      anon_sym_chan,
    ACTIONS(573), 1,
      anon_sym_func,
    ACTIONS(587), 1,
      anon_sym_LT_DASH,
    ACTIONS(942), 1,
      anon_sym_LBRACK,
    ACTIONS(944), 1,
      anon_sym_STAR,
    ACTIONS(956), 1,
      anon_sym_LPAREN,
    ACTIONS(1054), 1,
      sym_identifier,
    ACTIONS(1060), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(1164), 1,
      anon_sym_RPAREN,
    STATE(1065), 2,
      sym_parenthesized_type,
      sym__simple_type,
    STATE(1241), 2,
      sym_parameter_declaration,
      sym_variadic_parameter_declaration,
    STATE(821), 3,
      sym_union_type,
      sym_negated_type,
      sym_qualified_type,
    STATE(830), 9,
      sym_generic_type,
      sym_pointer_type,
      sym_array_type,
      sym_slice_type,
      sym_struct_type,
      sym_interface_type,
      sym_map_type,
      sym_channel_type,
      sym_function_type,
  [36510] = 12,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1084), 1,
      anon_sym_DOT,
    ACTIONS(1086), 1,
      anon_sym_LPAREN,
    ACTIONS(1090), 1,
      anon_sym_LBRACK,
    ACTIONS(1094), 1,
      anon_sym_PIPE,
    STATE(575), 1,
      sym_argument_list,
    STATE(1209), 1,
      sym_type_arguments,
    ACTIONS(1100), 2,
      anon_sym_AMP,
      anon_sym_SLASH,
    ACTIONS(1098), 3,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_CARET,
    ACTIONS(639), 4,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(1092), 5,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP_CARET,
    ACTIONS(637), 9,
      anon_sym_COMMA,
      anon_sym_LT_DASH,
      anon_sym_COLON_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
  [36565] = 15,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1084), 1,
      anon_sym_DOT,
    ACTIONS(1086), 1,
      anon_sym_LPAREN,
    ACTIONS(1090), 1,
      anon_sym_LBRACK,
    ACTIONS(1094), 1,
      anon_sym_PIPE,
    ACTIONS(1106), 1,
      anon_sym_AMP_AMP,
    STATE(575), 1,
      sym_argument_list,
    STATE(1209), 1,
      sym_type_arguments,
    ACTIONS(639), 2,
      anon_sym_EQ,
      anon_sym_COLON,
    ACTIONS(1100), 2,
      anon_sym_AMP,
      anon_sym_SLASH,
    ACTIONS(1104), 2,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(1098), 3,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_CARET,
    ACTIONS(637), 4,
      anon_sym_COMMA,
      anon_sym_LT_DASH,
      anon_sym_COLON_EQ,
      anon_sym_PIPE_PIPE,
    ACTIONS(1102), 4,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
    ACTIONS(1092), 5,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP_CARET,
  [36626] = 13,
    ACTIONS(321), 1,
      sym_comment,
    ACTIONS(1024), 1,
      anon_sym_DOT,
    ACTIONS(1026), 1,
      anon_sym_LPAREN,
    ACTIONS(1030), 1,
      anon_sym_LBRACK,
    ACTIONS(1038), 1,
      anon_sym_AMP_AMP,
    ACTIONS(1040), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(1166), 1,
      anon_sym_LF,
    STATE(517), 1,
      sym_argument_list,
    STATE(1228), 1,
      sym_type_arguments,
    ACTIONS(1034), 4,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_CARET,
    ACTIONS(1168), 4,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_case,
      anon_sym_default,
    ACTIONS(1036), 6,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_LT_EQ,
      anon_sym_GT,
      anon_sym_GT_EQ,
    ACTIONS(1032), 7,
      anon_sym_STAR,
      anon_sym_AMP,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP_CARET,
  [36683] = 10,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(275), 1,
      anon_sym_LBRACE,
    ACTIONS(578), 1,
      anon_sym_LPAREN,
    ACTIONS(584), 1,
      anon_sym_PIPE,
    ACTIONS(593), 1,
      anon_sym_DOT,
    ACTIONS(811), 1,
      anon_sym_LBRACK,
    STATE(400), 1,
      sym_literal_value,
    STATE(848), 1,
      sym_type_arguments,
    ACTIONS(591), 4,
      anon_sym_AMP,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(589), 17,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_DOT_DOT_DOT,
      anon_sym_STAR,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
  [36733] = 3,
    ACTIONS(321), 1,
      sym_comment,
    ACTIONS(783), 1,
      anon_sym_LF,
    ACTIONS(785), 27,
      anon_sym_SEMI,
      anon_sym_DOT,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_STAR,
      anon_sym_PIPE,
      anon_sym_RBRACE,
      anon_sym_case,
      anon_sym_default,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_LT_EQ,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
  [36769] = 3,
    ACTIONS(321), 1,
      sym_comment,
    ACTIONS(703), 1,
      anon_sym_LF,
    ACTIONS(705), 27,
      anon_sym_SEMI,
      anon_sym_DOT,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_STAR,
      anon_sym_PIPE,
      anon_sym_RBRACE,
      anon_sym_case,
      anon_sym_default,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_LT_EQ,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
  [36805] = 3,
    ACTIONS(321), 1,
      sym_comment,
    ACTIONS(787), 1,
      anon_sym_LF,
    ACTIONS(789), 27,
      anon_sym_SEMI,
      anon_sym_DOT,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_STAR,
      anon_sym_PIPE,
      anon_sym_RBRACE,
      anon_sym_case,
      anon_sym_default,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_LT_EQ,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
  [36841] = 3,
    ACTIONS(321), 1,
      sym_comment,
    ACTIONS(763), 1,
      anon_sym_LF,
    ACTIONS(765), 27,
      anon_sym_SEMI,
      anon_sym_DOT,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_STAR,
      anon_sym_PIPE,
      anon_sym_RBRACE,
      anon_sym_case,
      anon_sym_default,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_LT_EQ,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
  [36877] = 3,
    ACTIONS(321), 1,
      sym_comment,
    ACTIONS(803), 1,
      anon_sym_LF,
    ACTIONS(805), 27,
      anon_sym_SEMI,
      anon_sym_DOT,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_STAR,
      anon_sym_PIPE,
      anon_sym_RBRACE,
      anon_sym_case,
      anon_sym_default,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_LT_EQ,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
  [36913] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1170), 1,
      anon_sym_LPAREN,
    STATE(575), 1,
      sym_special_argument_list,
    ACTIONS(591), 7,
      anon_sym_EQ,
      anon_sym_PIPE,
      anon_sym_COLON,
      anon_sym_AMP,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(589), 19,
      anon_sym_DOT,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_STAR,
      anon_sym_LT_DASH,
      anon_sym_COLON_EQ,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
  [36953] = 3,
    ACTIONS(321), 1,
      sym_comment,
    ACTIONS(807), 1,
      anon_sym_LF,
    ACTIONS(809), 27,
      anon_sym_SEMI,
      anon_sym_DOT,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_STAR,
      anon_sym_PIPE,
      anon_sym_RBRACE,
      anon_sym_case,
      anon_sym_default,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_LT_EQ,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
  [36989] = 3,
    ACTIONS(321), 1,
      sym_comment,
    ACTIONS(767), 1,
      anon_sym_LF,
    ACTIONS(769), 27,
      anon_sym_SEMI,
      anon_sym_DOT,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_STAR,
      anon_sym_PIPE,
      anon_sym_RBRACE,
      anon_sym_case,
      anon_sym_default,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_LT_EQ,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
  [37025] = 18,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(844), 1,
      sym_identifier,
    ACTIONS(852), 1,
      anon_sym_func,
    ACTIONS(858), 1,
      anon_sym_struct,
    ACTIONS(862), 1,
      anon_sym_interface,
    ACTIONS(864), 1,
      anon_sym_map,
    ACTIONS(866), 1,
      anon_sym_chan,
    ACTIONS(1064), 1,
      anon_sym_LBRACK,
    ACTIONS(1072), 1,
      anon_sym_LT_DASH,
    ACTIONS(1172), 1,
      anon_sym_LPAREN,
    ACTIONS(1174), 1,
      anon_sym_COMMA,
    ACTIONS(1176), 1,
      anon_sym_EQ,
    ACTIONS(1178), 1,
      anon_sym_STAR,
    ACTIONS(1180), 1,
      anon_sym_TILDE,
    STATE(529), 1,
      aux_sym_const_spec_repeat1,
    STATE(875), 2,
      sym_parenthesized_type,
      sym__simple_type,
    STATE(779), 3,
      sym_union_type,
      sym_negated_type,
      sym_qualified_type,
    STATE(813), 9,
      sym_generic_type,
      sym_pointer_type,
      sym_array_type,
      sym_slice_type,
      sym_struct_type,
      sym_interface_type,
      sym_map_type,
      sym_channel_type,
      sym_function_type,
  [37091] = 3,
    ACTIONS(321), 1,
      sym_comment,
    ACTIONS(775), 1,
      anon_sym_LF,
    ACTIONS(777), 27,
      anon_sym_SEMI,
      anon_sym_DOT,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_STAR,
      anon_sym_PIPE,
      anon_sym_RBRACE,
      anon_sym_case,
      anon_sym_default,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_LT_EQ,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
  [37127] = 18,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(902), 1,
      anon_sym_DOT,
    ACTIONS(904), 1,
      anon_sym_LPAREN,
    ACTIONS(906), 1,
      anon_sym_LBRACK,
    ACTIONS(1182), 1,
      anon_sym_RPAREN,
    ACTIONS(1184), 1,
      anon_sym_COMMA,
    ACTIONS(1186), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(1190), 1,
      anon_sym_PIPE,
    ACTIONS(1200), 1,
      anon_sym_AMP_AMP,
    ACTIONS(1202), 1,
      anon_sym_PIPE_PIPE,
    STATE(396), 1,
      sym_argument_list,
    STATE(1182), 1,
      aux_sym_argument_list_repeat1,
    STATE(1275), 1,
      sym_type_arguments,
    ACTIONS(1194), 2,
      anon_sym_AMP,
      anon_sym_SLASH,
    ACTIONS(1198), 2,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(1192), 3,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_CARET,
    ACTIONS(1196), 4,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
    ACTIONS(1188), 5,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP_CARET,
  [37193] = 18,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(663), 1,
      anon_sym_COLON_EQ,
    ACTIONS(904), 1,
      anon_sym_LPAREN,
    ACTIONS(906), 1,
      anon_sym_LBRACK,
    ACTIONS(1088), 1,
      anon_sym_COMMA,
    ACTIONS(1204), 1,
      anon_sym_DOT,
    ACTIONS(1208), 1,
      anon_sym_PIPE,
    ACTIONS(1210), 1,
      anon_sym_LBRACE,
    ACTIONS(1220), 1,
      anon_sym_AMP_AMP,
    ACTIONS(1222), 1,
      anon_sym_PIPE_PIPE,
    STATE(396), 1,
      sym_argument_list,
    STATE(901), 1,
      aux_sym_expression_list_repeat1,
    STATE(1275), 1,
      sym_type_arguments,
    ACTIONS(1214), 2,
      anon_sym_AMP,
      anon_sym_SLASH,
    ACTIONS(1218), 2,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(1212), 3,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_CARET,
    ACTIONS(1216), 4,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
    ACTIONS(1206), 5,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP_CARET,
  [37259] = 3,
    ACTIONS(321), 1,
      sym_comment,
    ACTIONS(691), 1,
      anon_sym_LF,
    ACTIONS(693), 27,
      anon_sym_SEMI,
      anon_sym_DOT,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_STAR,
      anon_sym_PIPE,
      anon_sym_RBRACE,
      anon_sym_case,
      anon_sym_default,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_LT_EQ,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
  [37295] = 3,
    ACTIONS(321), 1,
      sym_comment,
    ACTIONS(735), 1,
      anon_sym_LF,
    ACTIONS(737), 27,
      anon_sym_SEMI,
      anon_sym_DOT,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_STAR,
      anon_sym_PIPE,
      anon_sym_RBRACE,
      anon_sym_case,
      anon_sym_default,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_LT_EQ,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
  [37331] = 3,
    ACTIONS(321), 1,
      sym_comment,
    ACTIONS(771), 1,
      anon_sym_LF,
    ACTIONS(773), 27,
      anon_sym_SEMI,
      anon_sym_DOT,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_STAR,
      anon_sym_PIPE,
      anon_sym_RBRACE,
      anon_sym_case,
      anon_sym_default,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_LT_EQ,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
  [37367] = 3,
    ACTIONS(321), 1,
      sym_comment,
    ACTIONS(759), 1,
      anon_sym_LF,
    ACTIONS(761), 27,
      anon_sym_SEMI,
      anon_sym_DOT,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_STAR,
      anon_sym_PIPE,
      anon_sym_RBRACE,
      anon_sym_case,
      anon_sym_default,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_LT_EQ,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
  [37403] = 18,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(902), 1,
      anon_sym_DOT,
    ACTIONS(904), 1,
      anon_sym_LPAREN,
    ACTIONS(906), 1,
      anon_sym_LBRACK,
    ACTIONS(1186), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(1190), 1,
      anon_sym_PIPE,
    ACTIONS(1200), 1,
      anon_sym_AMP_AMP,
    ACTIONS(1202), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(1224), 1,
      anon_sym_RPAREN,
    ACTIONS(1226), 1,
      anon_sym_COMMA,
    STATE(396), 1,
      sym_argument_list,
    STATE(1148), 1,
      aux_sym_argument_list_repeat1,
    STATE(1275), 1,
      sym_type_arguments,
    ACTIONS(1194), 2,
      anon_sym_AMP,
      anon_sym_SLASH,
    ACTIONS(1198), 2,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(1192), 3,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_CARET,
    ACTIONS(1196), 4,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
    ACTIONS(1188), 5,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP_CARET,
  [37469] = 11,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(275), 1,
      anon_sym_LBRACE,
    ACTIONS(563), 1,
      anon_sym_DOT,
    ACTIONS(584), 1,
      anon_sym_PIPE,
    ACTIONS(811), 1,
      anon_sym_LBRACK,
    ACTIONS(958), 1,
      anon_sym_COMMA,
    STATE(400), 1,
      sym_literal_value,
    STATE(848), 1,
      sym_type_arguments,
    ACTIONS(578), 2,
      anon_sym_LPAREN,
      anon_sym_RBRACK,
    ACTIONS(591), 4,
      anon_sym_AMP,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(589), 15,
      anon_sym_STAR,
      anon_sym_COLON,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
  [37521] = 17,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(29), 1,
      anon_sym_struct,
    ACTIONS(31), 1,
      anon_sym_TILDE,
    ACTIONS(35), 1,
      anon_sym_interface,
    ACTIONS(37), 1,
      anon_sym_map,
    ACTIONS(39), 1,
      anon_sym_chan,
    ACTIONS(573), 1,
      anon_sym_func,
    ACTIONS(587), 1,
      anon_sym_LT_DASH,
    ACTIONS(942), 1,
      anon_sym_LBRACK,
    ACTIONS(944), 1,
      anon_sym_STAR,
    ACTIONS(956), 1,
      anon_sym_LPAREN,
    ACTIONS(1054), 1,
      sym_identifier,
    ACTIONS(1060), 1,
      anon_sym_DOT_DOT_DOT,
    STATE(1065), 2,
      sym_parenthesized_type,
      sym__simple_type,
    STATE(1241), 2,
      sym_parameter_declaration,
      sym_variadic_parameter_declaration,
    STATE(821), 3,
      sym_union_type,
      sym_negated_type,
      sym_qualified_type,
    STATE(830), 9,
      sym_generic_type,
      sym_pointer_type,
      sym_array_type,
      sym_slice_type,
      sym_struct_type,
      sym_interface_type,
      sym_map_type,
      sym_channel_type,
      sym_function_type,
  [37585] = 3,
    ACTIONS(321), 1,
      sym_comment,
    ACTIONS(645), 1,
      anon_sym_LF,
    ACTIONS(647), 27,
      anon_sym_SEMI,
      anon_sym_DOT,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_STAR,
      anon_sym_PIPE,
      anon_sym_RBRACE,
      anon_sym_case,
      anon_sym_default,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_LT_EQ,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
  [37621] = 3,
    ACTIONS(321), 1,
      sym_comment,
    ACTIONS(719), 1,
      anon_sym_LF,
    ACTIONS(721), 27,
      anon_sym_SEMI,
      anon_sym_DOT,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_STAR,
      anon_sym_PIPE,
      anon_sym_RBRACE,
      anon_sym_case,
      anon_sym_default,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_LT_EQ,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
  [37657] = 3,
    ACTIONS(321), 1,
      sym_comment,
    ACTIONS(727), 1,
      anon_sym_LF,
    ACTIONS(729), 27,
      anon_sym_SEMI,
      anon_sym_DOT,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_STAR,
      anon_sym_PIPE,
      anon_sym_RBRACE,
      anon_sym_case,
      anon_sym_default,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_LT_EQ,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
  [37693] = 3,
    ACTIONS(321), 1,
      sym_comment,
    ACTIONS(723), 1,
      anon_sym_LF,
    ACTIONS(725), 27,
      anon_sym_SEMI,
      anon_sym_DOT,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_STAR,
      anon_sym_PIPE,
      anon_sym_RBRACE,
      anon_sym_case,
      anon_sym_default,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_LT_EQ,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
  [37729] = 3,
    ACTIONS(321), 1,
      sym_comment,
    ACTIONS(795), 1,
      anon_sym_LF,
    ACTIONS(797), 27,
      anon_sym_SEMI,
      anon_sym_DOT,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_STAR,
      anon_sym_PIPE,
      anon_sym_RBRACE,
      anon_sym_case,
      anon_sym_default,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_LT_EQ,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
  [37765] = 3,
    ACTIONS(321), 1,
      sym_comment,
    ACTIONS(715), 1,
      anon_sym_LF,
    ACTIONS(717), 27,
      anon_sym_SEMI,
      anon_sym_DOT,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_STAR,
      anon_sym_PIPE,
      anon_sym_RBRACE,
      anon_sym_case,
      anon_sym_default,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_LT_EQ,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
  [37801] = 18,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(902), 1,
      anon_sym_DOT,
    ACTIONS(904), 1,
      anon_sym_LPAREN,
    ACTIONS(906), 1,
      anon_sym_LBRACK,
    ACTIONS(1186), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(1190), 1,
      anon_sym_PIPE,
    ACTIONS(1200), 1,
      anon_sym_AMP_AMP,
    ACTIONS(1202), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(1228), 1,
      anon_sym_RPAREN,
    ACTIONS(1230), 1,
      anon_sym_COMMA,
    STATE(396), 1,
      sym_argument_list,
    STATE(1131), 1,
      aux_sym_argument_list_repeat1,
    STATE(1275), 1,
      sym_type_arguments,
    ACTIONS(1194), 2,
      anon_sym_AMP,
      anon_sym_SLASH,
    ACTIONS(1198), 2,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(1192), 3,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_CARET,
    ACTIONS(1196), 4,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
    ACTIONS(1188), 5,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP_CARET,
  [37867] = 3,
    ACTIONS(321), 1,
      sym_comment,
    ACTIONS(751), 1,
      anon_sym_LF,
    ACTIONS(753), 27,
      anon_sym_SEMI,
      anon_sym_DOT,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_STAR,
      anon_sym_PIPE,
      anon_sym_RBRACE,
      anon_sym_case,
      anon_sym_default,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_LT_EQ,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
  [37903] = 3,
    ACTIONS(321), 1,
      sym_comment,
    ACTIONS(707), 1,
      anon_sym_LF,
    ACTIONS(709), 27,
      anon_sym_SEMI,
      anon_sym_DOT,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_STAR,
      anon_sym_PIPE,
      anon_sym_RBRACE,
      anon_sym_case,
      anon_sym_default,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_LT_EQ,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
  [37939] = 3,
    ACTIONS(321), 1,
      sym_comment,
    ACTIONS(683), 1,
      anon_sym_LF,
    ACTIONS(685), 27,
      anon_sym_SEMI,
      anon_sym_DOT,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_STAR,
      anon_sym_PIPE,
      anon_sym_RBRACE,
      anon_sym_case,
      anon_sym_default,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_LT_EQ,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
  [37975] = 17,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(904), 1,
      anon_sym_LPAREN,
    ACTIONS(906), 1,
      anon_sym_LBRACK,
    ACTIONS(966), 1,
      anon_sym_DOT,
    ACTIONS(970), 1,
      anon_sym_PIPE,
    ACTIONS(980), 1,
      anon_sym_AMP_AMP,
    ACTIONS(1088), 1,
      anon_sym_COMMA,
    ACTIONS(1158), 1,
      anon_sym_PIPE_PIPE,
    STATE(396), 1,
      sym_argument_list,
    STATE(901), 1,
      aux_sym_expression_list_repeat1,
    STATE(1275), 1,
      sym_type_arguments,
    ACTIONS(663), 2,
      anon_sym_SEMI,
      anon_sym_COLON,
    ACTIONS(974), 2,
      anon_sym_AMP,
      anon_sym_SLASH,
    ACTIONS(978), 2,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(972), 3,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_CARET,
    ACTIONS(976), 4,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
    ACTIONS(968), 5,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP_CARET,
  [38039] = 3,
    ACTIONS(321), 1,
      sym_comment,
    ACTIONS(699), 1,
      anon_sym_LF,
    ACTIONS(701), 27,
      anon_sym_SEMI,
      anon_sym_DOT,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_STAR,
      anon_sym_PIPE,
      anon_sym_RBRACE,
      anon_sym_case,
      anon_sym_default,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_LT_EQ,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
  [38075] = 18,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(902), 1,
      anon_sym_DOT,
    ACTIONS(904), 1,
      anon_sym_LPAREN,
    ACTIONS(906), 1,
      anon_sym_LBRACK,
    ACTIONS(1186), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(1190), 1,
      anon_sym_PIPE,
    ACTIONS(1200), 1,
      anon_sym_AMP_AMP,
    ACTIONS(1202), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(1232), 1,
      anon_sym_RPAREN,
    ACTIONS(1234), 1,
      anon_sym_COMMA,
    STATE(396), 1,
      sym_argument_list,
    STATE(1136), 1,
      aux_sym_argument_list_repeat1,
    STATE(1275), 1,
      sym_type_arguments,
    ACTIONS(1194), 2,
      anon_sym_AMP,
      anon_sym_SLASH,
    ACTIONS(1198), 2,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(1192), 3,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_CARET,
    ACTIONS(1196), 4,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
    ACTIONS(1188), 5,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP_CARET,
  [38141] = 3,
    ACTIONS(321), 1,
      sym_comment,
    ACTIONS(731), 1,
      anon_sym_LF,
    ACTIONS(733), 27,
      anon_sym_SEMI,
      anon_sym_DOT,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_STAR,
      anon_sym_PIPE,
      anon_sym_RBRACE,
      anon_sym_case,
      anon_sym_default,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_LT_EQ,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
  [38177] = 3,
    ACTIONS(321), 1,
      sym_comment,
    ACTIONS(739), 1,
      anon_sym_LF,
    ACTIONS(741), 27,
      anon_sym_SEMI,
      anon_sym_DOT,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_STAR,
      anon_sym_PIPE,
      anon_sym_RBRACE,
      anon_sym_case,
      anon_sym_default,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_LT_EQ,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
  [38213] = 3,
    ACTIONS(321), 1,
      sym_comment,
    ACTIONS(711), 1,
      anon_sym_LF,
    ACTIONS(713), 27,
      anon_sym_SEMI,
      anon_sym_DOT,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_STAR,
      anon_sym_PIPE,
      anon_sym_RBRACE,
      anon_sym_case,
      anon_sym_default,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_LT_EQ,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
  [38249] = 3,
    ACTIONS(321), 1,
      sym_comment,
    ACTIONS(679), 1,
      anon_sym_LF,
    ACTIONS(681), 27,
      anon_sym_SEMI,
      anon_sym_DOT,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_STAR,
      anon_sym_PIPE,
      anon_sym_RBRACE,
      anon_sym_case,
      anon_sym_default,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_LT_EQ,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
  [38285] = 18,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(902), 1,
      anon_sym_DOT,
    ACTIONS(904), 1,
      anon_sym_LPAREN,
    ACTIONS(906), 1,
      anon_sym_LBRACK,
    ACTIONS(1186), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(1190), 1,
      anon_sym_PIPE,
    ACTIONS(1200), 1,
      anon_sym_AMP_AMP,
    ACTIONS(1202), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(1236), 1,
      anon_sym_RPAREN,
    ACTIONS(1238), 1,
      anon_sym_COMMA,
    STATE(396), 1,
      sym_argument_list,
    STATE(1188), 1,
      aux_sym_argument_list_repeat1,
    STATE(1275), 1,
      sym_type_arguments,
    ACTIONS(1194), 2,
      anon_sym_AMP,
      anon_sym_SLASH,
    ACTIONS(1198), 2,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(1192), 3,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_CARET,
    ACTIONS(1196), 4,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
    ACTIONS(1188), 5,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP_CARET,
  [38351] = 3,
    ACTIONS(321), 1,
      sym_comment,
    ACTIONS(755), 1,
      anon_sym_LF,
    ACTIONS(757), 27,
      anon_sym_SEMI,
      anon_sym_DOT,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_STAR,
      anon_sym_PIPE,
      anon_sym_RBRACE,
      anon_sym_case,
      anon_sym_default,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_LT_EQ,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
  [38387] = 3,
    ACTIONS(321), 1,
      sym_comment,
    ACTIONS(589), 1,
      anon_sym_LF,
    ACTIONS(591), 27,
      anon_sym_SEMI,
      anon_sym_DOT,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_STAR,
      anon_sym_PIPE,
      anon_sym_RBRACE,
      anon_sym_case,
      anon_sym_default,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_LT_EQ,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
  [38423] = 3,
    ACTIONS(321), 1,
      sym_comment,
    ACTIONS(687), 1,
      anon_sym_LF,
    ACTIONS(689), 27,
      anon_sym_SEMI,
      anon_sym_DOT,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_STAR,
      anon_sym_PIPE,
      anon_sym_RBRACE,
      anon_sym_case,
      anon_sym_default,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_LT_EQ,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
  [38459] = 3,
    ACTIONS(321), 1,
      sym_comment,
    ACTIONS(779), 1,
      anon_sym_LF,
    ACTIONS(781), 27,
      anon_sym_SEMI,
      anon_sym_DOT,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_STAR,
      anon_sym_PIPE,
      anon_sym_RBRACE,
      anon_sym_case,
      anon_sym_default,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_LT_EQ,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
  [38495] = 3,
    ACTIONS(321), 1,
      sym_comment,
    ACTIONS(791), 1,
      anon_sym_LF,
    ACTIONS(793), 27,
      anon_sym_SEMI,
      anon_sym_DOT,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_STAR,
      anon_sym_PIPE,
      anon_sym_RBRACE,
      anon_sym_case,
      anon_sym_default,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_LT_EQ,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
  [38531] = 3,
    ACTIONS(321), 1,
      sym_comment,
    ACTIONS(799), 1,
      anon_sym_LF,
    ACTIONS(801), 27,
      anon_sym_SEMI,
      anon_sym_DOT,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_STAR,
      anon_sym_PIPE,
      anon_sym_RBRACE,
      anon_sym_case,
      anon_sym_default,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_LT_EQ,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
  [38567] = 3,
    ACTIONS(321), 1,
      sym_comment,
    ACTIONS(695), 1,
      anon_sym_LF,
    ACTIONS(697), 27,
      anon_sym_SEMI,
      anon_sym_DOT,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_STAR,
      anon_sym_PIPE,
      anon_sym_RBRACE,
      anon_sym_case,
      anon_sym_default,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_LT_EQ,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
  [38603] = 3,
    ACTIONS(321), 1,
      sym_comment,
    ACTIONS(743), 1,
      anon_sym_LF,
    ACTIONS(745), 27,
      anon_sym_SEMI,
      anon_sym_DOT,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_STAR,
      anon_sym_PIPE,
      anon_sym_RBRACE,
      anon_sym_case,
      anon_sym_default,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_LT_EQ,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
  [38639] = 18,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(844), 1,
      sym_identifier,
    ACTIONS(852), 1,
      anon_sym_func,
    ACTIONS(858), 1,
      anon_sym_struct,
    ACTIONS(862), 1,
      anon_sym_interface,
    ACTIONS(864), 1,
      anon_sym_map,
    ACTIONS(866), 1,
      anon_sym_chan,
    ACTIONS(1064), 1,
      anon_sym_LBRACK,
    ACTIONS(1072), 1,
      anon_sym_LT_DASH,
    ACTIONS(1172), 1,
      anon_sym_LPAREN,
    ACTIONS(1174), 1,
      anon_sym_COMMA,
    ACTIONS(1178), 1,
      anon_sym_STAR,
    ACTIONS(1180), 1,
      anon_sym_TILDE,
    ACTIONS(1240), 1,
      anon_sym_EQ,
    STATE(768), 1,
      aux_sym_const_spec_repeat1,
    STATE(876), 2,
      sym_parenthesized_type,
      sym__simple_type,
    STATE(779), 3,
      sym_union_type,
      sym_negated_type,
      sym_qualified_type,
    STATE(813), 9,
      sym_generic_type,
      sym_pointer_type,
      sym_array_type,
      sym_slice_type,
      sym_struct_type,
      sym_interface_type,
      sym_map_type,
      sym_channel_type,
      sym_function_type,
  [38705] = 18,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(902), 1,
      anon_sym_DOT,
    ACTIONS(904), 1,
      anon_sym_LPAREN,
    ACTIONS(906), 1,
      anon_sym_LBRACK,
    ACTIONS(1186), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(1190), 1,
      anon_sym_PIPE,
    ACTIONS(1200), 1,
      anon_sym_AMP_AMP,
    ACTIONS(1202), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(1242), 1,
      anon_sym_RPAREN,
    ACTIONS(1244), 1,
      anon_sym_COMMA,
    STATE(396), 1,
      sym_argument_list,
    STATE(1190), 1,
      aux_sym_argument_list_repeat1,
    STATE(1275), 1,
      sym_type_arguments,
    ACTIONS(1194), 2,
      anon_sym_AMP,
      anon_sym_SLASH,
    ACTIONS(1198), 2,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(1192), 3,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_CARET,
    ACTIONS(1196), 4,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
    ACTIONS(1188), 5,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP_CARET,
  [38771] = 17,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(844), 1,
      sym_identifier,
    ACTIONS(852), 1,
      anon_sym_func,
    ACTIONS(858), 1,
      anon_sym_struct,
    ACTIONS(862), 1,
      anon_sym_interface,
    ACTIONS(864), 1,
      anon_sym_map,
    ACTIONS(866), 1,
      anon_sym_chan,
    ACTIONS(1072), 1,
      anon_sym_LT_DASH,
    ACTIONS(1172), 1,
      anon_sym_LPAREN,
    ACTIONS(1178), 1,
      anon_sym_STAR,
    ACTIONS(1180), 1,
      anon_sym_TILDE,
    ACTIONS(1246), 1,
      anon_sym_EQ,
    ACTIONS(1248), 1,
      anon_sym_LBRACK,
    STATE(705), 1,
      sym_type_parameter_list,
    STATE(898), 2,
      sym_parenthesized_type,
      sym__simple_type,
    STATE(779), 3,
      sym_union_type,
      sym_negated_type,
      sym_qualified_type,
    STATE(813), 9,
      sym_generic_type,
      sym_pointer_type,
      sym_array_type,
      sym_slice_type,
      sym_struct_type,
      sym_interface_type,
      sym_map_type,
      sym_channel_type,
      sym_function_type,
  [38834] = 14,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(902), 1,
      anon_sym_DOT,
    ACTIONS(904), 1,
      anon_sym_LPAREN,
    ACTIONS(906), 1,
      anon_sym_LBRACK,
    ACTIONS(1190), 1,
      anon_sym_PIPE,
    ACTIONS(1200), 1,
      anon_sym_AMP_AMP,
    STATE(396), 1,
      sym_argument_list,
    STATE(1275), 1,
      sym_type_arguments,
    ACTIONS(1194), 2,
      anon_sym_AMP,
      anon_sym_SLASH,
    ACTIONS(1198), 2,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(1192), 3,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_CARET,
    ACTIONS(637), 4,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_DOT_DOT_DOT,
      anon_sym_PIPE_PIPE,
    ACTIONS(1196), 4,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
    ACTIONS(1188), 5,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP_CARET,
  [38891] = 12,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(904), 1,
      anon_sym_LPAREN,
    ACTIONS(906), 1,
      anon_sym_LBRACK,
    ACTIONS(966), 1,
      anon_sym_DOT,
    ACTIONS(1208), 1,
      anon_sym_PIPE,
    STATE(396), 1,
      sym_argument_list,
    STATE(1275), 1,
      sym_type_arguments,
    ACTIONS(639), 2,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(1214), 2,
      anon_sym_AMP,
      anon_sym_SLASH,
    ACTIONS(1212), 3,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_CARET,
    ACTIONS(1206), 5,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP_CARET,
    ACTIONS(637), 9,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_COLON_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
  [38944] = 13,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(904), 1,
      anon_sym_LPAREN,
    ACTIONS(906), 1,
      anon_sym_LBRACK,
    ACTIONS(966), 1,
      anon_sym_DOT,
    ACTIONS(1208), 1,
      anon_sym_PIPE,
    STATE(396), 1,
      sym_argument_list,
    STATE(1275), 1,
      sym_type_arguments,
    ACTIONS(1214), 2,
      anon_sym_AMP,
      anon_sym_SLASH,
    ACTIONS(1218), 2,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(1212), 3,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_CARET,
    ACTIONS(1216), 4,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
    ACTIONS(637), 5,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_COLON_EQ,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
    ACTIONS(1206), 5,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP_CARET,
  [38999] = 14,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(904), 1,
      anon_sym_LPAREN,
    ACTIONS(906), 1,
      anon_sym_LBRACK,
    ACTIONS(966), 1,
      anon_sym_DOT,
    ACTIONS(1208), 1,
      anon_sym_PIPE,
    ACTIONS(1220), 1,
      anon_sym_AMP_AMP,
    STATE(396), 1,
      sym_argument_list,
    STATE(1275), 1,
      sym_type_arguments,
    ACTIONS(1214), 2,
      anon_sym_AMP,
      anon_sym_SLASH,
    ACTIONS(1218), 2,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(1212), 3,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_CARET,
    ACTIONS(637), 4,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_COLON_EQ,
      anon_sym_PIPE_PIPE,
    ACTIONS(1216), 4,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
    ACTIONS(1206), 5,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP_CARET,
  [39056] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(809), 7,
      anon_sym_EQ,
      anon_sym_PIPE,
      anon_sym_COLON,
      anon_sym_AMP,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(807), 20,
      anon_sym_DOT,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_STAR,
      anon_sym_LT_DASH,
      anon_sym_COLON_EQ,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
  [39091] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(709), 7,
      anon_sym_EQ,
      anon_sym_PIPE,
      anon_sym_COLON,
      anon_sym_AMP,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(707), 20,
      anon_sym_DOT,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_STAR,
      anon_sym_LT_DASH,
      anon_sym_COLON_EQ,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
  [39126] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(713), 7,
      anon_sym_EQ,
      anon_sym_PIPE,
      anon_sym_COLON,
      anon_sym_AMP,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(711), 20,
      anon_sym_DOT,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_STAR,
      anon_sym_LT_DASH,
      anon_sym_COLON_EQ,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
  [39161] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(757), 7,
      anon_sym_EQ,
      anon_sym_PIPE,
      anon_sym_COLON,
      anon_sym_AMP,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(755), 20,
      anon_sym_DOT,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_STAR,
      anon_sym_LT_DASH,
      anon_sym_COLON_EQ,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
  [39196] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(793), 7,
      anon_sym_EQ,
      anon_sym_PIPE,
      anon_sym_COLON,
      anon_sym_AMP,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(791), 20,
      anon_sym_DOT,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_STAR,
      anon_sym_LT_DASH,
      anon_sym_COLON_EQ,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
  [39231] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(801), 7,
      anon_sym_EQ,
      anon_sym_PIPE,
      anon_sym_COLON,
      anon_sym_AMP,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(799), 20,
      anon_sym_DOT,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_STAR,
      anon_sym_LT_DASH,
      anon_sym_COLON_EQ,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
  [39266] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(745), 7,
      anon_sym_EQ,
      anon_sym_PIPE,
      anon_sym_COLON,
      anon_sym_AMP,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(743), 20,
      anon_sym_DOT,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_STAR,
      anon_sym_LT_DASH,
      anon_sym_COLON_EQ,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
  [39301] = 17,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(29), 1,
      anon_sym_struct,
    ACTIONS(31), 1,
      anon_sym_TILDE,
    ACTIONS(35), 1,
      anon_sym_interface,
    ACTIONS(37), 1,
      anon_sym_map,
    ACTIONS(39), 1,
      anon_sym_chan,
    ACTIONS(573), 1,
      anon_sym_func,
    ACTIONS(587), 1,
      anon_sym_LT_DASH,
    ACTIONS(942), 1,
      anon_sym_LBRACK,
    ACTIONS(944), 1,
      anon_sym_STAR,
    ACTIONS(956), 1,
      anon_sym_LPAREN,
    ACTIONS(1250), 1,
      sym_identifier,
    ACTIONS(1252), 1,
      anon_sym_RBRACK,
    STATE(1279), 1,
      sym_parameter_declaration,
    STATE(1065), 2,
      sym_parenthesized_type,
      sym__simple_type,
    STATE(821), 3,
      sym_union_type,
      sym_negated_type,
      sym_qualified_type,
    STATE(830), 9,
      sym_generic_type,
      sym_pointer_type,
      sym_array_type,
      sym_slice_type,
      sym_struct_type,
      sym_interface_type,
      sym_map_type,
      sym_channel_type,
      sym_function_type,
  [39364] = 19,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(29), 1,
      anon_sym_struct,
    ACTIONS(31), 1,
      anon_sym_TILDE,
    ACTIONS(35), 1,
      anon_sym_interface,
    ACTIONS(37), 1,
      anon_sym_map,
    ACTIONS(39), 1,
      anon_sym_chan,
    ACTIONS(573), 1,
      anon_sym_func,
    ACTIONS(587), 1,
      anon_sym_LT_DASH,
    ACTIONS(942), 1,
      anon_sym_LBRACK,
    ACTIONS(956), 1,
      anon_sym_LPAREN,
    ACTIONS(1254), 1,
      sym_identifier,
    ACTIONS(1256), 1,
      anon_sym_STAR,
    ACTIONS(1258), 1,
      anon_sym_RBRACE,
    STATE(839), 1,
      sym_qualified_type,
    STATE(873), 1,
      sym_generic_type,
    STATE(1096), 1,
      sym_field_declaration,
    STATE(1176), 2,
      sym_union_type,
      sym_negated_type,
    STATE(1311), 2,
      sym_parenthesized_type,
      sym__simple_type,
    STATE(830), 8,
      sym_pointer_type,
      sym_array_type,
      sym_slice_type,
      sym_struct_type,
      sym_interface_type,
      sym_map_type,
      sym_channel_type,
      sym_function_type,
  [39431] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(697), 7,
      anon_sym_EQ,
      anon_sym_PIPE,
      anon_sym_COLON,
      anon_sym_AMP,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(695), 20,
      anon_sym_DOT,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_STAR,
      anon_sym_LT_DASH,
      anon_sym_COLON_EQ,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
  [39466] = 19,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(29), 1,
      anon_sym_struct,
    ACTIONS(31), 1,
      anon_sym_TILDE,
    ACTIONS(35), 1,
      anon_sym_interface,
    ACTIONS(37), 1,
      anon_sym_map,
    ACTIONS(39), 1,
      anon_sym_chan,
    ACTIONS(573), 1,
      anon_sym_func,
    ACTIONS(587), 1,
      anon_sym_LT_DASH,
    ACTIONS(942), 1,
      anon_sym_LBRACK,
    ACTIONS(956), 1,
      anon_sym_LPAREN,
    ACTIONS(1254), 1,
      sym_identifier,
    ACTIONS(1256), 1,
      anon_sym_STAR,
    ACTIONS(1260), 1,
      anon_sym_RBRACE,
    STATE(839), 1,
      sym_qualified_type,
    STATE(873), 1,
      sym_generic_type,
    STATE(1033), 1,
      sym_field_declaration,
    STATE(1176), 2,
      sym_union_type,
      sym_negated_type,
    STATE(1311), 2,
      sym_parenthesized_type,
      sym__simple_type,
    STATE(830), 8,
      sym_pointer_type,
      sym_array_type,
      sym_slice_type,
      sym_struct_type,
      sym_interface_type,
      sym_map_type,
      sym_channel_type,
      sym_function_type,
  [39533] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(705), 7,
      anon_sym_EQ,
      anon_sym_PIPE,
      anon_sym_COLON,
      anon_sym_AMP,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(703), 20,
      anon_sym_DOT,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_STAR,
      anon_sym_LT_DASH,
      anon_sym_COLON_EQ,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
  [39568] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(765), 7,
      anon_sym_EQ,
      anon_sym_PIPE,
      anon_sym_COLON,
      anon_sym_AMP,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(763), 20,
      anon_sym_DOT,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_STAR,
      anon_sym_LT_DASH,
      anon_sym_COLON_EQ,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
  [39603] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(769), 7,
      anon_sym_EQ,
      anon_sym_PIPE,
      anon_sym_COLON,
      anon_sym_AMP,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(767), 20,
      anon_sym_DOT,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_STAR,
      anon_sym_LT_DASH,
      anon_sym_COLON_EQ,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
  [39638] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(777), 7,
      anon_sym_EQ,
      anon_sym_PIPE,
      anon_sym_COLON,
      anon_sym_AMP,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(775), 20,
      anon_sym_DOT,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_STAR,
      anon_sym_LT_DASH,
      anon_sym_COLON_EQ,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
  [39673] = 10,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(904), 1,
      anon_sym_LPAREN,
    ACTIONS(906), 1,
      anon_sym_LBRACK,
    ACTIONS(966), 1,
      anon_sym_DOT,
    STATE(396), 1,
      sym_argument_list,
    STATE(1275), 1,
      sym_type_arguments,
    ACTIONS(1214), 2,
      anon_sym_AMP,
      anon_sym_SLASH,
    ACTIONS(639), 3,
      anon_sym_PIPE,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(1206), 5,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP_CARET,
    ACTIONS(637), 12,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_COLON_EQ,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
  [39722] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(693), 7,
      anon_sym_EQ,
      anon_sym_PIPE,
      anon_sym_COLON,
      anon_sym_AMP,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(691), 20,
      anon_sym_DOT,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_STAR,
      anon_sym_LT_DASH,
      anon_sym_COLON_EQ,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
  [39757] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(737), 7,
      anon_sym_EQ,
      anon_sym_PIPE,
      anon_sym_COLON,
      anon_sym_AMP,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(735), 20,
      anon_sym_DOT,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_STAR,
      anon_sym_LT_DASH,
      anon_sym_COLON_EQ,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
  [39792] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(773), 7,
      anon_sym_EQ,
      anon_sym_PIPE,
      anon_sym_COLON,
      anon_sym_AMP,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(771), 20,
      anon_sym_DOT,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_STAR,
      anon_sym_LT_DASH,
      anon_sym_COLON_EQ,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
  [39827] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(761), 7,
      anon_sym_EQ,
      anon_sym_PIPE,
      anon_sym_COLON,
      anon_sym_AMP,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(759), 20,
      anon_sym_DOT,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_STAR,
      anon_sym_LT_DASH,
      anon_sym_COLON_EQ,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
  [39862] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(789), 7,
      anon_sym_EQ,
      anon_sym_PIPE,
      anon_sym_COLON,
      anon_sym_AMP,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(787), 20,
      anon_sym_DOT,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_STAR,
      anon_sym_LT_DASH,
      anon_sym_COLON_EQ,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
  [39897] = 19,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(29), 1,
      anon_sym_struct,
    ACTIONS(31), 1,
      anon_sym_TILDE,
    ACTIONS(35), 1,
      anon_sym_interface,
    ACTIONS(37), 1,
      anon_sym_map,
    ACTIONS(39), 1,
      anon_sym_chan,
    ACTIONS(573), 1,
      anon_sym_func,
    ACTIONS(587), 1,
      anon_sym_LT_DASH,
    ACTIONS(942), 1,
      anon_sym_LBRACK,
    ACTIONS(956), 1,
      anon_sym_LPAREN,
    ACTIONS(1254), 1,
      sym_identifier,
    ACTIONS(1256), 1,
      anon_sym_STAR,
    ACTIONS(1262), 1,
      anon_sym_RBRACE,
    STATE(839), 1,
      sym_qualified_type,
    STATE(873), 1,
      sym_generic_type,
    STATE(1167), 1,
      sym_field_declaration,
    STATE(1176), 2,
      sym_union_type,
      sym_negated_type,
    STATE(1311), 2,
      sym_parenthesized_type,
      sym__simple_type,
    STATE(830), 8,
      sym_pointer_type,
      sym_array_type,
      sym_slice_type,
      sym_struct_type,
      sym_interface_type,
      sym_map_type,
      sym_channel_type,
      sym_function_type,
  [39964] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(729), 7,
      anon_sym_EQ,
      anon_sym_PIPE,
      anon_sym_COLON,
      anon_sym_AMP,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(727), 20,
      anon_sym_DOT,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_STAR,
      anon_sym_LT_DASH,
      anon_sym_COLON_EQ,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
  [39999] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(785), 7,
      anon_sym_EQ,
      anon_sym_PIPE,
      anon_sym_COLON,
      anon_sym_AMP,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(783), 20,
      anon_sym_DOT,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_STAR,
      anon_sym_LT_DASH,
      anon_sym_COLON_EQ,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
  [40034] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(725), 7,
      anon_sym_EQ,
      anon_sym_PIPE,
      anon_sym_COLON,
      anon_sym_AMP,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(723), 20,
      anon_sym_DOT,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_STAR,
      anon_sym_LT_DASH,
      anon_sym_COLON_EQ,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
  [40069] = 18,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(29), 1,
      anon_sym_struct,
    ACTIONS(31), 1,
      anon_sym_TILDE,
    ACTIONS(35), 1,
      anon_sym_interface,
    ACTIONS(37), 1,
      anon_sym_map,
    ACTIONS(39), 1,
      anon_sym_chan,
    ACTIONS(561), 1,
      sym_identifier,
    ACTIONS(573), 1,
      anon_sym_func,
    ACTIONS(587), 1,
      anon_sym_LT_DASH,
    ACTIONS(942), 1,
      anon_sym_LBRACK,
    ACTIONS(944), 1,
      anon_sym_STAR,
    ACTIONS(956), 1,
      anon_sym_LPAREN,
    ACTIONS(1264), 1,
      anon_sym_COMMA,
    STATE(774), 1,
      aux_sym_parameter_declaration_repeat1,
    STATE(1039), 1,
      sym_parenthesized_type,
    STATE(1043), 1,
      sym__simple_type,
    STATE(821), 3,
      sym_union_type,
      sym_negated_type,
      sym_qualified_type,
    STATE(830), 9,
      sym_generic_type,
      sym_pointer_type,
      sym_array_type,
      sym_slice_type,
      sym_struct_type,
      sym_interface_type,
      sym_map_type,
      sym_channel_type,
      sym_function_type,
  [40134] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(805), 7,
      anon_sym_EQ,
      anon_sym_PIPE,
      anon_sym_COLON,
      anon_sym_AMP,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(803), 20,
      anon_sym_DOT,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_STAR,
      anon_sym_LT_DASH,
      anon_sym_COLON_EQ,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
  [40169] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(781), 7,
      anon_sym_EQ,
      anon_sym_PIPE,
      anon_sym_COLON,
      anon_sym_AMP,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(779), 20,
      anon_sym_DOT,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_STAR,
      anon_sym_LT_DASH,
      anon_sym_COLON_EQ,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
  [40204] = 17,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(663), 1,
      anon_sym_LBRACE,
    ACTIONS(904), 1,
      anon_sym_LPAREN,
    ACTIONS(906), 1,
      anon_sym_LBRACK,
    ACTIONS(966), 1,
      anon_sym_DOT,
    ACTIONS(1208), 1,
      anon_sym_PIPE,
    ACTIONS(1220), 1,
      anon_sym_AMP_AMP,
    ACTIONS(1222), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(1266), 1,
      anon_sym_COMMA,
    STATE(396), 1,
      sym_argument_list,
    STATE(1159), 1,
      aux_sym_expression_list_repeat1,
    STATE(1275), 1,
      sym_type_arguments,
    ACTIONS(1214), 2,
      anon_sym_AMP,
      anon_sym_SLASH,
    ACTIONS(1218), 2,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(1212), 3,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_CARET,
    ACTIONS(1216), 4,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
    ACTIONS(1206), 5,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP_CARET,
  [40267] = 13,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(902), 1,
      anon_sym_DOT,
    ACTIONS(904), 1,
      anon_sym_LPAREN,
    ACTIONS(906), 1,
      anon_sym_LBRACK,
    ACTIONS(1190), 1,
      anon_sym_PIPE,
    STATE(396), 1,
      sym_argument_list,
    STATE(1275), 1,
      sym_type_arguments,
    ACTIONS(1194), 2,
      anon_sym_AMP,
      anon_sym_SLASH,
    ACTIONS(1198), 2,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(1192), 3,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_CARET,
    ACTIONS(1196), 4,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
    ACTIONS(637), 5,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_DOT_DOT_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
    ACTIONS(1188), 5,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP_CARET,
  [40322] = 12,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(902), 1,
      anon_sym_DOT,
    ACTIONS(904), 1,
      anon_sym_LPAREN,
    ACTIONS(906), 1,
      anon_sym_LBRACK,
    ACTIONS(1190), 1,
      anon_sym_PIPE,
    STATE(396), 1,
      sym_argument_list,
    STATE(1275), 1,
      sym_type_arguments,
    ACTIONS(639), 2,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(1194), 2,
      anon_sym_AMP,
      anon_sym_SLASH,
    ACTIONS(1192), 3,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_CARET,
    ACTIONS(1188), 5,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP_CARET,
    ACTIONS(637), 9,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_DOT_DOT_DOT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
  [40375] = 10,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(902), 1,
      anon_sym_DOT,
    ACTIONS(904), 1,
      anon_sym_LPAREN,
    ACTIONS(906), 1,
      anon_sym_LBRACK,
    STATE(396), 1,
      sym_argument_list,
    STATE(1275), 1,
      sym_type_arguments,
    ACTIONS(1194), 2,
      anon_sym_AMP,
      anon_sym_SLASH,
    ACTIONS(639), 3,
      anon_sym_PIPE,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(1188), 5,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP_CARET,
    ACTIONS(637), 12,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_DOT_DOT_DOT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
  [40424] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(797), 7,
      anon_sym_EQ,
      anon_sym_PIPE,
      anon_sym_COLON,
      anon_sym_AMP,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(795), 20,
      anon_sym_DOT,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_STAR,
      anon_sym_LT_DASH,
      anon_sym_COLON_EQ,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
  [40459] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(685), 7,
      anon_sym_EQ,
      anon_sym_PIPE,
      anon_sym_COLON,
      anon_sym_AMP,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(683), 20,
      anon_sym_DOT,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_STAR,
      anon_sym_LT_DASH,
      anon_sym_COLON_EQ,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
  [40494] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(717), 7,
      anon_sym_EQ,
      anon_sym_PIPE,
      anon_sym_COLON,
      anon_sym_AMP,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(715), 20,
      anon_sym_DOT,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_STAR,
      anon_sym_LT_DASH,
      anon_sym_COLON_EQ,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
  [40529] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(753), 7,
      anon_sym_EQ,
      anon_sym_PIPE,
      anon_sym_COLON,
      anon_sym_AMP,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(751), 20,
      anon_sym_DOT,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_STAR,
      anon_sym_LT_DASH,
      anon_sym_COLON_EQ,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
  [40564] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(647), 7,
      anon_sym_EQ,
      anon_sym_PIPE,
      anon_sym_COLON,
      anon_sym_AMP,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(645), 20,
      anon_sym_DOT,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_STAR,
      anon_sym_LT_DASH,
      anon_sym_COLON_EQ,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
  [40599] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(701), 7,
      anon_sym_EQ,
      anon_sym_PIPE,
      anon_sym_COLON,
      anon_sym_AMP,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(699), 20,
      anon_sym_DOT,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_STAR,
      anon_sym_LT_DASH,
      anon_sym_COLON_EQ,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
  [40634] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(733), 7,
      anon_sym_EQ,
      anon_sym_PIPE,
      anon_sym_COLON,
      anon_sym_AMP,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(731), 20,
      anon_sym_DOT,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_STAR,
      anon_sym_LT_DASH,
      anon_sym_COLON_EQ,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
  [40669] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(741), 7,
      anon_sym_EQ,
      anon_sym_PIPE,
      anon_sym_COLON,
      anon_sym_AMP,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(739), 20,
      anon_sym_DOT,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_STAR,
      anon_sym_LT_DASH,
      anon_sym_COLON_EQ,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
  [40704] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(681), 7,
      anon_sym_EQ,
      anon_sym_PIPE,
      anon_sym_COLON,
      anon_sym_AMP,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(679), 20,
      anon_sym_DOT,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_STAR,
      anon_sym_LT_DASH,
      anon_sym_COLON_EQ,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
  [40739] = 15,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(904), 1,
      anon_sym_LPAREN,
    ACTIONS(906), 1,
      anon_sym_LBRACK,
    ACTIONS(966), 1,
      anon_sym_DOT,
    ACTIONS(970), 1,
      anon_sym_PIPE,
    ACTIONS(980), 1,
      anon_sym_AMP_AMP,
    ACTIONS(1158), 1,
      anon_sym_PIPE_PIPE,
    STATE(396), 1,
      sym_argument_list,
    STATE(1275), 1,
      sym_type_arguments,
    ACTIONS(974), 2,
      anon_sym_AMP,
      anon_sym_SLASH,
    ACTIONS(978), 2,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(972), 3,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_CARET,
    ACTIONS(1268), 3,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_COLON,
    ACTIONS(976), 4,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
    ACTIONS(968), 5,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP_CARET,
  [40798] = 19,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(29), 1,
      anon_sym_struct,
    ACTIONS(31), 1,
      anon_sym_TILDE,
    ACTIONS(35), 1,
      anon_sym_interface,
    ACTIONS(37), 1,
      anon_sym_map,
    ACTIONS(39), 1,
      anon_sym_chan,
    ACTIONS(573), 1,
      anon_sym_func,
    ACTIONS(587), 1,
      anon_sym_LT_DASH,
    ACTIONS(942), 1,
      anon_sym_LBRACK,
    ACTIONS(956), 1,
      anon_sym_LPAREN,
    ACTIONS(1254), 1,
      sym_identifier,
    ACTIONS(1256), 1,
      anon_sym_STAR,
    ACTIONS(1270), 1,
      anon_sym_RBRACE,
    STATE(839), 1,
      sym_qualified_type,
    STATE(873), 1,
      sym_generic_type,
    STATE(1167), 1,
      sym_field_declaration,
    STATE(1176), 2,
      sym_union_type,
      sym_negated_type,
    STATE(1311), 2,
      sym_parenthesized_type,
      sym__simple_type,
    STATE(830), 8,
      sym_pointer_type,
      sym_array_type,
      sym_slice_type,
      sym_struct_type,
      sym_interface_type,
      sym_map_type,
      sym_channel_type,
      sym_function_type,
  [40865] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(689), 7,
      anon_sym_EQ,
      anon_sym_PIPE,
      anon_sym_COLON,
      anon_sym_AMP,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(687), 20,
      anon_sym_DOT,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_STAR,
      anon_sym_LT_DASH,
      anon_sym_COLON_EQ,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
  [40900] = 17,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(29), 1,
      anon_sym_struct,
    ACTIONS(31), 1,
      anon_sym_TILDE,
    ACTIONS(35), 1,
      anon_sym_interface,
    ACTIONS(37), 1,
      anon_sym_map,
    ACTIONS(39), 1,
      anon_sym_chan,
    ACTIONS(573), 1,
      anon_sym_func,
    ACTIONS(587), 1,
      anon_sym_LT_DASH,
    ACTIONS(942), 1,
      anon_sym_LBRACK,
    ACTIONS(944), 1,
      anon_sym_STAR,
    ACTIONS(956), 1,
      anon_sym_LPAREN,
    ACTIONS(1250), 1,
      sym_identifier,
    ACTIONS(1272), 1,
      anon_sym_RBRACK,
    STATE(1279), 1,
      sym_parameter_declaration,
    STATE(1065), 2,
      sym_parenthesized_type,
      sym__simple_type,
    STATE(821), 3,
      sym_union_type,
      sym_negated_type,
      sym_qualified_type,
    STATE(830), 9,
      sym_generic_type,
      sym_pointer_type,
      sym_array_type,
      sym_slice_type,
      sym_struct_type,
      sym_interface_type,
      sym_map_type,
      sym_channel_type,
      sym_function_type,
  [40963] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(563), 1,
      anon_sym_DOT,
    ACTIONS(578), 1,
      anon_sym_LPAREN,
    ACTIONS(584), 1,
      anon_sym_PIPE,
    ACTIONS(811), 1,
      anon_sym_LBRACK,
    STATE(400), 1,
      sym_literal_value,
    STATE(848), 1,
      sym_type_arguments,
    ACTIONS(591), 4,
      anon_sym_AMP,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(589), 17,
      anon_sym_COMMA,
      anon_sym_STAR,
      anon_sym_LBRACE,
      anon_sym_COLON_EQ,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
  [41010] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(591), 7,
      anon_sym_EQ,
      anon_sym_PIPE,
      anon_sym_COLON,
      anon_sym_AMP,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(589), 20,
      anon_sym_DOT,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_STAR,
      anon_sym_LT_DASH,
      anon_sym_COLON_EQ,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
  [41045] = 19,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(29), 1,
      anon_sym_struct,
    ACTIONS(31), 1,
      anon_sym_TILDE,
    ACTIONS(35), 1,
      anon_sym_interface,
    ACTIONS(37), 1,
      anon_sym_map,
    ACTIONS(39), 1,
      anon_sym_chan,
    ACTIONS(573), 1,
      anon_sym_func,
    ACTIONS(587), 1,
      anon_sym_LT_DASH,
    ACTIONS(942), 1,
      anon_sym_LBRACK,
    ACTIONS(956), 1,
      anon_sym_LPAREN,
    ACTIONS(1254), 1,
      sym_identifier,
    ACTIONS(1256), 1,
      anon_sym_STAR,
    ACTIONS(1274), 1,
      anon_sym_RBRACE,
    STATE(839), 1,
      sym_qualified_type,
    STATE(873), 1,
      sym_generic_type,
    STATE(1053), 1,
      sym_field_declaration,
    STATE(1176), 2,
      sym_union_type,
      sym_negated_type,
    STATE(1311), 2,
      sym_parenthesized_type,
      sym__simple_type,
    STATE(830), 8,
      sym_pointer_type,
      sym_array_type,
      sym_slice_type,
      sym_struct_type,
      sym_interface_type,
      sym_map_type,
      sym_channel_type,
      sym_function_type,
  [41112] = 19,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(29), 1,
      anon_sym_struct,
    ACTIONS(31), 1,
      anon_sym_TILDE,
    ACTIONS(35), 1,
      anon_sym_interface,
    ACTIONS(37), 1,
      anon_sym_map,
    ACTIONS(39), 1,
      anon_sym_chan,
    ACTIONS(573), 1,
      anon_sym_func,
    ACTIONS(587), 1,
      anon_sym_LT_DASH,
    ACTIONS(942), 1,
      anon_sym_LBRACK,
    ACTIONS(956), 1,
      anon_sym_LPAREN,
    ACTIONS(1254), 1,
      sym_identifier,
    ACTIONS(1256), 1,
      anon_sym_STAR,
    ACTIONS(1276), 1,
      anon_sym_RBRACE,
    STATE(839), 1,
      sym_qualified_type,
    STATE(873), 1,
      sym_generic_type,
    STATE(1167), 1,
      sym_field_declaration,
    STATE(1176), 2,
      sym_union_type,
      sym_negated_type,
    STATE(1311), 2,
      sym_parenthesized_type,
      sym__simple_type,
    STATE(830), 8,
      sym_pointer_type,
      sym_array_type,
      sym_slice_type,
      sym_struct_type,
      sym_interface_type,
      sym_map_type,
      sym_channel_type,
      sym_function_type,
  [41179] = 17,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(663), 1,
      anon_sym_SEMI,
    ACTIONS(904), 1,
      anon_sym_LPAREN,
    ACTIONS(906), 1,
      anon_sym_LBRACK,
    ACTIONS(970), 1,
      anon_sym_PIPE,
    ACTIONS(980), 1,
      anon_sym_AMP_AMP,
    ACTIONS(1088), 1,
      anon_sym_COMMA,
    ACTIONS(1158), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(1278), 1,
      anon_sym_DOT,
    STATE(396), 1,
      sym_argument_list,
    STATE(901), 1,
      aux_sym_expression_list_repeat1,
    STATE(1275), 1,
      sym_type_arguments,
    ACTIONS(974), 2,
      anon_sym_AMP,
      anon_sym_SLASH,
    ACTIONS(978), 2,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(972), 3,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_CARET,
    ACTIONS(976), 4,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
    ACTIONS(968), 5,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP_CARET,
  [41242] = 16,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(902), 1,
      anon_sym_DOT,
    ACTIONS(904), 1,
      anon_sym_LPAREN,
    ACTIONS(906), 1,
      anon_sym_LBRACK,
    ACTIONS(1186), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(1190), 1,
      anon_sym_PIPE,
    ACTIONS(1200), 1,
      anon_sym_AMP_AMP,
    ACTIONS(1202), 1,
      anon_sym_PIPE_PIPE,
    STATE(396), 1,
      sym_argument_list,
    STATE(1275), 1,
      sym_type_arguments,
    ACTIONS(1194), 2,
      anon_sym_AMP,
      anon_sym_SLASH,
    ACTIONS(1198), 2,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(1280), 2,
      anon_sym_RPAREN,
      anon_sym_COMMA,
    ACTIONS(1192), 3,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_CARET,
    ACTIONS(1196), 4,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
    ACTIONS(1188), 5,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP_CARET,
  [41303] = 18,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(844), 1,
      sym_identifier,
    ACTIONS(852), 1,
      anon_sym_func,
    ACTIONS(858), 1,
      anon_sym_struct,
    ACTIONS(862), 1,
      anon_sym_interface,
    ACTIONS(864), 1,
      anon_sym_map,
    ACTIONS(866), 1,
      anon_sym_chan,
    ACTIONS(1064), 1,
      anon_sym_LBRACK,
    ACTIONS(1072), 1,
      anon_sym_LT_DASH,
    ACTIONS(1172), 1,
      anon_sym_LPAREN,
    ACTIONS(1178), 1,
      anon_sym_STAR,
    ACTIONS(1180), 1,
      anon_sym_TILDE,
    ACTIONS(1282), 1,
      anon_sym_COMMA,
    STATE(769), 1,
      aux_sym_field_declaration_repeat1,
    STATE(877), 1,
      sym_parenthesized_type,
    STATE(878), 1,
      sym__simple_type,
    STATE(779), 3,
      sym_union_type,
      sym_negated_type,
      sym_qualified_type,
    STATE(813), 9,
      sym_generic_type,
      sym_pointer_type,
      sym_array_type,
      sym_slice_type,
      sym_struct_type,
      sym_interface_type,
      sym_map_type,
      sym_channel_type,
      sym_function_type,
  [41368] = 19,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(29), 1,
      anon_sym_struct,
    ACTIONS(31), 1,
      anon_sym_TILDE,
    ACTIONS(35), 1,
      anon_sym_interface,
    ACTIONS(37), 1,
      anon_sym_map,
    ACTIONS(39), 1,
      anon_sym_chan,
    ACTIONS(573), 1,
      anon_sym_func,
    ACTIONS(587), 1,
      anon_sym_LT_DASH,
    ACTIONS(942), 1,
      anon_sym_LBRACK,
    ACTIONS(956), 1,
      anon_sym_LPAREN,
    ACTIONS(1254), 1,
      sym_identifier,
    ACTIONS(1256), 1,
      anon_sym_STAR,
    ACTIONS(1284), 1,
      anon_sym_RBRACE,
    STATE(839), 1,
      sym_qualified_type,
    STATE(873), 1,
      sym_generic_type,
    STATE(1167), 1,
      sym_field_declaration,
    STATE(1176), 2,
      sym_union_type,
      sym_negated_type,
    STATE(1311), 2,
      sym_parenthesized_type,
      sym__simple_type,
    STATE(830), 8,
      sym_pointer_type,
      sym_array_type,
      sym_slice_type,
      sym_struct_type,
      sym_interface_type,
      sym_map_type,
      sym_channel_type,
      sym_function_type,
  [41435] = 19,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(29), 1,
      anon_sym_struct,
    ACTIONS(31), 1,
      anon_sym_TILDE,
    ACTIONS(35), 1,
      anon_sym_interface,
    ACTIONS(37), 1,
      anon_sym_map,
    ACTIONS(39), 1,
      anon_sym_chan,
    ACTIONS(573), 1,
      anon_sym_func,
    ACTIONS(587), 1,
      anon_sym_LT_DASH,
    ACTIONS(942), 1,
      anon_sym_LBRACK,
    ACTIONS(956), 1,
      anon_sym_LPAREN,
    ACTIONS(1254), 1,
      sym_identifier,
    ACTIONS(1256), 1,
      anon_sym_STAR,
    ACTIONS(1286), 1,
      anon_sym_RBRACE,
    STATE(839), 1,
      sym_qualified_type,
    STATE(873), 1,
      sym_generic_type,
    STATE(1167), 1,
      sym_field_declaration,
    STATE(1176), 2,
      sym_union_type,
      sym_negated_type,
    STATE(1311), 2,
      sym_parenthesized_type,
      sym__simple_type,
    STATE(830), 8,
      sym_pointer_type,
      sym_array_type,
      sym_slice_type,
      sym_struct_type,
      sym_interface_type,
      sym_map_type,
      sym_channel_type,
      sym_function_type,
  [41502] = 19,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(29), 1,
      anon_sym_struct,
    ACTIONS(31), 1,
      anon_sym_TILDE,
    ACTIONS(35), 1,
      anon_sym_interface,
    ACTIONS(37), 1,
      anon_sym_map,
    ACTIONS(39), 1,
      anon_sym_chan,
    ACTIONS(573), 1,
      anon_sym_func,
    ACTIONS(587), 1,
      anon_sym_LT_DASH,
    ACTIONS(942), 1,
      anon_sym_LBRACK,
    ACTIONS(956), 1,
      anon_sym_LPAREN,
    ACTIONS(1254), 1,
      sym_identifier,
    ACTIONS(1256), 1,
      anon_sym_STAR,
    ACTIONS(1288), 1,
      anon_sym_RBRACE,
    STATE(839), 1,
      sym_qualified_type,
    STATE(873), 1,
      sym_generic_type,
    STATE(1167), 1,
      sym_field_declaration,
    STATE(1176), 2,
      sym_union_type,
      sym_negated_type,
    STATE(1311), 2,
      sym_parenthesized_type,
      sym__simple_type,
    STATE(830), 8,
      sym_pointer_type,
      sym_array_type,
      sym_slice_type,
      sym_struct_type,
      sym_interface_type,
      sym_map_type,
      sym_channel_type,
      sym_function_type,
  [41569] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(721), 7,
      anon_sym_EQ,
      anon_sym_PIPE,
      anon_sym_COLON,
      anon_sym_AMP,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(719), 20,
      anon_sym_DOT,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_STAR,
      anon_sym_LT_DASH,
      anon_sym_COLON_EQ,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
  [41604] = 16,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(29), 1,
      anon_sym_struct,
    ACTIONS(31), 1,
      anon_sym_TILDE,
    ACTIONS(35), 1,
      anon_sym_interface,
    ACTIONS(37), 1,
      anon_sym_map,
    ACTIONS(39), 1,
      anon_sym_chan,
    ACTIONS(561), 1,
      sym_identifier,
    ACTIONS(573), 1,
      anon_sym_func,
    ACTIONS(587), 1,
      anon_sym_LT_DASH,
    ACTIONS(942), 1,
      anon_sym_LBRACK,
    ACTIONS(944), 1,
      anon_sym_STAR,
    ACTIONS(956), 1,
      anon_sym_LPAREN,
    ACTIONS(1290), 1,
      anon_sym_RBRACK,
    STATE(1087), 2,
      sym_parenthesized_type,
      sym__simple_type,
    STATE(821), 3,
      sym_union_type,
      sym_negated_type,
      sym_qualified_type,
    STATE(830), 9,
      sym_generic_type,
      sym_pointer_type,
      sym_array_type,
      sym_slice_type,
      sym_struct_type,
      sym_interface_type,
      sym_map_type,
      sym_channel_type,
      sym_function_type,
  [41664] = 16,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(904), 1,
      anon_sym_LPAREN,
    ACTIONS(906), 1,
      anon_sym_LBRACK,
    ACTIONS(966), 1,
      anon_sym_DOT,
    ACTIONS(1190), 1,
      anon_sym_PIPE,
    ACTIONS(1200), 1,
      anon_sym_AMP_AMP,
    ACTIONS(1202), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(1292), 1,
      anon_sym_RPAREN,
    ACTIONS(1294), 1,
      anon_sym_COMMA,
    STATE(396), 1,
      sym_argument_list,
    STATE(1275), 1,
      sym_type_arguments,
    ACTIONS(1194), 2,
      anon_sym_AMP,
      anon_sym_SLASH,
    ACTIONS(1198), 2,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(1192), 3,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_CARET,
    ACTIONS(1196), 4,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
    ACTIONS(1188), 5,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP_CARET,
  [41724] = 16,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(904), 1,
      anon_sym_LPAREN,
    ACTIONS(906), 1,
      anon_sym_LBRACK,
    ACTIONS(966), 1,
      anon_sym_DOT,
    ACTIONS(1190), 1,
      anon_sym_PIPE,
    ACTIONS(1200), 1,
      anon_sym_AMP_AMP,
    ACTIONS(1202), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(1296), 1,
      anon_sym_RPAREN,
    ACTIONS(1298), 1,
      anon_sym_COMMA,
    STATE(396), 1,
      sym_argument_list,
    STATE(1275), 1,
      sym_type_arguments,
    ACTIONS(1194), 2,
      anon_sym_AMP,
      anon_sym_SLASH,
    ACTIONS(1198), 2,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(1192), 3,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_CARET,
    ACTIONS(1196), 4,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
    ACTIONS(1188), 5,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP_CARET,
  [41784] = 16,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(904), 1,
      anon_sym_LPAREN,
    ACTIONS(906), 1,
      anon_sym_LBRACK,
    ACTIONS(966), 1,
      anon_sym_DOT,
    ACTIONS(970), 1,
      anon_sym_PIPE,
    ACTIONS(980), 1,
      anon_sym_AMP_AMP,
    ACTIONS(1158), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(1300), 1,
      anon_sym_RBRACK,
    ACTIONS(1302), 1,
      anon_sym_COLON,
    STATE(396), 1,
      sym_argument_list,
    STATE(1275), 1,
      sym_type_arguments,
    ACTIONS(974), 2,
      anon_sym_AMP,
      anon_sym_SLASH,
    ACTIONS(978), 2,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(972), 3,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_CARET,
    ACTIONS(976), 4,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
    ACTIONS(968), 5,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP_CARET,
  [41844] = 16,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(29), 1,
      anon_sym_struct,
    ACTIONS(31), 1,
      anon_sym_TILDE,
    ACTIONS(35), 1,
      anon_sym_interface,
    ACTIONS(37), 1,
      anon_sym_map,
    ACTIONS(39), 1,
      anon_sym_chan,
    ACTIONS(561), 1,
      sym_identifier,
    ACTIONS(573), 1,
      anon_sym_func,
    ACTIONS(587), 1,
      anon_sym_LT_DASH,
    ACTIONS(942), 1,
      anon_sym_LBRACK,
    ACTIONS(944), 1,
      anon_sym_STAR,
    ACTIONS(956), 1,
      anon_sym_LPAREN,
    ACTIONS(1304), 1,
      anon_sym_type,
    STATE(1264), 2,
      sym_parenthesized_type,
      sym__simple_type,
    STATE(821), 3,
      sym_union_type,
      sym_negated_type,
      sym_qualified_type,
    STATE(830), 9,
      sym_generic_type,
      sym_pointer_type,
      sym_array_type,
      sym_slice_type,
      sym_struct_type,
      sym_interface_type,
      sym_map_type,
      sym_channel_type,
      sym_function_type,
  [41904] = 16,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(904), 1,
      anon_sym_LPAREN,
    ACTIONS(906), 1,
      anon_sym_LBRACK,
    ACTIONS(966), 1,
      anon_sym_DOT,
    ACTIONS(970), 1,
      anon_sym_PIPE,
    ACTIONS(980), 1,
      anon_sym_AMP_AMP,
    ACTIONS(1158), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(1306), 1,
      anon_sym_RBRACK,
    ACTIONS(1308), 1,
      anon_sym_COLON,
    STATE(396), 1,
      sym_argument_list,
    STATE(1275), 1,
      sym_type_arguments,
    ACTIONS(974), 2,
      anon_sym_AMP,
      anon_sym_SLASH,
    ACTIONS(978), 2,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(972), 3,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_CARET,
    ACTIONS(976), 4,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
    ACTIONS(968), 5,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP_CARET,
  [41964] = 16,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(904), 1,
      anon_sym_LPAREN,
    ACTIONS(906), 1,
      anon_sym_LBRACK,
    ACTIONS(966), 1,
      anon_sym_DOT,
    ACTIONS(970), 1,
      anon_sym_PIPE,
    ACTIONS(980), 1,
      anon_sym_AMP_AMP,
    ACTIONS(1158), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(1310), 1,
      anon_sym_RBRACK,
    ACTIONS(1312), 1,
      anon_sym_COLON,
    STATE(396), 1,
      sym_argument_list,
    STATE(1275), 1,
      sym_type_arguments,
    ACTIONS(974), 2,
      anon_sym_AMP,
      anon_sym_SLASH,
    ACTIONS(978), 2,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(972), 3,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_CARET,
    ACTIONS(976), 4,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
    ACTIONS(968), 5,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP_CARET,
  [42024] = 16,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(29), 1,
      anon_sym_struct,
    ACTIONS(31), 1,
      anon_sym_TILDE,
    ACTIONS(35), 1,
      anon_sym_interface,
    ACTIONS(37), 1,
      anon_sym_map,
    ACTIONS(39), 1,
      anon_sym_chan,
    ACTIONS(561), 1,
      sym_identifier,
    ACTIONS(573), 1,
      anon_sym_func,
    ACTIONS(587), 1,
      anon_sym_LT_DASH,
    ACTIONS(942), 1,
      anon_sym_LBRACK,
    ACTIONS(944), 1,
      anon_sym_STAR,
    ACTIONS(956), 1,
      anon_sym_LPAREN,
    ACTIONS(1314), 1,
      anon_sym_RBRACK,
    STATE(1087), 2,
      sym_parenthesized_type,
      sym__simple_type,
    STATE(821), 3,
      sym_union_type,
      sym_negated_type,
      sym_qualified_type,
    STATE(830), 9,
      sym_generic_type,
      sym_pointer_type,
      sym_array_type,
      sym_slice_type,
      sym_struct_type,
      sym_interface_type,
      sym_map_type,
      sym_channel_type,
      sym_function_type,
  [42084] = 16,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(29), 1,
      anon_sym_struct,
    ACTIONS(31), 1,
      anon_sym_TILDE,
    ACTIONS(35), 1,
      anon_sym_interface,
    ACTIONS(37), 1,
      anon_sym_map,
    ACTIONS(39), 1,
      anon_sym_chan,
    ACTIONS(561), 1,
      sym_identifier,
    ACTIONS(573), 1,
      anon_sym_func,
    ACTIONS(587), 1,
      anon_sym_LT_DASH,
    ACTIONS(942), 1,
      anon_sym_LBRACK,
    ACTIONS(944), 1,
      anon_sym_STAR,
    ACTIONS(956), 1,
      anon_sym_LPAREN,
    ACTIONS(1316), 1,
      anon_sym_type,
    STATE(1234), 2,
      sym_parenthesized_type,
      sym__simple_type,
    STATE(821), 3,
      sym_union_type,
      sym_negated_type,
      sym_qualified_type,
    STATE(830), 9,
      sym_generic_type,
      sym_pointer_type,
      sym_array_type,
      sym_slice_type,
      sym_struct_type,
      sym_interface_type,
      sym_map_type,
      sym_channel_type,
      sym_function_type,
  [42144] = 16,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(33), 1,
      anon_sym_LBRACE,
    ACTIONS(904), 1,
      anon_sym_LPAREN,
    ACTIONS(906), 1,
      anon_sym_LBRACK,
    ACTIONS(966), 1,
      anon_sym_DOT,
    ACTIONS(1208), 1,
      anon_sym_PIPE,
    ACTIONS(1220), 1,
      anon_sym_AMP_AMP,
    ACTIONS(1222), 1,
      anon_sym_PIPE_PIPE,
    STATE(396), 1,
      sym_argument_list,
    STATE(899), 1,
      sym_block,
    STATE(1275), 1,
      sym_type_arguments,
    ACTIONS(1214), 2,
      anon_sym_AMP,
      anon_sym_SLASH,
    ACTIONS(1218), 2,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(1212), 3,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_CARET,
    ACTIONS(1216), 4,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
    ACTIONS(1206), 5,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP_CARET,
  [42204] = 16,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(904), 1,
      anon_sym_LPAREN,
    ACTIONS(906), 1,
      anon_sym_LBRACK,
    ACTIONS(966), 1,
      anon_sym_DOT,
    ACTIONS(970), 1,
      anon_sym_PIPE,
    ACTIONS(980), 1,
      anon_sym_AMP_AMP,
    ACTIONS(1158), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(1318), 1,
      anon_sym_RBRACK,
    ACTIONS(1320), 1,
      anon_sym_COLON,
    STATE(396), 1,
      sym_argument_list,
    STATE(1275), 1,
      sym_type_arguments,
    ACTIONS(974), 2,
      anon_sym_AMP,
      anon_sym_SLASH,
    ACTIONS(978), 2,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(972), 3,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_CARET,
    ACTIONS(976), 4,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
    ACTIONS(968), 5,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP_CARET,
  [42264] = 16,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(904), 1,
      anon_sym_LPAREN,
    ACTIONS(906), 1,
      anon_sym_LBRACK,
    ACTIONS(966), 1,
      anon_sym_DOT,
    ACTIONS(970), 1,
      anon_sym_PIPE,
    ACTIONS(980), 1,
      anon_sym_AMP_AMP,
    ACTIONS(1158), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(1322), 1,
      anon_sym_RBRACK,
    ACTIONS(1324), 1,
      anon_sym_COLON,
    STATE(396), 1,
      sym_argument_list,
    STATE(1275), 1,
      sym_type_arguments,
    ACTIONS(974), 2,
      anon_sym_AMP,
      anon_sym_SLASH,
    ACTIONS(978), 2,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(972), 3,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_CARET,
    ACTIONS(976), 4,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
    ACTIONS(968), 5,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP_CARET,
  [42324] = 16,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(29), 1,
      anon_sym_struct,
    ACTIONS(31), 1,
      anon_sym_TILDE,
    ACTIONS(35), 1,
      anon_sym_interface,
    ACTIONS(37), 1,
      anon_sym_map,
    ACTIONS(39), 1,
      anon_sym_chan,
    ACTIONS(561), 1,
      sym_identifier,
    ACTIONS(573), 1,
      anon_sym_func,
    ACTIONS(587), 1,
      anon_sym_LT_DASH,
    ACTIONS(942), 1,
      anon_sym_LBRACK,
    ACTIONS(944), 1,
      anon_sym_STAR,
    ACTIONS(956), 1,
      anon_sym_LPAREN,
    ACTIONS(1326), 1,
      anon_sym_RBRACK,
    STATE(1087), 2,
      sym_parenthesized_type,
      sym__simple_type,
    STATE(821), 3,
      sym_union_type,
      sym_negated_type,
      sym_qualified_type,
    STATE(830), 9,
      sym_generic_type,
      sym_pointer_type,
      sym_array_type,
      sym_slice_type,
      sym_struct_type,
      sym_interface_type,
      sym_map_type,
      sym_channel_type,
      sym_function_type,
  [42384] = 16,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(904), 1,
      anon_sym_LPAREN,
    ACTIONS(906), 1,
      anon_sym_LBRACK,
    ACTIONS(966), 1,
      anon_sym_DOT,
    ACTIONS(970), 1,
      anon_sym_PIPE,
    ACTIONS(980), 1,
      anon_sym_AMP_AMP,
    ACTIONS(1158), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(1328), 1,
      anon_sym_RBRACK,
    ACTIONS(1330), 1,
      anon_sym_COLON,
    STATE(396), 1,
      sym_argument_list,
    STATE(1275), 1,
      sym_type_arguments,
    ACTIONS(974), 2,
      anon_sym_AMP,
      anon_sym_SLASH,
    ACTIONS(978), 2,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(972), 3,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_CARET,
    ACTIONS(976), 4,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
    ACTIONS(968), 5,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP_CARET,
  [42444] = 16,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(904), 1,
      anon_sym_LPAREN,
    ACTIONS(906), 1,
      anon_sym_LBRACK,
    ACTIONS(966), 1,
      anon_sym_DOT,
    ACTIONS(970), 1,
      anon_sym_PIPE,
    ACTIONS(980), 1,
      anon_sym_AMP_AMP,
    ACTIONS(1158), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(1332), 1,
      anon_sym_RBRACK,
    ACTIONS(1334), 1,
      anon_sym_COLON,
    STATE(396), 1,
      sym_argument_list,
    STATE(1275), 1,
      sym_type_arguments,
    ACTIONS(974), 2,
      anon_sym_AMP,
      anon_sym_SLASH,
    ACTIONS(978), 2,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(972), 3,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_CARET,
    ACTIONS(976), 4,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
    ACTIONS(968), 5,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP_CARET,
  [42504] = 16,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(904), 1,
      anon_sym_LPAREN,
    ACTIONS(906), 1,
      anon_sym_LBRACK,
    ACTIONS(966), 1,
      anon_sym_DOT,
    ACTIONS(970), 1,
      anon_sym_PIPE,
    ACTIONS(980), 1,
      anon_sym_AMP_AMP,
    ACTIONS(1158), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(1336), 1,
      anon_sym_RBRACK,
    ACTIONS(1338), 1,
      anon_sym_COLON,
    STATE(396), 1,
      sym_argument_list,
    STATE(1275), 1,
      sym_type_arguments,
    ACTIONS(974), 2,
      anon_sym_AMP,
      anon_sym_SLASH,
    ACTIONS(978), 2,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(972), 3,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_CARET,
    ACTIONS(976), 4,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
    ACTIONS(968), 5,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP_CARET,
  [42564] = 16,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(904), 1,
      anon_sym_LPAREN,
    ACTIONS(906), 1,
      anon_sym_LBRACK,
    ACTIONS(966), 1,
      anon_sym_DOT,
    ACTIONS(970), 1,
      anon_sym_PIPE,
    ACTIONS(980), 1,
      anon_sym_AMP_AMP,
    ACTIONS(1158), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(1340), 1,
      anon_sym_RBRACK,
    ACTIONS(1342), 1,
      anon_sym_COLON,
    STATE(396), 1,
      sym_argument_list,
    STATE(1275), 1,
      sym_type_arguments,
    ACTIONS(974), 2,
      anon_sym_AMP,
      anon_sym_SLASH,
    ACTIONS(978), 2,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(972), 3,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_CARET,
    ACTIONS(976), 4,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
    ACTIONS(968), 5,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP_CARET,
  [42624] = 16,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(904), 1,
      anon_sym_LPAREN,
    ACTIONS(906), 1,
      anon_sym_LBRACK,
    ACTIONS(966), 1,
      anon_sym_DOT,
    ACTIONS(1190), 1,
      anon_sym_PIPE,
    ACTIONS(1200), 1,
      anon_sym_AMP_AMP,
    ACTIONS(1202), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(1344), 1,
      anon_sym_RPAREN,
    ACTIONS(1346), 1,
      anon_sym_COMMA,
    STATE(396), 1,
      sym_argument_list,
    STATE(1275), 1,
      sym_type_arguments,
    ACTIONS(1194), 2,
      anon_sym_AMP,
      anon_sym_SLASH,
    ACTIONS(1198), 2,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(1192), 3,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_CARET,
    ACTIONS(1196), 4,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
    ACTIONS(1188), 5,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP_CARET,
  [42684] = 16,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(904), 1,
      anon_sym_LPAREN,
    ACTIONS(906), 1,
      anon_sym_LBRACK,
    ACTIONS(966), 1,
      anon_sym_DOT,
    ACTIONS(1190), 1,
      anon_sym_PIPE,
    ACTIONS(1200), 1,
      anon_sym_AMP_AMP,
    ACTIONS(1202), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(1348), 1,
      anon_sym_RPAREN,
    ACTIONS(1350), 1,
      anon_sym_COMMA,
    STATE(396), 1,
      sym_argument_list,
    STATE(1275), 1,
      sym_type_arguments,
    ACTIONS(1194), 2,
      anon_sym_AMP,
      anon_sym_SLASH,
    ACTIONS(1198), 2,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(1192), 3,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_CARET,
    ACTIONS(1196), 4,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
    ACTIONS(1188), 5,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP_CARET,
  [42744] = 16,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(904), 1,
      anon_sym_LPAREN,
    ACTIONS(906), 1,
      anon_sym_LBRACK,
    ACTIONS(966), 1,
      anon_sym_DOT,
    ACTIONS(970), 1,
      anon_sym_PIPE,
    ACTIONS(980), 1,
      anon_sym_AMP_AMP,
    ACTIONS(1158), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(1352), 1,
      anon_sym_RBRACK,
    ACTIONS(1354), 1,
      anon_sym_COLON,
    STATE(396), 1,
      sym_argument_list,
    STATE(1275), 1,
      sym_type_arguments,
    ACTIONS(974), 2,
      anon_sym_AMP,
      anon_sym_SLASH,
    ACTIONS(978), 2,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(972), 3,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_CARET,
    ACTIONS(976), 4,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
    ACTIONS(968), 5,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP_CARET,
  [42804] = 15,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(904), 1,
      anon_sym_LPAREN,
    ACTIONS(906), 1,
      anon_sym_LBRACK,
    ACTIONS(966), 1,
      anon_sym_DOT,
    ACTIONS(1190), 1,
      anon_sym_PIPE,
    ACTIONS(1200), 1,
      anon_sym_AMP_AMP,
    ACTIONS(1202), 1,
      anon_sym_PIPE_PIPE,
    STATE(396), 1,
      sym_argument_list,
    STATE(1275), 1,
      sym_type_arguments,
    ACTIONS(826), 2,
      anon_sym_RPAREN,
      anon_sym_COMMA,
    ACTIONS(1194), 2,
      anon_sym_AMP,
      anon_sym_SLASH,
    ACTIONS(1198), 2,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(1192), 3,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_CARET,
    ACTIONS(1196), 4,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
    ACTIONS(1188), 5,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP_CARET,
  [42862] = 16,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(904), 1,
      anon_sym_LPAREN,
    ACTIONS(906), 1,
      anon_sym_LBRACK,
    ACTIONS(966), 1,
      anon_sym_DOT,
    ACTIONS(970), 1,
      anon_sym_PIPE,
    ACTIONS(980), 1,
      anon_sym_AMP_AMP,
    ACTIONS(1158), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(1356), 1,
      anon_sym_RBRACK,
    ACTIONS(1358), 1,
      anon_sym_COLON,
    STATE(396), 1,
      sym_argument_list,
    STATE(1275), 1,
      sym_type_arguments,
    ACTIONS(974), 2,
      anon_sym_AMP,
      anon_sym_SLASH,
    ACTIONS(978), 2,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(972), 3,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_CARET,
    ACTIONS(976), 4,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
    ACTIONS(968), 5,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP_CARET,
  [42922] = 16,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(904), 1,
      anon_sym_LPAREN,
    ACTIONS(906), 1,
      anon_sym_LBRACK,
    ACTIONS(966), 1,
      anon_sym_DOT,
    ACTIONS(970), 1,
      anon_sym_PIPE,
    ACTIONS(980), 1,
      anon_sym_AMP_AMP,
    ACTIONS(1158), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(1360), 1,
      anon_sym_RBRACK,
    ACTIONS(1362), 1,
      anon_sym_COLON,
    STATE(396), 1,
      sym_argument_list,
    STATE(1275), 1,
      sym_type_arguments,
    ACTIONS(974), 2,
      anon_sym_AMP,
      anon_sym_SLASH,
    ACTIONS(978), 2,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(972), 3,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_CARET,
    ACTIONS(976), 4,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
    ACTIONS(968), 5,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP_CARET,
  [42982] = 16,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(904), 1,
      anon_sym_LPAREN,
    ACTIONS(906), 1,
      anon_sym_LBRACK,
    ACTIONS(966), 1,
      anon_sym_DOT,
    ACTIONS(1190), 1,
      anon_sym_PIPE,
    ACTIONS(1200), 1,
      anon_sym_AMP_AMP,
    ACTIONS(1202), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(1364), 1,
      anon_sym_RPAREN,
    ACTIONS(1366), 1,
      anon_sym_COMMA,
    STATE(396), 1,
      sym_argument_list,
    STATE(1275), 1,
      sym_type_arguments,
    ACTIONS(1194), 2,
      anon_sym_AMP,
      anon_sym_SLASH,
    ACTIONS(1198), 2,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(1192), 3,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_CARET,
    ACTIONS(1196), 4,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
    ACTIONS(1188), 5,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP_CARET,
  [43042] = 16,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(904), 1,
      anon_sym_LPAREN,
    ACTIONS(906), 1,
      anon_sym_LBRACK,
    ACTIONS(966), 1,
      anon_sym_DOT,
    ACTIONS(970), 1,
      anon_sym_PIPE,
    ACTIONS(980), 1,
      anon_sym_AMP_AMP,
    ACTIONS(1158), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(1368), 1,
      anon_sym_RBRACK,
    ACTIONS(1370), 1,
      anon_sym_COLON,
    STATE(396), 1,
      sym_argument_list,
    STATE(1275), 1,
      sym_type_arguments,
    ACTIONS(974), 2,
      anon_sym_AMP,
      anon_sym_SLASH,
    ACTIONS(978), 2,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(972), 3,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_CARET,
    ACTIONS(976), 4,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
    ACTIONS(968), 5,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP_CARET,
  [43102] = 18,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(29), 1,
      anon_sym_struct,
    ACTIONS(31), 1,
      anon_sym_TILDE,
    ACTIONS(35), 1,
      anon_sym_interface,
    ACTIONS(37), 1,
      anon_sym_map,
    ACTIONS(39), 1,
      anon_sym_chan,
    ACTIONS(573), 1,
      anon_sym_func,
    ACTIONS(587), 1,
      anon_sym_LT_DASH,
    ACTIONS(942), 1,
      anon_sym_LBRACK,
    ACTIONS(956), 1,
      anon_sym_LPAREN,
    ACTIONS(1254), 1,
      sym_identifier,
    ACTIONS(1256), 1,
      anon_sym_STAR,
    STATE(839), 1,
      sym_qualified_type,
    STATE(873), 1,
      sym_generic_type,
    STATE(1167), 1,
      sym_field_declaration,
    STATE(1176), 2,
      sym_union_type,
      sym_negated_type,
    STATE(1311), 2,
      sym_parenthesized_type,
      sym__simple_type,
    STATE(830), 8,
      sym_pointer_type,
      sym_array_type,
      sym_slice_type,
      sym_struct_type,
      sym_interface_type,
      sym_map_type,
      sym_channel_type,
      sym_function_type,
  [43166] = 16,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(904), 1,
      anon_sym_LPAREN,
    ACTIONS(906), 1,
      anon_sym_LBRACK,
    ACTIONS(966), 1,
      anon_sym_DOT,
    ACTIONS(970), 1,
      anon_sym_PIPE,
    ACTIONS(980), 1,
      anon_sym_AMP_AMP,
    ACTIONS(1158), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(1372), 1,
      anon_sym_RBRACK,
    ACTIONS(1374), 1,
      anon_sym_COLON,
    STATE(396), 1,
      sym_argument_list,
    STATE(1275), 1,
      sym_type_arguments,
    ACTIONS(974), 2,
      anon_sym_AMP,
      anon_sym_SLASH,
    ACTIONS(978), 2,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(972), 3,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_CARET,
    ACTIONS(976), 4,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
    ACTIONS(968), 5,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP_CARET,
  [43226] = 16,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(29), 1,
      anon_sym_struct,
    ACTIONS(31), 1,
      anon_sym_TILDE,
    ACTIONS(35), 1,
      anon_sym_interface,
    ACTIONS(37), 1,
      anon_sym_map,
    ACTIONS(39), 1,
      anon_sym_chan,
    ACTIONS(561), 1,
      sym_identifier,
    ACTIONS(573), 1,
      anon_sym_func,
    ACTIONS(587), 1,
      anon_sym_LT_DASH,
    ACTIONS(942), 1,
      anon_sym_LBRACK,
    ACTIONS(944), 1,
      anon_sym_STAR,
    ACTIONS(956), 1,
      anon_sym_LPAREN,
    ACTIONS(1376), 1,
      anon_sym_RBRACK,
    STATE(1087), 2,
      sym_parenthesized_type,
      sym__simple_type,
    STATE(821), 3,
      sym_union_type,
      sym_negated_type,
      sym_qualified_type,
    STATE(830), 9,
      sym_generic_type,
      sym_pointer_type,
      sym_array_type,
      sym_slice_type,
      sym_struct_type,
      sym_interface_type,
      sym_map_type,
      sym_channel_type,
      sym_function_type,
  [43286] = 16,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(904), 1,
      anon_sym_LPAREN,
    ACTIONS(906), 1,
      anon_sym_LBRACK,
    ACTIONS(966), 1,
      anon_sym_DOT,
    ACTIONS(970), 1,
      anon_sym_PIPE,
    ACTIONS(980), 1,
      anon_sym_AMP_AMP,
    ACTIONS(1158), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(1378), 1,
      anon_sym_RBRACK,
    ACTIONS(1380), 1,
      anon_sym_COLON,
    STATE(396), 1,
      sym_argument_list,
    STATE(1275), 1,
      sym_type_arguments,
    ACTIONS(974), 2,
      anon_sym_AMP,
      anon_sym_SLASH,
    ACTIONS(978), 2,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(972), 3,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_CARET,
    ACTIONS(976), 4,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
    ACTIONS(968), 5,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP_CARET,
  [43346] = 16,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(29), 1,
      anon_sym_struct,
    ACTIONS(31), 1,
      anon_sym_TILDE,
    ACTIONS(35), 1,
      anon_sym_interface,
    ACTIONS(37), 1,
      anon_sym_map,
    ACTIONS(39), 1,
      anon_sym_chan,
    ACTIONS(561), 1,
      sym_identifier,
    ACTIONS(573), 1,
      anon_sym_func,
    ACTIONS(587), 1,
      anon_sym_LT_DASH,
    ACTIONS(942), 1,
      anon_sym_LBRACK,
    ACTIONS(944), 1,
      anon_sym_STAR,
    ACTIONS(956), 1,
      anon_sym_LPAREN,
    ACTIONS(1382), 1,
      anon_sym_type,
    STATE(1264), 2,
      sym_parenthesized_type,
      sym__simple_type,
    STATE(821), 3,
      sym_union_type,
      sym_negated_type,
      sym_qualified_type,
    STATE(830), 9,
      sym_generic_type,
      sym_pointer_type,
      sym_array_type,
      sym_slice_type,
      sym_struct_type,
      sym_interface_type,
      sym_map_type,
      sym_channel_type,
      sym_function_type,
  [43406] = 16,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(29), 1,
      anon_sym_struct,
    ACTIONS(31), 1,
      anon_sym_TILDE,
    ACTIONS(35), 1,
      anon_sym_interface,
    ACTIONS(37), 1,
      anon_sym_map,
    ACTIONS(39), 1,
      anon_sym_chan,
    ACTIONS(561), 1,
      sym_identifier,
    ACTIONS(573), 1,
      anon_sym_func,
    ACTIONS(587), 1,
      anon_sym_LT_DASH,
    ACTIONS(942), 1,
      anon_sym_LBRACK,
    ACTIONS(944), 1,
      anon_sym_STAR,
    ACTIONS(956), 1,
      anon_sym_LPAREN,
    ACTIONS(1384), 1,
      anon_sym_RBRACK,
    STATE(1087), 2,
      sym_parenthesized_type,
      sym__simple_type,
    STATE(821), 3,
      sym_union_type,
      sym_negated_type,
      sym_qualified_type,
    STATE(830), 9,
      sym_generic_type,
      sym_pointer_type,
      sym_array_type,
      sym_slice_type,
      sym_struct_type,
      sym_interface_type,
      sym_map_type,
      sym_channel_type,
      sym_function_type,
  [43466] = 16,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(904), 1,
      anon_sym_LPAREN,
    ACTIONS(906), 1,
      anon_sym_LBRACK,
    ACTIONS(966), 1,
      anon_sym_DOT,
    ACTIONS(970), 1,
      anon_sym_PIPE,
    ACTIONS(980), 1,
      anon_sym_AMP_AMP,
    ACTIONS(1158), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(1386), 1,
      anon_sym_RBRACK,
    ACTIONS(1388), 1,
      anon_sym_COLON,
    STATE(396), 1,
      sym_argument_list,
    STATE(1275), 1,
      sym_type_arguments,
    ACTIONS(974), 2,
      anon_sym_AMP,
      anon_sym_SLASH,
    ACTIONS(978), 2,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(972), 3,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_CARET,
    ACTIONS(976), 4,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
    ACTIONS(968), 5,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP_CARET,
  [43526] = 15,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(904), 1,
      anon_sym_LPAREN,
    ACTIONS(906), 1,
      anon_sym_LBRACK,
    ACTIONS(966), 1,
      anon_sym_DOT,
    ACTIONS(970), 1,
      anon_sym_PIPE,
    ACTIONS(980), 1,
      anon_sym_AMP_AMP,
    ACTIONS(1158), 1,
      anon_sym_PIPE_PIPE,
    STATE(396), 1,
      sym_argument_list,
    STATE(1275), 1,
      sym_type_arguments,
    ACTIONS(974), 2,
      anon_sym_AMP,
      anon_sym_SLASH,
    ACTIONS(978), 2,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(1150), 2,
      anon_sym_SEMI,
      anon_sym_COLON,
    ACTIONS(972), 3,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_CARET,
    ACTIONS(976), 4,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
    ACTIONS(968), 5,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP_CARET,
  [43584] = 16,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(904), 1,
      anon_sym_LPAREN,
    ACTIONS(906), 1,
      anon_sym_LBRACK,
    ACTIONS(966), 1,
      anon_sym_DOT,
    ACTIONS(970), 1,
      anon_sym_PIPE,
    ACTIONS(980), 1,
      anon_sym_AMP_AMP,
    ACTIONS(1158), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(1390), 1,
      anon_sym_RBRACK,
    ACTIONS(1392), 1,
      anon_sym_COLON,
    STATE(396), 1,
      sym_argument_list,
    STATE(1275), 1,
      sym_type_arguments,
    ACTIONS(974), 2,
      anon_sym_AMP,
      anon_sym_SLASH,
    ACTIONS(978), 2,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(972), 3,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_CARET,
    ACTIONS(976), 4,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
    ACTIONS(968), 5,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP_CARET,
  [43644] = 16,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(29), 1,
      anon_sym_struct,
    ACTIONS(31), 1,
      anon_sym_TILDE,
    ACTIONS(35), 1,
      anon_sym_interface,
    ACTIONS(37), 1,
      anon_sym_map,
    ACTIONS(39), 1,
      anon_sym_chan,
    ACTIONS(573), 1,
      anon_sym_func,
    ACTIONS(587), 1,
      anon_sym_LT_DASH,
    ACTIONS(942), 1,
      anon_sym_LBRACK,
    ACTIONS(944), 1,
      anon_sym_STAR,
    ACTIONS(956), 1,
      anon_sym_LPAREN,
    ACTIONS(1250), 1,
      sym_identifier,
    STATE(1279), 1,
      sym_parameter_declaration,
    STATE(1065), 2,
      sym_parenthesized_type,
      sym__simple_type,
    STATE(821), 3,
      sym_union_type,
      sym_negated_type,
      sym_qualified_type,
    STATE(830), 9,
      sym_generic_type,
      sym_pointer_type,
      sym_array_type,
      sym_slice_type,
      sym_struct_type,
      sym_interface_type,
      sym_map_type,
      sym_channel_type,
      sym_function_type,
  [43704] = 16,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(29), 1,
      anon_sym_struct,
    ACTIONS(31), 1,
      anon_sym_TILDE,
    ACTIONS(35), 1,
      anon_sym_interface,
    ACTIONS(37), 1,
      anon_sym_map,
    ACTIONS(39), 1,
      anon_sym_chan,
    ACTIONS(561), 1,
      sym_identifier,
    ACTIONS(573), 1,
      anon_sym_func,
    ACTIONS(587), 1,
      anon_sym_LT_DASH,
    ACTIONS(942), 1,
      anon_sym_LBRACK,
    ACTIONS(944), 1,
      anon_sym_STAR,
    ACTIONS(956), 1,
      anon_sym_LPAREN,
    ACTIONS(1394), 1,
      anon_sym_RBRACK,
    STATE(1087), 2,
      sym_parenthesized_type,
      sym__simple_type,
    STATE(821), 3,
      sym_union_type,
      sym_negated_type,
      sym_qualified_type,
    STATE(830), 9,
      sym_generic_type,
      sym_pointer_type,
      sym_array_type,
      sym_slice_type,
      sym_struct_type,
      sym_interface_type,
      sym_map_type,
      sym_channel_type,
      sym_function_type,
  [43764] = 16,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(29), 1,
      anon_sym_struct,
    ACTIONS(31), 1,
      anon_sym_TILDE,
    ACTIONS(35), 1,
      anon_sym_interface,
    ACTIONS(37), 1,
      anon_sym_map,
    ACTIONS(39), 1,
      anon_sym_chan,
    ACTIONS(573), 1,
      anon_sym_func,
    ACTIONS(587), 1,
      anon_sym_LT_DASH,
    ACTIONS(942), 1,
      anon_sym_LBRACK,
    ACTIONS(944), 1,
      anon_sym_STAR,
    ACTIONS(956), 1,
      anon_sym_LPAREN,
    ACTIONS(1250), 1,
      sym_identifier,
    STATE(1201), 1,
      sym_parameter_declaration,
    STATE(1065), 2,
      sym_parenthesized_type,
      sym__simple_type,
    STATE(821), 3,
      sym_union_type,
      sym_negated_type,
      sym_qualified_type,
    STATE(830), 9,
      sym_generic_type,
      sym_pointer_type,
      sym_array_type,
      sym_slice_type,
      sym_struct_type,
      sym_interface_type,
      sym_map_type,
      sym_channel_type,
      sym_function_type,
  [43824] = 15,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(904), 1,
      anon_sym_LPAREN,
    ACTIONS(906), 1,
      anon_sym_LBRACK,
    ACTIONS(966), 1,
      anon_sym_DOT,
    ACTIONS(1208), 1,
      anon_sym_PIPE,
    ACTIONS(1220), 1,
      anon_sym_AMP_AMP,
    ACTIONS(1222), 1,
      anon_sym_PIPE_PIPE,
    STATE(396), 1,
      sym_argument_list,
    STATE(1275), 1,
      sym_type_arguments,
    ACTIONS(826), 2,
      anon_sym_COMMA,
      anon_sym_LBRACE,
    ACTIONS(1214), 2,
      anon_sym_AMP,
      anon_sym_SLASH,
    ACTIONS(1218), 2,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(1212), 3,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_CARET,
    ACTIONS(1216), 4,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
    ACTIONS(1206), 5,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP_CARET,
  [43882] = 16,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(29), 1,
      anon_sym_struct,
    ACTIONS(31), 1,
      anon_sym_TILDE,
    ACTIONS(35), 1,
      anon_sym_interface,
    ACTIONS(37), 1,
      anon_sym_map,
    ACTIONS(39), 1,
      anon_sym_chan,
    ACTIONS(561), 1,
      sym_identifier,
    ACTIONS(573), 1,
      anon_sym_func,
    ACTIONS(587), 1,
      anon_sym_LT_DASH,
    ACTIONS(942), 1,
      anon_sym_LBRACK,
    ACTIONS(944), 1,
      anon_sym_STAR,
    ACTIONS(956), 1,
      anon_sym_LPAREN,
    ACTIONS(1396), 1,
      anon_sym_type,
    STATE(1264), 2,
      sym_parenthesized_type,
      sym__simple_type,
    STATE(821), 3,
      sym_union_type,
      sym_negated_type,
      sym_qualified_type,
    STATE(830), 9,
      sym_generic_type,
      sym_pointer_type,
      sym_array_type,
      sym_slice_type,
      sym_struct_type,
      sym_interface_type,
      sym_map_type,
      sym_channel_type,
      sym_function_type,
  [43942] = 16,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(904), 1,
      anon_sym_LPAREN,
    ACTIONS(906), 1,
      anon_sym_LBRACK,
    ACTIONS(966), 1,
      anon_sym_DOT,
    ACTIONS(970), 1,
      anon_sym_PIPE,
    ACTIONS(980), 1,
      anon_sym_AMP_AMP,
    ACTIONS(1158), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(1398), 1,
      anon_sym_RBRACK,
    ACTIONS(1400), 1,
      anon_sym_COLON,
    STATE(396), 1,
      sym_argument_list,
    STATE(1275), 1,
      sym_type_arguments,
    ACTIONS(974), 2,
      anon_sym_AMP,
      anon_sym_SLASH,
    ACTIONS(978), 2,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(972), 3,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_CARET,
    ACTIONS(976), 4,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
    ACTIONS(968), 5,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP_CARET,
  [44002] = 16,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(904), 1,
      anon_sym_LPAREN,
    ACTIONS(906), 1,
      anon_sym_LBRACK,
    ACTIONS(966), 1,
      anon_sym_DOT,
    ACTIONS(1190), 1,
      anon_sym_PIPE,
    ACTIONS(1200), 1,
      anon_sym_AMP_AMP,
    ACTIONS(1202), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(1402), 1,
      anon_sym_RPAREN,
    ACTIONS(1404), 1,
      anon_sym_COMMA,
    STATE(396), 1,
      sym_argument_list,
    STATE(1275), 1,
      sym_type_arguments,
    ACTIONS(1194), 2,
      anon_sym_AMP,
      anon_sym_SLASH,
    ACTIONS(1198), 2,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(1192), 3,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_CARET,
    ACTIONS(1196), 4,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
    ACTIONS(1188), 5,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP_CARET,
  [44062] = 15,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(904), 1,
      anon_sym_LPAREN,
    ACTIONS(906), 1,
      anon_sym_LBRACK,
    ACTIONS(966), 1,
      anon_sym_DOT,
    ACTIONS(970), 1,
      anon_sym_PIPE,
    ACTIONS(980), 1,
      anon_sym_AMP_AMP,
    ACTIONS(1158), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(1406), 1,
      anon_sym_RBRACK,
    STATE(396), 1,
      sym_argument_list,
    STATE(1275), 1,
      sym_type_arguments,
    ACTIONS(974), 2,
      anon_sym_AMP,
      anon_sym_SLASH,
    ACTIONS(978), 2,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(972), 3,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_CARET,
    ACTIONS(976), 4,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
    ACTIONS(968), 5,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP_CARET,
  [44119] = 15,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(992), 1,
      anon_sym_struct,
    ACTIONS(996), 1,
      anon_sym_interface,
    ACTIONS(1010), 1,
      sym_identifier,
    ACTIONS(1012), 1,
      anon_sym_func,
    ACTIONS(1018), 1,
      anon_sym_map,
    ACTIONS(1020), 1,
      anon_sym_chan,
    ACTIONS(1408), 1,
      anon_sym_LPAREN,
    ACTIONS(1410), 1,
      anon_sym_LBRACK,
    ACTIONS(1412), 1,
      anon_sym_STAR,
    ACTIONS(1414), 1,
      anon_sym_TILDE,
    ACTIONS(1416), 1,
      anon_sym_LT_DASH,
    STATE(918), 2,
      sym_parenthesized_type,
      sym__simple_type,
    STATE(870), 3,
      sym_union_type,
      sym_negated_type,
      sym_qualified_type,
    STATE(889), 9,
      sym_generic_type,
      sym_pointer_type,
      sym_array_type,
      sym_slice_type,
      sym_struct_type,
      sym_interface_type,
      sym_map_type,
      sym_channel_type,
      sym_function_type,
  [44176] = 15,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(29), 1,
      anon_sym_struct,
    ACTIONS(31), 1,
      anon_sym_TILDE,
    ACTIONS(35), 1,
      anon_sym_interface,
    ACTIONS(37), 1,
      anon_sym_map,
    ACTIONS(39), 1,
      anon_sym_chan,
    ACTIONS(561), 1,
      sym_identifier,
    ACTIONS(573), 1,
      anon_sym_func,
    ACTIONS(587), 1,
      anon_sym_LT_DASH,
    ACTIONS(942), 1,
      anon_sym_LBRACK,
    ACTIONS(944), 1,
      anon_sym_STAR,
    ACTIONS(956), 1,
      anon_sym_LPAREN,
    STATE(1289), 2,
      sym_parenthesized_type,
      sym__simple_type,
    STATE(821), 3,
      sym_union_type,
      sym_negated_type,
      sym_qualified_type,
    STATE(830), 9,
      sym_generic_type,
      sym_pointer_type,
      sym_array_type,
      sym_slice_type,
      sym_struct_type,
      sym_interface_type,
      sym_map_type,
      sym_channel_type,
      sym_function_type,
  [44233] = 15,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(29), 1,
      anon_sym_struct,
    ACTIONS(31), 1,
      anon_sym_TILDE,
    ACTIONS(35), 1,
      anon_sym_interface,
    ACTIONS(926), 1,
      sym_identifier,
    ACTIONS(930), 1,
      anon_sym_func,
    ACTIONS(932), 1,
      anon_sym_LBRACK,
    ACTIONS(934), 1,
      anon_sym_STAR,
    ACTIONS(936), 1,
      anon_sym_map,
    ACTIONS(938), 1,
      anon_sym_chan,
    ACTIONS(940), 1,
      anon_sym_LT_DASH,
    ACTIONS(956), 1,
      anon_sym_LPAREN,
    STATE(827), 2,
      sym_parenthesized_type,
      sym__simple_type,
    STATE(817), 3,
      sym_union_type,
      sym_negated_type,
      sym_qualified_type,
    STATE(830), 9,
      sym_generic_type,
      sym_pointer_type,
      sym_array_type,
      sym_slice_type,
      sym_struct_type,
      sym_interface_type,
      sym_map_type,
      sym_channel_type,
      sym_function_type,
  [44290] = 15,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(844), 1,
      sym_identifier,
    ACTIONS(852), 1,
      anon_sym_func,
    ACTIONS(858), 1,
      anon_sym_struct,
    ACTIONS(862), 1,
      anon_sym_interface,
    ACTIONS(864), 1,
      anon_sym_map,
    ACTIONS(866), 1,
      anon_sym_chan,
    ACTIONS(1064), 1,
      anon_sym_LBRACK,
    ACTIONS(1072), 1,
      anon_sym_LT_DASH,
    ACTIONS(1172), 1,
      anon_sym_LPAREN,
    ACTIONS(1178), 1,
      anon_sym_STAR,
    ACTIONS(1180), 1,
      anon_sym_TILDE,
    STATE(806), 2,
      sym_parenthesized_type,
      sym__simple_type,
    STATE(779), 3,
      sym_union_type,
      sym_negated_type,
      sym_qualified_type,
    STATE(813), 9,
      sym_generic_type,
      sym_pointer_type,
      sym_array_type,
      sym_slice_type,
      sym_struct_type,
      sym_interface_type,
      sym_map_type,
      sym_channel_type,
      sym_function_type,
  [44347] = 15,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(29), 1,
      anon_sym_struct,
    ACTIONS(31), 1,
      anon_sym_TILDE,
    ACTIONS(35), 1,
      anon_sym_interface,
    ACTIONS(37), 1,
      anon_sym_map,
    ACTIONS(39), 1,
      anon_sym_chan,
    ACTIONS(561), 1,
      sym_identifier,
    ACTIONS(573), 1,
      anon_sym_func,
    ACTIONS(587), 1,
      anon_sym_LT_DASH,
    ACTIONS(942), 1,
      anon_sym_LBRACK,
    ACTIONS(944), 1,
      anon_sym_STAR,
    ACTIONS(956), 1,
      anon_sym_LPAREN,
    STATE(1234), 2,
      sym_parenthesized_type,
      sym__simple_type,
    STATE(821), 3,
      sym_union_type,
      sym_negated_type,
      sym_qualified_type,
    STATE(830), 9,
      sym_generic_type,
      sym_pointer_type,
      sym_array_type,
      sym_slice_type,
      sym_struct_type,
      sym_interface_type,
      sym_map_type,
      sym_channel_type,
      sym_function_type,
  [44404] = 15,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(29), 1,
      anon_sym_struct,
    ACTIONS(31), 1,
      anon_sym_TILDE,
    ACTIONS(35), 1,
      anon_sym_interface,
    ACTIONS(37), 1,
      anon_sym_map,
    ACTIONS(39), 1,
      anon_sym_chan,
    ACTIONS(561), 1,
      sym_identifier,
    ACTIONS(573), 1,
      anon_sym_func,
    ACTIONS(587), 1,
      anon_sym_LT_DASH,
    ACTIONS(942), 1,
      anon_sym_LBRACK,
    ACTIONS(944), 1,
      anon_sym_STAR,
    ACTIONS(956), 1,
      anon_sym_LPAREN,
    STATE(1239), 2,
      sym_parenthesized_type,
      sym__simple_type,
    STATE(821), 3,
      sym_union_type,
      sym_negated_type,
      sym_qualified_type,
    STATE(830), 9,
      sym_generic_type,
      sym_pointer_type,
      sym_array_type,
      sym_slice_type,
      sym_struct_type,
      sym_interface_type,
      sym_map_type,
      sym_channel_type,
      sym_function_type,
  [44461] = 15,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(29), 1,
      anon_sym_struct,
    ACTIONS(31), 1,
      anon_sym_TILDE,
    ACTIONS(35), 1,
      anon_sym_interface,
    ACTIONS(37), 1,
      anon_sym_map,
    ACTIONS(39), 1,
      anon_sym_chan,
    ACTIONS(561), 1,
      sym_identifier,
    ACTIONS(573), 1,
      anon_sym_func,
    ACTIONS(587), 1,
      anon_sym_LT_DASH,
    ACTIONS(942), 1,
      anon_sym_LBRACK,
    ACTIONS(944), 1,
      anon_sym_STAR,
    ACTIONS(956), 1,
      anon_sym_LPAREN,
    STATE(1269), 2,
      sym_parenthesized_type,
      sym__simple_type,
    STATE(821), 3,
      sym_union_type,
      sym_negated_type,
      sym_qualified_type,
    STATE(830), 9,
      sym_generic_type,
      sym_pointer_type,
      sym_array_type,
      sym_slice_type,
      sym_struct_type,
      sym_interface_type,
      sym_map_type,
      sym_channel_type,
      sym_function_type,
  [44518] = 15,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(992), 1,
      anon_sym_struct,
    ACTIONS(996), 1,
      anon_sym_interface,
    ACTIONS(1010), 1,
      sym_identifier,
    ACTIONS(1012), 1,
      anon_sym_func,
    ACTIONS(1018), 1,
      anon_sym_map,
    ACTIONS(1020), 1,
      anon_sym_chan,
    ACTIONS(1408), 1,
      anon_sym_LPAREN,
    ACTIONS(1410), 1,
      anon_sym_LBRACK,
    ACTIONS(1412), 1,
      anon_sym_STAR,
    ACTIONS(1414), 1,
      anon_sym_TILDE,
    ACTIONS(1416), 1,
      anon_sym_LT_DASH,
    STATE(941), 2,
      sym_parenthesized_type,
      sym__simple_type,
    STATE(870), 3,
      sym_union_type,
      sym_negated_type,
      sym_qualified_type,
    STATE(889), 9,
      sym_generic_type,
      sym_pointer_type,
      sym_array_type,
      sym_slice_type,
      sym_struct_type,
      sym_interface_type,
      sym_map_type,
      sym_channel_type,
      sym_function_type,
  [44575] = 15,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(29), 1,
      anon_sym_struct,
    ACTIONS(31), 1,
      anon_sym_TILDE,
    ACTIONS(35), 1,
      anon_sym_interface,
    ACTIONS(37), 1,
      anon_sym_map,
    ACTIONS(39), 1,
      anon_sym_chan,
    ACTIONS(561), 1,
      sym_identifier,
    ACTIONS(573), 1,
      anon_sym_func,
    ACTIONS(587), 1,
      anon_sym_LT_DASH,
    ACTIONS(942), 1,
      anon_sym_LBRACK,
    ACTIONS(944), 1,
      anon_sym_STAR,
    ACTIONS(956), 1,
      anon_sym_LPAREN,
    STATE(1257), 2,
      sym_parenthesized_type,
      sym__simple_type,
    STATE(821), 3,
      sym_union_type,
      sym_negated_type,
      sym_qualified_type,
    STATE(830), 9,
      sym_generic_type,
      sym_pointer_type,
      sym_array_type,
      sym_slice_type,
      sym_struct_type,
      sym_interface_type,
      sym_map_type,
      sym_channel_type,
      sym_function_type,
  [44632] = 15,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(904), 1,
      anon_sym_LPAREN,
    ACTIONS(906), 1,
      anon_sym_LBRACK,
    ACTIONS(966), 1,
      anon_sym_DOT,
    ACTIONS(970), 1,
      anon_sym_PIPE,
    ACTIONS(980), 1,
      anon_sym_AMP_AMP,
    ACTIONS(1158), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(1418), 1,
      anon_sym_RBRACK,
    STATE(396), 1,
      sym_argument_list,
    STATE(1275), 1,
      sym_type_arguments,
    ACTIONS(974), 2,
      anon_sym_AMP,
      anon_sym_SLASH,
    ACTIONS(978), 2,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(972), 3,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_CARET,
    ACTIONS(976), 4,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
    ACTIONS(968), 5,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP_CARET,
  [44689] = 15,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(904), 1,
      anon_sym_LPAREN,
    ACTIONS(906), 1,
      anon_sym_LBRACK,
    ACTIONS(966), 1,
      anon_sym_DOT,
    ACTIONS(970), 1,
      anon_sym_PIPE,
    ACTIONS(980), 1,
      anon_sym_AMP_AMP,
    ACTIONS(1158), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(1420), 1,
      anon_sym_RBRACK,
    STATE(396), 1,
      sym_argument_list,
    STATE(1275), 1,
      sym_type_arguments,
    ACTIONS(974), 2,
      anon_sym_AMP,
      anon_sym_SLASH,
    ACTIONS(978), 2,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(972), 3,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_CARET,
    ACTIONS(976), 4,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
    ACTIONS(968), 5,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP_CARET,
  [44746] = 15,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(992), 1,
      anon_sym_struct,
    ACTIONS(996), 1,
      anon_sym_interface,
    ACTIONS(1010), 1,
      sym_identifier,
    ACTIONS(1012), 1,
      anon_sym_func,
    ACTIONS(1018), 1,
      anon_sym_map,
    ACTIONS(1020), 1,
      anon_sym_chan,
    ACTIONS(1408), 1,
      anon_sym_LPAREN,
    ACTIONS(1410), 1,
      anon_sym_LBRACK,
    ACTIONS(1412), 1,
      anon_sym_STAR,
    ACTIONS(1414), 1,
      anon_sym_TILDE,
    ACTIONS(1416), 1,
      anon_sym_LT_DASH,
    STATE(937), 2,
      sym_parenthesized_type,
      sym__simple_type,
    STATE(870), 3,
      sym_union_type,
      sym_negated_type,
      sym_qualified_type,
    STATE(889), 9,
      sym_generic_type,
      sym_pointer_type,
      sym_array_type,
      sym_slice_type,
      sym_struct_type,
      sym_interface_type,
      sym_map_type,
      sym_channel_type,
      sym_function_type,
  [44803] = 15,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(29), 1,
      anon_sym_struct,
    ACTIONS(31), 1,
      anon_sym_TILDE,
    ACTIONS(35), 1,
      anon_sym_interface,
    ACTIONS(926), 1,
      sym_identifier,
    ACTIONS(930), 1,
      anon_sym_func,
    ACTIONS(932), 1,
      anon_sym_LBRACK,
    ACTIONS(934), 1,
      anon_sym_STAR,
    ACTIONS(936), 1,
      anon_sym_map,
    ACTIONS(938), 1,
      anon_sym_chan,
    ACTIONS(940), 1,
      anon_sym_LT_DASH,
    ACTIONS(956), 1,
      anon_sym_LPAREN,
    STATE(845), 2,
      sym_parenthesized_type,
      sym__simple_type,
    STATE(817), 3,
      sym_union_type,
      sym_negated_type,
      sym_qualified_type,
    STATE(830), 9,
      sym_generic_type,
      sym_pointer_type,
      sym_array_type,
      sym_slice_type,
      sym_struct_type,
      sym_interface_type,
      sym_map_type,
      sym_channel_type,
      sym_function_type,
  [44860] = 15,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(858), 1,
      anon_sym_struct,
    ACTIONS(862), 1,
      anon_sym_interface,
    ACTIONS(870), 1,
      sym_identifier,
    ACTIONS(872), 1,
      anon_sym_func,
    ACTIONS(878), 1,
      anon_sym_map,
    ACTIONS(880), 1,
      anon_sym_chan,
    ACTIONS(1172), 1,
      anon_sym_LPAREN,
    ACTIONS(1180), 1,
      anon_sym_TILDE,
    ACTIONS(1422), 1,
      anon_sym_LBRACK,
    ACTIONS(1424), 1,
      anon_sym_STAR,
    ACTIONS(1426), 1,
      anon_sym_LT_DASH,
    STATE(790), 2,
      sym_parenthesized_type,
      sym__simple_type,
    STATE(780), 3,
      sym_union_type,
      sym_negated_type,
      sym_qualified_type,
    STATE(813), 9,
      sym_generic_type,
      sym_pointer_type,
      sym_array_type,
      sym_slice_type,
      sym_struct_type,
      sym_interface_type,
      sym_map_type,
      sym_channel_type,
      sym_function_type,
  [44917] = 15,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(982), 1,
      sym_identifier,
    ACTIONS(986), 1,
      anon_sym_func,
    ACTIONS(992), 1,
      anon_sym_struct,
    ACTIONS(996), 1,
      anon_sym_interface,
    ACTIONS(998), 1,
      anon_sym_map,
    ACTIONS(1000), 1,
      anon_sym_chan,
    ACTIONS(1408), 1,
      anon_sym_LPAREN,
    ACTIONS(1414), 1,
      anon_sym_TILDE,
    ACTIONS(1428), 1,
      anon_sym_LBRACK,
    ACTIONS(1430), 1,
      anon_sym_STAR,
    ACTIONS(1432), 1,
      anon_sym_LT_DASH,
    STATE(943), 2,
      sym_parenthesized_type,
      sym__simple_type,
    STATE(871), 3,
      sym_union_type,
      sym_negated_type,
      sym_qualified_type,
    STATE(889), 9,
      sym_generic_type,
      sym_pointer_type,
      sym_array_type,
      sym_slice_type,
      sym_struct_type,
      sym_interface_type,
      sym_map_type,
      sym_channel_type,
      sym_function_type,
  [44974] = 15,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(992), 1,
      anon_sym_struct,
    ACTIONS(996), 1,
      anon_sym_interface,
    ACTIONS(1010), 1,
      sym_identifier,
    ACTIONS(1012), 1,
      anon_sym_func,
    ACTIONS(1018), 1,
      anon_sym_map,
    ACTIONS(1020), 1,
      anon_sym_chan,
    ACTIONS(1408), 1,
      anon_sym_LPAREN,
    ACTIONS(1410), 1,
      anon_sym_LBRACK,
    ACTIONS(1412), 1,
      anon_sym_STAR,
    ACTIONS(1414), 1,
      anon_sym_TILDE,
    ACTIONS(1434), 1,
      anon_sym_LT_DASH,
    STATE(892), 2,
      sym_parenthesized_type,
      sym__simple_type,
    STATE(870), 3,
      sym_union_type,
      sym_negated_type,
      sym_qualified_type,
    STATE(889), 9,
      sym_generic_type,
      sym_pointer_type,
      sym_array_type,
      sym_slice_type,
      sym_struct_type,
      sym_interface_type,
      sym_map_type,
      sym_channel_type,
      sym_function_type,
  [45031] = 15,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(29), 1,
      anon_sym_struct,
    ACTIONS(31), 1,
      anon_sym_TILDE,
    ACTIONS(35), 1,
      anon_sym_interface,
    ACTIONS(37), 1,
      anon_sym_map,
    ACTIONS(39), 1,
      anon_sym_chan,
    ACTIONS(561), 1,
      sym_identifier,
    ACTIONS(573), 1,
      anon_sym_func,
    ACTIONS(587), 1,
      anon_sym_LT_DASH,
    ACTIONS(942), 1,
      anon_sym_LBRACK,
    ACTIONS(944), 1,
      anon_sym_STAR,
    ACTIONS(956), 1,
      anon_sym_LPAREN,
    STATE(1300), 2,
      sym_parenthesized_type,
      sym__simple_type,
    STATE(821), 3,
      sym_union_type,
      sym_negated_type,
      sym_qualified_type,
    STATE(830), 9,
      sym_generic_type,
      sym_pointer_type,
      sym_array_type,
      sym_slice_type,
      sym_struct_type,
      sym_interface_type,
      sym_map_type,
      sym_channel_type,
      sym_function_type,
  [45088] = 15,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(29), 1,
      anon_sym_struct,
    ACTIONS(31), 1,
      anon_sym_TILDE,
    ACTIONS(35), 1,
      anon_sym_interface,
    ACTIONS(37), 1,
      anon_sym_map,
    ACTIONS(39), 1,
      anon_sym_chan,
    ACTIONS(561), 1,
      sym_identifier,
    ACTIONS(573), 1,
      anon_sym_func,
    ACTIONS(587), 1,
      anon_sym_LT_DASH,
    ACTIONS(942), 1,
      anon_sym_LBRACK,
    ACTIONS(944), 1,
      anon_sym_STAR,
    ACTIONS(956), 1,
      anon_sym_LPAREN,
    STATE(1054), 2,
      sym_parenthesized_type,
      sym__simple_type,
    STATE(821), 3,
      sym_union_type,
      sym_negated_type,
      sym_qualified_type,
    STATE(830), 9,
      sym_generic_type,
      sym_pointer_type,
      sym_array_type,
      sym_slice_type,
      sym_struct_type,
      sym_interface_type,
      sym_map_type,
      sym_channel_type,
      sym_function_type,
  [45145] = 15,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(904), 1,
      anon_sym_LPAREN,
    ACTIONS(906), 1,
      anon_sym_LBRACK,
    ACTIONS(966), 1,
      anon_sym_DOT,
    ACTIONS(970), 1,
      anon_sym_PIPE,
    ACTIONS(980), 1,
      anon_sym_AMP_AMP,
    ACTIONS(1158), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(1436), 1,
      anon_sym_RBRACK,
    STATE(396), 1,
      sym_argument_list,
    STATE(1275), 1,
      sym_type_arguments,
    ACTIONS(974), 2,
      anon_sym_AMP,
      anon_sym_SLASH,
    ACTIONS(978), 2,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(972), 3,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_CARET,
    ACTIONS(976), 4,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
    ACTIONS(968), 5,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP_CARET,
  [45202] = 15,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(844), 1,
      sym_identifier,
    ACTIONS(852), 1,
      anon_sym_func,
    ACTIONS(858), 1,
      anon_sym_struct,
    ACTIONS(862), 1,
      anon_sym_interface,
    ACTIONS(864), 1,
      anon_sym_map,
    ACTIONS(866), 1,
      anon_sym_chan,
    ACTIONS(1064), 1,
      anon_sym_LBRACK,
    ACTIONS(1072), 1,
      anon_sym_LT_DASH,
    ACTIONS(1172), 1,
      anon_sym_LPAREN,
    ACTIONS(1178), 1,
      anon_sym_STAR,
    ACTIONS(1180), 1,
      anon_sym_TILDE,
    STATE(805), 2,
      sym_parenthesized_type,
      sym__simple_type,
    STATE(779), 3,
      sym_union_type,
      sym_negated_type,
      sym_qualified_type,
    STATE(813), 9,
      sym_generic_type,
      sym_pointer_type,
      sym_array_type,
      sym_slice_type,
      sym_struct_type,
      sym_interface_type,
      sym_map_type,
      sym_channel_type,
      sym_function_type,
  [45259] = 15,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(29), 1,
      anon_sym_struct,
    ACTIONS(31), 1,
      anon_sym_TILDE,
    ACTIONS(35), 1,
      anon_sym_interface,
    ACTIONS(37), 1,
      anon_sym_map,
    ACTIONS(39), 1,
      anon_sym_chan,
    ACTIONS(561), 1,
      sym_identifier,
    ACTIONS(573), 1,
      anon_sym_func,
    ACTIONS(587), 1,
      anon_sym_LT_DASH,
    ACTIONS(942), 1,
      anon_sym_LBRACK,
    ACTIONS(944), 1,
      anon_sym_STAR,
    ACTIONS(956), 1,
      anon_sym_LPAREN,
    STATE(1303), 2,
      sym_parenthesized_type,
      sym__simple_type,
    STATE(821), 3,
      sym_union_type,
      sym_negated_type,
      sym_qualified_type,
    STATE(830), 9,
      sym_generic_type,
      sym_pointer_type,
      sym_array_type,
      sym_slice_type,
      sym_struct_type,
      sym_interface_type,
      sym_map_type,
      sym_channel_type,
      sym_function_type,
  [45316] = 15,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(904), 1,
      anon_sym_LPAREN,
    ACTIONS(906), 1,
      anon_sym_LBRACK,
    ACTIONS(966), 1,
      anon_sym_DOT,
    ACTIONS(970), 1,
      anon_sym_PIPE,
    ACTIONS(980), 1,
      anon_sym_AMP_AMP,
    ACTIONS(1158), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(1438), 1,
      anon_sym_RBRACK,
    STATE(396), 1,
      sym_argument_list,
    STATE(1275), 1,
      sym_type_arguments,
    ACTIONS(974), 2,
      anon_sym_AMP,
      anon_sym_SLASH,
    ACTIONS(978), 2,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(972), 3,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_CARET,
    ACTIONS(976), 4,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
    ACTIONS(968), 5,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP_CARET,
  [45373] = 15,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(29), 1,
      anon_sym_struct,
    ACTIONS(31), 1,
      anon_sym_TILDE,
    ACTIONS(35), 1,
      anon_sym_interface,
    ACTIONS(37), 1,
      anon_sym_map,
    ACTIONS(39), 1,
      anon_sym_chan,
    ACTIONS(561), 1,
      sym_identifier,
    ACTIONS(573), 1,
      anon_sym_func,
    ACTIONS(587), 1,
      anon_sym_LT_DASH,
    ACTIONS(942), 1,
      anon_sym_LBRACK,
    ACTIONS(944), 1,
      anon_sym_STAR,
    ACTIONS(956), 1,
      anon_sym_LPAREN,
    STATE(1263), 2,
      sym_parenthesized_type,
      sym__simple_type,
    STATE(821), 3,
      sym_union_type,
      sym_negated_type,
      sym_qualified_type,
    STATE(830), 9,
      sym_generic_type,
      sym_pointer_type,
      sym_array_type,
      sym_slice_type,
      sym_struct_type,
      sym_interface_type,
      sym_map_type,
      sym_channel_type,
      sym_function_type,
  [45430] = 15,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(904), 1,
      anon_sym_LPAREN,
    ACTIONS(906), 1,
      anon_sym_LBRACK,
    ACTIONS(966), 1,
      anon_sym_DOT,
    ACTIONS(1190), 1,
      anon_sym_PIPE,
    ACTIONS(1200), 1,
      anon_sym_AMP_AMP,
    ACTIONS(1202), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(1440), 1,
      anon_sym_RPAREN,
    STATE(396), 1,
      sym_argument_list,
    STATE(1275), 1,
      sym_type_arguments,
    ACTIONS(1194), 2,
      anon_sym_AMP,
      anon_sym_SLASH,
    ACTIONS(1198), 2,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(1192), 3,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_CARET,
    ACTIONS(1196), 4,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
    ACTIONS(1188), 5,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP_CARET,
  [45487] = 15,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(29), 1,
      anon_sym_struct,
    ACTIONS(31), 1,
      anon_sym_TILDE,
    ACTIONS(35), 1,
      anon_sym_interface,
    ACTIONS(37), 1,
      anon_sym_map,
    ACTIONS(39), 1,
      anon_sym_chan,
    ACTIONS(561), 1,
      sym_identifier,
    ACTIONS(573), 1,
      anon_sym_func,
    ACTIONS(587), 1,
      anon_sym_LT_DASH,
    ACTIONS(942), 1,
      anon_sym_LBRACK,
    ACTIONS(944), 1,
      anon_sym_STAR,
    ACTIONS(956), 1,
      anon_sym_LPAREN,
    STATE(1093), 2,
      sym_parenthesized_type,
      sym__simple_type,
    STATE(821), 3,
      sym_union_type,
      sym_negated_type,
      sym_qualified_type,
    STATE(830), 9,
      sym_generic_type,
      sym_pointer_type,
      sym_array_type,
      sym_slice_type,
      sym_struct_type,
      sym_interface_type,
      sym_map_type,
      sym_channel_type,
      sym_function_type,
  [45544] = 15,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(29), 1,
      anon_sym_struct,
    ACTIONS(31), 1,
      anon_sym_TILDE,
    ACTIONS(35), 1,
      anon_sym_interface,
    ACTIONS(37), 1,
      anon_sym_map,
    ACTIONS(39), 1,
      anon_sym_chan,
    ACTIONS(561), 1,
      sym_identifier,
    ACTIONS(573), 1,
      anon_sym_func,
    ACTIONS(587), 1,
      anon_sym_LT_DASH,
    ACTIONS(942), 1,
      anon_sym_LBRACK,
    ACTIONS(944), 1,
      anon_sym_STAR,
    ACTIONS(956), 1,
      anon_sym_LPAREN,
    STATE(1099), 2,
      sym_parenthesized_type,
      sym__simple_type,
    STATE(821), 3,
      sym_union_type,
      sym_negated_type,
      sym_qualified_type,
    STATE(830), 9,
      sym_generic_type,
      sym_pointer_type,
      sym_array_type,
      sym_slice_type,
      sym_struct_type,
      sym_interface_type,
      sym_map_type,
      sym_channel_type,
      sym_function_type,
  [45601] = 15,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(844), 1,
      sym_identifier,
    ACTIONS(852), 1,
      anon_sym_func,
    ACTIONS(858), 1,
      anon_sym_struct,
    ACTIONS(862), 1,
      anon_sym_interface,
    ACTIONS(864), 1,
      anon_sym_map,
    ACTIONS(866), 1,
      anon_sym_chan,
    ACTIONS(1064), 1,
      anon_sym_LBRACK,
    ACTIONS(1172), 1,
      anon_sym_LPAREN,
    ACTIONS(1178), 1,
      anon_sym_STAR,
    ACTIONS(1180), 1,
      anon_sym_TILDE,
    ACTIONS(1442), 1,
      anon_sym_LT_DASH,
    STATE(785), 2,
      sym_parenthesized_type,
      sym__simple_type,
    STATE(779), 3,
      sym_union_type,
      sym_negated_type,
      sym_qualified_type,
    STATE(813), 9,
      sym_generic_type,
      sym_pointer_type,
      sym_array_type,
      sym_slice_type,
      sym_struct_type,
      sym_interface_type,
      sym_map_type,
      sym_channel_type,
      sym_function_type,
  [45658] = 15,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(29), 1,
      anon_sym_struct,
    ACTIONS(31), 1,
      anon_sym_TILDE,
    ACTIONS(35), 1,
      anon_sym_interface,
    ACTIONS(37), 1,
      anon_sym_map,
    ACTIONS(39), 1,
      anon_sym_chan,
    ACTIONS(561), 1,
      sym_identifier,
    ACTIONS(573), 1,
      anon_sym_func,
    ACTIONS(587), 1,
      anon_sym_LT_DASH,
    ACTIONS(942), 1,
      anon_sym_LBRACK,
    ACTIONS(944), 1,
      anon_sym_STAR,
    ACTIONS(956), 1,
      anon_sym_LPAREN,
    STATE(1198), 2,
      sym_parenthesized_type,
      sym__simple_type,
    STATE(821), 3,
      sym_union_type,
      sym_negated_type,
      sym_qualified_type,
    STATE(830), 9,
      sym_generic_type,
      sym_pointer_type,
      sym_array_type,
      sym_slice_type,
      sym_struct_type,
      sym_interface_type,
      sym_map_type,
      sym_channel_type,
      sym_function_type,
  [45715] = 15,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(904), 1,
      anon_sym_LPAREN,
    ACTIONS(906), 1,
      anon_sym_LBRACK,
    ACTIONS(966), 1,
      anon_sym_DOT,
    ACTIONS(970), 1,
      anon_sym_PIPE,
    ACTIONS(980), 1,
      anon_sym_AMP_AMP,
    ACTIONS(1158), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(1444), 1,
      anon_sym_RBRACK,
    STATE(396), 1,
      sym_argument_list,
    STATE(1275), 1,
      sym_type_arguments,
    ACTIONS(974), 2,
      anon_sym_AMP,
      anon_sym_SLASH,
    ACTIONS(978), 2,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(972), 3,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_CARET,
    ACTIONS(976), 4,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
    ACTIONS(968), 5,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP_CARET,
  [45772] = 15,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(858), 1,
      anon_sym_struct,
    ACTIONS(862), 1,
      anon_sym_interface,
    ACTIONS(870), 1,
      sym_identifier,
    ACTIONS(872), 1,
      anon_sym_func,
    ACTIONS(878), 1,
      anon_sym_map,
    ACTIONS(880), 1,
      anon_sym_chan,
    ACTIONS(1172), 1,
      anon_sym_LPAREN,
    ACTIONS(1180), 1,
      anon_sym_TILDE,
    ACTIONS(1422), 1,
      anon_sym_LBRACK,
    ACTIONS(1424), 1,
      anon_sym_STAR,
    ACTIONS(1426), 1,
      anon_sym_LT_DASH,
    STATE(812), 2,
      sym_parenthesized_type,
      sym__simple_type,
    STATE(780), 3,
      sym_union_type,
      sym_negated_type,
      sym_qualified_type,
    STATE(813), 9,
      sym_generic_type,
      sym_pointer_type,
      sym_array_type,
      sym_slice_type,
      sym_struct_type,
      sym_interface_type,
      sym_map_type,
      sym_channel_type,
      sym_function_type,
  [45829] = 15,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(29), 1,
      anon_sym_struct,
    ACTIONS(31), 1,
      anon_sym_TILDE,
    ACTIONS(35), 1,
      anon_sym_interface,
    ACTIONS(37), 1,
      anon_sym_map,
    ACTIONS(39), 1,
      anon_sym_chan,
    ACTIONS(561), 1,
      sym_identifier,
    ACTIONS(573), 1,
      anon_sym_func,
    ACTIONS(587), 1,
      anon_sym_LT_DASH,
    ACTIONS(942), 1,
      anon_sym_LBRACK,
    ACTIONS(944), 1,
      anon_sym_STAR,
    ACTIONS(956), 1,
      anon_sym_LPAREN,
    STATE(1028), 2,
      sym_parenthesized_type,
      sym__simple_type,
    STATE(821), 3,
      sym_union_type,
      sym_negated_type,
      sym_qualified_type,
    STATE(830), 9,
      sym_generic_type,
      sym_pointer_type,
      sym_array_type,
      sym_slice_type,
      sym_struct_type,
      sym_interface_type,
      sym_map_type,
      sym_channel_type,
      sym_function_type,
  [45886] = 15,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(29), 1,
      anon_sym_struct,
    ACTIONS(31), 1,
      anon_sym_TILDE,
    ACTIONS(35), 1,
      anon_sym_interface,
    ACTIONS(37), 1,
      anon_sym_map,
    ACTIONS(557), 1,
      anon_sym_chan,
    ACTIONS(561), 1,
      sym_identifier,
    ACTIONS(573), 1,
      anon_sym_func,
    ACTIONS(587), 1,
      anon_sym_LT_DASH,
    ACTIONS(942), 1,
      anon_sym_LBRACK,
    ACTIONS(944), 1,
      anon_sym_STAR,
    ACTIONS(956), 1,
      anon_sym_LPAREN,
    STATE(857), 2,
      sym_parenthesized_type,
      sym__simple_type,
    STATE(821), 3,
      sym_union_type,
      sym_negated_type,
      sym_qualified_type,
    STATE(830), 9,
      sym_generic_type,
      sym_pointer_type,
      sym_array_type,
      sym_slice_type,
      sym_struct_type,
      sym_interface_type,
      sym_map_type,
      sym_channel_type,
      sym_function_type,
  [45943] = 15,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(904), 1,
      anon_sym_LPAREN,
    ACTIONS(906), 1,
      anon_sym_LBRACK,
    ACTIONS(966), 1,
      anon_sym_DOT,
    ACTIONS(970), 1,
      anon_sym_PIPE,
    ACTIONS(980), 1,
      anon_sym_AMP_AMP,
    ACTIONS(1158), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(1446), 1,
      anon_sym_RBRACK,
    STATE(396), 1,
      sym_argument_list,
    STATE(1275), 1,
      sym_type_arguments,
    ACTIONS(974), 2,
      anon_sym_AMP,
      anon_sym_SLASH,
    ACTIONS(978), 2,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(972), 3,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_CARET,
    ACTIONS(976), 4,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
    ACTIONS(968), 5,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP_CARET,
  [46000] = 15,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(904), 1,
      anon_sym_LPAREN,
    ACTIONS(906), 1,
      anon_sym_LBRACK,
    ACTIONS(966), 1,
      anon_sym_DOT,
    ACTIONS(970), 1,
      anon_sym_PIPE,
    ACTIONS(980), 1,
      anon_sym_AMP_AMP,
    ACTIONS(1158), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(1448), 1,
      anon_sym_SEMI,
    STATE(396), 1,
      sym_argument_list,
    STATE(1275), 1,
      sym_type_arguments,
    ACTIONS(974), 2,
      anon_sym_AMP,
      anon_sym_SLASH,
    ACTIONS(978), 2,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(972), 3,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_CARET,
    ACTIONS(976), 4,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
    ACTIONS(968), 5,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP_CARET,
  [46057] = 15,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(992), 1,
      anon_sym_struct,
    ACTIONS(996), 1,
      anon_sym_interface,
    ACTIONS(1010), 1,
      sym_identifier,
    ACTIONS(1012), 1,
      anon_sym_func,
    ACTIONS(1018), 1,
      anon_sym_map,
    ACTIONS(1020), 1,
      anon_sym_chan,
    ACTIONS(1408), 1,
      anon_sym_LPAREN,
    ACTIONS(1410), 1,
      anon_sym_LBRACK,
    ACTIONS(1412), 1,
      anon_sym_STAR,
    ACTIONS(1414), 1,
      anon_sym_TILDE,
    ACTIONS(1416), 1,
      anon_sym_LT_DASH,
    STATE(891), 2,
      sym_parenthesized_type,
      sym__simple_type,
    STATE(870), 3,
      sym_union_type,
      sym_negated_type,
      sym_qualified_type,
    STATE(889), 9,
      sym_generic_type,
      sym_pointer_type,
      sym_array_type,
      sym_slice_type,
      sym_struct_type,
      sym_interface_type,
      sym_map_type,
      sym_channel_type,
      sym_function_type,
  [46114] = 15,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(904), 1,
      anon_sym_LPAREN,
    ACTIONS(906), 1,
      anon_sym_LBRACK,
    ACTIONS(966), 1,
      anon_sym_DOT,
    ACTIONS(970), 1,
      anon_sym_PIPE,
    ACTIONS(980), 1,
      anon_sym_AMP_AMP,
    ACTIONS(1158), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(1450), 1,
      anon_sym_RBRACK,
    STATE(396), 1,
      sym_argument_list,
    STATE(1275), 1,
      sym_type_arguments,
    ACTIONS(974), 2,
      anon_sym_AMP,
      anon_sym_SLASH,
    ACTIONS(978), 2,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(972), 3,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_CARET,
    ACTIONS(976), 4,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
    ACTIONS(968), 5,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP_CARET,
  [46171] = 15,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(992), 1,
      anon_sym_struct,
    ACTIONS(996), 1,
      anon_sym_interface,
    ACTIONS(1010), 1,
      sym_identifier,
    ACTIONS(1012), 1,
      anon_sym_func,
    ACTIONS(1018), 1,
      anon_sym_map,
    ACTIONS(1020), 1,
      anon_sym_chan,
    ACTIONS(1408), 1,
      anon_sym_LPAREN,
    ACTIONS(1410), 1,
      anon_sym_LBRACK,
    ACTIONS(1412), 1,
      anon_sym_STAR,
    ACTIONS(1414), 1,
      anon_sym_TILDE,
    ACTIONS(1434), 1,
      anon_sym_LT_DASH,
    STATE(912), 2,
      sym_parenthesized_type,
      sym__simple_type,
    STATE(870), 3,
      sym_union_type,
      sym_negated_type,
      sym_qualified_type,
    STATE(889), 9,
      sym_generic_type,
      sym_pointer_type,
      sym_array_type,
      sym_slice_type,
      sym_struct_type,
      sym_interface_type,
      sym_map_type,
      sym_channel_type,
      sym_function_type,
  [46228] = 15,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(858), 1,
      anon_sym_struct,
    ACTIONS(862), 1,
      anon_sym_interface,
    ACTIONS(870), 1,
      sym_identifier,
    ACTIONS(872), 1,
      anon_sym_func,
    ACTIONS(878), 1,
      anon_sym_map,
    ACTIONS(1172), 1,
      anon_sym_LPAREN,
    ACTIONS(1180), 1,
      anon_sym_TILDE,
    ACTIONS(1422), 1,
      anon_sym_LBRACK,
    ACTIONS(1424), 1,
      anon_sym_STAR,
    ACTIONS(1426), 1,
      anon_sym_LT_DASH,
    ACTIONS(1452), 1,
      anon_sym_chan,
    STATE(787), 2,
      sym_parenthesized_type,
      sym__simple_type,
    STATE(780), 3,
      sym_union_type,
      sym_negated_type,
      sym_qualified_type,
    STATE(813), 9,
      sym_generic_type,
      sym_pointer_type,
      sym_array_type,
      sym_slice_type,
      sym_struct_type,
      sym_interface_type,
      sym_map_type,
      sym_channel_type,
      sym_function_type,
  [46285] = 15,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(29), 1,
      anon_sym_struct,
    ACTIONS(31), 1,
      anon_sym_TILDE,
    ACTIONS(35), 1,
      anon_sym_interface,
    ACTIONS(37), 1,
      anon_sym_map,
    ACTIONS(39), 1,
      anon_sym_chan,
    ACTIONS(561), 1,
      sym_identifier,
    ACTIONS(573), 1,
      anon_sym_func,
    ACTIONS(587), 1,
      anon_sym_LT_DASH,
    ACTIONS(942), 1,
      anon_sym_LBRACK,
    ACTIONS(944), 1,
      anon_sym_STAR,
    ACTIONS(956), 1,
      anon_sym_LPAREN,
    STATE(1264), 2,
      sym_parenthesized_type,
      sym__simple_type,
    STATE(821), 3,
      sym_union_type,
      sym_negated_type,
      sym_qualified_type,
    STATE(830), 9,
      sym_generic_type,
      sym_pointer_type,
      sym_array_type,
      sym_slice_type,
      sym_struct_type,
      sym_interface_type,
      sym_map_type,
      sym_channel_type,
      sym_function_type,
  [46342] = 15,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(29), 1,
      anon_sym_struct,
    ACTIONS(31), 1,
      anon_sym_TILDE,
    ACTIONS(35), 1,
      anon_sym_interface,
    ACTIONS(37), 1,
      anon_sym_map,
    ACTIONS(39), 1,
      anon_sym_chan,
    ACTIONS(561), 1,
      sym_identifier,
    ACTIONS(573), 1,
      anon_sym_func,
    ACTIONS(587), 1,
      anon_sym_LT_DASH,
    ACTIONS(942), 1,
      anon_sym_LBRACK,
    ACTIONS(944), 1,
      anon_sym_STAR,
    ACTIONS(956), 1,
      anon_sym_LPAREN,
    STATE(1008), 2,
      sym_parenthesized_type,
      sym__simple_type,
    STATE(821), 3,
      sym_union_type,
      sym_negated_type,
      sym_qualified_type,
    STATE(830), 9,
      sym_generic_type,
      sym_pointer_type,
      sym_array_type,
      sym_slice_type,
      sym_struct_type,
      sym_interface_type,
      sym_map_type,
      sym_channel_type,
      sym_function_type,
  [46399] = 15,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(858), 1,
      anon_sym_struct,
    ACTIONS(862), 1,
      anon_sym_interface,
    ACTIONS(870), 1,
      sym_identifier,
    ACTIONS(872), 1,
      anon_sym_func,
    ACTIONS(878), 1,
      anon_sym_map,
    ACTIONS(880), 1,
      anon_sym_chan,
    ACTIONS(1172), 1,
      anon_sym_LPAREN,
    ACTIONS(1180), 1,
      anon_sym_TILDE,
    ACTIONS(1422), 1,
      anon_sym_LBRACK,
    ACTIONS(1424), 1,
      anon_sym_STAR,
    ACTIONS(1426), 1,
      anon_sym_LT_DASH,
    STATE(798), 2,
      sym_parenthesized_type,
      sym__simple_type,
    STATE(780), 3,
      sym_union_type,
      sym_negated_type,
      sym_qualified_type,
    STATE(813), 9,
      sym_generic_type,
      sym_pointer_type,
      sym_array_type,
      sym_slice_type,
      sym_struct_type,
      sym_interface_type,
      sym_map_type,
      sym_channel_type,
      sym_function_type,
  [46456] = 15,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(29), 1,
      anon_sym_struct,
    ACTIONS(31), 1,
      anon_sym_TILDE,
    ACTIONS(35), 1,
      anon_sym_interface,
    ACTIONS(37), 1,
      anon_sym_map,
    ACTIONS(39), 1,
      anon_sym_chan,
    ACTIONS(561), 1,
      sym_identifier,
    ACTIONS(573), 1,
      anon_sym_func,
    ACTIONS(587), 1,
      anon_sym_LT_DASH,
    ACTIONS(942), 1,
      anon_sym_LBRACK,
    ACTIONS(944), 1,
      anon_sym_STAR,
    ACTIONS(956), 1,
      anon_sym_LPAREN,
    STATE(1282), 2,
      sym_parenthesized_type,
      sym__simple_type,
    STATE(821), 3,
      sym_union_type,
      sym_negated_type,
      sym_qualified_type,
    STATE(830), 9,
      sym_generic_type,
      sym_pointer_type,
      sym_array_type,
      sym_slice_type,
      sym_struct_type,
      sym_interface_type,
      sym_map_type,
      sym_channel_type,
      sym_function_type,
  [46513] = 15,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(29), 1,
      anon_sym_struct,
    ACTIONS(31), 1,
      anon_sym_TILDE,
    ACTIONS(35), 1,
      anon_sym_interface,
    ACTIONS(37), 1,
      anon_sym_map,
    ACTIONS(39), 1,
      anon_sym_chan,
    ACTIONS(561), 1,
      sym_identifier,
    ACTIONS(573), 1,
      anon_sym_func,
    ACTIONS(587), 1,
      anon_sym_LT_DASH,
    ACTIONS(942), 1,
      anon_sym_LBRACK,
    ACTIONS(944), 1,
      anon_sym_STAR,
    ACTIONS(956), 1,
      anon_sym_LPAREN,
    STATE(1013), 2,
      sym_parenthesized_type,
      sym__simple_type,
    STATE(821), 3,
      sym_union_type,
      sym_negated_type,
      sym_qualified_type,
    STATE(830), 9,
      sym_generic_type,
      sym_pointer_type,
      sym_array_type,
      sym_slice_type,
      sym_struct_type,
      sym_interface_type,
      sym_map_type,
      sym_channel_type,
      sym_function_type,
  [46570] = 15,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(29), 1,
      anon_sym_struct,
    ACTIONS(31), 1,
      anon_sym_TILDE,
    ACTIONS(35), 1,
      anon_sym_interface,
    ACTIONS(37), 1,
      anon_sym_map,
    ACTIONS(39), 1,
      anon_sym_chan,
    ACTIONS(561), 1,
      sym_identifier,
    ACTIONS(573), 1,
      anon_sym_func,
    ACTIONS(587), 1,
      anon_sym_LT_DASH,
    ACTIONS(942), 1,
      anon_sym_LBRACK,
    ACTIONS(944), 1,
      anon_sym_STAR,
    ACTIONS(956), 1,
      anon_sym_LPAREN,
    STATE(1012), 2,
      sym_parenthesized_type,
      sym__simple_type,
    STATE(821), 3,
      sym_union_type,
      sym_negated_type,
      sym_qualified_type,
    STATE(830), 9,
      sym_generic_type,
      sym_pointer_type,
      sym_array_type,
      sym_slice_type,
      sym_struct_type,
      sym_interface_type,
      sym_map_type,
      sym_channel_type,
      sym_function_type,
  [46627] = 15,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(29), 1,
      anon_sym_struct,
    ACTIONS(31), 1,
      anon_sym_TILDE,
    ACTIONS(35), 1,
      anon_sym_interface,
    ACTIONS(37), 1,
      anon_sym_map,
    ACTIONS(39), 1,
      anon_sym_chan,
    ACTIONS(561), 1,
      sym_identifier,
    ACTIONS(573), 1,
      anon_sym_func,
    ACTIONS(587), 1,
      anon_sym_LT_DASH,
    ACTIONS(942), 1,
      anon_sym_LBRACK,
    ACTIONS(944), 1,
      anon_sym_STAR,
    ACTIONS(956), 1,
      anon_sym_LPAREN,
    STATE(845), 2,
      sym_parenthesized_type,
      sym__simple_type,
    STATE(821), 3,
      sym_union_type,
      sym_negated_type,
      sym_qualified_type,
    STATE(830), 9,
      sym_generic_type,
      sym_pointer_type,
      sym_array_type,
      sym_slice_type,
      sym_struct_type,
      sym_interface_type,
      sym_map_type,
      sym_channel_type,
      sym_function_type,
  [46684] = 15,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(992), 1,
      anon_sym_struct,
    ACTIONS(996), 1,
      anon_sym_interface,
    ACTIONS(1010), 1,
      sym_identifier,
    ACTIONS(1012), 1,
      anon_sym_func,
    ACTIONS(1018), 1,
      anon_sym_map,
    ACTIONS(1408), 1,
      anon_sym_LPAREN,
    ACTIONS(1410), 1,
      anon_sym_LBRACK,
    ACTIONS(1412), 1,
      anon_sym_STAR,
    ACTIONS(1414), 1,
      anon_sym_TILDE,
    ACTIONS(1416), 1,
      anon_sym_LT_DASH,
    ACTIONS(1454), 1,
      anon_sym_chan,
    STATE(911), 2,
      sym_parenthesized_type,
      sym__simple_type,
    STATE(870), 3,
      sym_union_type,
      sym_negated_type,
      sym_qualified_type,
    STATE(889), 9,
      sym_generic_type,
      sym_pointer_type,
      sym_array_type,
      sym_slice_type,
      sym_struct_type,
      sym_interface_type,
      sym_map_type,
      sym_channel_type,
      sym_function_type,
  [46741] = 15,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(29), 1,
      anon_sym_struct,
    ACTIONS(31), 1,
      anon_sym_TILDE,
    ACTIONS(35), 1,
      anon_sym_interface,
    ACTIONS(37), 1,
      anon_sym_map,
    ACTIONS(39), 1,
      anon_sym_chan,
    ACTIONS(561), 1,
      sym_identifier,
    ACTIONS(573), 1,
      anon_sym_func,
    ACTIONS(587), 1,
      anon_sym_LT_DASH,
    ACTIONS(942), 1,
      anon_sym_LBRACK,
    ACTIONS(944), 1,
      anon_sym_STAR,
    ACTIONS(956), 1,
      anon_sym_LPAREN,
    STATE(1287), 2,
      sym_parenthesized_type,
      sym__simple_type,
    STATE(821), 3,
      sym_union_type,
      sym_negated_type,
      sym_qualified_type,
    STATE(830), 9,
      sym_generic_type,
      sym_pointer_type,
      sym_array_type,
      sym_slice_type,
      sym_struct_type,
      sym_interface_type,
      sym_map_type,
      sym_channel_type,
      sym_function_type,
  [46798] = 15,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(982), 1,
      sym_identifier,
    ACTIONS(986), 1,
      anon_sym_func,
    ACTIONS(992), 1,
      anon_sym_struct,
    ACTIONS(996), 1,
      anon_sym_interface,
    ACTIONS(998), 1,
      anon_sym_map,
    ACTIONS(1000), 1,
      anon_sym_chan,
    ACTIONS(1408), 1,
      anon_sym_LPAREN,
    ACTIONS(1414), 1,
      anon_sym_TILDE,
    ACTIONS(1428), 1,
      anon_sym_LBRACK,
    ACTIONS(1430), 1,
      anon_sym_STAR,
    ACTIONS(1432), 1,
      anon_sym_LT_DASH,
    STATE(907), 2,
      sym_parenthesized_type,
      sym__simple_type,
    STATE(871), 3,
      sym_union_type,
      sym_negated_type,
      sym_qualified_type,
    STATE(889), 9,
      sym_generic_type,
      sym_pointer_type,
      sym_array_type,
      sym_slice_type,
      sym_struct_type,
      sym_interface_type,
      sym_map_type,
      sym_channel_type,
      sym_function_type,
  [46855] = 15,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(982), 1,
      sym_identifier,
    ACTIONS(986), 1,
      anon_sym_func,
    ACTIONS(992), 1,
      anon_sym_struct,
    ACTIONS(996), 1,
      anon_sym_interface,
    ACTIONS(998), 1,
      anon_sym_map,
    ACTIONS(1000), 1,
      anon_sym_chan,
    ACTIONS(1408), 1,
      anon_sym_LPAREN,
    ACTIONS(1414), 1,
      anon_sym_TILDE,
    ACTIONS(1428), 1,
      anon_sym_LBRACK,
    ACTIONS(1430), 1,
      anon_sym_STAR,
    ACTIONS(1432), 1,
      anon_sym_LT_DASH,
    STATE(903), 2,
      sym_parenthesized_type,
      sym__simple_type,
    STATE(871), 3,
      sym_union_type,
      sym_negated_type,
      sym_qualified_type,
    STATE(889), 9,
      sym_generic_type,
      sym_pointer_type,
      sym_array_type,
      sym_slice_type,
      sym_struct_type,
      sym_interface_type,
      sym_map_type,
      sym_channel_type,
      sym_function_type,
  [46912] = 15,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(904), 1,
      anon_sym_LPAREN,
    ACTIONS(906), 1,
      anon_sym_LBRACK,
    ACTIONS(966), 1,
      anon_sym_DOT,
    ACTIONS(1190), 1,
      anon_sym_PIPE,
    ACTIONS(1200), 1,
      anon_sym_AMP_AMP,
    ACTIONS(1202), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(1456), 1,
      anon_sym_RPAREN,
    STATE(396), 1,
      sym_argument_list,
    STATE(1275), 1,
      sym_type_arguments,
    ACTIONS(1194), 2,
      anon_sym_AMP,
      anon_sym_SLASH,
    ACTIONS(1198), 2,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(1192), 3,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_CARET,
    ACTIONS(1196), 4,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
    ACTIONS(1188), 5,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP_CARET,
  [46969] = 15,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(904), 1,
      anon_sym_LPAREN,
    ACTIONS(906), 1,
      anon_sym_LBRACK,
    ACTIONS(966), 1,
      anon_sym_DOT,
    ACTIONS(1208), 1,
      anon_sym_PIPE,
    ACTIONS(1220), 1,
      anon_sym_AMP_AMP,
    ACTIONS(1222), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(1458), 1,
      anon_sym_LBRACE,
    STATE(396), 1,
      sym_argument_list,
    STATE(1275), 1,
      sym_type_arguments,
    ACTIONS(1214), 2,
      anon_sym_AMP,
      anon_sym_SLASH,
    ACTIONS(1218), 2,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(1212), 3,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_CARET,
    ACTIONS(1216), 4,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
    ACTIONS(1206), 5,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP_CARET,
  [47026] = 15,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(904), 1,
      anon_sym_LPAREN,
    ACTIONS(906), 1,
      anon_sym_LBRACK,
    ACTIONS(966), 1,
      anon_sym_DOT,
    ACTIONS(970), 1,
      anon_sym_PIPE,
    ACTIONS(980), 1,
      anon_sym_AMP_AMP,
    ACTIONS(1158), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(1460), 1,
      anon_sym_RBRACK,
    STATE(396), 1,
      sym_argument_list,
    STATE(1275), 1,
      sym_type_arguments,
    ACTIONS(974), 2,
      anon_sym_AMP,
      anon_sym_SLASH,
    ACTIONS(978), 2,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(972), 3,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_CARET,
    ACTIONS(976), 4,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
    ACTIONS(968), 5,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP_CARET,
  [47083] = 15,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(904), 1,
      anon_sym_LPAREN,
    ACTIONS(906), 1,
      anon_sym_LBRACK,
    ACTIONS(966), 1,
      anon_sym_DOT,
    ACTIONS(1190), 1,
      anon_sym_PIPE,
    ACTIONS(1200), 1,
      anon_sym_AMP_AMP,
    ACTIONS(1202), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(1462), 1,
      anon_sym_RPAREN,
    STATE(396), 1,
      sym_argument_list,
    STATE(1275), 1,
      sym_type_arguments,
    ACTIONS(1194), 2,
      anon_sym_AMP,
      anon_sym_SLASH,
    ACTIONS(1198), 2,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(1192), 3,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_CARET,
    ACTIONS(1196), 4,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
    ACTIONS(1188), 5,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP_CARET,
  [47140] = 15,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(904), 1,
      anon_sym_LPAREN,
    ACTIONS(906), 1,
      anon_sym_LBRACK,
    ACTIONS(966), 1,
      anon_sym_DOT,
    ACTIONS(970), 1,
      anon_sym_PIPE,
    ACTIONS(980), 1,
      anon_sym_AMP_AMP,
    ACTIONS(1158), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(1464), 1,
      anon_sym_RBRACK,
    STATE(396), 1,
      sym_argument_list,
    STATE(1275), 1,
      sym_type_arguments,
    ACTIONS(974), 2,
      anon_sym_AMP,
      anon_sym_SLASH,
    ACTIONS(978), 2,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(972), 3,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_CARET,
    ACTIONS(976), 4,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
    ACTIONS(968), 5,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP_CARET,
  [47197] = 15,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(904), 1,
      anon_sym_LPAREN,
    ACTIONS(906), 1,
      anon_sym_LBRACK,
    ACTIONS(966), 1,
      anon_sym_DOT,
    ACTIONS(970), 1,
      anon_sym_PIPE,
    ACTIONS(980), 1,
      anon_sym_AMP_AMP,
    ACTIONS(1158), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(1466), 1,
      anon_sym_COLON,
    STATE(396), 1,
      sym_argument_list,
    STATE(1275), 1,
      sym_type_arguments,
    ACTIONS(974), 2,
      anon_sym_AMP,
      anon_sym_SLASH,
    ACTIONS(978), 2,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(972), 3,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_CARET,
    ACTIONS(976), 4,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
    ACTIONS(968), 5,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP_CARET,
  [47254] = 15,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(992), 1,
      anon_sym_struct,
    ACTIONS(996), 1,
      anon_sym_interface,
    ACTIONS(1010), 1,
      sym_identifier,
    ACTIONS(1012), 1,
      anon_sym_func,
    ACTIONS(1018), 1,
      anon_sym_map,
    ACTIONS(1020), 1,
      anon_sym_chan,
    ACTIONS(1408), 1,
      anon_sym_LPAREN,
    ACTIONS(1410), 1,
      anon_sym_LBRACK,
    ACTIONS(1412), 1,
      anon_sym_STAR,
    ACTIONS(1414), 1,
      anon_sym_TILDE,
    ACTIONS(1416), 1,
      anon_sym_LT_DASH,
    STATE(903), 2,
      sym_parenthesized_type,
      sym__simple_type,
    STATE(870), 3,
      sym_union_type,
      sym_negated_type,
      sym_qualified_type,
    STATE(889), 9,
      sym_generic_type,
      sym_pointer_type,
      sym_array_type,
      sym_slice_type,
      sym_struct_type,
      sym_interface_type,
      sym_map_type,
      sym_channel_type,
      sym_function_type,
  [47311] = 15,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(29), 1,
      anon_sym_struct,
    ACTIONS(31), 1,
      anon_sym_TILDE,
    ACTIONS(35), 1,
      anon_sym_interface,
    ACTIONS(37), 1,
      anon_sym_map,
    ACTIONS(39), 1,
      anon_sym_chan,
    ACTIONS(561), 1,
      sym_identifier,
    ACTIONS(573), 1,
      anon_sym_func,
    ACTIONS(587), 1,
      anon_sym_LT_DASH,
    ACTIONS(942), 1,
      anon_sym_LBRACK,
    ACTIONS(944), 1,
      anon_sym_STAR,
    ACTIONS(956), 1,
      anon_sym_LPAREN,
    STATE(1213), 2,
      sym_parenthesized_type,
      sym__simple_type,
    STATE(821), 3,
      sym_union_type,
      sym_negated_type,
      sym_qualified_type,
    STATE(830), 9,
      sym_generic_type,
      sym_pointer_type,
      sym_array_type,
      sym_slice_type,
      sym_struct_type,
      sym_interface_type,
      sym_map_type,
      sym_channel_type,
      sym_function_type,
  [47368] = 15,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(992), 1,
      anon_sym_struct,
    ACTIONS(996), 1,
      anon_sym_interface,
    ACTIONS(1010), 1,
      sym_identifier,
    ACTIONS(1012), 1,
      anon_sym_func,
    ACTIONS(1018), 1,
      anon_sym_map,
    ACTIONS(1020), 1,
      anon_sym_chan,
    ACTIONS(1408), 1,
      anon_sym_LPAREN,
    ACTIONS(1410), 1,
      anon_sym_LBRACK,
    ACTIONS(1412), 1,
      anon_sym_STAR,
    ACTIONS(1414), 1,
      anon_sym_TILDE,
    ACTIONS(1416), 1,
      anon_sym_LT_DASH,
    STATE(907), 2,
      sym_parenthesized_type,
      sym__simple_type,
    STATE(870), 3,
      sym_union_type,
      sym_negated_type,
      sym_qualified_type,
    STATE(889), 9,
      sym_generic_type,
      sym_pointer_type,
      sym_array_type,
      sym_slice_type,
      sym_struct_type,
      sym_interface_type,
      sym_map_type,
      sym_channel_type,
      sym_function_type,
  [47425] = 15,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(992), 1,
      anon_sym_struct,
    ACTIONS(996), 1,
      anon_sym_interface,
    ACTIONS(1010), 1,
      sym_identifier,
    ACTIONS(1012), 1,
      anon_sym_func,
    ACTIONS(1018), 1,
      anon_sym_map,
    ACTIONS(1020), 1,
      anon_sym_chan,
    ACTIONS(1408), 1,
      anon_sym_LPAREN,
    ACTIONS(1410), 1,
      anon_sym_LBRACK,
    ACTIONS(1412), 1,
      anon_sym_STAR,
    ACTIONS(1414), 1,
      anon_sym_TILDE,
    ACTIONS(1416), 1,
      anon_sym_LT_DASH,
    STATE(943), 2,
      sym_parenthesized_type,
      sym__simple_type,
    STATE(870), 3,
      sym_union_type,
      sym_negated_type,
      sym_qualified_type,
    STATE(889), 9,
      sym_generic_type,
      sym_pointer_type,
      sym_array_type,
      sym_slice_type,
      sym_struct_type,
      sym_interface_type,
      sym_map_type,
      sym_channel_type,
      sym_function_type,
  [47482] = 15,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(29), 1,
      anon_sym_struct,
    ACTIONS(31), 1,
      anon_sym_TILDE,
    ACTIONS(35), 1,
      anon_sym_interface,
    ACTIONS(37), 1,
      anon_sym_map,
    ACTIONS(39), 1,
      anon_sym_chan,
    ACTIONS(561), 1,
      sym_identifier,
    ACTIONS(573), 1,
      anon_sym_func,
    ACTIONS(587), 1,
      anon_sym_LT_DASH,
    ACTIONS(942), 1,
      anon_sym_LBRACK,
    ACTIONS(944), 1,
      anon_sym_STAR,
    ACTIONS(956), 1,
      anon_sym_LPAREN,
    STATE(1087), 2,
      sym_parenthesized_type,
      sym__simple_type,
    STATE(821), 3,
      sym_union_type,
      sym_negated_type,
      sym_qualified_type,
    STATE(830), 9,
      sym_generic_type,
      sym_pointer_type,
      sym_array_type,
      sym_slice_type,
      sym_struct_type,
      sym_interface_type,
      sym_map_type,
      sym_channel_type,
      sym_function_type,
  [47539] = 15,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(904), 1,
      anon_sym_LPAREN,
    ACTIONS(906), 1,
      anon_sym_LBRACK,
    ACTIONS(966), 1,
      anon_sym_DOT,
    ACTIONS(970), 1,
      anon_sym_PIPE,
    ACTIONS(980), 1,
      anon_sym_AMP_AMP,
    ACTIONS(1158), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(1468), 1,
      anon_sym_RBRACK,
    STATE(396), 1,
      sym_argument_list,
    STATE(1275), 1,
      sym_type_arguments,
    ACTIONS(974), 2,
      anon_sym_AMP,
      anon_sym_SLASH,
    ACTIONS(978), 2,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(972), 3,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_CARET,
    ACTIONS(976), 4,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
    ACTIONS(968), 5,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP_CARET,
  [47596] = 15,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(29), 1,
      anon_sym_struct,
    ACTIONS(31), 1,
      anon_sym_TILDE,
    ACTIONS(35), 1,
      anon_sym_interface,
    ACTIONS(37), 1,
      anon_sym_map,
    ACTIONS(39), 1,
      anon_sym_chan,
    ACTIONS(561), 1,
      sym_identifier,
    ACTIONS(573), 1,
      anon_sym_func,
    ACTIONS(942), 1,
      anon_sym_LBRACK,
    ACTIONS(944), 1,
      anon_sym_STAR,
    ACTIONS(956), 1,
      anon_sym_LPAREN,
    ACTIONS(1470), 1,
      anon_sym_LT_DASH,
    STATE(856), 2,
      sym_parenthesized_type,
      sym__simple_type,
    STATE(821), 3,
      sym_union_type,
      sym_negated_type,
      sym_qualified_type,
    STATE(830), 9,
      sym_generic_type,
      sym_pointer_type,
      sym_array_type,
      sym_slice_type,
      sym_struct_type,
      sym_interface_type,
      sym_map_type,
      sym_channel_type,
      sym_function_type,
  [47653] = 15,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(29), 1,
      anon_sym_struct,
    ACTIONS(31), 1,
      anon_sym_TILDE,
    ACTIONS(35), 1,
      anon_sym_interface,
    ACTIONS(37), 1,
      anon_sym_map,
    ACTIONS(39), 1,
      anon_sym_chan,
    ACTIONS(561), 1,
      sym_identifier,
    ACTIONS(573), 1,
      anon_sym_func,
    ACTIONS(587), 1,
      anon_sym_LT_DASH,
    ACTIONS(942), 1,
      anon_sym_LBRACK,
    ACTIONS(944), 1,
      anon_sym_STAR,
    ACTIONS(956), 1,
      anon_sym_LPAREN,
    STATE(838), 2,
      sym_parenthesized_type,
      sym__simple_type,
    STATE(821), 3,
      sym_union_type,
      sym_negated_type,
      sym_qualified_type,
    STATE(830), 9,
      sym_generic_type,
      sym_pointer_type,
      sym_array_type,
      sym_slice_type,
      sym_struct_type,
      sym_interface_type,
      sym_map_type,
      sym_channel_type,
      sym_function_type,
  [47710] = 15,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(904), 1,
      anon_sym_LPAREN,
    ACTIONS(906), 1,
      anon_sym_LBRACK,
    ACTIONS(966), 1,
      anon_sym_DOT,
    ACTIONS(970), 1,
      anon_sym_PIPE,
    ACTIONS(980), 1,
      anon_sym_AMP_AMP,
    ACTIONS(1158), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(1472), 1,
      anon_sym_RBRACK,
    STATE(396), 1,
      sym_argument_list,
    STATE(1275), 1,
      sym_type_arguments,
    ACTIONS(974), 2,
      anon_sym_AMP,
      anon_sym_SLASH,
    ACTIONS(978), 2,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(972), 3,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_CARET,
    ACTIONS(976), 4,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
    ACTIONS(968), 5,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP_CARET,
  [47767] = 15,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(904), 1,
      anon_sym_LPAREN,
    ACTIONS(906), 1,
      anon_sym_LBRACK,
    ACTIONS(966), 1,
      anon_sym_DOT,
    ACTIONS(970), 1,
      anon_sym_PIPE,
    ACTIONS(980), 1,
      anon_sym_AMP_AMP,
    ACTIONS(1158), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(1474), 1,
      anon_sym_RBRACK,
    STATE(396), 1,
      sym_argument_list,
    STATE(1275), 1,
      sym_type_arguments,
    ACTIONS(974), 2,
      anon_sym_AMP,
      anon_sym_SLASH,
    ACTIONS(978), 2,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(972), 3,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_CARET,
    ACTIONS(976), 4,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
    ACTIONS(968), 5,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP_CARET,
  [47824] = 15,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(29), 1,
      anon_sym_struct,
    ACTIONS(31), 1,
      anon_sym_TILDE,
    ACTIONS(35), 1,
      anon_sym_interface,
    ACTIONS(926), 1,
      sym_identifier,
    ACTIONS(930), 1,
      anon_sym_func,
    ACTIONS(932), 1,
      anon_sym_LBRACK,
    ACTIONS(934), 1,
      anon_sym_STAR,
    ACTIONS(936), 1,
      anon_sym_map,
    ACTIONS(940), 1,
      anon_sym_LT_DASH,
    ACTIONS(956), 1,
      anon_sym_LPAREN,
    ACTIONS(1476), 1,
      anon_sym_chan,
    STATE(857), 2,
      sym_parenthesized_type,
      sym__simple_type,
    STATE(817), 3,
      sym_union_type,
      sym_negated_type,
      sym_qualified_type,
    STATE(830), 9,
      sym_generic_type,
      sym_pointer_type,
      sym_array_type,
      sym_slice_type,
      sym_struct_type,
      sym_interface_type,
      sym_map_type,
      sym_channel_type,
      sym_function_type,
  [47881] = 15,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(29), 1,
      anon_sym_struct,
    ACTIONS(31), 1,
      anon_sym_TILDE,
    ACTIONS(35), 1,
      anon_sym_interface,
    ACTIONS(37), 1,
      anon_sym_map,
    ACTIONS(39), 1,
      anon_sym_chan,
    ACTIONS(561), 1,
      sym_identifier,
    ACTIONS(573), 1,
      anon_sym_func,
    ACTIONS(587), 1,
      anon_sym_LT_DASH,
    ACTIONS(942), 1,
      anon_sym_LBRACK,
    ACTIONS(944), 1,
      anon_sym_STAR,
    ACTIONS(956), 1,
      anon_sym_LPAREN,
    STATE(834), 2,
      sym_parenthesized_type,
      sym__simple_type,
    STATE(821), 3,
      sym_union_type,
      sym_negated_type,
      sym_qualified_type,
    STATE(830), 9,
      sym_generic_type,
      sym_pointer_type,
      sym_array_type,
      sym_slice_type,
      sym_struct_type,
      sym_interface_type,
      sym_map_type,
      sym_channel_type,
      sym_function_type,
  [47938] = 15,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(982), 1,
      sym_identifier,
    ACTIONS(986), 1,
      anon_sym_func,
    ACTIONS(992), 1,
      anon_sym_struct,
    ACTIONS(996), 1,
      anon_sym_interface,
    ACTIONS(998), 1,
      anon_sym_map,
    ACTIONS(1000), 1,
      anon_sym_chan,
    ACTIONS(1408), 1,
      anon_sym_LPAREN,
    ACTIONS(1414), 1,
      anon_sym_TILDE,
    ACTIONS(1428), 1,
      anon_sym_LBRACK,
    ACTIONS(1430), 1,
      anon_sym_STAR,
    ACTIONS(1478), 1,
      anon_sym_LT_DASH,
    STATE(892), 2,
      sym_parenthesized_type,
      sym__simple_type,
    STATE(871), 3,
      sym_union_type,
      sym_negated_type,
      sym_qualified_type,
    STATE(889), 9,
      sym_generic_type,
      sym_pointer_type,
      sym_array_type,
      sym_slice_type,
      sym_struct_type,
      sym_interface_type,
      sym_map_type,
      sym_channel_type,
      sym_function_type,
  [47995] = 15,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(29), 1,
      anon_sym_struct,
    ACTIONS(31), 1,
      anon_sym_TILDE,
    ACTIONS(35), 1,
      anon_sym_interface,
    ACTIONS(926), 1,
      sym_identifier,
    ACTIONS(930), 1,
      anon_sym_func,
    ACTIONS(932), 1,
      anon_sym_LBRACK,
    ACTIONS(934), 1,
      anon_sym_STAR,
    ACTIONS(936), 1,
      anon_sym_map,
    ACTIONS(938), 1,
      anon_sym_chan,
    ACTIONS(956), 1,
      anon_sym_LPAREN,
    ACTIONS(1480), 1,
      anon_sym_LT_DASH,
    STATE(856), 2,
      sym_parenthesized_type,
      sym__simple_type,
    STATE(817), 3,
      sym_union_type,
      sym_negated_type,
      sym_qualified_type,
    STATE(830), 9,
      sym_generic_type,
      sym_pointer_type,
      sym_array_type,
      sym_slice_type,
      sym_struct_type,
      sym_interface_type,
      sym_map_type,
      sym_channel_type,
      sym_function_type,
  [48052] = 15,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(29), 1,
      anon_sym_struct,
    ACTIONS(31), 1,
      anon_sym_TILDE,
    ACTIONS(35), 1,
      anon_sym_interface,
    ACTIONS(926), 1,
      sym_identifier,
    ACTIONS(930), 1,
      anon_sym_func,
    ACTIONS(932), 1,
      anon_sym_LBRACK,
    ACTIONS(934), 1,
      anon_sym_STAR,
    ACTIONS(936), 1,
      anon_sym_map,
    ACTIONS(938), 1,
      anon_sym_chan,
    ACTIONS(940), 1,
      anon_sym_LT_DASH,
    ACTIONS(956), 1,
      anon_sym_LPAREN,
    STATE(838), 2,
      sym_parenthesized_type,
      sym__simple_type,
    STATE(817), 3,
      sym_union_type,
      sym_negated_type,
      sym_qualified_type,
    STATE(830), 9,
      sym_generic_type,
      sym_pointer_type,
      sym_array_type,
      sym_slice_type,
      sym_struct_type,
      sym_interface_type,
      sym_map_type,
      sym_channel_type,
      sym_function_type,
  [48109] = 15,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(844), 1,
      sym_identifier,
    ACTIONS(852), 1,
      anon_sym_func,
    ACTIONS(858), 1,
      anon_sym_struct,
    ACTIONS(862), 1,
      anon_sym_interface,
    ACTIONS(864), 1,
      anon_sym_map,
    ACTIONS(866), 1,
      anon_sym_chan,
    ACTIONS(1064), 1,
      anon_sym_LBRACK,
    ACTIONS(1072), 1,
      anon_sym_LT_DASH,
    ACTIONS(1172), 1,
      anon_sym_LPAREN,
    ACTIONS(1178), 1,
      anon_sym_STAR,
    ACTIONS(1180), 1,
      anon_sym_TILDE,
    STATE(902), 2,
      sym_parenthesized_type,
      sym__simple_type,
    STATE(779), 3,
      sym_union_type,
      sym_negated_type,
      sym_qualified_type,
    STATE(813), 9,
      sym_generic_type,
      sym_pointer_type,
      sym_array_type,
      sym_slice_type,
      sym_struct_type,
      sym_interface_type,
      sym_map_type,
      sym_channel_type,
      sym_function_type,
  [48166] = 15,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(844), 1,
      sym_identifier,
    ACTIONS(852), 1,
      anon_sym_func,
    ACTIONS(858), 1,
      anon_sym_struct,
    ACTIONS(862), 1,
      anon_sym_interface,
    ACTIONS(864), 1,
      anon_sym_map,
    ACTIONS(866), 1,
      anon_sym_chan,
    ACTIONS(1064), 1,
      anon_sym_LBRACK,
    ACTIONS(1072), 1,
      anon_sym_LT_DASH,
    ACTIONS(1172), 1,
      anon_sym_LPAREN,
    ACTIONS(1178), 1,
      anon_sym_STAR,
    ACTIONS(1180), 1,
      anon_sym_TILDE,
    STATE(900), 2,
      sym_parenthesized_type,
      sym__simple_type,
    STATE(779), 3,
      sym_union_type,
      sym_negated_type,
      sym_qualified_type,
    STATE(813), 9,
      sym_generic_type,
      sym_pointer_type,
      sym_array_type,
      sym_slice_type,
      sym_struct_type,
      sym_interface_type,
      sym_map_type,
      sym_channel_type,
      sym_function_type,
  [48223] = 17,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(29), 1,
      anon_sym_struct,
    ACTIONS(31), 1,
      anon_sym_TILDE,
    ACTIONS(35), 1,
      anon_sym_interface,
    ACTIONS(37), 1,
      anon_sym_map,
    ACTIONS(39), 1,
      anon_sym_chan,
    ACTIONS(573), 1,
      anon_sym_func,
    ACTIONS(587), 1,
      anon_sym_LT_DASH,
    ACTIONS(942), 1,
      anon_sym_LBRACK,
    ACTIONS(944), 1,
      anon_sym_STAR,
    ACTIONS(956), 1,
      anon_sym_LPAREN,
    ACTIONS(1482), 1,
      sym_identifier,
    STATE(843), 1,
      sym_qualified_type,
    STATE(872), 1,
      sym_generic_type,
    STATE(841), 2,
      sym_parenthesized_type,
      sym__simple_type,
    STATE(1176), 2,
      sym_union_type,
      sym_negated_type,
    STATE(830), 8,
      sym_pointer_type,
      sym_array_type,
      sym_slice_type,
      sym_struct_type,
      sym_interface_type,
      sym_map_type,
      sym_channel_type,
      sym_function_type,
  [48284] = 15,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(29), 1,
      anon_sym_struct,
    ACTIONS(31), 1,
      anon_sym_TILDE,
    ACTIONS(35), 1,
      anon_sym_interface,
    ACTIONS(37), 1,
      anon_sym_map,
    ACTIONS(39), 1,
      anon_sym_chan,
    ACTIONS(561), 1,
      sym_identifier,
    ACTIONS(573), 1,
      anon_sym_func,
    ACTIONS(587), 1,
      anon_sym_LT_DASH,
    ACTIONS(942), 1,
      anon_sym_LBRACK,
    ACTIONS(944), 1,
      anon_sym_STAR,
    ACTIONS(956), 1,
      anon_sym_LPAREN,
    STATE(1183), 2,
      sym_parenthesized_type,
      sym__simple_type,
    STATE(821), 3,
      sym_union_type,
      sym_negated_type,
      sym_qualified_type,
    STATE(830), 9,
      sym_generic_type,
      sym_pointer_type,
      sym_array_type,
      sym_slice_type,
      sym_struct_type,
      sym_interface_type,
      sym_map_type,
      sym_channel_type,
      sym_function_type,
  [48341] = 15,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(29), 1,
      anon_sym_struct,
    ACTIONS(31), 1,
      anon_sym_TILDE,
    ACTIONS(35), 1,
      anon_sym_interface,
    ACTIONS(926), 1,
      sym_identifier,
    ACTIONS(930), 1,
      anon_sym_func,
    ACTIONS(932), 1,
      anon_sym_LBRACK,
    ACTIONS(934), 1,
      anon_sym_STAR,
    ACTIONS(936), 1,
      anon_sym_map,
    ACTIONS(938), 1,
      anon_sym_chan,
    ACTIONS(940), 1,
      anon_sym_LT_DASH,
    ACTIONS(956), 1,
      anon_sym_LPAREN,
    STATE(846), 2,
      sym_parenthesized_type,
      sym__simple_type,
    STATE(817), 3,
      sym_union_type,
      sym_negated_type,
      sym_qualified_type,
    STATE(830), 9,
      sym_generic_type,
      sym_pointer_type,
      sym_array_type,
      sym_slice_type,
      sym_struct_type,
      sym_interface_type,
      sym_map_type,
      sym_channel_type,
      sym_function_type,
  [48398] = 15,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(29), 1,
      anon_sym_struct,
    ACTIONS(31), 1,
      anon_sym_TILDE,
    ACTIONS(35), 1,
      anon_sym_interface,
    ACTIONS(926), 1,
      sym_identifier,
    ACTIONS(930), 1,
      anon_sym_func,
    ACTIONS(932), 1,
      anon_sym_LBRACK,
    ACTIONS(934), 1,
      anon_sym_STAR,
    ACTIONS(936), 1,
      anon_sym_map,
    ACTIONS(938), 1,
      anon_sym_chan,
    ACTIONS(940), 1,
      anon_sym_LT_DASH,
    ACTIONS(956), 1,
      anon_sym_LPAREN,
    STATE(841), 2,
      sym_parenthesized_type,
      sym__simple_type,
    STATE(817), 3,
      sym_union_type,
      sym_negated_type,
      sym_qualified_type,
    STATE(830), 9,
      sym_generic_type,
      sym_pointer_type,
      sym_array_type,
      sym_slice_type,
      sym_struct_type,
      sym_interface_type,
      sym_map_type,
      sym_channel_type,
      sym_function_type,
  [48455] = 15,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(29), 1,
      anon_sym_struct,
    ACTIONS(31), 1,
      anon_sym_TILDE,
    ACTIONS(35), 1,
      anon_sym_interface,
    ACTIONS(37), 1,
      anon_sym_map,
    ACTIONS(39), 1,
      anon_sym_chan,
    ACTIONS(561), 1,
      sym_identifier,
    ACTIONS(573), 1,
      anon_sym_func,
    ACTIONS(942), 1,
      anon_sym_LBRACK,
    ACTIONS(944), 1,
      anon_sym_STAR,
    ACTIONS(956), 1,
      anon_sym_LPAREN,
    ACTIONS(1470), 1,
      anon_sym_LT_DASH,
    STATE(849), 2,
      sym_parenthesized_type,
      sym__simple_type,
    STATE(821), 3,
      sym_union_type,
      sym_negated_type,
      sym_qualified_type,
    STATE(830), 9,
      sym_generic_type,
      sym_pointer_type,
      sym_array_type,
      sym_slice_type,
      sym_struct_type,
      sym_interface_type,
      sym_map_type,
      sym_channel_type,
      sym_function_type,
  [48512] = 15,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(844), 1,
      sym_identifier,
    ACTIONS(852), 1,
      anon_sym_func,
    ACTIONS(858), 1,
      anon_sym_struct,
    ACTIONS(862), 1,
      anon_sym_interface,
    ACTIONS(864), 1,
      anon_sym_map,
    ACTIONS(866), 1,
      anon_sym_chan,
    ACTIONS(1064), 1,
      anon_sym_LBRACK,
    ACTIONS(1072), 1,
      anon_sym_LT_DASH,
    ACTIONS(1172), 1,
      anon_sym_LPAREN,
    ACTIONS(1178), 1,
      anon_sym_STAR,
    ACTIONS(1180), 1,
      anon_sym_TILDE,
    STATE(798), 2,
      sym_parenthesized_type,
      sym__simple_type,
    STATE(779), 3,
      sym_union_type,
      sym_negated_type,
      sym_qualified_type,
    STATE(813), 9,
      sym_generic_type,
      sym_pointer_type,
      sym_array_type,
      sym_slice_type,
      sym_struct_type,
      sym_interface_type,
      sym_map_type,
      sym_channel_type,
      sym_function_type,
  [48569] = 15,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(904), 1,
      anon_sym_LPAREN,
    ACTIONS(906), 1,
      anon_sym_LBRACK,
    ACTIONS(966), 1,
      anon_sym_DOT,
    ACTIONS(970), 1,
      anon_sym_PIPE,
    ACTIONS(980), 1,
      anon_sym_AMP_AMP,
    ACTIONS(1158), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(1484), 1,
      anon_sym_RBRACK,
    STATE(396), 1,
      sym_argument_list,
    STATE(1275), 1,
      sym_type_arguments,
    ACTIONS(974), 2,
      anon_sym_AMP,
      anon_sym_SLASH,
    ACTIONS(978), 2,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(972), 3,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_CARET,
    ACTIONS(976), 4,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
    ACTIONS(968), 5,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP_CARET,
  [48626] = 15,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(904), 1,
      anon_sym_LPAREN,
    ACTIONS(906), 1,
      anon_sym_LBRACK,
    ACTIONS(966), 1,
      anon_sym_DOT,
    ACTIONS(970), 1,
      anon_sym_PIPE,
    ACTIONS(980), 1,
      anon_sym_AMP_AMP,
    ACTIONS(1158), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(1486), 1,
      anon_sym_RBRACK,
    STATE(396), 1,
      sym_argument_list,
    STATE(1275), 1,
      sym_type_arguments,
    ACTIONS(974), 2,
      anon_sym_AMP,
      anon_sym_SLASH,
    ACTIONS(978), 2,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(972), 3,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_CARET,
    ACTIONS(976), 4,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
    ACTIONS(968), 5,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP_CARET,
  [48683] = 15,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(29), 1,
      anon_sym_struct,
    ACTIONS(31), 1,
      anon_sym_TILDE,
    ACTIONS(35), 1,
      anon_sym_interface,
    ACTIONS(37), 1,
      anon_sym_map,
    ACTIONS(39), 1,
      anon_sym_chan,
    ACTIONS(561), 1,
      sym_identifier,
    ACTIONS(573), 1,
      anon_sym_func,
    ACTIONS(587), 1,
      anon_sym_LT_DASH,
    ACTIONS(942), 1,
      anon_sym_LBRACK,
    ACTIONS(944), 1,
      anon_sym_STAR,
    ACTIONS(956), 1,
      anon_sym_LPAREN,
    STATE(1227), 2,
      sym_parenthesized_type,
      sym__simple_type,
    STATE(821), 3,
      sym_union_type,
      sym_negated_type,
      sym_qualified_type,
    STATE(830), 9,
      sym_generic_type,
      sym_pointer_type,
      sym_array_type,
      sym_slice_type,
      sym_struct_type,
      sym_interface_type,
      sym_map_type,
      sym_channel_type,
      sym_function_type,
  [48740] = 15,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(29), 1,
      anon_sym_struct,
    ACTIONS(31), 1,
      anon_sym_TILDE,
    ACTIONS(35), 1,
      anon_sym_interface,
    ACTIONS(37), 1,
      anon_sym_map,
    ACTIONS(39), 1,
      anon_sym_chan,
    ACTIONS(561), 1,
      sym_identifier,
    ACTIONS(573), 1,
      anon_sym_func,
    ACTIONS(587), 1,
      anon_sym_LT_DASH,
    ACTIONS(942), 1,
      anon_sym_LBRACK,
    ACTIONS(944), 1,
      anon_sym_STAR,
    ACTIONS(956), 1,
      anon_sym_LPAREN,
    STATE(1238), 2,
      sym_parenthesized_type,
      sym__simple_type,
    STATE(821), 3,
      sym_union_type,
      sym_negated_type,
      sym_qualified_type,
    STATE(830), 9,
      sym_generic_type,
      sym_pointer_type,
      sym_array_type,
      sym_slice_type,
      sym_struct_type,
      sym_interface_type,
      sym_map_type,
      sym_channel_type,
      sym_function_type,
  [48797] = 15,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(29), 1,
      anon_sym_struct,
    ACTIONS(31), 1,
      anon_sym_TILDE,
    ACTIONS(35), 1,
      anon_sym_interface,
    ACTIONS(926), 1,
      sym_identifier,
    ACTIONS(930), 1,
      anon_sym_func,
    ACTIONS(932), 1,
      anon_sym_LBRACK,
    ACTIONS(934), 1,
      anon_sym_STAR,
    ACTIONS(936), 1,
      anon_sym_map,
    ACTIONS(938), 1,
      anon_sym_chan,
    ACTIONS(940), 1,
      anon_sym_LT_DASH,
    ACTIONS(956), 1,
      anon_sym_LPAREN,
    STATE(824), 2,
      sym_parenthesized_type,
      sym__simple_type,
    STATE(817), 3,
      sym_union_type,
      sym_negated_type,
      sym_qualified_type,
    STATE(830), 9,
      sym_generic_type,
      sym_pointer_type,
      sym_array_type,
      sym_slice_type,
      sym_struct_type,
      sym_interface_type,
      sym_map_type,
      sym_channel_type,
      sym_function_type,
  [48854] = 15,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(858), 1,
      anon_sym_struct,
    ACTIONS(862), 1,
      anon_sym_interface,
    ACTIONS(870), 1,
      sym_identifier,
    ACTIONS(872), 1,
      anon_sym_func,
    ACTIONS(878), 1,
      anon_sym_map,
    ACTIONS(880), 1,
      anon_sym_chan,
    ACTIONS(1172), 1,
      anon_sym_LPAREN,
    ACTIONS(1180), 1,
      anon_sym_TILDE,
    ACTIONS(1422), 1,
      anon_sym_LBRACK,
    ACTIONS(1424), 1,
      anon_sym_STAR,
    ACTIONS(1488), 1,
      anon_sym_LT_DASH,
    STATE(816), 2,
      sym_parenthesized_type,
      sym__simple_type,
    STATE(780), 3,
      sym_union_type,
      sym_negated_type,
      sym_qualified_type,
    STATE(813), 9,
      sym_generic_type,
      sym_pointer_type,
      sym_array_type,
      sym_slice_type,
      sym_struct_type,
      sym_interface_type,
      sym_map_type,
      sym_channel_type,
      sym_function_type,
  [48911] = 16,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(844), 1,
      sym_identifier,
    ACTIONS(852), 1,
      anon_sym_func,
    ACTIONS(858), 1,
      anon_sym_struct,
    ACTIONS(862), 1,
      anon_sym_interface,
    ACTIONS(864), 1,
      anon_sym_map,
    ACTIONS(866), 1,
      anon_sym_chan,
    ACTIONS(1064), 1,
      anon_sym_LBRACK,
    ACTIONS(1072), 1,
      anon_sym_LT_DASH,
    ACTIONS(1172), 1,
      anon_sym_LPAREN,
    ACTIONS(1178), 1,
      anon_sym_STAR,
    ACTIONS(1180), 1,
      anon_sym_TILDE,
    STATE(980), 1,
      sym_struct_type,
    STATE(806), 2,
      sym_parenthesized_type,
      sym__simple_type,
    STATE(779), 3,
      sym_union_type,
      sym_negated_type,
      sym_qualified_type,
    STATE(813), 8,
      sym_generic_type,
      sym_pointer_type,
      sym_array_type,
      sym_slice_type,
      sym_interface_type,
      sym_map_type,
      sym_channel_type,
      sym_function_type,
  [48970] = 16,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(858), 1,
      anon_sym_struct,
    ACTIONS(862), 1,
      anon_sym_interface,
    ACTIONS(870), 1,
      sym_identifier,
    ACTIONS(872), 1,
      anon_sym_func,
    ACTIONS(878), 1,
      anon_sym_map,
    ACTIONS(880), 1,
      anon_sym_chan,
    ACTIONS(1172), 1,
      anon_sym_LPAREN,
    ACTIONS(1180), 1,
      anon_sym_TILDE,
    ACTIONS(1422), 1,
      anon_sym_LBRACK,
    ACTIONS(1424), 1,
      anon_sym_STAR,
    ACTIONS(1426), 1,
      anon_sym_LT_DASH,
    STATE(980), 1,
      sym_struct_type,
    STATE(788), 2,
      sym_parenthesized_type,
      sym__simple_type,
    STATE(780), 3,
      sym_union_type,
      sym_negated_type,
      sym_qualified_type,
    STATE(813), 8,
      sym_generic_type,
      sym_pointer_type,
      sym_array_type,
      sym_slice_type,
      sym_interface_type,
      sym_map_type,
      sym_channel_type,
      sym_function_type,
  [49029] = 15,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(904), 1,
      anon_sym_LPAREN,
    ACTIONS(906), 1,
      anon_sym_LBRACK,
    ACTIONS(966), 1,
      anon_sym_DOT,
    ACTIONS(970), 1,
      anon_sym_PIPE,
    ACTIONS(980), 1,
      anon_sym_AMP_AMP,
    ACTIONS(1158), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(1490), 1,
      anon_sym_RBRACK,
    STATE(396), 1,
      sym_argument_list,
    STATE(1275), 1,
      sym_type_arguments,
    ACTIONS(974), 2,
      anon_sym_AMP,
      anon_sym_SLASH,
    ACTIONS(978), 2,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(972), 3,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_CARET,
    ACTIONS(976), 4,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
    ACTIONS(968), 5,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP_CARET,
  [49086] = 15,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(858), 1,
      anon_sym_struct,
    ACTIONS(862), 1,
      anon_sym_interface,
    ACTIONS(870), 1,
      sym_identifier,
    ACTIONS(872), 1,
      anon_sym_func,
    ACTIONS(878), 1,
      anon_sym_map,
    ACTIONS(880), 1,
      anon_sym_chan,
    ACTIONS(1172), 1,
      anon_sym_LPAREN,
    ACTIONS(1180), 1,
      anon_sym_TILDE,
    ACTIONS(1422), 1,
      anon_sym_LBRACK,
    ACTIONS(1424), 1,
      anon_sym_STAR,
    ACTIONS(1426), 1,
      anon_sym_LT_DASH,
    STATE(814), 2,
      sym_parenthesized_type,
      sym__simple_type,
    STATE(780), 3,
      sym_union_type,
      sym_negated_type,
      sym_qualified_type,
    STATE(813), 9,
      sym_generic_type,
      sym_pointer_type,
      sym_array_type,
      sym_slice_type,
      sym_struct_type,
      sym_interface_type,
      sym_map_type,
      sym_channel_type,
      sym_function_type,
  [49143] = 15,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(844), 1,
      sym_identifier,
    ACTIONS(852), 1,
      anon_sym_func,
    ACTIONS(858), 1,
      anon_sym_struct,
    ACTIONS(862), 1,
      anon_sym_interface,
    ACTIONS(864), 1,
      anon_sym_map,
    ACTIONS(866), 1,
      anon_sym_chan,
    ACTIONS(1064), 1,
      anon_sym_LBRACK,
    ACTIONS(1072), 1,
      anon_sym_LT_DASH,
    ACTIONS(1172), 1,
      anon_sym_LPAREN,
    ACTIONS(1178), 1,
      anon_sym_STAR,
    ACTIONS(1180), 1,
      anon_sym_TILDE,
    STATE(812), 2,
      sym_parenthesized_type,
      sym__simple_type,
    STATE(779), 3,
      sym_union_type,
      sym_negated_type,
      sym_qualified_type,
    STATE(813), 9,
      sym_generic_type,
      sym_pointer_type,
      sym_array_type,
      sym_slice_type,
      sym_struct_type,
      sym_interface_type,
      sym_map_type,
      sym_channel_type,
      sym_function_type,
  [49200] = 15,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(904), 1,
      anon_sym_LPAREN,
    ACTIONS(906), 1,
      anon_sym_LBRACK,
    ACTIONS(966), 1,
      anon_sym_DOT,
    ACTIONS(970), 1,
      anon_sym_PIPE,
    ACTIONS(980), 1,
      anon_sym_AMP_AMP,
    ACTIONS(1158), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(1492), 1,
      anon_sym_RBRACK,
    STATE(396), 1,
      sym_argument_list,
    STATE(1275), 1,
      sym_type_arguments,
    ACTIONS(974), 2,
      anon_sym_AMP,
      anon_sym_SLASH,
    ACTIONS(978), 2,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(972), 3,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_CARET,
    ACTIONS(976), 4,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
    ACTIONS(968), 5,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP_CARET,
  [49257] = 15,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(858), 1,
      anon_sym_struct,
    ACTIONS(862), 1,
      anon_sym_interface,
    ACTIONS(870), 1,
      sym_identifier,
    ACTIONS(872), 1,
      anon_sym_func,
    ACTIONS(878), 1,
      anon_sym_map,
    ACTIONS(880), 1,
      anon_sym_chan,
    ACTIONS(1172), 1,
      anon_sym_LPAREN,
    ACTIONS(1180), 1,
      anon_sym_TILDE,
    ACTIONS(1422), 1,
      anon_sym_LBRACK,
    ACTIONS(1424), 1,
      anon_sym_STAR,
    ACTIONS(1488), 1,
      anon_sym_LT_DASH,
    STATE(785), 2,
      sym_parenthesized_type,
      sym__simple_type,
    STATE(780), 3,
      sym_union_type,
      sym_negated_type,
      sym_qualified_type,
    STATE(813), 9,
      sym_generic_type,
      sym_pointer_type,
      sym_array_type,
      sym_slice_type,
      sym_struct_type,
      sym_interface_type,
      sym_map_type,
      sym_channel_type,
      sym_function_type,
  [49314] = 15,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(29), 1,
      anon_sym_struct,
    ACTIONS(31), 1,
      anon_sym_TILDE,
    ACTIONS(35), 1,
      anon_sym_interface,
    ACTIONS(37), 1,
      anon_sym_map,
    ACTIONS(39), 1,
      anon_sym_chan,
    ACTIONS(561), 1,
      sym_identifier,
    ACTIONS(573), 1,
      anon_sym_func,
    ACTIONS(587), 1,
      anon_sym_LT_DASH,
    ACTIONS(942), 1,
      anon_sym_LBRACK,
    ACTIONS(944), 1,
      anon_sym_STAR,
    ACTIONS(956), 1,
      anon_sym_LPAREN,
    STATE(1071), 2,
      sym_parenthesized_type,
      sym__simple_type,
    STATE(821), 3,
      sym_union_type,
      sym_negated_type,
      sym_qualified_type,
    STATE(830), 9,
      sym_generic_type,
      sym_pointer_type,
      sym_array_type,
      sym_slice_type,
      sym_struct_type,
      sym_interface_type,
      sym_map_type,
      sym_channel_type,
      sym_function_type,
  [49371] = 15,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(844), 1,
      sym_identifier,
    ACTIONS(852), 1,
      anon_sym_func,
    ACTIONS(858), 1,
      anon_sym_struct,
    ACTIONS(862), 1,
      anon_sym_interface,
    ACTIONS(864), 1,
      anon_sym_map,
    ACTIONS(866), 1,
      anon_sym_chan,
    ACTIONS(1064), 1,
      anon_sym_LBRACK,
    ACTIONS(1072), 1,
      anon_sym_LT_DASH,
    ACTIONS(1172), 1,
      anon_sym_LPAREN,
    ACTIONS(1178), 1,
      anon_sym_STAR,
    ACTIONS(1180), 1,
      anon_sym_TILDE,
    STATE(790), 2,
      sym_parenthesized_type,
      sym__simple_type,
    STATE(779), 3,
      sym_union_type,
      sym_negated_type,
      sym_qualified_type,
    STATE(813), 9,
      sym_generic_type,
      sym_pointer_type,
      sym_array_type,
      sym_slice_type,
      sym_struct_type,
      sym_interface_type,
      sym_map_type,
      sym_channel_type,
      sym_function_type,
  [49428] = 15,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(904), 1,
      anon_sym_LPAREN,
    ACTIONS(906), 1,
      anon_sym_LBRACK,
    ACTIONS(966), 1,
      anon_sym_DOT,
    ACTIONS(1190), 1,
      anon_sym_PIPE,
    ACTIONS(1200), 1,
      anon_sym_AMP_AMP,
    ACTIONS(1202), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(1494), 1,
      anon_sym_RPAREN,
    STATE(396), 1,
      sym_argument_list,
    STATE(1275), 1,
      sym_type_arguments,
    ACTIONS(1194), 2,
      anon_sym_AMP,
      anon_sym_SLASH,
    ACTIONS(1198), 2,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(1192), 3,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_CARET,
    ACTIONS(1196), 4,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
    ACTIONS(1188), 5,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP_CARET,
  [49485] = 15,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(29), 1,
      anon_sym_struct,
    ACTIONS(31), 1,
      anon_sym_TILDE,
    ACTIONS(35), 1,
      anon_sym_interface,
    ACTIONS(37), 1,
      anon_sym_map,
    ACTIONS(39), 1,
      anon_sym_chan,
    ACTIONS(561), 1,
      sym_identifier,
    ACTIONS(573), 1,
      anon_sym_func,
    ACTIONS(587), 1,
      anon_sym_LT_DASH,
    ACTIONS(942), 1,
      anon_sym_LBRACK,
    ACTIONS(944), 1,
      anon_sym_STAR,
    ACTIONS(956), 1,
      anon_sym_LPAREN,
    STATE(1061), 2,
      sym_parenthesized_type,
      sym__simple_type,
    STATE(821), 3,
      sym_union_type,
      sym_negated_type,
      sym_qualified_type,
    STATE(830), 9,
      sym_generic_type,
      sym_pointer_type,
      sym_array_type,
      sym_slice_type,
      sym_struct_type,
      sym_interface_type,
      sym_map_type,
      sym_channel_type,
      sym_function_type,
  [49542] = 15,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(858), 1,
      anon_sym_struct,
    ACTIONS(862), 1,
      anon_sym_interface,
    ACTIONS(870), 1,
      sym_identifier,
    ACTIONS(872), 1,
      anon_sym_func,
    ACTIONS(878), 1,
      anon_sym_map,
    ACTIONS(880), 1,
      anon_sym_chan,
    ACTIONS(1172), 1,
      anon_sym_LPAREN,
    ACTIONS(1180), 1,
      anon_sym_TILDE,
    ACTIONS(1422), 1,
      anon_sym_LBRACK,
    ACTIONS(1424), 1,
      anon_sym_STAR,
    ACTIONS(1426), 1,
      anon_sym_LT_DASH,
    STATE(805), 2,
      sym_parenthesized_type,
      sym__simple_type,
    STATE(780), 3,
      sym_union_type,
      sym_negated_type,
      sym_qualified_type,
    STATE(813), 9,
      sym_generic_type,
      sym_pointer_type,
      sym_array_type,
      sym_slice_type,
      sym_struct_type,
      sym_interface_type,
      sym_map_type,
      sym_channel_type,
      sym_function_type,
  [49599] = 15,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(904), 1,
      anon_sym_LPAREN,
    ACTIONS(906), 1,
      anon_sym_LBRACK,
    ACTIONS(966), 1,
      anon_sym_DOT,
    ACTIONS(1190), 1,
      anon_sym_PIPE,
    ACTIONS(1200), 1,
      anon_sym_AMP_AMP,
    ACTIONS(1202), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(1496), 1,
      anon_sym_RPAREN,
    STATE(396), 1,
      sym_argument_list,
    STATE(1275), 1,
      sym_type_arguments,
    ACTIONS(1194), 2,
      anon_sym_AMP,
      anon_sym_SLASH,
    ACTIONS(1198), 2,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(1192), 3,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_CARET,
    ACTIONS(1196), 4,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
    ACTIONS(1188), 5,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP_CARET,
  [49656] = 15,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(858), 1,
      anon_sym_struct,
    ACTIONS(862), 1,
      anon_sym_interface,
    ACTIONS(870), 1,
      sym_identifier,
    ACTIONS(872), 1,
      anon_sym_func,
    ACTIONS(878), 1,
      anon_sym_map,
    ACTIONS(880), 1,
      anon_sym_chan,
    ACTIONS(1172), 1,
      anon_sym_LPAREN,
    ACTIONS(1180), 1,
      anon_sym_TILDE,
    ACTIONS(1422), 1,
      anon_sym_LBRACK,
    ACTIONS(1424), 1,
      anon_sym_STAR,
    ACTIONS(1426), 1,
      anon_sym_LT_DASH,
    STATE(806), 2,
      sym_parenthesized_type,
      sym__simple_type,
    STATE(780), 3,
      sym_union_type,
      sym_negated_type,
      sym_qualified_type,
    STATE(813), 9,
      sym_generic_type,
      sym_pointer_type,
      sym_array_type,
      sym_slice_type,
      sym_struct_type,
      sym_interface_type,
      sym_map_type,
      sym_channel_type,
      sym_function_type,
  [49713] = 15,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(982), 1,
      sym_identifier,
    ACTIONS(986), 1,
      anon_sym_func,
    ACTIONS(992), 1,
      anon_sym_struct,
    ACTIONS(996), 1,
      anon_sym_interface,
    ACTIONS(998), 1,
      anon_sym_map,
    ACTIONS(1408), 1,
      anon_sym_LPAREN,
    ACTIONS(1414), 1,
      anon_sym_TILDE,
    ACTIONS(1428), 1,
      anon_sym_LBRACK,
    ACTIONS(1430), 1,
      anon_sym_STAR,
    ACTIONS(1432), 1,
      anon_sym_LT_DASH,
    ACTIONS(1498), 1,
      anon_sym_chan,
    STATE(911), 2,
      sym_parenthesized_type,
      sym__simple_type,
    STATE(871), 3,
      sym_union_type,
      sym_negated_type,
      sym_qualified_type,
    STATE(889), 9,
      sym_generic_type,
      sym_pointer_type,
      sym_array_type,
      sym_slice_type,
      sym_struct_type,
      sym_interface_type,
      sym_map_type,
      sym_channel_type,
      sym_function_type,
  [49770] = 15,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(904), 1,
      anon_sym_LPAREN,
    ACTIONS(906), 1,
      anon_sym_LBRACK,
    ACTIONS(966), 1,
      anon_sym_DOT,
    ACTIONS(1150), 1,
      anon_sym_LBRACE,
    ACTIONS(1208), 1,
      anon_sym_PIPE,
    ACTIONS(1220), 1,
      anon_sym_AMP_AMP,
    ACTIONS(1222), 1,
      anon_sym_PIPE_PIPE,
    STATE(396), 1,
      sym_argument_list,
    STATE(1275), 1,
      sym_type_arguments,
    ACTIONS(1214), 2,
      anon_sym_AMP,
      anon_sym_SLASH,
    ACTIONS(1218), 2,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(1212), 3,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_CARET,
    ACTIONS(1216), 4,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
    ACTIONS(1206), 5,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP_CARET,
  [49827] = 15,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(982), 1,
      sym_identifier,
    ACTIONS(986), 1,
      anon_sym_func,
    ACTIONS(992), 1,
      anon_sym_struct,
    ACTIONS(996), 1,
      anon_sym_interface,
    ACTIONS(998), 1,
      anon_sym_map,
    ACTIONS(1000), 1,
      anon_sym_chan,
    ACTIONS(1408), 1,
      anon_sym_LPAREN,
    ACTIONS(1414), 1,
      anon_sym_TILDE,
    ACTIONS(1428), 1,
      anon_sym_LBRACK,
    ACTIONS(1430), 1,
      anon_sym_STAR,
    ACTIONS(1478), 1,
      anon_sym_LT_DASH,
    STATE(912), 2,
      sym_parenthesized_type,
      sym__simple_type,
    STATE(871), 3,
      sym_union_type,
      sym_negated_type,
      sym_qualified_type,
    STATE(889), 9,
      sym_generic_type,
      sym_pointer_type,
      sym_array_type,
      sym_slice_type,
      sym_struct_type,
      sym_interface_type,
      sym_map_type,
      sym_channel_type,
      sym_function_type,
  [49884] = 15,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(29), 1,
      anon_sym_struct,
    ACTIONS(31), 1,
      anon_sym_TILDE,
    ACTIONS(35), 1,
      anon_sym_interface,
    ACTIONS(37), 1,
      anon_sym_map,
    ACTIONS(39), 1,
      anon_sym_chan,
    ACTIONS(561), 1,
      sym_identifier,
    ACTIONS(573), 1,
      anon_sym_func,
    ACTIONS(587), 1,
      anon_sym_LT_DASH,
    ACTIONS(942), 1,
      anon_sym_LBRACK,
    ACTIONS(944), 1,
      anon_sym_STAR,
    ACTIONS(956), 1,
      anon_sym_LPAREN,
    STATE(1070), 2,
      sym_parenthesized_type,
      sym__simple_type,
    STATE(821), 3,
      sym_union_type,
      sym_negated_type,
      sym_qualified_type,
    STATE(830), 9,
      sym_generic_type,
      sym_pointer_type,
      sym_array_type,
      sym_slice_type,
      sym_struct_type,
      sym_interface_type,
      sym_map_type,
      sym_channel_type,
      sym_function_type,
  [49941] = 15,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(844), 1,
      sym_identifier,
    ACTIONS(852), 1,
      anon_sym_func,
    ACTIONS(858), 1,
      anon_sym_struct,
    ACTIONS(862), 1,
      anon_sym_interface,
    ACTIONS(864), 1,
      anon_sym_map,
    ACTIONS(866), 1,
      anon_sym_chan,
    ACTIONS(1064), 1,
      anon_sym_LBRACK,
    ACTIONS(1172), 1,
      anon_sym_LPAREN,
    ACTIONS(1178), 1,
      anon_sym_STAR,
    ACTIONS(1180), 1,
      anon_sym_TILDE,
    ACTIONS(1442), 1,
      anon_sym_LT_DASH,
    STATE(816), 2,
      sym_parenthesized_type,
      sym__simple_type,
    STATE(779), 3,
      sym_union_type,
      sym_negated_type,
      sym_qualified_type,
    STATE(813), 9,
      sym_generic_type,
      sym_pointer_type,
      sym_array_type,
      sym_slice_type,
      sym_struct_type,
      sym_interface_type,
      sym_map_type,
      sym_channel_type,
      sym_function_type,
  [49998] = 15,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(29), 1,
      anon_sym_struct,
    ACTIONS(31), 1,
      anon_sym_TILDE,
    ACTIONS(35), 1,
      anon_sym_interface,
    ACTIONS(37), 1,
      anon_sym_map,
    ACTIONS(39), 1,
      anon_sym_chan,
    ACTIONS(561), 1,
      sym_identifier,
    ACTIONS(573), 1,
      anon_sym_func,
    ACTIONS(587), 1,
      anon_sym_LT_DASH,
    ACTIONS(942), 1,
      anon_sym_LBRACK,
    ACTIONS(944), 1,
      anon_sym_STAR,
    ACTIONS(956), 1,
      anon_sym_LPAREN,
    STATE(1286), 2,
      sym_parenthesized_type,
      sym__simple_type,
    STATE(821), 3,
      sym_union_type,
      sym_negated_type,
      sym_qualified_type,
    STATE(830), 9,
      sym_generic_type,
      sym_pointer_type,
      sym_array_type,
      sym_slice_type,
      sym_struct_type,
      sym_interface_type,
      sym_map_type,
      sym_channel_type,
      sym_function_type,
  [50055] = 15,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(844), 1,
      sym_identifier,
    ACTIONS(852), 1,
      anon_sym_func,
    ACTIONS(858), 1,
      anon_sym_struct,
    ACTIONS(862), 1,
      anon_sym_interface,
    ACTIONS(864), 1,
      anon_sym_map,
    ACTIONS(1064), 1,
      anon_sym_LBRACK,
    ACTIONS(1072), 1,
      anon_sym_LT_DASH,
    ACTIONS(1172), 1,
      anon_sym_LPAREN,
    ACTIONS(1178), 1,
      anon_sym_STAR,
    ACTIONS(1180), 1,
      anon_sym_TILDE,
    ACTIONS(1500), 1,
      anon_sym_chan,
    STATE(787), 2,
      sym_parenthesized_type,
      sym__simple_type,
    STATE(779), 3,
      sym_union_type,
      sym_negated_type,
      sym_qualified_type,
    STATE(813), 9,
      sym_generic_type,
      sym_pointer_type,
      sym_array_type,
      sym_slice_type,
      sym_struct_type,
      sym_interface_type,
      sym_map_type,
      sym_channel_type,
      sym_function_type,
  [50112] = 15,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(29), 1,
      anon_sym_struct,
    ACTIONS(31), 1,
      anon_sym_TILDE,
    ACTIONS(35), 1,
      anon_sym_interface,
    ACTIONS(37), 1,
      anon_sym_map,
    ACTIONS(39), 1,
      anon_sym_chan,
    ACTIONS(561), 1,
      sym_identifier,
    ACTIONS(573), 1,
      anon_sym_func,
    ACTIONS(587), 1,
      anon_sym_LT_DASH,
    ACTIONS(942), 1,
      anon_sym_LBRACK,
    ACTIONS(944), 1,
      anon_sym_STAR,
    ACTIONS(956), 1,
      anon_sym_LPAREN,
    STATE(841), 2,
      sym_parenthesized_type,
      sym__simple_type,
    STATE(821), 3,
      sym_union_type,
      sym_negated_type,
      sym_qualified_type,
    STATE(830), 9,
      sym_generic_type,
      sym_pointer_type,
      sym_array_type,
      sym_slice_type,
      sym_struct_type,
      sym_interface_type,
      sym_map_type,
      sym_channel_type,
      sym_function_type,
  [50169] = 15,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(982), 1,
      sym_identifier,
    ACTIONS(986), 1,
      anon_sym_func,
    ACTIONS(992), 1,
      anon_sym_struct,
    ACTIONS(996), 1,
      anon_sym_interface,
    ACTIONS(998), 1,
      anon_sym_map,
    ACTIONS(1000), 1,
      anon_sym_chan,
    ACTIONS(1408), 1,
      anon_sym_LPAREN,
    ACTIONS(1414), 1,
      anon_sym_TILDE,
    ACTIONS(1428), 1,
      anon_sym_LBRACK,
    ACTIONS(1430), 1,
      anon_sym_STAR,
    ACTIONS(1432), 1,
      anon_sym_LT_DASH,
    STATE(941), 2,
      sym_parenthesized_type,
      sym__simple_type,
    STATE(871), 3,
      sym_union_type,
      sym_negated_type,
      sym_qualified_type,
    STATE(889), 9,
      sym_generic_type,
      sym_pointer_type,
      sym_array_type,
      sym_slice_type,
      sym_struct_type,
      sym_interface_type,
      sym_map_type,
      sym_channel_type,
      sym_function_type,
  [50226] = 15,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(29), 1,
      anon_sym_struct,
    ACTIONS(31), 1,
      anon_sym_TILDE,
    ACTIONS(35), 1,
      anon_sym_interface,
    ACTIONS(37), 1,
      anon_sym_map,
    ACTIONS(39), 1,
      anon_sym_chan,
    ACTIONS(561), 1,
      sym_identifier,
    ACTIONS(573), 1,
      anon_sym_func,
    ACTIONS(587), 1,
      anon_sym_LT_DASH,
    ACTIONS(942), 1,
      anon_sym_LBRACK,
    ACTIONS(944), 1,
      anon_sym_STAR,
    ACTIONS(956), 1,
      anon_sym_LPAREN,
    STATE(1221), 2,
      sym_parenthesized_type,
      sym__simple_type,
    STATE(821), 3,
      sym_union_type,
      sym_negated_type,
      sym_qualified_type,
    STATE(830), 9,
      sym_generic_type,
      sym_pointer_type,
      sym_array_type,
      sym_slice_type,
      sym_struct_type,
      sym_interface_type,
      sym_map_type,
      sym_channel_type,
      sym_function_type,
  [50283] = 15,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(904), 1,
      anon_sym_LPAREN,
    ACTIONS(906), 1,
      anon_sym_LBRACK,
    ACTIONS(966), 1,
      anon_sym_DOT,
    ACTIONS(970), 1,
      anon_sym_PIPE,
    ACTIONS(980), 1,
      anon_sym_AMP_AMP,
    ACTIONS(1158), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(1502), 1,
      anon_sym_RBRACK,
    STATE(396), 1,
      sym_argument_list,
    STATE(1275), 1,
      sym_type_arguments,
    ACTIONS(974), 2,
      anon_sym_AMP,
      anon_sym_SLASH,
    ACTIONS(978), 2,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(972), 3,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_CARET,
    ACTIONS(976), 4,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
    ACTIONS(968), 5,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP_CARET,
  [50340] = 15,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(29), 1,
      anon_sym_struct,
    ACTIONS(31), 1,
      anon_sym_TILDE,
    ACTIONS(35), 1,
      anon_sym_interface,
    ACTIONS(926), 1,
      sym_identifier,
    ACTIONS(930), 1,
      anon_sym_func,
    ACTIONS(932), 1,
      anon_sym_LBRACK,
    ACTIONS(934), 1,
      anon_sym_STAR,
    ACTIONS(936), 1,
      anon_sym_map,
    ACTIONS(938), 1,
      anon_sym_chan,
    ACTIONS(940), 1,
      anon_sym_LT_DASH,
    ACTIONS(956), 1,
      anon_sym_LPAREN,
    STATE(834), 2,
      sym_parenthesized_type,
      sym__simple_type,
    STATE(817), 3,
      sym_union_type,
      sym_negated_type,
      sym_qualified_type,
    STATE(830), 9,
      sym_generic_type,
      sym_pointer_type,
      sym_array_type,
      sym_slice_type,
      sym_struct_type,
      sym_interface_type,
      sym_map_type,
      sym_channel_type,
      sym_function_type,
  [50397] = 15,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(904), 1,
      anon_sym_LPAREN,
    ACTIONS(906), 1,
      anon_sym_LBRACK,
    ACTIONS(966), 1,
      anon_sym_DOT,
    ACTIONS(970), 1,
      anon_sym_PIPE,
    ACTIONS(980), 1,
      anon_sym_AMP_AMP,
    ACTIONS(1158), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(1504), 1,
      anon_sym_SEMI,
    STATE(396), 1,
      sym_argument_list,
    STATE(1275), 1,
      sym_type_arguments,
    ACTIONS(974), 2,
      anon_sym_AMP,
      anon_sym_SLASH,
    ACTIONS(978), 2,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(972), 3,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_CARET,
    ACTIONS(976), 4,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
    ACTIONS(968), 5,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP_CARET,
  [50454] = 15,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(904), 1,
      anon_sym_LPAREN,
    ACTIONS(906), 1,
      anon_sym_LBRACK,
    ACTIONS(966), 1,
      anon_sym_DOT,
    ACTIONS(1190), 1,
      anon_sym_PIPE,
    ACTIONS(1200), 1,
      anon_sym_AMP_AMP,
    ACTIONS(1202), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(1506), 1,
      anon_sym_RPAREN,
    STATE(396), 1,
      sym_argument_list,
    STATE(1275), 1,
      sym_type_arguments,
    ACTIONS(1194), 2,
      anon_sym_AMP,
      anon_sym_SLASH,
    ACTIONS(1198), 2,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(1192), 3,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_CARET,
    ACTIONS(1196), 4,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
    ACTIONS(1188), 5,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP_CARET,
  [50511] = 15,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(29), 1,
      anon_sym_struct,
    ACTIONS(31), 1,
      anon_sym_TILDE,
    ACTIONS(35), 1,
      anon_sym_interface,
    ACTIONS(37), 1,
      anon_sym_map,
    ACTIONS(39), 1,
      anon_sym_chan,
    ACTIONS(561), 1,
      sym_identifier,
    ACTIONS(573), 1,
      anon_sym_func,
    ACTIONS(587), 1,
      anon_sym_LT_DASH,
    ACTIONS(942), 1,
      anon_sym_LBRACK,
    ACTIONS(944), 1,
      anon_sym_STAR,
    ACTIONS(956), 1,
      anon_sym_LPAREN,
    STATE(824), 2,
      sym_parenthesized_type,
      sym__simple_type,
    STATE(821), 3,
      sym_union_type,
      sym_negated_type,
      sym_qualified_type,
    STATE(830), 9,
      sym_generic_type,
      sym_pointer_type,
      sym_array_type,
      sym_slice_type,
      sym_struct_type,
      sym_interface_type,
      sym_map_type,
      sym_channel_type,
      sym_function_type,
  [50568] = 15,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(904), 1,
      anon_sym_LPAREN,
    ACTIONS(906), 1,
      anon_sym_LBRACK,
    ACTIONS(966), 1,
      anon_sym_DOT,
    ACTIONS(1208), 1,
      anon_sym_PIPE,
    ACTIONS(1220), 1,
      anon_sym_AMP_AMP,
    ACTIONS(1222), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(1508), 1,
      anon_sym_LBRACE,
    STATE(396), 1,
      sym_argument_list,
    STATE(1275), 1,
      sym_type_arguments,
    ACTIONS(1214), 2,
      anon_sym_AMP,
      anon_sym_SLASH,
    ACTIONS(1218), 2,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(1212), 3,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_CARET,
    ACTIONS(1216), 4,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
    ACTIONS(1206), 5,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP_CARET,
  [50625] = 15,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(982), 1,
      sym_identifier,
    ACTIONS(986), 1,
      anon_sym_func,
    ACTIONS(992), 1,
      anon_sym_struct,
    ACTIONS(996), 1,
      anon_sym_interface,
    ACTIONS(998), 1,
      anon_sym_map,
    ACTIONS(1000), 1,
      anon_sym_chan,
    ACTIONS(1408), 1,
      anon_sym_LPAREN,
    ACTIONS(1414), 1,
      anon_sym_TILDE,
    ACTIONS(1428), 1,
      anon_sym_LBRACK,
    ACTIONS(1430), 1,
      anon_sym_STAR,
    ACTIONS(1432), 1,
      anon_sym_LT_DASH,
    STATE(937), 2,
      sym_parenthesized_type,
      sym__simple_type,
    STATE(871), 3,
      sym_union_type,
      sym_negated_type,
      sym_qualified_type,
    STATE(889), 9,
      sym_generic_type,
      sym_pointer_type,
      sym_array_type,
      sym_slice_type,
      sym_struct_type,
      sym_interface_type,
      sym_map_type,
      sym_channel_type,
      sym_function_type,
  [50682] = 15,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(29), 1,
      anon_sym_struct,
    ACTIONS(31), 1,
      anon_sym_TILDE,
    ACTIONS(35), 1,
      anon_sym_interface,
    ACTIONS(926), 1,
      sym_identifier,
    ACTIONS(930), 1,
      anon_sym_func,
    ACTIONS(932), 1,
      anon_sym_LBRACK,
    ACTIONS(934), 1,
      anon_sym_STAR,
    ACTIONS(936), 1,
      anon_sym_map,
    ACTIONS(938), 1,
      anon_sym_chan,
    ACTIONS(956), 1,
      anon_sym_LPAREN,
    ACTIONS(1480), 1,
      anon_sym_LT_DASH,
    STATE(849), 2,
      sym_parenthesized_type,
      sym__simple_type,
    STATE(817), 3,
      sym_union_type,
      sym_negated_type,
      sym_qualified_type,
    STATE(830), 9,
      sym_generic_type,
      sym_pointer_type,
      sym_array_type,
      sym_slice_type,
      sym_struct_type,
      sym_interface_type,
      sym_map_type,
      sym_channel_type,
      sym_function_type,
  [50739] = 15,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(858), 1,
      anon_sym_struct,
    ACTIONS(862), 1,
      anon_sym_interface,
    ACTIONS(870), 1,
      sym_identifier,
    ACTIONS(872), 1,
      anon_sym_func,
    ACTIONS(878), 1,
      anon_sym_map,
    ACTIONS(880), 1,
      anon_sym_chan,
    ACTIONS(1172), 1,
      anon_sym_LPAREN,
    ACTIONS(1180), 1,
      anon_sym_TILDE,
    ACTIONS(1422), 1,
      anon_sym_LBRACK,
    ACTIONS(1424), 1,
      anon_sym_STAR,
    ACTIONS(1426), 1,
      anon_sym_LT_DASH,
    STATE(788), 2,
      sym_parenthesized_type,
      sym__simple_type,
    STATE(780), 3,
      sym_union_type,
      sym_negated_type,
      sym_qualified_type,
    STATE(813), 9,
      sym_generic_type,
      sym_pointer_type,
      sym_array_type,
      sym_slice_type,
      sym_struct_type,
      sym_interface_type,
      sym_map_type,
      sym_channel_type,
      sym_function_type,
  [50796] = 14,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(904), 1,
      anon_sym_LPAREN,
    ACTIONS(906), 1,
      anon_sym_LBRACK,
    ACTIONS(970), 1,
      anon_sym_PIPE,
    ACTIONS(980), 1,
      anon_sym_AMP_AMP,
    ACTIONS(1158), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(1510), 1,
      anon_sym_DOT,
    STATE(396), 1,
      sym_argument_list,
    STATE(1275), 1,
      sym_type_arguments,
    ACTIONS(974), 2,
      anon_sym_AMP,
      anon_sym_SLASH,
    ACTIONS(978), 2,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(972), 3,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_CARET,
    ACTIONS(976), 4,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
    ACTIONS(968), 5,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP_CARET,
  [50850] = 3,
    ACTIONS(321), 1,
      sym_comment,
    ACTIONS(1514), 1,
      anon_sym_LF,
    ACTIONS(1512), 20,
      anon_sym_SEMI,
      anon_sym_LPAREN,
      anon_sym_EQ,
      anon_sym_func,
      anon_sym_LBRACK,
      anon_sym_STAR,
      anon_sym_struct,
      anon_sym_PIPE,
      anon_sym_TILDE,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_interface,
      anon_sym_map,
      anon_sym_chan,
      anon_sym_LT_DASH,
      anon_sym_case,
      anon_sym_default,
      sym_identifier,
      sym_raw_string_literal,
      anon_sym_DQUOTE,
  [50879] = 3,
    ACTIONS(321), 1,
      sym_comment,
    ACTIONS(1518), 1,
      anon_sym_LF,
    ACTIONS(1516), 20,
      anon_sym_SEMI,
      anon_sym_LPAREN,
      anon_sym_EQ,
      anon_sym_func,
      anon_sym_LBRACK,
      anon_sym_STAR,
      anon_sym_struct,
      anon_sym_PIPE,
      anon_sym_TILDE,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_interface,
      anon_sym_map,
      anon_sym_chan,
      anon_sym_LT_DASH,
      anon_sym_case,
      anon_sym_default,
      sym_identifier,
      sym_raw_string_literal,
      anon_sym_DQUOTE,
  [50908] = 3,
    ACTIONS(321), 1,
      sym_comment,
    ACTIONS(1522), 1,
      anon_sym_LF,
    ACTIONS(1520), 20,
      anon_sym_SEMI,
      anon_sym_LPAREN,
      anon_sym_EQ,
      anon_sym_func,
      anon_sym_LBRACK,
      anon_sym_STAR,
      anon_sym_struct,
      anon_sym_PIPE,
      anon_sym_TILDE,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_interface,
      anon_sym_map,
      anon_sym_chan,
      anon_sym_LT_DASH,
      anon_sym_case,
      anon_sym_default,
      sym_identifier,
      sym_raw_string_literal,
      anon_sym_DQUOTE,
  [50937] = 3,
    ACTIONS(321), 1,
      sym_comment,
    ACTIONS(1526), 1,
      anon_sym_LF,
    ACTIONS(1524), 20,
      anon_sym_SEMI,
      anon_sym_LPAREN,
      anon_sym_EQ,
      anon_sym_func,
      anon_sym_LBRACK,
      anon_sym_STAR,
      anon_sym_struct,
      anon_sym_PIPE,
      anon_sym_TILDE,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_interface,
      anon_sym_map,
      anon_sym_chan,
      anon_sym_LT_DASH,
      anon_sym_case,
      anon_sym_default,
      sym_identifier,
      sym_raw_string_literal,
      anon_sym_DQUOTE,
  [50966] = 5,
    ACTIONS(321), 1,
      sym_comment,
    ACTIONS(1530), 1,
      anon_sym_LF,
    ACTIONS(1532), 1,
      anon_sym_COMMA,
    STATE(756), 1,
      aux_sym_const_spec_repeat1,
    ACTIONS(1528), 16,
      anon_sym_SEMI,
      anon_sym_LPAREN,
      anon_sym_EQ,
      anon_sym_func,
      anon_sym_LBRACK,
      anon_sym_STAR,
      anon_sym_struct,
      anon_sym_TILDE,
      anon_sym_RBRACE,
      anon_sym_interface,
      anon_sym_map,
      anon_sym_chan,
      anon_sym_LT_DASH,
      anon_sym_case,
      anon_sym_default,
      sym_identifier,
  [50997] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1516), 6,
      anon_sym_func,
      anon_sym_struct,
      anon_sym_interface,
      anon_sym_map,
      anon_sym_chan,
      sym_identifier,
    ACTIONS(1518), 12,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_STAR,
      anon_sym_PIPE,
      anon_sym_TILDE,
      anon_sym_LBRACE,
      anon_sym_LT_DASH,
      anon_sym_COLON,
  [51023] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1524), 6,
      anon_sym_func,
      anon_sym_struct,
      anon_sym_interface,
      anon_sym_map,
      anon_sym_chan,
      sym_identifier,
    ACTIONS(1526), 12,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_STAR,
      anon_sym_PIPE,
      anon_sym_TILDE,
      anon_sym_LBRACE,
      anon_sym_LT_DASH,
      anon_sym_COLON,
  [51049] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1512), 6,
      anon_sym_func,
      anon_sym_struct,
      anon_sym_interface,
      anon_sym_map,
      anon_sym_chan,
      sym_identifier,
    ACTIONS(1514), 12,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_STAR,
      anon_sym_PIPE,
      anon_sym_TILDE,
      anon_sym_LBRACE,
      anon_sym_LT_DASH,
      anon_sym_COLON,
  [51075] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1520), 6,
      anon_sym_func,
      anon_sym_struct,
      anon_sym_interface,
      anon_sym_map,
      anon_sym_chan,
      sym_identifier,
    ACTIONS(1522), 12,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_STAR,
      anon_sym_PIPE,
      anon_sym_TILDE,
      anon_sym_LBRACE,
      anon_sym_LT_DASH,
      anon_sym_COLON,
  [51101] = 3,
    ACTIONS(321), 1,
      sym_comment,
    ACTIONS(1530), 1,
      anon_sym_LF,
    ACTIONS(1528), 17,
      anon_sym_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_func,
      anon_sym_LBRACK,
      anon_sym_STAR,
      anon_sym_struct,
      anon_sym_TILDE,
      anon_sym_RBRACE,
      anon_sym_interface,
      anon_sym_map,
      anon_sym_chan,
      anon_sym_LT_DASH,
      anon_sym_case,
      anon_sym_default,
      sym_identifier,
  [51127] = 3,
    ACTIONS(321), 1,
      sym_comment,
    ACTIONS(1522), 2,
      ts_builtin_sym_end,
      anon_sym_LF,
    ACTIONS(1520), 14,
      anon_sym_SEMI,
      anon_sym_LPAREN,
      anon_sym_func,
      anon_sym_LBRACK,
      anon_sym_STAR,
      anon_sym_struct,
      anon_sym_PIPE,
      anon_sym_TILDE,
      anon_sym_LBRACE,
      anon_sym_interface,
      anon_sym_map,
      anon_sym_chan,
      anon_sym_LT_DASH,
      sym_identifier,
  [51151] = 3,
    ACTIONS(321), 1,
      sym_comment,
    ACTIONS(1514), 2,
      ts_builtin_sym_end,
      anon_sym_LF,
    ACTIONS(1512), 14,
      anon_sym_SEMI,
      anon_sym_LPAREN,
      anon_sym_func,
      anon_sym_LBRACK,
      anon_sym_STAR,
      anon_sym_struct,
      anon_sym_PIPE,
      anon_sym_TILDE,
      anon_sym_LBRACE,
      anon_sym_interface,
      anon_sym_map,
      anon_sym_chan,
      anon_sym_LT_DASH,
      sym_identifier,
  [51175] = 3,
    ACTIONS(321), 1,
      sym_comment,
    ACTIONS(1526), 2,
      ts_builtin_sym_end,
      anon_sym_LF,
    ACTIONS(1524), 14,
      anon_sym_SEMI,
      anon_sym_LPAREN,
      anon_sym_func,
      anon_sym_LBRACK,
      anon_sym_STAR,
      anon_sym_struct,
      anon_sym_PIPE,
      anon_sym_TILDE,
      anon_sym_LBRACE,
      anon_sym_interface,
      anon_sym_map,
      anon_sym_chan,
      anon_sym_LT_DASH,
      sym_identifier,
  [51199] = 3,
    ACTIONS(321), 1,
      sym_comment,
    ACTIONS(1518), 2,
      ts_builtin_sym_end,
      anon_sym_LF,
    ACTIONS(1516), 14,
      anon_sym_SEMI,
      anon_sym_LPAREN,
      anon_sym_func,
      anon_sym_LBRACK,
      anon_sym_STAR,
      anon_sym_struct,
      anon_sym_PIPE,
      anon_sym_TILDE,
      anon_sym_LBRACE,
      anon_sym_interface,
      anon_sym_map,
      anon_sym_chan,
      anon_sym_LT_DASH,
      sym_identifier,
  [51223] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1535), 1,
      anon_sym_COMMA,
    STATE(766), 1,
      aux_sym_expression_list_repeat1,
    ACTIONS(826), 13,
      anon_sym_EQ,
      anon_sym_COLON_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_AMP_CARET_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_CARET_EQ,
  [51248] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(653), 1,
      anon_sym_COMMA,
    STATE(766), 1,
      aux_sym_expression_list_repeat1,
    ACTIONS(1538), 13,
      anon_sym_EQ,
      anon_sym_COLON_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_AMP_CARET_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_CARET_EQ,
  [51273] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1540), 1,
      anon_sym_COMMA,
    STATE(768), 1,
      aux_sym_const_spec_repeat1,
    ACTIONS(1528), 6,
      anon_sym_func,
      anon_sym_struct,
      anon_sym_interface,
      anon_sym_map,
      anon_sym_chan,
      sym_identifier,
    ACTIONS(1530), 6,
      anon_sym_LPAREN,
      anon_sym_EQ,
      anon_sym_LBRACK,
      anon_sym_STAR,
      anon_sym_TILDE,
      anon_sym_LT_DASH,
  [51299] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1547), 1,
      anon_sym_COMMA,
    STATE(769), 1,
      aux_sym_field_declaration_repeat1,
    ACTIONS(1545), 5,
      anon_sym_LPAREN,
      anon_sym_LBRACK,
      anon_sym_STAR,
      anon_sym_TILDE,
      anon_sym_LT_DASH,
    ACTIONS(1543), 6,
      anon_sym_func,
      anon_sym_struct,
      anon_sym_interface,
      anon_sym_map,
      anon_sym_chan,
      sym_identifier,
  [51324] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1552), 1,
      anon_sym_COLON_EQ,
    ACTIONS(1550), 12,
      anon_sym_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_AMP_CARET_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_CARET_EQ,
  [51345] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1528), 6,
      anon_sym_func,
      anon_sym_struct,
      anon_sym_interface,
      anon_sym_map,
      anon_sym_chan,
      sym_identifier,
    ACTIONS(1530), 7,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_LBRACK,
      anon_sym_STAR,
      anon_sym_TILDE,
      anon_sym_LT_DASH,
  [51366] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1556), 1,
      anon_sym_COLON_EQ,
    ACTIONS(1554), 12,
      anon_sym_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_AMP_CARET_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_CARET_EQ,
  [51387] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1558), 1,
      anon_sym_COLON_EQ,
    ACTIONS(1554), 12,
      anon_sym_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_AMP_CARET_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_CARET_EQ,
  [51408] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1564), 1,
      anon_sym_COMMA,
    STATE(774), 1,
      aux_sym_parameter_declaration_repeat1,
    ACTIONS(1562), 5,
      anon_sym_LPAREN,
      anon_sym_LBRACK,
      anon_sym_STAR,
      anon_sym_TILDE,
      anon_sym_LT_DASH,
    ACTIONS(1560), 6,
      anon_sym_func,
      anon_sym_struct,
      anon_sym_interface,
      anon_sym_map,
      anon_sym_chan,
      sym_identifier,
  [51433] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1569), 1,
      anon_sym_COLON_EQ,
    ACTIONS(1567), 12,
      anon_sym_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_AMP_CARET_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_CARET_EQ,
  [51454] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1571), 1,
      anon_sym_EQ,
    ACTIONS(1573), 1,
      anon_sym_COLON_EQ,
    ACTIONS(1554), 11,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_AMP_CARET_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_CARET_EQ,
  [51477] = 6,
    ACTIONS(321), 1,
      sym_comment,
    ACTIONS(888), 1,
      anon_sym_DOT,
    ACTIONS(958), 1,
      anon_sym_LF,
    ACTIONS(1575), 1,
      anon_sym_LBRACK,
    STATE(802), 1,
      sym_type_arguments,
    ACTIONS(896), 9,
      anon_sym_SEMI,
      anon_sym_EQ,
      anon_sym_PIPE,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_case,
      anon_sym_default,
      sym_raw_string_literal,
      anon_sym_DQUOTE,
  [51504] = 6,
    ACTIONS(321), 1,
      sym_comment,
    ACTIONS(888), 1,
      anon_sym_DOT,
    ACTIONS(958), 1,
      anon_sym_LF,
    ACTIONS(1577), 1,
      anon_sym_LBRACK,
    STATE(802), 1,
      sym_type_arguments,
    ACTIONS(896), 9,
      anon_sym_SEMI,
      anon_sym_EQ,
      anon_sym_PIPE,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_case,
      anon_sym_default,
      sym_raw_string_literal,
      anon_sym_DQUOTE,
  [51531] = 5,
    ACTIONS(321), 1,
      sym_comment,
    ACTIONS(1575), 1,
      anon_sym_LBRACK,
    ACTIONS(1580), 1,
      anon_sym_LF,
    STATE(800), 1,
      sym_type_arguments,
    ACTIONS(1582), 9,
      anon_sym_SEMI,
      anon_sym_EQ,
      anon_sym_PIPE,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_case,
      anon_sym_default,
      sym_raw_string_literal,
      anon_sym_DQUOTE,
  [51555] = 5,
    ACTIONS(321), 1,
      sym_comment,
    ACTIONS(1580), 1,
      anon_sym_LF,
    ACTIONS(1584), 1,
      anon_sym_LBRACK,
    STATE(800), 1,
      sym_type_arguments,
    ACTIONS(1582), 9,
      anon_sym_SEMI,
      anon_sym_EQ,
      anon_sym_PIPE,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_case,
      anon_sym_default,
      sym_raw_string_literal,
      anon_sym_DQUOTE,
  [51579] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1587), 6,
      anon_sym_func,
      anon_sym_struct,
      anon_sym_interface,
      anon_sym_map,
      anon_sym_chan,
      sym_identifier,
    ACTIONS(1589), 6,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_STAR,
      anon_sym_TILDE,
      anon_sym_LT_DASH,
  [51599] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1591), 6,
      anon_sym_func,
      anon_sym_struct,
      anon_sym_interface,
      anon_sym_map,
      anon_sym_chan,
      sym_identifier,
    ACTIONS(1593), 6,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_STAR,
      anon_sym_TILDE,
      anon_sym_LT_DASH,
  [51619] = 3,
    ACTIONS(321), 1,
      sym_comment,
    ACTIONS(1595), 1,
      anon_sym_LF,
    ACTIONS(1597), 10,
      anon_sym_SEMI,
      anon_sym_EQ,
      anon_sym_LBRACK,
      anon_sym_PIPE,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_case,
      anon_sym_default,
      sym_raw_string_literal,
      anon_sym_DQUOTE,
  [51638] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1601), 5,
      anon_sym_LPAREN,
      anon_sym_LBRACK,
      anon_sym_STAR,
      anon_sym_TILDE,
      anon_sym_LT_DASH,
    ACTIONS(1599), 6,
      anon_sym_func,
      anon_sym_struct,
      anon_sym_interface,
      anon_sym_map,
      anon_sym_chan,
      sym_identifier,
  [51657] = 3,
    ACTIONS(321), 1,
      sym_comment,
    ACTIONS(1603), 1,
      anon_sym_LF,
    ACTIONS(1605), 10,
      anon_sym_SEMI,
      anon_sym_EQ,
      anon_sym_LBRACK,
      anon_sym_PIPE,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_case,
      anon_sym_default,
      sym_raw_string_literal,
      anon_sym_DQUOTE,
  [51676] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1609), 5,
      anon_sym_LPAREN,
      anon_sym_LBRACK,
      anon_sym_STAR,
      anon_sym_TILDE,
      anon_sym_LT_DASH,
    ACTIONS(1607), 6,
      anon_sym_func,
      anon_sym_struct,
      anon_sym_interface,
      anon_sym_map,
      anon_sym_chan,
      sym_identifier,
  [51695] = 3,
    ACTIONS(321), 1,
      sym_comment,
    ACTIONS(1611), 1,
      anon_sym_LF,
    ACTIONS(1613), 10,
      anon_sym_SEMI,
      anon_sym_EQ,
      anon_sym_LBRACK,
      anon_sym_PIPE,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_case,
      anon_sym_default,
      sym_raw_string_literal,
      anon_sym_DQUOTE,
  [51714] = 3,
    ACTIONS(321), 1,
      sym_comment,
    ACTIONS(1615), 1,
      anon_sym_LF,
    ACTIONS(1617), 10,
      anon_sym_SEMI,
      anon_sym_EQ,
      anon_sym_LBRACK,
      anon_sym_PIPE,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_case,
      anon_sym_default,
      sym_raw_string_literal,
      anon_sym_DQUOTE,
  [51733] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1621), 5,
      anon_sym_LPAREN,
      anon_sym_LBRACK,
      anon_sym_STAR,
      anon_sym_TILDE,
      anon_sym_LT_DASH,
    ACTIONS(1619), 6,
      anon_sym_func,
      anon_sym_struct,
      anon_sym_interface,
      anon_sym_map,
      anon_sym_chan,
      sym_identifier,
  [51752] = 4,
    ACTIONS(321), 1,
      sym_comment,
    ACTIONS(1623), 1,
      anon_sym_LF,
    ACTIONS(1627), 1,
      anon_sym_PIPE,
    ACTIONS(1625), 9,
      anon_sym_SEMI,
      anon_sym_EQ,
      anon_sym_LBRACK,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_case,
      anon_sym_default,
      sym_raw_string_literal,
      anon_sym_DQUOTE,
  [51773] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(964), 1,
      anon_sym_DOT,
    ACTIONS(1629), 1,
      anon_sym_LBRACK,
    STATE(848), 1,
      sym_type_arguments,
    ACTIONS(958), 8,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_RBRACK,
      anon_sym_PIPE,
      anon_sym_LBRACE,
      anon_sym_COLON,
  [51796] = 3,
    ACTIONS(321), 1,
      sym_comment,
    ACTIONS(1631), 1,
      anon_sym_LF,
    ACTIONS(1633), 10,
      anon_sym_SEMI,
      anon_sym_EQ,
      anon_sym_LBRACK,
      anon_sym_PIPE,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_case,
      anon_sym_default,
      sym_raw_string_literal,
      anon_sym_DQUOTE,
  [51815] = 3,
    ACTIONS(321), 1,
      sym_comment,
    ACTIONS(1635), 1,
      anon_sym_LF,
    ACTIONS(1637), 10,
      anon_sym_SEMI,
      anon_sym_EQ,
      anon_sym_LBRACK,
      anon_sym_PIPE,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_case,
      anon_sym_default,
      sym_raw_string_literal,
      anon_sym_DQUOTE,
  [51834] = 3,
    ACTIONS(321), 1,
      sym_comment,
    ACTIONS(1639), 1,
      anon_sym_LF,
    ACTIONS(1641), 10,
      anon_sym_SEMI,
      anon_sym_EQ,
      anon_sym_LBRACK,
      anon_sym_PIPE,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_case,
      anon_sym_default,
      sym_raw_string_literal,
      anon_sym_DQUOTE,
  [51853] = 3,
    ACTIONS(321), 1,
      sym_comment,
    ACTIONS(1643), 1,
      anon_sym_LF,
    ACTIONS(1645), 10,
      anon_sym_SEMI,
      anon_sym_EQ,
      anon_sym_LBRACK,
      anon_sym_PIPE,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_case,
      anon_sym_default,
      sym_raw_string_literal,
      anon_sym_DQUOTE,
  [51872] = 3,
    ACTIONS(321), 1,
      sym_comment,
    ACTIONS(1647), 1,
      anon_sym_LF,
    ACTIONS(1649), 10,
      anon_sym_SEMI,
      anon_sym_EQ,
      anon_sym_LBRACK,
      anon_sym_PIPE,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_case,
      anon_sym_default,
      sym_raw_string_literal,
      anon_sym_DQUOTE,
  [51891] = 3,
    ACTIONS(321), 1,
      sym_comment,
    ACTIONS(1651), 1,
      anon_sym_LF,
    ACTIONS(1653), 10,
      anon_sym_SEMI,
      anon_sym_EQ,
      anon_sym_LBRACK,
      anon_sym_PIPE,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_case,
      anon_sym_default,
      sym_raw_string_literal,
      anon_sym_DQUOTE,
  [51910] = 4,
    ACTIONS(321), 1,
      sym_comment,
    ACTIONS(1627), 1,
      anon_sym_PIPE,
    ACTIONS(1655), 1,
      anon_sym_LF,
    ACTIONS(1657), 9,
      anon_sym_SEMI,
      anon_sym_EQ,
      anon_sym_LBRACK,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_case,
      anon_sym_default,
      sym_raw_string_literal,
      anon_sym_DQUOTE,
  [51931] = 3,
    ACTIONS(321), 1,
      sym_comment,
    ACTIONS(1659), 1,
      anon_sym_LF,
    ACTIONS(1661), 10,
      anon_sym_SEMI,
      anon_sym_EQ,
      anon_sym_LBRACK,
      anon_sym_PIPE,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_case,
      anon_sym_default,
      sym_raw_string_literal,
      anon_sym_DQUOTE,
  [51950] = 3,
    ACTIONS(321), 1,
      sym_comment,
    ACTIONS(1663), 1,
      anon_sym_LF,
    ACTIONS(1665), 10,
      anon_sym_SEMI,
      anon_sym_EQ,
      anon_sym_LBRACK,
      anon_sym_PIPE,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_case,
      anon_sym_default,
      sym_raw_string_literal,
      anon_sym_DQUOTE,
  [51969] = 3,
    ACTIONS(321), 1,
      sym_comment,
    ACTIONS(1667), 1,
      anon_sym_LF,
    ACTIONS(1669), 10,
      anon_sym_SEMI,
      anon_sym_EQ,
      anon_sym_LBRACK,
      anon_sym_PIPE,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_case,
      anon_sym_default,
      sym_raw_string_literal,
      anon_sym_DQUOTE,
  [51988] = 3,
    ACTIONS(321), 1,
      sym_comment,
    ACTIONS(1671), 1,
      anon_sym_LF,
    ACTIONS(1673), 10,
      anon_sym_SEMI,
      anon_sym_EQ,
      anon_sym_LBRACK,
      anon_sym_PIPE,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_case,
      anon_sym_default,
      sym_raw_string_literal,
      anon_sym_DQUOTE,
  [52007] = 4,
    ACTIONS(321), 1,
      sym_comment,
    ACTIONS(1627), 1,
      anon_sym_PIPE,
    ACTIONS(1675), 1,
      anon_sym_LF,
    ACTIONS(1677), 9,
      anon_sym_SEMI,
      anon_sym_EQ,
      anon_sym_LBRACK,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_case,
      anon_sym_default,
      sym_raw_string_literal,
      anon_sym_DQUOTE,
  [52028] = 3,
    ACTIONS(321), 1,
      sym_comment,
    ACTIONS(1679), 1,
      anon_sym_LF,
    ACTIONS(1681), 10,
      anon_sym_SEMI,
      anon_sym_EQ,
      anon_sym_LBRACK,
      anon_sym_PIPE,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_case,
      anon_sym_default,
      sym_raw_string_literal,
      anon_sym_DQUOTE,
  [52047] = 4,
    ACTIONS(321), 1,
      sym_comment,
    ACTIONS(1627), 1,
      anon_sym_PIPE,
    ACTIONS(1683), 1,
      anon_sym_LF,
    ACTIONS(1685), 9,
      anon_sym_SEMI,
      anon_sym_EQ,
      anon_sym_LBRACK,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_case,
      anon_sym_default,
      sym_raw_string_literal,
      anon_sym_DQUOTE,
  [52068] = 3,
    ACTIONS(321), 1,
      sym_comment,
    ACTIONS(1687), 1,
      anon_sym_LF,
    ACTIONS(1689), 10,
      anon_sym_SEMI,
      anon_sym_EQ,
      anon_sym_LBRACK,
      anon_sym_PIPE,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_case,
      anon_sym_default,
      sym_raw_string_literal,
      anon_sym_DQUOTE,
  [52087] = 3,
    ACTIONS(321), 1,
      sym_comment,
    ACTIONS(1691), 1,
      anon_sym_LF,
    ACTIONS(1693), 10,
      anon_sym_SEMI,
      anon_sym_EQ,
      anon_sym_LBRACK,
      anon_sym_PIPE,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_case,
      anon_sym_default,
      sym_raw_string_literal,
      anon_sym_DQUOTE,
  [52106] = 3,
    ACTIONS(321), 1,
      sym_comment,
    ACTIONS(1695), 1,
      anon_sym_LF,
    ACTIONS(1697), 10,
      anon_sym_SEMI,
      anon_sym_EQ,
      anon_sym_LBRACK,
      anon_sym_PIPE,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_case,
      anon_sym_default,
      sym_raw_string_literal,
      anon_sym_DQUOTE,
  [52125] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(964), 1,
      anon_sym_DOT,
    ACTIONS(1699), 1,
      anon_sym_LBRACK,
    STATE(848), 1,
      sym_type_arguments,
    ACTIONS(958), 8,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_RBRACK,
      anon_sym_PIPE,
      anon_sym_LBRACE,
      anon_sym_COLON,
  [52148] = 3,
    ACTIONS(321), 1,
      sym_comment,
    ACTIONS(1702), 1,
      anon_sym_LF,
    ACTIONS(1704), 10,
      anon_sym_SEMI,
      anon_sym_EQ,
      anon_sym_LBRACK,
      anon_sym_PIPE,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_case,
      anon_sym_default,
      sym_raw_string_literal,
      anon_sym_DQUOTE,
  [52167] = 3,
    ACTIONS(321), 1,
      sym_comment,
    ACTIONS(1706), 1,
      anon_sym_LF,
    ACTIONS(1708), 10,
      anon_sym_SEMI,
      anon_sym_EQ,
      anon_sym_LBRACK,
      anon_sym_PIPE,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_case,
      anon_sym_default,
      sym_raw_string_literal,
      anon_sym_DQUOTE,
  [52186] = 3,
    ACTIONS(321), 1,
      sym_comment,
    ACTIONS(1611), 1,
      anon_sym_LF,
    ACTIONS(1613), 10,
      anon_sym_SEMI,
      anon_sym_EQ,
      anon_sym_LBRACK,
      anon_sym_PIPE,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_case,
      anon_sym_default,
      sym_raw_string_literal,
      anon_sym_DQUOTE,
  [52205] = 3,
    ACTIONS(321), 1,
      sym_comment,
    ACTIONS(1580), 1,
      anon_sym_LF,
    ACTIONS(1582), 10,
      anon_sym_SEMI,
      anon_sym_EQ,
      anon_sym_LBRACK,
      anon_sym_PIPE,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_case,
      anon_sym_default,
      sym_raw_string_literal,
      anon_sym_DQUOTE,
  [52224] = 3,
    ACTIONS(321), 1,
      sym_comment,
    ACTIONS(1710), 1,
      anon_sym_LF,
    ACTIONS(1712), 10,
      anon_sym_SEMI,
      anon_sym_EQ,
      anon_sym_LBRACK,
      anon_sym_PIPE,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_case,
      anon_sym_default,
      sym_raw_string_literal,
      anon_sym_DQUOTE,
  [52243] = 3,
    ACTIONS(321), 1,
      sym_comment,
    ACTIONS(1675), 1,
      anon_sym_LF,
    ACTIONS(1677), 10,
      anon_sym_SEMI,
      anon_sym_EQ,
      anon_sym_LBRACK,
      anon_sym_PIPE,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_case,
      anon_sym_default,
      sym_raw_string_literal,
      anon_sym_DQUOTE,
  [52262] = 3,
    ACTIONS(321), 1,
      sym_comment,
    ACTIONS(1611), 1,
      anon_sym_LF,
    ACTIONS(1613), 10,
      anon_sym_SEMI,
      anon_sym_EQ,
      anon_sym_LBRACK,
      anon_sym_PIPE,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_case,
      anon_sym_default,
      sym_raw_string_literal,
      anon_sym_DQUOTE,
  [52281] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1714), 1,
      anon_sym_LBRACK,
    STATE(837), 1,
      sym_type_arguments,
    ACTIONS(1580), 8,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_RBRACK,
      anon_sym_PIPE,
      anon_sym_LBRACE,
      anon_sym_COLON,
  [52301] = 10,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(71), 1,
      anon_sym_DQUOTE,
    ACTIONS(1717), 1,
      sym_identifier,
    ACTIONS(1719), 1,
      anon_sym_DOT,
    ACTIONS(1721), 1,
      sym_blank_identifier,
    ACTIONS(1723), 1,
      anon_sym_LPAREN,
    ACTIONS(1725), 1,
      sym_raw_string_literal,
    STATE(1110), 1,
      sym_interpreted_string_literal,
    STATE(1175), 1,
      sym_dot,
    STATE(1244), 2,
      sym_import_spec,
      sym_import_spec_list,
  [52333] = 10,
    ACTIONS(321), 1,
      sym_comment,
    ACTIONS(888), 1,
      anon_sym_DOT,
    ACTIONS(896), 1,
      anon_sym_PIPE,
    ACTIONS(900), 1,
      anon_sym_DQUOTE,
    ACTIONS(1575), 1,
      anon_sym_LBRACK,
    ACTIONS(1727), 1,
      anon_sym_LF,
    ACTIONS(1731), 1,
      sym_raw_string_literal,
    STATE(802), 1,
      sym_type_arguments,
    STATE(1171), 1,
      sym_interpreted_string_literal,
    ACTIONS(1729), 2,
      anon_sym_SEMI,
      anon_sym_RBRACE,
  [52365] = 10,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1719), 1,
      anon_sym_DOT,
    ACTIONS(1733), 1,
      sym_identifier,
    ACTIONS(1735), 1,
      sym_blank_identifier,
    ACTIONS(1737), 1,
      anon_sym_LPAREN,
    ACTIONS(1739), 1,
      sym_raw_string_literal,
    ACTIONS(1741), 1,
      anon_sym_DQUOTE,
    STATE(1132), 1,
      sym_dot,
    STATE(1138), 1,
      sym_interpreted_string_literal,
    STATE(1139), 2,
      sym_import_spec,
      sym_import_spec_list,
  [52397] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1629), 1,
      anon_sym_LBRACK,
    STATE(837), 1,
      sym_type_arguments,
    ACTIONS(1580), 8,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_RBRACK,
      anon_sym_PIPE,
      anon_sym_LBRACE,
      anon_sym_COLON,
  [52417] = 10,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(71), 1,
      anon_sym_DQUOTE,
    ACTIONS(1717), 1,
      sym_identifier,
    ACTIONS(1719), 1,
      anon_sym_DOT,
    ACTIONS(1721), 1,
      sym_blank_identifier,
    ACTIONS(1725), 1,
      sym_raw_string_literal,
    ACTIONS(1743), 1,
      anon_sym_RPAREN,
    STATE(1068), 1,
      sym_import_spec,
    STATE(1110), 1,
      sym_interpreted_string_literal,
    STATE(1175), 1,
      sym_dot,
  [52448] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1659), 9,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_PIPE,
      anon_sym_LBRACE,
      anon_sym_COLON,
  [52463] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1611), 9,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_PIPE,
      anon_sym_LBRACE,
      anon_sym_COLON,
  [52478] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1595), 9,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_PIPE,
      anon_sym_LBRACE,
      anon_sym_COLON,
  [52493] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1702), 9,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_PIPE,
      anon_sym_LBRACE,
      anon_sym_COLON,
  [52508] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1710), 9,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_PIPE,
      anon_sym_LBRACE,
      anon_sym_COLON,
  [52523] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1651), 9,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_PIPE,
      anon_sym_LBRACE,
      anon_sym_COLON,
  [52538] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1695), 9,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_PIPE,
      anon_sym_LBRACE,
      anon_sym_COLON,
  [52553] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1580), 9,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_PIPE,
      anon_sym_LBRACE,
      anon_sym_COLON,
  [52568] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1706), 9,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_PIPE,
      anon_sym_LBRACE,
      anon_sym_COLON,
  [52583] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1631), 9,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_PIPE,
      anon_sym_LBRACE,
      anon_sym_COLON,
  [52598] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1635), 9,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_PIPE,
      anon_sym_LBRACE,
      anon_sym_COLON,
  [52613] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1745), 1,
      anon_sym_PIPE,
    ACTIONS(1683), 8,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_LBRACE,
      anon_sym_COLON,
  [52630] = 10,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(71), 1,
      anon_sym_DQUOTE,
    ACTIONS(1717), 1,
      sym_identifier,
    ACTIONS(1719), 1,
      anon_sym_DOT,
    ACTIONS(1721), 1,
      sym_blank_identifier,
    ACTIONS(1725), 1,
      sym_raw_string_literal,
    ACTIONS(1747), 1,
      anon_sym_RPAREN,
    STATE(1110), 1,
      sym_interpreted_string_literal,
    STATE(1175), 1,
      sym_dot,
    STATE(1187), 1,
      sym_import_spec,
  [52661] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1647), 9,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_PIPE,
      anon_sym_LBRACE,
      anon_sym_COLON,
  [52676] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1663), 9,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_PIPE,
      anon_sym_LBRACE,
      anon_sym_COLON,
  [52691] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1745), 1,
      anon_sym_PIPE,
    ACTIONS(1623), 8,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_LBRACE,
      anon_sym_COLON,
  [52708] = 9,
    ACTIONS(321), 1,
      sym_comment,
    ACTIONS(900), 1,
      anon_sym_DQUOTE,
    ACTIONS(1575), 1,
      anon_sym_LBRACK,
    ACTIONS(1582), 1,
      anon_sym_PIPE,
    ACTIONS(1749), 1,
      anon_sym_LF,
    ACTIONS(1753), 1,
      sym_raw_string_literal,
    STATE(800), 1,
      sym_type_arguments,
    STATE(1206), 1,
      sym_interpreted_string_literal,
    ACTIONS(1751), 2,
      anon_sym_SEMI,
      anon_sym_RBRACE,
  [52737] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1639), 9,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_PIPE,
      anon_sym_LBRACE,
      anon_sym_COLON,
  [52752] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1687), 9,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_PIPE,
      anon_sym_LBRACE,
      anon_sym_COLON,
  [52767] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1643), 9,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_PIPE,
      anon_sym_LBRACE,
      anon_sym_COLON,
  [52782] = 9,
    ACTIONS(321), 1,
      sym_comment,
    ACTIONS(900), 1,
      anon_sym_DQUOTE,
    ACTIONS(1575), 1,
      anon_sym_LBRACK,
    ACTIONS(1582), 1,
      anon_sym_PIPE,
    ACTIONS(1755), 1,
      anon_sym_LF,
    ACTIONS(1759), 1,
      sym_raw_string_literal,
    STATE(800), 1,
      sym_type_arguments,
    STATE(1169), 1,
      sym_interpreted_string_literal,
    ACTIONS(1757), 2,
      anon_sym_SEMI,
      anon_sym_RBRACE,
  [52811] = 10,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(71), 1,
      anon_sym_DQUOTE,
    ACTIONS(1717), 1,
      sym_identifier,
    ACTIONS(1719), 1,
      anon_sym_DOT,
    ACTIONS(1721), 1,
      sym_blank_identifier,
    ACTIONS(1725), 1,
      sym_raw_string_literal,
    ACTIONS(1761), 1,
      anon_sym_RPAREN,
    STATE(1110), 1,
      sym_interpreted_string_literal,
    STATE(1175), 1,
      sym_dot,
    STATE(1187), 1,
      sym_import_spec,
  [52842] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1745), 1,
      anon_sym_PIPE,
    ACTIONS(1655), 8,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_LBRACE,
      anon_sym_COLON,
  [52859] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1615), 9,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_PIPE,
      anon_sym_LBRACE,
      anon_sym_COLON,
  [52874] = 10,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(71), 1,
      anon_sym_DQUOTE,
    ACTIONS(1717), 1,
      sym_identifier,
    ACTIONS(1719), 1,
      anon_sym_DOT,
    ACTIONS(1721), 1,
      sym_blank_identifier,
    ACTIONS(1725), 1,
      sym_raw_string_literal,
    ACTIONS(1763), 1,
      anon_sym_RPAREN,
    STATE(1110), 1,
      sym_interpreted_string_literal,
    STATE(1175), 1,
      sym_dot,
    STATE(1187), 1,
      sym_import_spec,
  [52905] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1671), 9,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_PIPE,
      anon_sym_LBRACE,
      anon_sym_COLON,
  [52920] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1603), 9,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_PIPE,
      anon_sym_LBRACE,
      anon_sym_COLON,
  [52935] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1691), 9,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_PIPE,
      anon_sym_LBRACE,
      anon_sym_COLON,
  [52950] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1745), 1,
      anon_sym_PIPE,
    ACTIONS(1675), 8,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_LBRACE,
      anon_sym_COLON,
  [52967] = 10,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(71), 1,
      anon_sym_DQUOTE,
    ACTIONS(1717), 1,
      sym_identifier,
    ACTIONS(1719), 1,
      anon_sym_DOT,
    ACTIONS(1721), 1,
      sym_blank_identifier,
    ACTIONS(1725), 1,
      sym_raw_string_literal,
    ACTIONS(1765), 1,
      anon_sym_RPAREN,
    STATE(1110), 1,
      sym_interpreted_string_literal,
    STATE(1175), 1,
      sym_dot,
    STATE(1187), 1,
      sym_import_spec,
  [52998] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1667), 9,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_PIPE,
      anon_sym_LBRACE,
      anon_sym_COLON,
  [53013] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1679), 9,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_PIPE,
      anon_sym_LBRACE,
      anon_sym_COLON,
  [53028] = 8,
    ACTIONS(321), 1,
      sym_comment,
    ACTIONS(888), 1,
      anon_sym_DOT,
    ACTIONS(958), 1,
      anon_sym_LF,
    ACTIONS(1575), 1,
      anon_sym_LBRACK,
    ACTIONS(1767), 1,
      anon_sym_LPAREN,
    STATE(459), 1,
      sym_parameter_list,
    STATE(802), 1,
      sym_type_arguments,
    ACTIONS(896), 3,
      anon_sym_SEMI,
      anon_sym_PIPE,
      anon_sym_RBRACE,
  [53055] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1611), 9,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_PIPE,
      anon_sym_LBRACE,
      anon_sym_COLON,
  [53070] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1611), 9,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_PIPE,
      anon_sym_LBRACE,
      anon_sym_COLON,
  [53085] = 10,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(71), 1,
      anon_sym_DQUOTE,
    ACTIONS(1717), 1,
      sym_identifier,
    ACTIONS(1719), 1,
      anon_sym_DOT,
    ACTIONS(1721), 1,
      sym_blank_identifier,
    ACTIONS(1725), 1,
      sym_raw_string_literal,
    ACTIONS(1769), 1,
      anon_sym_RPAREN,
    STATE(1035), 1,
      sym_import_spec,
    STATE(1110), 1,
      sym_interpreted_string_literal,
    STATE(1175), 1,
      sym_dot,
  [53116] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(275), 1,
      anon_sym_LBRACE,
    ACTIONS(1629), 1,
      anon_sym_LBRACK,
    STATE(398), 1,
      sym_literal_value,
    STATE(837), 1,
      sym_type_arguments,
    ACTIONS(1580), 5,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_PIPE,
  [53139] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1675), 9,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_PIPE,
      anon_sym_LBRACE,
      anon_sym_COLON,
  [53154] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(71), 1,
      anon_sym_DQUOTE,
    ACTIONS(1717), 1,
      sym_identifier,
    ACTIONS(1719), 1,
      anon_sym_DOT,
    ACTIONS(1721), 1,
      sym_blank_identifier,
    ACTIONS(1725), 1,
      sym_raw_string_literal,
    STATE(1110), 1,
      sym_interpreted_string_literal,
    STATE(1175), 1,
      sym_dot,
    STATE(1187), 1,
      sym_import_spec,
  [53182] = 6,
    ACTIONS(321), 1,
      sym_comment,
    ACTIONS(1771), 1,
      anon_sym_DOT,
    ACTIONS(1773), 1,
      anon_sym_LBRACK,
    STATE(895), 1,
      sym_type_arguments,
    ACTIONS(958), 2,
      ts_builtin_sym_end,
      anon_sym_LF,
    ACTIONS(896), 3,
      anon_sym_SEMI,
      anon_sym_PIPE,
      anon_sym_LBRACE,
  [53204] = 6,
    ACTIONS(321), 1,
      sym_comment,
    ACTIONS(1771), 1,
      anon_sym_DOT,
    ACTIONS(1775), 1,
      anon_sym_LBRACK,
    STATE(895), 1,
      sym_type_arguments,
    ACTIONS(958), 2,
      ts_builtin_sym_end,
      anon_sym_LF,
    ACTIONS(896), 3,
      anon_sym_SEMI,
      anon_sym_PIPE,
      anon_sym_LBRACE,
  [53226] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(275), 1,
      anon_sym_LBRACE,
    STATE(398), 1,
      sym_literal_value,
    ACTIONS(1580), 5,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_PIPE,
  [53243] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(964), 1,
      anon_sym_DOT,
    ACTIONS(1629), 1,
      anon_sym_LBRACK,
    ACTIONS(1778), 1,
      anon_sym_LPAREN,
    STATE(443), 1,
      sym_parameter_list,
    STATE(848), 1,
      sym_type_arguments,
    ACTIONS(958), 2,
      anon_sym_PIPE,
      anon_sym_LBRACE,
  [53266] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(952), 1,
      anon_sym_LBRACE,
    STATE(382), 1,
      sym_block,
    ACTIONS(1675), 5,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_PIPE,
  [53283] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(952), 1,
      anon_sym_LBRACE,
    ACTIONS(1745), 1,
      anon_sym_PIPE,
    STATE(382), 1,
      sym_block,
    ACTIONS(1675), 4,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
  [53302] = 7,
    ACTIONS(321), 1,
      sym_comment,
    ACTIONS(900), 1,
      anon_sym_DQUOTE,
    ACTIONS(1627), 1,
      anon_sym_PIPE,
    ACTIONS(1780), 1,
      anon_sym_LF,
    ACTIONS(1784), 1,
      sym_raw_string_literal,
    STATE(1168), 1,
      sym_interpreted_string_literal,
    ACTIONS(1782), 2,
      anon_sym_SEMI,
      anon_sym_RBRACE,
  [53325] = 5,
    ACTIONS(321), 1,
      sym_comment,
    ACTIONS(1028), 1,
      anon_sym_COMMA,
    ACTIONS(1538), 1,
      anon_sym_LF,
    STATE(879), 1,
      aux_sym_expression_list_repeat1,
    ACTIONS(1786), 4,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_case,
      anon_sym_default,
  [53344] = 5,
    ACTIONS(321), 1,
      sym_comment,
    ACTIONS(1788), 1,
      anon_sym_LBRACK,
    STATE(896), 1,
      sym_type_arguments,
    ACTIONS(1580), 2,
      ts_builtin_sym_end,
      anon_sym_LF,
    ACTIONS(1582), 3,
      anon_sym_SEMI,
      anon_sym_PIPE,
      anon_sym_LBRACE,
  [53363] = 5,
    ACTIONS(321), 1,
      sym_comment,
    ACTIONS(1773), 1,
      anon_sym_LBRACK,
    STATE(896), 1,
      sym_type_arguments,
    ACTIONS(1580), 2,
      ts_builtin_sym_end,
      anon_sym_LF,
    ACTIONS(1582), 3,
      anon_sym_SEMI,
      anon_sym_PIPE,
      anon_sym_LBRACE,
  [53382] = 7,
    ACTIONS(321), 1,
      sym_comment,
    ACTIONS(900), 1,
      anon_sym_DQUOTE,
    ACTIONS(1582), 1,
      anon_sym_PIPE,
    ACTIONS(1755), 1,
      anon_sym_LF,
    ACTIONS(1759), 1,
      sym_raw_string_literal,
    STATE(1169), 1,
      sym_interpreted_string_literal,
    ACTIONS(1757), 2,
      anon_sym_SEMI,
      anon_sym_RBRACE,
  [53405] = 7,
    ACTIONS(321), 1,
      sym_comment,
    ACTIONS(900), 1,
      anon_sym_DQUOTE,
    ACTIONS(1582), 1,
      anon_sym_PIPE,
    ACTIONS(1749), 1,
      anon_sym_LF,
    ACTIONS(1753), 1,
      sym_raw_string_literal,
    STATE(1206), 1,
      sym_interpreted_string_literal,
    ACTIONS(1751), 2,
      anon_sym_SEMI,
      anon_sym_RBRACE,
  [53428] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(964), 1,
      anon_sym_DOT,
    ACTIONS(1629), 1,
      anon_sym_LBRACK,
    ACTIONS(1791), 1,
      anon_sym_LPAREN,
    STATE(424), 1,
      sym_parameter_list,
    STATE(848), 1,
      sym_type_arguments,
    ACTIONS(958), 2,
      anon_sym_PIPE,
      anon_sym_LBRACE,
  [53451] = 5,
    ACTIONS(321), 1,
      sym_comment,
    ACTIONS(1627), 1,
      anon_sym_PIPE,
    ACTIONS(1793), 1,
      anon_sym_LF,
    ACTIONS(1797), 1,
      anon_sym_EQ,
    ACTIONS(1795), 4,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_case,
      anon_sym_default,
  [53470] = 5,
    ACTIONS(321), 1,
      sym_comment,
    ACTIONS(1627), 1,
      anon_sym_PIPE,
    ACTIONS(1799), 1,
      anon_sym_LF,
    ACTIONS(1803), 1,
      anon_sym_EQ,
    ACTIONS(1801), 4,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_case,
      anon_sym_default,
  [53489] = 7,
    ACTIONS(321), 1,
      sym_comment,
    ACTIONS(900), 1,
      anon_sym_DQUOTE,
    ACTIONS(1627), 1,
      anon_sym_PIPE,
    ACTIONS(1805), 1,
      anon_sym_LF,
    ACTIONS(1809), 1,
      sym_raw_string_literal,
    STATE(1135), 1,
      sym_interpreted_string_literal,
    ACTIONS(1807), 2,
      anon_sym_SEMI,
      anon_sym_RBRACE,
  [53512] = 7,
    ACTIONS(321), 1,
      sym_comment,
    ACTIONS(900), 1,
      anon_sym_DQUOTE,
    ACTIONS(1627), 1,
      anon_sym_PIPE,
    ACTIONS(1805), 1,
      anon_sym_LF,
    ACTIONS(1811), 1,
      sym_raw_string_literal,
    STATE(1133), 1,
      sym_interpreted_string_literal,
    ACTIONS(1807), 2,
      anon_sym_SEMI,
      anon_sym_RBRACE,
  [53535] = 5,
    ACTIONS(321), 1,
      sym_comment,
    ACTIONS(826), 1,
      anon_sym_LF,
    ACTIONS(1813), 1,
      anon_sym_COMMA,
    STATE(879), 1,
      aux_sym_expression_list_repeat1,
    ACTIONS(828), 4,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_case,
      anon_sym_default,
  [53554] = 3,
    ACTIONS(321), 1,
      sym_comment,
    ACTIONS(1695), 2,
      ts_builtin_sym_end,
      anon_sym_LF,
    ACTIONS(1697), 4,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_PIPE,
      anon_sym_LBRACE,
  [53568] = 4,
    ACTIONS(321), 1,
      sym_comment,
    ACTIONS(1816), 1,
      anon_sym_LF,
    ACTIONS(1820), 1,
      anon_sym_else,
    ACTIONS(1818), 4,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_case,
      anon_sym_default,
  [53584] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1822), 1,
      anon_sym_RBRACE,
    ACTIONS(1824), 1,
      anon_sym_case,
    ACTIONS(1826), 1,
      anon_sym_default,
    STATE(913), 3,
      sym_expression_case,
      sym_default_case,
      aux_sym_expression_switch_statement_repeat1,
  [53602] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1828), 1,
      anon_sym_RBRACE,
    ACTIONS(1830), 1,
      anon_sym_case,
    ACTIONS(1833), 1,
      anon_sym_default,
    STATE(883), 3,
      sym_expression_case,
      sym_default_case,
      aux_sym_expression_switch_statement_repeat1,
  [53620] = 4,
    ACTIONS(321), 1,
      sym_comment,
    ACTIONS(1836), 1,
      sym_identifier,
    ACTIONS(1838), 1,
      anon_sym_LF,
    ACTIONS(1840), 4,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_case,
      anon_sym_default,
  [53636] = 4,
    ACTIONS(321), 1,
      sym_comment,
    ACTIONS(1842), 1,
      sym_identifier,
    ACTIONS(1844), 1,
      anon_sym_LF,
    ACTIONS(1846), 4,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_case,
      anon_sym_default,
  [53652] = 6,
    ACTIONS(321), 1,
      sym_comment,
    ACTIONS(1008), 1,
      anon_sym_LBRACE,
    ACTIONS(1850), 1,
      anon_sym_SEMI,
    ACTIONS(1852), 1,
      anon_sym_PIPE,
    STATE(1151), 1,
      sym_block,
    ACTIONS(1848), 2,
      ts_builtin_sym_end,
      anon_sym_LF,
  [53672] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1629), 1,
      anon_sym_LBRACK,
    ACTIONS(1854), 1,
      anon_sym_LBRACE,
    STATE(514), 1,
      sym_literal_value,
    STATE(837), 1,
      sym_type_arguments,
    ACTIONS(1580), 2,
      anon_sym_LPAREN,
      anon_sym_PIPE,
  [53692] = 6,
    ACTIONS(321), 1,
      sym_comment,
    ACTIONS(1008), 1,
      anon_sym_LBRACE,
    ACTIONS(1852), 1,
      anon_sym_PIPE,
    ACTIONS(1858), 1,
      anon_sym_SEMI,
    STATE(1154), 1,
      sym_block,
    ACTIONS(1856), 2,
      ts_builtin_sym_end,
      anon_sym_LF,
  [53712] = 3,
    ACTIONS(321), 1,
      sym_comment,
    ACTIONS(1580), 2,
      ts_builtin_sym_end,
      anon_sym_LF,
    ACTIONS(1582), 4,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_PIPE,
      anon_sym_LBRACE,
  [53726] = 3,
    ACTIONS(321), 1,
      sym_comment,
    ACTIONS(1631), 2,
      ts_builtin_sym_end,
      anon_sym_LF,
    ACTIONS(1633), 4,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_PIPE,
      anon_sym_LBRACE,
  [53740] = 3,
    ACTIONS(321), 1,
      sym_comment,
    ACTIONS(1615), 2,
      ts_builtin_sym_end,
      anon_sym_LF,
    ACTIONS(1617), 4,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_PIPE,
      anon_sym_LBRACE,
  [53754] = 3,
    ACTIONS(321), 1,
      sym_comment,
    ACTIONS(1603), 2,
      ts_builtin_sym_end,
      anon_sym_LF,
    ACTIONS(1605), 4,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_PIPE,
      anon_sym_LBRACE,
  [53768] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1824), 1,
      anon_sym_case,
    ACTIONS(1826), 1,
      anon_sym_default,
    ACTIONS(1860), 1,
      anon_sym_RBRACE,
    STATE(883), 3,
      sym_expression_case,
      sym_default_case,
      aux_sym_expression_switch_statement_repeat1,
  [53786] = 5,
    ACTIONS(321), 1,
      sym_comment,
    ACTIONS(1862), 1,
      anon_sym_LF,
    ACTIONS(1865), 1,
      anon_sym_SEMI,
    STATE(894), 1,
      aux_sym__statement_list_repeat1,
    ACTIONS(1868), 3,
      anon_sym_RBRACE,
      anon_sym_case,
      anon_sym_default,
  [53804] = 3,
    ACTIONS(321), 1,
      sym_comment,
    ACTIONS(1671), 2,
      ts_builtin_sym_end,
      anon_sym_LF,
    ACTIONS(1673), 4,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_PIPE,
      anon_sym_LBRACE,
  [53818] = 3,
    ACTIONS(321), 1,
      sym_comment,
    ACTIONS(1663), 2,
      ts_builtin_sym_end,
      anon_sym_LF,
    ACTIONS(1665), 4,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_PIPE,
      anon_sym_LBRACE,
  [53832] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1629), 1,
      anon_sym_LBRACK,
    ACTIONS(1870), 1,
      anon_sym_LBRACE,
    STATE(256), 1,
      sym_literal_value,
    STATE(837), 1,
      sym_type_arguments,
    ACTIONS(1580), 2,
      anon_sym_LPAREN,
      anon_sym_PIPE,
  [53852] = 4,
    ACTIONS(321), 1,
      sym_comment,
    ACTIONS(1627), 1,
      anon_sym_PIPE,
    ACTIONS(1872), 1,
      anon_sym_LF,
    ACTIONS(1874), 4,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_case,
      anon_sym_default,
  [53868] = 4,
    ACTIONS(321), 1,
      sym_comment,
    ACTIONS(1876), 1,
      anon_sym_LF,
    ACTIONS(1880), 1,
      anon_sym_else,
    ACTIONS(1878), 4,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_case,
      anon_sym_default,
  [53884] = 4,
    ACTIONS(321), 1,
      sym_comment,
    ACTIONS(1627), 1,
      anon_sym_PIPE,
    ACTIONS(1882), 1,
      anon_sym_LF,
    ACTIONS(1884), 4,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_case,
      anon_sym_default,
  [53900] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1088), 1,
      anon_sym_COMMA,
    ACTIONS(1786), 1,
      anon_sym_COLON,
    STATE(920), 1,
      aux_sym_expression_list_repeat1,
    ACTIONS(1538), 3,
      anon_sym_SEMI,
      anon_sym_EQ,
      anon_sym_COLON_EQ,
  [53918] = 4,
    ACTIONS(321), 1,
      sym_comment,
    ACTIONS(1627), 1,
      anon_sym_PIPE,
    ACTIONS(1886), 1,
      anon_sym_LF,
    ACTIONS(1888), 4,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_case,
      anon_sym_default,
  [53934] = 4,
    ACTIONS(321), 1,
      sym_comment,
    ACTIONS(1852), 1,
      anon_sym_PIPE,
    ACTIONS(1683), 2,
      ts_builtin_sym_end,
      anon_sym_LF,
    ACTIONS(1685), 3,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_LBRACE,
  [53950] = 5,
    ACTIONS(321), 1,
      sym_comment,
    ACTIONS(1890), 1,
      anon_sym_LF,
    ACTIONS(1892), 1,
      anon_sym_SEMI,
    STATE(894), 1,
      aux_sym__statement_list_repeat1,
    ACTIONS(207), 3,
      anon_sym_RBRACE,
      anon_sym_case,
      anon_sym_default,
  [53968] = 3,
    ACTIONS(321), 1,
      sym_comment,
    ACTIONS(1647), 2,
      ts_builtin_sym_end,
      anon_sym_LF,
    ACTIONS(1649), 4,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_PIPE,
      anon_sym_LBRACE,
  [53982] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(818), 1,
      anon_sym_LBRACE,
    ACTIONS(1629), 1,
      anon_sym_LBRACK,
    STATE(360), 1,
      sym_literal_value,
    STATE(837), 1,
      sym_type_arguments,
    ACTIONS(1580), 2,
      anon_sym_LPAREN,
      anon_sym_PIPE,
  [54002] = 3,
    ACTIONS(321), 1,
      sym_comment,
    ACTIONS(1687), 2,
      ts_builtin_sym_end,
      anon_sym_LF,
    ACTIONS(1689), 4,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_PIPE,
      anon_sym_LBRACE,
  [54016] = 3,
    ACTIONS(321), 1,
      sym_comment,
    ACTIONS(1679), 2,
      ts_builtin_sym_end,
      anon_sym_LF,
    ACTIONS(1681), 4,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_PIPE,
      anon_sym_LBRACE,
  [54030] = 6,
    ACTIONS(321), 1,
      sym_comment,
    ACTIONS(1008), 1,
      anon_sym_LBRACE,
    ACTIONS(1852), 1,
      anon_sym_PIPE,
    ACTIONS(1896), 1,
      anon_sym_SEMI,
    STATE(1178), 1,
      sym_block,
    ACTIONS(1894), 2,
      ts_builtin_sym_end,
      anon_sym_LF,
  [54050] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1110), 1,
      anon_sym_LBRACE,
    ACTIONS(1629), 1,
      anon_sym_LBRACK,
    STATE(573), 1,
      sym_literal_value,
    STATE(837), 1,
      sym_type_arguments,
    ACTIONS(1580), 2,
      anon_sym_LPAREN,
      anon_sym_PIPE,
  [54070] = 3,
    ACTIONS(321), 1,
      sym_comment,
    ACTIONS(1611), 2,
      ts_builtin_sym_end,
      anon_sym_LF,
    ACTIONS(1613), 4,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_PIPE,
      anon_sym_LBRACE,
  [54084] = 3,
    ACTIONS(321), 1,
      sym_comment,
    ACTIONS(1611), 2,
      ts_builtin_sym_end,
      anon_sym_LF,
    ACTIONS(1613), 4,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_PIPE,
      anon_sym_LBRACE,
  [54098] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1824), 1,
      anon_sym_case,
    ACTIONS(1826), 1,
      anon_sym_default,
    ACTIONS(1898), 1,
      anon_sym_RBRACE,
    STATE(883), 3,
      sym_expression_case,
      sym_default_case,
      aux_sym_expression_switch_statement_repeat1,
  [54116] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1900), 1,
      anon_sym_RBRACE,
    ACTIONS(1902), 1,
      anon_sym_case,
    ACTIONS(1905), 1,
      anon_sym_default,
    STATE(914), 3,
      sym_default_case,
      sym_communication_case,
      aux_sym_select_statement_repeat1,
  [54134] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1824), 1,
      anon_sym_case,
    ACTIONS(1826), 1,
      anon_sym_default,
    ACTIONS(1908), 1,
      anon_sym_RBRACE,
    STATE(893), 3,
      sym_expression_case,
      sym_default_case,
      aux_sym_expression_switch_statement_repeat1,
  [54152] = 5,
    ACTIONS(321), 1,
      sym_comment,
    ACTIONS(1910), 1,
      anon_sym_LF,
    ACTIONS(1912), 1,
      anon_sym_SEMI,
    STATE(904), 1,
      aux_sym__statement_list_repeat1,
    ACTIONS(1914), 3,
      anon_sym_RBRACE,
      anon_sym_case,
      anon_sym_default,
  [54170] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1629), 1,
      anon_sym_LBRACK,
    ACTIONS(1916), 1,
      anon_sym_LBRACE,
    STATE(297), 1,
      sym_literal_value,
    STATE(837), 1,
      sym_type_arguments,
    ACTIONS(1580), 2,
      anon_sym_LPAREN,
      anon_sym_PIPE,
  [54190] = 3,
    ACTIONS(321), 1,
      sym_comment,
    ACTIONS(1710), 2,
      ts_builtin_sym_end,
      anon_sym_LF,
    ACTIONS(1712), 4,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_PIPE,
      anon_sym_LBRACE,
  [54204] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1824), 1,
      anon_sym_case,
    ACTIONS(1826), 1,
      anon_sym_default,
    ACTIONS(1918), 1,
      anon_sym_RBRACE,
    STATE(883), 3,
      sym_expression_case,
      sym_default_case,
      aux_sym_expression_switch_statement_repeat1,
  [54222] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(828), 1,
      anon_sym_COLON,
    ACTIONS(1920), 1,
      anon_sym_COMMA,
    STATE(920), 1,
      aux_sym_expression_list_repeat1,
    ACTIONS(826), 3,
      anon_sym_SEMI,
      anon_sym_EQ,
      anon_sym_COLON_EQ,
  [54240] = 4,
    ACTIONS(321), 1,
      sym_comment,
    ACTIONS(1852), 1,
      anon_sym_PIPE,
    ACTIONS(1675), 2,
      ts_builtin_sym_end,
      anon_sym_LF,
    ACTIONS(1677), 3,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_LBRACE,
  [54256] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1826), 1,
      anon_sym_default,
    ACTIONS(1923), 1,
      anon_sym_RBRACE,
    ACTIONS(1925), 1,
      anon_sym_case,
    STATE(914), 3,
      sym_default_case,
      sym_communication_case,
      aux_sym_select_statement_repeat1,
  [54274] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1927), 1,
      anon_sym_RBRACE,
    ACTIONS(1929), 1,
      anon_sym_case,
    ACTIONS(1932), 1,
      anon_sym_default,
    STATE(923), 3,
      sym_default_case,
      sym_type_case,
      aux_sym_type_switch_statement_repeat1,
  [54292] = 3,
    ACTIONS(321), 1,
      sym_comment,
    ACTIONS(1675), 2,
      ts_builtin_sym_end,
      anon_sym_LF,
    ACTIONS(1677), 4,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_PIPE,
      anon_sym_LBRACE,
  [54306] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1824), 1,
      anon_sym_case,
    ACTIONS(1826), 1,
      anon_sym_default,
    ACTIONS(1935), 1,
      anon_sym_RBRACE,
    STATE(919), 3,
      sym_expression_case,
      sym_default_case,
      aux_sym_expression_switch_statement_repeat1,
  [54324] = 3,
    ACTIONS(321), 1,
      sym_comment,
    ACTIONS(1635), 2,
      ts_builtin_sym_end,
      anon_sym_LF,
    ACTIONS(1637), 4,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_PIPE,
      anon_sym_LBRACE,
  [54338] = 3,
    ACTIONS(321), 1,
      sym_comment,
    ACTIONS(1691), 2,
      ts_builtin_sym_end,
      anon_sym_LF,
    ACTIONS(1693), 4,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_PIPE,
      anon_sym_LBRACE,
  [54352] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1826), 1,
      anon_sym_default,
    ACTIONS(1937), 1,
      anon_sym_RBRACE,
    ACTIONS(1939), 1,
      anon_sym_case,
    STATE(938), 3,
      sym_default_case,
      sym_type_case,
      aux_sym_type_switch_statement_repeat1,
  [54370] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1824), 1,
      anon_sym_case,
    ACTIONS(1826), 1,
      anon_sym_default,
    ACTIONS(1941), 1,
      anon_sym_RBRACE,
    STATE(883), 3,
      sym_expression_case,
      sym_default_case,
      aux_sym_expression_switch_statement_repeat1,
  [54388] = 3,
    ACTIONS(321), 1,
      sym_comment,
    ACTIONS(1667), 2,
      ts_builtin_sym_end,
      anon_sym_LF,
    ACTIONS(1669), 4,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_PIPE,
      anon_sym_LBRACE,
  [54402] = 3,
    ACTIONS(321), 1,
      sym_comment,
    ACTIONS(1651), 2,
      ts_builtin_sym_end,
      anon_sym_LF,
    ACTIONS(1653), 4,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_PIPE,
      anon_sym_LBRACE,
  [54416] = 3,
    ACTIONS(321), 1,
      sym_comment,
    ACTIONS(1639), 2,
      ts_builtin_sym_end,
      anon_sym_LF,
    ACTIONS(1641), 4,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_PIPE,
      anon_sym_LBRACE,
  [54430] = 3,
    ACTIONS(321), 1,
      sym_comment,
    ACTIONS(1643), 2,
      ts_builtin_sym_end,
      anon_sym_LF,
    ACTIONS(1645), 4,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_PIPE,
      anon_sym_LBRACE,
  [54444] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1826), 1,
      anon_sym_default,
    ACTIONS(1925), 1,
      anon_sym_case,
    ACTIONS(1943), 1,
      anon_sym_RBRACE,
    STATE(922), 3,
      sym_default_case,
      sym_communication_case,
      aux_sym_select_statement_repeat1,
  [54462] = 3,
    ACTIONS(321), 1,
      sym_comment,
    ACTIONS(1702), 2,
      ts_builtin_sym_end,
      anon_sym_LF,
    ACTIONS(1704), 4,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_PIPE,
      anon_sym_LBRACE,
  [54476] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1824), 1,
      anon_sym_case,
    ACTIONS(1826), 1,
      anon_sym_default,
    ACTIONS(1945), 1,
      anon_sym_RBRACE,
    STATE(929), 3,
      sym_expression_case,
      sym_default_case,
      aux_sym_expression_switch_statement_repeat1,
  [54494] = 4,
    ACTIONS(321), 1,
      sym_comment,
    ACTIONS(1852), 1,
      anon_sym_PIPE,
    ACTIONS(1655), 2,
      ts_builtin_sym_end,
      anon_sym_LF,
    ACTIONS(1657), 3,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_LBRACE,
  [54510] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1826), 1,
      anon_sym_default,
    ACTIONS(1939), 1,
      anon_sym_case,
    ACTIONS(1947), 1,
      anon_sym_RBRACE,
    STATE(923), 3,
      sym_default_case,
      sym_type_case,
      aux_sym_type_switch_statement_repeat1,
  [54528] = 3,
    ACTIONS(321), 1,
      sym_comment,
    ACTIONS(1659), 2,
      ts_builtin_sym_end,
      anon_sym_LF,
    ACTIONS(1661), 4,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_PIPE,
      anon_sym_LBRACE,
  [54542] = 3,
    ACTIONS(321), 1,
      sym_comment,
    ACTIONS(1595), 2,
      ts_builtin_sym_end,
      anon_sym_LF,
    ACTIONS(1597), 4,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_PIPE,
      anon_sym_LBRACE,
  [54556] = 4,
    ACTIONS(321), 1,
      sym_comment,
    ACTIONS(1852), 1,
      anon_sym_PIPE,
    ACTIONS(1623), 2,
      ts_builtin_sym_end,
      anon_sym_LF,
    ACTIONS(1625), 3,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_LBRACE,
  [54572] = 3,
    ACTIONS(321), 1,
      sym_comment,
    ACTIONS(1706), 2,
      ts_builtin_sym_end,
      anon_sym_LF,
    ACTIONS(1708), 4,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_PIPE,
      anon_sym_LBRACE,
  [54586] = 3,
    ACTIONS(321), 1,
      sym_comment,
    ACTIONS(1611), 2,
      ts_builtin_sym_end,
      anon_sym_LF,
    ACTIONS(1613), 4,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_PIPE,
      anon_sym_LBRACE,
  [54600] = 3,
    ACTIONS(321), 1,
      sym_comment,
    ACTIONS(1949), 1,
      anon_sym_LF,
    ACTIONS(1951), 4,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_case,
      anon_sym_default,
  [54613] = 5,
    ACTIONS(321), 1,
      sym_comment,
    ACTIONS(1008), 1,
      anon_sym_LBRACE,
    ACTIONS(1896), 1,
      anon_sym_SEMI,
    STATE(1178), 1,
      sym_block,
    ACTIONS(1894), 2,
      ts_builtin_sym_end,
      anon_sym_LF,
  [54630] = 3,
    ACTIONS(321), 1,
      sym_comment,
    ACTIONS(1953), 1,
      anon_sym_LF,
    ACTIONS(1955), 4,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_case,
      anon_sym_default,
  [54643] = 3,
    ACTIONS(321), 1,
      sym_comment,
    ACTIONS(1957), 1,
      anon_sym_LF,
    ACTIONS(1959), 4,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_case,
      anon_sym_default,
  [54656] = 3,
    ACTIONS(321), 1,
      sym_comment,
    ACTIONS(1961), 1,
      anon_sym_LF,
    ACTIONS(1963), 4,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_case,
      anon_sym_default,
  [54669] = 3,
    ACTIONS(321), 1,
      sym_comment,
    ACTIONS(1965), 1,
      anon_sym_LF,
    ACTIONS(1967), 4,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_case,
      anon_sym_default,
  [54682] = 3,
    ACTIONS(321), 1,
      sym_comment,
    ACTIONS(1969), 1,
      anon_sym_LF,
    ACTIONS(1971), 4,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_case,
      anon_sym_default,
  [54695] = 3,
    ACTIONS(321), 1,
      sym_comment,
    ACTIONS(1973), 1,
      anon_sym_LF,
    ACTIONS(1975), 4,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_case,
      anon_sym_default,
  [54708] = 6,
    ACTIONS(321), 1,
      sym_comment,
    ACTIONS(1052), 1,
      anon_sym_LBRACE,
    ACTIONS(1627), 1,
      anon_sym_PIPE,
    ACTIONS(1894), 1,
      anon_sym_LF,
    ACTIONS(1896), 1,
      anon_sym_SEMI,
    STATE(1267), 1,
      sym_block,
  [54727] = 3,
    ACTIONS(321), 1,
      sym_comment,
    ACTIONS(1977), 1,
      anon_sym_LF,
    ACTIONS(1979), 4,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_case,
      anon_sym_default,
  [54740] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1745), 1,
      anon_sym_PIPE,
    ACTIONS(1981), 1,
      anon_sym_LPAREN,
    ACTIONS(1983), 1,
      anon_sym_COMMA,
    ACTIONS(1985), 1,
      anon_sym_RBRACK,
    STATE(1197), 1,
      aux_sym_type_arguments_repeat1,
  [54759] = 3,
    ACTIONS(321), 1,
      sym_comment,
    ACTIONS(1987), 1,
      anon_sym_LF,
    ACTIONS(1989), 4,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_case,
      anon_sym_default,
  [54772] = 3,
    ACTIONS(321), 1,
      sym_comment,
    ACTIONS(1991), 1,
      anon_sym_LF,
    ACTIONS(1993), 4,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_case,
      anon_sym_default,
  [54785] = 3,
    ACTIONS(321), 1,
      sym_comment,
    ACTIONS(1995), 1,
      anon_sym_LF,
    ACTIONS(1997), 4,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_case,
      anon_sym_default,
  [54798] = 3,
    ACTIONS(321), 1,
      sym_comment,
    ACTIONS(1999), 1,
      anon_sym_LF,
    ACTIONS(2001), 4,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_case,
      anon_sym_default,
  [54811] = 3,
    ACTIONS(321), 1,
      sym_comment,
    ACTIONS(2003), 1,
      anon_sym_LF,
    ACTIONS(2005), 4,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_case,
      anon_sym_default,
  [54824] = 3,
    ACTIONS(321), 1,
      sym_comment,
    ACTIONS(2007), 1,
      anon_sym_LF,
    ACTIONS(2009), 4,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_case,
      anon_sym_default,
  [54837] = 6,
    ACTIONS(321), 1,
      sym_comment,
    ACTIONS(1052), 1,
      anon_sym_LBRACE,
    ACTIONS(1627), 1,
      anon_sym_PIPE,
    ACTIONS(1856), 1,
      anon_sym_LF,
    ACTIONS(1858), 1,
      anon_sym_SEMI,
    STATE(1288), 1,
      sym_block,
  [54856] = 5,
    ACTIONS(321), 1,
      sym_comment,
    ACTIONS(1008), 1,
      anon_sym_LBRACE,
    ACTIONS(1850), 1,
      anon_sym_SEMI,
    STATE(1151), 1,
      sym_block,
    ACTIONS(1848), 2,
      ts_builtin_sym_end,
      anon_sym_LF,
  [54873] = 6,
    ACTIONS(321), 1,
      sym_comment,
    ACTIONS(1052), 1,
      anon_sym_LBRACE,
    ACTIONS(1627), 1,
      anon_sym_PIPE,
    ACTIONS(1848), 1,
      anon_sym_LF,
    ACTIONS(1850), 1,
      anon_sym_SEMI,
    STATE(1291), 1,
      sym_block,
  [54892] = 3,
    ACTIONS(321), 1,
      sym_comment,
    ACTIONS(2011), 1,
      anon_sym_LF,
    ACTIONS(2013), 4,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_case,
      anon_sym_default,
  [54905] = 3,
    ACTIONS(321), 1,
      sym_comment,
    ACTIONS(2015), 1,
      anon_sym_LF,
    ACTIONS(2017), 4,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_case,
      anon_sym_default,
  [54918] = 3,
    ACTIONS(321), 1,
      sym_comment,
    ACTIONS(2019), 1,
      anon_sym_LF,
    ACTIONS(2021), 4,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_case,
      anon_sym_default,
  [54931] = 3,
    ACTIONS(321), 1,
      sym_comment,
    ACTIONS(2023), 1,
      anon_sym_LF,
    ACTIONS(2025), 4,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_case,
      anon_sym_default,
  [54944] = 3,
    ACTIONS(321), 1,
      sym_comment,
    ACTIONS(2027), 1,
      anon_sym_LF,
    ACTIONS(2029), 4,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_case,
      anon_sym_default,
  [54957] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1687), 5,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_PIPE,
  [54968] = 3,
    ACTIONS(321), 1,
      sym_comment,
    ACTIONS(2031), 1,
      anon_sym_LF,
    ACTIONS(2033), 4,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_case,
      anon_sym_default,
  [54981] = 3,
    ACTIONS(321), 1,
      sym_comment,
    ACTIONS(2035), 1,
      anon_sym_LF,
    ACTIONS(2037), 4,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_case,
      anon_sym_default,
  [54994] = 3,
    ACTIONS(321), 1,
      sym_comment,
    ACTIONS(2039), 1,
      anon_sym_LF,
    ACTIONS(2041), 4,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_case,
      anon_sym_default,
  [55007] = 5,
    ACTIONS(321), 1,
      sym_comment,
    ACTIONS(1008), 1,
      anon_sym_LBRACE,
    ACTIONS(1858), 1,
      anon_sym_SEMI,
    STATE(1154), 1,
      sym_block,
    ACTIONS(1856), 2,
      ts_builtin_sym_end,
      anon_sym_LF,
  [55024] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2043), 1,
      sym_identifier,
    ACTIONS(2045), 1,
      anon_sym_RPAREN,
    STATE(987), 1,
      aux_sym_type_declaration_repeat1,
    STATE(1268), 2,
      sym_type_alias,
      sym_type_spec,
  [55041] = 5,
    ACTIONS(321), 1,
      sym_comment,
    ACTIONS(2047), 1,
      anon_sym_LF,
    ACTIONS(2051), 1,
      anon_sym_PIPE,
    STATE(989), 1,
      aux_sym_struct_elem_repeat1,
    ACTIONS(2049), 2,
      anon_sym_SEMI,
      anon_sym_RBRACE,
  [55058] = 3,
    ACTIONS(321), 1,
      sym_comment,
    ACTIONS(2053), 1,
      anon_sym_LF,
    ACTIONS(2055), 4,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_case,
      anon_sym_default,
  [55071] = 3,
    ACTIONS(321), 1,
      sym_comment,
    ACTIONS(2057), 1,
      anon_sym_LF,
    ACTIONS(2059), 4,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_case,
      anon_sym_default,
  [55084] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2063), 1,
      anon_sym_struct,
    STATE(1052), 1,
      sym_struct_term,
    STATE(1062), 1,
      sym_struct_type,
    ACTIONS(2061), 2,
      anon_sym_STAR,
      anon_sym_TILDE,
  [55101] = 3,
    ACTIONS(321), 1,
      sym_comment,
    ACTIONS(2065), 1,
      anon_sym_LF,
    ACTIONS(2067), 4,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_case,
      anon_sym_default,
  [55114] = 4,
    ACTIONS(321), 1,
      sym_comment,
    ACTIONS(1582), 1,
      anon_sym_LBRACK,
    ACTIONS(2069), 1,
      anon_sym_LF,
    ACTIONS(2071), 3,
      anon_sym_SEMI,
      anon_sym_PIPE,
      anon_sym_RBRACE,
  [55129] = 3,
    ACTIONS(321), 1,
      sym_comment,
    ACTIONS(2073), 1,
      anon_sym_LF,
    ACTIONS(2075), 4,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_case,
      anon_sym_default,
  [55142] = 3,
    ACTIONS(321), 1,
      sym_comment,
    ACTIONS(2077), 1,
      anon_sym_LF,
    ACTIONS(2079), 4,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_case,
      anon_sym_default,
  [55155] = 3,
    ACTIONS(321), 1,
      sym_comment,
    ACTIONS(2081), 1,
      anon_sym_LF,
    ACTIONS(1868), 4,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_case,
      anon_sym_default,
  [55168] = 3,
    ACTIONS(321), 1,
      sym_comment,
    ACTIONS(2083), 1,
      anon_sym_LF,
    ACTIONS(2085), 4,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_case,
      anon_sym_default,
  [55181] = 3,
    ACTIONS(321), 1,
      sym_comment,
    ACTIONS(2087), 1,
      anon_sym_LF,
    ACTIONS(2089), 4,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_case,
      anon_sym_default,
  [55194] = 3,
    ACTIONS(321), 1,
      sym_comment,
    ACTIONS(2091), 1,
      anon_sym_LF,
    ACTIONS(2093), 4,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_case,
      anon_sym_default,
  [55207] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2043), 1,
      sym_identifier,
    ACTIONS(2095), 1,
      anon_sym_RPAREN,
    STATE(996), 1,
      aux_sym_type_declaration_repeat1,
    STATE(1268), 2,
      sym_type_alias,
      sym_type_spec,
  [55224] = 5,
    ACTIONS(321), 1,
      sym_comment,
    ACTIONS(2051), 1,
      anon_sym_PIPE,
    ACTIONS(2097), 1,
      anon_sym_LF,
    STATE(975), 1,
      aux_sym_struct_elem_repeat1,
    ACTIONS(2099), 2,
      anon_sym_SEMI,
      anon_sym_RBRACE,
  [55241] = 5,
    ACTIONS(321), 1,
      sym_comment,
    ACTIONS(2101), 1,
      anon_sym_LF,
    ACTIONS(2105), 1,
      anon_sym_PIPE,
    STATE(989), 1,
      aux_sym_struct_elem_repeat1,
    ACTIONS(2103), 2,
      anon_sym_SEMI,
      anon_sym_RBRACE,
  [55258] = 3,
    ACTIONS(321), 1,
      sym_comment,
    ACTIONS(2108), 1,
      anon_sym_LF,
    ACTIONS(2110), 4,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_case,
      anon_sym_default,
  [55271] = 3,
    ACTIONS(321), 1,
      sym_comment,
    ACTIONS(2112), 1,
      anon_sym_LF,
    ACTIONS(2114), 4,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_case,
      anon_sym_default,
  [55284] = 3,
    ACTIONS(321), 1,
      sym_comment,
    ACTIONS(2116), 1,
      anon_sym_LF,
    ACTIONS(2118), 4,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_case,
      anon_sym_default,
  [55297] = 3,
    ACTIONS(321), 1,
      sym_comment,
    ACTIONS(2120), 1,
      anon_sym_LF,
    ACTIONS(2122), 4,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_case,
      anon_sym_default,
  [55310] = 3,
    ACTIONS(321), 1,
      sym_comment,
    ACTIONS(2124), 1,
      anon_sym_LF,
    ACTIONS(2126), 4,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_case,
      anon_sym_default,
  [55323] = 3,
    ACTIONS(321), 1,
      sym_comment,
    ACTIONS(2128), 1,
      anon_sym_LF,
    ACTIONS(2130), 4,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_case,
      anon_sym_default,
  [55336] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2132), 1,
      sym_identifier,
    ACTIONS(2135), 1,
      anon_sym_RPAREN,
    STATE(996), 1,
      aux_sym_type_declaration_repeat1,
    STATE(1268), 2,
      sym_type_alias,
      sym_type_spec,
  [55353] = 3,
    ACTIONS(321), 1,
      sym_comment,
    ACTIONS(2137), 1,
      anon_sym_LF,
    ACTIONS(2139), 4,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_case,
      anon_sym_default,
  [55366] = 3,
    ACTIONS(321), 1,
      sym_comment,
    ACTIONS(2141), 1,
      anon_sym_LF,
    ACTIONS(2143), 4,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_case,
      anon_sym_default,
  [55379] = 3,
    ACTIONS(321), 1,
      sym_comment,
    ACTIONS(2145), 1,
      anon_sym_LF,
    ACTIONS(2147), 4,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_case,
      anon_sym_default,
  [55392] = 3,
    ACTIONS(321), 1,
      sym_comment,
    ACTIONS(2149), 1,
      anon_sym_LF,
    ACTIONS(2151), 4,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_case,
      anon_sym_default,
  [55405] = 3,
    ACTIONS(321), 1,
      sym_comment,
    ACTIONS(2153), 1,
      anon_sym_LF,
    ACTIONS(2155), 4,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_case,
      anon_sym_default,
  [55418] = 3,
    ACTIONS(321), 1,
      sym_comment,
    ACTIONS(2157), 1,
      anon_sym_LF,
    ACTIONS(2159), 4,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_case,
      anon_sym_default,
  [55431] = 3,
    ACTIONS(321), 1,
      sym_comment,
    ACTIONS(2161), 1,
      anon_sym_LF,
    ACTIONS(2163), 4,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_case,
      anon_sym_default,
  [55444] = 3,
    ACTIONS(321), 1,
      sym_comment,
    ACTIONS(2165), 1,
      anon_sym_LF,
    ACTIONS(2167), 4,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_case,
      anon_sym_default,
  [55457] = 3,
    ACTIONS(321), 1,
      sym_comment,
    ACTIONS(2169), 1,
      anon_sym_LF,
    ACTIONS(2171), 4,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_case,
      anon_sym_default,
  [55470] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1745), 1,
      anon_sym_PIPE,
    ACTIONS(1981), 1,
      anon_sym_LPAREN,
    ACTIONS(2173), 1,
      anon_sym_COMMA,
    ACTIONS(2175), 1,
      anon_sym_RBRACK,
    STATE(1141), 1,
      aux_sym_type_arguments_repeat1,
  [55489] = 3,
    ACTIONS(321), 1,
      sym_comment,
    ACTIONS(2177), 1,
      anon_sym_LF,
    ACTIONS(2179), 4,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_case,
      anon_sym_default,
  [55502] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1745), 1,
      anon_sym_PIPE,
    ACTIONS(2181), 1,
      anon_sym_RPAREN,
    ACTIONS(2183), 1,
      anon_sym_COMMA,
    STATE(1186), 1,
      aux_sym_expression_list_repeat1,
  [55518] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1778), 1,
      anon_sym_LPAREN,
    ACTIONS(2185), 1,
      anon_sym_LBRACK,
    STATE(430), 1,
      sym_parameter_list,
    STATE(1283), 1,
      sym_type_parameter_list,
  [55534] = 5,
    ACTIONS(321), 1,
      sym_comment,
    ACTIONS(2187), 1,
      anon_sym_LF,
    ACTIONS(2189), 1,
      anon_sym_SEMI,
    ACTIONS(2191), 1,
      anon_sym_RBRACE,
    STATE(1029), 1,
      aux_sym_interface_type_repeat1,
  [55550] = 4,
    ACTIONS(321), 1,
      sym_comment,
    ACTIONS(2193), 1,
      anon_sym_DQUOTE2,
    STATE(1049), 1,
      aux_sym_interpreted_string_literal_repeat1,
    ACTIONS(2195), 2,
      sym__interpreted_string_literal_basic_content,
      sym_escape_sequence,
  [55564] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1745), 1,
      anon_sym_PIPE,
    ACTIONS(2197), 1,
      anon_sym_RPAREN,
    ACTIONS(2199), 1,
      anon_sym_COMMA,
    STATE(1142), 1,
      aux_sym_expression_list_repeat1,
  [55580] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1745), 1,
      anon_sym_PIPE,
    ACTIONS(2173), 1,
      anon_sym_COMMA,
    ACTIONS(2175), 1,
      anon_sym_RBRACK,
    STATE(1141), 1,
      aux_sym_type_arguments_repeat1,
  [55596] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1745), 1,
      anon_sym_PIPE,
    ACTIONS(2201), 3,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
  [55608] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2203), 1,
      anon_sym_COMMA,
    ACTIONS(2205), 1,
      anon_sym_RBRACE,
    ACTIONS(2207), 1,
      anon_sym_COLON,
    STATE(1140), 1,
      aux_sym_literal_value_repeat1,
  [55624] = 4,
    ACTIONS(321), 1,
      sym_comment,
    ACTIONS(2209), 1,
      anon_sym_DQUOTE2,
    STATE(1045), 1,
      aux_sym_interpreted_string_literal_repeat1,
    ACTIONS(2211), 2,
      sym__interpreted_string_literal_basic_content,
      sym_escape_sequence,
  [55638] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1140), 1,
      anon_sym_LBRACE,
    ACTIONS(1675), 1,
      anon_sym_LPAREN,
    ACTIONS(1745), 1,
      anon_sym_PIPE,
    STATE(353), 1,
      sym_block,
  [55654] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1136), 1,
      anon_sym_LBRACE,
    STATE(498), 1,
      sym_block,
    ACTIONS(1675), 2,
      anon_sym_LPAREN,
      anon_sym_PIPE,
  [55668] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(818), 1,
      anon_sym_LBRACE,
    STATE(360), 1,
      sym_literal_value,
    ACTIONS(1580), 2,
      anon_sym_LPAREN,
      anon_sym_PIPE,
  [55682] = 4,
    ACTIONS(321), 1,
      sym_comment,
    ACTIONS(2213), 1,
      anon_sym_DQUOTE2,
    STATE(1086), 1,
      aux_sym_interpreted_string_literal_repeat1,
    ACTIONS(2215), 2,
      sym__interpreted_string_literal_basic_content,
      sym_escape_sequence,
  [55696] = 4,
    ACTIONS(321), 1,
      sym_comment,
    ACTIONS(2217), 1,
      anon_sym_DQUOTE2,
    STATE(1086), 1,
      aux_sym_interpreted_string_literal_repeat1,
    ACTIONS(2215), 2,
      sym__interpreted_string_literal_basic_content,
      sym_escape_sequence,
  [55710] = 5,
    ACTIONS(321), 1,
      sym_comment,
    ACTIONS(2219), 1,
      anon_sym_LF,
    ACTIONS(2221), 1,
      anon_sym_SEMI,
    ACTIONS(2223), 1,
      anon_sym_RPAREN,
    STATE(1026), 1,
      aux_sym_import_spec_list_repeat1,
  [55726] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1140), 1,
      anon_sym_LBRACE,
    STATE(353), 1,
      sym_block,
    ACTIONS(1675), 2,
      anon_sym_LPAREN,
      anon_sym_PIPE,
  [55740] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1916), 1,
      anon_sym_LBRACE,
    STATE(297), 1,
      sym_literal_value,
    ACTIONS(1580), 2,
      anon_sym_LPAREN,
      anon_sym_PIPE,
  [55754] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2207), 1,
      anon_sym_COLON,
    ACTIONS(2225), 1,
      anon_sym_COMMA,
    ACTIONS(2227), 1,
      anon_sym_RBRACE,
    STATE(1185), 1,
      aux_sym_literal_value_repeat1,
  [55770] = 5,
    ACTIONS(321), 1,
      sym_comment,
    ACTIONS(2229), 1,
      anon_sym_LF,
    ACTIONS(2232), 1,
      anon_sym_SEMI,
    ACTIONS(2235), 1,
      anon_sym_RPAREN,
    STATE(1026), 1,
      aux_sym_import_spec_list_repeat1,
  [55786] = 5,
    ACTIONS(321), 1,
      sym_comment,
    ACTIONS(2237), 1,
      anon_sym_LF,
    ACTIONS(2239), 1,
      anon_sym_SEMI,
    ACTIONS(2241), 1,
      anon_sym_RBRACE,
    STATE(1030), 1,
      aux_sym_field_declaration_list_repeat1,
  [55802] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1745), 1,
      anon_sym_PIPE,
    ACTIONS(2243), 1,
      anon_sym_COMMA,
    ACTIONS(2245), 1,
      anon_sym_COLON,
    STATE(1119), 1,
      aux_sym_type_arguments_repeat1,
  [55818] = 5,
    ACTIONS(321), 1,
      sym_comment,
    ACTIONS(2247), 1,
      anon_sym_LF,
    ACTIONS(2249), 1,
      anon_sym_SEMI,
    ACTIONS(2251), 1,
      anon_sym_RBRACE,
    STATE(1082), 1,
      aux_sym_interface_type_repeat1,
  [55834] = 5,
    ACTIONS(321), 1,
      sym_comment,
    ACTIONS(2253), 1,
      anon_sym_LF,
    ACTIONS(2256), 1,
      anon_sym_SEMI,
    ACTIONS(2259), 1,
      anon_sym_RBRACE,
    STATE(1030), 1,
      aux_sym_field_declaration_list_repeat1,
  [55850] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2261), 1,
      sym_identifier,
    ACTIONS(2263), 1,
      anon_sym_RPAREN,
    STATE(1097), 1,
      aux_sym_const_declaration_repeat1,
    STATE(1250), 1,
      sym_const_spec,
  [55866] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2265), 1,
      sym_identifier,
    ACTIONS(2268), 1,
      anon_sym_RPAREN,
    STATE(1032), 1,
      aux_sym_var_declaration_repeat1,
    STATE(1258), 1,
      sym_var_spec,
  [55882] = 5,
    ACTIONS(321), 1,
      sym_comment,
    ACTIONS(2270), 1,
      anon_sym_LF,
    ACTIONS(2272), 1,
      anon_sym_SEMI,
    ACTIONS(2274), 1,
      anon_sym_RBRACE,
    STATE(1046), 1,
      aux_sym_field_declaration_list_repeat1,
  [55898] = 3,
    ACTIONS(321), 1,
      sym_comment,
    ACTIONS(2069), 1,
      anon_sym_LF,
    ACTIONS(2071), 3,
      anon_sym_SEMI,
      anon_sym_PIPE,
      anon_sym_RBRACE,
  [55910] = 5,
    ACTIONS(321), 1,
      sym_comment,
    ACTIONS(2276), 1,
      anon_sym_LF,
    ACTIONS(2278), 1,
      anon_sym_SEMI,
    ACTIONS(2280), 1,
      anon_sym_RPAREN,
    STATE(1022), 1,
      aux_sym_import_spec_list_repeat1,
  [55926] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2282), 1,
      sym_identifier,
    ACTIONS(2284), 1,
      anon_sym_RPAREN,
    STATE(1083), 1,
      aux_sym_var_declaration_repeat1,
    STATE(1258), 1,
      sym_var_spec,
  [55942] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(33), 1,
      anon_sym_LBRACE,
    ACTIONS(2286), 1,
      anon_sym_if,
    STATE(972), 2,
      sym_block,
      sym_if_statement,
  [55956] = 4,
    ACTIONS(321), 1,
      sym_comment,
    ACTIONS(1627), 1,
      anon_sym_PIPE,
    ACTIONS(2288), 1,
      anon_sym_LF,
    ACTIONS(2290), 2,
      anon_sym_SEMI,
      anon_sym_RBRACE,
  [55970] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1745), 1,
      anon_sym_PIPE,
    ACTIONS(2292), 3,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
  [55982] = 3,
    ACTIONS(321), 1,
      sym_comment,
    ACTIONS(2294), 1,
      anon_sym_LF,
    ACTIONS(2296), 3,
      anon_sym_SEMI,
      anon_sym_PIPE,
      anon_sym_RBRACE,
  [55994] = 4,
    ACTIONS(321), 1,
      sym_comment,
    ACTIONS(2298), 1,
      anon_sym_DQUOTE2,
    STATE(1042), 1,
      aux_sym_interpreted_string_literal_repeat1,
    ACTIONS(2300), 2,
      sym__interpreted_string_literal_basic_content,
      sym_escape_sequence,
  [56008] = 4,
    ACTIONS(321), 1,
      sym_comment,
    ACTIONS(2302), 1,
      anon_sym_DQUOTE2,
    STATE(1086), 1,
      aux_sym_interpreted_string_literal_repeat1,
    ACTIONS(2215), 2,
      sym__interpreted_string_literal_basic_content,
      sym_escape_sequence,
  [56022] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1745), 1,
      anon_sym_PIPE,
    ACTIONS(2292), 3,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
  [56034] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1745), 1,
      anon_sym_PIPE,
    ACTIONS(1981), 1,
      anon_sym_LPAREN,
    ACTIONS(2304), 2,
      anon_sym_COMMA,
      anon_sym_RBRACK,
  [56048] = 4,
    ACTIONS(321), 1,
      sym_comment,
    ACTIONS(2306), 1,
      anon_sym_DQUOTE2,
    STATE(1086), 1,
      aux_sym_interpreted_string_literal_repeat1,
    ACTIONS(2215), 2,
      sym__interpreted_string_literal_basic_content,
      sym_escape_sequence,
  [56062] = 5,
    ACTIONS(321), 1,
      sym_comment,
    ACTIONS(2308), 1,
      anon_sym_LF,
    ACTIONS(2310), 1,
      anon_sym_SEMI,
    ACTIONS(2312), 1,
      anon_sym_RBRACE,
    STATE(1030), 1,
      aux_sym_field_declaration_list_repeat1,
  [56078] = 5,
    ACTIONS(321), 1,
      sym_comment,
    ACTIONS(2314), 1,
      anon_sym_LF,
    ACTIONS(2316), 1,
      anon_sym_SEMI,
    ACTIONS(2318), 1,
      anon_sym_RBRACE,
    STATE(1055), 1,
      aux_sym_interface_type_repeat1,
  [56094] = 4,
    ACTIONS(321), 1,
      sym_comment,
    ACTIONS(2320), 1,
      anon_sym_DQUOTE2,
    STATE(1086), 1,
      aux_sym_interpreted_string_literal_repeat1,
    ACTIONS(2215), 2,
      sym__interpreted_string_literal_basic_content,
      sym_escape_sequence,
  [56108] = 4,
    ACTIONS(321), 1,
      sym_comment,
    ACTIONS(2322), 1,
      anon_sym_DQUOTE2,
    STATE(1086), 1,
      aux_sym_interpreted_string_literal_repeat1,
    ACTIONS(2215), 2,
      sym__interpreted_string_literal_basic_content,
      sym_escape_sequence,
  [56122] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1144), 1,
      anon_sym_LBRACE,
    STATE(320), 1,
      sym_block,
    ACTIONS(1675), 2,
      anon_sym_LPAREN,
      anon_sym_PIPE,
  [56136] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1144), 1,
      anon_sym_LBRACE,
    ACTIONS(1675), 1,
      anon_sym_LPAREN,
    ACTIONS(1745), 1,
      anon_sym_PIPE,
    STATE(320), 1,
      sym_block,
  [56152] = 3,
    ACTIONS(321), 1,
      sym_comment,
    ACTIONS(2101), 1,
      anon_sym_LF,
    ACTIONS(2103), 3,
      anon_sym_SEMI,
      anon_sym_PIPE,
      anon_sym_RBRACE,
  [56164] = 5,
    ACTIONS(321), 1,
      sym_comment,
    ACTIONS(2324), 1,
      anon_sym_LF,
    ACTIONS(2326), 1,
      anon_sym_SEMI,
    ACTIONS(2328), 1,
      anon_sym_RBRACE,
    STATE(1027), 1,
      aux_sym_field_declaration_list_repeat1,
  [56180] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1745), 1,
      anon_sym_PIPE,
    ACTIONS(2330), 1,
      anon_sym_RPAREN,
    ACTIONS(2332), 1,
      anon_sym_COMMA,
    STATE(1100), 1,
      aux_sym_expression_list_repeat1,
  [56196] = 5,
    ACTIONS(321), 1,
      sym_comment,
    ACTIONS(2334), 1,
      anon_sym_LF,
    ACTIONS(2336), 1,
      anon_sym_SEMI,
    ACTIONS(2338), 1,
      anon_sym_RBRACE,
    STATE(1082), 1,
      aux_sym_interface_type_repeat1,
  [56212] = 4,
    ACTIONS(321), 1,
      sym_comment,
    ACTIONS(1627), 1,
      anon_sym_PIPE,
    ACTIONS(2340), 1,
      anon_sym_LF,
    ACTIONS(2342), 2,
      anon_sym_SEMI,
      anon_sym_RBRACE,
  [56226] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2207), 1,
      anon_sym_COLON,
    ACTIONS(2344), 1,
      anon_sym_COMMA,
    ACTIONS(2346), 1,
      anon_sym_RBRACE,
    STATE(1184), 1,
      aux_sym_literal_value_repeat1,
  [56242] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(33), 1,
      anon_sym_LBRACE,
    ACTIONS(1675), 1,
      anon_sym_LPAREN,
    ACTIONS(1745), 1,
      anon_sym_PIPE,
    STATE(275), 1,
      sym_block,
  [56258] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2207), 1,
      anon_sym_COLON,
    ACTIONS(2348), 1,
      anon_sym_COMMA,
    ACTIONS(2350), 1,
      anon_sym_RBRACE,
    STATE(1150), 1,
      aux_sym_literal_value_repeat1,
  [56274] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(33), 1,
      anon_sym_LBRACE,
    STATE(275), 1,
      sym_block,
    ACTIONS(1675), 2,
      anon_sym_LPAREN,
      anon_sym_PIPE,
  [56288] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1745), 1,
      anon_sym_PIPE,
    ACTIONS(2352), 1,
      anon_sym_RPAREN,
    ACTIONS(2354), 1,
      anon_sym_COMMA,
    STATE(1153), 1,
      aux_sym_expression_list_repeat1,
  [56304] = 3,
    ACTIONS(321), 1,
      sym_comment,
    ACTIONS(2294), 1,
      anon_sym_LF,
    ACTIONS(2296), 3,
      anon_sym_SEMI,
      anon_sym_PIPE,
      anon_sym_RBRACE,
  [56316] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1162), 1,
      anon_sym_LBRACE,
    ACTIONS(1675), 1,
      anon_sym_LPAREN,
    ACTIONS(1745), 1,
      anon_sym_PIPE,
    STATE(554), 1,
      sym_block,
  [56332] = 4,
    ACTIONS(321), 1,
      sym_comment,
    ACTIONS(2356), 1,
      anon_sym_DQUOTE2,
    STATE(1048), 1,
      aux_sym_interpreted_string_literal_repeat1,
    ACTIONS(2358), 2,
      sym__interpreted_string_literal_basic_content,
      sym_escape_sequence,
  [56346] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1745), 1,
      anon_sym_PIPE,
    ACTIONS(2304), 3,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
  [56358] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1870), 1,
      anon_sym_LBRACE,
    STATE(256), 1,
      sym_literal_value,
    ACTIONS(1580), 2,
      anon_sym_LPAREN,
      anon_sym_PIPE,
  [56372] = 5,
    ACTIONS(321), 1,
      sym_comment,
    ACTIONS(2360), 1,
      anon_sym_LF,
    ACTIONS(2362), 1,
      anon_sym_SEMI,
    ACTIONS(2364), 1,
      anon_sym_RBRACE,
    STATE(1082), 1,
      aux_sym_interface_type_repeat1,
  [56388] = 5,
    ACTIONS(321), 1,
      sym_comment,
    ACTIONS(2366), 1,
      anon_sym_LF,
    ACTIONS(2368), 1,
      anon_sym_SEMI,
    ACTIONS(2370), 1,
      anon_sym_RPAREN,
    STATE(1089), 1,
      aux_sym_import_spec_list_repeat1,
  [56404] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1162), 1,
      anon_sym_LBRACE,
    STATE(554), 1,
      sym_block,
    ACTIONS(1675), 2,
      anon_sym_LPAREN,
      anon_sym_PIPE,
  [56418] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1745), 1,
      anon_sym_PIPE,
    ACTIONS(2372), 1,
      anon_sym_RPAREN,
    ACTIONS(2374), 1,
      anon_sym_COMMA,
    STATE(1199), 1,
      aux_sym_expression_list_repeat1,
  [56434] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1745), 1,
      anon_sym_PIPE,
    ACTIONS(1983), 1,
      anon_sym_COMMA,
    ACTIONS(1985), 1,
      anon_sym_RBRACK,
    STATE(1197), 1,
      aux_sym_type_arguments_repeat1,
  [56450] = 5,
    ACTIONS(321), 1,
      sym_comment,
    ACTIONS(2376), 1,
      anon_sym_LF,
    ACTIONS(2378), 1,
      anon_sym_SEMI,
    ACTIONS(2380), 1,
      anon_sym_RBRACE,
    STATE(1030), 1,
      aux_sym_field_declaration_list_repeat1,
  [56466] = 4,
    ACTIONS(321), 1,
      sym_comment,
    ACTIONS(2382), 1,
      anon_sym_DQUOTE2,
    STATE(1092), 1,
      aux_sym_interpreted_string_literal_repeat1,
    ACTIONS(2384), 2,
      sym__interpreted_string_literal_basic_content,
      sym_escape_sequence,
  [56480] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1854), 1,
      anon_sym_LBRACE,
    STATE(514), 1,
      sym_literal_value,
    ACTIONS(1580), 2,
      anon_sym_LPAREN,
      anon_sym_PIPE,
  [56494] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1791), 1,
      anon_sym_LPAREN,
    ACTIONS(2185), 1,
      anon_sym_LBRACK,
    STATE(428), 1,
      sym_parameter_list,
    STATE(1304), 1,
      sym_type_parameter_list,
  [56510] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1110), 1,
      anon_sym_LBRACE,
    STATE(573), 1,
      sym_literal_value,
    ACTIONS(1580), 2,
      anon_sym_LPAREN,
      anon_sym_PIPE,
  [56524] = 5,
    ACTIONS(321), 1,
      sym_comment,
    ACTIONS(1052), 1,
      anon_sym_LBRACE,
    ACTIONS(1848), 1,
      anon_sym_LF,
    ACTIONS(1850), 1,
      anon_sym_SEMI,
    STATE(1291), 1,
      sym_block,
  [56540] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2386), 1,
      anon_sym_COMMA,
    STATE(1078), 1,
      aux_sym_type_arguments_repeat1,
    ACTIONS(2389), 2,
      anon_sym_RBRACK,
      anon_sym_COLON,
  [56554] = 5,
    ACTIONS(321), 1,
      sym_comment,
    ACTIONS(1052), 1,
      anon_sym_LBRACE,
    ACTIONS(1856), 1,
      anon_sym_LF,
    ACTIONS(1858), 1,
      anon_sym_SEMI,
    STATE(1288), 1,
      sym_block,
  [56570] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(33), 1,
      anon_sym_LBRACE,
    ACTIONS(2286), 1,
      anon_sym_if,
    STATE(1001), 2,
      sym_block,
      sym_if_statement,
  [56584] = 4,
    ACTIONS(321), 1,
      sym_comment,
    ACTIONS(2391), 1,
      anon_sym_DQUOTE2,
    STATE(1020), 1,
      aux_sym_interpreted_string_literal_repeat1,
    ACTIONS(2393), 2,
      sym__interpreted_string_literal_basic_content,
      sym_escape_sequence,
  [56598] = 5,
    ACTIONS(321), 1,
      sym_comment,
    ACTIONS(2395), 1,
      anon_sym_LF,
    ACTIONS(2398), 1,
      anon_sym_SEMI,
    ACTIONS(2401), 1,
      anon_sym_RBRACE,
    STATE(1082), 1,
      aux_sym_interface_type_repeat1,
  [56614] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2282), 1,
      sym_identifier,
    ACTIONS(2403), 1,
      anon_sym_RPAREN,
    STATE(1032), 1,
      aux_sym_var_declaration_repeat1,
    STATE(1258), 1,
      sym_var_spec,
  [56630] = 4,
    ACTIONS(321), 1,
      sym_comment,
    ACTIONS(2405), 1,
      anon_sym_DQUOTE2,
    STATE(1021), 1,
      aux_sym_interpreted_string_literal_repeat1,
    ACTIONS(2407), 2,
      sym__interpreted_string_literal_basic_content,
      sym_escape_sequence,
  [56644] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2207), 1,
      anon_sym_COLON,
    ACTIONS(2409), 1,
      anon_sym_COMMA,
    ACTIONS(2411), 1,
      anon_sym_RBRACE,
    STATE(1196), 1,
      aux_sym_literal_value_repeat1,
  [56660] = 4,
    ACTIONS(321), 1,
      sym_comment,
    ACTIONS(2413), 1,
      anon_sym_DQUOTE2,
    STATE(1086), 1,
      aux_sym_interpreted_string_literal_repeat1,
    ACTIONS(2415), 2,
      sym__interpreted_string_literal_basic_content,
      sym_escape_sequence,
  [56674] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1745), 1,
      anon_sym_PIPE,
    ACTIONS(2389), 3,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_COLON,
  [56686] = 5,
    ACTIONS(321), 1,
      sym_comment,
    ACTIONS(1052), 1,
      anon_sym_LBRACE,
    ACTIONS(1894), 1,
      anon_sym_LF,
    ACTIONS(1896), 1,
      anon_sym_SEMI,
    STATE(1267), 1,
      sym_block,
  [56702] = 5,
    ACTIONS(321), 1,
      sym_comment,
    ACTIONS(2418), 1,
      anon_sym_LF,
    ACTIONS(2420), 1,
      anon_sym_SEMI,
    ACTIONS(2422), 1,
      anon_sym_RPAREN,
    STATE(1026), 1,
      aux_sym_import_spec_list_repeat1,
  [56718] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2207), 1,
      anon_sym_COLON,
    ACTIONS(2424), 1,
      anon_sym_COMMA,
    ACTIONS(2426), 1,
      anon_sym_RBRACE,
    STATE(1127), 1,
      aux_sym_literal_value_repeat1,
  [56734] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2428), 1,
      sym_identifier,
    ACTIONS(2431), 1,
      anon_sym_RPAREN,
    STATE(1091), 1,
      aux_sym_const_declaration_repeat1,
    STATE(1250), 1,
      sym_const_spec,
  [56750] = 4,
    ACTIONS(321), 1,
      sym_comment,
    ACTIONS(2433), 1,
      anon_sym_DQUOTE2,
    STATE(1086), 1,
      aux_sym_interpreted_string_literal_repeat1,
    ACTIONS(2215), 2,
      sym__interpreted_string_literal_basic_content,
      sym_escape_sequence,
  [56764] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1745), 1,
      anon_sym_PIPE,
    ACTIONS(2435), 1,
      anon_sym_COMMA,
    ACTIONS(2437), 1,
      anon_sym_RBRACK,
    STATE(1125), 1,
      aux_sym_type_arguments_repeat1,
  [56780] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1136), 1,
      anon_sym_LBRACE,
    ACTIONS(1675), 1,
      anon_sym_LPAREN,
    ACTIONS(1745), 1,
      anon_sym_PIPE,
    STATE(498), 1,
      sym_block,
  [56796] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2043), 1,
      sym_identifier,
    ACTIONS(2439), 1,
      anon_sym_LPAREN,
    STATE(949), 2,
      sym_type_alias,
      sym_type_spec,
  [56810] = 5,
    ACTIONS(321), 1,
      sym_comment,
    ACTIONS(2441), 1,
      anon_sym_LF,
    ACTIONS(2443), 1,
      anon_sym_SEMI,
    ACTIONS(2445), 1,
      anon_sym_RBRACE,
    STATE(1072), 1,
      aux_sym_field_declaration_list_repeat1,
  [56826] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2261), 1,
      sym_identifier,
    ACTIONS(2447), 1,
      anon_sym_RPAREN,
    STATE(1091), 1,
      aux_sym_const_declaration_repeat1,
    STATE(1250), 1,
      sym_const_spec,
  [56842] = 5,
    ACTIONS(321), 1,
      sym_comment,
    ACTIONS(2449), 1,
      anon_sym_LF,
    ACTIONS(2451), 1,
      anon_sym_SEMI,
    ACTIONS(2453), 1,
      anon_sym_RBRACE,
    STATE(1067), 1,
      aux_sym_interface_type_repeat1,
  [56858] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1745), 1,
      anon_sym_PIPE,
    ACTIONS(2455), 1,
      anon_sym_RPAREN,
    ACTIONS(2457), 1,
      anon_sym_COMMA,
    STATE(1123), 1,
      aux_sym_expression_list_repeat1,
  [56874] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(505), 1,
      anon_sym_RPAREN,
    ACTIONS(2459), 1,
      anon_sym_COMMA,
    STATE(1145), 1,
      aux_sym_expression_list_repeat1,
  [56887] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2461), 1,
      sym_identifier,
    ACTIONS(2463), 1,
      anon_sym_LPAREN,
    STATE(470), 1,
      sym_parameter_list,
  [56900] = 3,
    ACTIONS(321), 1,
      sym_comment,
    ACTIONS(2465), 1,
      anon_sym_LF,
    ACTIONS(2467), 2,
      anon_sym_SEMI,
      anon_sym_RPAREN,
  [56911] = 3,
    ACTIONS(321), 1,
      sym_comment,
    ACTIONS(689), 1,
      anon_sym_SEMI,
    ACTIONS(687), 2,
      ts_builtin_sym_end,
      anon_sym_LF,
  [56922] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2261), 1,
      sym_identifier,
    ACTIONS(2469), 1,
      anon_sym_LPAREN,
    STATE(995), 1,
      sym_const_spec,
  [56935] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2471), 1,
      anon_sym_RPAREN,
    ACTIONS(2473), 1,
      anon_sym_COMMA,
    STATE(1116), 1,
      aux_sym_parameter_list_repeat1,
  [56948] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2282), 1,
      sym_identifier,
    ACTIONS(2475), 1,
      anon_sym_LPAREN,
    STATE(968), 1,
      sym_var_spec,
  [56961] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2463), 1,
      anon_sym_LPAREN,
    ACTIONS(2477), 1,
      sym_identifier,
    STATE(466), 1,
      sym_parameter_list,
  [56974] = 3,
    ACTIONS(321), 1,
      sym_comment,
    ACTIONS(647), 1,
      anon_sym_SEMI,
    ACTIONS(645), 2,
      ts_builtin_sym_end,
      anon_sym_LF,
  [56985] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2424), 1,
      anon_sym_COMMA,
    ACTIONS(2426), 1,
      anon_sym_RBRACE,
    STATE(1127), 1,
      aux_sym_literal_value_repeat1,
  [56998] = 3,
    ACTIONS(321), 1,
      sym_comment,
    ACTIONS(2479), 1,
      anon_sym_LF,
    ACTIONS(2481), 2,
      anon_sym_SEMI,
      anon_sym_RPAREN,
  [57009] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2483), 3,
      anon_sym_RBRACE,
      anon_sym_case,
      anon_sym_default,
  [57018] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1228), 1,
      anon_sym_RPAREN,
    ACTIONS(1230), 1,
      anon_sym_COMMA,
    STATE(1131), 1,
      aux_sym_argument_list_repeat1,
  [57031] = 4,
    ACTIONS(75), 1,
      ts_builtin_sym_end,
    ACTIONS(321), 1,
      sym_comment,
    ACTIONS(2485), 1,
      anon_sym_LF,
    ACTIONS(2487), 1,
      anon_sym_SEMI,
  [57044] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2489), 3,
      anon_sym_RBRACE,
      anon_sym_case,
      anon_sym_default,
  [57053] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(826), 1,
      anon_sym_LBRACE,
    ACTIONS(2491), 1,
      anon_sym_COMMA,
    STATE(1115), 1,
      aux_sym_expression_list_repeat1,
  [57066] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1134), 1,
      anon_sym_RPAREN,
    ACTIONS(2494), 1,
      anon_sym_COMMA,
    STATE(1181), 1,
      aux_sym_parameter_list_repeat1,
  [57079] = 3,
    ACTIONS(321), 1,
      sym_comment,
    ACTIONS(2498), 1,
      anon_sym_SEMI,
    ACTIONS(2496), 2,
      ts_builtin_sym_end,
      anon_sym_LF,
  [57090] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2500), 3,
      anon_sym_RBRACE,
      anon_sym_case,
      anon_sym_default,
  [57099] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2243), 1,
      anon_sym_COMMA,
    ACTIONS(2502), 1,
      anon_sym_COLON,
    STATE(1078), 1,
      aux_sym_type_arguments_repeat1,
  [57112] = 3,
    ACTIONS(321), 1,
      sym_comment,
    ACTIONS(681), 1,
      anon_sym_SEMI,
    ACTIONS(679), 2,
      ts_builtin_sym_end,
      anon_sym_LF,
  [57123] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2504), 1,
      anon_sym_RPAREN,
    ACTIONS(2506), 1,
      anon_sym_COMMA,
    STATE(1200), 1,
      aux_sym_parameter_list_repeat1,
  [57136] = 3,
    ACTIONS(321), 1,
      sym_comment,
    ACTIONS(2510), 1,
      anon_sym_SEMI,
    ACTIONS(2508), 2,
      ts_builtin_sym_end,
      anon_sym_LF,
  [57147] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(513), 1,
      anon_sym_RPAREN,
    ACTIONS(2512), 1,
      anon_sym_COMMA,
    STATE(1145), 1,
      aux_sym_expression_list_repeat1,
  [57160] = 3,
    ACTIONS(321), 1,
      sym_comment,
    ACTIONS(2514), 1,
      anon_sym_LF,
    ACTIONS(2516), 2,
      anon_sym_SEMI,
      anon_sym_RBRACE,
  [57171] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1394), 1,
      anon_sym_RBRACK,
    ACTIONS(2518), 1,
      anon_sym_COMMA,
    STATE(1078), 1,
      aux_sym_type_arguments_repeat1,
  [57184] = 3,
    ACTIONS(321), 1,
      sym_comment,
    ACTIONS(2467), 1,
      anon_sym_SEMI,
    ACTIONS(2465), 2,
      ts_builtin_sym_end,
      anon_sym_LF,
  [57195] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(345), 1,
      anon_sym_RBRACE,
    ACTIONS(2520), 1,
      anon_sym_COMMA,
    STATE(1161), 1,
      aux_sym_literal_value_repeat1,
  [57208] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2522), 3,
      anon_sym_RBRACE,
      anon_sym_case,
      anon_sym_default,
  [57217] = 3,
    ACTIONS(321), 1,
      sym_comment,
    ACTIONS(2526), 1,
      anon_sym_SEMI,
    ACTIONS(2524), 2,
      ts_builtin_sym_end,
      anon_sym_LF,
  [57228] = 4,
    ACTIONS(321), 1,
      sym_comment,
    ACTIONS(2485), 1,
      anon_sym_LF,
    ACTIONS(2487), 1,
      anon_sym_SEMI,
    ACTIONS(2528), 1,
      ts_builtin_sym_end,
  [57241] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(399), 1,
      anon_sym_RPAREN,
    ACTIONS(2530), 1,
      anon_sym_COMMA,
    STATE(1158), 1,
      aux_sym_argument_list_repeat1,
  [57254] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1741), 1,
      anon_sym_DQUOTE,
    ACTIONS(2532), 1,
      sym_raw_string_literal,
    STATE(1126), 1,
      sym_interpreted_string_literal,
  [57267] = 3,
    ACTIONS(321), 1,
      sym_comment,
    ACTIONS(2514), 1,
      anon_sym_LF,
    ACTIONS(2516), 2,
      anon_sym_SEMI,
      anon_sym_RBRACE,
  [57278] = 3,
    ACTIONS(321), 1,
      sym_comment,
    ACTIONS(2496), 1,
      anon_sym_LF,
    ACTIONS(2498), 2,
      anon_sym_SEMI,
      anon_sym_RPAREN,
  [57289] = 3,
    ACTIONS(321), 1,
      sym_comment,
    ACTIONS(2514), 1,
      anon_sym_LF,
    ACTIONS(2516), 2,
      anon_sym_SEMI,
      anon_sym_RBRACE,
  [57300] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(445), 1,
      anon_sym_RPAREN,
    ACTIONS(2534), 1,
      anon_sym_COMMA,
    STATE(1158), 1,
      aux_sym_argument_list_repeat1,
  [57313] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1741), 1,
      anon_sym_DQUOTE,
    ACTIONS(2536), 1,
      sym_raw_string_literal,
    STATE(1117), 1,
      sym_interpreted_string_literal,
  [57326] = 3,
    ACTIONS(321), 1,
      sym_comment,
    ACTIONS(2481), 1,
      anon_sym_SEMI,
    ACTIONS(2479), 2,
      ts_builtin_sym_end,
      anon_sym_LF,
  [57337] = 3,
    ACTIONS(321), 1,
      sym_comment,
    ACTIONS(2540), 1,
      anon_sym_SEMI,
    ACTIONS(2538), 2,
      ts_builtin_sym_end,
      anon_sym_LF,
  [57348] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(355), 1,
      anon_sym_RBRACE,
    ACTIONS(2542), 1,
      anon_sym_COMMA,
    STATE(1161), 1,
      aux_sym_literal_value_repeat1,
  [57361] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1290), 1,
      anon_sym_RBRACK,
    ACTIONS(2544), 1,
      anon_sym_COMMA,
    STATE(1078), 1,
      aux_sym_type_arguments_repeat1,
  [57374] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(469), 1,
      anon_sym_RPAREN,
    ACTIONS(2546), 1,
      anon_sym_COMMA,
    STATE(1145), 1,
      aux_sym_expression_list_repeat1,
  [57387] = 3,
    ACTIONS(321), 1,
      sym_comment,
    ACTIONS(2514), 1,
      anon_sym_LF,
    ACTIONS(2516), 2,
      anon_sym_SEMI,
      anon_sym_RBRACE,
  [57398] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1164), 1,
      anon_sym_RPAREN,
    ACTIONS(2548), 1,
      anon_sym_COMMA,
    STATE(1181), 1,
      aux_sym_parameter_list_repeat1,
  [57411] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(826), 1,
      anon_sym_RPAREN,
    ACTIONS(2550), 1,
      anon_sym_COMMA,
    STATE(1145), 1,
      aux_sym_expression_list_repeat1,
  [57424] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1232), 1,
      anon_sym_RPAREN,
    ACTIONS(1234), 1,
      anon_sym_COMMA,
    STATE(1136), 1,
      aux_sym_argument_list_repeat1,
  [57437] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2203), 1,
      anon_sym_COMMA,
    ACTIONS(2205), 1,
      anon_sym_RBRACE,
    STATE(1140), 1,
      aux_sym_literal_value_repeat1,
  [57450] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(411), 1,
      anon_sym_RPAREN,
    ACTIONS(2553), 1,
      anon_sym_COMMA,
    STATE(1158), 1,
      aux_sym_argument_list_repeat1,
  [57463] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1745), 1,
      anon_sym_PIPE,
    ACTIONS(1981), 1,
      anon_sym_LPAREN,
    ACTIONS(2555), 1,
      anon_sym_RPAREN,
  [57476] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(359), 1,
      anon_sym_RBRACE,
    ACTIONS(2557), 1,
      anon_sym_COMMA,
    STATE(1161), 1,
      aux_sym_literal_value_repeat1,
  [57489] = 3,
    ACTIONS(321), 1,
      sym_comment,
    ACTIONS(2561), 1,
      anon_sym_SEMI,
    ACTIONS(2559), 2,
      ts_builtin_sym_end,
      anon_sym_LF,
  [57500] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2563), 1,
      anon_sym_RPAREN,
    ACTIONS(2565), 1,
      anon_sym_COMMA,
    STATE(1144), 1,
      aux_sym_parameter_list_repeat1,
  [57513] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(515), 1,
      anon_sym_RPAREN,
    ACTIONS(2567), 1,
      anon_sym_COMMA,
    STATE(1145), 1,
      aux_sym_expression_list_repeat1,
  [57526] = 3,
    ACTIONS(321), 1,
      sym_comment,
    ACTIONS(2571), 1,
      anon_sym_SEMI,
    ACTIONS(2569), 2,
      ts_builtin_sym_end,
      anon_sym_LF,
  [57537] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2573), 1,
      anon_sym_COMMA,
    ACTIONS(2576), 1,
      anon_sym_RBRACK,
    STATE(1155), 1,
      aux_sym_type_parameter_list_repeat1,
  [57550] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1224), 1,
      anon_sym_RPAREN,
    ACTIONS(1226), 1,
      anon_sym_COMMA,
    STATE(1148), 1,
      aux_sym_argument_list_repeat1,
  [57563] = 3,
    ACTIONS(321), 1,
      sym_comment,
    ACTIONS(2580), 1,
      anon_sym_SEMI,
    ACTIONS(2578), 2,
      ts_builtin_sym_end,
      anon_sym_LF,
  [57574] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1280), 1,
      anon_sym_RPAREN,
    ACTIONS(2582), 1,
      anon_sym_COMMA,
    STATE(1158), 1,
      aux_sym_argument_list_repeat1,
  [57587] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1266), 1,
      anon_sym_COMMA,
    ACTIONS(1538), 1,
      anon_sym_LBRACE,
    STATE(1115), 1,
      aux_sym_expression_list_repeat1,
  [57600] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2348), 1,
      anon_sym_COMMA,
    ACTIONS(2350), 1,
      anon_sym_RBRACE,
    STATE(1150), 1,
      aux_sym_literal_value_repeat1,
  [57613] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2585), 1,
      anon_sym_COMMA,
    ACTIONS(2588), 1,
      anon_sym_RBRACE,
    STATE(1161), 1,
      aux_sym_literal_value_repeat1,
  [57626] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2207), 1,
      anon_sym_COLON,
    ACTIONS(2588), 2,
      anon_sym_COMMA,
      anon_sym_RBRACE,
  [57637] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2590), 3,
      anon_sym_RBRACE,
      anon_sym_case,
      anon_sym_default,
  [57646] = 3,
    ACTIONS(321), 1,
      sym_comment,
    ACTIONS(2592), 1,
      anon_sym_LF,
    ACTIONS(2401), 2,
      anon_sym_SEMI,
      anon_sym_RBRACE,
  [57657] = 3,
    ACTIONS(321), 1,
      sym_comment,
    ACTIONS(2340), 1,
      anon_sym_LF,
    ACTIONS(2342), 2,
      anon_sym_SEMI,
      anon_sym_RBRACE,
  [57668] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2594), 3,
      anon_sym_RBRACE,
      anon_sym_case,
      anon_sym_default,
  [57677] = 3,
    ACTIONS(321), 1,
      sym_comment,
    ACTIONS(2596), 1,
      anon_sym_LF,
    ACTIONS(2259), 2,
      anon_sym_SEMI,
      anon_sym_RBRACE,
  [57688] = 3,
    ACTIONS(321), 1,
      sym_comment,
    ACTIONS(2598), 1,
      anon_sym_LF,
    ACTIONS(2600), 2,
      anon_sym_SEMI,
      anon_sym_RBRACE,
  [57699] = 3,
    ACTIONS(321), 1,
      sym_comment,
    ACTIONS(2602), 1,
      anon_sym_LF,
    ACTIONS(2604), 2,
      anon_sym_SEMI,
      anon_sym_RBRACE,
  [57710] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1242), 1,
      anon_sym_RPAREN,
    ACTIONS(1244), 1,
      anon_sym_COMMA,
    STATE(1190), 1,
      aux_sym_argument_list_repeat1,
  [57723] = 3,
    ACTIONS(321), 1,
      sym_comment,
    ACTIONS(2606), 1,
      anon_sym_LF,
    ACTIONS(2608), 2,
      anon_sym_SEMI,
      anon_sym_RBRACE,
  [57734] = 3,
    ACTIONS(321), 1,
      sym_comment,
    ACTIONS(2612), 1,
      anon_sym_SEMI,
    ACTIONS(2610), 2,
      ts_builtin_sym_end,
      anon_sym_LF,
  [57745] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(71), 1,
      anon_sym_DQUOTE,
    ACTIONS(2614), 1,
      sym_raw_string_literal,
    STATE(1134), 1,
      sym_interpreted_string_literal,
  [57758] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2344), 1,
      anon_sym_COMMA,
    ACTIONS(2346), 1,
      anon_sym_RBRACE,
    STATE(1184), 1,
      aux_sym_literal_value_repeat1,
  [57771] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(71), 1,
      anon_sym_DQUOTE,
    ACTIONS(2616), 1,
      sym_raw_string_literal,
    STATE(1102), 1,
      sym_interpreted_string_literal,
  [57784] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1580), 1,
      anon_sym_PIPE,
    ACTIONS(2618), 1,
      anon_sym_LBRACK,
    STATE(800), 1,
      sym_type_arguments,
  [57797] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1236), 1,
      anon_sym_RPAREN,
    ACTIONS(1238), 1,
      anon_sym_COMMA,
    STATE(1188), 1,
      aux_sym_argument_list_repeat1,
  [57810] = 3,
    ACTIONS(321), 1,
      sym_comment,
    ACTIONS(2622), 1,
      anon_sym_SEMI,
    ACTIONS(2620), 2,
      ts_builtin_sym_end,
      anon_sym_LF,
  [57821] = 3,
    ACTIONS(321), 1,
      sym_comment,
    ACTIONS(685), 1,
      anon_sym_SEMI,
    ACTIONS(683), 2,
      ts_builtin_sym_end,
      anon_sym_LF,
  [57832] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1252), 1,
      anon_sym_RBRACK,
    ACTIONS(2624), 1,
      anon_sym_COMMA,
    STATE(1155), 1,
      aux_sym_type_parameter_list_repeat1,
  [57845] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2626), 1,
      anon_sym_RPAREN,
    ACTIONS(2628), 1,
      anon_sym_COMMA,
    STATE(1181), 1,
      aux_sym_parameter_list_repeat1,
  [57858] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(393), 1,
      anon_sym_RPAREN,
    ACTIONS(2631), 1,
      anon_sym_COMMA,
    STATE(1158), 1,
      aux_sym_argument_list_repeat1,
  [57871] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1745), 1,
      anon_sym_PIPE,
    ACTIONS(2633), 2,
      anon_sym_RPAREN,
      anon_sym_COMMA,
  [57882] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(347), 1,
      anon_sym_RBRACE,
    ACTIONS(2635), 1,
      anon_sym_COMMA,
    STATE(1161), 1,
      aux_sym_literal_value_repeat1,
  [57895] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(357), 1,
      anon_sym_RBRACE,
    ACTIONS(2637), 1,
      anon_sym_COMMA,
    STATE(1161), 1,
      aux_sym_literal_value_repeat1,
  [57908] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(479), 1,
      anon_sym_RPAREN,
    ACTIONS(2639), 1,
      anon_sym_COMMA,
    STATE(1145), 1,
      aux_sym_expression_list_repeat1,
  [57921] = 3,
    ACTIONS(321), 1,
      sym_comment,
    ACTIONS(2641), 1,
      anon_sym_LF,
    ACTIONS(2235), 2,
      anon_sym_SEMI,
      anon_sym_RPAREN,
  [57932] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(385), 1,
      anon_sym_RPAREN,
    ACTIONS(2643), 1,
      anon_sym_COMMA,
    STATE(1158), 1,
      aux_sym_argument_list_repeat1,
  [57945] = 3,
    ACTIONS(321), 1,
      sym_comment,
    ACTIONS(2647), 1,
      anon_sym_SEMI,
    ACTIONS(2645), 2,
      ts_builtin_sym_end,
      anon_sym_LF,
  [57956] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(431), 1,
      anon_sym_RPAREN,
    ACTIONS(2649), 1,
      anon_sym_COMMA,
    STATE(1158), 1,
      aux_sym_argument_list_repeat1,
  [57969] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1182), 1,
      anon_sym_RPAREN,
    ACTIONS(1184), 1,
      anon_sym_COMMA,
    STATE(1182), 1,
      aux_sym_argument_list_repeat1,
  [57982] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1268), 3,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_COLON,
  [57991] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2409), 1,
      anon_sym_COMMA,
    ACTIONS(2411), 1,
      anon_sym_RBRACE,
    STATE(1196), 1,
      aux_sym_literal_value_repeat1,
  [58004] = 3,
    ACTIONS(321), 1,
      sym_comment,
    ACTIONS(2653), 1,
      anon_sym_SEMI,
    ACTIONS(2651), 2,
      ts_builtin_sym_end,
      anon_sym_LF,
  [58015] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2225), 1,
      anon_sym_COMMA,
    ACTIONS(2227), 1,
      anon_sym_RBRACE,
    STATE(1185), 1,
      aux_sym_literal_value_repeat1,
  [58028] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(343), 1,
      anon_sym_RBRACE,
    ACTIONS(2655), 1,
      anon_sym_COMMA,
    STATE(1161), 1,
      aux_sym_literal_value_repeat1,
  [58041] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1314), 1,
      anon_sym_RBRACK,
    ACTIONS(2657), 1,
      anon_sym_COMMA,
    STATE(1078), 1,
      aux_sym_type_arguments_repeat1,
  [58054] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1745), 1,
      anon_sym_PIPE,
    ACTIONS(2659), 2,
      anon_sym_RPAREN,
      anon_sym_COMMA,
  [58065] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(477), 1,
      anon_sym_RPAREN,
    ACTIONS(2661), 1,
      anon_sym_COMMA,
    STATE(1145), 1,
      aux_sym_expression_list_repeat1,
  [58078] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1138), 1,
      anon_sym_RPAREN,
    ACTIONS(2663), 1,
      anon_sym_COMMA,
    STATE(1181), 1,
      aux_sym_parameter_list_repeat1,
  [58091] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2665), 1,
      anon_sym_COMMA,
    ACTIONS(2667), 1,
      anon_sym_RBRACK,
    STATE(1180), 1,
      aux_sym_type_parameter_list_repeat1,
  [58104] = 3,
    ACTIONS(321), 1,
      sym_comment,
    ACTIONS(2671), 1,
      anon_sym_SEMI,
    ACTIONS(2669), 2,
      ts_builtin_sym_end,
      anon_sym_LF,
  [58115] = 3,
    ACTIONS(321), 1,
      sym_comment,
    ACTIONS(2675), 1,
      anon_sym_SEMI,
    ACTIONS(2673), 2,
      ts_builtin_sym_end,
      anon_sym_LF,
  [58126] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1745), 1,
      anon_sym_PIPE,
    ACTIONS(2304), 2,
      anon_sym_RPAREN,
      anon_sym_COMMA,
  [58137] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(209), 3,
      anon_sym_RBRACE,
      anon_sym_case,
      anon_sym_default,
  [58146] = 3,
    ACTIONS(321), 1,
      sym_comment,
    ACTIONS(2677), 1,
      anon_sym_LF,
    ACTIONS(2679), 2,
      anon_sym_SEMI,
      anon_sym_RBRACE,
  [58157] = 3,
    ACTIONS(321), 1,
      sym_comment,
    ACTIONS(2681), 1,
      anon_sym_LF,
    ACTIONS(2683), 2,
      anon_sym_SEMI,
      anon_sym_RBRACE,
  [58168] = 3,
    ACTIONS(321), 1,
      sym_comment,
    ACTIONS(2645), 1,
      anon_sym_LF,
    ACTIONS(2647), 1,
      anon_sym_SEMI,
  [58178] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1086), 1,
      anon_sym_LPAREN,
    STATE(555), 1,
      sym_argument_list,
  [58188] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1745), 1,
      anon_sym_PIPE,
    ACTIONS(2685), 1,
      anon_sym_LPAREN,
  [58198] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1745), 1,
      anon_sym_PIPE,
    ACTIONS(2687), 1,
      anon_sym_LPAREN,
  [58208] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2135), 2,
      anon_sym_RPAREN,
      sym_identifier,
  [58216] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1745), 1,
      anon_sym_PIPE,
    ACTIONS(2689), 1,
      anon_sym_LBRACE,
  [58226] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1745), 1,
      anon_sym_PIPE,
    ACTIONS(2691), 1,
      anon_sym_LPAREN,
  [58236] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2108), 2,
      anon_sym_SEMI,
      anon_sym_LBRACE,
  [58244] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2693), 1,
      sym_identifier,
    ACTIONS(2695), 1,
      anon_sym_LPAREN,
  [58254] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1745), 1,
      anon_sym_PIPE,
    ACTIONS(2697), 1,
      anon_sym_LPAREN,
  [58264] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(822), 1,
      anon_sym_LPAREN,
    STATE(355), 1,
      sym_argument_list,
  [58274] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2699), 2,
      anon_sym_EQ,
      anon_sym_COLON_EQ,
  [58282] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(818), 1,
      anon_sym_LBRACE,
    STATE(360), 1,
      sym_literal_value,
  [58292] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1745), 1,
      anon_sym_PIPE,
    ACTIONS(2701), 1,
      anon_sym_RPAREN,
  [58302] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2268), 2,
      anon_sym_RPAREN,
      sym_identifier,
  [58310] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1745), 1,
      anon_sym_PIPE,
    ACTIONS(2703), 1,
      anon_sym_EQ,
  [58320] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1745), 1,
      anon_sym_PIPE,
    ACTIONS(1981), 1,
      anon_sym_LPAREN,
  [58330] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2112), 2,
      anon_sym_SEMI,
      anon_sym_LBRACE,
  [58338] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2431), 2,
      anon_sym_RPAREN,
      sym_identifier,
  [58346] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1745), 1,
      anon_sym_PIPE,
    ACTIONS(2705), 1,
      anon_sym_RPAREN,
  [58356] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2707), 1,
      anon_sym_LPAREN,
    STATE(499), 1,
      sym_argument_list,
  [58366] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1854), 1,
      anon_sym_LBRACE,
    STATE(514), 1,
      sym_literal_value,
  [58376] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1995), 2,
      anon_sym_SEMI,
      anon_sym_LBRACE,
  [58384] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2463), 1,
      anon_sym_LPAREN,
    STATE(478), 1,
      sym_parameter_list,
  [58394] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2709), 1,
      sym_identifier,
    ACTIONS(2711), 1,
      anon_sym_LPAREN,
  [58404] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1991), 2,
      anon_sym_SEMI,
      anon_sym_LBRACE,
  [58412] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1745), 1,
      anon_sym_PIPE,
    ACTIONS(2713), 1,
      anon_sym_RPAREN,
  [58422] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2715), 1,
      anon_sym_LBRACE,
    STATE(832), 1,
      sym_field_declaration_list,
  [58432] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2717), 1,
      sym_identifier,
    ACTIONS(2719), 1,
      anon_sym_LPAREN,
  [58442] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2721), 1,
      sym_identifier,
    ACTIONS(2723), 1,
      anon_sym_LPAREN,
  [58452] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1745), 1,
      anon_sym_PIPE,
    ACTIONS(2725), 1,
      anon_sym_RPAREN,
  [58462] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1745), 1,
      anon_sym_PIPE,
    ACTIONS(2727), 1,
      anon_sym_RBRACK,
  [58472] = 3,
    ACTIONS(321), 1,
      sym_comment,
    ACTIONS(2508), 1,
      anon_sym_LF,
    ACTIONS(2510), 1,
      anon_sym_SEMI,
  [58482] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2626), 2,
      anon_sym_RPAREN,
      anon_sym_COMMA,
  [58490] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2463), 1,
      anon_sym_LPAREN,
    STATE(378), 1,
      sym_parameter_list,
  [58500] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(33), 1,
      anon_sym_LBRACE,
    STATE(971), 1,
      sym_block,
  [58510] = 3,
    ACTIONS(321), 1,
      sym_comment,
    ACTIONS(2538), 1,
      anon_sym_LF,
    ACTIONS(2540), 1,
      anon_sym_SEMI,
  [58520] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2729), 1,
      anon_sym_LBRACE,
    STATE(792), 1,
      sym_field_declaration_list,
  [58530] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(275), 1,
      anon_sym_LBRACE,
    STATE(398), 1,
      sym_literal_value,
  [58540] = 3,
    ACTIONS(321), 1,
      sym_comment,
    ACTIONS(2651), 1,
      anon_sym_LF,
    ACTIONS(2653), 1,
      anon_sym_SEMI,
  [58550] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2463), 1,
      anon_sym_LPAREN,
    STATE(379), 1,
      sym_parameter_list,
  [58560] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2463), 1,
      anon_sym_LPAREN,
    STATE(465), 1,
      sym_parameter_list,
  [58570] = 3,
    ACTIONS(321), 1,
      sym_comment,
    ACTIONS(2731), 1,
      anon_sym_LF,
    ACTIONS(2733), 1,
      anon_sym_SEMI,
  [58580] = 3,
    ACTIONS(321), 1,
      sym_comment,
    ACTIONS(2669), 1,
      anon_sym_LF,
    ACTIONS(2671), 1,
      anon_sym_SEMI,
  [58590] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(651), 1,
      anon_sym_LPAREN,
    STATE(321), 1,
      sym_argument_list,
  [58600] = 3,
    ACTIONS(321), 1,
      sym_comment,
    ACTIONS(2524), 1,
      anon_sym_LF,
    ACTIONS(2526), 1,
      anon_sym_SEMI,
  [58610] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2065), 2,
      anon_sym_SEMI,
      anon_sym_LBRACE,
  [58618] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1110), 1,
      anon_sym_LBRACE,
    STATE(573), 1,
      sym_literal_value,
  [58628] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2063), 1,
      anon_sym_struct,
    STATE(1034), 1,
      sym_struct_type,
  [58638] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1745), 1,
      anon_sym_PIPE,
    ACTIONS(2735), 1,
      anon_sym_RBRACK,
  [58648] = 3,
    ACTIONS(321), 1,
      sym_comment,
    ACTIONS(2737), 1,
      anon_sym_LF,
    ACTIONS(2739), 1,
      anon_sym_SEMI,
  [58658] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1791), 1,
      anon_sym_LPAREN,
    STATE(425), 1,
      sym_parameter_list,
  [58668] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2463), 1,
      anon_sym_LPAREN,
    STATE(468), 1,
      sym_parameter_list,
  [58678] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2709), 1,
      sym_identifier,
    ACTIONS(2741), 1,
      anon_sym_LPAREN,
  [58688] = 3,
    ACTIONS(321), 1,
      sym_comment,
    ACTIONS(2673), 1,
      anon_sym_LF,
    ACTIONS(2675), 1,
      anon_sym_SEMI,
  [58698] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1745), 1,
      anon_sym_PIPE,
    ACTIONS(2743), 1,
      anon_sym_RBRACK,
  [58708] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1745), 1,
      anon_sym_PIPE,
    ACTIONS(2745), 1,
      anon_sym_RPAREN,
  [58718] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2747), 1,
      sym_identifier,
    ACTIONS(2749), 1,
      anon_sym_LPAREN,
  [58728] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2751), 1,
      sym_identifier,
    ACTIONS(2753), 1,
      anon_sym_LPAREN,
  [58738] = 3,
    ACTIONS(321), 1,
      sym_comment,
    ACTIONS(2620), 1,
      anon_sym_LF,
    ACTIONS(2622), 1,
      anon_sym_SEMI,
  [58748] = 3,
    ACTIONS(321), 1,
      sym_comment,
    ACTIONS(2755), 1,
      anon_sym_LF,
    ACTIONS(2757), 1,
      anon_sym_SEMI,
  [58758] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1745), 1,
      anon_sym_PIPE,
    ACTIONS(2759), 1,
      anon_sym_RBRACK,
  [58768] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2588), 2,
      anon_sym_COMMA,
      anon_sym_RBRACE,
  [58776] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2761), 2,
      anon_sym_COMMA,
      anon_sym_RBRACE,
  [58784] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2747), 1,
      sym_identifier,
    ACTIONS(2763), 1,
      anon_sym_LPAREN,
  [58794] = 3,
    ACTIONS(321), 1,
      sym_comment,
    ACTIONS(2610), 1,
      anon_sym_LF,
    ACTIONS(2612), 1,
      anon_sym_SEMI,
  [58804] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1280), 2,
      anon_sym_RPAREN,
      anon_sym_COMMA,
  [58812] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(904), 1,
      anon_sym_LPAREN,
    STATE(390), 1,
      sym_argument_list,
  [58822] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2463), 1,
      anon_sym_LPAREN,
    STATE(463), 1,
      sym_parameter_list,
  [58832] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1778), 1,
      anon_sym_LPAREN,
    STATE(350), 1,
      sym_parameter_list,
  [58842] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1745), 1,
      anon_sym_PIPE,
    ACTIONS(2765), 1,
      anon_sym_LPAREN,
  [58852] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2576), 2,
      anon_sym_COMMA,
      anon_sym_RBRACK,
  [58860] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2747), 1,
      sym_identifier,
    ACTIONS(2767), 1,
      anon_sym_LPAREN,
  [58870] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1778), 1,
      anon_sym_LPAREN,
    STATE(354), 1,
      sym_parameter_list,
  [58880] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1745), 1,
      anon_sym_PIPE,
    ACTIONS(2769), 1,
      anon_sym_RBRACK,
  [58890] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1778), 1,
      anon_sym_LPAREN,
    STATE(432), 1,
      sym_parameter_list,
  [58900] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1916), 1,
      anon_sym_LBRACE,
    STATE(297), 1,
      sym_literal_value,
  [58910] = 3,
    ACTIONS(321), 1,
      sym_comment,
    ACTIONS(2578), 1,
      anon_sym_LF,
    ACTIONS(2580), 1,
      anon_sym_SEMI,
  [58920] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1745), 1,
      anon_sym_PIPE,
    ACTIONS(2771), 1,
      anon_sym_RPAREN,
  [58930] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1745), 1,
      anon_sym_PIPE,
    ACTIONS(2773), 1,
      anon_sym_RBRACK,
  [58940] = 3,
    ACTIONS(321), 1,
      sym_comment,
    ACTIONS(2569), 1,
      anon_sym_LF,
    ACTIONS(2571), 1,
      anon_sym_SEMI,
  [58950] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1745), 1,
      anon_sym_PIPE,
    ACTIONS(2555), 1,
      anon_sym_RPAREN,
  [58960] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2463), 1,
      anon_sym_LPAREN,
    STATE(389), 1,
      sym_parameter_list,
  [58970] = 3,
    ACTIONS(321), 1,
      sym_comment,
    ACTIONS(2559), 1,
      anon_sym_LF,
    ACTIONS(2561), 1,
      anon_sym_SEMI,
  [58980] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2747), 1,
      sym_identifier,
    ACTIONS(2775), 1,
      anon_sym_LPAREN,
  [58990] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1870), 1,
      anon_sym_LBRACE,
    STATE(256), 1,
      sym_literal_value,
  [59000] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1791), 1,
      anon_sym_LPAREN,
    STATE(420), 1,
      sym_parameter_list,
  [59010] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2777), 2,
      anon_sym_RPAREN,
      anon_sym_COMMA,
  [59018] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2779), 1,
      anon_sym_LPAREN,
    STATE(272), 1,
      sym_argument_list,
  [59028] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2463), 1,
      anon_sym_LPAREN,
    STATE(467), 1,
      sym_parameter_list,
  [59038] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1745), 1,
      anon_sym_PIPE,
    ACTIONS(2781), 1,
      anon_sym_EQ,
  [59048] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2783), 2,
      sym_raw_string_literal,
      anon_sym_DQUOTE,
  [59056] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1745), 1,
      anon_sym_PIPE,
    ACTIONS(2785), 1,
      anon_sym_RPAREN,
  [59066] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2787), 1,
      anon_sym_LBRACE,
    STATE(890), 1,
      sym_field_declaration_list,
  [59076] = 3,
    ACTIONS(321), 1,
      sym_comment,
    ACTIONS(2485), 1,
      anon_sym_LF,
    ACTIONS(2487), 1,
      anon_sym_SEMI,
  [59086] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1745), 1,
      anon_sym_PIPE,
    ACTIONS(2789), 1,
      anon_sym_RPAREN,
  [59096] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1791), 1,
      anon_sym_LPAREN,
    STATE(427), 1,
      sym_parameter_list,
  [59106] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2426), 1,
      anon_sym_RBRACE,
  [59113] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2411), 1,
      anon_sym_RBRACE,
  [59120] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2791), 1,
      anon_sym_RBRACE,
  [59127] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2793), 1,
      anon_sym_PIPE,
  [59134] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2795), 1,
      anon_sym_LBRACE,
  [59141] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2504), 1,
      anon_sym_RPAREN,
  [59148] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1745), 1,
      anon_sym_PIPE,
  [59155] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2797), 1,
      anon_sym_RPAREN,
  [59162] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2799), 1,
      anon_sym_LBRACE,
  [59169] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2801), 1,
      anon_sym_chan,
  [59176] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2803), 1,
      anon_sym_RPAREN,
  [59183] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2805), 1,
      anon_sym_RPAREN,
  [59190] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2205), 1,
      anon_sym_RBRACE,
  [59197] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2807), 1,
      anon_sym_RPAREN,
  [59204] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2563), 1,
      anon_sym_RPAREN,
  [59211] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2809), 1,
      sym_identifier,
  [59218] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2811), 1,
      sym_identifier,
  [59225] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2813), 1,
      anon_sym_RPAREN,
  [59232] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2815), 1,
      anon_sym_chan,
  [59239] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2817), 1,
      anon_sym_chan,
  [59246] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2819), 1,
      anon_sym_LBRACE,
  [59253] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2821), 1,
      anon_sym_RBRACE,
  [59260] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2823), 1,
      anon_sym_LBRACE,
  [59267] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2350), 1,
      anon_sym_RBRACE,
  [59274] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2825), 1,
      anon_sym_LBRACE,
  [59281] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2827), 1,
      anon_sym_RBRACE,
  [59288] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2829), 1,
      ts_builtin_sym_end,
  [59295] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2831), 1,
      anon_sym_RBRACE,
  [59302] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2833), 1,
      anon_sym_chan,
  [59309] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2835), 1,
      sym_identifier,
  [59316] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2837), 1,
      anon_sym_LBRACE,
  [59323] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2839), 1,
      sym_identifier,
  [59330] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2841), 1,
      anon_sym_RBRACK,
  [59337] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2843), 1,
      anon_sym_LBRACE,
  [59344] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2845), 1,
      anon_sym_LBRACE,
  [59351] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2847), 1,
      anon_sym_LBRACK,
  [59358] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2849), 1,
      anon_sym_RPAREN,
  [59365] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2851), 1,
      sym_identifier,
  [59372] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2853), 1,
      anon_sym_LBRACE,
  [59379] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2855), 1,
      anon_sym_LBRACE,
  [59386] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2857), 1,
      anon_sym_SEMI,
  [59393] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2859), 1,
      anon_sym_LBRACK,
  [59400] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2861), 1,
      anon_sym_RBRACE,
  [59407] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2863), 1,
      sym_identifier,
  [59414] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2346), 1,
      anon_sym_RBRACE,
  [59421] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2865), 1,
      anon_sym_LBRACE,
  [59428] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2867), 1,
      sym_identifier,
  [59435] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2869), 1,
      anon_sym_SEMI,
  [59442] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2871), 1,
      anon_sym_RPAREN,
  [59449] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2873), 1,
      anon_sym_chan,
  [59456] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2875), 1,
      anon_sym_COLON,
  [59463] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2877), 1,
      anon_sym_LBRACE,
  [59470] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2879), 1,
      anon_sym_RPAREN,
  [59477] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2881), 1,
      anon_sym_COLON,
  [59484] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2883), 1,
      anon_sym_SEMI,
  [59491] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2471), 1,
      anon_sym_RPAREN,
  [59498] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2885), 1,
      anon_sym_RBRACE,
  [59505] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2887), 1,
      anon_sym_RPAREN,
  [59512] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2889), 1,
      sym_identifier,
  [59519] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2891), 1,
      anon_sym_LBRACK,
  [59526] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2227), 1,
      anon_sym_RBRACE,
  [59533] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2893), 1,
      sym_identifier,
  [59540] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2895), 1,
      anon_sym_COLON_EQ,
  [59547] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2897), 1,
      anon_sym_COLON,
  [59554] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2899), 1,
      anon_sym_LBRACE,
  [59561] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2901), 1,
      anon_sym_PIPE,
  [59568] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2903), 1,
      anon_sym_RBRACE,
  [59575] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2905), 1,
      sym_identifier,
  [59582] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2907), 1,
      anon_sym_chan,
  [59589] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2909), 1,
      anon_sym_RPAREN,
  [59596] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2911), 1,
      anon_sym_LBRACK,
  [59603] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2913), 1,
      anon_sym_LBRACK,
  [59610] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2915), 1,
      anon_sym_LBRACK,
};

static const uint32_t ts_small_parse_table_map[] = {
  [SMALL_STATE(28)] = 0,
  [SMALL_STATE(29)] = 126,
  [SMALL_STATE(30)] = 252,
  [SMALL_STATE(31)] = 370,
  [SMALL_STATE(32)] = 496,
  [SMALL_STATE(33)] = 622,
  [SMALL_STATE(34)] = 748,
  [SMALL_STATE(35)] = 874,
  [SMALL_STATE(36)] = 997,
  [SMALL_STATE(37)] = 1120,
  [SMALL_STATE(38)] = 1243,
  [SMALL_STATE(39)] = 1366,
  [SMALL_STATE(40)] = 1489,
  [SMALL_STATE(41)] = 1612,
  [SMALL_STATE(42)] = 1735,
  [SMALL_STATE(43)] = 1858,
  [SMALL_STATE(44)] = 1981,
  [SMALL_STATE(45)] = 2104,
  [SMALL_STATE(46)] = 2227,
  [SMALL_STATE(47)] = 2350,
  [SMALL_STATE(48)] = 2470,
  [SMALL_STATE(49)] = 2587,
  [SMALL_STATE(50)] = 2702,
  [SMALL_STATE(51)] = 2816,
  [SMALL_STATE(52)] = 2930,
  [SMALL_STATE(53)] = 3044,
  [SMALL_STATE(54)] = 3158,
  [SMALL_STATE(55)] = 3272,
  [SMALL_STATE(56)] = 3386,
  [SMALL_STATE(57)] = 3500,
  [SMALL_STATE(58)] = 3614,
  [SMALL_STATE(59)] = 3728,
  [SMALL_STATE(60)] = 3842,
  [SMALL_STATE(61)] = 3956,
  [SMALL_STATE(62)] = 4070,
  [SMALL_STATE(63)] = 4184,
  [SMALL_STATE(64)] = 4298,
  [SMALL_STATE(65)] = 4412,
  [SMALL_STATE(66)] = 4526,
  [SMALL_STATE(67)] = 4640,
  [SMALL_STATE(68)] = 4754,
  [SMALL_STATE(69)] = 4868,
  [SMALL_STATE(70)] = 4982,
  [SMALL_STATE(71)] = 5096,
  [SMALL_STATE(72)] = 5210,
  [SMALL_STATE(73)] = 5324,
  [SMALL_STATE(74)] = 5435,
  [SMALL_STATE(75)] = 5546,
  [SMALL_STATE(76)] = 5657,
  [SMALL_STATE(77)] = 5768,
  [SMALL_STATE(78)] = 5879,
  [SMALL_STATE(79)] = 5990,
  [SMALL_STATE(80)] = 6101,
  [SMALL_STATE(81)] = 6212,
  [SMALL_STATE(82)] = 6323,
  [SMALL_STATE(83)] = 6434,
  [SMALL_STATE(84)] = 6545,
  [SMALL_STATE(85)] = 6656,
  [SMALL_STATE(86)] = 6767,
  [SMALL_STATE(87)] = 6878,
  [SMALL_STATE(88)] = 6989,
  [SMALL_STATE(89)] = 7100,
  [SMALL_STATE(90)] = 7211,
  [SMALL_STATE(91)] = 7322,
  [SMALL_STATE(92)] = 7433,
  [SMALL_STATE(93)] = 7544,
  [SMALL_STATE(94)] = 7655,
  [SMALL_STATE(95)] = 7766,
  [SMALL_STATE(96)] = 7877,
  [SMALL_STATE(97)] = 7988,
  [SMALL_STATE(98)] = 8099,
  [SMALL_STATE(99)] = 8210,
  [SMALL_STATE(100)] = 8321,
  [SMALL_STATE(101)] = 8432,
  [SMALL_STATE(102)] = 8543,
  [SMALL_STATE(103)] = 8654,
  [SMALL_STATE(104)] = 8765,
  [SMALL_STATE(105)] = 8876,
  [SMALL_STATE(106)] = 8987,
  [SMALL_STATE(107)] = 9098,
  [SMALL_STATE(108)] = 9209,
  [SMALL_STATE(109)] = 9320,
  [SMALL_STATE(110)] = 9431,
  [SMALL_STATE(111)] = 9542,
  [SMALL_STATE(112)] = 9653,
  [SMALL_STATE(113)] = 9764,
  [SMALL_STATE(114)] = 9875,
  [SMALL_STATE(115)] = 9986,
  [SMALL_STATE(116)] = 10097,
  [SMALL_STATE(117)] = 10208,
  [SMALL_STATE(118)] = 10319,
  [SMALL_STATE(119)] = 10430,
  [SMALL_STATE(120)] = 10541,
  [SMALL_STATE(121)] = 10652,
  [SMALL_STATE(122)] = 10763,
  [SMALL_STATE(123)] = 10874,
  [SMALL_STATE(124)] = 10985,
  [SMALL_STATE(125)] = 11096,
  [SMALL_STATE(126)] = 11207,
  [SMALL_STATE(127)] = 11318,
  [SMALL_STATE(128)] = 11429,
  [SMALL_STATE(129)] = 11540,
  [SMALL_STATE(130)] = 11651,
  [SMALL_STATE(131)] = 11759,
  [SMALL_STATE(132)] = 11867,
  [SMALL_STATE(133)] = 11975,
  [SMALL_STATE(134)] = 12083,
  [SMALL_STATE(135)] = 12191,
  [SMALL_STATE(136)] = 12299,
  [SMALL_STATE(137)] = 12407,
  [SMALL_STATE(138)] = 12515,
  [SMALL_STATE(139)] = 12623,
  [SMALL_STATE(140)] = 12731,
  [SMALL_STATE(141)] = 12839,
  [SMALL_STATE(142)] = 12947,
  [SMALL_STATE(143)] = 13055,
  [SMALL_STATE(144)] = 13163,
  [SMALL_STATE(145)] = 13271,
  [SMALL_STATE(146)] = 13379,
  [SMALL_STATE(147)] = 13487,
  [SMALL_STATE(148)] = 13595,
  [SMALL_STATE(149)] = 13703,
  [SMALL_STATE(150)] = 13811,
  [SMALL_STATE(151)] = 13919,
  [SMALL_STATE(152)] = 14027,
  [SMALL_STATE(153)] = 14135,
  [SMALL_STATE(154)] = 14243,
  [SMALL_STATE(155)] = 14351,
  [SMALL_STATE(156)] = 14459,
  [SMALL_STATE(157)] = 14567,
  [SMALL_STATE(158)] = 14675,
  [SMALL_STATE(159)] = 14783,
  [SMALL_STATE(160)] = 14891,
  [SMALL_STATE(161)] = 14999,
  [SMALL_STATE(162)] = 15107,
  [SMALL_STATE(163)] = 15215,
  [SMALL_STATE(164)] = 15323,
  [SMALL_STATE(165)] = 15431,
  [SMALL_STATE(166)] = 15539,
  [SMALL_STATE(167)] = 15647,
  [SMALL_STATE(168)] = 15755,
  [SMALL_STATE(169)] = 15863,
  [SMALL_STATE(170)] = 15971,
  [SMALL_STATE(171)] = 16079,
  [SMALL_STATE(172)] = 16187,
  [SMALL_STATE(173)] = 16295,
  [SMALL_STATE(174)] = 16403,
  [SMALL_STATE(175)] = 16511,
  [SMALL_STATE(176)] = 16619,
  [SMALL_STATE(177)] = 16727,
  [SMALL_STATE(178)] = 16835,
  [SMALL_STATE(179)] = 16943,
  [SMALL_STATE(180)] = 17051,
  [SMALL_STATE(181)] = 17159,
  [SMALL_STATE(182)] = 17267,
  [SMALL_STATE(183)] = 17375,
  [SMALL_STATE(184)] = 17483,
  [SMALL_STATE(185)] = 17591,
  [SMALL_STATE(186)] = 17699,
  [SMALL_STATE(187)] = 17807,
  [SMALL_STATE(188)] = 17915,
  [SMALL_STATE(189)] = 18023,
  [SMALL_STATE(190)] = 18131,
  [SMALL_STATE(191)] = 18239,
  [SMALL_STATE(192)] = 18347,
  [SMALL_STATE(193)] = 18455,
  [SMALL_STATE(194)] = 18563,
  [SMALL_STATE(195)] = 18671,
  [SMALL_STATE(196)] = 18779,
  [SMALL_STATE(197)] = 18887,
  [SMALL_STATE(198)] = 18995,
  [SMALL_STATE(199)] = 19103,
  [SMALL_STATE(200)] = 19211,
  [SMALL_STATE(201)] = 19319,
  [SMALL_STATE(202)] = 19427,
  [SMALL_STATE(203)] = 19535,
  [SMALL_STATE(204)] = 19643,
  [SMALL_STATE(205)] = 19751,
  [SMALL_STATE(206)] = 19859,
  [SMALL_STATE(207)] = 19967,
  [SMALL_STATE(208)] = 20075,
  [SMALL_STATE(209)] = 20183,
  [SMALL_STATE(210)] = 20291,
  [SMALL_STATE(211)] = 20399,
  [SMALL_STATE(212)] = 20507,
  [SMALL_STATE(213)] = 20615,
  [SMALL_STATE(214)] = 20723,
  [SMALL_STATE(215)] = 20831,
  [SMALL_STATE(216)] = 20939,
  [SMALL_STATE(217)] = 21047,
  [SMALL_STATE(218)] = 21155,
  [SMALL_STATE(219)] = 21263,
  [SMALL_STATE(220)] = 21371,
  [SMALL_STATE(221)] = 21479,
  [SMALL_STATE(222)] = 21587,
  [SMALL_STATE(223)] = 21695,
  [SMALL_STATE(224)] = 21803,
  [SMALL_STATE(225)] = 21911,
  [SMALL_STATE(226)] = 22019,
  [SMALL_STATE(227)] = 22127,
  [SMALL_STATE(228)] = 22235,
  [SMALL_STATE(229)] = 22343,
  [SMALL_STATE(230)] = 22451,
  [SMALL_STATE(231)] = 22559,
  [SMALL_STATE(232)] = 22667,
  [SMALL_STATE(233)] = 22775,
  [SMALL_STATE(234)] = 22883,
  [SMALL_STATE(235)] = 22991,
  [SMALL_STATE(236)] = 23093,
  [SMALL_STATE(237)] = 23163,
  [SMALL_STATE(238)] = 23233,
  [SMALL_STATE(239)] = 23288,
  [SMALL_STATE(240)] = 23355,
  [SMALL_STATE(241)] = 23442,
  [SMALL_STATE(242)] = 23510,
  [SMALL_STATE(243)] = 23580,
  [SMALL_STATE(244)] = 23644,
  [SMALL_STATE(245)] = 23710,
  [SMALL_STATE(246)] = 23774,
  [SMALL_STATE(247)] = 23846,
  [SMALL_STATE(248)] = 23899,
  [SMALL_STATE(249)] = 23990,
  [SMALL_STATE(250)] = 24081,
  [SMALL_STATE(251)] = 24138,
  [SMALL_STATE(252)] = 24191,
  [SMALL_STATE(253)] = 24244,
  [SMALL_STATE(254)] = 24297,
  [SMALL_STATE(255)] = 24349,
  [SMALL_STATE(256)] = 24401,
  [SMALL_STATE(257)] = 24453,
  [SMALL_STATE(258)] = 24505,
  [SMALL_STATE(259)] = 24557,
  [SMALL_STATE(260)] = 24609,
  [SMALL_STATE(261)] = 24661,
  [SMALL_STATE(262)] = 24713,
  [SMALL_STATE(263)] = 24765,
  [SMALL_STATE(264)] = 24817,
  [SMALL_STATE(265)] = 24869,
  [SMALL_STATE(266)] = 24921,
  [SMALL_STATE(267)] = 24973,
  [SMALL_STATE(268)] = 25025,
  [SMALL_STATE(269)] = 25077,
  [SMALL_STATE(270)] = 25165,
  [SMALL_STATE(271)] = 25217,
  [SMALL_STATE(272)] = 25269,
  [SMALL_STATE(273)] = 25321,
  [SMALL_STATE(274)] = 25373,
  [SMALL_STATE(275)] = 25425,
  [SMALL_STATE(276)] = 25477,
  [SMALL_STATE(277)] = 25529,
  [SMALL_STATE(278)] = 25581,
  [SMALL_STATE(279)] = 25633,
  [SMALL_STATE(280)] = 25685,
  [SMALL_STATE(281)] = 25737,
  [SMALL_STATE(282)] = 25789,
  [SMALL_STATE(283)] = 25841,
  [SMALL_STATE(284)] = 25893,
  [SMALL_STATE(285)] = 25945,
  [SMALL_STATE(286)] = 26008,
  [SMALL_STATE(287)] = 26093,
  [SMALL_STATE(288)] = 26154,
  [SMALL_STATE(289)] = 26217,
  [SMALL_STATE(290)] = 26278,
  [SMALL_STATE(291)] = 26343,
  [SMALL_STATE(292)] = 26412,
  [SMALL_STATE(293)] = 26483,
  [SMALL_STATE(294)] = 26537,
  [SMALL_STATE(295)] = 26586,
  [SMALL_STATE(296)] = 26635,
  [SMALL_STATE(297)] = 26684,
  [SMALL_STATE(298)] = 26733,
  [SMALL_STATE(299)] = 26782,
  [SMALL_STATE(300)] = 26831,
  [SMALL_STATE(301)] = 26880,
  [SMALL_STATE(302)] = 26929,
  [SMALL_STATE(303)] = 26978,
  [SMALL_STATE(304)] = 27027,
  [SMALL_STATE(305)] = 27076,
  [SMALL_STATE(306)] = 27125,
  [SMALL_STATE(307)] = 27174,
  [SMALL_STATE(308)] = 27223,
  [SMALL_STATE(309)] = 27272,
  [SMALL_STATE(310)] = 27321,
  [SMALL_STATE(311)] = 27370,
  [SMALL_STATE(312)] = 27419,
  [SMALL_STATE(313)] = 27468,
  [SMALL_STATE(314)] = 27517,
  [SMALL_STATE(315)] = 27566,
  [SMALL_STATE(316)] = 27615,
  [SMALL_STATE(317)] = 27664,
  [SMALL_STATE(318)] = 27713,
  [SMALL_STATE(319)] = 27762,
  [SMALL_STATE(320)] = 27811,
  [SMALL_STATE(321)] = 27860,
  [SMALL_STATE(322)] = 27909,
  [SMALL_STATE(323)] = 27958,
  [SMALL_STATE(324)] = 28007,
  [SMALL_STATE(325)] = 28056,
  [SMALL_STATE(326)] = 28105,
  [SMALL_STATE(327)] = 28154,
  [SMALL_STATE(328)] = 28203,
  [SMALL_STATE(329)] = 28264,
  [SMALL_STATE(330)] = 28320,
  [SMALL_STATE(331)] = 28388,
  [SMALL_STATE(332)] = 28444,
  [SMALL_STATE(333)] = 28502,
  [SMALL_STATE(334)] = 28562,
  [SMALL_STATE(335)] = 28626,
  [SMALL_STATE(336)] = 28692,
  [SMALL_STATE(337)] = 28741,
  [SMALL_STATE(338)] = 28785,
  [SMALL_STATE(339)] = 28829,
  [SMALL_STATE(340)] = 28873,
  [SMALL_STATE(341)] = 28917,
  [SMALL_STATE(342)] = 28961,
  [SMALL_STATE(343)] = 29005,
  [SMALL_STATE(344)] = 29049,
  [SMALL_STATE(345)] = 29093,
  [SMALL_STATE(346)] = 29137,
  [SMALL_STATE(347)] = 29181,
  [SMALL_STATE(348)] = 29225,
  [SMALL_STATE(349)] = 29269,
  [SMALL_STATE(350)] = 29313,
  [SMALL_STATE(351)] = 29389,
  [SMALL_STATE(352)] = 29433,
  [SMALL_STATE(353)] = 29477,
  [SMALL_STATE(354)] = 29521,
  [SMALL_STATE(355)] = 29597,
  [SMALL_STATE(356)] = 29641,
  [SMALL_STATE(357)] = 29685,
  [SMALL_STATE(358)] = 29729,
  [SMALL_STATE(359)] = 29773,
  [SMALL_STATE(360)] = 29817,
  [SMALL_STATE(361)] = 29861,
  [SMALL_STATE(362)] = 29905,
  [SMALL_STATE(363)] = 29993,
  [SMALL_STATE(364)] = 30037,
  [SMALL_STATE(365)] = 30081,
  [SMALL_STATE(366)] = 30125,
  [SMALL_STATE(367)] = 30169,
  [SMALL_STATE(368)] = 30213,
  [SMALL_STATE(369)] = 30257,
  [SMALL_STATE(370)] = 30301,
  [SMALL_STATE(371)] = 30345,
  [SMALL_STATE(372)] = 30389,
  [SMALL_STATE(373)] = 30433,
  [SMALL_STATE(374)] = 30477,
  [SMALL_STATE(375)] = 30529,
  [SMALL_STATE(376)] = 30581,
  [SMALL_STATE(377)] = 30656,
  [SMALL_STATE(378)] = 30701,
  [SMALL_STATE(379)] = 30772,
  [SMALL_STATE(380)] = 30843,
  [SMALL_STATE(381)] = 30898,
  [SMALL_STATE(382)] = 30973,
  [SMALL_STATE(383)] = 31013,
  [SMALL_STATE(384)] = 31053,
  [SMALL_STATE(385)] = 31093,
  [SMALL_STATE(386)] = 31133,
  [SMALL_STATE(387)] = 31173,
  [SMALL_STATE(388)] = 31213,
  [SMALL_STATE(389)] = 31253,
  [SMALL_STATE(390)] = 31327,
  [SMALL_STATE(391)] = 31367,
  [SMALL_STATE(392)] = 31407,
  [SMALL_STATE(393)] = 31447,
  [SMALL_STATE(394)] = 31487,
  [SMALL_STATE(395)] = 31527,
  [SMALL_STATE(396)] = 31603,
  [SMALL_STATE(397)] = 31643,
  [SMALL_STATE(398)] = 31683,
  [SMALL_STATE(399)] = 31723,
  [SMALL_STATE(400)] = 31763,
  [SMALL_STATE(401)] = 31803,
  [SMALL_STATE(402)] = 31843,
  [SMALL_STATE(403)] = 31883,
  [SMALL_STATE(404)] = 31923,
  [SMALL_STATE(405)] = 31963,
  [SMALL_STATE(406)] = 32003,
  [SMALL_STATE(407)] = 32043,
  [SMALL_STATE(408)] = 32083,
  [SMALL_STATE(409)] = 32123,
  [SMALL_STATE(410)] = 32163,
  [SMALL_STATE(411)] = 32203,
  [SMALL_STATE(412)] = 32243,
  [SMALL_STATE(413)] = 32283,
  [SMALL_STATE(414)] = 32323,
  [SMALL_STATE(415)] = 32363,
  [SMALL_STATE(416)] = 32403,
  [SMALL_STATE(417)] = 32443,
  [SMALL_STATE(418)] = 32483,
  [SMALL_STATE(419)] = 32556,
  [SMALL_STATE(420)] = 32619,
  [SMALL_STATE(421)] = 32690,
  [SMALL_STATE(422)] = 32751,
  [SMALL_STATE(423)] = 32808,
  [SMALL_STATE(424)] = 32861,
  [SMALL_STATE(425)] = 32936,
  [SMALL_STATE(426)] = 33007,
  [SMALL_STATE(427)] = 33070,
  [SMALL_STATE(428)] = 33145,
  [SMALL_STATE(429)] = 33220,
  [SMALL_STATE(430)] = 33271,
  [SMALL_STATE(431)] = 33345,
  [SMALL_STATE(432)] = 33393,
  [SMALL_STATE(433)] = 33467,
  [SMALL_STATE(434)] = 33537,
  [SMALL_STATE(435)] = 33585,
  [SMALL_STATE(436)] = 33657,
  [SMALL_STATE(437)] = 33729,
  [SMALL_STATE(438)] = 33799,
  [SMALL_STATE(439)] = 33871,
  [SMALL_STATE(440)] = 33943,
  [SMALL_STATE(441)] = 34013,
  [SMALL_STATE(442)] = 34063,
  [SMALL_STATE(443)] = 34121,
  [SMALL_STATE(444)] = 34195,
  [SMALL_STATE(445)] = 34247,
  [SMALL_STATE(446)] = 34301,
  [SMALL_STATE(447)] = 34357,
  [SMALL_STATE(448)] = 34429,
  [SMALL_STATE(449)] = 34481,
  [SMALL_STATE(450)] = 34551,
  [SMALL_STATE(451)] = 34621,
  [SMALL_STATE(452)] = 34693,
  [SMALL_STATE(453)] = 34765,
  [SMALL_STATE(454)] = 34835,
  [SMALL_STATE(455)] = 34907,
  [SMALL_STATE(456)] = 34979,
  [SMALL_STATE(457)] = 35051,
  [SMALL_STATE(458)] = 35092,
  [SMALL_STATE(459)] = 35143,
  [SMALL_STATE(460)] = 35212,
  [SMALL_STATE(461)] = 35279,
  [SMALL_STATE(462)] = 35346,
  [SMALL_STATE(463)] = 35393,
  [SMALL_STATE(464)] = 35464,
  [SMALL_STATE(465)] = 35531,
  [SMALL_STATE(466)] = 35602,
  [SMALL_STATE(467)] = 35673,
  [SMALL_STATE(468)] = 35744,
  [SMALL_STATE(469)] = 35815,
  [SMALL_STATE(470)] = 35862,
  [SMALL_STATE(471)] = 35933,
  [SMALL_STATE(472)] = 36000,
  [SMALL_STATE(473)] = 36057,
  [SMALL_STATE(474)] = 36114,
  [SMALL_STATE(475)] = 36177,
  [SMALL_STATE(476)] = 36236,
  [SMALL_STATE(477)] = 36303,
  [SMALL_STATE(478)] = 36372,
  [SMALL_STATE(479)] = 36443,
  [SMALL_STATE(480)] = 36510,
  [SMALL_STATE(481)] = 36565,
  [SMALL_STATE(482)] = 36626,
  [SMALL_STATE(483)] = 36683,
  [SMALL_STATE(484)] = 36733,
  [SMALL_STATE(485)] = 36769,
  [SMALL_STATE(486)] = 36805,
  [SMALL_STATE(487)] = 36841,
  [SMALL_STATE(488)] = 36877,
  [SMALL_STATE(489)] = 36913,
  [SMALL_STATE(490)] = 36953,
  [SMALL_STATE(491)] = 36989,
  [SMALL_STATE(492)] = 37025,
  [SMALL_STATE(493)] = 37091,
  [SMALL_STATE(494)] = 37127,
  [SMALL_STATE(495)] = 37193,
  [SMALL_STATE(496)] = 37259,
  [SMALL_STATE(497)] = 37295,
  [SMALL_STATE(498)] = 37331,
  [SMALL_STATE(499)] = 37367,
  [SMALL_STATE(500)] = 37403,
  [SMALL_STATE(501)] = 37469,
  [SMALL_STATE(502)] = 37521,
  [SMALL_STATE(503)] = 37585,
  [SMALL_STATE(504)] = 37621,
  [SMALL_STATE(505)] = 37657,
  [SMALL_STATE(506)] = 37693,
  [SMALL_STATE(507)] = 37729,
  [SMALL_STATE(508)] = 37765,
  [SMALL_STATE(509)] = 37801,
  [SMALL_STATE(510)] = 37867,
  [SMALL_STATE(511)] = 37903,
  [SMALL_STATE(512)] = 37939,
  [SMALL_STATE(513)] = 37975,
  [SMALL_STATE(514)] = 38039,
  [SMALL_STATE(515)] = 38075,
  [SMALL_STATE(516)] = 38141,
  [SMALL_STATE(517)] = 38177,
  [SMALL_STATE(518)] = 38213,
  [SMALL_STATE(519)] = 38249,
  [SMALL_STATE(520)] = 38285,
  [SMALL_STATE(521)] = 38351,
  [SMALL_STATE(522)] = 38387,
  [SMALL_STATE(523)] = 38423,
  [SMALL_STATE(524)] = 38459,
  [SMALL_STATE(525)] = 38495,
  [SMALL_STATE(526)] = 38531,
  [SMALL_STATE(527)] = 38567,
  [SMALL_STATE(528)] = 38603,
  [SMALL_STATE(529)] = 38639,
  [SMALL_STATE(530)] = 38705,
  [SMALL_STATE(531)] = 38771,
  [SMALL_STATE(532)] = 38834,
  [SMALL_STATE(533)] = 38891,
  [SMALL_STATE(534)] = 38944,
  [SMALL_STATE(535)] = 38999,
  [SMALL_STATE(536)] = 39056,
  [SMALL_STATE(537)] = 39091,
  [SMALL_STATE(538)] = 39126,
  [SMALL_STATE(539)] = 39161,
  [SMALL_STATE(540)] = 39196,
  [SMALL_STATE(541)] = 39231,
  [SMALL_STATE(542)] = 39266,
  [SMALL_STATE(543)] = 39301,
  [SMALL_STATE(544)] = 39364,
  [SMALL_STATE(545)] = 39431,
  [SMALL_STATE(546)] = 39466,
  [SMALL_STATE(547)] = 39533,
  [SMALL_STATE(548)] = 39568,
  [SMALL_STATE(549)] = 39603,
  [SMALL_STATE(550)] = 39638,
  [SMALL_STATE(551)] = 39673,
  [SMALL_STATE(552)] = 39722,
  [SMALL_STATE(553)] = 39757,
  [SMALL_STATE(554)] = 39792,
  [SMALL_STATE(555)] = 39827,
  [SMALL_STATE(556)] = 39862,
  [SMALL_STATE(557)] = 39897,
  [SMALL_STATE(558)] = 39964,
  [SMALL_STATE(559)] = 39999,
  [SMALL_STATE(560)] = 40034,
  [SMALL_STATE(561)] = 40069,
  [SMALL_STATE(562)] = 40134,
  [SMALL_STATE(563)] = 40169,
  [SMALL_STATE(564)] = 40204,
  [SMALL_STATE(565)] = 40267,
  [SMALL_STATE(566)] = 40322,
  [SMALL_STATE(567)] = 40375,
  [SMALL_STATE(568)] = 40424,
  [SMALL_STATE(569)] = 40459,
  [SMALL_STATE(570)] = 40494,
  [SMALL_STATE(571)] = 40529,
  [SMALL_STATE(572)] = 40564,
  [SMALL_STATE(573)] = 40599,
  [SMALL_STATE(574)] = 40634,
  [SMALL_STATE(575)] = 40669,
  [SMALL_STATE(576)] = 40704,
  [SMALL_STATE(577)] = 40739,
  [SMALL_STATE(578)] = 40798,
  [SMALL_STATE(579)] = 40865,
  [SMALL_STATE(580)] = 40900,
  [SMALL_STATE(581)] = 40963,
  [SMALL_STATE(582)] = 41010,
  [SMALL_STATE(583)] = 41045,
  [SMALL_STATE(584)] = 41112,
  [SMALL_STATE(585)] = 41179,
  [SMALL_STATE(586)] = 41242,
  [SMALL_STATE(587)] = 41303,
  [SMALL_STATE(588)] = 41368,
  [SMALL_STATE(589)] = 41435,
  [SMALL_STATE(590)] = 41502,
  [SMALL_STATE(591)] = 41569,
  [SMALL_STATE(592)] = 41604,
  [SMALL_STATE(593)] = 41664,
  [SMALL_STATE(594)] = 41724,
  [SMALL_STATE(595)] = 41784,
  [SMALL_STATE(596)] = 41844,
  [SMALL_STATE(597)] = 41904,
  [SMALL_STATE(598)] = 41964,
  [SMALL_STATE(599)] = 42024,
  [SMALL_STATE(600)] = 42084,
  [SMALL_STATE(601)] = 42144,
  [SMALL_STATE(602)] = 42204,
  [SMALL_STATE(603)] = 42264,
  [SMALL_STATE(604)] = 42324,
  [SMALL_STATE(605)] = 42384,
  [SMALL_STATE(606)] = 42444,
  [SMALL_STATE(607)] = 42504,
  [SMALL_STATE(608)] = 42564,
  [SMALL_STATE(609)] = 42624,
  [SMALL_STATE(610)] = 42684,
  [SMALL_STATE(611)] = 42744,
  [SMALL_STATE(612)] = 42804,
  [SMALL_STATE(613)] = 42862,
  [SMALL_STATE(614)] = 42922,
  [SMALL_STATE(615)] = 42982,
  [SMALL_STATE(616)] = 43042,
  [SMALL_STATE(617)] = 43102,
  [SMALL_STATE(618)] = 43166,
  [SMALL_STATE(619)] = 43226,
  [SMALL_STATE(620)] = 43286,
  [SMALL_STATE(621)] = 43346,
  [SMALL_STATE(622)] = 43406,
  [SMALL_STATE(623)] = 43466,
  [SMALL_STATE(624)] = 43526,
  [SMALL_STATE(625)] = 43584,
  [SMALL_STATE(626)] = 43644,
  [SMALL_STATE(627)] = 43704,
  [SMALL_STATE(628)] = 43764,
  [SMALL_STATE(629)] = 43824,
  [SMALL_STATE(630)] = 43882,
  [SMALL_STATE(631)] = 43942,
  [SMALL_STATE(632)] = 44002,
  [SMALL_STATE(633)] = 44062,
  [SMALL_STATE(634)] = 44119,
  [SMALL_STATE(635)] = 44176,
  [SMALL_STATE(636)] = 44233,
  [SMALL_STATE(637)] = 44290,
  [SMALL_STATE(638)] = 44347,
  [SMALL_STATE(639)] = 44404,
  [SMALL_STATE(640)] = 44461,
  [SMALL_STATE(641)] = 44518,
  [SMALL_STATE(642)] = 44575,
  [SMALL_STATE(643)] = 44632,
  [SMALL_STATE(644)] = 44689,
  [SMALL_STATE(645)] = 44746,
  [SMALL_STATE(646)] = 44803,
  [SMALL_STATE(647)] = 44860,
  [SMALL_STATE(648)] = 44917,
  [SMALL_STATE(649)] = 44974,
  [SMALL_STATE(650)] = 45031,
  [SMALL_STATE(651)] = 45088,
  [SMALL_STATE(652)] = 45145,
  [SMALL_STATE(653)] = 45202,
  [SMALL_STATE(654)] = 45259,
  [SMALL_STATE(655)] = 45316,
  [SMALL_STATE(656)] = 45373,
  [SMALL_STATE(657)] = 45430,
  [SMALL_STATE(658)] = 45487,
  [SMALL_STATE(659)] = 45544,
  [SMALL_STATE(660)] = 45601,
  [SMALL_STATE(661)] = 45658,
  [SMALL_STATE(662)] = 45715,
  [SMALL_STATE(663)] = 45772,
  [SMALL_STATE(664)] = 45829,
  [SMALL_STATE(665)] = 45886,
  [SMALL_STATE(666)] = 45943,
  [SMALL_STATE(667)] = 46000,
  [SMALL_STATE(668)] = 46057,
  [SMALL_STATE(669)] = 46114,
  [SMALL_STATE(670)] = 46171,
  [SMALL_STATE(671)] = 46228,
  [SMALL_STATE(672)] = 46285,
  [SMALL_STATE(673)] = 46342,
  [SMALL_STATE(674)] = 46399,
  [SMALL_STATE(675)] = 46456,
  [SMALL_STATE(676)] = 46513,
  [SMALL_STATE(677)] = 46570,
  [SMALL_STATE(678)] = 46627,
  [SMALL_STATE(679)] = 46684,
  [SMALL_STATE(680)] = 46741,
  [SMALL_STATE(681)] = 46798,
  [SMALL_STATE(682)] = 46855,
  [SMALL_STATE(683)] = 46912,
  [SMALL_STATE(684)] = 46969,
  [SMALL_STATE(685)] = 47026,
  [SMALL_STATE(686)] = 47083,
  [SMALL_STATE(687)] = 47140,
  [SMALL_STATE(688)] = 47197,
  [SMALL_STATE(689)] = 47254,
  [SMALL_STATE(690)] = 47311,
  [SMALL_STATE(691)] = 47368,
  [SMALL_STATE(692)] = 47425,
  [SMALL_STATE(693)] = 47482,
  [SMALL_STATE(694)] = 47539,
  [SMALL_STATE(695)] = 47596,
  [SMALL_STATE(696)] = 47653,
  [SMALL_STATE(697)] = 47710,
  [SMALL_STATE(698)] = 47767,
  [SMALL_STATE(699)] = 47824,
  [SMALL_STATE(700)] = 47881,
  [SMALL_STATE(701)] = 47938,
  [SMALL_STATE(702)] = 47995,
  [SMALL_STATE(703)] = 48052,
  [SMALL_STATE(704)] = 48109,
  [SMALL_STATE(705)] = 48166,
  [SMALL_STATE(706)] = 48223,
  [SMALL_STATE(707)] = 48284,
  [SMALL_STATE(708)] = 48341,
  [SMALL_STATE(709)] = 48398,
  [SMALL_STATE(710)] = 48455,
  [SMALL_STATE(711)] = 48512,
  [SMALL_STATE(712)] = 48569,
  [SMALL_STATE(713)] = 48626,
  [SMALL_STATE(714)] = 48683,
  [SMALL_STATE(715)] = 48740,
  [SMALL_STATE(716)] = 48797,
  [SMALL_STATE(717)] = 48854,
  [SMALL_STATE(718)] = 48911,
  [SMALL_STATE(719)] = 48970,
  [SMALL_STATE(720)] = 49029,
  [SMALL_STATE(721)] = 49086,
  [SMALL_STATE(722)] = 49143,
  [SMALL_STATE(723)] = 49200,
  [SMALL_STATE(724)] = 49257,
  [SMALL_STATE(725)] = 49314,
  [SMALL_STATE(726)] = 49371,
  [SMALL_STATE(727)] = 49428,
  [SMALL_STATE(728)] = 49485,
  [SMALL_STATE(729)] = 49542,
  [SMALL_STATE(730)] = 49599,
  [SMALL_STATE(731)] = 49656,
  [SMALL_STATE(732)] = 49713,
  [SMALL_STATE(733)] = 49770,
  [SMALL_STATE(734)] = 49827,
  [SMALL_STATE(735)] = 49884,
  [SMALL_STATE(736)] = 49941,
  [SMALL_STATE(737)] = 49998,
  [SMALL_STATE(738)] = 50055,
  [SMALL_STATE(739)] = 50112,
  [SMALL_STATE(740)] = 50169,
  [SMALL_STATE(741)] = 50226,
  [SMALL_STATE(742)] = 50283,
  [SMALL_STATE(743)] = 50340,
  [SMALL_STATE(744)] = 50397,
  [SMALL_STATE(745)] = 50454,
  [SMALL_STATE(746)] = 50511,
  [SMALL_STATE(747)] = 50568,
  [SMALL_STATE(748)] = 50625,
  [SMALL_STATE(749)] = 50682,
  [SMALL_STATE(750)] = 50739,
  [SMALL_STATE(751)] = 50796,
  [SMALL_STATE(752)] = 50850,
  [SMALL_STATE(753)] = 50879,
  [SMALL_STATE(754)] = 50908,
  [SMALL_STATE(755)] = 50937,
  [SMALL_STATE(756)] = 50966,
  [SMALL_STATE(757)] = 50997,
  [SMALL_STATE(758)] = 51023,
  [SMALL_STATE(759)] = 51049,
  [SMALL_STATE(760)] = 51075,
  [SMALL_STATE(761)] = 51101,
  [SMALL_STATE(762)] = 51127,
  [SMALL_STATE(763)] = 51151,
  [SMALL_STATE(764)] = 51175,
  [SMALL_STATE(765)] = 51199,
  [SMALL_STATE(766)] = 51223,
  [SMALL_STATE(767)] = 51248,
  [SMALL_STATE(768)] = 51273,
  [SMALL_STATE(769)] = 51299,
  [SMALL_STATE(770)] = 51324,
  [SMALL_STATE(771)] = 51345,
  [SMALL_STATE(772)] = 51366,
  [SMALL_STATE(773)] = 51387,
  [SMALL_STATE(774)] = 51408,
  [SMALL_STATE(775)] = 51433,
  [SMALL_STATE(776)] = 51454,
  [SMALL_STATE(777)] = 51477,
  [SMALL_STATE(778)] = 51504,
  [SMALL_STATE(779)] = 51531,
  [SMALL_STATE(780)] = 51555,
  [SMALL_STATE(781)] = 51579,
  [SMALL_STATE(782)] = 51599,
  [SMALL_STATE(783)] = 51619,
  [SMALL_STATE(784)] = 51638,
  [SMALL_STATE(785)] = 51657,
  [SMALL_STATE(786)] = 51676,
  [SMALL_STATE(787)] = 51695,
  [SMALL_STATE(788)] = 51714,
  [SMALL_STATE(789)] = 51733,
  [SMALL_STATE(790)] = 51752,
  [SMALL_STATE(791)] = 51773,
  [SMALL_STATE(792)] = 51796,
  [SMALL_STATE(793)] = 51815,
  [SMALL_STATE(794)] = 51834,
  [SMALL_STATE(795)] = 51853,
  [SMALL_STATE(796)] = 51872,
  [SMALL_STATE(797)] = 51891,
  [SMALL_STATE(798)] = 51910,
  [SMALL_STATE(799)] = 51931,
  [SMALL_STATE(800)] = 51950,
  [SMALL_STATE(801)] = 51969,
  [SMALL_STATE(802)] = 51988,
  [SMALL_STATE(803)] = 52007,
  [SMALL_STATE(804)] = 52028,
  [SMALL_STATE(805)] = 52047,
  [SMALL_STATE(806)] = 52068,
  [SMALL_STATE(807)] = 52087,
  [SMALL_STATE(808)] = 52106,
  [SMALL_STATE(809)] = 52125,
  [SMALL_STATE(810)] = 52148,
  [SMALL_STATE(811)] = 52167,
  [SMALL_STATE(812)] = 52186,
  [SMALL_STATE(813)] = 52205,
  [SMALL_STATE(814)] = 52224,
  [SMALL_STATE(815)] = 52243,
  [SMALL_STATE(816)] = 52262,
  [SMALL_STATE(817)] = 52281,
  [SMALL_STATE(818)] = 52301,
  [SMALL_STATE(819)] = 52333,
  [SMALL_STATE(820)] = 52365,
  [SMALL_STATE(821)] = 52397,
  [SMALL_STATE(822)] = 52417,
  [SMALL_STATE(823)] = 52448,
  [SMALL_STATE(824)] = 52463,
  [SMALL_STATE(825)] = 52478,
  [SMALL_STATE(826)] = 52493,
  [SMALL_STATE(827)] = 52508,
  [SMALL_STATE(828)] = 52523,
  [SMALL_STATE(829)] = 52538,
  [SMALL_STATE(830)] = 52553,
  [SMALL_STATE(831)] = 52568,
  [SMALL_STATE(832)] = 52583,
  [SMALL_STATE(833)] = 52598,
  [SMALL_STATE(834)] = 52613,
  [SMALL_STATE(835)] = 52630,
  [SMALL_STATE(836)] = 52661,
  [SMALL_STATE(837)] = 52676,
  [SMALL_STATE(838)] = 52691,
  [SMALL_STATE(839)] = 52708,
  [SMALL_STATE(840)] = 52737,
  [SMALL_STATE(841)] = 52752,
  [SMALL_STATE(842)] = 52767,
  [SMALL_STATE(843)] = 52782,
  [SMALL_STATE(844)] = 52811,
  [SMALL_STATE(845)] = 52842,
  [SMALL_STATE(846)] = 52859,
  [SMALL_STATE(847)] = 52874,
  [SMALL_STATE(848)] = 52905,
  [SMALL_STATE(849)] = 52920,
  [SMALL_STATE(850)] = 52935,
  [SMALL_STATE(851)] = 52950,
  [SMALL_STATE(852)] = 52967,
  [SMALL_STATE(853)] = 52998,
  [SMALL_STATE(854)] = 53013,
  [SMALL_STATE(855)] = 53028,
  [SMALL_STATE(856)] = 53055,
  [SMALL_STATE(857)] = 53070,
  [SMALL_STATE(858)] = 53085,
  [SMALL_STATE(859)] = 53116,
  [SMALL_STATE(860)] = 53139,
  [SMALL_STATE(861)] = 53154,
  [SMALL_STATE(862)] = 53182,
  [SMALL_STATE(863)] = 53204,
  [SMALL_STATE(864)] = 53226,
  [SMALL_STATE(865)] = 53243,
  [SMALL_STATE(866)] = 53266,
  [SMALL_STATE(867)] = 53283,
  [SMALL_STATE(868)] = 53302,
  [SMALL_STATE(869)] = 53325,
  [SMALL_STATE(870)] = 53344,
  [SMALL_STATE(871)] = 53363,
  [SMALL_STATE(872)] = 53382,
  [SMALL_STATE(873)] = 53405,
  [SMALL_STATE(874)] = 53428,
  [SMALL_STATE(875)] = 53451,
  [SMALL_STATE(876)] = 53470,
  [SMALL_STATE(877)] = 53489,
  [SMALL_STATE(878)] = 53512,
  [SMALL_STATE(879)] = 53535,
  [SMALL_STATE(880)] = 53554,
  [SMALL_STATE(881)] = 53568,
  [SMALL_STATE(882)] = 53584,
  [SMALL_STATE(883)] = 53602,
  [SMALL_STATE(884)] = 53620,
  [SMALL_STATE(885)] = 53636,
  [SMALL_STATE(886)] = 53652,
  [SMALL_STATE(887)] = 53672,
  [SMALL_STATE(888)] = 53692,
  [SMALL_STATE(889)] = 53712,
  [SMALL_STATE(890)] = 53726,
  [SMALL_STATE(891)] = 53740,
  [SMALL_STATE(892)] = 53754,
  [SMALL_STATE(893)] = 53768,
  [SMALL_STATE(894)] = 53786,
  [SMALL_STATE(895)] = 53804,
  [SMALL_STATE(896)] = 53818,
  [SMALL_STATE(897)] = 53832,
  [SMALL_STATE(898)] = 53852,
  [SMALL_STATE(899)] = 53868,
  [SMALL_STATE(900)] = 53884,
  [SMALL_STATE(901)] = 53900,
  [SMALL_STATE(902)] = 53918,
  [SMALL_STATE(903)] = 53934,
  [SMALL_STATE(904)] = 53950,
  [SMALL_STATE(905)] = 53968,
  [SMALL_STATE(906)] = 53982,
  [SMALL_STATE(907)] = 54002,
  [SMALL_STATE(908)] = 54016,
  [SMALL_STATE(909)] = 54030,
  [SMALL_STATE(910)] = 54050,
  [SMALL_STATE(911)] = 54070,
  [SMALL_STATE(912)] = 54084,
  [SMALL_STATE(913)] = 54098,
  [SMALL_STATE(914)] = 54116,
  [SMALL_STATE(915)] = 54134,
  [SMALL_STATE(916)] = 54152,
  [SMALL_STATE(917)] = 54170,
  [SMALL_STATE(918)] = 54190,
  [SMALL_STATE(919)] = 54204,
  [SMALL_STATE(920)] = 54222,
  [SMALL_STATE(921)] = 54240,
  [SMALL_STATE(922)] = 54256,
  [SMALL_STATE(923)] = 54274,
  [SMALL_STATE(924)] = 54292,
  [SMALL_STATE(925)] = 54306,
  [SMALL_STATE(926)] = 54324,
  [SMALL_STATE(927)] = 54338,
  [SMALL_STATE(928)] = 54352,
  [SMALL_STATE(929)] = 54370,
  [SMALL_STATE(930)] = 54388,
  [SMALL_STATE(931)] = 54402,
  [SMALL_STATE(932)] = 54416,
  [SMALL_STATE(933)] = 54430,
  [SMALL_STATE(934)] = 54444,
  [SMALL_STATE(935)] = 54462,
  [SMALL_STATE(936)] = 54476,
  [SMALL_STATE(937)] = 54494,
  [SMALL_STATE(938)] = 54510,
  [SMALL_STATE(939)] = 54528,
  [SMALL_STATE(940)] = 54542,
  [SMALL_STATE(941)] = 54556,
  [SMALL_STATE(942)] = 54572,
  [SMALL_STATE(943)] = 54586,
  [SMALL_STATE(944)] = 54600,
  [SMALL_STATE(945)] = 54613,
  [SMALL_STATE(946)] = 54630,
  [SMALL_STATE(947)] = 54643,
  [SMALL_STATE(948)] = 54656,
  [SMALL_STATE(949)] = 54669,
  [SMALL_STATE(950)] = 54682,
  [SMALL_STATE(951)] = 54695,
  [SMALL_STATE(952)] = 54708,
  [SMALL_STATE(953)] = 54727,
  [SMALL_STATE(954)] = 54740,
  [SMALL_STATE(955)] = 54759,
  [SMALL_STATE(956)] = 54772,
  [SMALL_STATE(957)] = 54785,
  [SMALL_STATE(958)] = 54798,
  [SMALL_STATE(959)] = 54811,
  [SMALL_STATE(960)] = 54824,
  [SMALL_STATE(961)] = 54837,
  [SMALL_STATE(962)] = 54856,
  [SMALL_STATE(963)] = 54873,
  [SMALL_STATE(964)] = 54892,
  [SMALL_STATE(965)] = 54905,
  [SMALL_STATE(966)] = 54918,
  [SMALL_STATE(967)] = 54931,
  [SMALL_STATE(968)] = 54944,
  [SMALL_STATE(969)] = 54957,
  [SMALL_STATE(970)] = 54968,
  [SMALL_STATE(971)] = 54981,
  [SMALL_STATE(972)] = 54994,
  [SMALL_STATE(973)] = 55007,
  [SMALL_STATE(974)] = 55024,
  [SMALL_STATE(975)] = 55041,
  [SMALL_STATE(976)] = 55058,
  [SMALL_STATE(977)] = 55071,
  [SMALL_STATE(978)] = 55084,
  [SMALL_STATE(979)] = 55101,
  [SMALL_STATE(980)] = 55114,
  [SMALL_STATE(981)] = 55129,
  [SMALL_STATE(982)] = 55142,
  [SMALL_STATE(983)] = 55155,
  [SMALL_STATE(984)] = 55168,
  [SMALL_STATE(985)] = 55181,
  [SMALL_STATE(986)] = 55194,
  [SMALL_STATE(987)] = 55207,
  [SMALL_STATE(988)] = 55224,
  [SMALL_STATE(989)] = 55241,
  [SMALL_STATE(990)] = 55258,
  [SMALL_STATE(991)] = 55271,
  [SMALL_STATE(992)] = 55284,
  [SMALL_STATE(993)] = 55297,
  [SMALL_STATE(994)] = 55310,
  [SMALL_STATE(995)] = 55323,
  [SMALL_STATE(996)] = 55336,
  [SMALL_STATE(997)] = 55353,
  [SMALL_STATE(998)] = 55366,
  [SMALL_STATE(999)] = 55379,
  [SMALL_STATE(1000)] = 55392,
  [SMALL_STATE(1001)] = 55405,
  [SMALL_STATE(1002)] = 55418,
  [SMALL_STATE(1003)] = 55431,
  [SMALL_STATE(1004)] = 55444,
  [SMALL_STATE(1005)] = 55457,
  [SMALL_STATE(1006)] = 55470,
  [SMALL_STATE(1007)] = 55489,
  [SMALL_STATE(1008)] = 55502,
  [SMALL_STATE(1009)] = 55518,
  [SMALL_STATE(1010)] = 55534,
  [SMALL_STATE(1011)] = 55550,
  [SMALL_STATE(1012)] = 55564,
  [SMALL_STATE(1013)] = 55580,
  [SMALL_STATE(1014)] = 55596,
  [SMALL_STATE(1015)] = 55608,
  [SMALL_STATE(1016)] = 55624,
  [SMALL_STATE(1017)] = 55638,
  [SMALL_STATE(1018)] = 55654,
  [SMALL_STATE(1019)] = 55668,
  [SMALL_STATE(1020)] = 55682,
  [SMALL_STATE(1021)] = 55696,
  [SMALL_STATE(1022)] = 55710,
  [SMALL_STATE(1023)] = 55726,
  [SMALL_STATE(1024)] = 55740,
  [SMALL_STATE(1025)] = 55754,
  [SMALL_STATE(1026)] = 55770,
  [SMALL_STATE(1027)] = 55786,
  [SMALL_STATE(1028)] = 55802,
  [SMALL_STATE(1029)] = 55818,
  [SMALL_STATE(1030)] = 55834,
  [SMALL_STATE(1031)] = 55850,
  [SMALL_STATE(1032)] = 55866,
  [SMALL_STATE(1033)] = 55882,
  [SMALL_STATE(1034)] = 55898,
  [SMALL_STATE(1035)] = 55910,
  [SMALL_STATE(1036)] = 55926,
  [SMALL_STATE(1037)] = 55942,
  [SMALL_STATE(1038)] = 55956,
  [SMALL_STATE(1039)] = 55970,
  [SMALL_STATE(1040)] = 55982,
  [SMALL_STATE(1041)] = 55994,
  [SMALL_STATE(1042)] = 56008,
  [SMALL_STATE(1043)] = 56022,
  [SMALL_STATE(1044)] = 56034,
  [SMALL_STATE(1045)] = 56048,
  [SMALL_STATE(1046)] = 56062,
  [SMALL_STATE(1047)] = 56078,
  [SMALL_STATE(1048)] = 56094,
  [SMALL_STATE(1049)] = 56108,
  [SMALL_STATE(1050)] = 56122,
  [SMALL_STATE(1051)] = 56136,
  [SMALL_STATE(1052)] = 56152,
  [SMALL_STATE(1053)] = 56164,
  [SMALL_STATE(1054)] = 56180,
  [SMALL_STATE(1055)] = 56196,
  [SMALL_STATE(1056)] = 56212,
  [SMALL_STATE(1057)] = 56226,
  [SMALL_STATE(1058)] = 56242,
  [SMALL_STATE(1059)] = 56258,
  [SMALL_STATE(1060)] = 56274,
  [SMALL_STATE(1061)] = 56288,
  [SMALL_STATE(1062)] = 56304,
  [SMALL_STATE(1063)] = 56316,
  [SMALL_STATE(1064)] = 56332,
  [SMALL_STATE(1065)] = 56346,
  [SMALL_STATE(1066)] = 56358,
  [SMALL_STATE(1067)] = 56372,
  [SMALL_STATE(1068)] = 56388,
  [SMALL_STATE(1069)] = 56404,
  [SMALL_STATE(1070)] = 56418,
  [SMALL_STATE(1071)] = 56434,
  [SMALL_STATE(1072)] = 56450,
  [SMALL_STATE(1073)] = 56466,
  [SMALL_STATE(1074)] = 56480,
  [SMALL_STATE(1075)] = 56494,
  [SMALL_STATE(1076)] = 56510,
  [SMALL_STATE(1077)] = 56524,
  [SMALL_STATE(1078)] = 56540,
  [SMALL_STATE(1079)] = 56554,
  [SMALL_STATE(1080)] = 56570,
  [SMALL_STATE(1081)] = 56584,
  [SMALL_STATE(1082)] = 56598,
  [SMALL_STATE(1083)] = 56614,
  [SMALL_STATE(1084)] = 56630,
  [SMALL_STATE(1085)] = 56644,
  [SMALL_STATE(1086)] = 56660,
  [SMALL_STATE(1087)] = 56674,
  [SMALL_STATE(1088)] = 56686,
  [SMALL_STATE(1089)] = 56702,
  [SMALL_STATE(1090)] = 56718,
  [SMALL_STATE(1091)] = 56734,
  [SMALL_STATE(1092)] = 56750,
  [SMALL_STATE(1093)] = 56764,
  [SMALL_STATE(1094)] = 56780,
  [SMALL_STATE(1095)] = 56796,
  [SMALL_STATE(1096)] = 56810,
  [SMALL_STATE(1097)] = 56826,
  [SMALL_STATE(1098)] = 56842,
  [SMALL_STATE(1099)] = 56858,
  [SMALL_STATE(1100)] = 56874,
  [SMALL_STATE(1101)] = 56887,
  [SMALL_STATE(1102)] = 56900,
  [SMALL_STATE(1103)] = 56911,
  [SMALL_STATE(1104)] = 56922,
  [SMALL_STATE(1105)] = 56935,
  [SMALL_STATE(1106)] = 56948,
  [SMALL_STATE(1107)] = 56961,
  [SMALL_STATE(1108)] = 56974,
  [SMALL_STATE(1109)] = 56985,
  [SMALL_STATE(1110)] = 56998,
  [SMALL_STATE(1111)] = 57009,
  [SMALL_STATE(1112)] = 57018,
  [SMALL_STATE(1113)] = 57031,
  [SMALL_STATE(1114)] = 57044,
  [SMALL_STATE(1115)] = 57053,
  [SMALL_STATE(1116)] = 57066,
  [SMALL_STATE(1117)] = 57079,
  [SMALL_STATE(1118)] = 57090,
  [SMALL_STATE(1119)] = 57099,
  [SMALL_STATE(1120)] = 57112,
  [SMALL_STATE(1121)] = 57123,
  [SMALL_STATE(1122)] = 57136,
  [SMALL_STATE(1123)] = 57147,
  [SMALL_STATE(1124)] = 57160,
  [SMALL_STATE(1125)] = 57171,
  [SMALL_STATE(1126)] = 57184,
  [SMALL_STATE(1127)] = 57195,
  [SMALL_STATE(1128)] = 57208,
  [SMALL_STATE(1129)] = 57217,
  [SMALL_STATE(1130)] = 57228,
  [SMALL_STATE(1131)] = 57241,
  [SMALL_STATE(1132)] = 57254,
  [SMALL_STATE(1133)] = 57267,
  [SMALL_STATE(1134)] = 57278,
  [SMALL_STATE(1135)] = 57289,
  [SMALL_STATE(1136)] = 57300,
  [SMALL_STATE(1137)] = 57313,
  [SMALL_STATE(1138)] = 57326,
  [SMALL_STATE(1139)] = 57337,
  [SMALL_STATE(1140)] = 57348,
  [SMALL_STATE(1141)] = 57361,
  [SMALL_STATE(1142)] = 57374,
  [SMALL_STATE(1143)] = 57387,
  [SMALL_STATE(1144)] = 57398,
  [SMALL_STATE(1145)] = 57411,
  [SMALL_STATE(1146)] = 57424,
  [SMALL_STATE(1147)] = 57437,
  [SMALL_STATE(1148)] = 57450,
  [SMALL_STATE(1149)] = 57463,
  [SMALL_STATE(1150)] = 57476,
  [SMALL_STATE(1151)] = 57489,
  [SMALL_STATE(1152)] = 57500,
  [SMALL_STATE(1153)] = 57513,
  [SMALL_STATE(1154)] = 57526,
  [SMALL_STATE(1155)] = 57537,
  [SMALL_STATE(1156)] = 57550,
  [SMALL_STATE(1157)] = 57563,
  [SMALL_STATE(1158)] = 57574,
  [SMALL_STATE(1159)] = 57587,
  [SMALL_STATE(1160)] = 57600,
  [SMALL_STATE(1161)] = 57613,
  [SMALL_STATE(1162)] = 57626,
  [SMALL_STATE(1163)] = 57637,
  [SMALL_STATE(1164)] = 57646,
  [SMALL_STATE(1165)] = 57657,
  [SMALL_STATE(1166)] = 57668,
  [SMALL_STATE(1167)] = 57677,
  [SMALL_STATE(1168)] = 57688,
  [SMALL_STATE(1169)] = 57699,
  [SMALL_STATE(1170)] = 57710,
  [SMALL_STATE(1171)] = 57723,
  [SMALL_STATE(1172)] = 57734,
  [SMALL_STATE(1173)] = 57745,
  [SMALL_STATE(1174)] = 57758,
  [SMALL_STATE(1175)] = 57771,
  [SMALL_STATE(1176)] = 57784,
  [SMALL_STATE(1177)] = 57797,
  [SMALL_STATE(1178)] = 57810,
  [SMALL_STATE(1179)] = 57821,
  [SMALL_STATE(1180)] = 57832,
  [SMALL_STATE(1181)] = 57845,
  [SMALL_STATE(1182)] = 57858,
  [SMALL_STATE(1183)] = 57871,
  [SMALL_STATE(1184)] = 57882,
  [SMALL_STATE(1185)] = 57895,
  [SMALL_STATE(1186)] = 57908,
  [SMALL_STATE(1187)] = 57921,
  [SMALL_STATE(1188)] = 57932,
  [SMALL_STATE(1189)] = 57945,
  [SMALL_STATE(1190)] = 57956,
  [SMALL_STATE(1191)] = 57969,
  [SMALL_STATE(1192)] = 57982,
  [SMALL_STATE(1193)] = 57991,
  [SMALL_STATE(1194)] = 58004,
  [SMALL_STATE(1195)] = 58015,
  [SMALL_STATE(1196)] = 58028,
  [SMALL_STATE(1197)] = 58041,
  [SMALL_STATE(1198)] = 58054,
  [SMALL_STATE(1199)] = 58065,
  [SMALL_STATE(1200)] = 58078,
  [SMALL_STATE(1201)] = 58091,
  [SMALL_STATE(1202)] = 58104,
  [SMALL_STATE(1203)] = 58115,
  [SMALL_STATE(1204)] = 58126,
  [SMALL_STATE(1205)] = 58137,
  [SMALL_STATE(1206)] = 58146,
  [SMALL_STATE(1207)] = 58157,
  [SMALL_STATE(1208)] = 58168,
  [SMALL_STATE(1209)] = 58178,
  [SMALL_STATE(1210)] = 58188,
  [SMALL_STATE(1211)] = 58198,
  [SMALL_STATE(1212)] = 58208,
  [SMALL_STATE(1213)] = 58216,
  [SMALL_STATE(1214)] = 58226,
  [SMALL_STATE(1215)] = 58236,
  [SMALL_STATE(1216)] = 58244,
  [SMALL_STATE(1217)] = 58254,
  [SMALL_STATE(1218)] = 58264,
  [SMALL_STATE(1219)] = 58274,
  [SMALL_STATE(1220)] = 58282,
  [SMALL_STATE(1221)] = 58292,
  [SMALL_STATE(1222)] = 58302,
  [SMALL_STATE(1223)] = 58310,
  [SMALL_STATE(1224)] = 58320,
  [SMALL_STATE(1225)] = 58330,
  [SMALL_STATE(1226)] = 58338,
  [SMALL_STATE(1227)] = 58346,
  [SMALL_STATE(1228)] = 58356,
  [SMALL_STATE(1229)] = 58366,
  [SMALL_STATE(1230)] = 58376,
  [SMALL_STATE(1231)] = 58384,
  [SMALL_STATE(1232)] = 58394,
  [SMALL_STATE(1233)] = 58404,
  [SMALL_STATE(1234)] = 58412,
  [SMALL_STATE(1235)] = 58422,
  [SMALL_STATE(1236)] = 58432,
  [SMALL_STATE(1237)] = 58442,
  [SMALL_STATE(1238)] = 58452,
  [SMALL_STATE(1239)] = 58462,
  [SMALL_STATE(1240)] = 58472,
  [SMALL_STATE(1241)] = 58482,
  [SMALL_STATE(1242)] = 58490,
  [SMALL_STATE(1243)] = 58500,
  [SMALL_STATE(1244)] = 58510,
  [SMALL_STATE(1245)] = 58520,
  [SMALL_STATE(1246)] = 58530,
  [SMALL_STATE(1247)] = 58540,
  [SMALL_STATE(1248)] = 58550,
  [SMALL_STATE(1249)] = 58560,
  [SMALL_STATE(1250)] = 58570,
  [SMALL_STATE(1251)] = 58580,
  [SMALL_STATE(1252)] = 58590,
  [SMALL_STATE(1253)] = 58600,
  [SMALL_STATE(1254)] = 58610,
  [SMALL_STATE(1255)] = 58618,
  [SMALL_STATE(1256)] = 58628,
  [SMALL_STATE(1257)] = 58638,
  [SMALL_STATE(1258)] = 58648,
  [SMALL_STATE(1259)] = 58658,
  [SMALL_STATE(1260)] = 58668,
  [SMALL_STATE(1261)] = 58678,
  [SMALL_STATE(1262)] = 58688,
  [SMALL_STATE(1263)] = 58698,
  [SMALL_STATE(1264)] = 58708,
  [SMALL_STATE(1265)] = 58718,
  [SMALL_STATE(1266)] = 58728,
  [SMALL_STATE(1267)] = 58738,
  [SMALL_STATE(1268)] = 58748,
  [SMALL_STATE(1269)] = 58758,
  [SMALL_STATE(1270)] = 58768,
  [SMALL_STATE(1271)] = 58776,
  [SMALL_STATE(1272)] = 58784,
  [SMALL_STATE(1273)] = 58794,
  [SMALL_STATE(1274)] = 58804,
  [SMALL_STATE(1275)] = 58812,
  [SMALL_STATE(1276)] = 58822,
  [SMALL_STATE(1277)] = 58832,
  [SMALL_STATE(1278)] = 58842,
  [SMALL_STATE(1279)] = 58852,
  [SMALL_STATE(1280)] = 58860,
  [SMALL_STATE(1281)] = 58870,
  [SMALL_STATE(1282)] = 58880,
  [SMALL_STATE(1283)] = 58890,
  [SMALL_STATE(1284)] = 58900,
  [SMALL_STATE(1285)] = 58910,
  [SMALL_STATE(1286)] = 58920,
  [SMALL_STATE(1287)] = 58930,
  [SMALL_STATE(1288)] = 58940,
  [SMALL_STATE(1289)] = 58950,
  [SMALL_STATE(1290)] = 58960,
  [SMALL_STATE(1291)] = 58970,
  [SMALL_STATE(1292)] = 58980,
  [SMALL_STATE(1293)] = 58990,
  [SMALL_STATE(1294)] = 59000,
  [SMALL_STATE(1295)] = 59010,
  [SMALL_STATE(1296)] = 59018,
  [SMALL_STATE(1297)] = 59028,
  [SMALL_STATE(1298)] = 59038,
  [SMALL_STATE(1299)] = 59048,
  [SMALL_STATE(1300)] = 59056,
  [SMALL_STATE(1301)] = 59066,
  [SMALL_STATE(1302)] = 59076,
  [SMALL_STATE(1303)] = 59086,
  [SMALL_STATE(1304)] = 59096,
  [SMALL_STATE(1305)] = 59106,
  [SMALL_STATE(1306)] = 59113,
  [SMALL_STATE(1307)] = 59120,
  [SMALL_STATE(1308)] = 59127,
  [SMALL_STATE(1309)] = 59134,
  [SMALL_STATE(1310)] = 59141,
  [SMALL_STATE(1311)] = 59148,
  [SMALL_STATE(1312)] = 59155,
  [SMALL_STATE(1313)] = 59162,
  [SMALL_STATE(1314)] = 59169,
  [SMALL_STATE(1315)] = 59176,
  [SMALL_STATE(1316)] = 59183,
  [SMALL_STATE(1317)] = 59190,
  [SMALL_STATE(1318)] = 59197,
  [SMALL_STATE(1319)] = 59204,
  [SMALL_STATE(1320)] = 59211,
  [SMALL_STATE(1321)] = 59218,
  [SMALL_STATE(1322)] = 59225,
  [SMALL_STATE(1323)] = 59232,
  [SMALL_STATE(1324)] = 59239,
  [SMALL_STATE(1325)] = 59246,
  [SMALL_STATE(1326)] = 59253,
  [SMALL_STATE(1327)] = 59260,
  [SMALL_STATE(1328)] = 59267,
  [SMALL_STATE(1329)] = 59274,
  [SMALL_STATE(1330)] = 59281,
  [SMALL_STATE(1331)] = 59288,
  [SMALL_STATE(1332)] = 59295,
  [SMALL_STATE(1333)] = 59302,
  [SMALL_STATE(1334)] = 59309,
  [SMALL_STATE(1335)] = 59316,
  [SMALL_STATE(1336)] = 59323,
  [SMALL_STATE(1337)] = 59330,
  [SMALL_STATE(1338)] = 59337,
  [SMALL_STATE(1339)] = 59344,
  [SMALL_STATE(1340)] = 59351,
  [SMALL_STATE(1341)] = 59358,
  [SMALL_STATE(1342)] = 59365,
  [SMALL_STATE(1343)] = 59372,
  [SMALL_STATE(1344)] = 59379,
  [SMALL_STATE(1345)] = 59386,
  [SMALL_STATE(1346)] = 59393,
  [SMALL_STATE(1347)] = 59400,
  [SMALL_STATE(1348)] = 59407,
  [SMALL_STATE(1349)] = 59414,
  [SMALL_STATE(1350)] = 59421,
  [SMALL_STATE(1351)] = 59428,
  [SMALL_STATE(1352)] = 59435,
  [SMALL_STATE(1353)] = 59442,
  [SMALL_STATE(1354)] = 59449,
  [SMALL_STATE(1355)] = 59456,
  [SMALL_STATE(1356)] = 59463,
  [SMALL_STATE(1357)] = 59470,
  [SMALL_STATE(1358)] = 59477,
  [SMALL_STATE(1359)] = 59484,
  [SMALL_STATE(1360)] = 59491,
  [SMALL_STATE(1361)] = 59498,
  [SMALL_STATE(1362)] = 59505,
  [SMALL_STATE(1363)] = 59512,
  [SMALL_STATE(1364)] = 59519,
  [SMALL_STATE(1365)] = 59526,
  [SMALL_STATE(1366)] = 59533,
  [SMALL_STATE(1367)] = 59540,
  [SMALL_STATE(1368)] = 59547,
  [SMALL_STATE(1369)] = 59554,
  [SMALL_STATE(1370)] = 59561,
  [SMALL_STATE(1371)] = 59568,
  [SMALL_STATE(1372)] = 59575,
  [SMALL_STATE(1373)] = 59582,
  [SMALL_STATE(1374)] = 59589,
  [SMALL_STATE(1375)] = 59596,
  [SMALL_STATE(1376)] = 59603,
  [SMALL_STATE(1377)] = 59610,
};

static const TSParseActionEntry ts_parse_actions[] = {
  [0] = {.entry = {.count = 0, .reusable = false}},
  [1] = {.entry = {.count = 1, .reusable = false}}, RECOVER(),
  [3] = {.entry = {.count = 1, .reusable = true}}, SHIFT_EXTRA(),
  [5] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_source_file, 0),
  [7] = {.entry = {.count = 1, .reusable = false}}, SHIFT(236),
  [9] = {.entry = {.count = 1, .reusable = true}}, SHIFT(976),
  [11] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1363),
  [13] = {.entry = {.count = 1, .reusable = false}}, SHIFT(820),
  [15] = {.entry = {.count = 1, .reusable = true}}, SHIFT(157),
  [17] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1104),
  [19] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1106),
  [21] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1107),
  [23] = {.entry = {.count = 1, .reusable = true}}, SHIFT(58),
  [25] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1095),
  [27] = {.entry = {.count = 1, .reusable = true}}, SHIFT(199),
  [29] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1235),
  [31] = {.entry = {.count = 1, .reusable = true}}, SHIFT(708),
  [33] = {.entry = {.count = 1, .reusable = true}}, SHIFT(15),
  [35] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1350),
  [37] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1346),
  [39] = {.entry = {.count = 1, .reusable = false}}, SHIFT(710),
  [41] = {.entry = {.count = 1, .reusable = true}}, SHIFT(230),
  [43] = {.entry = {.count = 1, .reusable = false}}, SHIFT(955),
  [45] = {.entry = {.count = 1, .reusable = false}}, SHIFT(884),
  [47] = {.entry = {.count = 1, .reusable = false}}, SHIFT(885),
  [49] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1336),
  [51] = {.entry = {.count = 1, .reusable = false}}, SHIFT(30),
  [53] = {.entry = {.count = 1, .reusable = false}}, SHIFT(193),
  [55] = {.entry = {.count = 1, .reusable = false}}, SHIFT(176),
  [57] = {.entry = {.count = 1, .reusable = false}}, SHIFT(27),
  [59] = {.entry = {.count = 1, .reusable = false}}, SHIFT(21),
  [61] = {.entry = {.count = 1, .reusable = false}}, SHIFT(22),
  [63] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1335),
  [65] = {.entry = {.count = 1, .reusable = false}}, SHIFT(250),
  [67] = {.entry = {.count = 1, .reusable = true}}, SHIFT(149),
  [69] = {.entry = {.count = 1, .reusable = true}}, SHIFT(257),
  [71] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1081),
  [73] = {.entry = {.count = 1, .reusable = false}}, SHIFT(257),
  [75] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_source_file, 1),
  [77] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_source_file_repeat1, 2),
  [79] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_source_file_repeat1, 2), SHIFT_REPEAT(236),
  [82] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_source_file_repeat1, 2), SHIFT_REPEAT(976),
  [85] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_source_file_repeat1, 2), SHIFT_REPEAT(1351),
  [88] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_source_file_repeat1, 2), SHIFT_REPEAT(818),
  [91] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_source_file_repeat1, 2), SHIFT_REPEAT(157),
  [94] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_source_file_repeat1, 2), SHIFT_REPEAT(1104),
  [97] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_source_file_repeat1, 2), SHIFT_REPEAT(1106),
  [100] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_source_file_repeat1, 2), SHIFT_REPEAT(1101),
  [103] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_source_file_repeat1, 2), SHIFT_REPEAT(58),
  [106] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_source_file_repeat1, 2), SHIFT_REPEAT(1095),
  [109] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_source_file_repeat1, 2), SHIFT_REPEAT(199),
  [112] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_source_file_repeat1, 2), SHIFT_REPEAT(1235),
  [115] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_source_file_repeat1, 2), SHIFT_REPEAT(708),
  [118] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_source_file_repeat1, 2), SHIFT_REPEAT(15),
  [121] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_source_file_repeat1, 2), SHIFT_REPEAT(1350),
  [124] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_source_file_repeat1, 2), SHIFT_REPEAT(1346),
  [127] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_source_file_repeat1, 2), SHIFT_REPEAT(710),
  [130] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_source_file_repeat1, 2), SHIFT_REPEAT(230),
  [133] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_source_file_repeat1, 2), SHIFT_REPEAT(955),
  [136] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_source_file_repeat1, 2), SHIFT_REPEAT(884),
  [139] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_source_file_repeat1, 2), SHIFT_REPEAT(885),
  [142] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_source_file_repeat1, 2), SHIFT_REPEAT(1336),
  [145] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_source_file_repeat1, 2), SHIFT_REPEAT(30),
  [148] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_source_file_repeat1, 2), SHIFT_REPEAT(193),
  [151] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_source_file_repeat1, 2), SHIFT_REPEAT(176),
  [154] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_source_file_repeat1, 2), SHIFT_REPEAT(27),
  [157] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_source_file_repeat1, 2), SHIFT_REPEAT(21),
  [160] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_source_file_repeat1, 2), SHIFT_REPEAT(22),
  [163] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_source_file_repeat1, 2), SHIFT_REPEAT(1335),
  [166] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_source_file_repeat1, 2), SHIFT_REPEAT(250),
  [169] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_source_file_repeat1, 2), SHIFT_REPEAT(149),
  [172] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_source_file_repeat1, 2), SHIFT_REPEAT(257),
  [175] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_source_file_repeat1, 2), SHIFT_REPEAT(1081),
  [178] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_source_file_repeat1, 2), SHIFT_REPEAT(257),
  [181] = {.entry = {.count = 1, .reusable = false}}, SHIFT(237),
  [183] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1297),
  [185] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_expression_case, 3, .production_id = 7),
  [187] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_expression_case, 3, .production_id = 7),
  [189] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_communication_case, 3, .production_id = 88),
  [191] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_communication_case, 3, .production_id = 88),
  [193] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_default_case, 2),
  [195] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_default_case, 2),
  [197] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_type_case, 4, .production_id = 101),
  [199] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_type_case, 4, .production_id = 101),
  [201] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_type_case, 3, .production_id = 40),
  [203] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_type_case, 3, .production_id = 40),
  [205] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__statement_list, 2),
  [207] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym__statement_list, 2),
  [209] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__statement_list, 3),
  [211] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym__statement_list, 3),
  [213] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_empty_labeled_statement, 2, .production_id = 26),
  [215] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_empty_labeled_statement, 2, .production_id = 26),
  [217] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1120),
  [219] = {.entry = {.count = 1, .reusable = true}}, SHIFT(324),
  [221] = {.entry = {.count = 1, .reusable = true}}, SHIFT(388),
  [223] = {.entry = {.count = 1, .reusable = true}}, SHIFT(251),
  [225] = {.entry = {.count = 1, .reusable = true}}, SHIFT(576),
  [227] = {.entry = {.count = 1, .reusable = true}}, SHIFT(519),
  [229] = {.entry = {.count = 1, .reusable = true}}, SHIFT(359),
  [231] = {.entry = {.count = 1, .reusable = false}}, SHIFT(285),
  [233] = {.entry = {.count = 1, .reusable = true}}, SHIFT(104),
  [235] = {.entry = {.count = 1, .reusable = true}}, SHIFT(201),
  [237] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1260),
  [239] = {.entry = {.count = 1, .reusable = true}}, SHIFT(189),
  [241] = {.entry = {.count = 1, .reusable = true}}, SHIFT(192),
  [243] = {.entry = {.count = 1, .reusable = false}}, SHIFT(165),
  [245] = {.entry = {.count = 1, .reusable = false}}, SHIFT(293),
  [247] = {.entry = {.count = 1, .reusable = true}}, SHIFT(196),
  [249] = {.entry = {.count = 1, .reusable = true}}, SHIFT(306),
  [251] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1016),
  [253] = {.entry = {.count = 1, .reusable = false}}, SHIFT(306),
  [255] = {.entry = {.count = 1, .reusable = true}}, SHIFT(936),
  [257] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_for_clause, 4, .production_id = 86),
  [259] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_for_clause, 2),
  [261] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_for_clause, 3, .production_id = 57),
  [263] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_for_clause, 3, .production_id = 56),
  [265] = {.entry = {.count = 1, .reusable = false}}, SHIFT(380),
  [267] = {.entry = {.count = 1, .reusable = true}}, SHIFT(202),
  [269] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1317),
  [271] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1290),
  [273] = {.entry = {.count = 1, .reusable = true}}, SHIFT(172),
  [275] = {.entry = {.count = 1, .reusable = true}}, SHIFT(28),
  [277] = {.entry = {.count = 1, .reusable = true}}, SHIFT(401),
  [279] = {.entry = {.count = 1, .reusable = true}}, SHIFT(170),
  [281] = {.entry = {.count = 1, .reusable = false}}, SHIFT(377),
  [283] = {.entry = {.count = 1, .reusable = true}}, SHIFT(177),
  [285] = {.entry = {.count = 1, .reusable = true}}, SHIFT(394),
  [287] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1073),
  [289] = {.entry = {.count = 1, .reusable = false}}, SHIFT(394),
  [291] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1365),
  [293] = {.entry = {.count = 1, .reusable = true}}, SHIFT(366),
  [295] = {.entry = {.count = 1, .reusable = false}}, SHIFT(429),
  [297] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_return_statement, 1),
  [299] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_return_statement, 1),
  [301] = {.entry = {.count = 1, .reusable = false}}, SHIFT(195),
  [303] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1276),
  [305] = {.entry = {.count = 1, .reusable = false}}, SHIFT(58),
  [307] = {.entry = {.count = 1, .reusable = false}}, SHIFT(147),
  [309] = {.entry = {.count = 1, .reusable = false}}, SHIFT(708),
  [311] = {.entry = {.count = 1, .reusable = false}}, SHIFT(148),
  [313] = {.entry = {.count = 1, .reusable = false}}, SHIFT(457),
  [315] = {.entry = {.count = 1, .reusable = false}}, SHIFT(217),
  [317] = {.entry = {.count = 1, .reusable = false}}, SHIFT(522),
  [319] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1011),
  [321] = {.entry = {.count = 1, .reusable = false}}, SHIFT_EXTRA(),
  [323] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1328),
  [325] = {.entry = {.count = 1, .reusable = true}}, SHIFT(568),
  [327] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1306),
  [329] = {.entry = {.count = 1, .reusable = true}}, SHIFT(281),
  [331] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1349),
  [333] = {.entry = {.count = 1, .reusable = true}}, SHIFT(326),
  [335] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1305),
  [337] = {.entry = {.count = 1, .reusable = true}}, SHIFT(507),
  [339] = {.entry = {.count = 1, .reusable = true}}, SHIFT(303),
  [341] = {.entry = {.count = 1, .reusable = true}}, SHIFT(339),
  [343] = {.entry = {.count = 1, .reusable = true}}, SHIFT(268),
  [345] = {.entry = {.count = 1, .reusable = true}}, SHIFT(528),
  [347] = {.entry = {.count = 1, .reusable = true}}, SHIFT(311),
  [349] = {.entry = {.count = 1, .reusable = true}}, SHIFT(284),
  [351] = {.entry = {.count = 1, .reusable = true}}, SHIFT(490),
  [353] = {.entry = {.count = 1, .reusable = true}}, SHIFT(411),
  [355] = {.entry = {.count = 1, .reusable = true}}, SHIFT(410),
  [357] = {.entry = {.count = 1, .reusable = true}}, SHIFT(342),
  [359] = {.entry = {.count = 1, .reusable = true}}, SHIFT(542),
  [361] = {.entry = {.count = 1, .reusable = true}}, SHIFT(536),
  [363] = {.entry = {.count = 1, .reusable = false}}, SHIFT(448),
  [365] = {.entry = {.count = 1, .reusable = true}}, SHIFT(171),
  [367] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1231),
  [369] = {.entry = {.count = 1, .reusable = true}}, SHIFT(204),
  [371] = {.entry = {.count = 1, .reusable = true}}, SHIFT(234),
  [373] = {.entry = {.count = 1, .reusable = false}}, SHIFT(489),
  [375] = {.entry = {.count = 1, .reusable = true}}, SHIFT(205),
  [377] = {.entry = {.count = 1, .reusable = true}}, SHIFT(582),
  [379] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1041),
  [381] = {.entry = {.count = 1, .reusable = false}}, SHIFT(582),
  [383] = {.entry = {.count = 1, .reusable = false}}, SHIFT(483),
  [385] = {.entry = {.count = 1, .reusable = true}}, SHIFT(308),
  [387] = {.entry = {.count = 1, .reusable = true}}, SHIFT(208),
  [389] = {.entry = {.count = 1, .reusable = true}}, SHIFT(223),
  [391] = {.entry = {.count = 1, .reusable = true}}, SHIFT(161),
  [393] = {.entry = {.count = 1, .reusable = true}}, SHIFT(361),
  [395] = {.entry = {.count = 1, .reusable = true}}, SHIFT(488),
  [397] = {.entry = {.count = 1, .reusable = true}}, SHIFT(264),
  [399] = {.entry = {.count = 1, .reusable = true}}, SHIFT(521),
  [401] = {.entry = {.count = 1, .reusable = false}}, SHIFT(135),
  [403] = {.entry = {.count = 1, .reusable = true}}, SHIFT(562),
  [405] = {.entry = {.count = 1, .reusable = true}}, SHIFT(700),
  [407] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1337),
  [409] = {.entry = {.count = 1, .reusable = true}}, SHIFT(322),
  [411] = {.entry = {.count = 1, .reusable = true}}, SHIFT(539),
  [413] = {.entry = {.count = 1, .reusable = true}}, SHIFT(505),
  [415] = {.entry = {.count = 1, .reusable = true}}, SHIFT(283),
  [417] = {.entry = {.count = 1, .reusable = true}}, SHIFT(383),
  [419] = {.entry = {.count = 1, .reusable = true}}, SHIFT(302),
  [421] = {.entry = {.count = 1, .reusable = false}}, SHIFT(235),
  [423] = {.entry = {.count = 1, .reusable = true}}, SHIFT(653),
  [425] = {.entry = {.count = 1, .reusable = true}}, SHIFT(225),
  [427] = {.entry = {.count = 1, .reusable = true}}, SHIFT(558),
  [429] = {.entry = {.count = 1, .reusable = true}}, SHIFT(363),
  [431] = {.entry = {.count = 1, .reusable = true}}, SHIFT(271),
  [433] = {.entry = {.count = 1, .reusable = true}}, SHIFT(405),
  [435] = {.entry = {.count = 1, .reusable = false}}, SHIFT(581),
  [437] = {.entry = {.count = 1, .reusable = true}}, SHIFT(226),
  [439] = {.entry = {.count = 1, .reusable = true}}, SHIFT(882),
  [441] = {.entry = {.count = 1, .reusable = true}}, SHIFT(213),
  [443] = {.entry = {.count = 1, .reusable = true}}, SHIFT(186),
  [445] = {.entry = {.count = 1, .reusable = true}}, SHIFT(414),
  [447] = {.entry = {.count = 1, .reusable = true}}, SHIFT(357),
  [449] = {.entry = {.count = 1, .reusable = true}}, SHIFT(689),
  [451] = {.entry = {.count = 1, .reusable = true}}, SHIFT(305),
  [453] = {.entry = {.count = 1, .reusable = true}}, SHIFT(259),
  [455] = {.entry = {.count = 1, .reusable = true}}, SHIFT(195),
  [457] = {.entry = {.count = 1, .reusable = true}}, SHIFT(147),
  [459] = {.entry = {.count = 1, .reusable = true}}, SHIFT(148),
  [461] = {.entry = {.count = 1, .reusable = true}}, SHIFT(217),
  [463] = {.entry = {.count = 1, .reusable = true}}, SHIFT(522),
  [465] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1011),
  [467] = {.entry = {.count = 1, .reusable = false}}, SHIFT(501),
  [469] = {.entry = {.count = 1, .reusable = true}}, SHIFT(409),
  [471] = {.entry = {.count = 1, .reusable = true}}, SHIFT(369),
  [473] = {.entry = {.count = 1, .reusable = true}}, SHIFT(368),
  [475] = {.entry = {.count = 1, .reusable = true}}, SHIFT(743),
  [477] = {.entry = {.count = 1, .reusable = true}}, SHIFT(255),
  [479] = {.entry = {.count = 1, .reusable = true}}, SHIFT(337),
  [481] = {.entry = {.count = 1, .reusable = true}}, SHIFT(345),
  [483] = {.entry = {.count = 1, .reusable = true}}, SHIFT(109),
  [485] = {.entry = {.count = 1, .reusable = true}}, SHIFT(273),
  [487] = {.entry = {.count = 1, .reusable = true}}, SHIFT(416),
  [489] = {.entry = {.count = 1, .reusable = true}}, SHIFT(262),
  [491] = {.entry = {.count = 1, .reusable = true}}, SHIFT(682),
  [493] = {.entry = {.count = 1, .reusable = true}}, SHIFT(417),
  [495] = {.entry = {.count = 1, .reusable = true}}, SHIFT(85),
  [497] = {.entry = {.count = 1, .reusable = true}}, SHIFT(304),
  [499] = {.entry = {.count = 1, .reusable = true}}, SHIFT(102),
  [501] = {.entry = {.count = 1, .reusable = true}}, SHIFT(407),
  [503] = {.entry = {.count = 1, .reusable = true}}, SHIFT(24),
  [505] = {.entry = {.count = 1, .reusable = true}}, SHIFT(312),
  [507] = {.entry = {.count = 1, .reusable = true}}, SHIFT(313),
  [509] = {.entry = {.count = 1, .reusable = true}}, SHIFT(548),
  [511] = {.entry = {.count = 1, .reusable = true}}, SHIFT(487),
  [513] = {.entry = {.count = 1, .reusable = true}}, SHIFT(527),
  [515] = {.entry = {.count = 1, .reusable = true}}, SHIFT(545),
  [517] = {.entry = {.count = 1, .reusable = true}}, SHIFT(537),
  [519] = {.entry = {.count = 1, .reusable = true}}, SHIFT(729),
  [521] = {.entry = {.count = 1, .reusable = true}}, SHIFT(112),
  [523] = {.entry = {.count = 1, .reusable = true}}, SHIFT(591),
  [525] = {.entry = {.count = 1, .reusable = true}}, SHIFT(111),
  [527] = {.entry = {.count = 1, .reusable = true}}, SHIFT(511),
  [529] = {.entry = {.count = 1, .reusable = true}}, SHIFT(87),
  [531] = {.entry = {.count = 1, .reusable = true}}, SHIFT(25),
  [533] = {.entry = {.count = 1, .reusable = true}}, SHIFT(504),
  [535] = {.entry = {.count = 1, .reusable = false}}, SHIFT(328),
  [537] = {.entry = {.count = 1, .reusable = true}}, SHIFT(207),
  [539] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1249),
  [541] = {.entry = {.count = 1, .reusable = true}}, SHIFT(131),
  [543] = {.entry = {.count = 1, .reusable = true}}, SHIFT(227),
  [545] = {.entry = {.count = 1, .reusable = false}}, SHIFT(336),
  [547] = {.entry = {.count = 1, .reusable = true}}, SHIFT(137),
  [549] = {.entry = {.count = 1, .reusable = true}}, SHIFT(372),
  [551] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1084),
  [553] = {.entry = {.count = 1, .reusable = false}}, SHIFT(372),
  [555] = {.entry = {.count = 1, .reusable = false}}, SHIFT(239),
  [557] = {.entry = {.count = 1, .reusable = false}}, SHIFT(695),
  [559] = {.entry = {.count = 1, .reusable = true}}, SHIFT(228),
  [561] = {.entry = {.count = 1, .reusable = false}}, SHIFT(791),
  [563] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym__expression, 1), SHIFT(1320),
  [566] = {.entry = {.count = 3, .reusable = true}}, REDUCE(sym__simple_type, 1, .dynamic_precedence = -1, .production_id = 1), REDUCE(sym__expression, 1), SHIFT(635),
  [570] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym__simple_type, 1, .dynamic_precedence = -1, .production_id = 1), SHIFT(1366),
  [573] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1248),
  [575] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym__expression, 1), SHIFT(116),
  [578] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym__simple_type, 1, .dynamic_precedence = -1, .production_id = 1), REDUCE(sym__expression, 1),
  [581] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym__expression, 1), SHIFT(739),
  [584] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym__simple_type, 1, .dynamic_precedence = -1, .production_id = 1), REDUCE(sym__expression, 1),
  [587] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1314),
  [589] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__expression, 1),
  [591] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym__expression, 1),
  [593] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym__expression, 1), SHIFT(1320),
  [596] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym__expression, 1), SHIFT(725),
  [599] = {.entry = {.count = 1, .reusable = false}}, SHIFT(32),
  [601] = {.entry = {.count = 1, .reusable = false}}, SHIFT(19),
  [603] = {.entry = {.count = 1, .reusable = false}}, SHIFT(11),
  [605] = {.entry = {.count = 1, .reusable = false}}, REDUCE(aux_sym_source_file_repeat1, 2),
  [607] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_expression_statement, 1),
  [609] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_expression_statement, 1),
  [611] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1236),
  [613] = {.entry = {.count = 1, .reusable = false}}, SHIFT(53),
  [615] = {.entry = {.count = 1, .reusable = false}}, SHIFT(136),
  [617] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_expression_list, 1),
  [619] = {.entry = {.count = 1, .reusable = false}}, SHIFT(124),
  [621] = {.entry = {.count = 1, .reusable = false}}, SHIFT(138),
  [623] = {.entry = {.count = 1, .reusable = false}}, SHIFT(139),
  [625] = {.entry = {.count = 1, .reusable = false}}, SHIFT(140),
  [627] = {.entry = {.count = 1, .reusable = false}}, SHIFT(991),
  [629] = {.entry = {.count = 1, .reusable = false}}, SHIFT(990),
  [631] = {.entry = {.count = 1, .reusable = false}}, SHIFT(143),
  [633] = {.entry = {.count = 1, .reusable = false}}, SHIFT(144),
  [635] = {.entry = {.count = 1, .reusable = false}}, SHIFT(145),
  [637] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_binary_expression, 3, .production_id = 33),
  [639] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_binary_expression, 3, .production_id = 33),
  [641] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_unary_expression, 2, .production_id = 6),
  [643] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_unary_expression, 2, .production_id = 6),
  [645] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_interpreted_string_literal, 2),
  [647] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_interpreted_string_literal, 2),
  [649] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1261),
  [651] = {.entry = {.count = 1, .reusable = true}}, SHIFT(59),
  [653] = {.entry = {.count = 1, .reusable = true}}, SHIFT(136),
  [655] = {.entry = {.count = 1, .reusable = true}}, SHIFT(86),
  [657] = {.entry = {.count = 1, .reusable = false}}, SHIFT(175),
  [659] = {.entry = {.count = 1, .reusable = false}}, SHIFT(169),
  [661] = {.entry = {.count = 1, .reusable = true}}, SHIFT(142),
  [663] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_expression_list, 1),
  [665] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1225),
  [667] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1215),
  [669] = {.entry = {.count = 1, .reusable = true}}, SHIFT(167),
  [671] = {.entry = {.count = 1, .reusable = false}}, SHIFT(167),
  [673] = {.entry = {.count = 1, .reusable = true}}, SHIFT(164),
  [675] = {.entry = {.count = 1, .reusable = true}}, SHIFT(162),
  [677] = {.entry = {.count = 1, .reusable = false}}, SHIFT(735),
  [679] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_block, 2),
  [681] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_block, 2),
  [683] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_block, 3),
  [685] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_block, 3),
  [687] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_interpreted_string_literal, 3),
  [689] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_interpreted_string_literal, 3),
  [691] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_literal_value, 3),
  [693] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_literal_value, 3),
  [695] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_special_argument_list, 4),
  [697] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_special_argument_list, 4),
  [699] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_composite_literal, 2, .production_id = 13),
  [701] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_composite_literal, 2, .production_id = 13),
  [703] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_index_expression, 4, .production_id = 62),
  [705] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_index_expression, 4, .production_id = 62),
  [707] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_slice_expression, 5, .production_id = 91),
  [709] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_slice_expression, 5, .production_id = 91),
  [711] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_slice_expression, 5, .production_id = 90),
  [713] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_slice_expression, 5, .production_id = 90),
  [715] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_func_literal, 3, .production_id = 22),
  [717] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_func_literal, 3, .production_id = 22),
  [719] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_special_argument_list, 5),
  [721] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_special_argument_list, 5),
  [723] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_selector_expression, 3, .production_id = 35),
  [725] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_selector_expression, 3, .production_id = 35),
  [727] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_argument_list, 2),
  [729] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_argument_list, 2),
  [731] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_composite_literal, 2, .production_id = 12),
  [733] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_composite_literal, 2, .production_id = 12),
  [735] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_special_argument_list, 3),
  [737] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_special_argument_list, 3),
  [739] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_call_expression, 2, .production_id = 10),
  [741] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_call_expression, 2, .production_id = 10),
  [743] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_literal_value, 4),
  [745] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_literal_value, 4),
  [747] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1232),
  [749] = {.entry = {.count = 1, .reusable = true}}, SHIFT(925),
  [751] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_parenthesized_expression, 3),
  [753] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_parenthesized_expression, 3),
  [755] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_argument_list, 4),
  [757] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_argument_list, 4),
  [759] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_call_expression, 3, .production_id = 37),
  [761] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_call_expression, 3, .production_id = 37),
  [763] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_slice_expression, 4, .production_id = 61),
  [765] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_slice_expression, 4, .production_id = 61),
  [767] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_argument_list, 3),
  [769] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_argument_list, 3),
  [771] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_func_literal, 4, .production_id = 45),
  [773] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_func_literal, 4, .production_id = 45),
  [775] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_type_conversion_expression, 4, .dynamic_precedence = -1, .production_id = 60),
  [777] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_type_conversion_expression, 4, .dynamic_precedence = -1, .production_id = 60),
  [779] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_slice_expression, 8, .production_id = 105),
  [781] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_slice_expression, 8, .production_id = 105),
  [783] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_slice_expression, 7, .production_id = 102),
  [785] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_slice_expression, 7, .production_id = 102),
  [787] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_slice_expression, 6, .production_id = 99),
  [789] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_slice_expression, 6, .production_id = 99),
  [791] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_type_assertion_expression, 5, .production_id = 89),
  [793] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_type_assertion_expression, 5, .production_id = 89),
  [795] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_literal_value, 2),
  [797] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_literal_value, 2),
  [799] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_type_conversion_expression, 5, .dynamic_precedence = -1, .production_id = 60),
  [801] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_type_conversion_expression, 5, .dynamic_precedence = -1, .production_id = 60),
  [803] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_argument_list, 5),
  [805] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_argument_list, 5),
  [807] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_literal_value, 5),
  [809] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_literal_value, 5),
  [811] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym__expression, 1), SHIFT(725),
  [814] = {.entry = {.count = 1, .reusable = true}}, SHIFT(211),
  [816] = {.entry = {.count = 1, .reusable = true}}, SHIFT(651),
  [818] = {.entry = {.count = 1, .reusable = true}}, SHIFT(29),
  [820] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1216),
  [822] = {.entry = {.count = 1, .reusable = true}}, SHIFT(67),
  [824] = {.entry = {.count = 1, .reusable = true}}, SHIFT(94),
  [826] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_expression_list_repeat1, 2),
  [828] = {.entry = {.count = 1, .reusable = false}}, REDUCE(aux_sym_expression_list_repeat1, 2),
  [830] = {.entry = {.count = 1, .reusable = false}}, SHIFT(150),
  [832] = {.entry = {.count = 1, .reusable = false}}, SHIFT(156),
  [834] = {.entry = {.count = 1, .reusable = true}}, SHIFT(158),
  [836] = {.entry = {.count = 1, .reusable = false}}, SHIFT(158),
  [838] = {.entry = {.count = 1, .reusable = true}}, SHIFT(160),
  [840] = {.entry = {.count = 1, .reusable = true}}, SHIFT(163),
  [842] = {.entry = {.count = 1, .reusable = true}}, SHIFT(673),
  [844] = {.entry = {.count = 1, .reusable = false}}, SHIFT(777),
  [846] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_function_type, 2, .production_id = 5),
  [848] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_function_type, 2, .production_id = 5),
  [850] = {.entry = {.count = 1, .reusable = false}}, SHIFT(440),
  [852] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1277),
  [854] = {.entry = {.count = 1, .reusable = false}}, SHIFT(103),
  [856] = {.entry = {.count = 1, .reusable = false}}, SHIFT(637),
  [858] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1245),
  [860] = {.entry = {.count = 1, .reusable = false}}, SHIFT(750),
  [862] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1309),
  [864] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1340),
  [866] = {.entry = {.count = 1, .reusable = false}}, SHIFT(660),
  [868] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1324),
  [870] = {.entry = {.count = 1, .reusable = false}}, SHIFT(778),
  [872] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1281),
  [874] = {.entry = {.count = 1, .reusable = false}}, SHIFT(117),
  [876] = {.entry = {.count = 1, .reusable = false}}, SHIFT(731),
  [878] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1375),
  [880] = {.entry = {.count = 1, .reusable = false}}, SHIFT(724),
  [882] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1323),
  [884] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_field_declaration, 1, .production_id = 25),
  [886] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_field_declaration, 1, .production_id = 25),
  [888] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1342),
  [890] = {.entry = {.count = 1, .reusable = false}}, SHIFT(741),
  [892] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1334),
  [894] = {.entry = {.count = 1, .reusable = false}}, SHIFT(78),
  [896] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym__simple_type, 1, .dynamic_precedence = -1, .production_id = 1),
  [898] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1207),
  [900] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1081),
  [902] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1272),
  [904] = {.entry = {.count = 1, .reusable = true}}, SHIFT(69),
  [906] = {.entry = {.count = 1, .reusable = true}}, SHIFT(100),
  [908] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_const_spec, 2, .production_id = 17),
  [910] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_const_spec, 2, .production_id = 17),
  [912] = {.entry = {.count = 1, .reusable = false}}, SHIFT(635),
  [914] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1372),
  [916] = {.entry = {.count = 1, .reusable = false}}, SHIFT(97),
  [918] = {.entry = {.count = 1, .reusable = false}}, SHIFT(105),
  [920] = {.entry = {.count = 1, .reusable = false}}, SHIFT(739),
  [922] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1314),
  [924] = {.entry = {.count = 1, .reusable = true}}, SHIFT(677),
  [926] = {.entry = {.count = 1, .reusable = false}}, SHIFT(809),
  [928] = {.entry = {.count = 1, .reusable = true}}, SHIFT(433),
  [930] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1242),
  [932] = {.entry = {.count = 1, .reusable = true}}, SHIFT(82),
  [934] = {.entry = {.count = 1, .reusable = true}}, SHIFT(709),
  [936] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1364),
  [938] = {.entry = {.count = 1, .reusable = false}}, SHIFT(749),
  [940] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1354),
  [942] = {.entry = {.count = 1, .reusable = true}}, SHIFT(105),
  [944] = {.entry = {.count = 1, .reusable = true}}, SHIFT(739),
  [946] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_const_spec, 1, .production_id = 4),
  [948] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_const_spec, 1, .production_id = 4),
  [950] = {.entry = {.count = 1, .reusable = false}}, SHIFT(110),
  [952] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14),
  [954] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1320),
  [956] = {.entry = {.count = 1, .reusable = true}}, SHIFT(635),
  [958] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__simple_type, 1, .dynamic_precedence = -1, .production_id = 1),
  [960] = {.entry = {.count = 1, .reusable = true}}, SHIFT(116),
  [962] = {.entry = {.count = 1, .reusable = true}}, SHIFT(707),
  [964] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1320),
  [966] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1272),
  [968] = {.entry = {.count = 1, .reusable = true}}, SHIFT(179),
  [970] = {.entry = {.count = 1, .reusable = false}}, SHIFT(187),
  [972] = {.entry = {.count = 1, .reusable = true}}, SHIFT(187),
  [974] = {.entry = {.count = 1, .reusable = false}}, SHIFT(179),
  [976] = {.entry = {.count = 1, .reusable = true}}, SHIFT(188),
  [978] = {.entry = {.count = 1, .reusable = false}}, SHIFT(188),
  [980] = {.entry = {.count = 1, .reusable = true}}, SHIFT(190),
  [982] = {.entry = {.count = 1, .reusable = false}}, SHIFT(862),
  [984] = {.entry = {.count = 1, .reusable = false}}, SHIFT(450),
  [986] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1294),
  [988] = {.entry = {.count = 1, .reusable = false}}, SHIFT(92),
  [990] = {.entry = {.count = 1, .reusable = false}}, SHIFT(681),
  [992] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1301),
  [994] = {.entry = {.count = 1, .reusable = false}}, SHIFT(668),
  [996] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1325),
  [998] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1376),
  [1000] = {.entry = {.count = 1, .reusable = false}}, SHIFT(701),
  [1002] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1373),
  [1004] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_method_declaration, 4, .production_id = 44),
  [1006] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_method_declaration, 4, .production_id = 44),
  [1008] = {.entry = {.count = 1, .reusable = false}}, SHIFT(12),
  [1010] = {.entry = {.count = 1, .reusable = false}}, SHIFT(863),
  [1012] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1259),
  [1014] = {.entry = {.count = 1, .reusable = false}}, SHIFT(73),
  [1016] = {.entry = {.count = 1, .reusable = false}}, SHIFT(691),
  [1018] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1377),
  [1020] = {.entry = {.count = 1, .reusable = false}}, SHIFT(649),
  [1022] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1333),
  [1024] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1237),
  [1026] = {.entry = {.count = 1, .reusable = false}}, SHIFT(61),
  [1028] = {.entry = {.count = 1, .reusable = false}}, SHIFT(212),
  [1030] = {.entry = {.count = 1, .reusable = false}}, SHIFT(118),
  [1032] = {.entry = {.count = 1, .reusable = false}}, SHIFT(130),
  [1034] = {.entry = {.count = 1, .reusable = false}}, SHIFT(233),
  [1036] = {.entry = {.count = 1, .reusable = false}}, SHIFT(232),
  [1038] = {.entry = {.count = 1, .reusable = false}}, SHIFT(231),
  [1040] = {.entry = {.count = 1, .reusable = false}}, SHIFT(229),
  [1042] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_function_declaration, 4, .production_id = 41),
  [1044] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_function_declaration, 4, .production_id = 41),
  [1046] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_function_declaration, 3, .production_id = 20),
  [1048] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_function_declaration, 3, .production_id = 20),
  [1050] = {.entry = {.count = 1, .reusable = false}}, SHIFT(34),
  [1052] = {.entry = {.count = 1, .reusable = false}}, SHIFT(15),
  [1054] = {.entry = {.count = 1, .reusable = false}}, SHIFT(395),
  [1056] = {.entry = {.count = 1, .reusable = true}}, SHIFT(760),
  [1058] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1310),
  [1060] = {.entry = {.count = 1, .reusable = true}}, SHIFT(661),
  [1062] = {.entry = {.count = 1, .reusable = false}}, SHIFT(855),
  [1064] = {.entry = {.count = 1, .reusable = true}}, SHIFT(103),
  [1066] = {.entry = {.count = 1, .reusable = true}}, SHIFT(718),
  [1068] = {.entry = {.count = 1, .reusable = true}}, SHIFT(719),
  [1070] = {.entry = {.count = 1, .reusable = true}}, SHIFT(908),
  [1072] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1324),
  [1074] = {.entry = {.count = 1, .reusable = true}}, SHIFT(939),
  [1076] = {.entry = {.count = 1, .reusable = true}}, SHIFT(754),
  [1078] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1360),
  [1080] = {.entry = {.count = 1, .reusable = true}}, SHIFT(794),
  [1082] = {.entry = {.count = 1, .reusable = true}}, SHIFT(840),
  [1084] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1266),
  [1086] = {.entry = {.count = 1, .reusable = true}}, SHIFT(66),
  [1088] = {.entry = {.count = 1, .reusable = true}}, SHIFT(153),
  [1090] = {.entry = {.count = 1, .reusable = true}}, SHIFT(121),
  [1092] = {.entry = {.count = 1, .reusable = true}}, SHIFT(209),
  [1094] = {.entry = {.count = 1, .reusable = false}}, SHIFT(216),
  [1096] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_receive_statement, 1, .production_id = 59),
  [1098] = {.entry = {.count = 1, .reusable = true}}, SHIFT(216),
  [1100] = {.entry = {.count = 1, .reusable = false}}, SHIFT(209),
  [1102] = {.entry = {.count = 1, .reusable = true}}, SHIFT(218),
  [1104] = {.entry = {.count = 1, .reusable = false}}, SHIFT(218),
  [1106] = {.entry = {.count = 1, .reusable = true}}, SHIFT(219),
  [1108] = {.entry = {.count = 1, .reusable = true}}, SHIFT(224),
  [1110] = {.entry = {.count = 1, .reusable = true}}, SHIFT(31),
  [1112] = {.entry = {.count = 1, .reusable = true}}, SHIFT(762),
  [1114] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1319),
  [1116] = {.entry = {.count = 1, .reusable = true}}, SHIFT(823),
  [1118] = {.entry = {.count = 1, .reusable = true}}, SHIFT(854),
  [1120] = {.entry = {.count = 1, .reusable = true}}, SHIFT(932),
  [1122] = {.entry = {.count = 1, .reusable = true}}, SHIFT(799),
  [1124] = {.entry = {.count = 1, .reusable = true}}, SHIFT(804),
  [1126] = {.entry = {.count = 1, .reusable = false}}, SHIFT(659),
  [1128] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_method_spec, 2, .production_id = 54),
  [1130] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_method_spec, 2, .production_id = 54),
  [1132] = {.entry = {.count = 1, .reusable = true}}, SHIFT(755),
  [1134] = {.entry = {.count = 1, .reusable = true}}, SHIFT(752),
  [1136] = {.entry = {.count = 1, .reusable = true}}, SHIFT(17),
  [1138] = {.entry = {.count = 1, .reusable = true}}, SHIFT(759),
  [1140] = {.entry = {.count = 1, .reusable = true}}, SHIFT(18),
  [1142] = {.entry = {.count = 1, .reusable = false}}, SHIFT(874),
  [1144] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13),
  [1146] = {.entry = {.count = 1, .reusable = false}}, SHIFT(865),
  [1148] = {.entry = {.count = 1, .reusable = true}}, SHIFT(758),
  [1150] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_send_statement, 3, .production_id = 36),
  [1152] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_send_statement, 3, .production_id = 36),
  [1154] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_defer_statement, 2),
  [1156] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_defer_statement, 2),
  [1158] = {.entry = {.count = 1, .reusable = true}}, SHIFT(191),
  [1160] = {.entry = {.count = 1, .reusable = true}}, SHIFT(764),
  [1162] = {.entry = {.count = 1, .reusable = true}}, SHIFT(16),
  [1164] = {.entry = {.count = 1, .reusable = true}}, SHIFT(763),
  [1166] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_go_statement, 2),
  [1168] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_go_statement, 2),
  [1170] = {.entry = {.count = 1, .reusable = true}}, SHIFT(728),
  [1172] = {.entry = {.count = 1, .reusable = true}}, SHIFT(741),
  [1174] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1321),
  [1176] = {.entry = {.count = 1, .reusable = true}}, SHIFT(101),
  [1178] = {.entry = {.count = 1, .reusable = true}}, SHIFT(637),
  [1180] = {.entry = {.count = 1, .reusable = true}}, SHIFT(750),
  [1182] = {.entry = {.count = 1, .reusable = true}}, SHIFT(346),
  [1184] = {.entry = {.count = 1, .reusable = true}}, SHIFT(51),
  [1186] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1295),
  [1188] = {.entry = {.count = 1, .reusable = true}}, SHIFT(152),
  [1190] = {.entry = {.count = 1, .reusable = false}}, SHIFT(151),
  [1192] = {.entry = {.count = 1, .reusable = true}}, SHIFT(151),
  [1194] = {.entry = {.count = 1, .reusable = false}}, SHIFT(152),
  [1196] = {.entry = {.count = 1, .reusable = true}}, SHIFT(141),
  [1198] = {.entry = {.count = 1, .reusable = false}}, SHIFT(141),
  [1200] = {.entry = {.count = 1, .reusable = true}}, SHIFT(134),
  [1202] = {.entry = {.count = 1, .reusable = true}}, SHIFT(133),
  [1204] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1265),
  [1206] = {.entry = {.count = 1, .reusable = true}}, SHIFT(185),
  [1208] = {.entry = {.count = 1, .reusable = false}}, SHIFT(183),
  [1210] = {.entry = {.count = 1, .reusable = true}}, SHIFT(915),
  [1212] = {.entry = {.count = 1, .reusable = true}}, SHIFT(183),
  [1214] = {.entry = {.count = 1, .reusable = false}}, SHIFT(185),
  [1216] = {.entry = {.count = 1, .reusable = true}}, SHIFT(182),
  [1218] = {.entry = {.count = 1, .reusable = false}}, SHIFT(182),
  [1220] = {.entry = {.count = 1, .reusable = true}}, SHIFT(181),
  [1222] = {.entry = {.count = 1, .reusable = true}}, SHIFT(180),
  [1224] = {.entry = {.count = 1, .reusable = true}}, SHIFT(549),
  [1226] = {.entry = {.count = 1, .reusable = true}}, SHIFT(60),
  [1228] = {.entry = {.count = 1, .reusable = true}}, SHIFT(491),
  [1230] = {.entry = {.count = 1, .reusable = true}}, SHIFT(54),
  [1232] = {.entry = {.count = 1, .reusable = true}}, SHIFT(406),
  [1234] = {.entry = {.count = 1, .reusable = true}}, SHIFT(71),
  [1236] = {.entry = {.count = 1, .reusable = true}}, SHIFT(314),
  [1238] = {.entry = {.count = 1, .reusable = true}}, SHIFT(50),
  [1240] = {.entry = {.count = 1, .reusable = true}}, SHIFT(107),
  [1242] = {.entry = {.count = 1, .reusable = true}}, SHIFT(274),
  [1244] = {.entry = {.count = 1, .reusable = true}}, SHIFT(68),
  [1246] = {.entry = {.count = 1, .reusable = true}}, SHIFT(704),
  [1248] = {.entry = {.count = 1, .reusable = true}}, SHIFT(65),
  [1250] = {.entry = {.count = 1, .reusable = false}}, SHIFT(418),
  [1252] = {.entry = {.count = 1, .reusable = true}}, SHIFT(784),
  [1254] = {.entry = {.count = 1, .reusable = false}}, SHIFT(362),
  [1256] = {.entry = {.count = 1, .reusable = true}}, SHIFT(706),
  [1258] = {.entry = {.count = 1, .reusable = true}}, SHIFT(905),
  [1260] = {.entry = {.count = 1, .reusable = true}}, SHIFT(836),
  [1262] = {.entry = {.count = 1, .reusable = true}}, SHIFT(842),
  [1264] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1366),
  [1266] = {.entry = {.count = 1, .reusable = true}}, SHIFT(155),
  [1268] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_literal_element, 1),
  [1270] = {.entry = {.count = 1, .reusable = true}}, SHIFT(795),
  [1272] = {.entry = {.count = 1, .reusable = true}}, SHIFT(789),
  [1274] = {.entry = {.count = 1, .reusable = true}}, SHIFT(796),
  [1276] = {.entry = {.count = 1, .reusable = true}}, SHIFT(940),
  [1278] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1292),
  [1280] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_argument_list_repeat1, 2),
  [1282] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1334),
  [1284] = {.entry = {.count = 1, .reusable = true}}, SHIFT(783),
  [1286] = {.entry = {.count = 1, .reusable = true}}, SHIFT(933),
  [1288] = {.entry = {.count = 1, .reusable = true}}, SHIFT(825),
  [1290] = {.entry = {.count = 1, .reusable = true}}, SHIFT(797),
  [1292] = {.entry = {.count = 1, .reusable = true}}, SHIFT(276),
  [1294] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1362),
  [1296] = {.entry = {.count = 1, .reusable = true}}, SHIFT(347),
  [1298] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1353),
  [1300] = {.entry = {.count = 1, .reusable = true}}, SHIFT(260),
  [1302] = {.entry = {.count = 1, .reusable = true}}, SHIFT(194),
  [1304] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1315),
  [1306] = {.entry = {.count = 1, .reusable = true}}, SHIFT(344),
  [1308] = {.entry = {.count = 1, .reusable = true}}, SHIFT(81),
  [1310] = {.entry = {.count = 1, .reusable = true}}, SHIFT(356),
  [1312] = {.entry = {.count = 1, .reusable = true}}, SHIFT(174),
  [1314] = {.entry = {.count = 1, .reusable = true}}, SHIFT(828),
  [1316] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1357),
  [1318] = {.entry = {.count = 1, .reusable = true}}, SHIFT(301),
  [1320] = {.entry = {.count = 1, .reusable = true}}, SHIFT(210),
  [1322] = {.entry = {.count = 1, .reusable = true}}, SHIFT(258),
  [1324] = {.entry = {.count = 1, .reusable = true}}, SHIFT(75),
  [1326] = {.entry = {.count = 1, .reusable = true}}, SHIFT(833),
  [1328] = {.entry = {.count = 1, .reusable = true}}, SHIFT(365),
  [1330] = {.entry = {.count = 1, .reusable = true}}, SHIFT(178),
  [1332] = {.entry = {.count = 1, .reusable = true}}, SHIFT(307),
  [1334] = {.entry = {.count = 1, .reusable = true}}, SHIFT(221),
  [1336] = {.entry = {.count = 1, .reusable = true}}, SHIFT(294),
  [1338] = {.entry = {.count = 1, .reusable = true}}, SHIFT(74),
  [1340] = {.entry = {.count = 1, .reusable = true}}, SHIFT(279),
  [1342] = {.entry = {.count = 1, .reusable = true}}, SHIFT(168),
  [1344] = {.entry = {.count = 1, .reusable = true}}, SHIFT(550),
  [1346] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1318),
  [1348] = {.entry = {.count = 1, .reusable = true}}, SHIFT(315),
  [1350] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1312),
  [1352] = {.entry = {.count = 1, .reusable = true}}, SHIFT(547),
  [1354] = {.entry = {.count = 1, .reusable = true}}, SHIFT(115),
  [1356] = {.entry = {.count = 1, .reusable = true}}, SHIFT(538),
  [1358] = {.entry = {.count = 1, .reusable = true}}, SHIFT(154),
  [1360] = {.entry = {.count = 1, .reusable = true}}, SHIFT(556),
  [1362] = {.entry = {.count = 1, .reusable = true}}, SHIFT(222),
  [1364] = {.entry = {.count = 1, .reusable = true}}, SHIFT(404),
  [1366] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1316),
  [1368] = {.entry = {.count = 1, .reusable = true}}, SHIFT(408),
  [1370] = {.entry = {.count = 1, .reusable = true}}, SHIFT(88),
  [1372] = {.entry = {.count = 1, .reusable = true}}, SHIFT(486),
  [1374] = {.entry = {.count = 1, .reusable = true}}, SHIFT(200),
  [1376] = {.entry = {.count = 1, .reusable = true}}, SHIFT(926),
  [1378] = {.entry = {.count = 1, .reusable = true}}, SHIFT(415),
  [1380] = {.entry = {.count = 1, .reusable = true}}, SHIFT(197),
  [1382] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1322),
  [1384] = {.entry = {.count = 1, .reusable = true}}, SHIFT(793),
  [1386] = {.entry = {.count = 1, .reusable = true}}, SHIFT(397),
  [1388] = {.entry = {.count = 1, .reusable = true}}, SHIFT(184),
  [1390] = {.entry = {.count = 1, .reusable = true}}, SHIFT(518),
  [1392] = {.entry = {.count = 1, .reusable = true}}, SHIFT(173),
  [1394] = {.entry = {.count = 1, .reusable = true}}, SHIFT(931),
  [1396] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1341),
  [1398] = {.entry = {.count = 1, .reusable = true}}, SHIFT(485),
  [1400] = {.entry = {.count = 1, .reusable = true}}, SHIFT(123),
  [1402] = {.entry = {.count = 1, .reusable = true}}, SHIFT(493),
  [1404] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1374),
  [1406] = {.entry = {.count = 1, .reusable = true}}, SHIFT(298),
  [1408] = {.entry = {.count = 1, .reusable = true}}, SHIFT(650),
  [1410] = {.entry = {.count = 1, .reusable = true}}, SHIFT(73),
  [1412] = {.entry = {.count = 1, .reusable = true}}, SHIFT(691),
  [1414] = {.entry = {.count = 1, .reusable = true}}, SHIFT(668),
  [1416] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1333),
  [1418] = {.entry = {.count = 1, .reusable = true}}, SHIFT(349),
  [1420] = {.entry = {.count = 1, .reusable = true}}, SHIFT(351),
  [1422] = {.entry = {.count = 1, .reusable = true}}, SHIFT(117),
  [1424] = {.entry = {.count = 1, .reusable = true}}, SHIFT(731),
  [1426] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1323),
  [1428] = {.entry = {.count = 1, .reusable = true}}, SHIFT(92),
  [1430] = {.entry = {.count = 1, .reusable = true}}, SHIFT(681),
  [1432] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1373),
  [1434] = {.entry = {.count = 1, .reusable = true}}, SHIFT(679),
  [1436] = {.entry = {.count = 1, .reusable = true}}, SHIFT(740),
  [1438] = {.entry = {.count = 1, .reusable = true}}, SHIFT(696),
  [1440] = {.entry = {.count = 1, .reusable = true}}, SHIFT(510),
  [1442] = {.entry = {.count = 1, .reusable = true}}, SHIFT(738),
  [1444] = {.entry = {.count = 1, .reusable = true}}, SHIFT(647),
  [1446] = {.entry = {.count = 1, .reusable = true}}, SHIFT(641),
  [1448] = {.entry = {.count = 1, .reusable = true}}, SHIFT(23),
  [1450] = {.entry = {.count = 1, .reusable = true}}, SHIFT(277),
  [1452] = {.entry = {.count = 1, .reusable = false}}, SHIFT(717),
  [1454] = {.entry = {.count = 1, .reusable = false}}, SHIFT(670),
  [1456] = {.entry = {.count = 1, .reusable = true}}, SHIFT(338),
  [1458] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_range_clause, 4, .production_id = 84),
  [1460] = {.entry = {.count = 1, .reusable = true}}, SHIFT(278),
  [1462] = {.entry = {.count = 1, .reusable = true}}, SHIFT(571),
  [1464] = {.entry = {.count = 1, .reusable = true}}, SHIFT(726),
  [1466] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_receive_statement, 3, .production_id = 34),
  [1468] = {.entry = {.count = 1, .reusable = true}}, SHIFT(300),
  [1470] = {.entry = {.count = 1, .reusable = true}}, SHIFT(665),
  [1472] = {.entry = {.count = 1, .reusable = true}}, SHIFT(391),
  [1474] = {.entry = {.count = 1, .reusable = true}}, SHIFT(392),
  [1476] = {.entry = {.count = 1, .reusable = false}}, SHIFT(702),
  [1478] = {.entry = {.count = 1, .reusable = true}}, SHIFT(732),
  [1480] = {.entry = {.count = 1, .reusable = true}}, SHIFT(699),
  [1482] = {.entry = {.count = 1, .reusable = false}}, SHIFT(819),
  [1484] = {.entry = {.count = 1, .reusable = true}}, SHIFT(484),
  [1486] = {.entry = {.count = 1, .reusable = true}}, SHIFT(524),
  [1488] = {.entry = {.count = 1, .reusable = true}}, SHIFT(671),
  [1490] = {.entry = {.count = 1, .reusable = true}}, SHIFT(563),
  [1492] = {.entry = {.count = 1, .reusable = true}}, SHIFT(559),
  [1494] = {.entry = {.count = 1, .reusable = true}}, SHIFT(270),
  [1496] = {.entry = {.count = 1, .reusable = true}}, SHIFT(317),
  [1498] = {.entry = {.count = 1, .reusable = false}}, SHIFT(734),
  [1500] = {.entry = {.count = 1, .reusable = false}}, SHIFT(736),
  [1502] = {.entry = {.count = 1, .reusable = true}}, SHIFT(703),
  [1504] = {.entry = {.count = 1, .reusable = true}}, SHIFT(26),
  [1506] = {.entry = {.count = 1, .reusable = true}}, SHIFT(384),
  [1508] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_range_clause, 2, .production_id = 30),
  [1510] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1280),
  [1512] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_parameter_list, 4),
  [1514] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_parameter_list, 4),
  [1516] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_parameter_list, 3),
  [1518] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_parameter_list, 3),
  [1520] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_parameter_list, 2),
  [1522] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_parameter_list, 2),
  [1524] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_parameter_list, 5),
  [1526] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_parameter_list, 5),
  [1528] = {.entry = {.count = 1, .reusable = false}}, REDUCE(aux_sym_const_spec_repeat1, 2),
  [1530] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_const_spec_repeat1, 2),
  [1532] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_const_spec_repeat1, 2), SHIFT_REPEAT(1372),
  [1535] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_expression_list_repeat1, 2), SHIFT_REPEAT(136),
  [1538] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_expression_list, 2),
  [1540] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_const_spec_repeat1, 2), SHIFT_REPEAT(1321),
  [1543] = {.entry = {.count = 1, .reusable = false}}, REDUCE(aux_sym_field_declaration_repeat1, 2, .production_id = 68),
  [1545] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_field_declaration_repeat1, 2, .production_id = 68),
  [1547] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_field_declaration_repeat1, 2, .production_id = 68), SHIFT_REPEAT(1334),
  [1550] = {.entry = {.count = 1, .reusable = true}}, SHIFT(96),
  [1552] = {.entry = {.count = 1, .reusable = true}}, SHIFT(90),
  [1554] = {.entry = {.count = 1, .reusable = true}}, SHIFT(122),
  [1556] = {.entry = {.count = 1, .reusable = true}}, SHIFT(89),
  [1558] = {.entry = {.count = 1, .reusable = true}}, SHIFT(99),
  [1560] = {.entry = {.count = 1, .reusable = false}}, REDUCE(aux_sym_parameter_declaration_repeat1, 2, .production_id = 68),
  [1562] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_parameter_declaration_repeat1, 2, .production_id = 68),
  [1564] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_parameter_declaration_repeat1, 2, .production_id = 68), SHIFT_REPEAT(1366),
  [1567] = {.entry = {.count = 1, .reusable = true}}, SHIFT(128),
  [1569] = {.entry = {.count = 1, .reusable = true}}, SHIFT(129),
  [1571] = {.entry = {.count = 1, .reusable = true}}, SHIFT(56),
  [1573] = {.entry = {.count = 1, .reusable = true}}, SHIFT(55),
  [1575] = {.entry = {.count = 1, .reusable = false}}, SHIFT(676),
  [1577] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym__simple_type, 1, .dynamic_precedence = -1, .production_id = 1), SHIFT(676),
  [1580] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__simple_type, 1),
  [1582] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym__simple_type, 1),
  [1584] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym__simple_type, 1), SHIFT(676),
  [1587] = {.entry = {.count = 1, .reusable = false}}, REDUCE(aux_sym_parameter_declaration_repeat1, 2, .production_id = 65),
  [1589] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_parameter_declaration_repeat1, 2, .production_id = 65),
  [1591] = {.entry = {.count = 1, .reusable = false}}, REDUCE(aux_sym_field_declaration_repeat1, 2, .production_id = 76),
  [1593] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_field_declaration_repeat1, 2, .production_id = 76),
  [1595] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_field_declaration_list, 4),
  [1597] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_field_declaration_list, 4),
  [1599] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_type_parameter_list, 4),
  [1601] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_type_parameter_list, 4),
  [1603] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_channel_type, 2, .production_id = 7),
  [1605] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_channel_type, 2, .production_id = 7),
  [1607] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_type_parameter_list, 3),
  [1609] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_type_parameter_list, 3),
  [1611] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_channel_type, 3, .production_id = 28),
  [1613] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_channel_type, 3, .production_id = 28),
  [1615] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_negated_type, 2),
  [1617] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_negated_type, 2),
  [1619] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_type_parameter_list, 5),
  [1621] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_type_parameter_list, 5),
  [1623] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_array_type, 4, .production_id = 47),
  [1625] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_array_type, 4, .production_id = 47),
  [1627] = {.entry = {.count = 1, .reusable = false}}, SHIFT(721),
  [1629] = {.entry = {.count = 1, .reusable = true}}, SHIFT(725),
  [1631] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_struct_type, 2),
  [1633] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_struct_type, 2),
  [1635] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_type_arguments, 5, .dynamic_precedence = 2),
  [1637] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_type_arguments, 5, .dynamic_precedence = 2),
  [1639] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_interface_type, 6),
  [1641] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_interface_type, 6),
  [1643] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_field_declaration_list, 5),
  [1645] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_field_declaration_list, 5),
  [1647] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_field_declaration_list, 2),
  [1649] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_field_declaration_list, 2),
  [1651] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_type_arguments, 4, .dynamic_precedence = 2),
  [1653] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_type_arguments, 4, .dynamic_precedence = 2),
  [1655] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_map_type, 5, .production_id = 80),
  [1657] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_map_type, 5, .production_id = 80),
  [1659] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_interface_type, 5),
  [1661] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_interface_type, 5),
  [1663] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_generic_type, 2, .production_id = 14),
  [1665] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_generic_type, 2, .production_id = 14),
  [1667] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_field_declaration_list, 3),
  [1669] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_field_declaration_list, 3),
  [1671] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_generic_type, 2, .production_id = 11),
  [1673] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_generic_type, 2, .production_id = 11),
  [1675] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_function_type, 3, .production_id = 21),
  [1677] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_function_type, 3, .production_id = 21),
  [1679] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_interface_type, 3),
  [1681] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_interface_type, 3),
  [1683] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_slice_type, 3, .production_id = 23),
  [1685] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_slice_type, 3, .production_id = 23),
  [1687] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_pointer_type, 2),
  [1689] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_pointer_type, 2),
  [1691] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_type_arguments, 3, .dynamic_precedence = 2),
  [1693] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_type_arguments, 3, .dynamic_precedence = 2),
  [1695] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_parenthesized_type, 3),
  [1697] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_parenthesized_type, 3),
  [1699] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym__simple_type, 1, .dynamic_precedence = -1, .production_id = 1), SHIFT(725),
  [1702] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_qualified_type, 3, .production_id = 32),
  [1704] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_qualified_type, 3, .production_id = 32),
  [1706] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_interface_type, 4),
  [1708] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_interface_type, 4),
  [1710] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_union_type, 3),
  [1712] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_union_type, 3),
  [1714] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym__simple_type, 1), SHIFT(725),
  [1717] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1173),
  [1719] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1299),
  [1721] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1175),
  [1723] = {.entry = {.count = 1, .reusable = true}}, SHIFT(858),
  [1725] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1110),
  [1727] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_field_declaration, 2, .production_id = 50),
  [1729] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_field_declaration, 2, .production_id = 50),
  [1731] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1171),
  [1733] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1137),
  [1735] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1132),
  [1737] = {.entry = {.count = 1, .reusable = true}}, SHIFT(822),
  [1739] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1138),
  [1741] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1064),
  [1743] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1122),
  [1745] = {.entry = {.count = 1, .reusable = true}}, SHIFT(636),
  [1747] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1285),
  [1749] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_field_declaration, 1, .production_id = 19),
  [1751] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_field_declaration, 1, .production_id = 19),
  [1753] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1206),
  [1755] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_field_declaration, 2, .production_id = 40),
  [1757] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_field_declaration, 2, .production_id = 40),
  [1759] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1169),
  [1761] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1157),
  [1763] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1208),
  [1765] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1189),
  [1767] = {.entry = {.count = 1, .reusable = false}}, SHIFT(437),
  [1769] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1240),
  [1771] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1348),
  [1773] = {.entry = {.count = 1, .reusable = false}}, SHIFT(658),
  [1775] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym__simple_type, 1, .dynamic_precedence = -1, .production_id = 1), SHIFT(658),
  [1778] = {.entry = {.count = 1, .reusable = true}}, SHIFT(437),
  [1780] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_field_declaration, 2, .production_id = 52),
  [1782] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_field_declaration, 2, .production_id = 52),
  [1784] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1168),
  [1786] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_expression_list, 2),
  [1788] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym__simple_type, 1), SHIFT(658),
  [1791] = {.entry = {.count = 1, .reusable = true}}, SHIFT(453),
  [1793] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_var_spec, 2, .production_id = 18),
  [1795] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_var_spec, 2, .production_id = 18),
  [1797] = {.entry = {.count = 1, .reusable = false}}, SHIFT(106),
  [1799] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_var_spec, 3, .production_id = 39),
  [1801] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_var_spec, 3, .production_id = 39),
  [1803] = {.entry = {.count = 1, .reusable = false}}, SHIFT(77),
  [1805] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_field_declaration, 3, .production_id = 78),
  [1807] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_field_declaration, 3, .production_id = 78),
  [1809] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1143),
  [1811] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1124),
  [1813] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_expression_list_repeat1, 2), SHIFT_REPEAT(212),
  [1816] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_if_statement, 3, .production_id = 29),
  [1818] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_if_statement, 3, .production_id = 29),
  [1820] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1080),
  [1822] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1007),
  [1824] = {.entry = {.count = 1, .reusable = true}}, SHIFT(126),
  [1826] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1355),
  [1828] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_expression_switch_statement_repeat1, 2),
  [1830] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_expression_switch_statement_repeat1, 2), SHIFT_REPEAT(126),
  [1833] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_expression_switch_statement_repeat1, 2), SHIFT_REPEAT(1355),
  [1836] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1004),
  [1838] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_break_statement, 1),
  [1840] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_break_statement, 1),
  [1842] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1002),
  [1844] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_continue_statement, 1),
  [1846] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_continue_statement, 1),
  [1848] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_method_declaration, 5, .production_id = 72),
  [1850] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_method_declaration, 5, .production_id = 72),
  [1852] = {.entry = {.count = 1, .reusable = false}}, SHIFT(634),
  [1854] = {.entry = {.count = 1, .reusable = true}}, SHIFT(34),
  [1856] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_function_declaration, 5, .production_id = 69),
  [1858] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_function_declaration, 5, .production_id = 69),
  [1860] = {.entry = {.count = 1, .reusable = true}}, SHIFT(965),
  [1862] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym__statement_list_repeat1, 2), SHIFT_REPEAT(20),
  [1865] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym__statement_list_repeat1, 2), SHIFT_REPEAT(20),
  [1868] = {.entry = {.count = 1, .reusable = false}}, REDUCE(aux_sym__statement_list_repeat1, 2),
  [1870] = {.entry = {.count = 1, .reusable = true}}, SHIFT(32),
  [1872] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_type_spec, 2, .production_id = 24),
  [1874] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_type_spec, 2, .production_id = 24),
  [1876] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_if_statement, 5, .production_id = 81),
  [1878] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_if_statement, 5, .production_id = 81),
  [1880] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1037),
  [1882] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_type_spec, 3, .production_id = 49),
  [1884] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_type_spec, 3, .production_id = 49),
  [1886] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_type_alias, 3, .production_id = 48),
  [1888] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_type_alias, 3, .production_id = 48),
  [1890] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10),
  [1892] = {.entry = {.count = 1, .reusable = false}}, SHIFT(10),
  [1894] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_function_declaration, 4, .production_id = 42),
  [1896] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_function_declaration, 4, .production_id = 42),
  [1898] = {.entry = {.count = 1, .reusable = true}}, SHIFT(985),
  [1900] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_select_statement_repeat1, 2),
  [1902] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_select_statement_repeat1, 2), SHIFT_REPEAT(49),
  [1905] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_select_statement_repeat1, 2), SHIFT_REPEAT(1355),
  [1908] = {.entry = {.count = 1, .reusable = true}}, SHIFT(981),
  [1910] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9),
  [1912] = {.entry = {.count = 1, .reusable = false}}, SHIFT(9),
  [1914] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym__statement_list, 1),
  [1916] = {.entry = {.count = 1, .reusable = true}}, SHIFT(33),
  [1918] = {.entry = {.count = 1, .reusable = true}}, SHIFT(951),
  [1920] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_expression_list_repeat1, 2), SHIFT_REPEAT(153),
  [1923] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1003),
  [1925] = {.entry = {.count = 1, .reusable = true}}, SHIFT(49),
  [1927] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_type_switch_statement_repeat1, 2),
  [1929] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_type_switch_statement_repeat1, 2), SHIFT_REPEAT(664),
  [1932] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_type_switch_statement_repeat1, 2), SHIFT_REPEAT(1355),
  [1935] = {.entry = {.count = 1, .reusable = true}}, SHIFT(993),
  [1937] = {.entry = {.count = 1, .reusable = true}}, SHIFT(977),
  [1939] = {.entry = {.count = 1, .reusable = true}}, SHIFT(664),
  [1941] = {.entry = {.count = 1, .reusable = true}}, SHIFT(986),
  [1943] = {.entry = {.count = 1, .reusable = true}}, SHIFT(966),
  [1945] = {.entry = {.count = 1, .reusable = true}}, SHIFT(970),
  [1947] = {.entry = {.count = 1, .reusable = true}}, SHIFT(946),
  [1949] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_var_spec, 5, .production_id = 92),
  [1951] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_var_spec, 5, .production_id = 92),
  [1953] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_type_switch_statement, 5, .production_id = 58),
  [1955] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_type_switch_statement, 5, .production_id = 58),
  [1957] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_var_declaration, 3),
  [1959] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_var_declaration, 3),
  [1961] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_const_spec, 3, .production_id = 38),
  [1963] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_const_spec, 3, .production_id = 38),
  [1965] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_type_declaration, 2),
  [1967] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_type_declaration, 2),
  [1969] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_const_declaration, 4),
  [1971] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_const_declaration, 4),
  [1973] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_expression_switch_statement, 5, .production_id = 7),
  [1975] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_expression_switch_statement, 5, .production_id = 7),
  [1977] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_goto_statement, 2, .production_id = 8),
  [1979] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_goto_statement, 2, .production_id = 8),
  [1981] = {.entry = {.count = 1, .reusable = true}}, SHIFT(198),
  [1983] = {.entry = {.count = 1, .reusable = true}}, SHIFT(599),
  [1985] = {.entry = {.count = 1, .reusable = true}}, SHIFT(850),
  [1987] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_fallthrough_statement, 1),
  [1989] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_fallthrough_statement, 1),
  [1991] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_short_var_declaration, 3, .production_id = 34),
  [1993] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_short_var_declaration, 3, .production_id = 34),
  [1995] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_assignment_statement, 3, .production_id = 33),
  [1997] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_assignment_statement, 3, .production_id = 33),
  [1999] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_const_declaration, 3),
  [2001] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_const_declaration, 3),
  [2003] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_labeled_statement, 3, .production_id = 26),
  [2005] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_labeled_statement, 3, .production_id = 26),
  [2007] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_return_statement, 2),
  [2009] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_return_statement, 2),
  [2011] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__statement, 1),
  [2013] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym__statement, 1),
  [2015] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_expression_switch_statement, 7, .production_id = 97),
  [2017] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_expression_switch_statement, 7, .production_id = 97),
  [2019] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_select_statement, 3),
  [2021] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_select_statement, 3),
  [2023] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_for_statement, 2, .production_id = 9),
  [2025] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_for_statement, 2, .production_id = 9),
  [2027] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_var_declaration, 2),
  [2029] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_var_declaration, 2),
  [2031] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_expression_switch_statement, 3),
  [2033] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_expression_switch_statement, 3),
  [2035] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_for_statement, 3, .production_id = 31),
  [2037] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_for_statement, 3, .production_id = 31),
  [2039] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_if_statement, 7, .production_id = 100),
  [2041] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_if_statement, 7, .production_id = 100),
  [2043] = {.entry = {.count = 1, .reusable = true}}, SHIFT(531),
  [2045] = {.entry = {.count = 1, .reusable = true}}, SHIFT(982),
  [2047] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_struct_elem, 2),
  [2049] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_struct_elem, 2),
  [2051] = {.entry = {.count = 1, .reusable = false}}, SHIFT(978),
  [2053] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_empty_statement, 1),
  [2055] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_empty_statement, 1),
  [2057] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_type_switch_statement, 4, .production_id = 58),
  [2059] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_type_switch_statement, 4, .production_id = 58),
  [2061] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1256),
  [2063] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1245),
  [2065] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__simple_statement, 1),
  [2067] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym__simple_statement, 1),
  [2069] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_struct_term, 2),
  [2071] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_struct_term, 2),
  [2073] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_expression_switch_statement, 6, .production_id = 97),
  [2075] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_expression_switch_statement, 6, .production_id = 97),
  [2077] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_type_declaration, 3),
  [2079] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_type_declaration, 3),
  [2081] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym__statement_list_repeat1, 2),
  [2083] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_const_spec, 5, .production_id = 92),
  [2085] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_const_spec, 5, .production_id = 92),
  [2087] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_expression_switch_statement, 6, .production_id = 87),
  [2089] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_expression_switch_statement, 6, .production_id = 87),
  [2091] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_expression_switch_statement, 4),
  [2093] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_expression_switch_statement, 4),
  [2095] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1000),
  [2097] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_struct_elem, 1),
  [2099] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_struct_elem, 1),
  [2101] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_struct_elem_repeat1, 2),
  [2103] = {.entry = {.count = 1, .reusable = false}}, REDUCE(aux_sym_struct_elem_repeat1, 2),
  [2105] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_struct_elem_repeat1, 2), SHIFT_REPEAT(978),
  [2108] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_dec_statement, 2),
  [2110] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_dec_statement, 2),
  [2112] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_inc_statement, 2),
  [2114] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_inc_statement, 2),
  [2116] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_var_spec, 4, .production_id = 64),
  [2118] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_var_spec, 4, .production_id = 64),
  [2120] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_expression_switch_statement, 4, .production_id = 7),
  [2122] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_expression_switch_statement, 4, .production_id = 7),
  [2124] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_var_spec, 4, .production_id = 63),
  [2126] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_var_spec, 4, .production_id = 63),
  [2128] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_const_declaration, 2),
  [2130] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_const_declaration, 2),
  [2132] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_type_declaration_repeat1, 2), SHIFT_REPEAT(531),
  [2135] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_type_declaration_repeat1, 2),
  [2137] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_const_spec, 4, .production_id = 64),
  [2139] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_const_spec, 4, .production_id = 64),
  [2141] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_const_spec, 4, .production_id = 63),
  [2143] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_const_spec, 4, .production_id = 63),
  [2145] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_var_spec, 3, .production_id = 38),
  [2147] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_var_spec, 3, .production_id = 38),
  [2149] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_type_declaration, 4),
  [2151] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_type_declaration, 4),
  [2153] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_if_statement, 5, .production_id = 82),
  [2155] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_if_statement, 5, .production_id = 82),
  [2157] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_continue_statement, 2, .production_id = 8),
  [2159] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_continue_statement, 2, .production_id = 8),
  [2161] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_select_statement, 4),
  [2163] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_select_statement, 4),
  [2165] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_break_statement, 2, .production_id = 8),
  [2167] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_break_statement, 2, .production_id = 8),
  [2169] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_var_declaration, 4),
  [2171] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_var_declaration, 4),
  [2173] = {.entry = {.count = 1, .reusable = true}}, SHIFT(592),
  [2175] = {.entry = {.count = 1, .reusable = true}}, SHIFT(807),
  [2177] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_expression_switch_statement, 5, .production_id = 87),
  [2179] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_expression_switch_statement, 5, .production_id = 87),
  [2181] = {.entry = {.count = 1, .reusable = true}}, SHIFT(352),
  [2183] = {.entry = {.count = 1, .reusable = true}}, SHIFT(84),
  [2185] = {.entry = {.count = 1, .reusable = true}}, SHIFT(628),
  [2187] = {.entry = {.count = 1, .reusable = true}}, SHIFT(455),
  [2189] = {.entry = {.count = 1, .reusable = false}}, SHIFT(455),
  [2191] = {.entry = {.count = 1, .reusable = false}}, SHIFT(811),
  [2193] = {.entry = {.count = 1, .reusable = true}}, SHIFT(503),
  [2195] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1049),
  [2197] = {.entry = {.count = 1, .reusable = true}}, SHIFT(393),
  [2199] = {.entry = {.count = 1, .reusable = true}}, SHIFT(79),
  [2201] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_parameter_declaration, 2, .production_id = 18),
  [2203] = {.entry = {.count = 1, .reusable = true}}, SHIFT(43),
  [2205] = {.entry = {.count = 1, .reusable = true}}, SHIFT(403),
  [2207] = {.entry = {.count = 1, .reusable = true}}, SHIFT(48),
  [2209] = {.entry = {.count = 1, .reusable = true}}, SHIFT(299),
  [2211] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1045),
  [2213] = {.entry = {.count = 1, .reusable = true}}, SHIFT(253),
  [2215] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1086),
  [2217] = {.entry = {.count = 1, .reusable = true}}, SHIFT(358),
  [2219] = {.entry = {.count = 1, .reusable = true}}, SHIFT(835),
  [2221] = {.entry = {.count = 1, .reusable = false}}, SHIFT(835),
  [2223] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1208),
  [2225] = {.entry = {.count = 1, .reusable = true}}, SHIFT(44),
  [2227] = {.entry = {.count = 1, .reusable = true}}, SHIFT(348),
  [2229] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_import_spec_list_repeat1, 2), SHIFT_REPEAT(861),
  [2232] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_import_spec_list_repeat1, 2), SHIFT_REPEAT(861),
  [2235] = {.entry = {.count = 1, .reusable = false}}, REDUCE(aux_sym_import_spec_list_repeat1, 2),
  [2237] = {.entry = {.count = 1, .reusable = true}}, SHIFT(578),
  [2239] = {.entry = {.count = 1, .reusable = false}}, SHIFT(578),
  [2241] = {.entry = {.count = 1, .reusable = false}}, SHIFT(783),
  [2243] = {.entry = {.count = 1, .reusable = true}}, SHIFT(693),
  [2245] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8),
  [2247] = {.entry = {.count = 1, .reusable = true}}, SHIFT(438),
  [2249] = {.entry = {.count = 1, .reusable = false}}, SHIFT(438),
  [2251] = {.entry = {.count = 1, .reusable = false}}, SHIFT(799),
  [2253] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_field_declaration_list_repeat1, 2), SHIFT_REPEAT(617),
  [2256] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_field_declaration_list_repeat1, 2), SHIFT_REPEAT(617),
  [2259] = {.entry = {.count = 1, .reusable = false}}, REDUCE(aux_sym_field_declaration_list_repeat1, 2),
  [2261] = {.entry = {.count = 1, .reusable = true}}, SHIFT(381),
  [2263] = {.entry = {.count = 1, .reusable = true}}, SHIFT(958),
  [2265] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_var_declaration_repeat1, 2), SHIFT_REPEAT(492),
  [2268] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_var_declaration_repeat1, 2),
  [2270] = {.entry = {.count = 1, .reusable = true}}, SHIFT(590),
  [2272] = {.entry = {.count = 1, .reusable = false}}, SHIFT(590),
  [2274] = {.entry = {.count = 1, .reusable = false}}, SHIFT(853),
  [2276] = {.entry = {.count = 1, .reusable = true}}, SHIFT(847),
  [2278] = {.entry = {.count = 1, .reusable = false}}, SHIFT(847),
  [2280] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1247),
  [2282] = {.entry = {.count = 1, .reusable = true}}, SHIFT(492),
  [2284] = {.entry = {.count = 1, .reusable = true}}, SHIFT(947),
  [2286] = {.entry = {.count = 1, .reusable = true}}, SHIFT(27),
  [2288] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__interface_body, 1, .production_id = 27),
  [2290] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym__interface_body, 1, .production_id = 27),
  [2292] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_parameter_declaration, 3, .production_id = 67),
  [2294] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_struct_term, 1),
  [2296] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_struct_term, 1),
  [2298] = {.entry = {.count = 1, .reusable = true}}, SHIFT(572),
  [2300] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1042),
  [2302] = {.entry = {.count = 1, .reusable = true}}, SHIFT(579),
  [2304] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_parameter_declaration, 1, .production_id = 19),
  [2306] = {.entry = {.count = 1, .reusable = true}}, SHIFT(318),
  [2308] = {.entry = {.count = 1, .reusable = true}}, SHIFT(557),
  [2310] = {.entry = {.count = 1, .reusable = false}}, SHIFT(557),
  [2312] = {.entry = {.count = 1, .reusable = false}}, SHIFT(825),
  [2314] = {.entry = {.count = 1, .reusable = true}}, SHIFT(451),
  [2316] = {.entry = {.count = 1, .reusable = false}}, SHIFT(451),
  [2318] = {.entry = {.count = 1, .reusable = false}}, SHIFT(831),
  [2320] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1103),
  [2322] = {.entry = {.count = 1, .reusable = true}}, SHIFT(523),
  [2324] = {.entry = {.count = 1, .reusable = true}}, SHIFT(588),
  [2326] = {.entry = {.count = 1, .reusable = false}}, SHIFT(588),
  [2328] = {.entry = {.count = 1, .reusable = false}}, SHIFT(801),
  [2330] = {.entry = {.count = 1, .reusable = true}}, SHIFT(319),
  [2332] = {.entry = {.count = 1, .reusable = true}}, SHIFT(108),
  [2334] = {.entry = {.count = 1, .reusable = true}}, SHIFT(439),
  [2336] = {.entry = {.count = 1, .reusable = false}}, SHIFT(439),
  [2338] = {.entry = {.count = 1, .reusable = false}}, SHIFT(823),
  [2340] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_method_spec, 3, .production_id = 79),
  [2342] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_method_spec, 3, .production_id = 79),
  [2344] = {.entry = {.count = 1, .reusable = true}}, SHIFT(39),
  [2346] = {.entry = {.count = 1, .reusable = true}}, SHIFT(316),
  [2348] = {.entry = {.count = 1, .reusable = true}}, SHIFT(45),
  [2350] = {.entry = {.count = 1, .reusable = true}}, SHIFT(552),
  [2352] = {.entry = {.count = 1, .reusable = true}}, SHIFT(553),
  [2354] = {.entry = {.count = 1, .reusable = true}}, SHIFT(114),
  [2356] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1108),
  [2358] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1048),
  [2360] = {.entry = {.count = 1, .reusable = true}}, SHIFT(454),
  [2362] = {.entry = {.count = 1, .reusable = false}}, SHIFT(454),
  [2364] = {.entry = {.count = 1, .reusable = false}}, SHIFT(939),
  [2366] = {.entry = {.count = 1, .reusable = true}}, SHIFT(852),
  [2368] = {.entry = {.count = 1, .reusable = false}}, SHIFT(852),
  [2370] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1194),
  [2372] = {.entry = {.count = 1, .reusable = true}}, SHIFT(266),
  [2374] = {.entry = {.count = 1, .reusable = true}}, SHIFT(83),
  [2376] = {.entry = {.count = 1, .reusable = true}}, SHIFT(589),
  [2378] = {.entry = {.count = 1, .reusable = false}}, SHIFT(589),
  [2380] = {.entry = {.count = 1, .reusable = false}}, SHIFT(940),
  [2382] = {.entry = {.count = 1, .reusable = true}}, SHIFT(387),
  [2384] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1092),
  [2386] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_type_arguments_repeat1, 2), SHIFT_REPEAT(693),
  [2389] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_type_arguments_repeat1, 2),
  [2391] = {.entry = {.count = 1, .reusable = true}}, SHIFT(247),
  [2393] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1020),
  [2395] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_interface_type_repeat1, 2), SHIFT_REPEAT(477),
  [2398] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_interface_type_repeat1, 2), SHIFT_REPEAT(477),
  [2401] = {.entry = {.count = 1, .reusable = false}}, REDUCE(aux_sym_interface_type_repeat1, 2),
  [2403] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1005),
  [2405] = {.entry = {.count = 1, .reusable = true}}, SHIFT(373),
  [2407] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1021),
  [2409] = {.entry = {.count = 1, .reusable = true}}, SHIFT(37),
  [2411] = {.entry = {.count = 1, .reusable = true}}, SHIFT(254),
  [2413] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_interpreted_string_literal_repeat1, 2),
  [2415] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_interpreted_string_literal_repeat1, 2), SHIFT_REPEAT(1086),
  [2418] = {.entry = {.count = 1, .reusable = true}}, SHIFT(844),
  [2420] = {.entry = {.count = 1, .reusable = false}}, SHIFT(844),
  [2422] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1189),
  [2424] = {.entry = {.count = 1, .reusable = true}}, SHIFT(38),
  [2426] = {.entry = {.count = 1, .reusable = true}}, SHIFT(496),
  [2428] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_const_declaration_repeat1, 2), SHIFT_REPEAT(381),
  [2431] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_const_declaration_repeat1, 2),
  [2433] = {.entry = {.count = 1, .reusable = true}}, SHIFT(385),
  [2435] = {.entry = {.count = 1, .reusable = true}}, SHIFT(627),
  [2437] = {.entry = {.count = 1, .reusable = true}}, SHIFT(927),
  [2439] = {.entry = {.count = 1, .reusable = true}}, SHIFT(974),
  [2441] = {.entry = {.count = 1, .reusable = true}}, SHIFT(584),
  [2443] = {.entry = {.count = 1, .reusable = false}}, SHIFT(584),
  [2445] = {.entry = {.count = 1, .reusable = false}}, SHIFT(930),
  [2447] = {.entry = {.count = 1, .reusable = true}}, SHIFT(950),
  [2449] = {.entry = {.count = 1, .reusable = true}}, SHIFT(436),
  [2451] = {.entry = {.count = 1, .reusable = false}}, SHIFT(436),
  [2453] = {.entry = {.count = 1, .reusable = false}}, SHIFT(942),
  [2455] = {.entry = {.count = 1, .reusable = true}}, SHIFT(497),
  [2457] = {.entry = {.count = 1, .reusable = true}}, SHIFT(113),
  [2459] = {.entry = {.count = 1, .reusable = true}}, SHIFT(98),
  [2461] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1009),
  [2463] = {.entry = {.count = 1, .reusable = true}}, SHIFT(449),
  [2465] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_import_spec, 2, .production_id = 15),
  [2467] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_import_spec, 2, .production_id = 15),
  [2469] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1031),
  [2471] = {.entry = {.count = 1, .reusable = true}}, SHIFT(753),
  [2473] = {.entry = {.count = 1, .reusable = true}}, SHIFT(461),
  [2475] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1036),
  [2477] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1075),
  [2479] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_import_spec, 1, .production_id = 3),
  [2481] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_import_spec, 1, .production_id = 3),
  [2483] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_type_case, 5, .production_id = 101),
  [2485] = {.entry = {.count = 1, .reusable = true}}, SHIFT(238),
  [2487] = {.entry = {.count = 1, .reusable = false}}, SHIFT(238),
  [2489] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_type_case, 4, .production_id = 40),
  [2491] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_expression_list_repeat1, 2), SHIFT_REPEAT(155),
  [2494] = {.entry = {.count = 1, .reusable = true}}, SHIFT(460),
  [2496] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_import_spec, 2, .production_id = 16),
  [2498] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_import_spec, 2, .production_id = 16),
  [2500] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_communication_case, 4, .production_id = 88),
  [2502] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7),
  [2504] = {.entry = {.count = 1, .reusable = true}}, SHIFT(757),
  [2506] = {.entry = {.count = 1, .reusable = true}}, SHIFT(464),
  [2508] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_import_spec_list, 2),
  [2510] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_import_spec_list, 2),
  [2512] = {.entry = {.count = 1, .reusable = true}}, SHIFT(127),
  [2514] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_field_declaration, 4, .production_id = 95),
  [2516] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_field_declaration, 4, .production_id = 95),
  [2518] = {.entry = {.count = 1, .reusable = true}}, SHIFT(619),
  [2520] = {.entry = {.count = 1, .reusable = true}}, SHIFT(41),
  [2522] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_expression_case, 4, .production_id = 7),
  [2524] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_package_clause, 2, .production_id = 2),
  [2526] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_package_clause, 2, .production_id = 2),
  [2528] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_source_file, 2),
  [2530] = {.entry = {.count = 1, .reusable = true}}, SHIFT(52),
  [2532] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1126),
  [2534] = {.entry = {.count = 1, .reusable = true}}, SHIFT(63),
  [2536] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1117),
  [2538] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_import_declaration, 2),
  [2540] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_import_declaration, 2),
  [2542] = {.entry = {.count = 1, .reusable = true}}, SHIFT(42),
  [2544] = {.entry = {.count = 1, .reusable = true}}, SHIFT(622),
  [2546] = {.entry = {.count = 1, .reusable = true}}, SHIFT(93),
  [2548] = {.entry = {.count = 1, .reusable = true}}, SHIFT(476),
  [2550] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_expression_list_repeat1, 2), SHIFT_REPEAT(159),
  [2553] = {.entry = {.count = 1, .reusable = true}}, SHIFT(57),
  [2555] = {.entry = {.count = 1, .reusable = true}}, SHIFT(829),
  [2557] = {.entry = {.count = 1, .reusable = true}}, SHIFT(46),
  [2559] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_method_declaration, 6, .production_id = 94),
  [2561] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_method_declaration, 6, .production_id = 94),
  [2563] = {.entry = {.count = 1, .reusable = true}}, SHIFT(765),
  [2565] = {.entry = {.count = 1, .reusable = true}}, SHIFT(479),
  [2567] = {.entry = {.count = 1, .reusable = true}}, SHIFT(119),
  [2569] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_function_declaration, 6, .production_id = 93),
  [2571] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_function_declaration, 6, .production_id = 93),
  [2573] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_type_parameter_list_repeat1, 2), SHIFT_REPEAT(626),
  [2576] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_type_parameter_list_repeat1, 2),
  [2578] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_import_spec_list, 5),
  [2580] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_import_spec_list, 5),
  [2582] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_argument_list_repeat1, 2), SHIFT_REPEAT(120),
  [2585] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_literal_value_repeat1, 2), SHIFT_REPEAT(47),
  [2588] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_literal_value_repeat1, 2),
  [2590] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_default_case, 3),
  [2592] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_interface_type_repeat1, 2),
  [2594] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__statement_list, 4),
  [2596] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_field_declaration_list_repeat1, 2),
  [2598] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_field_declaration, 3, .production_id = 77),
  [2600] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_field_declaration, 3, .production_id = 77),
  [2602] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_field_declaration, 3, .production_id = 75),
  [2604] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_field_declaration, 3, .production_id = 75),
  [2606] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_field_declaration, 3, .production_id = 74),
  [2608] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_field_declaration, 3, .production_id = 74),
  [2610] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_method_declaration, 5, .production_id = 73),
  [2612] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_method_declaration, 5, .production_id = 73),
  [2614] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1134),
  [2616] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1102),
  [2618] = {.entry = {.count = 1, .reusable = true}}, SHIFT(676),
  [2620] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_function_declaration, 5, .production_id = 71),
  [2622] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_function_declaration, 5, .production_id = 71),
  [2624] = {.entry = {.count = 1, .reusable = true}}, SHIFT(580),
  [2626] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_parameter_list_repeat1, 2),
  [2628] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_parameter_list_repeat1, 2), SHIFT_REPEAT(502),
  [2631] = {.entry = {.count = 1, .reusable = true}}, SHIFT(72),
  [2633] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_variadic_parameter_declaration, 3, .production_id = 66),
  [2635] = {.entry = {.count = 1, .reusable = true}}, SHIFT(35),
  [2637] = {.entry = {.count = 1, .reusable = true}}, SHIFT(36),
  [2639] = {.entry = {.count = 1, .reusable = true}}, SHIFT(80),
  [2641] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_import_spec_list_repeat1, 2),
  [2643] = {.entry = {.count = 1, .reusable = true}}, SHIFT(64),
  [2645] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_import_spec_list, 4),
  [2647] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_import_spec_list, 4),
  [2649] = {.entry = {.count = 1, .reusable = true}}, SHIFT(62),
  [2651] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_import_spec_list, 3),
  [2653] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_import_spec_list, 3),
  [2655] = {.entry = {.count = 1, .reusable = true}}, SHIFT(40),
  [2657] = {.entry = {.count = 1, .reusable = true}}, SHIFT(604),
  [2659] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_variadic_parameter_declaration, 2, .production_id = 40),
  [2661] = {.entry = {.count = 1, .reusable = true}}, SHIFT(91),
  [2663] = {.entry = {.count = 1, .reusable = true}}, SHIFT(471),
  [2665] = {.entry = {.count = 1, .reusable = true}}, SHIFT(543),
  [2667] = {.entry = {.count = 1, .reusable = true}}, SHIFT(786),
  [2669] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_function_declaration, 4, .production_id = 43),
  [2671] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_function_declaration, 4, .production_id = 43),
  [2673] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_function_declaration, 5, .production_id = 70),
  [2675] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_function_declaration, 5, .production_id = 70),
  [2677] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_field_declaration, 2, .production_id = 53),
  [2679] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_field_declaration, 2, .production_id = 53),
  [2681] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_field_declaration, 2, .production_id = 51),
  [2683] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_field_declaration, 2, .production_id = 51),
  [2685] = {.entry = {.count = 1, .reusable = true}}, SHIFT(166),
  [2687] = {.entry = {.count = 1, .reusable = true}}, SHIFT(203),
  [2689] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_implicit_length_array_type, 4, .production_id = 46),
  [2691] = {.entry = {.count = 1, .reusable = true}}, SHIFT(206),
  [2693] = {.entry = {.count = 1, .reusable = true}}, SHIFT(364),
  [2695] = {.entry = {.count = 1, .reusable = true}}, SHIFT(715),
  [2697] = {.entry = {.count = 1, .reusable = true}}, SHIFT(132),
  [2699] = {.entry = {.count = 1, .reusable = true}}, SHIFT(214),
  [2701] = {.entry = {.count = 1, .reusable = true}}, SHIFT(808),
  [2703] = {.entry = {.count = 1, .reusable = true}}, SHIFT(76),
  [2705] = {.entry = {.count = 1, .reusable = true}}, SHIFT(280),
  [2707] = {.entry = {.count = 1, .reusable = true}}, SHIFT(61),
  [2709] = {.entry = {.count = 1, .reusable = true}}, SHIFT(323),
  [2711] = {.entry = {.count = 1, .reusable = true}}, SHIFT(600),
  [2713] = {.entry = {.count = 1, .reusable = true}}, SHIFT(309),
  [2715] = {.entry = {.count = 1, .reusable = true}}, SHIFT(546),
  [2717] = {.entry = {.count = 1, .reusable = true}}, SHIFT(263),
  [2719] = {.entry = {.count = 1, .reusable = true}}, SHIFT(714),
  [2721] = {.entry = {.count = 1, .reusable = true}}, SHIFT(506),
  [2723] = {.entry = {.count = 1, .reusable = true}}, SHIFT(654),
  [2725] = {.entry = {.count = 1, .reusable = true}}, SHIFT(371),
  [2727] = {.entry = {.count = 1, .reusable = true}}, SHIFT(645),
  [2729] = {.entry = {.count = 1, .reusable = true}}, SHIFT(583),
  [2731] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1226),
  [2733] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1226),
  [2735] = {.entry = {.count = 1, .reusable = true}}, SHIFT(748),
  [2737] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1222),
  [2739] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1222),
  [2741] = {.entry = {.count = 1, .reusable = true}}, SHIFT(638),
  [2743] = {.entry = {.count = 1, .reusable = true}}, SHIFT(674),
  [2745] = {.entry = {.count = 1, .reusable = true}}, SHIFT(413),
  [2747] = {.entry = {.count = 1, .reusable = true}}, SHIFT(399),
  [2749] = {.entry = {.count = 1, .reusable = true}}, SHIFT(621),
  [2751] = {.entry = {.count = 1, .reusable = true}}, SHIFT(560),
  [2753] = {.entry = {.count = 1, .reusable = true}}, SHIFT(737),
  [2755] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1212),
  [2757] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1212),
  [2759] = {.entry = {.count = 1, .reusable = true}}, SHIFT(678),
  [2761] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_keyed_element, 3),
  [2763] = {.entry = {.count = 1, .reusable = true}}, SHIFT(672),
  [2765] = {.entry = {.count = 1, .reusable = true}}, SHIFT(146),
  [2767] = {.entry = {.count = 1, .reusable = true}}, SHIFT(630),
  [2769] = {.entry = {.count = 1, .reusable = true}}, SHIFT(711),
  [2771] = {.entry = {.count = 1, .reusable = true}}, SHIFT(540),
  [2773] = {.entry = {.count = 1, .reusable = true}}, SHIFT(646),
  [2775] = {.entry = {.count = 1, .reusable = true}}, SHIFT(596),
  [2777] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_variadic_argument, 2),
  [2779] = {.entry = {.count = 1, .reusable = true}}, SHIFT(53),
  [2781] = {.entry = {.count = 1, .reusable = true}}, SHIFT(95),
  [2783] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_dot, 1),
  [2785] = {.entry = {.count = 1, .reusable = true}}, SHIFT(880),
  [2787] = {.entry = {.count = 1, .reusable = true}}, SHIFT(544),
  [2789] = {.entry = {.count = 1, .reusable = true}}, SHIFT(525),
  [2791] = {.entry = {.count = 1, .reusable = true}}, SHIFT(569),
  [2793] = {.entry = {.count = 1, .reusable = true}}, SHIFT(634),
  [2795] = {.entry = {.count = 1, .reusable = true}}, SHIFT(456),
  [2797] = {.entry = {.count = 1, .reusable = true}}, SHIFT(310),
  [2799] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__type_switch_header, 5, .production_id = 98),
  [2801] = {.entry = {.count = 1, .reusable = true}}, SHIFT(746),
  [2803] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1327),
  [2805] = {.entry = {.count = 1, .reusable = true}}, SHIFT(412),
  [2807] = {.entry = {.count = 1, .reusable = true}}, SHIFT(541),
  [2809] = {.entry = {.count = 1, .reusable = true}}, SHIFT(826),
  [2811] = {.entry = {.count = 1, .reusable = true}}, SHIFT(771),
  [2813] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1338),
  [2815] = {.entry = {.count = 1, .reusable = true}}, SHIFT(663),
  [2817] = {.entry = {.count = 1, .reusable = true}}, SHIFT(722),
  [2819] = {.entry = {.count = 1, .reusable = true}}, SHIFT(435),
  [2821] = {.entry = {.count = 1, .reusable = true}}, SHIFT(512),
  [2823] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__type_switch_header, 7, .production_id = 103),
  [2825] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_for_clause, 4, .production_id = 83),
  [2827] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1179),
  [2829] = {.entry = {.count = 1, .reusable = true}},  ACCEPT_INPUT(),
  [2831] = {.entry = {.count = 1, .reusable = true}}, SHIFT(367),
  [2833] = {.entry = {.count = 1, .reusable = true}}, SHIFT(692),
  [2835] = {.entry = {.count = 1, .reusable = true}}, SHIFT(782),
  [2837] = {.entry = {.count = 1, .reusable = true}}, SHIFT(934),
  [2839] = {.entry = {.count = 1, .reusable = true}}, SHIFT(953),
  [2841] = {.entry = {.count = 1, .reusable = true}}, SHIFT(690),
  [2843] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__type_switch_header, 7, .production_id = 104),
  [2845] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_for_clause, 4, .production_id = 85),
  [2847] = {.entry = {.count = 1, .reusable = true}}, SHIFT(675),
  [2849] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1356),
  [2851] = {.entry = {.count = 1, .reusable = true}}, SHIFT(810),
  [2853] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_for_clause, 5, .production_id = 96),
  [2855] = {.entry = {.count = 1, .reusable = true}}, SHIFT(928),
  [2857] = {.entry = {.count = 1, .reusable = true}}, SHIFT(70),
  [2859] = {.entry = {.count = 1, .reusable = true}}, SHIFT(640),
  [2861] = {.entry = {.count = 1, .reusable = true}}, SHIFT(402),
  [2863] = {.entry = {.count = 1, .reusable = true}}, SHIFT(935),
  [2865] = {.entry = {.count = 1, .reusable = true}}, SHIFT(452),
  [2867] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1253),
  [2869] = {.entry = {.count = 1, .reusable = true}}, SHIFT(125),
  [2871] = {.entry = {.count = 1, .reusable = true}}, SHIFT(341),
  [2873] = {.entry = {.count = 1, .reusable = true}}, SHIFT(716),
  [2875] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6),
  [2877] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__type_switch_header, 9, .production_id = 106),
  [2879] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1313),
  [2881] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5),
  [2883] = {.entry = {.count = 1, .reusable = true}}, SHIFT(220),
  [2885] = {.entry = {.count = 1, .reusable = true}}, SHIFT(252),
  [2887] = {.entry = {.count = 1, .reusable = true}}, SHIFT(282),
  [2889] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1129),
  [2891] = {.entry = {.count = 1, .reusable = true}}, SHIFT(680),
  [2893] = {.entry = {.count = 1, .reusable = true}}, SHIFT(781),
  [2895] = {.entry = {.count = 1, .reusable = true}}, SHIFT(215),
  [2897] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4),
  [2899] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_for_clause, 3, .production_id = 55),
  [2901] = {.entry = {.count = 1, .reusable = true}}, SHIFT(721),
  [2903] = {.entry = {.count = 1, .reusable = true}}, SHIFT(296),
  [2905] = {.entry = {.count = 1, .reusable = true}}, SHIFT(761),
  [2907] = {.entry = {.count = 1, .reusable = true}}, SHIFT(648),
  [2909] = {.entry = {.count = 1, .reusable = true}}, SHIFT(526),
  [2911] = {.entry = {.count = 1, .reusable = true}}, SHIFT(656),
  [2913] = {.entry = {.count = 1, .reusable = true}}, SHIFT(642),
  [2915] = {.entry = {.count = 1, .reusable = true}}, SHIFT(639),
};

#ifdef __cplusplus
extern "C" {
#endif
#ifdef _WIN32
#define extern __declspec(dllexport)
#endif

extern const TSLanguage *tree_sitter_go(void) {
  static const TSLanguage language = {
    .version = LANGUAGE_VERSION,
    .symbol_count = SYMBOL_COUNT,
    .alias_count = ALIAS_COUNT,
    .token_count = TOKEN_COUNT,
    .external_token_count = EXTERNAL_TOKEN_COUNT,
    .state_count = STATE_COUNT,
    .large_state_count = LARGE_STATE_COUNT,
    .production_id_count = PRODUCTION_ID_COUNT,
    .field_count = FIELD_COUNT,
    .max_alias_sequence_length = MAX_ALIAS_SEQUENCE_LENGTH,
    .parse_table = &ts_parse_table[0][0],
    .small_parse_table = ts_small_parse_table,
    .small_parse_table_map = ts_small_parse_table_map,
    .parse_actions = ts_parse_actions,
    .symbol_names = ts_symbol_names,
    .field_names = ts_field_names,
    .field_map_slices = ts_field_map_slices,
    .field_map_entries = ts_field_map_entries,
    .symbol_metadata = ts_symbol_metadata,
    .public_symbol_map = ts_symbol_map,
    .alias_map = ts_non_terminal_alias_map,
    .alias_sequences = &ts_alias_sequences[0][0],
    .lex_modes = ts_lex_modes,
    .lex_fn = ts_lex,
    .keyword_lex_fn = ts_lex_keywords,
    .keyword_capture_token = sym_identifier,
    .primary_state_ids = ts_primary_state_ids,
  };
  return &language;
}
#ifdef __cplusplus
}
#endif
